//#include "burnint.h"
#include "snem.h"

unsigned char DoSnesReset = 0;

unsigned char SnesJoy1[12] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
static struct BurnInputInfo SnesInputList[] =
{
	{"P1 Start",	  BIT_DIGITAL,   SnesJoy1 +  7, "p1 start"  },
	{"P1 Up",	  	  BIT_DIGITAL,   SnesJoy1 +  0, "p1 up"     },
	{"P1 Down",	  	  BIT_DIGITAL,   SnesJoy1 +  1, "p1 down"   },
	{"P1 Left",		  BIT_DIGITAL,   SnesJoy1 +  2, "p1 left"   },
	{"P1 Right",	  BIT_DIGITAL,   SnesJoy1 +  3, "p1 right"  },
	{"P1 Button A",	  BIT_DIGITAL,   SnesJoy1 +  6, "p1 fire 1" },
	{"P1 Button B",	  BIT_DIGITAL,   SnesJoy1 +  4, "p1 fire 2" },
	{"P1 Button C",	  BIT_DIGITAL,   SnesJoy1 +  5, "p1 fire 3" },
	{"P1 Button X",	  BIT_DIGITAL,   SnesJoy1 + 10, "p1 fire 4" },
	{"P1 Button Y",	  BIT_DIGITAL,   SnesJoy1 +  9, "p1 fire 5" },
	{"P1 Button Z",	  BIT_DIGITAL,   SnesJoy1 +  8, "p1 fire 6" },
	{"P1 Mode",	 	  BIT_DIGITAL,   SnesJoy1 + 11, "p1 select" },
	{"Reset"             , BIT_DIGITAL  , &DoSnesReset        , "reset"     },
};

STDINPUTINFO(Snes)

static struct BurnDIPInfo SnesDIPList[]=
{
	// Default Values
	{0x11, 0xff, 0xff, 0x02, NULL                     },
};

STDDIPINFO(Snes)



static struct BurnRomInfo r96ZenkokuKoukouSoccerSenshukenJapanRomDesc[] = {
	{ "'96 Zenkoku Koukou Soccer Senshuken (Japan).sfc",          1572864, 0x5fbb855, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r96ZenkokuKoukouSoccerSenshukenJapan)
STD_ROM_FN(r96ZenkokuKoukouSoccerSenshukenJapan)

struct BurnDriver BurnDrvr96ZenkokuKoukouSoccerSenshukenJapan = {
	"'96 Zenkoku Koukou Soccer Senshuken (Japan)", NULL, NULL, "1986",
	"'96 Zenkoku Koukou Soccer Senshuken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"'96 Zenkoku Koukou Soccer Senshuken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r96ZenkokuKoukouSoccerSenshukenJapanRomInfo, r96ZenkokuKoukouSoccerSenshukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r2020SuperBaseballJapanRomDesc[] = {
	{ "2020 Super Baseball (Japan).sfc",          1572864, 0xe95a3dd7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r2020SuperBaseballJapan)
STD_ROM_FN(r2020SuperBaseballJapan)

struct BurnDriver BurnDrvr2020SuperBaseballJapan = {
	"2020 Super Baseball (Japan)", NULL, NULL, "1986",
	"2020 Super Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"2020 Super Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r2020SuperBaseballJapanRomInfo, r2020SuperBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r2020SuperBaseballUSARomDesc[] = {
	{ "2020 Super Baseball (USA).sfc",          1572864, 0xd77933e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r2020SuperBaseballUSA)
STD_ROM_FN(r2020SuperBaseballUSA)

struct BurnDriver BurnDrvr2020SuperBaseballUSA = {
	"2020 Super Baseball (USA)", NULL, NULL, "1986",
	"2020 Super Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"2020 Super Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r2020SuperBaseballUSARomInfo, r2020SuperBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3NinjasKickBackUSARomDesc[] = {
	{ "3 Ninjas Kick Back (USA).sfc",          2097152, 0xf2ee11f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3NinjasKickBackUSA)
STD_ROM_FN(r3NinjasKickBackUSA)

struct BurnDriver BurnDrvr3NinjasKickBackUSA = {
	"3 Ninjas Kick Back (USA)", NULL, NULL, "1986",
	"3 Ninjas Kick Back (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"3 Ninjas Kick Back (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3NinjasKickBackUSARomInfo, r3NinjasKickBackUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3jinoWideShou5GatsugouJapanBSRomDesc[] = {
	{ "3-ji no Wide Shou - 5 Gatsugou (Japan) (BS).sfc",          524288, 0x78ce2bf6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3jinoWideShou5GatsugouJapanBS)
STD_ROM_FN(r3jinoWideShou5GatsugouJapanBS)

struct BurnDriver BurnDrvr3jinoWideShou5GatsugouJapanBS = {
	"3-ji no Wide Shou - 5 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"3-ji no Wide Shou - 5 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"3-ji no Wide Shou - 5 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3jinoWideShou5GatsugouJapanBSRomInfo, r3jinoWideShou5GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3jinoWideShou6GatsugouJapanBSRomDesc[] = {
	{ "3-ji no Wide Shou - 6 Gatsugou (Japan) (BS).sfc",          524288, 0xdbe754c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3jinoWideShou6GatsugouJapanBS)
STD_ROM_FN(r3jinoWideShou6GatsugouJapanBS)

struct BurnDriver BurnDrvr3jinoWideShou6GatsugouJapanBS = {
	"3-ji no Wide Shou - 6 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"3-ji no Wide Shou - 6 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"3-ji no Wide Shou - 6 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3jinoWideShou6GatsugouJapanBSRomInfo, r3jinoWideShou6GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3jigenKakutouBallzJapanbRomDesc[] = {
	{ "3-jigen Kakutou Ballz (Japan) [b].sfc",          1048576, 0xf0810694, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3jigenKakutouBallzJapanb)
STD_ROM_FN(r3jigenKakutouBallzJapanb)

struct BurnDriver BurnDrvr3jigenKakutouBallzJapanb = {
	"3-jigen Kakutou Ballz (Japan) [b]", NULL, NULL, "1986",
	"3-jigen Kakutou Ballz (Japan) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"3-jigen Kakutou Ballz (Japan) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3jigenKakutouBallzJapanbRomInfo, r3jigenKakutouBallzJapanbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3x3EyesJuumaHoukanJapanRomDesc[] = {
	{ "3x3 Eyes - Juuma Houkan (Japan).sfc",          2097152, 0xad4ad163, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3x3EyesJuumaHoukanJapan)
STD_ROM_FN(r3x3EyesJuumaHoukanJapan)

struct BurnDriver BurnDrvr3x3EyesJuumaHoukanJapan = {
	"3x3 Eyes - Juuma Houkan (Japan)", NULL, NULL, "1986",
	"3x3 Eyes - Juuma Houkan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"3x3 Eyes - Juuma Houkan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3x3EyesJuumaHoukanJapanRomInfo, r3x3EyesJuumaHoukanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r3x3EyesSeimaKourindenJapanRomDesc[] = {
	{ "3x3 Eyes - Seima Kourinden (Japan).sfc",          1048576, 0xfbf3c0ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r3x3EyesSeimaKourindenJapan)
STD_ROM_FN(r3x3EyesSeimaKourindenJapan)

struct BurnDriver BurnDrvr3x3EyesSeimaKourindenJapan = {
	"3x3 Eyes - Seima Kourinden (Japan)", NULL, NULL, "1986",
	"3x3 Eyes - Seima Kourinden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"3x3 Eyes - Seima Kourinden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r3x3EyesSeimaKourindenJapanRomInfo, r3x3EyesSeimaKourindenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r4ninShougiJapanRomDesc[] = {
	{ "4-nin Shougi (Japan).sfc",          524288, 0x9008c18a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r4ninShougiJapan)
STD_ROM_FN(r4ninShougiJapan)

struct BurnDriver BurnDrvr4ninShougiJapan = {
	"4-nin Shougi (Japan)", NULL, NULL, "1986",
	"4-nin Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"4-nin Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r4ninShougiJapanRomInfo, r4ninShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r46OkunenMonogatariHarukanaruEdeneJapanRomDesc[] = {
	{ "46 Okunen Monogatari - Harukanaru Eden e (Japan).sfc",          1572864, 0xb090235a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r46OkunenMonogatariHarukanaruEdeneJapan)
STD_ROM_FN(r46OkunenMonogatariHarukanaruEdeneJapan)

struct BurnDriver BurnDrvr46OkunenMonogatariHarukanaruEdeneJapan = {
	"46 Okunen Monogatari - Harukanaru Eden e (Japan)", NULL, NULL, "1986",
	"46 Okunen Monogatari - Harukanaru Eden e (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"46 Okunen Monogatari - Harukanaru Eden e (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r46OkunenMonogatariHarukanaruEdeneJapanRomInfo, r46OkunenMonogatariHarukanaruEdeneJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r7thSagaTheUSARomDesc[] = {
	{ "7th Saga, The (USA).sfc",          1572864, 0xb3abdde6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r7thSagaTheUSA)
STD_ROM_FN(r7thSagaTheUSA)

struct BurnDriver BurnDrvr7thSagaTheUSA = {
	"7th Saga, The (USA)", NULL, NULL, "1986",
	"7th Saga, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"7th Saga, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r7thSagaTheUSARomInfo, r7thSagaTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r90MinutesEuropeanPrimeGoalEuropeBetaRomDesc[] = {
	{ "90 Minutes - European Prime Goal (Europe) (Beta).sfc",          2097152, 0x1bc71881, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r90MinutesEuropeanPrimeGoalEuropeBeta)
STD_ROM_FN(r90MinutesEuropeanPrimeGoalEuropeBeta)

struct BurnDriver BurnDrvr90MinutesEuropeanPrimeGoalEuropeBeta = {
	"90 Minutes - European Prime Goal (Europe) (Beta)", NULL, NULL, "1986",
	"90 Minutes - European Prime Goal (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"90 Minutes - European Prime Goal (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r90MinutesEuropeanPrimeGoalEuropeBetaRomInfo, r90MinutesEuropeanPrimeGoalEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo r90MinutesEuropeanPrimeGoalEuropeRomDesc[] = {
	{ "90 Minutes - European Prime Goal (Europe).sfc",          2097152, 0x1ad61bd0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(r90MinutesEuropeanPrimeGoalEurope)
STD_ROM_FN(r90MinutesEuropeanPrimeGoalEurope)

struct BurnDriver BurnDrvr90MinutesEuropeanPrimeGoalEurope = {
	"90 Minutes - European Prime Goal (Europe)", NULL, NULL, "1986",
	"90 Minutes - European Prime Goal (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"90 Minutes - European Prime Goal (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, r90MinutesEuropeanPrimeGoalEuropeRomInfo, r90MinutesEuropeanPrimeGoalEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rASPAirStrikePatrolUSARomDesc[] = {
	{ "A.S.P. - Air Strike Patrol (USA).sfc",          1048576, 0x5c0da54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rASPAirStrikePatrolUSA)
STD_ROM_FN(rASPAirStrikePatrolUSA)

struct BurnDriver BurnDrvrASPAirStrikePatrolUSA = {
	"A.S.P. - Air Strike Patrol (USA)", NULL, NULL, "1986",
	"A.S.P. - Air Strike Patrol (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"A.S.P. - Air Strike Patrol (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rASPAirStrikePatrolUSARomInfo, rASPAirStrikePatrolUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAaahhRealMonstersEuropeRomDesc[] = {
	{ "Aaahh!!! Real Monsters (Europe).sfc",          2097152, 0x946313fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAaahhRealMonstersEurope)
STD_ROM_FN(rAaahhRealMonstersEurope)

struct BurnDriver BurnDrvrAaahhRealMonstersEurope = {
	"Aaahh!!! Real Monsters (Europe)", NULL, NULL, "1986",
	"Aaahh!!! Real Monsters (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aaahh!!! Real Monsters (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAaahhRealMonstersEuropeRomInfo, rAaahhRealMonstersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAaahhRealMonstersUSARomDesc[] = {
	{ "Aaahh!!! Real Monsters (USA).sfc",          2097152, 0x27ff5ba1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAaahhRealMonstersUSA)
STD_ROM_FN(rAaahhRealMonstersUSA)

struct BurnDriver BurnDrvrAaahhRealMonstersUSA = {
	"Aaahh!!! Real Monsters (USA)", NULL, NULL, "1986",
	"Aaahh!!! Real Monsters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aaahh!!! Real Monsters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAaahhRealMonstersUSARomInfo, rAaahhRealMonstersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rABCMondayNightFootballJapanRomDesc[] = {
	{ "ABC Monday Night Football (Japan).sfc",          1048576, 0x24d4cfe9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rABCMondayNightFootballJapan)
STD_ROM_FN(rABCMondayNightFootballJapan)

struct BurnDriver BurnDrvrABCMondayNightFootballJapan = {
	"ABC Monday Night Football (Japan)", NULL, NULL, "1986",
	"ABC Monday Night Football (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"ABC Monday Night Football (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rABCMondayNightFootballJapanRomInfo, rABCMondayNightFootballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rABCMondayNightFootballUSARomDesc[] = {
	{ "ABC Monday Night Football (USA).sfc",          1048576, 0xe0dc8ad7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rABCMondayNightFootballUSA)
STD_ROM_FN(rABCMondayNightFootballUSA)

struct BurnDriver BurnDrvrABCMondayNightFootballUSA = {
	"ABC Monday Night Football (USA)", NULL, NULL, "1986",
	"ABC Monday Night Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ABC Monday Night Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rABCMondayNightFootballUSARomInfo, rABCMondayNightFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAcceleBridJapanRomDesc[] = {
	{ "Accele Brid (Japan).sfc",          2097152, 0x4a736c38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAcceleBridJapan)
STD_ROM_FN(rAcceleBridJapan)

struct BurnDriver BurnDrvrAcceleBridJapan = {
	"Accele Brid (Japan)", NULL, NULL, "1986",
	"Accele Brid (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Accele Brid (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAcceleBridJapanRomInfo, rAcceleBridJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAceoNeraeJapanRomDesc[] = {
	{ "Ace o Nerae! (Japan).sfc",          1048576, 0x6c5f1a18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAceoNeraeJapan)
STD_ROM_FN(rAceoNeraeJapan)

struct BurnDriver BurnDrvrAceoNeraeJapan = {
	"Ace o Nerae! (Japan)", NULL, NULL, "1986",
	"Ace o Nerae! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ace o Nerae! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAceoNeraeJapanRomInfo, rAceoNeraeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rACMEAnimationFactoryEuropeRomDesc[] = {
	{ "ACME Animation Factory (Europe).sfc",          1048576, 0xaad3a72d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rACMEAnimationFactoryEurope)
STD_ROM_FN(rACMEAnimationFactoryEurope)

struct BurnDriver BurnDrvrACMEAnimationFactoryEurope = {
	"ACME Animation Factory (Europe)", NULL, NULL, "1986",
	"ACME Animation Factory (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"ACME Animation Factory (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rACMEAnimationFactoryEuropeRomInfo, rACMEAnimationFactoryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rACMEAnimationFactoryUSARomDesc[] = {
	{ "ACME Animation Factory (USA).sfc",          1048576, 0x944a5c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rACMEAnimationFactoryUSA)
STD_ROM_FN(rACMEAnimationFactoryUSA)

struct BurnDriver BurnDrvrACMEAnimationFactoryUSA = {
	"ACME Animation Factory (USA)", NULL, NULL, "1986",
	"ACME Animation Factory (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ACME Animation Factory (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rACMEAnimationFactoryUSARomInfo, rACMEAnimationFactoryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAcrobatMissionJapanRomDesc[] = {
	{ "Acrobat Mission (Japan).sfc",          1048576, 0xda18a10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAcrobatMissionJapan)
STD_ROM_FN(rAcrobatMissionJapan)

struct BurnDriver BurnDrvrAcrobatMissionJapan = {
	"Acrobat Mission (Japan)", NULL, NULL, "1986",
	"Acrobat Mission (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Acrobat Mission (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAcrobatMissionJapanRomInfo, rAcrobatMissionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActionPachioJapanRomDesc[] = {
	{ "Action Pachio (Japan).sfc",          1048576, 0xc752f5df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActionPachioJapan)
STD_ROM_FN(rActionPachioJapan)

struct BurnDriver BurnDrvrActionPachioJapan = {
	"Action Pachio (Japan)", NULL, NULL, "1986",
	"Action Pachio (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Action Pachio (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActionPachioJapanRomInfo, rActionPachioJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiserEuropeRomDesc[] = {
	{ "ActRaiser (Europe).sfc",          1048576, 0x9097b2b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiserEurope)
STD_ROM_FN(rActRaiserEurope)

struct BurnDriver BurnDrvrActRaiserEurope = {
	"ActRaiser (Europe)", NULL, NULL, "1986",
	"ActRaiser (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiserEuropeRomInfo, rActRaiserEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiserFranceRomDesc[] = {
	{ "ActRaiser (France).sfc",          1048576, 0xa27e2664, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiserFrance)
STD_ROM_FN(rActRaiserFrance)

struct BurnDriver BurnDrvrActRaiserFrance = {
	"ActRaiser (France)", NULL, NULL, "1986",
	"ActRaiser (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiserFranceRomInfo, rActRaiserFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiserGermanyRomDesc[] = {
	{ "ActRaiser (Germany).sfc",          1048576, 0x29a78af9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiserGermany)
STD_ROM_FN(rActRaiserGermany)

struct BurnDriver BurnDrvrActRaiserGermany = {
	"ActRaiser (Germany)", NULL, NULL, "1986",
	"ActRaiser (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiserGermanyRomInfo, rActRaiserGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActraiserJapanRomDesc[] = {
	{ "Actraiser (Japan).sfc",          1048576, 0xbee9b30c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActraiserJapan)
STD_ROM_FN(rActraiserJapan)

struct BurnDriver BurnDrvrActraiserJapan = {
	"Actraiser (Japan)", NULL, NULL, "1986",
	"Actraiser (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Actraiser (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActraiserJapanRomInfo, rActraiserJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiserUSARomDesc[] = {
	{ "ActRaiser (USA).sfc",          1048576, 0xeac3358d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiserUSA)
STD_ROM_FN(rActRaiserUSA)

struct BurnDriver BurnDrvrActRaiserUSA = {
	"ActRaiser (USA)", NULL, NULL, "1986",
	"ActRaiser (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiserUSARomInfo, rActRaiserUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiser2EuropeEnFrDeRomDesc[] = {
	{ "ActRaiser 2 (Europe) (En,Fr,De).sfc",          1572864, 0x630e16a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiser2EuropeEnFrDe)
STD_ROM_FN(rActRaiser2EuropeEnFrDe)

struct BurnDriver BurnDrvrActRaiser2EuropeEnFrDe = {
	"ActRaiser 2 (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"ActRaiser 2 (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser 2 (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiser2EuropeEnFrDeRomInfo, rActRaiser2EuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiser2USARomDesc[] = {
	{ "ActRaiser 2 (USA).sfc",          1572864, 0x4901f718, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiser2USA)
STD_ROM_FN(rActRaiser2USA)

struct BurnDriver BurnDrvrActRaiser2USA = {
	"ActRaiser 2 (USA)", NULL, NULL, "1986",
	"ActRaiser 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiser2USARomInfo, rActRaiser2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rActRaiser2ChinmokuenoSeisenJapanRomDesc[] = {
	{ "ActRaiser 2 - Chinmoku e no Seisen (Japan).sfc",          1572864, 0x3cbc264f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rActRaiser2ChinmokuenoSeisenJapan)
STD_ROM_FN(rActRaiser2ChinmokuenoSeisenJapan)

struct BurnDriver BurnDrvrActRaiser2ChinmokuenoSeisenJapan = {
	"ActRaiser 2 - Chinmoku e no Seisen (Japan)", NULL, NULL, "1986",
	"ActRaiser 2 - Chinmoku e no Seisen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"ActRaiser 2 - Chinmoku e no Seisen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rActRaiser2ChinmokuenoSeisenJapanRomInfo, rActRaiser2ChinmokuenoSeisenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyValuesEuropeEnFrDeRomDesc[] = {
	{ "Addams Family Values (Europe) (En,Fr,De).sfc",          2097152, 0xae38adb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyValuesEuropeEnFrDe)
STD_ROM_FN(rAddamsFamilyValuesEuropeEnFrDe)

struct BurnDriver BurnDrvrAddamsFamilyValuesEuropeEnFrDe = {
	"Addams Family Values (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Addams Family Values (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family Values (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyValuesEuropeEnFrDeRomInfo, rAddamsFamilyValuesEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyValuesUSAEnFrDeRomDesc[] = {
	{ "Addams Family Values (USA) (En,Fr,De).sfc",          2097152, 0x98b07db8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyValuesUSAEnFrDe)
STD_ROM_FN(rAddamsFamilyValuesUSAEnFrDe)

struct BurnDriver BurnDrvrAddamsFamilyValuesUSAEnFrDe = {
	"Addams Family Values (USA) (En,Fr,De)", NULL, NULL, "1986",
	"Addams Family Values (USA) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family Values (USA) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyValuesUSAEnFrDeRomInfo, rAddamsFamilyValuesUSAEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyTheEuropeEnFrDeRomDesc[] = {
	{ "Addams Family, The (Europe) (En,Fr,De).sfc",          1048576, 0x82497f19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyTheEuropeEnFrDe)
STD_ROM_FN(rAddamsFamilyTheEuropeEnFrDe)

struct BurnDriver BurnDrvrAddamsFamilyTheEuropeEnFrDe = {
	"Addams Family, The (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Addams Family, The (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyTheEuropeEnFrDeRomInfo, rAddamsFamilyTheEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyTheJapanRomDesc[] = {
	{ "Addams Family, The (Japan).sfc",          1048576, 0xcd80351c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyTheJapan)
STD_ROM_FN(rAddamsFamilyTheJapan)

struct BurnDriver BurnDrvrAddamsFamilyTheJapan = {
	"Addams Family, The (Japan)", NULL, NULL, "1986",
	"Addams Family, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyTheJapanRomInfo, rAddamsFamilyTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyTheUSARomDesc[] = {
	{ "Addams Family, The (USA).sfc",          1048576, 0x2e8034ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyTheUSA)
STD_ROM_FN(rAddamsFamilyTheUSA)

struct BurnDriver BurnDrvrAddamsFamilyTheUSA = {
	"Addams Family, The (USA)", NULL, NULL, "1986",
	"Addams Family, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyTheUSARomInfo, rAddamsFamilyTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyThePugsleysScavengerHuntEuropeRomDesc[] = {
	{ "Addams Family, The - Pugsley's Scavenger Hunt (Europe).sfc",          1048576, 0x644e7fbf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyThePugsleysScavengerHuntEurope)
STD_ROM_FN(rAddamsFamilyThePugsleysScavengerHuntEurope)

struct BurnDriver BurnDrvrAddamsFamilyThePugsleysScavengerHuntEurope = {
	"Addams Family, The - Pugsley's Scavenger Hunt (Europe)", NULL, NULL, "1986",
	"Addams Family, The - Pugsley's Scavenger Hunt (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The - Pugsley's Scavenger Hunt (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyThePugsleysScavengerHuntEuropeRomInfo, rAddamsFamilyThePugsleysScavengerHuntEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyThePugsleysScavengerHuntUSABetaRomDesc[] = {
	{ "Addams Family, The - Pugsley's Scavenger Hunt (USA) (Beta).sfc",          1048576, 0x64d68066, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyThePugsleysScavengerHuntUSABeta)
STD_ROM_FN(rAddamsFamilyThePugsleysScavengerHuntUSABeta)

struct BurnDriver BurnDrvrAddamsFamilyThePugsleysScavengerHuntUSABeta = {
	"Addams Family, The - Pugsley's Scavenger Hunt (USA) (Beta)", NULL, NULL, "1986",
	"Addams Family, The - Pugsley's Scavenger Hunt (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The - Pugsley's Scavenger Hunt (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyThePugsleysScavengerHuntUSABetaRomInfo, rAddamsFamilyThePugsleysScavengerHuntUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAddamsFamilyThePugsleysScavengerHuntUSARomDesc[] = {
	{ "Addams Family, The - Pugsley's Scavenger Hunt (USA).sfc",          1048576, 0x153a00a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAddamsFamilyThePugsleysScavengerHuntUSA)
STD_ROM_FN(rAddamsFamilyThePugsleysScavengerHuntUSA)

struct BurnDriver BurnDrvrAddamsFamilyThePugsleysScavengerHuntUSA = {
	"Addams Family, The - Pugsley's Scavenger Hunt (USA)", NULL, NULL, "1986",
	"Addams Family, The - Pugsley's Scavenger Hunt (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Addams Family, The - Pugsley's Scavenger Hunt (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAddamsFamilyThePugsleysScavengerHuntUSARomInfo, rAddamsFamilyThePugsleysScavengerHuntUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofBatmanRobinTheEuropeRomDesc[] = {
	{ "Adventures of Batman & Robin, The (Europe).sfc",          2097152, 0x96b0c568, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofBatmanRobinTheEurope)
STD_ROM_FN(rAdventuresofBatmanRobinTheEurope)

struct BurnDriver BurnDrvrAdventuresofBatmanRobinTheEurope = {
	"Adventures of Batman & Robin, The (Europe)", NULL, NULL, "1986",
	"Adventures of Batman & Robin, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Batman & Robin, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofBatmanRobinTheEuropeRomInfo, rAdventuresofBatmanRobinTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofBatmanRobinTheUSARomDesc[] = {
	{ "Adventures of Batman & Robin, The (USA).sfc",          2097152, 0xb3ef81f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofBatmanRobinTheUSA)
STD_ROM_FN(rAdventuresofBatmanRobinTheUSA)

struct BurnDriver BurnDrvrAdventuresofBatmanRobinTheUSA = {
	"Adventures of Batman & Robin, The (USA)", NULL, NULL, "1986",
	"Adventures of Batman & Robin, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Batman & Robin, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofBatmanRobinTheUSARomInfo, rAdventuresofBatmanRobinTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSvRomDesc[] = {
	{ "Adventures of Dr. Franken, The (Europe) (En,Fr,De,Es,It,Nl,Sv).sfc",          1048576, 0xe4925f15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSv)
STD_ROM_FN(rAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSv)

struct BurnDriver BurnDrvrAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSv = {
	"Adventures of Dr. Franken, The (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, "1986",
	"Adventures of Dr. Franken, The (Europe) (En,Fr,De,Es,It,Nl,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Dr. Franken, The (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSvRomInfo, rAdventuresofDrFrankenTheEuropeEnFrDeEsItNlSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofDrFrankenTheUSARomDesc[] = {
	{ "Adventures of Dr. Franken, The (USA).sfc",          1048576, 0xcfab3bba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofDrFrankenTheUSA)
STD_ROM_FN(rAdventuresofDrFrankenTheUSA)

struct BurnDriver BurnDrvrAdventuresofDrFrankenTheUSA = {
	"Adventures of Dr. Franken, The (USA)", NULL, NULL, "1986",
	"Adventures of Dr. Franken, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Dr. Franken, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofDrFrankenTheUSARomInfo, rAdventuresofDrFrankenTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofKidKleetsTheUSAEnFrEsRomDesc[] = {
	{ "Adventures of Kid Kleets, The (USA) (En,Fr,Es).sfc",          1310720, 0x1664ae48, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofKidKleetsTheUSAEnFrEs)
STD_ROM_FN(rAdventuresofKidKleetsTheUSAEnFrEs)

struct BurnDriver BurnDrvrAdventuresofKidKleetsTheUSAEnFrEs = {
	"Adventures of Kid Kleets, The (USA) (En,Fr,Es)", NULL, NULL, "1986",
	"Adventures of Kid Kleets, The (USA) (En,Fr,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Kid Kleets, The (USA) (En,Fr,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofKidKleetsTheUSAEnFrEsRomInfo, rAdventuresofKidKleetsTheUSAEnFrEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofRockyandBullwinkleandFriendsTheUSARomDesc[] = {
	{ "Adventures of Rocky and Bullwinkle and Friends, The (USA).sfc",          1048576, 0xdc8f5734, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofRockyandBullwinkleandFriendsTheUSA)
STD_ROM_FN(rAdventuresofRockyandBullwinkleandFriendsTheUSA)

struct BurnDriver BurnDrvrAdventuresofRockyandBullwinkleandFriendsTheUSA = {
	"Adventures of Rocky and Bullwinkle and Friends, The (USA)", NULL, NULL, "1986",
	"Adventures of Rocky and Bullwinkle and Friends, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Rocky and Bullwinkle and Friends, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofRockyandBullwinkleandFriendsTheUSARomInfo, rAdventuresofRockyandBullwinkleandFriendsTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresoftheRocketeerTheJapanRomDesc[] = {
	{ "Adventures of the Rocketeer, The (Japan).sfc",          1048576, 0xcbc4868e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresoftheRocketeerTheJapan)
STD_ROM_FN(rAdventuresoftheRocketeerTheJapan)

struct BurnDriver BurnDrvrAdventuresoftheRocketeerTheJapan = {
	"Adventures of the Rocketeer, The (Japan)", NULL, NULL, "1986",
	"Adventures of the Rocketeer, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of the Rocketeer, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresoftheRocketeerTheJapanRomInfo, rAdventuresoftheRocketeerTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAdventuresofYogiBearUSARomDesc[] = {
	{ "Adventures of Yogi Bear (USA).sfc",          1048576, 0x7448d45c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAdventuresofYogiBearUSA)
STD_ROM_FN(rAdventuresofYogiBearUSA)

struct BurnDriver BurnDrvrAdventuresofYogiBearUSA = {
	"Adventures of Yogi Bear (USA)", NULL, NULL, "1986",
	"Adventures of Yogi Bear (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Adventures of Yogi Bear (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAdventuresofYogiBearUSARomInfo, rAdventuresofYogiBearUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAeroFightersUSARomDesc[] = {
	{ "Aero Fighters (USA).sfc",          1310720, 0xf194d00a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAeroFightersUSA)
STD_ROM_FN(rAeroFightersUSA)

struct BurnDriver BurnDrvrAeroFightersUSA = {
	"Aero Fighters (USA)", NULL, NULL, "1986",
	"Aero Fighters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aero Fighters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAeroFightersUSARomInfo, rAeroFightersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerotheAcroBatEuropeRomDesc[] = {
	{ "Aero the Acro-Bat (Europe).sfc",          1048576, 0xfa0ce63a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerotheAcroBatEurope)
STD_ROM_FN(rAerotheAcroBatEurope)

struct BurnDriver BurnDrvrAerotheAcroBatEurope = {
	"Aero the Acro-Bat (Europe)", NULL, NULL, "1986",
	"Aero the Acro-Bat (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aero the Acro-Bat (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerotheAcroBatEuropeRomInfo, rAerotheAcroBatEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerotheAcroBatUSARomDesc[] = {
	{ "Aero the Acro-Bat (USA).sfc",          1048576, 0x919f23cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerotheAcroBatUSA)
STD_ROM_FN(rAerotheAcroBatUSA)

struct BurnDriver BurnDrvrAerotheAcroBatUSA = {
	"Aero the Acro-Bat (USA)", NULL, NULL, "1986",
	"Aero the Acro-Bat (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aero the Acro-Bat (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerotheAcroBatUSARomInfo, rAerotheAcroBatUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerotheAcroBat2EuropeRomDesc[] = {
	{ "Aero the Acro-Bat 2 (Europe).sfc",          2097152, 0x242b8181, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerotheAcroBat2Europe)
STD_ROM_FN(rAerotheAcroBat2Europe)

struct BurnDriver BurnDrvrAerotheAcroBat2Europe = {
	"Aero the Acro-Bat 2 (Europe)", NULL, NULL, "1986",
	"Aero the Acro-Bat 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aero the Acro-Bat 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerotheAcroBat2EuropeRomInfo, rAerotheAcroBat2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerotheAcroBat2USARomDesc[] = {
	{ "Aero the Acro-Bat 2 (USA).sfc",          2097152, 0x8c05ed51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerotheAcroBat2USA)
STD_ROM_FN(rAerotheAcroBat2USA)

struct BurnDriver BurnDrvrAerotheAcroBat2USA = {
	"Aero the Acro-Bat 2 (USA)", NULL, NULL, "1986",
	"Aero the Acro-Bat 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aero the Acro-Bat 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerotheAcroBat2USARomInfo, rAerotheAcroBat2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerobizUSARomDesc[] = {
	{ "Aerobiz (USA).sfc",          1048576, 0x54302a46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerobizUSA)
STD_ROM_FN(rAerobizUSA)

struct BurnDriver BurnDrvrAerobizUSA = {
	"Aerobiz (USA)", NULL, NULL, "1986",
	"Aerobiz (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aerobiz (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerobizUSARomInfo, rAerobizUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAerobizSupersonicUSARomDesc[] = {
	{ "Aerobiz Supersonic (USA).sfc",          1048576, 0xefafab12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAerobizSupersonicUSA)
STD_ROM_FN(rAerobizSupersonicUSA)

struct BurnDriver BurnDrvrAerobizSupersonicUSA = {
	"Aerobiz Supersonic (USA)", NULL, NULL, "1986",
	"Aerobiz Supersonic (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aerobiz Supersonic (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAerobizSupersonicUSARomInfo, rAerobizSupersonicUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAgingCassetteJapanRomDesc[] = {
	{ "Aging Cassette (Japan).sfc",          131072, 0x55938e4e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAgingCassetteJapan)
STD_ROM_FN(rAgingCassetteJapan)

struct BurnDriver BurnDrvrAgingCassetteJapan = {
	"Aging Cassette (Japan)", NULL, NULL, "1986",
	"Aging Cassette (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aging Cassette (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAgingCassetteJapanRomInfo, rAgingCassetteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAguriSuzukiF1SuperDrivingEuropeRomDesc[] = {
	{ "Aguri Suzuki F-1 Super Driving (Europe).sfc",          1048576, 0xc8382f39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAguriSuzukiF1SuperDrivingEurope)
STD_ROM_FN(rAguriSuzukiF1SuperDrivingEurope)

struct BurnDriver BurnDrvrAguriSuzukiF1SuperDrivingEurope = {
	"Aguri Suzuki F-1 Super Driving (Europe)", NULL, NULL, "1986",
	"Aguri Suzuki F-1 Super Driving (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aguri Suzuki F-1 Super Driving (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAguriSuzukiF1SuperDrivingEuropeRomInfo, rAguriSuzukiF1SuperDrivingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAIIISVAResshadeIkou3SuperVersionJapanRomDesc[] = {
	{ "AIII S.V. - A Ressha de Ikou 3 - Super Version (Japan).sfc",          2097152, 0xf953b79a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAIIISVAResshadeIkou3SuperVersionJapan)
STD_ROM_FN(rAIIISVAResshadeIkou3SuperVersionJapan)

struct BurnDriver BurnDrvrAIIISVAResshadeIkou3SuperVersionJapan = {
	"AIII S.V. - A Ressha de Ikou 3 - Super Version (Japan)", NULL, NULL, "1986",
	"AIII S.V. - A Ressha de Ikou 3 - Super Version (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"AIII S.V. - A Ressha de Ikou 3 - Super Version (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAIIISVAResshadeIkou3SuperVersionJapanRomInfo, rAIIISVAResshadeIkou3SuperVersionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAirCavalryEuropeRomDesc[] = {
	{ "Air Cavalry (Europe).sfc",          1048576, 0xb3f57cc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAirCavalryEurope)
STD_ROM_FN(rAirCavalryEurope)

struct BurnDriver BurnDrvrAirCavalryEurope = {
	"Air Cavalry (Europe)", NULL, NULL, "1986",
	"Air Cavalry (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Air Cavalry (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAirCavalryEuropeRomInfo, rAirCavalryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAirCavalryUSARomDesc[] = {
	{ "Air Cavalry (USA).sfc",          1048576, 0x6b452801, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAirCavalryUSA)
STD_ROM_FN(rAirCavalryUSA)

struct BurnDriver BurnDrvrAirCavalryUSA = {
	"Air Cavalry (USA)", NULL, NULL, "1986",
	"Air Cavalry (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Air Cavalry (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAirCavalryUSARomInfo, rAirCavalryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAirManagementOozoraniKakeruJapanRev1RomDesc[] = {
	{ "Air Management - Oozora ni Kakeru (Japan) (Rev 1).sfc",          1048576, 0xa533bc97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAirManagementOozoraniKakeruJapanRev1)
STD_ROM_FN(rAirManagementOozoraniKakeruJapanRev1)

struct BurnDriver BurnDrvrAirManagementOozoraniKakeruJapanRev1 = {
	"Air Management - Oozora ni Kakeru (Japan) (Rev 1)", NULL, NULL, "1986",
	"Air Management - Oozora ni Kakeru (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Air Management - Oozora ni Kakeru (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAirManagementOozoraniKakeruJapanRev1RomInfo, rAirManagementOozoraniKakeruJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAirManagementOozoraniKakeruJapanRomDesc[] = {
	{ "Air Management - Oozora ni Kakeru (Japan).sfc",          1048576, 0xf6643226, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAirManagementOozoraniKakeruJapan)
STD_ROM_FN(rAirManagementOozoraniKakeruJapan)

struct BurnDriver BurnDrvrAirManagementOozoraniKakeruJapan = {
	"Air Management - Oozora ni Kakeru (Japan)", NULL, NULL, "1986",
	"Air Management - Oozora ni Kakeru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Air Management - Oozora ni Kakeru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAirManagementOozoraniKakeruJapanRomInfo, rAirManagementOozoraniKakeruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAirManagementIIKoukuuOuoMezaseJapanRomDesc[] = {
	{ "Air Management II - Koukuu Ou o Mezase (Japan).sfc",          1048576, 0x8d0b3c85, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAirManagementIIKoukuuOuoMezaseJapan)
STD_ROM_FN(rAirManagementIIKoukuuOuoMezaseJapan)

struct BurnDriver BurnDrvrAirManagementIIKoukuuOuoMezaseJapan = {
	"Air Management II - Koukuu Ou o Mezase (Japan)", NULL, NULL, "1986",
	"Air Management II - Koukuu Ou o Mezase (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Air Management II - Koukuu Ou o Mezase (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAirManagementIIKoukuuOuoMezaseJapanRomInfo, rAirManagementIIKoukuuOuoMezaseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAkagawaJirouMajotachinoNemuriJapanRomDesc[] = {
	{ "Akagawa Jirou Majo-tachi no Nemuri (Japan).sfc",          3145728, 0x167e4c15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAkagawaJirouMajotachinoNemuriJapan)
STD_ROM_FN(rAkagawaJirouMajotachinoNemuriJapan)

struct BurnDriver BurnDrvrAkagawaJirouMajotachinoNemuriJapan = {
	"Akagawa Jirou Majo-tachi no Nemuri (Japan)", NULL, NULL, "1986",
	"Akagawa Jirou Majo-tachi no Nemuri (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Akagawa Jirou Majo-tachi no Nemuri (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAkagawaJirouMajotachinoNemuriJapanRomInfo, rAkagawaJirouMajotachinoNemuriJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAkazukinChachaJapanRomDesc[] = {
	{ "Akazukin Chacha (Japan).sfc",          1572864, 0xeef47b5e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAkazukinChachaJapan)
STD_ROM_FN(rAkazukinChachaJapan)

struct BurnDriver BurnDrvrAkazukinChachaJapan = {
	"Akazukin Chacha (Japan)", NULL, NULL, "1986",
	"Akazukin Chacha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Akazukin Chacha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAkazukinChachaJapanRomInfo, rAkazukinChachaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAkumajouDraculaJapanRomDesc[] = {
	{ "Akumajou Dracula (Japan).sfc",          1048576, 0xeda59a2a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAkumajouDraculaJapan)
STD_ROM_FN(rAkumajouDraculaJapan)

struct BurnDriver BurnDrvrAkumajouDraculaJapan = {
	"Akumajou Dracula (Japan)", NULL, NULL, "1986",
	"Akumajou Dracula (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Akumajou Dracula (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAkumajouDraculaJapanRomInfo, rAkumajouDraculaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAkumajouDraculaXXJapanRomDesc[] = {
	{ "Akumajou Dracula XX (Japan).sfc",          2097152, 0xaa75fa8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAkumajouDraculaXXJapan)
STD_ROM_FN(rAkumajouDraculaXXJapan)

struct BurnDriver BurnDrvrAkumajouDraculaXXJapan = {
	"Akumajou Dracula XX (Japan)", NULL, NULL, "1986",
	"Akumajou Dracula XX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Akumajou Dracula XX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAkumajouDraculaXXJapanRomInfo, rAkumajouDraculaXXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlUnserJrsRoadtotheTopEuropeRomDesc[] = {
	{ "Al Unser Jr.'s Road to the Top (Europe).sfc",          1048576, 0x4cf5d45f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlUnserJrsRoadtotheTopEurope)
STD_ROM_FN(rAlUnserJrsRoadtotheTopEurope)

struct BurnDriver BurnDrvrAlUnserJrsRoadtotheTopEurope = {
	"Al Unser Jr.'s Road to the Top (Europe)", NULL, NULL, "1986",
	"Al Unser Jr.'s Road to the Top (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Al Unser Jr.'s Road to the Top (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlUnserJrsRoadtotheTopEuropeRomInfo, rAlUnserJrsRoadtotheTopEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlUnserJrsRoadtotheTopUSARomDesc[] = {
	{ "Al Unser Jr.'s Road to the Top (USA).sfc",          1048576, 0xd0550624, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlUnserJrsRoadtotheTopUSA)
STD_ROM_FN(rAlUnserJrsRoadtotheTopUSA)

struct BurnDriver BurnDrvrAlUnserJrsRoadtotheTopUSA = {
	"Al Unser Jr.'s Road to the Top (USA)", NULL, NULL, "1986",
	"Al Unser Jr.'s Road to the Top (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Al Unser Jr.'s Road to the Top (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlUnserJrsRoadtotheTopUSARomInfo, rAlUnserJrsRoadtotheTopUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinEuropeRomDesc[] = {
	{ "Aladdin (Europe).sfc",          1310720, 0x44ff6e78, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinEurope)
STD_ROM_FN(rAladdinEurope)

struct BurnDriver BurnDrvrAladdinEurope = {
	"Aladdin (Europe)", NULL, NULL, "1986",
	"Aladdin (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinEuropeRomInfo, rAladdinEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinFranceRomDesc[] = {
	{ "Aladdin (France).sfc",          1310720, 0x63069939, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinFrance)
STD_ROM_FN(rAladdinFrance)

struct BurnDriver BurnDrvrAladdinFrance = {
	"Aladdin (France)", NULL, NULL, "1986",
	"Aladdin (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinFranceRomInfo, rAladdinFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinGermanyRomDesc[] = {
	{ "Aladdin (Germany).sfc",          1310720, 0xa7ad3e5d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinGermany)
STD_ROM_FN(rAladdinGermany)

struct BurnDriver BurnDrvrAladdinGermany = {
	"Aladdin (Germany)", NULL, NULL, "1986",
	"Aladdin (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinGermanyRomInfo, rAladdinGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinJapanRomDesc[] = {
	{ "Aladdin (Japan).sfc",          1310720, 0x1aeb696b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinJapan)
STD_ROM_FN(rAladdinJapan)

struct BurnDriver BurnDrvrAladdinJapan = {
	"Aladdin (Japan)", NULL, NULL, "1986",
	"Aladdin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinJapanRomInfo, rAladdinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinSpainRomDesc[] = {
	{ "Aladdin (Spain).sfc",          1310720, 0x90ee8c61, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinSpain)
STD_ROM_FN(rAladdinSpain)

struct BurnDriver BurnDrvrAladdinSpain = {
	"Aladdin (Spain)", NULL, NULL, "1986",
	"Aladdin (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinSpainRomInfo, rAladdinSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinUSABetaRomDesc[] = {
	{ "Aladdin (USA) (Beta).sfc",          1310720, 0x52fdfab4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinUSABeta)
STD_ROM_FN(rAladdinUSABeta)

struct BurnDriver BurnDrvrAladdinUSABeta = {
	"Aladdin (USA) (Beta)", NULL, NULL, "1986",
	"Aladdin (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinUSABetaRomInfo, rAladdinUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAladdinUSARomDesc[] = {
	{ "Aladdin (USA).sfc",          1310720, 0x124d8e4d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAladdinUSA)
STD_ROM_FN(rAladdinUSA)

struct BurnDriver BurnDrvrAladdinUSA = {
	"Aladdin (USA)", NULL, NULL, "1986",
	"Aladdin (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aladdin (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAladdinUSARomInfo, rAladdinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlbertOdysseyJapanBSRomDesc[] = {
	{ "Albert Odyssey (Japan) (BS).sfc",          1048576, 0xd5f6ad68, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlbertOdysseyJapanBS)
STD_ROM_FN(rAlbertOdysseyJapanBS)

struct BurnDriver BurnDrvrAlbertOdysseyJapanBS = {
	"Albert Odyssey (Japan) (BS)", NULL, NULL, "1986",
	"Albert Odyssey (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Albert Odyssey (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlbertOdysseyJapanBSRomInfo, rAlbertOdysseyJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlbertOdysseyJapanRomDesc[] = {
	{ "Albert Odyssey (Japan).sfc",          1048576, 0x46ca01a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlbertOdysseyJapan)
STD_ROM_FN(rAlbertOdysseyJapan)

struct BurnDriver BurnDrvrAlbertOdysseyJapan = {
	"Albert Odyssey (Japan)", NULL, NULL, "1986",
	"Albert Odyssey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Albert Odyssey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlbertOdysseyJapanRomInfo, rAlbertOdysseyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlbertOdyssey2JashinnoTaidouJapanRomDesc[] = {
	{ "Albert Odyssey 2 - Jashin no Taidou (Japan).sfc",          2097152, 0x1b6add7b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlbertOdyssey2JashinnoTaidouJapan)
STD_ROM_FN(rAlbertOdyssey2JashinnoTaidouJapan)

struct BurnDriver BurnDrvrAlbertOdyssey2JashinnoTaidouJapan = {
	"Albert Odyssey 2 - Jashin no Taidou (Japan)", NULL, NULL, "1986",
	"Albert Odyssey 2 - Jashin no Taidou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Albert Odyssey 2 - Jashin no Taidou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlbertOdyssey2JashinnoTaidouJapanRomInfo, rAlbertOdyssey2JashinnoTaidouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlcahestJapanRomDesc[] = {
	{ "Alcahest (Japan).sfc",          1048576, 0x870427d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlcahestJapan)
STD_ROM_FN(rAlcahestJapan)

struct BurnDriver BurnDrvrAlcahestJapan = {
	"Alcahest (Japan)", NULL, NULL, "1986",
	"Alcahest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alcahest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlcahestJapanRomInfo, rAlcahestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlfredChickenEuropeRomDesc[] = {
	{ "Alfred Chicken (Europe).sfc",          1048576, 0xe344627b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlfredChickenEurope)
STD_ROM_FN(rAlfredChickenEurope)

struct BurnDriver BurnDrvrAlfredChickenEurope = {
	"Alfred Chicken (Europe)", NULL, NULL, "1986",
	"Alfred Chicken (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alfred Chicken (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlfredChickenEuropeRomInfo, rAlfredChickenEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlicenoPaintAdventureJapanRomDesc[] = {
	{ "Alice no Paint Adventure (Japan).sfc",          1048576, 0x5798da8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlicenoPaintAdventureJapan)
STD_ROM_FN(rAlicenoPaintAdventureJapan)

struct BurnDriver BurnDrvrAlicenoPaintAdventureJapan = {
	"Alice no Paint Adventure (Japan)", NULL, NULL, "1986",
	"Alice no Paint Adventure (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alice no Paint Adventure (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlicenoPaintAdventureJapanRomInfo, rAlicenoPaintAdventureJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlien3EuropeRomDesc[] = {
	{ "Alien 3 (Europe).sfc",          1048576, 0x378613b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlien3Europe)
STD_ROM_FN(rAlien3Europe)

struct BurnDriver BurnDrvrAlien3Europe = {
	"Alien 3 (Europe)", NULL, NULL, "1986",
	"Alien 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlien3EuropeRomInfo, rAlien3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlien3JapanRomDesc[] = {
	{ "Alien 3 (Japan).sfc",          1048576, 0x8a21b63f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlien3Japan)
STD_ROM_FN(rAlien3Japan)

struct BurnDriver BurnDrvrAlien3Japan = {
	"Alien 3 (Japan)", NULL, NULL, "1986",
	"Alien 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlien3JapanRomInfo, rAlien3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlien3USABetaRomDesc[] = {
	{ "Alien 3 (USA) (Beta).sfc",          1048576, 0x77713c95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlien3USABeta)
STD_ROM_FN(rAlien3USABeta)

struct BurnDriver BurnDrvrAlien3USABeta = {
	"Alien 3 (USA) (Beta)", NULL, NULL, "1986",
	"Alien 3 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien 3 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlien3USABetaRomInfo, rAlien3USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlien3USARomDesc[] = {
	{ "Alien 3 (USA).sfc",          1048576, 0x98e2ac15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlien3USA)
STD_ROM_FN(rAlien3USA)

struct BurnDriver BurnDrvrAlien3USA = {
	"Alien 3 (USA)", NULL, NULL, "1986",
	"Alien 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlien3USARomInfo, rAlien3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlienvsPredatorEuropeRomDesc[] = {
	{ "Alien vs. Predator (Europe).sfc",          1048576, 0xa31d1f58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlienvsPredatorEurope)
STD_ROM_FN(rAlienvsPredatorEurope)

struct BurnDriver BurnDrvrAlienvsPredatorEurope = {
	"Alien vs. Predator (Europe)", NULL, NULL, "1986",
	"Alien vs. Predator (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien vs. Predator (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlienvsPredatorEuropeRomInfo, rAlienvsPredatorEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAlienvsPredatorUSARomDesc[] = {
	{ "Alien vs. Predator (USA).sfc",          1048576, 0x1803cf20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAlienvsPredatorUSA)
STD_ROM_FN(rAlienvsPredatorUSA)

struct BurnDriver BurnDrvrAlienvsPredatorUSA = {
	"Alien vs. Predator (USA)", NULL, NULL, "1986",
	"Alien vs. Predator (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Alien vs. Predator (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAlienvsPredatorUSARomInfo, rAlienvsPredatorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAliensvsPredatorJapanRomDesc[] = {
	{ "Aliens vs. Predator (Japan).sfc",          1048576, 0x2d5876ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAliensvsPredatorJapan)
STD_ROM_FN(rAliensvsPredatorJapan)

struct BurnDriver BurnDrvrAliensvsPredatorJapan = {
	"Aliens vs. Predator (Japan)", NULL, NULL, "1986",
	"Aliens vs. Predator (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aliens vs. Predator (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAliensvsPredatorJapanRomInfo, rAliensvsPredatorJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAllAmericanChampionshipFootballEuropeRomDesc[] = {
	{ "All-American Championship Football (Europe).sfc",          524288, 0xebefbde2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAllAmericanChampionshipFootballEurope)
STD_ROM_FN(rAllAmericanChampionshipFootballEurope)

struct BurnDriver BurnDrvrAllAmericanChampionshipFootballEurope = {
	"All-American Championship Football (Europe)", NULL, NULL, "1986",
	"All-American Championship Football (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"All-American Championship Football (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAllAmericanChampionshipFootballEuropeRomInfo, rAllAmericanChampionshipFootballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmazingSpiderManTheLethalFoesJapanRomDesc[] = {
	{ "Amazing Spider-Man, The - Lethal Foes (Japan).sfc",          1572864, 0x82f7f710, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmazingSpiderManTheLethalFoesJapan)
STD_ROM_FN(rAmazingSpiderManTheLethalFoesJapan)

struct BurnDriver BurnDrvrAmazingSpiderManTheLethalFoesJapan = {
	"Amazing Spider-Man, The - Lethal Foes (Japan)", NULL, NULL, "1986",
	"Amazing Spider-Man, The - Lethal Foes (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Amazing Spider-Man, The - Lethal Foes (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmazingSpiderManTheLethalFoesJapanRomInfo, rAmazingSpiderManTheLethalFoesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmericaOudanUltraQuizJapanRomDesc[] = {
	{ "America Oudan Ultra Quiz (Japan).sfc",          1048576, 0x9624e6ed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmericaOudanUltraQuizJapan)
STD_ROM_FN(rAmericaOudanUltraQuizJapan)

struct BurnDriver BurnDrvrAmericaOudanUltraQuizJapan = {
	"America Oudan Ultra Quiz (Japan)", NULL, NULL, "1986",
	"America Oudan Ultra Quiz (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"America Oudan Ultra Quiz (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmericaOudanUltraQuizJapanRomInfo, rAmericaOudanUltraQuizJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmericanBattleDomeJapanRomDesc[] = {
	{ "American Battle Dome (Japan).sfc",          1048576, 0x61753981, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmericanBattleDomeJapan)
STD_ROM_FN(rAmericanBattleDomeJapan)

struct BurnDriver BurnDrvrAmericanBattleDomeJapan = {
	"American Battle Dome (Japan)", NULL, NULL, "1986",
	"American Battle Dome (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"American Battle Dome (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmericanBattleDomeJapanRomInfo, rAmericanBattleDomeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmericanGladiatorsUSARomDesc[] = {
	{ "American Gladiators (USA).sfc",          1048576, 0x76b151fd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmericanGladiatorsUSA)
STD_ROM_FN(rAmericanGladiatorsUSA)

struct BurnDriver BurnDrvrAmericanGladiatorsUSA = {
	"American Gladiators (USA)", NULL, NULL, "1986",
	"American Gladiators (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"American Gladiators (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmericanGladiatorsUSARomInfo, rAmericanGladiatorsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmericanTailAnFievelGoesWestEuropeRomDesc[] = {
	{ "American Tail, An - Fievel Goes West (Europe).sfc",          1048576, 0x80ac1b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmericanTailAnFievelGoesWestEurope)
STD_ROM_FN(rAmericanTailAnFievelGoesWestEurope)

struct BurnDriver BurnDrvrAmericanTailAnFievelGoesWestEurope = {
	"American Tail, An - Fievel Goes West (Europe)", NULL, NULL, "1986",
	"American Tail, An - Fievel Goes West (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"American Tail, An - Fievel Goes West (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmericanTailAnFievelGoesWestEuropeRomInfo, rAmericanTailAnFievelGoesWestEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAmericanTailAnFievelGoesWestUSARomDesc[] = {
	{ "American Tail, An - Fievel Goes West (USA).sfc",          1048576, 0xeea38aed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAmericanTailAnFievelGoesWestUSA)
STD_ROM_FN(rAmericanTailAnFievelGoesWestUSA)

struct BurnDriver BurnDrvrAmericanTailAnFievelGoesWestUSA = {
	"American Tail, An - Fievel Goes West (USA)", NULL, NULL, "1986",
	"American Tail, An - Fievel Goes West (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"American Tail, An - Fievel Goes West (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAmericanTailAnFievelGoesWestUSARomInfo, rAmericanTailAnFievelGoesWestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAndreAgassiTennisJapanRomDesc[] = {
	{ "Andre Agassi Tennis (Japan).sfc",          524288, 0xd9879a39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAndreAgassiTennisJapan)
STD_ROM_FN(rAndreAgassiTennisJapan)

struct BurnDriver BurnDrvrAndreAgassiTennisJapan = {
	"Andre Agassi Tennis (Japan)", NULL, NULL, "1986",
	"Andre Agassi Tennis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Andre Agassi Tennis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAndreAgassiTennisJapanRomInfo, rAndreAgassiTennisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAndreAgassiTennisUSARomDesc[] = {
	{ "Andre Agassi Tennis (USA).sfc",          524288, 0xd1ae87be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAndreAgassiTennisUSA)
STD_ROM_FN(rAndreAgassiTennisUSA)

struct BurnDriver BurnDrvrAndreAgassiTennisUSA = {
	"Andre Agassi Tennis (USA)", NULL, NULL, "1986",
	"Andre Agassi Tennis (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Andre Agassi Tennis (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAndreAgassiTennisUSARomInfo, rAndreAgassiTennisUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAngeliqueJapanPremiumBoxRomDesc[] = {
	{ "Angelique (Japan) (Premium Box).sfc",          2097152, 0x3da108c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAngeliqueJapanPremiumBox)
STD_ROM_FN(rAngeliqueJapanPremiumBox)

struct BurnDriver BurnDrvrAngeliqueJapanPremiumBox = {
	"Angelique (Japan) (Premium Box)", NULL, NULL, "1986",
	"Angelique (Japan) (Premium Box)\0", NULL, "Nintendo", "Miscellaneous",
	L"Angelique (Japan) (Premium Box)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAngeliqueJapanPremiumBoxRomInfo, rAngeliqueJapanPremiumBoxRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAngeliqueJapanRomDesc[] = {
	{ "Angelique (Japan).sfc",          2097152, 0xec3edb9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAngeliqueJapan)
STD_ROM_FN(rAngeliqueJapan)

struct BurnDriver BurnDrvrAngeliqueJapan = {
	"Angelique (Japan)", NULL, NULL, "1986",
	"Angelique (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Angelique (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAngeliqueJapanRomInfo, rAngeliqueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAngeliqueVoiceFantasyJapanRomDesc[] = {
	{ "Angelique - Voice Fantasy (Japan).sfc",          3145728, 0xea6ae8a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAngeliqueVoiceFantasyJapan)
STD_ROM_FN(rAngeliqueVoiceFantasyJapan)

struct BurnDriver BurnDrvrAngeliqueVoiceFantasyJapan = {
	"Angelique - Voice Fantasy (Japan)", NULL, NULL, "1986",
	"Angelique - Voice Fantasy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Angelique - Voice Fantasy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAngeliqueVoiceFantasyJapanRomInfo, rAngeliqueVoiceFantasyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAnimalBurandenBrutalJapanRomDesc[] = {
	{ "Animal Buranden - Brutal (Japan).sfc",          2097152, 0x78eca50d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAnimalBurandenBrutalJapan)
STD_ROM_FN(rAnimalBurandenBrutalJapan)

struct BurnDriver BurnDrvrAnimalBurandenBrutalJapan = {
	"Animal Buranden - Brutal (Japan)", NULL, NULL, "1986",
	"Animal Buranden - Brutal (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Animal Buranden - Brutal (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAnimalBurandenBrutalJapanRomInfo, rAnimalBurandenBrutalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAnimaniacsEuropeRomDesc[] = {
	{ "Animaniacs (Europe).sfc",          1048576, 0xc28a80f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAnimaniacsEurope)
STD_ROM_FN(rAnimaniacsEurope)

struct BurnDriver BurnDrvrAnimaniacsEurope = {
	"Animaniacs (Europe)", NULL, NULL, "1986",
	"Animaniacs (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Animaniacs (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAnimaniacsEuropeRomInfo, rAnimaniacsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAnimaniacsJapanRomDesc[] = {
	{ "Animaniacs (Japan).sfc",          1048576, 0xd93e07a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAnimaniacsJapan)
STD_ROM_FN(rAnimaniacsJapan)

struct BurnDriver BurnDrvrAnimaniacsJapan = {
	"Animaniacs (Japan)", NULL, NULL, "1986",
	"Animaniacs (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Animaniacs (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAnimaniacsJapanRomInfo, rAnimaniacsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAnimaniacsUSARomDesc[] = {
	{ "Animaniacs (USA).sfc",          1048576, 0xcf0f14d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAnimaniacsUSA)
STD_ROM_FN(rAnimaniacsUSA)

struct BurnDriver BurnDrvrAnimaniacsUSA = {
	"Animaniacs (USA)", NULL, NULL, "1986",
	"Animaniacs (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Animaniacs (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAnimaniacsUSARomInfo, rAnimaniacsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAnotherWorldEuropeRomDesc[] = {
	{ "Another World (Europe).sfc",          1048576, 0x83b40af2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAnotherWorldEurope)
STD_ROM_FN(rAnotherWorldEurope)

struct BurnDriver BurnDrvrAnotherWorldEurope = {
	"Another World (Europe)", NULL, NULL, "1986",
	"Another World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Another World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAnotherWorldEuropeRomInfo, rAnotherWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAokiDensetsuShootJapanRomDesc[] = {
	{ "Aoki Densetsu Shoot! (Japan).sfc",          1572864, 0x9ea4ad6f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAokiDensetsuShootJapan)
STD_ROM_FN(rAokiDensetsuShootJapan)

struct BurnDriver BurnDrvrAokiDensetsuShootJapan = {
	"Aoki Densetsu Shoot! (Japan)", NULL, NULL, "1986",
	"Aoki Densetsu Shoot! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aoki Densetsu Shoot! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAokiDensetsuShootJapanRomInfo, rAokiDensetsuShootJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rApocalypseIIEuropeProtoRomDesc[] = {
	{ "Apocalypse II (Europe) (Proto).sfc",          1048576, 0x6a53c658, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rApocalypseIIEuropeProto)
STD_ROM_FN(rApocalypseIIEuropeProto)

struct BurnDriver BurnDrvrApocalypseIIEuropeProto = {
	"Apocalypse II (Europe) (Proto)", NULL, NULL, "1986",
	"Apocalypse II (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Apocalypse II (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rApocalypseIIEuropeProtoRomInfo, rApocalypseIIEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAppleseedPrometheusnoShintakuJapanRomDesc[] = {
	{ "Appleseed - Prometheus no Shintaku (Japan).sfc",          2097152, 0xc0e62c02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAppleseedPrometheusnoShintakuJapan)
STD_ROM_FN(rAppleseedPrometheusnoShintakuJapan)

struct BurnDriver BurnDrvrAppleseedPrometheusnoShintakuJapan = {
	"Appleseed - Prometheus no Shintaku (Japan)", NULL, NULL, "1986",
	"Appleseed - Prometheus no Shintaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Appleseed - Prometheus no Shintaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAppleseedPrometheusnoShintakuJapanRomInfo, rAppleseedPrometheusnoShintakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAqutallionJapanRomDesc[] = {
	{ "Aqutallion (Japan).sfc",          1048576, 0x4ca1696f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAqutallionJapan)
STD_ROM_FN(rAqutallionJapan)

struct BurnDriver BurnDrvrAqutallionJapan = {
	"Aqutallion (Japan)", NULL, NULL, "1986",
	"Aqutallion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aqutallion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAqutallionJapanRomInfo, rAqutallionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArabianNightsSabakunoSeireiOuJapanRomDesc[] = {
	{ "Arabian Nights - Sabaku no Seirei Ou (Japan).sfc",          2621440, 0xb6dbf57b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArabianNightsSabakunoSeireiOuJapan)
STD_ROM_FN(rArabianNightsSabakunoSeireiOuJapan)

struct BurnDriver BurnDrvrArabianNightsSabakunoSeireiOuJapan = {
	"Arabian Nights - Sabaku no Seirei Ou (Japan)", NULL, NULL, "1986",
	"Arabian Nights - Sabaku no Seirei Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arabian Nights - Sabaku no Seirei Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArabianNightsSabakunoSeireiOuJapanRomInfo, rArabianNightsSabakunoSeireiOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAraigumaRascalJapanRomDesc[] = {
	{ "Araiguma Rascal (Japan).sfc",          1048576, 0xde13ec70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAraigumaRascalJapan)
STD_ROM_FN(rAraigumaRascalJapan)

struct BurnDriver BurnDrvrAraigumaRascalJapan = {
	"Araiguma Rascal (Japan)", NULL, NULL, "1986",
	"Araiguma Rascal (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Araiguma Rascal (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAraigumaRascalJapanRomInfo, rAraigumaRascalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcadesGreatestHitsEuropeRomDesc[] = {
	{ "Arcade's Greatest Hits (Europe).sfc",          524288, 0xdc69693f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcadesGreatestHitsEurope)
STD_ROM_FN(rArcadesGreatestHitsEurope)

struct BurnDriver BurnDrvrArcadesGreatestHitsEurope = {
	"Arcade's Greatest Hits (Europe)", NULL, NULL, "1986",
	"Arcade's Greatest Hits (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcade's Greatest Hits (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcadesGreatestHitsEuropeRomInfo, rArcadesGreatestHitsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcadesGreatestHitsUSARomDesc[] = {
	{ "Arcade's Greatest Hits (USA).sfc",          524288, 0x471b12b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcadesGreatestHitsUSA)
STD_ROM_FN(rArcadesGreatestHitsUSA)

struct BurnDriver BurnDrvrArcadesGreatestHitsUSA = {
	"Arcade's Greatest Hits (USA)", NULL, NULL, "1986",
	"Arcade's Greatest Hits (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcade's Greatest Hits (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcadesGreatestHitsUSARomInfo, rArcadesGreatestHitsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcadesGreatestHitsTheAtariCollection1EuropeRomDesc[] = {
	{ "Arcade's Greatest Hits - The Atari Collection 1 (Europe).sfc",          524288, 0xd562233e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcadesGreatestHitsTheAtariCollection1Europe)
STD_ROM_FN(rArcadesGreatestHitsTheAtariCollection1Europe)

struct BurnDriver BurnDrvrArcadesGreatestHitsTheAtariCollection1Europe = {
	"Arcade's Greatest Hits - The Atari Collection 1 (Europe)", NULL, NULL, "1986",
	"Arcade's Greatest Hits - The Atari Collection 1 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcade's Greatest Hits - The Atari Collection 1 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcadesGreatestHitsTheAtariCollection1EuropeRomInfo, rArcadesGreatestHitsTheAtariCollection1EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcadesGreatestHitsTheAtariCollection1USARomDesc[] = {
	{ "Arcade's Greatest Hits - The Atari Collection 1 (USA).sfc",          524288, 0x2394f36, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcadesGreatestHitsTheAtariCollection1USA)
STD_ROM_FN(rArcadesGreatestHitsTheAtariCollection1USA)

struct BurnDriver BurnDrvrArcadesGreatestHitsTheAtariCollection1USA = {
	"Arcade's Greatest Hits - The Atari Collection 1 (USA)", NULL, NULL, "1986",
	"Arcade's Greatest Hits - The Atari Collection 1 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcade's Greatest Hits - The Atari Collection 1 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcadesGreatestHitsTheAtariCollection1USARomInfo, rArcadesGreatestHitsTheAtariCollection1USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcanaUSARomDesc[] = {
	{ "Arcana (USA).sfc",          1048576, 0xc891b297, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcanaUSA)
STD_ROM_FN(rArcanaUSA)

struct BurnDriver BurnDrvrArcanaUSA = {
	"Arcana (USA)", NULL, NULL, "1986",
	"Arcana (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcana (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcanaUSARomInfo, rArcanaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcusOdysseyUSAProtoRomDesc[] = {
	{ "Arcus Odyssey (USA) (Proto).sfc",          1572864, 0x184ef398, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcusOdysseyUSAProto)
STD_ROM_FN(rArcusOdysseyUSAProto)

struct BurnDriver BurnDrvrArcusOdysseyUSAProto = {
	"Arcus Odyssey (USA) (Proto)", NULL, NULL, "1986",
	"Arcus Odyssey (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcus Odyssey (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcusOdysseyUSAProtoRomInfo, rArcusOdysseyUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArcusSpiritsJapanRomDesc[] = {
	{ "Arcus Spirits (Japan).sfc",          1310720, 0xc9067671, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArcusSpiritsJapan)
STD_ROM_FN(rArcusSpiritsJapan)

struct BurnDriver BurnDrvrArcusSpiritsJapan = {
	"Arcus Spirits (Japan)", NULL, NULL, "1986",
	"Arcus Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arcus Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArcusSpiritsJapanRomInfo, rArcusSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArdyLightfootEuropeRomDesc[] = {
	{ "Ardy Lightfoot (Europe).sfc",          1048576, 0xd239398f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArdyLightfootEurope)
STD_ROM_FN(rArdyLightfootEurope)

struct BurnDriver BurnDrvrArdyLightfootEurope = {
	"Ardy Lightfoot (Europe)", NULL, NULL, "1986",
	"Ardy Lightfoot (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ardy Lightfoot (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArdyLightfootEuropeRomInfo, rArdyLightfootEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArdyLightfootJapanBetaRomDesc[] = {
	{ "Ardy Lightfoot (Japan) (Beta).sfc",          1048576, 0xf73a6e33, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArdyLightfootJapanBeta)
STD_ROM_FN(rArdyLightfootJapanBeta)

struct BurnDriver BurnDrvrArdyLightfootJapanBeta = {
	"Ardy Lightfoot (Japan) (Beta)", NULL, NULL, "1986",
	"Ardy Lightfoot (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ardy Lightfoot (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArdyLightfootJapanBetaRomInfo, rArdyLightfootJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArdyLightfootJapanRomDesc[] = {
	{ "Ardy Lightfoot (Japan).sfc",          1048576, 0x2aa7777b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArdyLightfootJapan)
STD_ROM_FN(rArdyLightfootJapan)

struct BurnDriver BurnDrvrArdyLightfootJapan = {
	"Ardy Lightfoot (Japan)", NULL, NULL, "1986",
	"Ardy Lightfoot (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ardy Lightfoot (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArdyLightfootJapanRomInfo, rArdyLightfootJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArdyLightfootUSARomDesc[] = {
	{ "Ardy Lightfoot (USA).sfc",          1048576, 0x51a5f489, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArdyLightfootUSA)
STD_ROM_FN(rArdyLightfootUSA)

struct BurnDriver BurnDrvrArdyLightfootUSA = {
	"Ardy Lightfoot (USA)", NULL, NULL, "1986",
	"Ardy Lightfoot (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ardy Lightfoot (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArdyLightfootUSARomInfo, rArdyLightfootUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArea88JapanRomDesc[] = {
	{ "Area 88 (Japan).sfc",          1048576, 0x6388f71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArea88Japan)
STD_ROM_FN(rArea88Japan)

struct BurnDriver BurnDrvrArea88Japan = {
	"Area 88 (Japan)", NULL, NULL, "1986",
	"Area 88 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Area 88 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArea88JapanRomInfo, rArea88JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArethaJapanRomDesc[] = {
	{ "Aretha (Japan).sfc",          2097152, 0x395bade3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArethaJapan)
STD_ROM_FN(rArethaJapan)

struct BurnDriver BurnDrvrArethaJapan = {
	"Aretha (Japan)", NULL, NULL, "1986",
	"Aretha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aretha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArethaJapanRomInfo, rArethaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArethaIIArielnoFushiginaTabiJapanBetaAlt1RomDesc[] = {
	{ "Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta) (Alt 1).sfc",          2097152, 0x7b164161, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArethaIIArielnoFushiginaTabiJapanBetaAlt1)
STD_ROM_FN(rArethaIIArielnoFushiginaTabiJapanBetaAlt1)

struct BurnDriver BurnDrvrArethaIIArielnoFushiginaTabiJapanBetaAlt1 = {
	"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArethaIIArielnoFushiginaTabiJapanBetaAlt1RomInfo, rArethaIIArielnoFushiginaTabiJapanBetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArethaIIArielnoFushiginaTabiJapanBetaRomDesc[] = {
	{ "Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta).sfc",          2097152, 0x7f5a6f91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArethaIIArielnoFushiginaTabiJapanBeta)
STD_ROM_FN(rArethaIIArielnoFushiginaTabiJapanBeta)

struct BurnDriver BurnDrvrArethaIIArielnoFushiginaTabiJapanBeta = {
	"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta)", NULL, NULL, "1986",
	"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aretha II - Ariel no Fushigi na Tabi (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArethaIIArielnoFushiginaTabiJapanBetaRomInfo, rArethaIIArielnoFushiginaTabiJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArethaIIArielnoFushiginaTabiJapanRomDesc[] = {
	{ "Aretha II - Ariel no Fushigi na Tabi (Japan).sfc",          2097152, 0xff63ec26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArethaIIArielnoFushiginaTabiJapan)
STD_ROM_FN(rArethaIIArielnoFushiginaTabiJapan)

struct BurnDriver BurnDrvrArethaIIArielnoFushiginaTabiJapan = {
	"Aretha II - Ariel no Fushigi na Tabi (Japan)", NULL, NULL, "1986",
	"Aretha II - Ariel no Fushigi na Tabi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aretha II - Ariel no Fushigi na Tabi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArethaIIArielnoFushiginaTabiJapanRomInfo, rArethaIIArielnoFushiginaTabiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArkanoidDohItAgainEuropeRomDesc[] = {
	{ "Arkanoid - Doh It Again (Europe).sfc",          524288, 0xd436489b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArkanoidDohItAgainEurope)
STD_ROM_FN(rArkanoidDohItAgainEurope)

struct BurnDriver BurnDrvrArkanoidDohItAgainEurope = {
	"Arkanoid - Doh It Again (Europe)", NULL, NULL, "1986",
	"Arkanoid - Doh It Again (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arkanoid - Doh It Again (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArkanoidDohItAgainEuropeRomInfo, rArkanoidDohItAgainEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArkanoidDohItAgainJapanBSRomDesc[] = {
	{ "Arkanoid - Doh It Again (Japan) (BS).sfc",          524288, 0xded48e0a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArkanoidDohItAgainJapanBS)
STD_ROM_FN(rArkanoidDohItAgainJapanBS)

struct BurnDriver BurnDrvrArkanoidDohItAgainJapanBS = {
	"Arkanoid - Doh It Again (Japan) (BS)", NULL, NULL, "1986",
	"Arkanoid - Doh It Again (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arkanoid - Doh It Again (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArkanoidDohItAgainJapanBSRomInfo, rArkanoidDohItAgainJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArkanoidDohItAgainJapanRomDesc[] = {
	{ "Arkanoid - Doh It Again (Japan).sfc",          524288, 0x7a8bbafa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArkanoidDohItAgainJapan)
STD_ROM_FN(rArkanoidDohItAgainJapan)

struct BurnDriver BurnDrvrArkanoidDohItAgainJapan = {
	"Arkanoid - Doh It Again (Japan)", NULL, NULL, "1986",
	"Arkanoid - Doh It Again (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arkanoid - Doh It Again (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArkanoidDohItAgainJapanRomInfo, rArkanoidDohItAgainJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArkanoidDohItAgainUSARomDesc[] = {
	{ "Arkanoid - Doh It Again (USA).sfc",          524288, 0xb50503a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArkanoidDohItAgainUSA)
STD_ROM_FN(rArkanoidDohItAgainUSA)

struct BurnDriver BurnDrvrArkanoidDohItAgainUSA = {
	"Arkanoid - Doh It Again (USA)", NULL, NULL, "1986",
	"Arkanoid - Doh It Again (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Arkanoid - Doh It Again (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArkanoidDohItAgainUSARomInfo, rArkanoidDohItAgainUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArtofFightingEuropeRomDesc[] = {
	{ "Art of Fighting (Europe).sfc",          2097152, 0x143051a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArtofFightingEurope)
STD_ROM_FN(rArtofFightingEurope)

struct BurnDriver BurnDrvrArtofFightingEurope = {
	"Art of Fighting (Europe)", NULL, NULL, "1986",
	"Art of Fighting (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Art of Fighting (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArtofFightingEuropeRomInfo, rArtofFightingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rArtofFightingUSARomDesc[] = {
	{ "Art of Fighting (USA).sfc",          2097152, 0x9fa74067, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rArtofFightingUSA)
STD_ROM_FN(rArtofFightingUSA)

struct BurnDriver BurnDrvrArtofFightingUSA = {
	"Art of Fighting (USA)", NULL, NULL, "1986",
	"Art of Fighting (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Art of Fighting (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rArtofFightingUSARomInfo, rArtofFightingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAryolJapanRomDesc[] = {
	{ "Aryol (Japan).sfc",          1048576, 0x43b1aad9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAryolJapan)
STD_ROM_FN(rAryolJapan)

struct BurnDriver BurnDrvrAryolJapan = {
	"Aryol (Japan)", NULL, NULL, "1986",
	"Aryol (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Aryol (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAryolJapanRomInfo, rAryolJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapanRomDesc[] = {
	{ "Asahi Shinbun Rensai - Katou Hifumi Kudan Shougi - Shingiryuu (Japan).sfc",          1048576, 0x506a8f77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapan)
STD_ROM_FN(rAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapan)

struct BurnDriver BurnDrvrAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapan = {
	"Asahi Shinbun Rensai - Katou Hifumi Kudan Shougi - Shingiryuu (Japan)", NULL, NULL, "1986",
	"Asahi Shinbun Rensai - Katou Hifumi Kudan Shougi - Shingiryuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Asahi Shinbun Rensai - Katou Hifumi Kudan Shougi - Shingiryuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapanRomInfo, rAsahiShinbunRensaiKatouHifumiKudanShougiShingiryuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAsameshimaeNyankoJapanRomDesc[] = {
	{ "Asameshimae Nyanko (Japan).sfc",          1048576, 0x24fe792f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAsameshimaeNyankoJapan)
STD_ROM_FN(rAsameshimaeNyankoJapan)

struct BurnDriver BurnDrvrAsameshimaeNyankoJapan = {
	"Asameshimae Nyanko (Japan)", NULL, NULL, "1986",
	"Asameshimae Nyanko (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Asameshimae Nyanko (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAsameshimaeNyankoJapanRomInfo, rAsameshimaeNyankoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAshitanoJoeJapanRomDesc[] = {
	{ "Ashita no Joe (Japan).sfc",          1048576, 0x6b54be97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAshitanoJoeJapan)
STD_ROM_FN(rAshitanoJoeJapan)

struct BurnDriver BurnDrvrAshitanoJoeJapan = {
	"Ashita no Joe (Japan)", NULL, NULL, "1986",
	"Ashita no Joe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ashita no Joe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAshitanoJoeJapanRomInfo, rAshitanoJoeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAssaultSuitsValkenJapanRomDesc[] = {
	{ "Assault Suits Valken (Japan).sfc",          1048576, 0xa5f63557, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAssaultSuitsValkenJapan)
STD_ROM_FN(rAssaultSuitsValkenJapan)

struct BurnDriver BurnDrvrAssaultSuitsValkenJapan = {
	"Assault Suits Valken (Japan)", NULL, NULL, "1986",
	"Assault Suits Valken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Assault Suits Valken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAssaultSuitsValkenJapanRomInfo, rAssaultSuitsValkenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAsterixObelixEuropeEnFrDeEsRomDesc[] = {
	{ "Asterix & Obelix (Europe) (En,Fr,De,Es).sfc",          1572864, 0x83af6152, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAsterixObelixEuropeEnFrDeEs)
STD_ROM_FN(rAsterixObelixEuropeEnFrDeEs)

struct BurnDriver BurnDrvrAsterixObelixEuropeEnFrDeEs = {
	"Asterix & Obelix (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Asterix & Obelix (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Asterix & Obelix (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAsterixObelixEuropeEnFrDeEsRomInfo, rAsterixObelixEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAsterixEuropeEnFrDeEsRomDesc[] = {
	{ "Asterix (Europe) (En,Fr,De,Es).sfc",          524288, 0x5ddedc28, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAsterixEuropeEnFrDeEs)
STD_ROM_FN(rAsterixEuropeEnFrDeEs)

struct BurnDriver BurnDrvrAsterixEuropeEnFrDeEs = {
	"Asterix (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Asterix (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Asterix (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAsterixEuropeEnFrDeEsRomInfo, rAsterixEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAtlasTheRenaissanceVoyagerJapanRomDesc[] = {
	{ "Atlas, The - Renaissance Voyager (Japan).sfc",          2097152, 0x19e09c6b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAtlasTheRenaissanceVoyagerJapan)
STD_ROM_FN(rAtlasTheRenaissanceVoyagerJapan)

struct BurnDriver BurnDrvrAtlasTheRenaissanceVoyagerJapan = {
	"Atlas, The - Renaissance Voyager (Japan)", NULL, NULL, "1986",
	"Atlas, The - Renaissance Voyager (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Atlas, The - Renaissance Voyager (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAtlasTheRenaissanceVoyagerJapanRomInfo, rAtlasTheRenaissanceVoyagerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAxelayEuropeRomDesc[] = {
	{ "Axelay (Europe).sfc",          1048576, 0xf43f6743, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAxelayEurope)
STD_ROM_FN(rAxelayEurope)

struct BurnDriver BurnDrvrAxelayEurope = {
	"Axelay (Europe)", NULL, NULL, "1986",
	"Axelay (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Axelay (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAxelayEuropeRomInfo, rAxelayEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAxelayJapanRomDesc[] = {
	{ "Axelay (Japan).sfc",          1048576, 0xb0a02734, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAxelayJapan)
STD_ROM_FN(rAxelayJapan)

struct BurnDriver BurnDrvrAxelayJapan = {
	"Axelay (Japan)", NULL, NULL, "1986",
	"Axelay (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Axelay (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAxelayJapanRomInfo, rAxelayJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAxelayUSASampleRomDesc[] = {
	{ "Axelay (USA) (Sample).sfc",          1048576, 0xa0677d80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAxelayUSASample)
STD_ROM_FN(rAxelayUSASample)

struct BurnDriver BurnDrvrAxelayUSASample = {
	"Axelay (USA) (Sample)", NULL, NULL, "1986",
	"Axelay (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Axelay (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAxelayUSASampleRomInfo, rAxelayUSASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rAxelayUSARomDesc[] = {
	{ "Axelay (USA).sfc",          1048576, 0xf812b533, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rAxelayUSA)
STD_ROM_FN(rAxelayUSA)

struct BurnDriver BurnDrvrAxelayUSA = {
	"Axelay (USA)", NULL, NULL, "1986",
	"Axelay (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Axelay (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rAxelayUSARomInfo, rAxelayUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBDash2GatsugouJapanBSRomDesc[] = {
	{ "B Dash - 2 Gatsugou (Japan) (BS).sfc",          1048576, 0x6b16f32b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBDash2GatsugouJapanBS)
STD_ROM_FN(rBDash2GatsugouJapanBS)

struct BurnDriver BurnDrvrBDash2GatsugouJapanBS = {
	"B Dash - 2 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"B Dash - 2 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"B Dash - 2 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBDash2GatsugouJapanBSRomInfo, rBDash2GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBDash3GatsugouJapanBSRomDesc[] = {
	{ "B Dash - 3 Gatsugou (Japan) (BS).sfc",          1048576, 0xf2630bed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBDash3GatsugouJapanBS)
STD_ROM_FN(rBDash3GatsugouJapanBS)

struct BurnDriver BurnDrvrBDash3GatsugouJapanBS = {
	"B Dash - 3 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"B Dash - 3 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"B Dash - 3 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBDash3GatsugouJapanBSRomInfo, rBDash3GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBOBEuropeRomDesc[] = {
	{ "B.O.B. (Europe).sfc",          1048576, 0x8d56598b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBOBEurope)
STD_ROM_FN(rBOBEurope)

struct BurnDriver BurnDrvrBOBEurope = {
	"B.O.B. (Europe)", NULL, NULL, "1986",
	"B.O.B. (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"B.O.B. (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBOBEuropeRomInfo, rBOBEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBOBUSARomDesc[] = {
	{ "B.O.B. (USA).sfc",          1048576, 0x4f593c46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBOBUSA)
STD_ROM_FN(rBOBUSA)

struct BurnDriver BurnDrvrBOBUSA = {
	"B.O.B. (USA)", NULL, NULL, "1986",
	"B.O.B. (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"B.O.B. (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBOBUSARomInfo, rBOBUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBahamutLagoonJapanRomDesc[] = {
	{ "Bahamut Lagoon (Japan).sfc",          3145728, 0x1b83c440, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBahamutLagoonJapan)
STD_ROM_FN(rBahamutLagoonJapan)

struct BurnDriver BurnDrvrBahamutLagoonJapan = {
	"Bahamut Lagoon (Japan)", NULL, NULL, "1986",
	"Bahamut Lagoon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bahamut Lagoon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBahamutLagoonJapanRomInfo, rBahamutLagoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBakukyuuRenpatsuSuperBDamanJapanRomDesc[] = {
	{ "Bakukyuu Renpatsu!! Super B-Daman (Japan).sfc",          2097152, 0x5613f172, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBakukyuuRenpatsuSuperBDamanJapan)
STD_ROM_FN(rBakukyuuRenpatsuSuperBDamanJapan)

struct BurnDriver BurnDrvrBakukyuuRenpatsuSuperBDamanJapan = {
	"Bakukyuu Renpatsu!! Super B-Daman (Japan)", NULL, NULL, "1986",
	"Bakukyuu Renpatsu!! Super B-Daman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bakukyuu Renpatsu!! Super B-Daman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBakukyuuRenpatsuSuperBDamanJapanRomInfo, rBakukyuuRenpatsuSuperBDamanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBakumatsuKourindenOniJapanRomDesc[] = {
	{ "Bakumatsu Kourinden Oni (Japan).sfc",          4194304, 0x1cf3c877, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBakumatsuKourindenOniJapan)
STD_ROM_FN(rBakumatsuKourindenOniJapan)

struct BurnDriver BurnDrvrBakumatsuKourindenOniJapan = {
	"Bakumatsu Kourinden Oni (Japan)", NULL, NULL, "1986",
	"Bakumatsu Kourinden Oni (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bakumatsu Kourinden Oni (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBakumatsuKourindenOniJapanRomInfo, rBakumatsuKourindenOniJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBakutouDochersBumpsjimawaOosawagiJapanRomDesc[] = {
	{ "Bakutou Dochers - Bumps-jima wa Oosawagi (Japan).sfc",          1048576, 0x94bfcc92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBakutouDochersBumpsjimawaOosawagiJapan)
STD_ROM_FN(rBakutouDochersBumpsjimawaOosawagiJapan)

struct BurnDriver BurnDrvrBakutouDochersBumpsjimawaOosawagiJapan = {
	"Bakutou Dochers - Bumps-jima wa Oosawagi (Japan)", NULL, NULL, "1986",
	"Bakutou Dochers - Bumps-jima wa Oosawagi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bakutou Dochers - Bumps-jima wa Oosawagi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBakutouDochersBumpsjimawaOosawagiJapanRomInfo, rBakutouDochersBumpsjimawaOosawagiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBallBulletGunJapanRomDesc[] = {
	{ "Ball Bullet Gun (Japan).sfc",          1572864, 0xc1e2bb56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBallBulletGunJapan)
STD_ROM_FN(rBallBulletGunJapan)

struct BurnDriver BurnDrvrBallBulletGunJapan = {
	"Ball Bullet Gun (Japan)", NULL, NULL, "1986",
	"Ball Bullet Gun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ball Bullet Gun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBallBulletGunJapanRomInfo, rBallBulletGunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBallz3DFightingatItsBallziestUSARomDesc[] = {
	{ "Ballz 3D - Fighting at Its Ballziest (USA).sfc",          1048576, 0x1c058b7d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBallz3DFightingatItsBallziestUSA)
STD_ROM_FN(rBallz3DFightingatItsBallziestUSA)

struct BurnDriver BurnDrvrBallz3DFightingatItsBallziestUSA = {
	"Ballz 3D - Fighting at Its Ballziest (USA)", NULL, NULL, "1986",
	"Ballz 3D - Fighting at Its Ballziest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ballz 3D - Fighting at Its Ballziest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBallz3DFightingatItsBallziestUSARomInfo, rBallz3DFightingatItsBallziestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarbarossaJapanRomDesc[] = {
	{ "Barbarossa (Japan).sfc",          1048576, 0x5283e505, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarbarossaJapan)
STD_ROM_FN(rBarbarossaJapan)

struct BurnDriver BurnDrvrBarbarossaJapan = {
	"Barbarossa (Japan)", NULL, NULL, "1986",
	"Barbarossa (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barbarossa (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarbarossaJapanRomInfo, rBarbarossaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarbieSuperModelUSARomDesc[] = {
	{ "Barbie Super Model (USA).sfc",          1048576, 0x3b73610e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarbieSuperModelUSA)
STD_ROM_FN(rBarbieSuperModelUSA)

struct BurnDriver BurnDrvrBarbieSuperModelUSA = {
	"Barbie Super Model (USA)", NULL, NULL, "1986",
	"Barbie Super Model (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barbie Super Model (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarbieSuperModelUSARomInfo, rBarbieSuperModelUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarbieVacationAdventureUSAProtoRomDesc[] = {
	{ "Barbie Vacation Adventure (USA) (Proto).sfc",          1048576, 0x8ce1ba79, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarbieVacationAdventureUSAProto)
STD_ROM_FN(rBarbieVacationAdventureUSAProto)

struct BurnDriver BurnDrvrBarbieVacationAdventureUSAProto = {
	"Barbie Vacation Adventure (USA) (Proto)", NULL, NULL, "1986",
	"Barbie Vacation Adventure (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barbie Vacation Adventure (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarbieVacationAdventureUSAProtoRomInfo, rBarbieVacationAdventureUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarkleynoPowerDunkJapanRomDesc[] = {
	{ "Barkley no Power Dunk (Japan).sfc",          1572864, 0x8aff96d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarkleynoPowerDunkJapan)
STD_ROM_FN(rBarkleynoPowerDunkJapan)

struct BurnDriver BurnDrvrBarkleynoPowerDunkJapan = {
	"Barkley no Power Dunk (Japan)", NULL, NULL, "1986",
	"Barkley no Power Dunk (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barkley no Power Dunk (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarkleynoPowerDunkJapanRomInfo, rBarkleynoPowerDunkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarkleyShutUpandJamEuropeRomDesc[] = {
	{ "Barkley Shut Up and Jam! (Europe).sfc",          1572864, 0x29fbd13d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarkleyShutUpandJamEurope)
STD_ROM_FN(rBarkleyShutUpandJamEurope)

struct BurnDriver BurnDrvrBarkleyShutUpandJamEurope = {
	"Barkley Shut Up and Jam! (Europe)", NULL, NULL, "1986",
	"Barkley Shut Up and Jam! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barkley Shut Up and Jam! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarkleyShutUpandJamEuropeRomInfo, rBarkleyShutUpandJamEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBarkleyShutUpandJamUSARomDesc[] = {
	{ "Barkley Shut Up and Jam! (USA).sfc",          1572864, 0x726b6c5a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBarkleyShutUpandJamUSA)
STD_ROM_FN(rBarkleyShutUpandJamUSA)

struct BurnDriver BurnDrvrBarkleyShutUpandJamUSA = {
	"Barkley Shut Up and Jam! (USA)", NULL, NULL, "1986",
	"Barkley Shut Up and Jam! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Barkley Shut Up and Jam! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBarkleyShutUpandJamUSARomInfo, rBarkleyShutUpandJamUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBASSMastersClassicJapanRomDesc[] = {
	{ "BASS Masters Classic (Japan).sfc",          1572864, 0x925206ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBASSMastersClassicJapan)
STD_ROM_FN(rBASSMastersClassicJapan)

struct BurnDriver BurnDrvrBASSMastersClassicJapan = {
	"BASS Masters Classic (Japan)", NULL, NULL, "1986",
	"BASS Masters Classic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"BASS Masters Classic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBASSMastersClassicJapanRomInfo, rBASSMastersClassicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBASSMastersClassicUSARomDesc[] = {
	{ "BASS Masters Classic (USA).sfc",          1572864, 0x832a27c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBASSMastersClassicUSA)
STD_ROM_FN(rBASSMastersClassicUSA)

struct BurnDriver BurnDrvrBASSMastersClassicUSA = {
	"BASS Masters Classic (USA)", NULL, NULL, "1986",
	"BASS Masters Classic (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"BASS Masters Classic (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBASSMastersClassicUSARomInfo, rBASSMastersClassicUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBASSMastersClassicProEditionEuropeRomDesc[] = {
	{ "BASS Masters Classic - Pro Edition (Europe).sfc",          2097152, 0xa2d4b003, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBASSMastersClassicProEditionEurope)
STD_ROM_FN(rBASSMastersClassicProEditionEurope)

struct BurnDriver BurnDrvrBASSMastersClassicProEditionEurope = {
	"BASS Masters Classic - Pro Edition (Europe)", NULL, NULL, "1986",
	"BASS Masters Classic - Pro Edition (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"BASS Masters Classic - Pro Edition (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBASSMastersClassicProEditionEuropeRomInfo, rBASSMastersClassicProEditionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBASSMastersClassicProEditionUSARomDesc[] = {
	{ "BASS Masters Classic - Pro Edition (USA).sfc",          2097152, 0xc5058634, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBASSMastersClassicProEditionUSA)
STD_ROM_FN(rBASSMastersClassicProEditionUSA)

struct BurnDriver BurnDrvrBASSMastersClassicProEditionUSA = {
	"BASS Masters Classic - Pro Edition (USA)", NULL, NULL, "1986",
	"BASS Masters Classic - Pro Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"BASS Masters Classic - Pro Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBASSMastersClassicProEditionUSARomInfo, rBASSMastersClassicProEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBassinsBlackBassUSARomDesc[] = {
	{ "Bassin's Black Bass (USA).sfc",          2097152, 0x7dc5b7b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBassinsBlackBassUSA)
STD_ROM_FN(rBassinsBlackBassUSA)

struct BurnDriver BurnDrvrBassinsBlackBassUSA = {
	"Bassin's Black Bass (USA)", NULL, NULL, "1986",
	"Bassin's Black Bass (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bassin's Black Bass (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBassinsBlackBassUSARomInfo, rBassinsBlackBassUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBastardAnkokunoHakaishinJapanRomDesc[] = {
	{ "Bastard!! - Ankoku no Hakaishin (Japan).sfc",          1572864, 0x6742d51c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBastardAnkokunoHakaishinJapan)
STD_ROM_FN(rBastardAnkokunoHakaishinJapan)

struct BurnDriver BurnDrvrBastardAnkokunoHakaishinJapan = {
	"Bastard!! - Ankoku no Hakaishin (Japan)", NULL, NULL, "1986",
	"Bastard!! - Ankoku no Hakaishin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bastard!! - Ankoku no Hakaishin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBastardAnkokunoHakaishinJapanRomInfo, rBastardAnkokunoHakaishinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanUSAProtobRomDesc[] = {
	{ "Batman (USA) (Proto) [b].sfc",          524288, 0x9bae4220, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanUSAProtob)
STD_ROM_FN(rBatmanUSAProtob)

struct BurnDriver BurnDrvrBatmanUSAProtob = {
	"Batman (USA) (Proto) [b]", NULL, NULL, "1986",
	"Batman (USA) (Proto) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman (USA) (Proto) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanUSAProtobRomInfo, rBatmanUSAProtobRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanRevengeoftheJokerUSAProtoRomDesc[] = {
	{ "Batman - Revenge of the Joker (USA) (Proto).sfc",          1048576, 0x205654dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanRevengeoftheJokerUSAProto)
STD_ROM_FN(rBatmanRevengeoftheJokerUSAProto)

struct BurnDriver BurnDrvrBatmanRevengeoftheJokerUSAProto = {
	"Batman - Revenge of the Joker (USA) (Proto)", NULL, NULL, "1986",
	"Batman - Revenge of the Joker (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman - Revenge of the Joker (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanRevengeoftheJokerUSAProtoRomInfo, rBatmanRevengeoftheJokerUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanForeverEuropeRomDesc[] = {
	{ "Batman Forever (Europe).sfc",          3145728, 0x6288d8ed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanForeverEurope)
STD_ROM_FN(rBatmanForeverEurope)

struct BurnDriver BurnDrvrBatmanForeverEurope = {
	"Batman Forever (Europe)", NULL, NULL, "1986",
	"Batman Forever (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Forever (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanForeverEuropeRomInfo, rBatmanForeverEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanForeverJapanRomDesc[] = {
	{ "Batman Forever (Japan).sfc",          3145728, 0x903348f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanForeverJapan)
STD_ROM_FN(rBatmanForeverJapan)

struct BurnDriver BurnDrvrBatmanForeverJapan = {
	"Batman Forever (Japan)", NULL, NULL, "1986",
	"Batman Forever (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Forever (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanForeverJapanRomInfo, rBatmanForeverJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanForeverUSARomDesc[] = {
	{ "Batman Forever (USA).sfc",          3145728, 0xd9b5e9cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanForeverUSA)
STD_ROM_FN(rBatmanForeverUSA)

struct BurnDriver BurnDrvrBatmanForeverUSA = {
	"Batman Forever (USA)", NULL, NULL, "1986",
	"Batman Forever (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Forever (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanForeverUSARomInfo, rBatmanForeverUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanReturnsEuropeRomDesc[] = {
	{ "Batman Returns (Europe).sfc",          1048576, 0x42f98e71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanReturnsEurope)
STD_ROM_FN(rBatmanReturnsEurope)

struct BurnDriver BurnDrvrBatmanReturnsEurope = {
	"Batman Returns (Europe)", NULL, NULL, "1986",
	"Batman Returns (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Returns (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanReturnsEuropeRomInfo, rBatmanReturnsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanReturnsJapanSampleRomDesc[] = {
	{ "Batman Returns (Japan) (Sample).sfc",          1048576, 0x9ce7d5ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanReturnsJapanSample)
STD_ROM_FN(rBatmanReturnsJapanSample)

struct BurnDriver BurnDrvrBatmanReturnsJapanSample = {
	"Batman Returns (Japan) (Sample)", NULL, NULL, "1986",
	"Batman Returns (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Returns (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanReturnsJapanSampleRomInfo, rBatmanReturnsJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanReturnsJapanRomDesc[] = {
	{ "Batman Returns (Japan).sfc",          1048576, 0x5bed3661, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanReturnsJapan)
STD_ROM_FN(rBatmanReturnsJapan)

struct BurnDriver BurnDrvrBatmanReturnsJapan = {
	"Batman Returns (Japan)", NULL, NULL, "1986",
	"Batman Returns (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Returns (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanReturnsJapanRomInfo, rBatmanReturnsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBatmanReturnsUSARomDesc[] = {
	{ "Batman Returns (USA).sfc",          1048576, 0xe87dfdf6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBatmanReturnsUSA)
STD_ROM_FN(rBatmanReturnsUSA)

struct BurnDriver BurnDrvrBatmanReturnsUSA = {
	"Batman Returns (USA)", NULL, NULL, "1986",
	"Batman Returns (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Batman Returns (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBatmanReturnsUSARomInfo, rBatmanReturnsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleBlazeJapanRomDesc[] = {
	{ "Battle Blaze (Japan).sfc",          1048576, 0xb9cd2ff3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleBlazeJapan)
STD_ROM_FN(rBattleBlazeJapan)

struct BurnDriver BurnDrvrBattleBlazeJapan = {
	"Battle Blaze (Japan)", NULL, NULL, "1986",
	"Battle Blaze (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Blaze (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleBlazeJapanRomInfo, rBattleBlazeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleBlazeUSABetaRomDesc[] = {
	{ "Battle Blaze (USA) (Beta).sfc",          1048576, 0x9f2ba6a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleBlazeUSABeta)
STD_ROM_FN(rBattleBlazeUSABeta)

struct BurnDriver BurnDrvrBattleBlazeUSABeta = {
	"Battle Blaze (USA) (Beta)", NULL, NULL, "1986",
	"Battle Blaze (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Blaze (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleBlazeUSABetaRomInfo, rBattleBlazeUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleBlazeUSARomDesc[] = {
	{ "Battle Blaze (USA).sfc",          1048576, 0xd933bd8d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleBlazeUSA)
STD_ROM_FN(rBattleBlazeUSA)

struct BurnDriver BurnDrvrBattleBlazeUSA = {
	"Battle Blaze (USA)", NULL, NULL, "1986",
	"Battle Blaze (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Blaze (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleBlazeUSARomInfo, rBattleBlazeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleCarsUSARomDesc[] = {
	{ "Battle Cars (USA).sfc",          1048576, 0x46043454, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleCarsUSA)
STD_ROM_FN(rBattleCarsUSA)

struct BurnDriver BurnDrvrBattleCarsUSA = {
	"Battle Cars (USA)", NULL, NULL, "1986",
	"Battle Cars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Cars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleCarsUSARomInfo, rBattleCarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleClashEuropeRomDesc[] = {
	{ "Battle Clash (Europe).sfc",          1048576, 0x11e5bc5e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleClashEurope)
STD_ROM_FN(rBattleClashEurope)

struct BurnDriver BurnDrvrBattleClashEurope = {
	"Battle Clash (Europe)", NULL, NULL, "1986",
	"Battle Clash (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Clash (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleClashEuropeRomInfo, rBattleClashEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleClashUSARomDesc[] = {
	{ "Battle Clash (USA).sfc",          1048576, 0x59c00310, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleClashUSA)
STD_ROM_FN(rBattleClashUSA)

struct BurnDriver BurnDrvrBattleClashUSA = {
	"Battle Clash (USA)", NULL, NULL, "1986",
	"Battle Clash (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Clash (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleClashUSARomInfo, rBattleClashUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleCommanderHachibushuuShuranoHeihouJapanRomDesc[] = {
	{ "Battle Commander - Hachibushuu, Shura no Heihou (Japan).sfc",          1048576, 0xad80e50e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleCommanderHachibushuuShuranoHeihouJapan)
STD_ROM_FN(rBattleCommanderHachibushuuShuranoHeihouJapan)

struct BurnDriver BurnDrvrBattleCommanderHachibushuuShuranoHeihouJapan = {
	"Battle Commander - Hachibushuu, Shura no Heihou (Japan)", NULL, NULL, "1986",
	"Battle Commander - Hachibushuu, Shura no Heihou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Commander - Hachibushuu, Shura no Heihou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleCommanderHachibushuuShuranoHeihouJapanRomInfo, rBattleCommanderHachibushuuShuranoHeihouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleCrossJapanRomDesc[] = {
	{ "Battle Cross (Japan).sfc",          1048576, 0x5f5e9b0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleCrossJapan)
STD_ROM_FN(rBattleCrossJapan)

struct BurnDriver BurnDrvrBattleCrossJapan = {
	"Battle Cross (Japan)", NULL, NULL, "1986",
	"Battle Cross (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Cross (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleCrossJapanRomInfo, rBattleCrossJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleDodgeBallToukyuuDaigekitotsuJapanRomDesc[] = {
	{ "Battle Dodge Ball - Toukyuu Daigekitotsu! (Japan).sfc",          1048576, 0x99a1f158, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleDodgeBallToukyuuDaigekitotsuJapan)
STD_ROM_FN(rBattleDodgeBallToukyuuDaigekitotsuJapan)

struct BurnDriver BurnDrvrBattleDodgeBallToukyuuDaigekitotsuJapan = {
	"Battle Dodge Ball - Toukyuu Daigekitotsu! (Japan)", NULL, NULL, "1986",
	"Battle Dodge Ball - Toukyuu Daigekitotsu! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Dodge Ball - Toukyuu Daigekitotsu! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleDodgeBallToukyuuDaigekitotsuJapanRomInfo, rBattleDodgeBallToukyuuDaigekitotsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleDodgeBallIIJapanRomDesc[] = {
	{ "Battle Dodge Ball II (Japan).sfc",          1572864, 0x43d3f2b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleDodgeBallIIJapan)
STD_ROM_FN(rBattleDodgeBallIIJapan)

struct BurnDriver BurnDrvrBattleDodgeBallIIJapan = {
	"Battle Dodge Ball II (Japan)", NULL, NULL, "1986",
	"Battle Dodge Ball II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Dodge Ball II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleDodgeBallIIJapanRomInfo, rBattleDodgeBallIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleGrandPrixJapanRomDesc[] = {
	{ "Battle Grand Prix (Japan).sfc",          1048576, 0x8b8afd6f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleGrandPrixJapan)
STD_ROM_FN(rBattleGrandPrixJapan)

struct BurnDriver BurnDrvrBattleGrandPrixJapan = {
	"Battle Grand Prix (Japan)", NULL, NULL, "1986",
	"Battle Grand Prix (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Grand Prix (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleGrandPrixJapanRomInfo, rBattleGrandPrixJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleGrandPrixUSARomDesc[] = {
	{ "Battle Grand Prix (USA).sfc",          1048576, 0x190ff436, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleGrandPrixUSA)
STD_ROM_FN(rBattleGrandPrixUSA)

struct BurnDriver BurnDrvrBattleGrandPrixUSA = {
	"Battle Grand Prix (USA)", NULL, NULL, "1986",
	"Battle Grand Prix (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Grand Prix (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleGrandPrixUSARomInfo, rBattleGrandPrixUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleJockeyJapanRomDesc[] = {
	{ "Battle Jockey (Japan).sfc",          1048576, 0xd79c1ec5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleJockeyJapan)
STD_ROM_FN(rBattleJockeyJapan)

struct BurnDriver BurnDrvrBattleJockeyJapan = {
	"Battle Jockey (Japan)", NULL, NULL, "1986",
	"Battle Jockey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Jockey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleJockeyJapanRomInfo, rBattleJockeyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleMasterKyuukyokunoSenshitachiJapanRomDesc[] = {
	{ "Battle Master - Kyuukyoku no Senshi-tachi (Japan).sfc",          2097152, 0xdbf76bfd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleMasterKyuukyokunoSenshitachiJapan)
STD_ROM_FN(rBattleMasterKyuukyokunoSenshitachiJapan)

struct BurnDriver BurnDrvrBattleMasterKyuukyokunoSenshitachiJapan = {
	"Battle Master - Kyuukyoku no Senshi-tachi (Japan)", NULL, NULL, "1986",
	"Battle Master - Kyuukyoku no Senshi-tachi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Master - Kyuukyoku no Senshi-tachi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleMasterKyuukyokunoSenshitachiJapanRomInfo, rBattleMasterKyuukyokunoSenshitachiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattlePinballJapanRomDesc[] = {
	{ "Battle Pinball (Japan).sfc",          1310720, 0x54901522, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattlePinballJapan)
STD_ROM_FN(rBattlePinballJapan)

struct BurnDriver BurnDrvrBattlePinballJapan = {
	"Battle Pinball (Japan)", NULL, NULL, "1986",
	"Battle Pinball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Pinball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattlePinballJapanRomInfo, rBattlePinballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleRacersJapanRomDesc[] = {
	{ "Battle Racers (Japan).sfc",          1048576, 0x64b76ceb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleRacersJapan)
STD_ROM_FN(rBattleRacersJapan)

struct BurnDriver BurnDrvrBattleRacersJapan = {
	"Battle Racers (Japan)", NULL, NULL, "1986",
	"Battle Racers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Racers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleRacersJapanRomInfo, rBattleRacersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleRobotRetsudenJapanRomDesc[] = {
	{ "Battle Robot Retsuden (Japan).sfc",          3145728, 0xb72bf1f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleRobotRetsudenJapan)
STD_ROM_FN(rBattleRobotRetsudenJapan)

struct BurnDriver BurnDrvrBattleRobotRetsudenJapan = {
	"Battle Robot Retsuden (Japan)", NULL, NULL, "1986",
	"Battle Robot Retsuden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Robot Retsuden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleRobotRetsudenJapanRomInfo, rBattleRobotRetsudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleSoccerFieldnoHashaJapanRomDesc[] = {
	{ "Battle Soccer - Field no Hasha (Japan).sfc",          1048576, 0xc54ae0f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleSoccerFieldnoHashaJapan)
STD_ROM_FN(rBattleSoccerFieldnoHashaJapan)

struct BurnDriver BurnDrvrBattleSoccerFieldnoHashaJapan = {
	"Battle Soccer - Field no Hasha (Japan)", NULL, NULL, "1986",
	"Battle Soccer - Field no Hasha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Soccer - Field no Hasha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleSoccerFieldnoHashaJapanRomInfo, rBattleSoccerFieldnoHashaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleSoccer2JapanRomDesc[] = {
	{ "Battle Soccer 2 (Japan).sfc",          1310720, 0x5316dd26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleSoccer2Japan)
STD_ROM_FN(rBattleSoccer2Japan)

struct BurnDriver BurnDrvrBattleSoccer2Japan = {
	"Battle Soccer 2 (Japan)", NULL, NULL, "1986",
	"Battle Soccer 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Soccer 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleSoccer2JapanRomInfo, rBattleSoccer2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleSubmarineJapanRomDesc[] = {
	{ "Battle Submarine (Japan).sfc",          1048576, 0xda2ad2fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleSubmarineJapan)
STD_ROM_FN(rBattleSubmarineJapan)

struct BurnDriver BurnDrvrBattleSubmarineJapan = {
	"Battle Submarine (Japan)", NULL, NULL, "1986",
	"Battle Submarine (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Submarine (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleSubmarineJapanRomInfo, rBattleSubmarineJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleTycoonFlashHidersSFXJapanRev1RomDesc[] = {
	{ "Battle Tycoon - Flash Hiders SFX (Japan) (Rev 1).sfc",          3145728, 0x92afab02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleTycoonFlashHidersSFXJapanRev1)
STD_ROM_FN(rBattleTycoonFlashHidersSFXJapanRev1)

struct BurnDriver BurnDrvrBattleTycoonFlashHidersSFXJapanRev1 = {
	"Battle Tycoon - Flash Hiders SFX (Japan) (Rev 1)", NULL, NULL, "1986",
	"Battle Tycoon - Flash Hiders SFX (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Tycoon - Flash Hiders SFX (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleTycoonFlashHidersSFXJapanRev1RomInfo, rBattleTycoonFlashHidersSFXJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleTycoonFlashHidersSFXJapanRomDesc[] = {
	{ "Battle Tycoon - Flash Hiders SFX (Japan).sfc",          3145728, 0xe38c4a5b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleTycoonFlashHidersSFXJapan)
STD_ROM_FN(rBattleTycoonFlashHidersSFXJapan)

struct BurnDriver BurnDrvrBattleTycoonFlashHidersSFXJapan = {
	"Battle Tycoon - Flash Hiders SFX (Japan)", NULL, NULL, "1986",
	"Battle Tycoon - Flash Hiders SFX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Tycoon - Flash Hiders SFX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleTycoonFlashHidersSFXJapanRomInfo, rBattleTycoonFlashHidersSFXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleZequeDenJapanRomDesc[] = {
	{ "Battle Zeque Den (Japan).sfc",          1572864, 0x8cac063c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleZequeDenJapan)
STD_ROM_FN(rBattleZequeDenJapan)

struct BurnDriver BurnDrvrBattleZequeDenJapan = {
	"Battle Zeque Den (Japan)", NULL, NULL, "1986",
	"Battle Zeque Den (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battle Zeque Den (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleZequeDenJapanRomInfo, rBattleZequeDenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleTechJapanRomDesc[] = {
	{ "BattleTech (Japan).sfc",          1048576, 0xfa29e335, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleTechJapan)
STD_ROM_FN(rBattleTechJapan)

struct BurnDriver BurnDrvrBattleTechJapan = {
	"BattleTech (Japan)", NULL, NULL, "1986",
	"BattleTech (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"BattleTech (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleTechJapanRomInfo, rBattleTechJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattleTech3050JapanRomDesc[] = {
	{ "BattleTech 3050 (Japan).sfc",          1572864, 0x56c7eb66, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattleTech3050Japan)
STD_ROM_FN(rBattleTech3050Japan)

struct BurnDriver BurnDrvrBattleTech3050Japan = {
	"BattleTech 3050 (Japan)", NULL, NULL, "1986",
	"BattleTech 3050 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"BattleTech 3050 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattleTech3050JapanRomInfo, rBattleTech3050JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsDoubleDragonTheUltimateTeamEuropeRomDesc[] = {
	{ "Battletoads & Double Dragon - The Ultimate Team (Europe).sfc",          1048576, 0x43f3773, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsDoubleDragonTheUltimateTeamEurope)
STD_ROM_FN(rBattletoadsDoubleDragonTheUltimateTeamEurope)

struct BurnDriver BurnDrvrBattletoadsDoubleDragonTheUltimateTeamEurope = {
	"Battletoads & Double Dragon - The Ultimate Team (Europe)", NULL, NULL, "1986",
	"Battletoads & Double Dragon - The Ultimate Team (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads & Double Dragon - The Ultimate Team (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsDoubleDragonTheUltimateTeamEuropeRomInfo, rBattletoadsDoubleDragonTheUltimateTeamEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsDoubleDragonTheUltimateTeamUSARomDesc[] = {
	{ "Battletoads & Double Dragon - The Ultimate Team (USA).sfc",          1048576, 0x8b18ac01, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsDoubleDragonTheUltimateTeamUSA)
STD_ROM_FN(rBattletoadsDoubleDragonTheUltimateTeamUSA)

struct BurnDriver BurnDrvrBattletoadsDoubleDragonTheUltimateTeamUSA = {
	"Battletoads & Double Dragon - The Ultimate Team (USA)", NULL, NULL, "1986",
	"Battletoads & Double Dragon - The Ultimate Team (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads & Double Dragon - The Ultimate Team (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsDoubleDragonTheUltimateTeamUSARomInfo, rBattletoadsDoubleDragonTheUltimateTeamUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsinBattlemaniacsEuropeRomDesc[] = {
	{ "Battletoads in Battlemaniacs (Europe).sfc",          1048576, 0xbbf1cf8d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsinBattlemaniacsEurope)
STD_ROM_FN(rBattletoadsinBattlemaniacsEurope)

struct BurnDriver BurnDrvrBattletoadsinBattlemaniacsEurope = {
	"Battletoads in Battlemaniacs (Europe)", NULL, NULL, "1986",
	"Battletoads in Battlemaniacs (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads in Battlemaniacs (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsinBattlemaniacsEuropeRomInfo, rBattletoadsinBattlemaniacsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsinBattlemaniacsJapanRomDesc[] = {
	{ "Battletoads in Battlemaniacs (Japan).sfc",          1048576, 0x48f15b03, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsinBattlemaniacsJapan)
STD_ROM_FN(rBattletoadsinBattlemaniacsJapan)

struct BurnDriver BurnDrvrBattletoadsinBattlemaniacsJapan = {
	"Battletoads in Battlemaniacs (Japan)", NULL, NULL, "1986",
	"Battletoads in Battlemaniacs (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads in Battlemaniacs (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsinBattlemaniacsJapanRomInfo, rBattletoadsinBattlemaniacsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsinBattlemaniacsUSABetaRomDesc[] = {
	{ "Battletoads in Battlemaniacs (USA) (Beta).sfc",          1048576, 0x1783e3a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsinBattlemaniacsUSABeta)
STD_ROM_FN(rBattletoadsinBattlemaniacsUSABeta)

struct BurnDriver BurnDrvrBattletoadsinBattlemaniacsUSABeta = {
	"Battletoads in Battlemaniacs (USA) (Beta)", NULL, NULL, "1986",
	"Battletoads in Battlemaniacs (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads in Battlemaniacs (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsinBattlemaniacsUSABetaRomInfo, rBattletoadsinBattlemaniacsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBattletoadsinBattlemaniacsUSARomDesc[] = {
	{ "Battletoads in Battlemaniacs (USA).sfc",          1048576, 0x617ac925, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBattletoadsinBattlemaniacsUSA)
STD_ROM_FN(rBattletoadsinBattlemaniacsUSA)

struct BurnDriver BurnDrvrBattletoadsinBattlemaniacsUSA = {
	"Battletoads in Battlemaniacs (USA)", NULL, NULL, "1986",
	"Battletoads in Battlemaniacs (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Battletoads in Battlemaniacs (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBattletoadsinBattlemaniacsUSARomInfo, rBattletoadsinBattlemaniacsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBazoeMahouSekaiJapanRomDesc[] = {
	{ "Bazoe! Mahou Sekai (Japan).sfc",          1572864, 0xd5b09eef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBazoeMahouSekaiJapan)
STD_ROM_FN(rBazoeMahouSekaiJapan)

struct BurnDriver BurnDrvrBazoeMahouSekaiJapan = {
	"Bazoe! Mahou Sekai (Japan)", NULL, NULL, "1986",
	"Bazoe! Mahou Sekai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bazoe! Mahou Sekai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBazoeMahouSekaiJapanRomInfo, rBazoeMahouSekaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBazookaBlitzkriegUSARomDesc[] = {
	{ "Bazooka Blitzkrieg (USA).sfc",          524288, 0x49c187f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBazookaBlitzkriegUSA)
STD_ROM_FN(rBazookaBlitzkriegUSA)

struct BurnDriver BurnDrvrBazookaBlitzkriegUSA = {
	"Bazooka Blitzkrieg (USA)", NULL, NULL, "1986",
	"Bazooka Blitzkrieg (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bazooka Blitzkrieg (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBazookaBlitzkriegUSARomInfo, rBazookaBlitzkriegUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeautyandtheBeastEuropeBetaRomDesc[] = {
	{ "Beauty and the Beast (Europe) (Beta).sfc",          1048576, 0xfff9deab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeautyandtheBeastEuropeBeta)
STD_ROM_FN(rBeautyandtheBeastEuropeBeta)

struct BurnDriver BurnDrvrBeautyandtheBeastEuropeBeta = {
	"Beauty and the Beast (Europe) (Beta)", NULL, NULL, "1986",
	"Beauty and the Beast (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beauty and the Beast (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeautyandtheBeastEuropeBetaRomInfo, rBeautyandtheBeastEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeautyandtheBeastEuropeRomDesc[] = {
	{ "Beauty and the Beast (Europe).sfc",          1048576, 0x2e70c844, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeautyandtheBeastEurope)
STD_ROM_FN(rBeautyandtheBeastEurope)

struct BurnDriver BurnDrvrBeautyandtheBeastEurope = {
	"Beauty and the Beast (Europe)", NULL, NULL, "1986",
	"Beauty and the Beast (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beauty and the Beast (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeautyandtheBeastEuropeRomInfo, rBeautyandtheBeastEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeautyandtheBeastUSARomDesc[] = {
	{ "Beauty and the Beast (USA).sfc",          1048576, 0x956e183c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeautyandtheBeastUSA)
STD_ROM_FN(rBeautyandtheBeastUSA)

struct BurnDriver BurnDrvrBeautyandtheBeastUSA = {
	"Beauty and the Beast (USA)", NULL, NULL, "1986",
	"Beauty and the Beast (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beauty and the Beast (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeautyandtheBeastUSARomInfo, rBeautyandtheBeastUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeavisandButtHeadEuropeRomDesc[] = {
	{ "Beavis and Butt-Head (Europe).sfc",          1572864, 0xf77f160b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeavisandButtHeadEurope)
STD_ROM_FN(rBeavisandButtHeadEurope)

struct BurnDriver BurnDrvrBeavisandButtHeadEurope = {
	"Beavis and Butt-Head (Europe)", NULL, NULL, "1986",
	"Beavis and Butt-Head (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beavis and Butt-Head (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeavisandButtHeadEuropeRomInfo, rBeavisandButtHeadEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeavisandButtHeadUSARomDesc[] = {
	{ "Beavis and Butt-Head (USA).sfc",          1572864, 0x15cf4bd5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeavisandButtHeadUSA)
STD_ROM_FN(rBeavisandButtHeadUSA)

struct BurnDriver BurnDrvrBeavisandButtHeadUSA = {
	"Beavis and Butt-Head (USA)", NULL, NULL, "1986",
	"Beavis and Butt-Head (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beavis and Butt-Head (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeavisandButtHeadUSARomInfo, rBeavisandButtHeadUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBebesKidsUSARomDesc[] = {
	{ "Bebe's Kids (USA).sfc",          1048576, 0xbda2e412, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBebesKidsUSA)
STD_ROM_FN(rBebesKidsUSA)

struct BurnDriver BurnDrvrBebesKidsUSA = {
	"Bebe's Kids (USA)", NULL, NULL, "1986",
	"Bebe's Kids (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bebe's Kids (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBebesKidsUSARomInfo, rBebesKidsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeethovenTheUltimateCanineCaperEuropeRomDesc[] = {
	{ "Beethoven - The Ultimate Canine Caper! (Europe).sfc",          524288, 0x4d1352ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeethovenTheUltimateCanineCaperEurope)
STD_ROM_FN(rBeethovenTheUltimateCanineCaperEurope)

struct BurnDriver BurnDrvrBeethovenTheUltimateCanineCaperEurope = {
	"Beethoven - The Ultimate Canine Caper! (Europe)", NULL, NULL, "1986",
	"Beethoven - The Ultimate Canine Caper! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beethoven - The Ultimate Canine Caper! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeethovenTheUltimateCanineCaperEuropeRomInfo, rBeethovenTheUltimateCanineCaperEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBeethovenTheUltimateCanineCaperUSARomDesc[] = {
	{ "Beethoven - The Ultimate Canine Caper! (USA).sfc",          524288, 0xbeebafa2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBeethovenTheUltimateCanineCaperUSA)
STD_ROM_FN(rBeethovenTheUltimateCanineCaperUSA)

struct BurnDriver BurnDrvrBeethovenTheUltimateCanineCaperUSA = {
	"Beethoven - The Ultimate Canine Caper! (USA)", NULL, NULL, "1986",
	"Beethoven - The Ultimate Canine Caper! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Beethoven - The Ultimate Canine Caper! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBeethovenTheUltimateCanineCaperUSARomInfo, rBeethovenTheUltimateCanineCaperUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBenkeiGaidenSunanoShouJapanRomDesc[] = {
	{ "Benkei Gaiden - Suna no Shou (Japan).sfc",          1572864, 0x2743017d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBenkeiGaidenSunanoShouJapan)
STD_ROM_FN(rBenkeiGaidenSunanoShouJapan)

struct BurnDriver BurnDrvrBenkeiGaidenSunanoShouJapan = {
	"Benkei Gaiden - Suna no Shou (Japan)", NULL, NULL, "1986",
	"Benkei Gaiden - Suna no Shou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Benkei Gaiden - Suna no Shou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBenkeiGaidenSunanoShouJapanRomInfo, rBenkeiGaidenSunanoShouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBestoftheBestChampionshipKarateEuropeBetaRomDesc[] = {
	{ "Best of the Best - Championship Karate (Europe) (Beta).sfc",          1048576, 0x20aa9b78, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBestoftheBestChampionshipKarateEuropeBeta)
STD_ROM_FN(rBestoftheBestChampionshipKarateEuropeBeta)

struct BurnDriver BurnDrvrBestoftheBestChampionshipKarateEuropeBeta = {
	"Best of the Best - Championship Karate (Europe) (Beta)", NULL, NULL, "1986",
	"Best of the Best - Championship Karate (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Best of the Best - Championship Karate (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBestoftheBestChampionshipKarateEuropeBetaRomInfo, rBestoftheBestChampionshipKarateEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBestoftheBestChampionshipKarateEuropeRomDesc[] = {
	{ "Best of the Best - Championship Karate (Europe).sfc",          1048576, 0xd63831a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBestoftheBestChampionshipKarateEurope)
STD_ROM_FN(rBestoftheBestChampionshipKarateEurope)

struct BurnDriver BurnDrvrBestoftheBestChampionshipKarateEurope = {
	"Best of the Best - Championship Karate (Europe)", NULL, NULL, "1986",
	"Best of the Best - Championship Karate (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Best of the Best - Championship Karate (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBestoftheBestChampionshipKarateEuropeRomInfo, rBestoftheBestChampionshipKarateEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBestoftheBestChampionshipKarateUSARomDesc[] = {
	{ "Best of the Best - Championship Karate (USA).sfc",          1048576, 0x7f6ed86e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBestoftheBestChampionshipKarateUSA)
STD_ROM_FN(rBestoftheBestChampionshipKarateUSA)

struct BurnDriver BurnDrvrBestoftheBestChampionshipKarateUSA = {
	"Best of the Best - Championship Karate (USA)", NULL, NULL, "1986",
	"Best of the Best - Championship Karate (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Best of the Best - Championship Karate (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBestoftheBestChampionshipKarateUSARomInfo, rBestoftheBestChampionshipKarateUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBestShotProGolfJapanRomDesc[] = {
	{ "Best Shot Pro Golf (Japan).sfc",          4194304, 0x256d4bc4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBestShotProGolfJapan)
STD_ROM_FN(rBestShotProGolfJapan)

struct BurnDriver BurnDrvrBestShotProGolfJapan = {
	"Best Shot Pro Golf (Japan)", NULL, NULL, "1986",
	"Best Shot Pro Golf (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Best Shot Pro Golf (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBestShotProGolfJapanRomInfo, rBestShotProGolfJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBigIchigekiPachiSlotDaikouryakuJapanRomDesc[] = {
	{ "Big Ichigeki! Pachi-Slot Daikouryaku (Japan).sfc",          524288, 0xfb8ed6aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBigIchigekiPachiSlotDaikouryakuJapan)
STD_ROM_FN(rBigIchigekiPachiSlotDaikouryakuJapan)

struct BurnDriver BurnDrvrBigIchigekiPachiSlotDaikouryakuJapan = {
	"Big Ichigeki! Pachi-Slot Daikouryaku (Japan)", NULL, NULL, "1986",
	"Big Ichigeki! Pachi-Slot Daikouryaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Big Ichigeki! Pachi-Slot Daikouryaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBigIchigekiPachiSlotDaikouryakuJapanRomInfo, rBigIchigekiPachiSlotDaikouryakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapanRomDesc[] = {
	{ "Big Ichigeki! Pachi-Slot Daikouryaku 2 - Universal Collection (Japan).sfc",          1572864, 0x3aee8812, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapan)
STD_ROM_FN(rBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapan)

struct BurnDriver BurnDrvrBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapan = {
	"Big Ichigeki! Pachi-Slot Daikouryaku 2 - Universal Collection (Japan)", NULL, NULL, "1986",
	"Big Ichigeki! Pachi-Slot Daikouryaku 2 - Universal Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Big Ichigeki! Pachi-Slot Daikouryaku 2 - Universal Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapanRomInfo, rBigIchigekiPachiSlotDaikouryaku2UniversalCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBigSkyTrooperEuropeRomDesc[] = {
	{ "Big Sky Trooper (Europe).sfc",          1048576, 0x1b565be7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBigSkyTrooperEurope)
STD_ROM_FN(rBigSkyTrooperEurope)

struct BurnDriver BurnDrvrBigSkyTrooperEurope = {
	"Big Sky Trooper (Europe)", NULL, NULL, "1986",
	"Big Sky Trooper (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Big Sky Trooper (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBigSkyTrooperEuropeRomInfo, rBigSkyTrooperEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBigSkyTrooperUSABetaRomDesc[] = {
	{ "Big Sky Trooper (USA) (Beta).sfc",          1048576, 0x7955ebfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBigSkyTrooperUSABeta)
STD_ROM_FN(rBigSkyTrooperUSABeta)

struct BurnDriver BurnDrvrBigSkyTrooperUSABeta = {
	"Big Sky Trooper (USA) (Beta)", NULL, NULL, "1986",
	"Big Sky Trooper (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Big Sky Trooper (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBigSkyTrooperUSABetaRomInfo, rBigSkyTrooperUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBigSkyTrooperUSARomDesc[] = {
	{ "Big Sky Trooper (USA).sfc",          1048576, 0x25c69316, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBigSkyTrooperUSA)
STD_ROM_FN(rBigSkyTrooperUSA)

struct BurnDriver BurnDrvrBigSkyTrooperUSA = {
	"Big Sky Trooper (USA)", NULL, NULL, "1986",
	"Big Sky Trooper (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Big Sky Trooper (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBigSkyTrooperUSARomInfo, rBigSkyTrooperUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBijotoYajuuJapanRomDesc[] = {
	{ "Bijo to Yajuu (Japan).sfc",          1048576, 0xb319c546, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBijotoYajuuJapan)
STD_ROM_FN(rBijotoYajuuJapan)

struct BurnDriver BurnDrvrBijotoYajuuJapan = {
	"Bijo to Yajuu (Japan)", NULL, NULL, "1986",
	"Bijo to Yajuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bijo to Yajuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBijotoYajuuJapanRomInfo, rBijotoYajuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBikeDaisukiHashiriyaTamashiiJapanRomDesc[] = {
	{ "Bike Daisuki! Hashiriya Tamashii (Japan).sfc",          524288, 0xb363fc99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBikeDaisukiHashiriyaTamashiiJapan)
STD_ROM_FN(rBikeDaisukiHashiriyaTamashiiJapan)

struct BurnDriver BurnDrvrBikeDaisukiHashiriyaTamashiiJapan = {
	"Bike Daisuki! Hashiriya Tamashii (Japan)", NULL, NULL, "1986",
	"Bike Daisuki! Hashiriya Tamashii (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bike Daisuki! Hashiriya Tamashii (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBikeDaisukiHashiriyaTamashiiJapanRomInfo, rBikeDaisukiHashiriyaTamashiiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBikerMicefromMarsEuropeRomDesc[] = {
	{ "Biker Mice from Mars (Europe).sfc",          1048576, 0x1a06db31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBikerMicefromMarsEurope)
STD_ROM_FN(rBikerMicefromMarsEurope)

struct BurnDriver BurnDrvrBikerMicefromMarsEurope = {
	"Biker Mice from Mars (Europe)", NULL, NULL, "1986",
	"Biker Mice from Mars (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Biker Mice from Mars (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBikerMicefromMarsEuropeRomInfo, rBikerMicefromMarsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBikerMicefromMarsUSARomDesc[] = {
	{ "Biker Mice from Mars (USA).sfc",          1048576, 0x4e8b2ecb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBikerMicefromMarsUSA)
STD_ROM_FN(rBikerMicefromMarsUSA)

struct BurnDriver BurnDrvrBikerMicefromMarsUSA = {
	"Biker Mice from Mars (USA)", NULL, NULL, "1986",
	"Biker Mice from Mars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Biker Mice from Mars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBikerMicefromMarsUSARomInfo, rBikerMicefromMarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBillLaimbeersCombatBasketballUSARomDesc[] = {
	{ "Bill Laimbeer's Combat Basketball (USA).sfc",          524288, 0x468d8cdd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBillLaimbeersCombatBasketballUSA)
STD_ROM_FN(rBillLaimbeersCombatBasketballUSA)

struct BurnDriver BurnDrvrBillLaimbeersCombatBasketballUSA = {
	"Bill Laimbeer's Combat Basketball (USA)", NULL, NULL, "1986",
	"Bill Laimbeer's Combat Basketball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bill Laimbeer's Combat Basketball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBillLaimbeersCombatBasketballUSARomInfo, rBillLaimbeersCombatBasketballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBillWalshCollegeFootballUSARomDesc[] = {
	{ "Bill Walsh College Football (USA).sfc",          1048576, 0x25391c9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBillWalshCollegeFootballUSA)
STD_ROM_FN(rBillWalshCollegeFootballUSA)

struct BurnDriver BurnDrvrBillWalshCollegeFootballUSA = {
	"Bill Walsh College Football (USA)", NULL, NULL, "1986",
	"Bill Walsh College Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bill Walsh College Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBillWalshCollegeFootballUSARomInfo, rBillWalshCollegeFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBingBingBingoJapanRomDesc[] = {
	{ "Bing Bing! Bingo (Japan).sfc",          1048576, 0xccd77b37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBingBingBingoJapan)
STD_ROM_FN(rBingBingBingoJapan)

struct BurnDriver BurnDrvrBingBingBingoJapan = {
	"Bing Bing! Bingo (Japan)", NULL, NULL, "1986",
	"Bing Bing! Bingo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bing Bing! Bingo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBingBingBingoJapanRomInfo, rBingBingBingoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBioMetalEuropeRomDesc[] = {
	{ "Bio Metal (Europe).sfc",          1048576, 0xe901a947, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBioMetalEurope)
STD_ROM_FN(rBioMetalEurope)

struct BurnDriver BurnDrvrBioMetalEurope = {
	"Bio Metal (Europe)", NULL, NULL, "1986",
	"Bio Metal (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bio Metal (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBioMetalEuropeRomInfo, rBioMetalEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBioMetalJapanRomDesc[] = {
	{ "Bio Metal (Japan).sfc",          1048576, 0x8ba3d382, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBioMetalJapan)
STD_ROM_FN(rBioMetalJapan)

struct BurnDriver BurnDrvrBioMetalJapan = {
	"Bio Metal (Japan)", NULL, NULL, "1986",
	"Bio Metal (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bio Metal (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBioMetalJapanRomInfo, rBioMetalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBioMetalUSARomDesc[] = {
	{ "Bio Metal (USA).sfc",          1048576, 0x53d8410e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBioMetalUSA)
STD_ROM_FN(rBioMetalUSA)

struct BurnDriver BurnDrvrBioMetalUSA = {
	"Bio Metal (USA)", NULL, NULL, "1986",
	"Bio Metal (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bio Metal (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBioMetalUSARomInfo, rBioMetalUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishinDensetsuZokuJapanRomDesc[] = {
	{ "Bishin Densetsu Zoku (Japan).sfc",          2097152, 0xf02dcb37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishinDensetsuZokuJapan)
STD_ROM_FN(rBishinDensetsuZokuJapan)

struct BurnDriver BurnDrvrBishinDensetsuZokuJapan = {
	"Bishin Densetsu Zoku (Japan)", NULL, NULL, "1986",
	"Bishin Densetsu Zoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishin Densetsu Zoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishinDensetsuZokuJapanRomInfo, rBishinDensetsuZokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoJanshiSuchiePaiJapanRev1RomDesc[] = {
	{ "Bishoujo Janshi Suchie-Pai (Japan) (Rev 1).sfc",          2097152, 0x80e66c55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoJanshiSuchiePaiJapanRev1)
STD_ROM_FN(rBishoujoJanshiSuchiePaiJapanRev1)

struct BurnDriver BurnDrvrBishoujoJanshiSuchiePaiJapanRev1 = {
	"Bishoujo Janshi Suchie-Pai (Japan) (Rev 1)", NULL, NULL, "1986",
	"Bishoujo Janshi Suchie-Pai (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Janshi Suchie-Pai (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoJanshiSuchiePaiJapanRev1RomInfo, rBishoujoJanshiSuchiePaiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoJanshiSuchiePaiJapanRomDesc[] = {
	{ "Bishoujo Janshi Suchie-Pai (Japan).sfc",          2097152, 0x11713982, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoJanshiSuchiePaiJapan)
STD_ROM_FN(rBishoujoJanshiSuchiePaiJapan)

struct BurnDriver BurnDrvrBishoujoJanshiSuchiePaiJapan = {
	"Bishoujo Janshi Suchie-Pai (Japan)", NULL, NULL, "1986",
	"Bishoujo Janshi Suchie-Pai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Janshi Suchie-Pai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoJanshiSuchiePaiJapanRomInfo, rBishoujoJanshiSuchiePaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon (Japan).sfc",          1572864, 0xa56323c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonJapan = {
	"Bishoujo Senshi Sailormoon (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonJapanRomInfo, rBishoujoSenshiSailormoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonAnotherStoryJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon - Another Story (Japan).sfc",          3145728, 0x2a442b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonAnotherStoryJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonAnotherStoryJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonAnotherStoryJapan = {
	"Bishoujo Senshi Sailormoon - Another Story (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon - Another Story (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon - Another Story (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonAnotherStoryJapanRomInfo, rBishoujoSenshiSailormoonAnotherStoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonRJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon R (Japan).sfc",          2097152, 0x4aee5abb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonRJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonRJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonRJapan = {
	"Bishoujo Senshi Sailormoon R (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon R (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon R (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonRJapanRomInfo, rBishoujoSenshiSailormoonRJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon S - Jougai Rantou! Shuyaku Soudatsusen (Japan).sfc",          2621440, 0xb0fd1854, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapan = {
	"Bishoujo Senshi Sailormoon S - Jougai Rantou! Shuyaku Soudatsusen (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon S - Jougai Rantou! Shuyaku Soudatsusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon S - Jougai Rantou! Shuyaku Soudatsusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapanRomInfo, rBishoujoSenshiSailormoonSJougaiRantouShuyakuSoudatsusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon S - Kondo wa Puzzle de Oshioki yo! (Japan).sfc",          524288, 0x10f03e3c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapan = {
	"Bishoujo Senshi Sailormoon S - Kondo wa Puzzle de Oshioki yo! (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon S - Kondo wa Puzzle de Oshioki yo! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon S - Kondo wa Puzzle de Oshioki yo! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapanRomInfo, rBishoujoSenshiSailormoonSKondowaPuzzledeOshiokiyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSKurukkurinJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon S - Kurukkurin (Japan).sfc",          524288, 0xe4a271bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSKurukkurinJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonSKurukkurinJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSKurukkurinJapan = {
	"Bishoujo Senshi Sailormoon S - Kurukkurin (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon S - Kurukkurin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon S - Kurukkurin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSKurukkurinJapanRomInfo, rBishoujoSenshiSailormoonSKurukkurinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanSTRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon Sailorstars - Fuwafuwa Panic 2 (Japan) (ST).sfc",          1048576, 0xbb5c4238, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanST)
STD_ROM_FN(rBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanST)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanST = {
	"Bishoujo Senshi Sailormoon Sailorstars - Fuwafuwa Panic 2 (Japan) (ST)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon Sailorstars - Fuwafuwa Panic 2 (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon Sailorstars - Fuwafuwa Panic 2 (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanSTRomInfo, rBishoujoSenshiSailormoonSailorstarsFuwafuwaPanic2JapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon Super S - Fuwafuwa Panic (Japan).sfc",          1048576, 0xb6b92ae0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapan = {
	"Bishoujo Senshi Sailormoon Super S - Fuwafuwa Panic (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon Super S - Fuwafuwa Panic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon Super S - Fuwafuwa Panic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapanRomInfo, rBishoujoSenshiSailormoonSuperSFuwafuwaPanicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapanRomDesc[] = {
	{ "Bishoujo Senshi Sailormoon Super S - Zenin Sanka!! Shuyaku Soudatsusen (Japan).sfc",          3145728, 0x25440331, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapan)
STD_ROM_FN(rBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapan)

struct BurnDriver BurnDrvrBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapan = {
	"Bishoujo Senshi Sailormoon Super S - Zenin Sanka!! Shuyaku Soudatsusen (Japan)", NULL, NULL, "1986",
	"Bishoujo Senshi Sailormoon Super S - Zenin Sanka!! Shuyaku Soudatsusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Senshi Sailormoon Super S - Zenin Sanka!! Shuyaku Soudatsusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapanRomInfo, rBishoujoSenshiSailormoonSuperSZeninSankaShuyakuSoudatsusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapanRomDesc[] = {
	{ "Bishoujo Wrestler Retsuden - Blizzard Yuki Rannyuu!! (Japan).sfc",          2621440, 0xf4d20413, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapan)
STD_ROM_FN(rBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapan)

struct BurnDriver BurnDrvrBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapan = {
	"Bishoujo Wrestler Retsuden - Blizzard Yuki Rannyuu!! (Japan)", NULL, NULL, "1986",
	"Bishoujo Wrestler Retsuden - Blizzard Yuki Rannyuu!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bishoujo Wrestler Retsuden - Blizzard Yuki Rannyuu!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapanRomInfo, rBishoujoWrestlerRetsudenBlizzardYukiRannyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlackhawkEuropeEnFrDeRomDesc[] = {
	{ "Blackhawk (Europe) (En,Fr,De).sfc",          1048576, 0x2d1dd10a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlackhawkEuropeEnFrDe)
STD_ROM_FN(rBlackhawkEuropeEnFrDe)

struct BurnDriver BurnDrvrBlackhawkEuropeEnFrDe = {
	"Blackhawk (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Blackhawk (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blackhawk (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlackhawkEuropeEnFrDeRomInfo, rBlackhawkEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlackthorneUSABetaCESVersionRomDesc[] = {
	{ "Blackthorne (USA) (Beta) (CES Version).sfc",          1048576, 0xb39af3fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlackthorneUSABetaCESVersion)
STD_ROM_FN(rBlackthorneUSABetaCESVersion)

struct BurnDriver BurnDrvrBlackthorneUSABetaCESVersion = {
	"Blackthorne (USA) (Beta) (CES Version)", NULL, NULL, "1986",
	"Blackthorne (USA) (Beta) (CES Version)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blackthorne (USA) (Beta) (CES Version)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlackthorneUSABetaCESVersionRomInfo, rBlackthorneUSABetaCESVersionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlackthorneUSARomDesc[] = {
	{ "Blackthorne (USA).sfc",          1048576, 0x856beab1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlackthorneUSA)
STD_ROM_FN(rBlackthorneUSA)

struct BurnDriver BurnDrvrBlackthorneUSA = {
	"Blackthorne (USA)", NULL, NULL, "1986",
	"Blackthorne (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blackthorne (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlackthorneUSARomInfo, rBlackthorneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlackthorneFukushuunoKurokiTogeJapanRomDesc[] = {
	{ "Blackthorne - Fukushuu no Kuroki Toge (Japan).sfc",          1048576, 0xedf476b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlackthorneFukushuunoKurokiTogeJapan)
STD_ROM_FN(rBlackthorneFukushuunoKurokiTogeJapan)

struct BurnDriver BurnDrvrBlackthorneFukushuunoKurokiTogeJapan = {
	"Blackthorne - Fukushuu no Kuroki Toge (Japan)", NULL, NULL, "1986",
	"Blackthorne - Fukushuu no Kuroki Toge (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blackthorne - Fukushuu no Kuroki Toge (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlackthorneFukushuunoKurokiTogeJapanRomInfo, rBlackthorneFukushuunoKurokiTogeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlaZeonJapanRomDesc[] = {
	{ "BlaZeon (Japan).sfc",          1048576, 0xad2effc3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlaZeonJapan)
STD_ROM_FN(rBlaZeonJapan)

struct BurnDriver BurnDrvrBlaZeonJapan = {
	"BlaZeon (Japan)", NULL, NULL, "1986",
	"BlaZeon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"BlaZeon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlaZeonJapanRomInfo, rBlaZeonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlaZeonTheBioCyborgChallengeUSARomDesc[] = {
	{ "BlaZeon - The Bio-Cyborg Challenge (USA).sfc",          1048576, 0x3b01d0a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlaZeonTheBioCyborgChallengeUSA)
STD_ROM_FN(rBlaZeonTheBioCyborgChallengeUSA)

struct BurnDriver BurnDrvrBlaZeonTheBioCyborgChallengeUSA = {
	"BlaZeon - The Bio-Cyborg Challenge (USA)", NULL, NULL, "1986",
	"BlaZeon - The Bio-Cyborg Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"BlaZeon - The Bio-Cyborg Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlaZeonTheBioCyborgChallengeUSARomInfo, rBlaZeonTheBioCyborgChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlazingSkiesEuropeRomDesc[] = {
	{ "Blazing Skies (Europe).sfc",          524288, 0xbeb16e2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlazingSkiesEurope)
STD_ROM_FN(rBlazingSkiesEurope)

struct BurnDriver BurnDrvrBlazingSkiesEurope = {
	"Blazing Skies (Europe)", NULL, NULL, "1986",
	"Blazing Skies (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blazing Skies (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlazingSkiesEuropeRomInfo, rBlazingSkiesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlockKuzushiJapanRomDesc[] = {
	{ "Block Kuzushi (Japan).sfc",          524288, 0x5cce2e55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlockKuzushiJapan)
STD_ROM_FN(rBlockKuzushiJapan)

struct BurnDriver BurnDrvrBlockKuzushiJapan = {
	"Block Kuzushi (Japan)", NULL, NULL, "1986",
	"Block Kuzushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Block Kuzushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlockKuzushiJapanRomInfo, rBlockKuzushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBlueCrystalrodTheJapanRomDesc[] = {
	{ "Blue Crystalrod, The (Japan).sfc",          2097152, 0xefc21f71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBlueCrystalrodTheJapan)
STD_ROM_FN(rBlueCrystalrodTheJapan)

struct BurnDriver BurnDrvrBlueCrystalrodTheJapan = {
	"Blue Crystalrod, The (Japan)", NULL, NULL, "1986",
	"Blue Crystalrod, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blue Crystalrod, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBlueCrystalrodTheJapanRomInfo, rBlueCrystalrodTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBluesBrothersTheEuropeBetaRomDesc[] = {
	{ "Blues Brothers, The (Europe) (Beta).sfc",          524288, 0x1351da2a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBluesBrothersTheEuropeBeta)
STD_ROM_FN(rBluesBrothersTheEuropeBeta)

struct BurnDriver BurnDrvrBluesBrothersTheEuropeBeta = {
	"Blues Brothers, The (Europe) (Beta)", NULL, NULL, "1986",
	"Blues Brothers, The (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blues Brothers, The (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBluesBrothersTheEuropeBetaRomInfo, rBluesBrothersTheEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBluesBrothersTheEuropeRomDesc[] = {
	{ "Blues Brothers, The (Europe).sfc",          524288, 0x4a62057d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBluesBrothersTheEurope)
STD_ROM_FN(rBluesBrothersTheEurope)

struct BurnDriver BurnDrvrBluesBrothersTheEurope = {
	"Blues Brothers, The (Europe)", NULL, NULL, "1986",
	"Blues Brothers, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blues Brothers, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBluesBrothersTheEuropeRomInfo, rBluesBrothersTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBluesBrothersTheJapanRomDesc[] = {
	{ "Blues Brothers, The (Japan).sfc",          524288, 0x362620d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBluesBrothersTheJapan)
STD_ROM_FN(rBluesBrothersTheJapan)

struct BurnDriver BurnDrvrBluesBrothersTheJapan = {
	"Blues Brothers, The (Japan)", NULL, NULL, "1986",
	"Blues Brothers, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blues Brothers, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBluesBrothersTheJapanRomInfo, rBluesBrothersTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBluesBrothersTheUSARomDesc[] = {
	{ "Blues Brothers, The (USA).sfc",          524288, 0x82b97464, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBluesBrothersTheUSA)
STD_ROM_FN(rBluesBrothersTheUSA)

struct BurnDriver BurnDrvrBluesBrothersTheUSA = {
	"Blues Brothers, The (USA)", NULL, NULL, "1986",
	"Blues Brothers, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Blues Brothers, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBluesBrothersTheUSARomInfo, rBluesBrothersTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBobbysWorldUSAProtoRomDesc[] = {
	{ "Bobby's World (USA) (Proto).sfc",          1048576, 0x18bbee33, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBobbysWorldUSAProto)
STD_ROM_FN(rBobbysWorldUSAProto)

struct BurnDriver BurnDrvrBobbysWorldUSAProto = {
	"Bobby's World (USA) (Proto)", NULL, NULL, "1986",
	"Bobby's World (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bobby's World (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBobbysWorldUSAProtoRomInfo, rBobbysWorldUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBokujouMonogatariJapanRev1RomDesc[] = {
	{ "Bokujou Monogatari (Japan) (Rev 1).sfc",          2097152, 0x9485ec0f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBokujouMonogatariJapanRev1)
STD_ROM_FN(rBokujouMonogatariJapanRev1)

struct BurnDriver BurnDrvrBokujouMonogatariJapanRev1 = {
	"Bokujou Monogatari (Japan) (Rev 1)", NULL, NULL, "1986",
	"Bokujou Monogatari (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bokujou Monogatari (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBokujouMonogatariJapanRev1RomInfo, rBokujouMonogatariJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBokujouMonogatariJapanRomDesc[] = {
	{ "Bokujou Monogatari (Japan).sfc",          2097152, 0xd10c3cfa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBokujouMonogatariJapan)
STD_ROM_FN(rBokujouMonogatariJapan)

struct BurnDriver BurnDrvrBokujouMonogatariJapan = {
	"Bokujou Monogatari (Japan)", NULL, NULL, "1986",
	"Bokujou Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bokujou Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBokujouMonogatariJapanRomInfo, rBokujouMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBombermanBDamanJapanRomDesc[] = {
	{ "Bomberman B-Daman (Japan).sfc",          1048576, 0x9fea854d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBombermanBDamanJapan)
STD_ROM_FN(rBombermanBDamanJapan)

struct BurnDriver BurnDrvrBombermanBDamanJapan = {
	"Bomberman B-Daman (Japan)", NULL, NULL, "1986",
	"Bomberman B-Daman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bomberman B-Daman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBombermanBDamanJapanRomInfo, rBombermanBDamanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBombuzalJapanRomDesc[] = {
	{ "Bombuzal (Japan).sfc",          524288, 0x5d7b8bcb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBombuzalJapan)
STD_ROM_FN(rBombuzalJapan)

struct BurnDriver BurnDrvrBombuzalJapan = {
	"Bombuzal (Japan)", NULL, NULL, "1986",
	"Bombuzal (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bombuzal (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBombuzalJapanRomInfo, rBombuzalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBonkersUSARomDesc[] = {
	{ "Bonkers (USA).sfc",          1048576, 0x597aa981, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBonkersUSA)
STD_ROM_FN(rBonkersUSA)

struct BurnDriver BurnDrvrBonkersUSA = {
	"Bonkers (USA)", NULL, NULL, "1986",
	"Bonkers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bonkers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBonkersUSARomInfo, rBonkersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBonkersHollywoodDaisakusenJapanRomDesc[] = {
	{ "Bonkers - Hollywood Daisakusen! (Japan).sfc",          1048576, 0x9401d956, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBonkersHollywoodDaisakusenJapan)
STD_ROM_FN(rBonkersHollywoodDaisakusenJapan)

struct BurnDriver BurnDrvrBonkersHollywoodDaisakusenJapan = {
	"Bonkers - Hollywood Daisakusen! (Japan)", NULL, NULL, "1986",
	"Bonkers - Hollywood Daisakusen! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bonkers - Hollywood Daisakusen! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBonkersHollywoodDaisakusenJapanRomInfo, rBonkersHollywoodDaisakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBoogermanAPickandFlickAdventureEuropeRomDesc[] = {
	{ "Boogerman - A Pick and Flick Adventure (Europe).sfc",          3145728, 0x4328bd1b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBoogermanAPickandFlickAdventureEurope)
STD_ROM_FN(rBoogermanAPickandFlickAdventureEurope)

struct BurnDriver BurnDrvrBoogermanAPickandFlickAdventureEurope = {
	"Boogerman - A Pick and Flick Adventure (Europe)", NULL, NULL, "1986",
	"Boogerman - A Pick and Flick Adventure (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Boogerman - A Pick and Flick Adventure (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBoogermanAPickandFlickAdventureEuropeRomInfo, rBoogermanAPickandFlickAdventureEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBoogermanAPickandFlickAdventureUSARomDesc[] = {
	{ "Boogerman - A Pick and Flick Adventure (USA).sfc",          3145728, 0x1899aaff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBoogermanAPickandFlickAdventureUSA)
STD_ROM_FN(rBoogermanAPickandFlickAdventureUSA)

struct BurnDriver BurnDrvrBoogermanAPickandFlickAdventureUSA = {
	"Boogerman - A Pick and Flick Adventure (USA)", NULL, NULL, "1986",
	"Boogerman - A Pick and Flick Adventure (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Boogerman - A Pick and Flick Adventure (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBoogermanAPickandFlickAdventureUSARomInfo, rBoogermanAPickandFlickAdventureUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBountySwordJapanRomDesc[] = {
	{ "Bounty Sword (Japan).sfc",          3145728, 0xf3ddf35f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBountySwordJapan)
STD_ROM_FN(rBountySwordJapan)

struct BurnDriver BurnDrvrBountySwordJapan = {
	"Bounty Sword (Japan)", NULL, NULL, "1986",
	"Bounty Sword (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bounty Sword (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBountySwordJapanRomInfo, rBountySwordJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBoxingLegendsoftheRingEuropeRomDesc[] = {
	{ "Boxing Legends of the Ring (Europe).sfc",          1048576, 0xcc468b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBoxingLegendsoftheRingEurope)
STD_ROM_FN(rBoxingLegendsoftheRingEurope)

struct BurnDriver BurnDrvrBoxingLegendsoftheRingEurope = {
	"Boxing Legends of the Ring (Europe)", NULL, NULL, "1986",
	"Boxing Legends of the Ring (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Boxing Legends of the Ring (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBoxingLegendsoftheRingEuropeRomInfo, rBoxingLegendsoftheRingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBoxingLegendsoftheRingUSARomDesc[] = {
	{ "Boxing Legends of the Ring (USA).sfc",          1048576, 0xc0b632c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBoxingLegendsoftheRingUSA)
STD_ROM_FN(rBoxingLegendsoftheRingUSA)

struct BurnDriver BurnDrvrBoxingLegendsoftheRingUSA = {
	"Boxing Legends of the Ring (USA)", NULL, NULL, "1986",
	"Boxing Legends of the Ring (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Boxing Legends of the Ring (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBoxingLegendsoftheRingUSARomInfo, rBoxingLegendsoftheRingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrainLordJapanRomDesc[] = {
	{ "Brain Lord (Japan).sfc",          1572864, 0x9540e59d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrainLordJapan)
STD_ROM_FN(rBrainLordJapan)

struct BurnDriver BurnDrvrBrainLordJapan = {
	"Brain Lord (Japan)", NULL, NULL, "1986",
	"Brain Lord (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brain Lord (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrainLordJapanRomInfo, rBrainLordJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrainLordUSARomDesc[] = {
	{ "Brain Lord (USA).sfc",          1572864, 0xac443d87, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrainLordUSA)
STD_ROM_FN(rBrainLordUSA)

struct BurnDriver BurnDrvrBrainLordUSA = {
	"Brain Lord (USA)", NULL, NULL, "1986",
	"Brain Lord (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brain Lord (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrainLordUSARomInfo, rBrainLordUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrainiesTheEuropeRomDesc[] = {
	{ "Brainies, The (Europe).sfc",          524288, 0xde551746, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrainiesTheEurope)
STD_ROM_FN(rBrainiesTheEurope)

struct BurnDriver BurnDrvrBrainiesTheEurope = {
	"Brainies, The (Europe)", NULL, NULL, "1986",
	"Brainies, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brainies, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrainiesTheEuropeRomInfo, rBrainiesTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrainiesTheUSARomDesc[] = {
	{ "Brainies, The (USA).sfc",          524288, 0x718cb0df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrainiesTheUSA)
STD_ROM_FN(rBrainiesTheUSA)

struct BurnDriver BurnDrvrBrainiesTheUSA = {
	"Brainies, The (USA)", NULL, NULL, "1986",
	"Brainies, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brainies, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrainiesTheUSARomInfo, rBrainiesTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBramStokersDraculaEuropeRomDesc[] = {
	{ "Bram Stoker's Dracula (Europe).sfc",          1048576, 0x9ee3835d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBramStokersDraculaEurope)
STD_ROM_FN(rBramStokersDraculaEurope)

struct BurnDriver BurnDrvrBramStokersDraculaEurope = {
	"Bram Stoker's Dracula (Europe)", NULL, NULL, "1986",
	"Bram Stoker's Dracula (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bram Stoker's Dracula (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBramStokersDraculaEuropeRomInfo, rBramStokersDraculaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBramStokersDraculaUSABetaRomDesc[] = {
	{ "Bram Stoker's Dracula (USA) (Beta).sfc",          1048576, 0x6e4650a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBramStokersDraculaUSABeta)
STD_ROM_FN(rBramStokersDraculaUSABeta)

struct BurnDriver BurnDrvrBramStokersDraculaUSABeta = {
	"Bram Stoker's Dracula (USA) (Beta)", NULL, NULL, "1986",
	"Bram Stoker's Dracula (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bram Stoker's Dracula (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBramStokersDraculaUSABetaRomInfo, rBramStokersDraculaUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBramStokersDraculaUSARomDesc[] = {
	{ "Bram Stoker's Dracula (USA).sfc",          1048576, 0x5cece690, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBramStokersDraculaUSA)
STD_ROM_FN(rBramStokersDraculaUSA)

struct BurnDriver BurnDrvrBramStokersDraculaUSA = {
	"Bram Stoker's Dracula (USA)", NULL, NULL, "1986",
	"Bram Stoker's Dracula (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bram Stoker's Dracula (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBramStokersDraculaUSARomInfo, rBramStokersDraculaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrandishJapanRomDesc[] = {
	{ "Brandish (Japan).sfc",          1572864, 0xa087b6ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrandishJapan)
STD_ROM_FN(rBrandishJapan)

struct BurnDriver BurnDrvrBrandishJapan = {
	"Brandish (Japan)", NULL, NULL, "1986",
	"Brandish (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brandish (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrandishJapanRomInfo, rBrandishJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrandishUSARomDesc[] = {
	{ "Brandish (USA).sfc",          1572864, 0x74f70a0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrandishUSA)
STD_ROM_FN(rBrandishUSA)

struct BurnDriver BurnDrvrBrandishUSA = {
	"Brandish (USA)", NULL, NULL, "1986",
	"Brandish (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brandish (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrandishUSARomInfo, rBrandishUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrandish2ExpertJapanRomDesc[] = {
	{ "Brandish 2 - Expert (Japan).sfc",          3145728, 0xab43e910, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrandish2ExpertJapan)
STD_ROM_FN(rBrandish2ExpertJapan)

struct BurnDriver BurnDrvrBrandish2ExpertJapan = {
	"Brandish 2 - Expert (Japan)", NULL, NULL, "1986",
	"Brandish 2 - Expert (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brandish 2 - Expert (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrandish2ExpertJapanRomInfo, rBrandish2ExpertJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrandish2ThePlanetBusterJapanRomDesc[] = {
	{ "Brandish 2 - The Planet Buster (Japan).sfc",          3145728, 0xbb89e67e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrandish2ThePlanetBusterJapan)
STD_ROM_FN(rBrandish2ThePlanetBusterJapan)

struct BurnDriver BurnDrvrBrandish2ThePlanetBusterJapan = {
	"Brandish 2 - The Planet Buster (Japan)", NULL, NULL, "1986",
	"Brandish 2 - The Planet Buster (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brandish 2 - The Planet Buster (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrandish2ThePlanetBusterJapanRomInfo, rBrandish2ThePlanetBusterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrawlBrothersUSARomDesc[] = {
	{ "Brawl Brothers (USA).sfc",          1572864, 0xe822065c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrawlBrothersUSA)
STD_ROM_FN(rBrawlBrothersUSA)

struct BurnDriver BurnDrvrBrawlBrothersUSA = {
	"Brawl Brothers (USA)", NULL, NULL, "1986",
	"Brawl Brothers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brawl Brothers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrawlBrothersUSARomInfo, rBrawlBrothersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrawlBrothersRivalTurf2EuropeRomDesc[] = {
	{ "Brawl Brothers - Rival Turf! 2 (Europe).sfc",          1572864, 0x410cee18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrawlBrothersRivalTurf2Europe)
STD_ROM_FN(rBrawlBrothersRivalTurf2Europe)

struct BurnDriver BurnDrvrBrawlBrothersRivalTurf2Europe = {
	"Brawl Brothers - Rival Turf! 2 (Europe)", NULL, NULL, "1986",
	"Brawl Brothers - Rival Turf! 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brawl Brothers - Rival Turf! 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrawlBrothersRivalTurf2EuropeRomInfo, rBrawlBrothersRivalTurf2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreakThruUSARomDesc[] = {
	{ "BreakThru! (USA).sfc",          524288, 0xe6c0b5da, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreakThruUSA)
STD_ROM_FN(rBreakThruUSA)

struct BurnDriver BurnDrvrBreakThruUSA = {
	"BreakThru! (USA)", NULL, NULL, "1986",
	"BreakThru! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"BreakThru! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreakThruUSARomInfo, rBreakThruUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireUSARomDesc[] = {
	{ "Breath of Fire (USA).sfc",          1572864, 0xc788b696, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireUSA)
STD_ROM_FN(rBreathofFireUSA)

struct BurnDriver BurnDrvrBreathofFireUSA = {
	"Breath of Fire (USA)", NULL, NULL, "1986",
	"Breath of Fire (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireUSARomInfo, rBreathofFireUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireRyuunoSenshiJapanRev1RomDesc[] = {
	{ "Breath of Fire - Ryuu no Senshi (Japan) (Rev 1).sfc",          1572864, 0xe0b0bbec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireRyuunoSenshiJapanRev1)
STD_ROM_FN(rBreathofFireRyuunoSenshiJapanRev1)

struct BurnDriver BurnDrvrBreathofFireRyuunoSenshiJapanRev1 = {
	"Breath of Fire - Ryuu no Senshi (Japan) (Rev 1)", NULL, NULL, "1986",
	"Breath of Fire - Ryuu no Senshi (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire - Ryuu no Senshi (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireRyuunoSenshiJapanRev1RomInfo, rBreathofFireRyuunoSenshiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireRyuunoSenshiJapanRomDesc[] = {
	{ "Breath of Fire - Ryuu no Senshi (Japan).sfc",          1572864, 0xfd96a42f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireRyuunoSenshiJapan)
STD_ROM_FN(rBreathofFireRyuunoSenshiJapan)

struct BurnDriver BurnDrvrBreathofFireRyuunoSenshiJapan = {
	"Breath of Fire - Ryuu no Senshi (Japan)", NULL, NULL, "1986",
	"Breath of Fire - Ryuu no Senshi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire - Ryuu no Senshi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireRyuunoSenshiJapanRomInfo, rBreathofFireRyuunoSenshiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireIIEuropeRomDesc[] = {
	{ "Breath of Fire II (Europe).sfc",          3145728, 0xa4ab3b33, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireIIEurope)
STD_ROM_FN(rBreathofFireIIEurope)

struct BurnDriver BurnDrvrBreathofFireIIEurope = {
	"Breath of Fire II (Europe)", NULL, NULL, "1986",
	"Breath of Fire II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireIIEuropeRomInfo, rBreathofFireIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireIIUSABetaRomDesc[] = {
	{ "Breath of Fire II (USA) (Beta).sfc",          3145728, 0xf44859af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireIIUSABeta)
STD_ROM_FN(rBreathofFireIIUSABeta)

struct BurnDriver BurnDrvrBreathofFireIIUSABeta = {
	"Breath of Fire II (USA) (Beta)", NULL, NULL, "1986",
	"Breath of Fire II (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire II (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireIIUSABetaRomInfo, rBreathofFireIIUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireIIUSARomDesc[] = {
	{ "Breath of Fire II (USA).sfc",          3145728, 0x67cdacc5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireIIUSA)
STD_ROM_FN(rBreathofFireIIUSA)

struct BurnDriver BurnDrvrBreathofFireIIUSA = {
	"Breath of Fire II (USA)", NULL, NULL, "1986",
	"Breath of Fire II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireIIUSARomInfo, rBreathofFireIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireIIShimeinoKoJapanRev1RomDesc[] = {
	{ "Breath of Fire II - Shimei no Ko (Japan) (Rev 1).sfc",          2621440, 0x9b846e8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireIIShimeinoKoJapanRev1)
STD_ROM_FN(rBreathofFireIIShimeinoKoJapanRev1)

struct BurnDriver BurnDrvrBreathofFireIIShimeinoKoJapanRev1 = {
	"Breath of Fire II - Shimei no Ko (Japan) (Rev 1)", NULL, NULL, "1986",
	"Breath of Fire II - Shimei no Ko (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire II - Shimei no Ko (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireIIShimeinoKoJapanRev1RomInfo, rBreathofFireIIShimeinoKoJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBreathofFireIIShimeinoKoJapanRomDesc[] = {
	{ "Breath of Fire II - Shimei no Ko (Japan).sfc",          2621440, 0x1d8014f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBreathofFireIIShimeinoKoJapan)
STD_ROM_FN(rBreathofFireIIShimeinoKoJapan)

struct BurnDriver BurnDrvrBreathofFireIIShimeinoKoJapan = {
	"Breath of Fire II - Shimei no Ko (Japan)", NULL, NULL, "1986",
	"Breath of Fire II - Shimei no Ko (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Breath of Fire II - Shimei no Ko (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBreathofFireIIShimeinoKoJapanRomInfo, rBreathofFireIIShimeinoKoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrettHullHockey95USARomDesc[] = {
	{ "Brett Hull Hockey '95 (USA).sfc",          2097152, 0x9ebfe809, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrettHullHockey95USA)
STD_ROM_FN(rBrettHullHockey95USA)

struct BurnDriver BurnDrvrBrettHullHockey95USA = {
	"Brett Hull Hockey '95 (USA)", NULL, NULL, "1986",
	"Brett Hull Hockey '95 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brett Hull Hockey '95 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrettHullHockey95USARomInfo, rBrettHullHockey95USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrettHullHockeyEuropeRomDesc[] = {
	{ "Brett Hull Hockey (Europe).sfc",          2097152, 0x77bbf192, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrettHullHockeyEurope)
STD_ROM_FN(rBrettHullHockeyEurope)

struct BurnDriver BurnDrvrBrettHullHockeyEurope = {
	"Brett Hull Hockey (Europe)", NULL, NULL, "1986",
	"Brett Hull Hockey (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brett Hull Hockey (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrettHullHockeyEuropeRomInfo, rBrettHullHockeyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrettHullHockeyUSARomDesc[] = {
	{ "Brett Hull Hockey (USA).sfc",          2097152, 0xfbe35998, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrettHullHockeyUSA)
STD_ROM_FN(rBrettHullHockeyUSA)

struct BurnDriver BurnDrvrBrettHullHockeyUSA = {
	"Brett Hull Hockey (USA)", NULL, NULL, "1986",
	"Brett Hull Hockey (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brett Hull Hockey (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrettHullHockeyUSARomInfo, rBrettHullHockeyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBronkietheBronchiasaurusUSAEnEsRomDesc[] = {
	{ "Bronkie the Bronchiasaurus (USA) (En,Es).sfc",          1048576, 0x1200f3cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBronkietheBronchiasaurusUSAEnEs)
STD_ROM_FN(rBronkietheBronchiasaurusUSAEnEs)

struct BurnDriver BurnDrvrBronkietheBronchiasaurusUSAEnEs = {
	"Bronkie the Bronchiasaurus (USA) (En,Es)", NULL, NULL, "1986",
	"Bronkie the Bronchiasaurus (USA) (En,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bronkie the Bronchiasaurus (USA) (En,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBronkietheBronchiasaurusUSAEnEsRomInfo, rBronkietheBronchiasaurusUSAEnEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrunswickWorldTournamentofChampionsUSARomDesc[] = {
	{ "Brunswick World Tournament of Champions (USA).sfc",          2097152, 0x52e4dc92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrunswickWorldTournamentofChampionsUSA)
STD_ROM_FN(rBrunswickWorldTournamentofChampionsUSA)

struct BurnDriver BurnDrvrBrunswickWorldTournamentofChampionsUSA = {
	"Brunswick World Tournament of Champions (USA)", NULL, NULL, "1986",
	"Brunswick World Tournament of Champions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brunswick World Tournament of Champions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrunswickWorldTournamentofChampionsUSARomInfo, rBrunswickWorldTournamentofChampionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrutalPawsofFuryEuropeEnFrDeRomDesc[] = {
	{ "Brutal - Paws of Fury (Europe) (En,Fr,De).sfc",          2097152, 0x2f6326b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrutalPawsofFuryEuropeEnFrDe)
STD_ROM_FN(rBrutalPawsofFuryEuropeEnFrDe)

struct BurnDriver BurnDrvrBrutalPawsofFuryEuropeEnFrDe = {
	"Brutal - Paws of Fury (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Brutal - Paws of Fury (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brutal - Paws of Fury (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrutalPawsofFuryEuropeEnFrDeRomInfo, rBrutalPawsofFuryEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrutalPawsofFuryUSABetaRomDesc[] = {
	{ "Brutal - Paws of Fury (USA) (Beta).sfc",          2097152, 0x49ad3f9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrutalPawsofFuryUSABeta)
STD_ROM_FN(rBrutalPawsofFuryUSABeta)

struct BurnDriver BurnDrvrBrutalPawsofFuryUSABeta = {
	"Brutal - Paws of Fury (USA) (Beta)", NULL, NULL, "1986",
	"Brutal - Paws of Fury (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brutal - Paws of Fury (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrutalPawsofFuryUSABetaRomInfo, rBrutalPawsofFuryUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBrutalPawsofFuryUSARomDesc[] = {
	{ "Brutal - Paws of Fury (USA).sfc",          2097152, 0x8fe49f80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBrutalPawsofFuryUSA)
STD_ROM_FN(rBrutalPawsofFuryUSA)

struct BurnDriver BurnDrvrBrutalPawsofFuryUSA = {
	"Brutal - Paws of Fury (USA)", NULL, NULL, "1986",
	"Brutal - Paws of Fury (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Brutal - Paws of Fury (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBrutalPawsofFuryUSARomInfo, rBrutalPawsofFuryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSDragonQuestIJapanBSbRomDesc[] = {
	{ "BS Dragon Quest I (Japan) (BS) [b].sfc",          1048576, 0x577f6d20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSDragonQuestIJapanBSb)
STD_ROM_FN(rBSDragonQuestIJapanBSb)

struct BurnDriver BurnDrvrBSDragonQuestIJapanBSb = {
	"BS Dragon Quest I (Japan) (BS) [b]", NULL, NULL, "1986",
	"BS Dragon Quest I (Japan) (BS) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Dragon Quest I (Japan) (BS) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSDragonQuestIJapanBSbRomInfo, rBSDragonQuestIJapanBSbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFZeroGrandPrixAceLeagueDai4shuuJapanBSRomDesc[] = {
	{ "BS F-Zero Grand Prix - Ace League - Dai-4-shuu (Japan) (BS).sfc",          1048576, 0xf57d28dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFZeroGrandPrixAceLeagueDai4shuuJapanBS)
STD_ROM_FN(rBSFZeroGrandPrixAceLeagueDai4shuuJapanBS)

struct BurnDriver BurnDrvrBSFZeroGrandPrixAceLeagueDai4shuuJapanBS = {
	"BS F-Zero Grand Prix - Ace League - Dai-4-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS F-Zero Grand Prix - Ace League - Dai-4-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS F-Zero Grand Prix - Ace League - Dai-4-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFZeroGrandPrixAceLeagueDai4shuuJapanBSRomInfo, rBSFZeroGrandPrixAceLeagueDai4shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFZeroGrandPrixKingLeagueDai3shuuJapanBSRomDesc[] = {
	{ "BS F-Zero Grand Prix - King League - Dai-3-shuu (Japan) (BS).sfc",          1048576, 0xf75713db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFZeroGrandPrixKingLeagueDai3shuuJapanBS)
STD_ROM_FN(rBSFZeroGrandPrixKingLeagueDai3shuuJapanBS)

struct BurnDriver BurnDrvrBSFZeroGrandPrixKingLeagueDai3shuuJapanBS = {
	"BS F-Zero Grand Prix - King League - Dai-3-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS F-Zero Grand Prix - King League - Dai-3-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS F-Zero Grand Prix - King League - Dai-3-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFZeroGrandPrixKingLeagueDai3shuuJapanBSRomInfo, rBSFZeroGrandPrixKingLeagueDai3shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFZeroGrandPrixKnightLeagueDai1shuuJapanBSRomDesc[] = {
	{ "BS F-Zero Grand Prix - Knight League - Dai-1-shuu (Japan) (BS).sfc",          1048576, 0xdbacf9f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFZeroGrandPrixKnightLeagueDai1shuuJapanBS)
STD_ROM_FN(rBSFZeroGrandPrixKnightLeagueDai1shuuJapanBS)

struct BurnDriver BurnDrvrBSFZeroGrandPrixKnightLeagueDai1shuuJapanBS = {
	"BS F-Zero Grand Prix - Knight League - Dai-1-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS F-Zero Grand Prix - Knight League - Dai-1-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS F-Zero Grand Prix - Knight League - Dai-1-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFZeroGrandPrixKnightLeagueDai1shuuJapanBSRomInfo, rBSFZeroGrandPrixKnightLeagueDai1shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFZeroGrandPrixQueenLeagueDai2shuuJapanBSRomDesc[] = {
	{ "BS F-Zero Grand Prix - Queen League - Dai-2-shuu (Japan) (BS).sfc",          1048576, 0xee6c9473, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFZeroGrandPrixQueenLeagueDai2shuuJapanBS)
STD_ROM_FN(rBSFZeroGrandPrixQueenLeagueDai2shuuJapanBS)

struct BurnDriver BurnDrvrBSFZeroGrandPrixQueenLeagueDai2shuuJapanBS = {
	"BS F-Zero Grand Prix - Queen League - Dai-2-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS F-Zero Grand Prix - Queen League - Dai-2-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS F-Zero Grand Prix - Queen League - Dai-2-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFZeroGrandPrixQueenLeagueDai2shuuJapanBSRomInfo, rBSFZeroGrandPrixQueenLeagueDai2shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFZeroGrandPrix2PracticeJapanBSRomDesc[] = {
	{ "BS F-Zero Grand Prix 2 - Practice (Japan) (BS).sfc",          1048576, 0xc4808858, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFZeroGrandPrix2PracticeJapanBS)
STD_ROM_FN(rBSFZeroGrandPrix2PracticeJapanBS)

struct BurnDriver BurnDrvrBSFZeroGrandPrix2PracticeJapanBS = {
	"BS F-Zero Grand Prix 2 - Practice (Japan) (BS)", NULL, NULL, "1986",
	"BS F-Zero Grand Prix 2 - Practice (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS F-Zero Grand Prix 2 - Practice (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFZeroGrandPrix2PracticeJapanBSRomInfo, rBSFZeroGrandPrix2PracticeJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBSRomDesc[] = {
	{ "BS Fire Emblem - Akaneia Senki Hen - Dai-1-wa - Palace Kanraku (Japan) (BS).sfc",          1048576, 0x14915411, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBS)
STD_ROM_FN(rBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBS)

struct BurnDriver BurnDrvrBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBS = {
	"BS Fire Emblem - Akaneia Senki Hen - Dai-1-wa - Palace Kanraku (Japan) (BS)", NULL, NULL, "1986",
	"BS Fire Emblem - Akaneia Senki Hen - Dai-1-wa - Palace Kanraku (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Fire Emblem - Akaneia Senki Hen - Dai-1-wa - Palace Kanraku (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBSRomInfo, rBSFireEmblemAkaneiaSenkiHenDai1waPalaceKanrakuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBSRomDesc[] = {
	{ "BS Fire Emblem - Akaneia Senki Hen - Dai-2-wa - Akai Ryuu Kishi (Japan) (BS).sfc",          1048576, 0xbb73aadf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBS)
STD_ROM_FN(rBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBS)

struct BurnDriver BurnDrvrBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBS = {
	"BS Fire Emblem - Akaneia Senki Hen - Dai-2-wa - Akai Ryuu Kishi (Japan) (BS)", NULL, NULL, "1986",
	"BS Fire Emblem - Akaneia Senki Hen - Dai-2-wa - Akai Ryuu Kishi (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Fire Emblem - Akaneia Senki Hen - Dai-2-wa - Akai Ryuu Kishi (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBSRomInfo, rBSFireEmblemAkaneiaSenkiHenDai2waAkaiRyuuKishiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBSRomDesc[] = {
	{ "BS Fire Emblem - Akaneia Senki Hen - Dai-3-wa - Seigi no Touzokudan (Japan) (BS).sfc",          1048576, 0x4ac9d49c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBS)
STD_ROM_FN(rBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBS)

struct BurnDriver BurnDrvrBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBS = {
	"BS Fire Emblem - Akaneia Senki Hen - Dai-3-wa - Seigi no Touzokudan (Japan) (BS)", NULL, NULL, "1986",
	"BS Fire Emblem - Akaneia Senki Hen - Dai-3-wa - Seigi no Touzokudan (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Fire Emblem - Akaneia Senki Hen - Dai-3-wa - Seigi no Touzokudan (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBSRomInfo, rBSFireEmblemAkaneiaSenkiHenDai3waSeiginoTouzokudanJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBSRomDesc[] = {
	{ "BS Fire Emblem - Akaneia Senki Hen - Dai-4-wa - Hajimari no Toki (Japan) (BS).sfc",          1048576, 0xb4b6c1f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBS)
STD_ROM_FN(rBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBS)

struct BurnDriver BurnDrvrBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBS = {
	"BS Fire Emblem - Akaneia Senki Hen - Dai-4-wa - Hajimari no Toki (Japan) (BS)", NULL, NULL, "1986",
	"BS Fire Emblem - Akaneia Senki Hen - Dai-4-wa - Hajimari no Toki (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Fire Emblem - Akaneia Senki Hen - Dai-4-wa - Hajimari no Toki (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBSRomInfo, rBSFireEmblemAkaneiaSenkiHenDai4waHajimarinoTokiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSFuurainoShirenSuraraoSukueDai2shuuJapanBSRomDesc[] = {
	{ "BS Fuurai no Shiren - Surara o Sukue - Dai-2-shuu (Japan) (BS).sfc",          1048576, 0x882bf819, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSFuurainoShirenSuraraoSukueDai2shuuJapanBS)
STD_ROM_FN(rBSFuurainoShirenSuraraoSukueDai2shuuJapanBS)

struct BurnDriver BurnDrvrBSFuurainoShirenSuraraoSukueDai2shuuJapanBS = {
	"BS Fuurai no Shiren - Surara o Sukue - Dai-2-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Fuurai no Shiren - Surara o Sukue - Dai-2-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Fuurai no Shiren - Surara o Sukue - Dai-2-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSFuurainoShirenSuraraoSukueDai2shuuJapanBSRomInfo, rBSFuurainoShirenSuraraoSukueDai2shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousCampArnoldCourseDai1shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Camp Arnold Course - Dai-1-shuu (Japan) (BS).sfc",          1048576, 0x6b90c767, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousCampArnoldCourseDai1shuuJapanBS)
STD_ROM_FN(rBSMarvelousCampArnoldCourseDai1shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousCampArnoldCourseDai1shuuJapanBS = {
	"BS Marvelous - Camp Arnold Course - Dai-1-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Camp Arnold Course - Dai-1-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Camp Arnold Course - Dai-1-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousCampArnoldCourseDai1shuuJapanBSRomInfo, rBSMarvelousCampArnoldCourseDai1shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousCampArnoldCourseDai2shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Camp Arnold Course - Dai-2-shuu (Japan) (BS).sfc",          1048576, 0xf5357704, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousCampArnoldCourseDai2shuuJapanBS)
STD_ROM_FN(rBSMarvelousCampArnoldCourseDai2shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousCampArnoldCourseDai2shuuJapanBS = {
	"BS Marvelous - Camp Arnold Course - Dai-2-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Camp Arnold Course - Dai-2-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Camp Arnold Course - Dai-2-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousCampArnoldCourseDai2shuuJapanBSRomInfo, rBSMarvelousCampArnoldCourseDai2shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousCampArnoldCourseDai3shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Camp Arnold Course - Dai-3-shuu (Japan) (BS).sfc",          1048576, 0x2b87dbaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousCampArnoldCourseDai3shuuJapanBS)
STD_ROM_FN(rBSMarvelousCampArnoldCourseDai3shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousCampArnoldCourseDai3shuuJapanBS = {
	"BS Marvelous - Camp Arnold Course - Dai-3-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Camp Arnold Course - Dai-3-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Camp Arnold Course - Dai-3-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousCampArnoldCourseDai3shuuJapanBSRomInfo, rBSMarvelousCampArnoldCourseDai3shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousCampArnoldCourseDai4shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Camp Arnold Course - Dai-4-shuu (Japan) (BS).sfc",          1048576, 0x6986937e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousCampArnoldCourseDai4shuuJapanBS)
STD_ROM_FN(rBSMarvelousCampArnoldCourseDai4shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousCampArnoldCourseDai4shuuJapanBS = {
	"BS Marvelous - Camp Arnold Course - Dai-4-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Camp Arnold Course - Dai-4-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Camp Arnold Course - Dai-4-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousCampArnoldCourseDai4shuuJapanBSRomInfo, rBSMarvelousCampArnoldCourseDai4shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousTimeAthleticCourseDai1shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Time Athletic Course - Dai-1-shuu (Japan) (BS).sfc",          1048576, 0x1639db9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousTimeAthleticCourseDai1shuuJapanBS)
STD_ROM_FN(rBSMarvelousTimeAthleticCourseDai1shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousTimeAthleticCourseDai1shuuJapanBS = {
	"BS Marvelous - Time Athletic Course - Dai-1-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Time Athletic Course - Dai-1-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Time Athletic Course - Dai-1-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousTimeAthleticCourseDai1shuuJapanBSRomInfo, rBSMarvelousTimeAthleticCourseDai1shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousTimeAthleticCourseDai2shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Time Athletic Course - Dai-2-shuu (Japan) (BS).sfc",          1048576, 0x27d62709, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousTimeAthleticCourseDai2shuuJapanBS)
STD_ROM_FN(rBSMarvelousTimeAthleticCourseDai2shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousTimeAthleticCourseDai2shuuJapanBS = {
	"BS Marvelous - Time Athletic Course - Dai-2-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Time Athletic Course - Dai-2-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Time Athletic Course - Dai-2-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousTimeAthleticCourseDai2shuuJapanBSRomInfo, rBSMarvelousTimeAthleticCourseDai2shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousTimeAthleticCourseDai3shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Time Athletic Course - Dai-3-shuu (Japan) (BS).sfc",          1048576, 0x5a88e3fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousTimeAthleticCourseDai3shuuJapanBS)
STD_ROM_FN(rBSMarvelousTimeAthleticCourseDai3shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousTimeAthleticCourseDai3shuuJapanBS = {
	"BS Marvelous - Time Athletic Course - Dai-3-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Time Athletic Course - Dai-3-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Time Athletic Course - Dai-3-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousTimeAthleticCourseDai3shuuJapanBSRomInfo, rBSMarvelousTimeAthleticCourseDai3shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSMarvelousTimeAthleticCourseDai4shuuJapanBSRomDesc[] = {
	{ "BS Marvelous - Time Athletic Course - Dai-4-shuu (Japan) (BS).sfc",          1048576, 0xfba7789e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSMarvelousTimeAthleticCourseDai4shuuJapanBS)
STD_ROM_FN(rBSMarvelousTimeAthleticCourseDai4shuuJapanBS)

struct BurnDriver BurnDrvrBSMarvelousTimeAthleticCourseDai4shuuJapanBS = {
	"BS Marvelous - Time Athletic Course - Dai-4-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Marvelous - Time Athletic Course - Dai-4-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Marvelous - Time Athletic Course - Dai-4-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSMarvelousTimeAthleticCourseDai4shuuJapanBSRomInfo, rBSMarvelousTimeAthleticCourseDai4shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSNichibutsuMahjongMahjongTaikaiJapanBSRomDesc[] = {
	{ "BS Nichibutsu Mahjong - Mahjong Taikai (Japan) (BS).sfc",          1048576, 0xf10028b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSNichibutsuMahjongMahjongTaikaiJapanBS)
STD_ROM_FN(rBSNichibutsuMahjongMahjongTaikaiJapanBS)

struct BurnDriver BurnDrvrBSNichibutsuMahjongMahjongTaikaiJapanBS = {
	"BS Nichibutsu Mahjong - Mahjong Taikai (Japan) (BS)", NULL, NULL, "1986",
	"BS Nichibutsu Mahjong - Mahjong Taikai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Nichibutsu Mahjong - Mahjong Taikai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSNichibutsuMahjongMahjongTaikaiJapanBSRomInfo, rBSNichibutsuMahjongMahjongTaikaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBSRomDesc[] = {
	{ "BS Nichibutsu Mahjong - Renshuu Mahjong - Ichimantou (Japan) (BS).sfc",          1048576, 0xa0b0e5ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBS)
STD_ROM_FN(rBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBS)

struct BurnDriver BurnDrvrBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBS = {
	"BS Nichibutsu Mahjong - Renshuu Mahjong - Ichimantou (Japan) (BS)", NULL, NULL, "1986",
	"BS Nichibutsu Mahjong - Renshuu Mahjong - Ichimantou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Nichibutsu Mahjong - Renshuu Mahjong - Ichimantou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBSRomInfo, rBSNichibutsuMahjongRenshuuMahjongIchimantouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSNichibutsuMahjongRenshuuMahjongNimantouJapanBSRomDesc[] = {
	{ "BS Nichibutsu Mahjong - Renshuu Mahjong - Nimantou (Japan) (BS).sfc",          1048576, 0x3cec7861, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSNichibutsuMahjongRenshuuMahjongNimantouJapanBS)
STD_ROM_FN(rBSNichibutsuMahjongRenshuuMahjongNimantouJapanBS)

struct BurnDriver BurnDrvrBSNichibutsuMahjongRenshuuMahjongNimantouJapanBS = {
	"BS Nichibutsu Mahjong - Renshuu Mahjong - Nimantou (Japan) (BS)", NULL, NULL, "1986",
	"BS Nichibutsu Mahjong - Renshuu Mahjong - Nimantou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Nichibutsu Mahjong - Renshuu Mahjong - Nimantou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSNichibutsuMahjongRenshuuMahjongNimantouJapanBSRomInfo, rBSNichibutsuMahjongRenshuuMahjongNimantouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSNintendoHP517GouJapanBSRomDesc[] = {
	{ "BS Nintendo HP - 5-17 Gou (Japan) (BS).sfc",          1048576, 0x768f50f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSNintendoHP517GouJapanBS)
STD_ROM_FN(rBSNintendoHP517GouJapanBS)

struct BurnDriver BurnDrvrBSNintendoHP517GouJapanBS = {
	"BS Nintendo HP - 5-17 Gou (Japan) (BS)", NULL, NULL, "1986",
	"BS Nintendo HP - 5-17 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Nintendo HP - 5-17 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSNintendoHP517GouJapanBSRomInfo, rBSNintendoHP517GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSNintendoHP531GouJapanBSRomDesc[] = {
	{ "BS Nintendo HP - 5-31 Gou (Japan) (BS).sfc",          1048576, 0xc9b05ce4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSNintendoHP531GouJapanBS)
STD_ROM_FN(rBSNintendoHP531GouJapanBS)

struct BurnDriver BurnDrvrBSNintendoHP531GouJapanBS = {
	"BS Nintendo HP - 5-31 Gou (Japan) (BS)", NULL, NULL, "1986",
	"BS Nintendo HP - 5-31 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Nintendo HP - 5-31 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSNintendoHP531GouJapanBSRomInfo, rBSNintendoHP531GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSParlorParlorDai2shuuJapanBSRomDesc[] = {
	{ "BS Parlor! Parlor! - Dai-2-shuu (Japan) (BS).sfc",          1048576, 0x3ed9a005, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSParlorParlorDai2shuuJapanBS)
STD_ROM_FN(rBSParlorParlorDai2shuuJapanBS)

struct BurnDriver BurnDrvrBSParlorParlorDai2shuuJapanBS = {
	"BS Parlor! Parlor! - Dai-2-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Parlor! Parlor! - Dai-2-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Parlor! Parlor! - Dai-2-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSParlorParlorDai2shuuJapanBSRomInfo, rBSParlorParlorDai2shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSShinOnigashimaDai1waKataribenoKoyaJapanBSRomDesc[] = {
	{ "BS Shin Onigashima - Dai-1-wa - Kataribe no Koya (Japan) (BS).sfc",          1048576, 0x514eb6c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSShinOnigashimaDai1waKataribenoKoyaJapanBS)
STD_ROM_FN(rBSShinOnigashimaDai1waKataribenoKoyaJapanBS)

struct BurnDriver BurnDrvrBSShinOnigashimaDai1waKataribenoKoyaJapanBS = {
	"BS Shin Onigashima - Dai-1-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, "1986",
	"BS Shin Onigashima - Dai-1-wa - Kataribe no Koya (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Shin Onigashima - Dai-1-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSShinOnigashimaDai1waKataribenoKoyaJapanBSRomInfo, rBSShinOnigashimaDai1waKataribenoKoyaJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSShinOnigashimaDai2waKataribenoKoyaJapanBSRomDesc[] = {
	{ "BS Shin Onigashima - Dai-2-wa - Kataribe no Koya (Japan) (BS).sfc",          1048576, 0x67a5b7c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSShinOnigashimaDai2waKataribenoKoyaJapanBS)
STD_ROM_FN(rBSShinOnigashimaDai2waKataribenoKoyaJapanBS)

struct BurnDriver BurnDrvrBSShinOnigashimaDai2waKataribenoKoyaJapanBS = {
	"BS Shin Onigashima - Dai-2-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, "1986",
	"BS Shin Onigashima - Dai-2-wa - Kataribe no Koya (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Shin Onigashima - Dai-2-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSShinOnigashimaDai2waKataribenoKoyaJapanBSRomInfo, rBSShinOnigashimaDai2waKataribenoKoyaJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSShinOnigashimaDai3waKataribenoKoyaJapanBSRomDesc[] = {
	{ "BS Shin Onigashima - Dai-3-wa - Kataribe no Koya (Japan) (BS).sfc",          1048576, 0xabe60813, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSShinOnigashimaDai3waKataribenoKoyaJapanBS)
STD_ROM_FN(rBSShinOnigashimaDai3waKataribenoKoyaJapanBS)

struct BurnDriver BurnDrvrBSShinOnigashimaDai3waKataribenoKoyaJapanBS = {
	"BS Shin Onigashima - Dai-3-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, "1986",
	"BS Shin Onigashima - Dai-3-wa - Kataribe no Koya (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Shin Onigashima - Dai-3-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSShinOnigashimaDai3waKataribenoKoyaJapanBSRomInfo, rBSShinOnigashimaDai3waKataribenoKoyaJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSShinOnigashimaDai4waKataribenoKoyaJapanBSRomDesc[] = {
	{ "BS Shin Onigashima - Dai-4-wa - Kataribe no Koya (Japan) (BS).sfc",          1048576, 0xf9ab3b92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSShinOnigashimaDai4waKataribenoKoyaJapanBS)
STD_ROM_FN(rBSShinOnigashimaDai4waKataribenoKoyaJapanBS)

struct BurnDriver BurnDrvrBSShinOnigashimaDai4waKataribenoKoyaJapanBS = {
	"BS Shin Onigashima - Dai-4-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, "1986",
	"BS Shin Onigashima - Dai-4-wa - Kataribe no Koya (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Shin Onigashima - Dai-4-wa - Kataribe no Koya (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSShinOnigashimaDai4waKataribenoKoyaJapanBSRomInfo, rBSShinOnigashimaDai4waKataribenoKoyaJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSStGigaPG10GatsugouJapanBSRomDesc[] = {
	{ "BS St. Giga PG - 10 Gatsugou (Japan) (BS).sfc",          1048576, 0x8dabd48a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSStGigaPG10GatsugouJapanBS)
STD_ROM_FN(rBSStGigaPG10GatsugouJapanBS)

struct BurnDriver BurnDrvrBSStGigaPG10GatsugouJapanBS = {
	"BS St. Giga PG - 10 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"BS St. Giga PG - 10 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS St. Giga PG - 10 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSStGigaPG10GatsugouJapanBSRomInfo, rBSStGigaPG10GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSSuperMarioCollectionDai3shuuJapanBSRomDesc[] = {
	{ "BS Super Mario Collection - Dai-3-shuu (Japan) (BS).sfc",          1048576, 0xa40a3089, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSSuperMarioCollectionDai3shuuJapanBS)
STD_ROM_FN(rBSSuperMarioCollectionDai3shuuJapanBS)

struct BurnDriver BurnDrvrBSSuperMarioCollectionDai3shuuJapanBS = {
	"BS Super Mario Collection - Dai-3-shuu (Japan) (BS)", NULL, NULL, "1986",
	"BS Super Mario Collection - Dai-3-shuu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Super Mario Collection - Dai-3-shuu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSSuperMarioCollectionDai3shuuJapanBSRomInfo, rBSSuperMarioCollectionDai3shuuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSSuperMarioUSAPowerChallengeDai1kaiJapanBSRomDesc[] = {
	{ "BS Super Mario USA - Power Challenge - Dai-1-kai (Japan) (BS).sfc",          1048576, 0x8f85a235, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSSuperMarioUSAPowerChallengeDai1kaiJapanBS)
STD_ROM_FN(rBSSuperMarioUSAPowerChallengeDai1kaiJapanBS)

struct BurnDriver BurnDrvrBSSuperMarioUSAPowerChallengeDai1kaiJapanBS = {
	"BS Super Mario USA - Power Challenge - Dai-1-kai (Japan) (BS)", NULL, NULL, "1986",
	"BS Super Mario USA - Power Challenge - Dai-1-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Super Mario USA - Power Challenge - Dai-1-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSSuperMarioUSAPowerChallengeDai1kaiJapanBSRomInfo, rBSSuperMarioUSAPowerChallengeDai1kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSSuperMarioUSAPowerChallengeDai2kaiJapanBSRomDesc[] = {
	{ "BS Super Mario USA - Power Challenge - Dai-2-kai (Japan) (BS).sfc",          1048576, 0xb967025a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSSuperMarioUSAPowerChallengeDai2kaiJapanBS)
STD_ROM_FN(rBSSuperMarioUSAPowerChallengeDai2kaiJapanBS)

struct BurnDriver BurnDrvrBSSuperMarioUSAPowerChallengeDai2kaiJapanBS = {
	"BS Super Mario USA - Power Challenge - Dai-2-kai (Japan) (BS)", NULL, NULL, "1986",
	"BS Super Mario USA - Power Challenge - Dai-2-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Super Mario USA - Power Challenge - Dai-2-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSSuperMarioUSAPowerChallengeDai2kaiJapanBSRomInfo, rBSSuperMarioUSAPowerChallengeDai2kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSSuperMarioUSAPowerChallengeDai3kaiJapanBSRomDesc[] = {
	{ "BS Super Mario USA - Power Challenge - Dai-3-kai (Japan) (BS).sfc",          1048576, 0x8b22a708, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSSuperMarioUSAPowerChallengeDai3kaiJapanBS)
STD_ROM_FN(rBSSuperMarioUSAPowerChallengeDai3kaiJapanBS)

struct BurnDriver BurnDrvrBSSuperMarioUSAPowerChallengeDai3kaiJapanBS = {
	"BS Super Mario USA - Power Challenge - Dai-3-kai (Japan) (BS)", NULL, NULL, "1986",
	"BS Super Mario USA - Power Challenge - Dai-3-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Super Mario USA - Power Challenge - Dai-3-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSSuperMarioUSAPowerChallengeDai3kaiJapanBSRomInfo, rBSSuperMarioUSAPowerChallengeDai3kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSSuperMarioUSAPowerChallengeDai4kaiJapanBSRomDesc[] = {
	{ "BS Super Mario USA - Power Challenge - Dai-4-kai (Japan) (BS).sfc",          1048576, 0xff1ded46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSSuperMarioUSAPowerChallengeDai4kaiJapanBS)
STD_ROM_FN(rBSSuperMarioUSAPowerChallengeDai4kaiJapanBS)

struct BurnDriver BurnDrvrBSSuperMarioUSAPowerChallengeDai4kaiJapanBS = {
	"BS Super Mario USA - Power Challenge - Dai-4-kai (Japan) (BS)", NULL, NULL, "1986",
	"BS Super Mario USA - Power Challenge - Dai-4-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Super Mario USA - Power Challenge - Dai-4-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSSuperMarioUSAPowerChallengeDai4kaiJapanBSRomInfo, rBSSuperMarioUSAPowerChallengeDai4kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSTanteiClubYukiniKietaKakoChuuhenJapanBSRomDesc[] = {
	{ "BS Tantei Club - Yuki ni Kieta Kako - Chuuhen (Japan) (BS).sfc",          1048576, 0x7947abd1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSTanteiClubYukiniKietaKakoChuuhenJapanBS)
STD_ROM_FN(rBSTanteiClubYukiniKietaKakoChuuhenJapanBS)

struct BurnDriver BurnDrvrBSTanteiClubYukiniKietaKakoChuuhenJapanBS = {
	"BS Tantei Club - Yuki ni Kieta Kako - Chuuhen (Japan) (BS)", NULL, NULL, "1986",
	"BS Tantei Club - Yuki ni Kieta Kako - Chuuhen (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Tantei Club - Yuki ni Kieta Kako - Chuuhen (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSTanteiClubYukiniKietaKakoChuuhenJapanBSRomInfo, rBSTanteiClubYukiniKietaKakoChuuhenJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSTanteiClubYukiniKietaKakoKouhenJapanBSRomDesc[] = {
	{ "BS Tantei Club - Yuki ni Kieta Kako - Kouhen (Japan) (BS).sfc",          1048576, 0xcd818cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSTanteiClubYukiniKietaKakoKouhenJapanBS)
STD_ROM_FN(rBSTanteiClubYukiniKietaKakoKouhenJapanBS)

struct BurnDriver BurnDrvrBSTanteiClubYukiniKietaKakoKouhenJapanBS = {
	"BS Tantei Club - Yuki ni Kieta Kako - Kouhen (Japan) (BS)", NULL, NULL, "1986",
	"BS Tantei Club - Yuki ni Kieta Kako - Kouhen (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Tantei Club - Yuki ni Kieta Kako - Kouhen (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSTanteiClubYukiniKietaKakoKouhenJapanBSRomInfo, rBSTanteiClubYukiniKietaKakoKouhenJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSTanteiClubYukiniKietaKakoZenpenJapanBSRomDesc[] = {
	{ "BS Tantei Club - Yuki ni Kieta Kako - Zenpen (Japan) (BS).sfc",          1048576, 0xf26300c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSTanteiClubYukiniKietaKakoZenpenJapanBS)
STD_ROM_FN(rBSTanteiClubYukiniKietaKakoZenpenJapanBS)

struct BurnDriver BurnDrvrBSTanteiClubYukiniKietaKakoZenpenJapanBS = {
	"BS Tantei Club - Yuki ni Kieta Kako - Zenpen (Japan) (BS)", NULL, NULL, "1986",
	"BS Tantei Club - Yuki ni Kieta Kako - Zenpen (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Tantei Club - Yuki ni Kieta Kako - Zenpen (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSTanteiClubYukiniKietaKakoZenpenJapanBSRomInfo, rBSTanteiClubYukiniKietaKakoZenpenJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuDai3waJapanBSRomDesc[] = {
	{ "BS Zelda no Densetsu - Dai-3-wa (Japan) (BS).sfc",          1048576, 0xddc54398, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuDai3waJapanBS)
STD_ROM_FN(rBSZeldanoDensetsuDai3waJapanBS)

struct BurnDriver BurnDrvrBSZeldanoDensetsuDai3waJapanBS = {
	"BS Zelda no Densetsu - Dai-3-wa (Japan) (BS)", NULL, NULL, "1986",
	"BS Zelda no Densetsu - Dai-3-wa (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu - Dai-3-wa (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuDai3waJapanBSRomInfo, rBSZeldanoDensetsuDai3waJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuKodainoSekibanDai1waJapanBSRomDesc[] = {
	{ "BS Zelda no Densetsu - Kodai no Sekiban - Dai-1-wa (Japan) (BS).sfc",          1048576, 0xd2b95a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuKodainoSekibanDai1waJapanBS)
STD_ROM_FN(rBSZeldanoDensetsuKodainoSekibanDai1waJapanBS)

struct BurnDriver BurnDrvrBSZeldanoDensetsuKodainoSekibanDai1waJapanBS = {
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-1-wa (Japan) (BS)", NULL, NULL, "1986",
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-1-wa (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu - Kodai no Sekiban - Dai-1-wa (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuKodainoSekibanDai1waJapanBSRomInfo, rBSZeldanoDensetsuKodainoSekibanDai1waJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuKodainoSekibanDai2waJapanBSRomDesc[] = {
	{ "BS Zelda no Densetsu - Kodai no Sekiban - Dai-2-wa (Japan) (BS).sfc",          1048576, 0x1b71a609, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuKodainoSekibanDai2waJapanBS)
STD_ROM_FN(rBSZeldanoDensetsuKodainoSekibanDai2waJapanBS)

struct BurnDriver BurnDrvrBSZeldanoDensetsuKodainoSekibanDai2waJapanBS = {
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-2-wa (Japan) (BS)", NULL, NULL, "1986",
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-2-wa (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu - Kodai no Sekiban - Dai-2-wa (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuKodainoSekibanDai2waJapanBSRomInfo, rBSZeldanoDensetsuKodainoSekibanDai2waJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuKodainoSekibanDai3waJapanBSRomDesc[] = {
	{ "BS Zelda no Densetsu - Kodai no Sekiban - Dai-3-wa (Japan) (BS).sfc",          1048576, 0xc251d4fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuKodainoSekibanDai3waJapanBS)
STD_ROM_FN(rBSZeldanoDensetsuKodainoSekibanDai3waJapanBS)

struct BurnDriver BurnDrvrBSZeldanoDensetsuKodainoSekibanDai3waJapanBS = {
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-3-wa (Japan) (BS)", NULL, NULL, "1986",
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-3-wa (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu - Kodai no Sekiban - Dai-3-wa (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuKodainoSekibanDai3waJapanBSRomInfo, rBSZeldanoDensetsuKodainoSekibanDai3waJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuKodainoSekibanDai4waJapanBSRomDesc[] = {
	{ "BS Zelda no Densetsu - Kodai no Sekiban - Dai-4-wa (Japan) (BS).sfc",          1048576, 0x8385bbf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuKodainoSekibanDai4waJapanBS)
STD_ROM_FN(rBSZeldanoDensetsuKodainoSekibanDai4waJapanBS)

struct BurnDriver BurnDrvrBSZeldanoDensetsuKodainoSekibanDai4waJapanBS = {
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-4-wa (Japan) (BS)", NULL, NULL, "1986",
	"BS Zelda no Densetsu - Kodai no Sekiban - Dai-4-wa (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu - Kodai no Sekiban - Dai-4-wa (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuKodainoSekibanDai4waJapanBSRomInfo, rBSZeldanoDensetsuKodainoSekibanDai4waJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSZeldanoDensetsuMap2Dai4waJapanBSbRomDesc[] = {
	{ "BS Zelda no Densetsu Map 2 - Dai-4-wa (Japan) (BS) [b].sfc",          1048576, 0x670b51ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSZeldanoDensetsuMap2Dai4waJapanBSb)
STD_ROM_FN(rBSZeldanoDensetsuMap2Dai4waJapanBSb)

struct BurnDriver BurnDrvrBSZeldanoDensetsuMap2Dai4waJapanBSb = {
	"BS Zelda no Densetsu Map 2 - Dai-4-wa (Japan) (BS) [b]", NULL, NULL, "1986",
	"BS Zelda no Densetsu Map 2 - Dai-4-wa (Japan) (BS) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"BS Zelda no Densetsu Map 2 - Dai-4-wa (Japan) (BS) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSZeldanoDensetsuMap2Dai4waJapanBSbRomInfo, rBSZeldanoDensetsuMap2Dai4waJapanBSbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1RomDesc[] = {
	{ "BS-X - Sore wa Namae o Nusumareta Machi no Monogatari (Japan) (Rev 1).sfc",          1048576, 0xf51f07a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1)
STD_ROM_FN(rBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1)

struct BurnDriver BurnDrvrBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1 = {
	"BS-X - Sore wa Namae o Nusumareta Machi no Monogatari (Japan) (Rev 1)", NULL, NULL, "1986",
	"BS-X - Sore wa Namae o Nusumareta Machi no Monogatari (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"BS-X - Sore wa Namae o Nusumareta Machi no Monogatari (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1RomInfo, rBSXSorewaNamaeoNusumaretaMachinoMonogatariJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyIIEuropeRomDesc[] = {
	{ "Bubsy II (Europe).sfc",          2097152, 0xe278e9b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyIIEurope)
STD_ROM_FN(rBubsyIIEurope)

struct BurnDriver BurnDrvrBubsyIIEurope = {
	"Bubsy II (Europe)", NULL, NULL, "1986",
	"Bubsy II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyIIEuropeRomInfo, rBubsyIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyIIUSARomDesc[] = {
	{ "Bubsy II (USA).sfc",          2097152, 0xd0d172fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyIIUSA)
STD_ROM_FN(rBubsyIIUSA)

struct BurnDriver BurnDrvrBubsyIIUSA = {
	"Bubsy II (USA)", NULL, NULL, "1986",
	"Bubsy II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyIIUSARomInfo, rBubsyIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyinClawsEncountersoftheFurredKindEuropeAccoladeRomDesc[] = {
	{ "Bubsy in Claws Encounters of the Furred Kind (Europe) (Accolade).sfc",          2097152, 0xab124be7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyinClawsEncountersoftheFurredKindEuropeAccolade)
STD_ROM_FN(rBubsyinClawsEncountersoftheFurredKindEuropeAccolade)

struct BurnDriver BurnDrvrBubsyinClawsEncountersoftheFurredKindEuropeAccolade = {
	"Bubsy in Claws Encounters of the Furred Kind (Europe) (Accolade)", NULL, NULL, "1986",
	"Bubsy in Claws Encounters of the Furred Kind (Europe) (Accolade)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy in Claws Encounters of the Furred Kind (Europe) (Accolade)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyinClawsEncountersoftheFurredKindEuropeAccoladeRomInfo, rBubsyinClawsEncountersoftheFurredKindEuropeAccoladeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyinClawsEncountersoftheFurredKindEuropeRomDesc[] = {
	{ "Bubsy in Claws Encounters of the Furred Kind (Europe).sfc",          2097152, 0x74a94d60, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyinClawsEncountersoftheFurredKindEurope)
STD_ROM_FN(rBubsyinClawsEncountersoftheFurredKindEurope)

struct BurnDriver BurnDrvrBubsyinClawsEncountersoftheFurredKindEurope = {
	"Bubsy in Claws Encounters of the Furred Kind (Europe)", NULL, NULL, "1986",
	"Bubsy in Claws Encounters of the Furred Kind (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy in Claws Encounters of the Furred Kind (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyinClawsEncountersoftheFurredKindEuropeRomInfo, rBubsyinClawsEncountersoftheFurredKindEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyinClawsEncountersoftheFurredKindUSABetaRomDesc[] = {
	{ "Bubsy in Claws Encounters of the Furred Kind (USA) (Beta).sfc",          2097152, 0x3f3a7180, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyinClawsEncountersoftheFurredKindUSABeta)
STD_ROM_FN(rBubsyinClawsEncountersoftheFurredKindUSABeta)

struct BurnDriver BurnDrvrBubsyinClawsEncountersoftheFurredKindUSABeta = {
	"Bubsy in Claws Encounters of the Furred Kind (USA) (Beta)", NULL, NULL, "1986",
	"Bubsy in Claws Encounters of the Furred Kind (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy in Claws Encounters of the Furred Kind (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyinClawsEncountersoftheFurredKindUSABetaRomInfo, rBubsyinClawsEncountersoftheFurredKindUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBubsyinClawsEncountersoftheFurredKindUSARomDesc[] = {
	{ "Bubsy in Claws Encounters of the Furred Kind (USA).sfc",          2097152, 0x444a52c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBubsyinClawsEncountersoftheFurredKindUSA)
STD_ROM_FN(rBubsyinClawsEncountersoftheFurredKindUSA)

struct BurnDriver BurnDrvrBubsyinClawsEncountersoftheFurredKindUSA = {
	"Bubsy in Claws Encounters of the Furred Kind (USA)", NULL, NULL, "1986",
	"Bubsy in Claws Encounters of the Furred Kind (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bubsy in Claws Encounters of the Furred Kind (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBubsyinClawsEncountersoftheFurredKindUSARomInfo, rBubsyinClawsEncountersoftheFurredKindUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBugsBunnyHachamechaDaiboukenJapanRomDesc[] = {
	{ "Bugs Bunny - Hachamecha Daibouken (Japan).sfc",          1572864, 0x528b029b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBugsBunnyHachamechaDaiboukenJapan)
STD_ROM_FN(rBugsBunnyHachamechaDaiboukenJapan)

struct BurnDriver BurnDrvrBugsBunnyHachamechaDaiboukenJapan = {
	"Bugs Bunny - Hachamecha Daibouken (Japan)", NULL, NULL, "1986",
	"Bugs Bunny - Hachamecha Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bugs Bunny - Hachamecha Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBugsBunnyHachamechaDaiboukenJapanRomInfo, rBugsBunnyHachamechaDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBugsBunnyRabbitRampageEuropeRomDesc[] = {
	{ "Bugs Bunny - Rabbit Rampage (Europe).sfc",          1572864, 0x91b3db54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBugsBunnyRabbitRampageEurope)
STD_ROM_FN(rBugsBunnyRabbitRampageEurope)

struct BurnDriver BurnDrvrBugsBunnyRabbitRampageEurope = {
	"Bugs Bunny - Rabbit Rampage (Europe)", NULL, NULL, "1986",
	"Bugs Bunny - Rabbit Rampage (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bugs Bunny - Rabbit Rampage (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBugsBunnyRabbitRampageEuropeRomInfo, rBugsBunnyRabbitRampageEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBugsBunnyRabbitRampageUSARomDesc[] = {
	{ "Bugs Bunny - Rabbit Rampage (USA).sfc",          1572864, 0x832c0cb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBugsBunnyRabbitRampageUSA)
STD_ROM_FN(rBugsBunnyRabbitRampageUSA)

struct BurnDriver BurnDrvrBugsBunnyRabbitRampageUSA = {
	"Bugs Bunny - Rabbit Rampage (USA)", NULL, NULL, "1986",
	"Bugs Bunny - Rabbit Rampage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bugs Bunny - Rabbit Rampage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBugsBunnyRabbitRampageUSARomInfo, rBugsBunnyRabbitRampageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBullsvsBlazersandtheNBAPlayoffsEuropeRev1RomDesc[] = {
	{ "Bulls vs Blazers and the NBA Playoffs (Europe) (Rev 1).sfc",          1048576, 0xc4b876b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBullsvsBlazersandtheNBAPlayoffsEuropeRev1)
STD_ROM_FN(rBullsvsBlazersandtheNBAPlayoffsEuropeRev1)

struct BurnDriver BurnDrvrBullsvsBlazersandtheNBAPlayoffsEuropeRev1 = {
	"Bulls vs Blazers and the NBA Playoffs (Europe) (Rev 1)", NULL, NULL, "1986",
	"Bulls vs Blazers and the NBA Playoffs (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bulls vs Blazers and the NBA Playoffs (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBullsvsBlazersandtheNBAPlayoffsEuropeRev1RomInfo, rBullsvsBlazersandtheNBAPlayoffsEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBullsvsBlazersandtheNBAPlayoffsEuropeRomDesc[] = {
	{ "Bulls vs Blazers and the NBA Playoffs (Europe).sfc",          1048576, 0xf605c0ac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBullsvsBlazersandtheNBAPlayoffsEurope)
STD_ROM_FN(rBullsvsBlazersandtheNBAPlayoffsEurope)

struct BurnDriver BurnDrvrBullsvsBlazersandtheNBAPlayoffsEurope = {
	"Bulls vs Blazers and the NBA Playoffs (Europe)", NULL, NULL, "1986",
	"Bulls vs Blazers and the NBA Playoffs (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bulls vs Blazers and the NBA Playoffs (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBullsvsBlazersandtheNBAPlayoffsEuropeRomInfo, rBullsvsBlazersandtheNBAPlayoffsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBullsvsBlazersandtheNBAPlayoffsUSARev1RomDesc[] = {
	{ "Bulls vs Blazers and the NBA Playoffs (USA) (Rev 1).sfc",          1048576, 0xc2e91694, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBullsvsBlazersandtheNBAPlayoffsUSARev1)
STD_ROM_FN(rBullsvsBlazersandtheNBAPlayoffsUSARev1)

struct BurnDriver BurnDrvrBullsvsBlazersandtheNBAPlayoffsUSARev1 = {
	"Bulls vs Blazers and the NBA Playoffs (USA) (Rev 1)", NULL, NULL, "1986",
	"Bulls vs Blazers and the NBA Playoffs (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bulls vs Blazers and the NBA Playoffs (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBullsvsBlazersandtheNBAPlayoffsUSARev1RomInfo, rBullsvsBlazersandtheNBAPlayoffsUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBullsvsBlazersandtheNBAPlayoffsUSARomDesc[] = {
	{ "Bulls vs Blazers and the NBA Playoffs (USA).sfc",          1048576, 0x15484afd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBullsvsBlazersandtheNBAPlayoffsUSA)
STD_ROM_FN(rBullsvsBlazersandtheNBAPlayoffsUSA)

struct BurnDriver BurnDrvrBullsvsBlazersandtheNBAPlayoffsUSA = {
	"Bulls vs Blazers and the NBA Playoffs (USA)", NULL, NULL, "1986",
	"Bulls vs Blazers and the NBA Playoffs (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bulls vs Blazers and the NBA Playoffs (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBullsvsBlazersandtheNBAPlayoffsUSARomInfo, rBullsvsBlazersandtheNBAPlayoffsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBuraiHachigyokunoYuushiDensetsuJapanRomDesc[] = {
	{ "Burai - Hachigyoku no Yuushi Densetsu (Japan).sfc",          1048576, 0x8005054d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBuraiHachigyokunoYuushiDensetsuJapan)
STD_ROM_FN(rBuraiHachigyokunoYuushiDensetsuJapan)

struct BurnDriver BurnDrvrBuraiHachigyokunoYuushiDensetsuJapan = {
	"Burai - Hachigyoku no Yuushi Densetsu (Japan)", NULL, NULL, "1986",
	"Burai - Hachigyoku no Yuushi Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Burai - Hachigyoku no Yuushi Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBuraiHachigyokunoYuushiDensetsuJapanRomInfo, rBuraiHachigyokunoYuushiDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBushiSeiryuudenFutarinoYuushaJapanRomDesc[] = {
	{ "Bushi Seiryuuden - Futari no Yuusha (Japan).sfc",          3145728, 0x62d31295, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBushiSeiryuudenFutarinoYuushaJapan)
STD_ROM_FN(rBushiSeiryuudenFutarinoYuushaJapan)

struct BurnDriver BurnDrvrBushiSeiryuudenFutarinoYuushaJapan = {
	"Bushi Seiryuuden - Futari no Yuusha (Japan)", NULL, NULL, "1986",
	"Bushi Seiryuuden - Futari no Yuusha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bushi Seiryuuden - Futari no Yuusha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBushiSeiryuudenFutarinoYuushaJapanRomInfo, rBushiSeiryuudenFutarinoYuushaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rBustAMoveUSARomDesc[] = {
	{ "Bust-A-Move (USA).sfc",          524288, 0x3266fd23, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rBustAMoveUSA)
STD_ROM_FN(rBustAMoveUSA)

struct BurnDriver BurnDrvrBustAMoveUSA = {
	"Bust-A-Move (USA)", NULL, NULL, "1986",
	"Bust-A-Move (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Bust-A-Move (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rBustAMoveUSARomInfo, rBustAMoveUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCacomaKnightJapanRomDesc[] = {
	{ "Cacoma Knight (Japan).sfc",          524288, 0x6b3b7b52, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCacomaKnightJapan)
STD_ROM_FN(rCacomaKnightJapan)

struct BurnDriver BurnDrvrCacomaKnightJapan = {
	"Cacoma Knight (Japan)", NULL, NULL, "1986",
	"Cacoma Knight (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cacoma Knight (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCacomaKnightJapanRomInfo, rCacomaKnightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCacomaKnightinBizylandUSARomDesc[] = {
	{ "Cacoma Knight in Bizyland (USA).sfc",          524288, 0xba921443, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCacomaKnightinBizylandUSA)
STD_ROM_FN(rCacomaKnightinBizylandUSA)

struct BurnDriver BurnDrvrCacomaKnightinBizylandUSA = {
	"Cacoma Knight in Bizyland (USA)", NULL, NULL, "1986",
	"Cacoma Knight in Bizyland (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cacoma Knight in Bizyland (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCacomaKnightinBizylandUSARomInfo, rCacomaKnightinBizylandUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCalRipkenJrBaseballEuropeRomDesc[] = {
	{ "Cal Ripken Jr. Baseball (Europe).sfc",          1048576, 0xc1357473, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCalRipkenJrBaseballEurope)
STD_ROM_FN(rCalRipkenJrBaseballEurope)

struct BurnDriver BurnDrvrCalRipkenJrBaseballEurope = {
	"Cal Ripken Jr. Baseball (Europe)", NULL, NULL, "1986",
	"Cal Ripken Jr. Baseball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cal Ripken Jr. Baseball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCalRipkenJrBaseballEuropeRomInfo, rCalRipkenJrBaseballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCalRipkenJrBaseballUSABetaRomDesc[] = {
	{ "Cal Ripken Jr. Baseball (USA) (Beta).sfc",          1048576, 0xf48dc221, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCalRipkenJrBaseballUSABeta)
STD_ROM_FN(rCalRipkenJrBaseballUSABeta)

struct BurnDriver BurnDrvrCalRipkenJrBaseballUSABeta = {
	"Cal Ripken Jr. Baseball (USA) (Beta)", NULL, NULL, "1986",
	"Cal Ripken Jr. Baseball (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cal Ripken Jr. Baseball (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCalRipkenJrBaseballUSABetaRomInfo, rCalRipkenJrBaseballUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCalRipkenJrBaseballUSARomDesc[] = {
	{ "Cal Ripken Jr. Baseball (USA).sfc",          1048576, 0xce2eaa41, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCalRipkenJrBaseballUSA)
STD_ROM_FN(rCalRipkenJrBaseballUSA)

struct BurnDriver BurnDrvrCalRipkenJrBaseballUSA = {
	"Cal Ripken Jr. Baseball (USA)", NULL, NULL, "1986",
	"Cal Ripken Jr. Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cal Ripken Jr. Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCalRipkenJrBaseballUSARomInfo, rCalRipkenJrBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaliforniaGamesIIEuropeEnFrDeRomDesc[] = {
	{ "California Games II (Europe) (En,Fr,De).sfc",          1048576, 0xdb0814c5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaliforniaGamesIIEuropeEnFrDe)
STD_ROM_FN(rCaliforniaGamesIIEuropeEnFrDe)

struct BurnDriver BurnDrvrCaliforniaGamesIIEuropeEnFrDe = {
	"California Games II (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"California Games II (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"California Games II (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaliforniaGamesIIEuropeEnFrDeRomInfo, rCaliforniaGamesIIEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaliforniaGamesIIJapanEnJaRomDesc[] = {
	{ "California Games II (Japan) (En,Ja).sfc",          1048576, 0x5fa9485c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaliforniaGamesIIJapanEnJa)
STD_ROM_FN(rCaliforniaGamesIIJapanEnJa)

struct BurnDriver BurnDrvrCaliforniaGamesIIJapanEnJa = {
	"California Games II (Japan) (En,Ja)", NULL, NULL, "1986",
	"California Games II (Japan) (En,Ja)\0", NULL, "Nintendo", "Miscellaneous",
	L"California Games II (Japan) (En,Ja)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaliforniaGamesIIJapanEnJaRomInfo, rCaliforniaGamesIIJapanEnJaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaliforniaGamesIIUSARomDesc[] = {
	{ "California Games II (USA).sfc",          1048576, 0x21392b00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaliforniaGamesIIUSA)
STD_ROM_FN(rCaliforniaGamesIIUSA)

struct BurnDriver BurnDrvrCaliforniaGamesIIUSA = {
	"California Games II (USA)", NULL, NULL, "1986",
	"California Games II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"California Games II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaliforniaGamesIIUSARomInfo, rCaliforniaGamesIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCameltryJapanRomDesc[] = {
	{ "Cameltry (Japan).sfc",          1048576, 0xa95c1fff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCameltryJapan)
STD_ROM_FN(rCameltryJapan)

struct BurnDriver BurnDrvrCameltryJapan = {
	"Cameltry (Japan)", NULL, NULL, "1986",
	"Cameltry (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cameltry (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCameltryJapanRomInfo, rCameltryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCannonFodderEuropeRomDesc[] = {
	{ "Cannon Fodder (Europe).sfc",          1572864, 0xf3b5cbb1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCannonFodderEurope)
STD_ROM_FN(rCannonFodderEurope)

struct BurnDriver BurnDrvrCannonFodderEurope = {
	"Cannon Fodder (Europe)", NULL, NULL, "1986",
	"Cannon Fodder (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cannon Fodder (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCannonFodderEuropeRomInfo, rCannonFodderEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCannondaleCupUSARomDesc[] = {
	{ "Cannondale Cup (USA).sfc",          1572864, 0xb95fe0a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCannondaleCupUSA)
STD_ROM_FN(rCannondaleCupUSA)

struct BurnDriver BurnDrvrCannondaleCupUSA = {
	"Cannondale Cup (USA)", NULL, NULL, "1986",
	"Cannondale Cup (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cannondale Cup (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCannondaleCupUSARomInfo, rCannondaleCupUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCapcomsMVPFootballUSARomDesc[] = {
	{ "Capcom's MVP Football (USA).sfc",          1048576, 0xbd0a0c0e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCapcomsMVPFootballUSA)
STD_ROM_FN(rCapcomsMVPFootballUSA)

struct BurnDriver BurnDrvrCapcomsMVPFootballUSA = {
	"Capcom's MVP Football (USA)", NULL, NULL, "1986",
	"Capcom's MVP Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Capcom's MVP Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCapcomsMVPFootballUSARomInfo, rCapcomsMVPFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCapcomsSoccerShootoutUSABetaRomDesc[] = {
	{ "Capcom's Soccer Shootout (USA) (Beta).sfc",          1572864, 0x89178bc0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCapcomsSoccerShootoutUSABeta)
STD_ROM_FN(rCapcomsSoccerShootoutUSABeta)

struct BurnDriver BurnDrvrCapcomsSoccerShootoutUSABeta = {
	"Capcom's Soccer Shootout (USA) (Beta)", NULL, NULL, "1986",
	"Capcom's Soccer Shootout (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Capcom's Soccer Shootout (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCapcomsSoccerShootoutUSABetaRomInfo, rCapcomsSoccerShootoutUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCapcomsSoccerShootoutUSARomDesc[] = {
	{ "Capcom's Soccer Shootout (USA).sfc",          1572864, 0xee314ae5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCapcomsSoccerShootoutUSA)
STD_ROM_FN(rCapcomsSoccerShootoutUSA)

struct BurnDriver BurnDrvrCapcomsSoccerShootoutUSA = {
	"Capcom's Soccer Shootout (USA)", NULL, NULL, "1986",
	"Capcom's Soccer Shootout (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Capcom's Soccer Shootout (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCapcomsSoccerShootoutUSARomInfo, rCapcomsSoccerShootoutUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainAmericaandtheAvengersEuropeRomDesc[] = {
	{ "Captain America and the Avengers (Europe).sfc",          1048576, 0xacb31f2a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainAmericaandtheAvengersEurope)
STD_ROM_FN(rCaptainAmericaandtheAvengersEurope)

struct BurnDriver BurnDrvrCaptainAmericaandtheAvengersEurope = {
	"Captain America and the Avengers (Europe)", NULL, NULL, "1986",
	"Captain America and the Avengers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain America and the Avengers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainAmericaandtheAvengersEuropeRomInfo, rCaptainAmericaandtheAvengersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainAmericaandtheAvengersUSARomDesc[] = {
	{ "Captain America and the Avengers (USA).sfc",          1048576, 0x456ab5c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainAmericaandtheAvengersUSA)
STD_ROM_FN(rCaptainAmericaandtheAvengersUSA)

struct BurnDriver BurnDrvrCaptainAmericaandtheAvengersUSA = {
	"Captain America and the Avengers (USA)", NULL, NULL, "1986",
	"Captain America and the Avengers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain America and the Avengers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainAmericaandtheAvengersUSARomInfo, rCaptainAmericaandtheAvengersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainCommandoEuropeRomDesc[] = {
	{ "Captain Commando (Europe).sfc",          2097152, 0x5b9aa73a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainCommandoEurope)
STD_ROM_FN(rCaptainCommandoEurope)

struct BurnDriver BurnDrvrCaptainCommandoEurope = {
	"Captain Commando (Europe)", NULL, NULL, "1986",
	"Captain Commando (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Commando (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainCommandoEuropeRomInfo, rCaptainCommandoEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainCommandoJapanRomDesc[] = {
	{ "Captain Commando (Japan).sfc",          2097152, 0xe5423eb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainCommandoJapan)
STD_ROM_FN(rCaptainCommandoJapan)

struct BurnDriver BurnDrvrCaptainCommandoJapan = {
	"Captain Commando (Japan)", NULL, NULL, "1986",
	"Captain Commando (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Commando (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainCommandoJapanRomInfo, rCaptainCommandoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainCommandoUSARomDesc[] = {
	{ "Captain Commando (USA).sfc",          2097152, 0x81db73c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainCommandoUSA)
STD_ROM_FN(rCaptainCommandoUSA)

struct BurnDriver BurnDrvrCaptainCommandoUSA = {
	"Captain Commando (USA)", NULL, NULL, "1986",
	"Captain Commando (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Commando (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainCommandoUSARomInfo, rCaptainCommandoUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainNovolinUSAEnFrEsRomDesc[] = {
	{ "Captain Novolin (USA) (En,Fr,Es).sfc",          524288, 0x9fd460a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainNovolinUSAEnFrEs)
STD_ROM_FN(rCaptainNovolinUSAEnFrEs)

struct BurnDriver BurnDrvrCaptainNovolinUSAEnFrEs = {
	"Captain Novolin (USA) (En,Fr,Es)", NULL, NULL, "1986",
	"Captain Novolin (USA) (En,Fr,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Novolin (USA) (En,Fr,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainNovolinUSAEnFrEsRomInfo, rCaptainNovolinUSAEnFrEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainTsubasaIIIKouteinoChousenJapanRomDesc[] = {
	{ "Captain Tsubasa III - Koutei no Chousen (Japan).sfc",          1048576, 0x26b0cee3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainTsubasaIIIKouteinoChousenJapan)
STD_ROM_FN(rCaptainTsubasaIIIKouteinoChousenJapan)

struct BurnDriver BurnDrvrCaptainTsubasaIIIKouteinoChousenJapan = {
	"Captain Tsubasa III - Koutei no Chousen (Japan)", NULL, NULL, "1986",
	"Captain Tsubasa III - Koutei no Chousen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Tsubasa III - Koutei no Chousen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainTsubasaIIIKouteinoChousenJapanRomInfo, rCaptainTsubasaIIIKouteinoChousenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainTsubasaIVPronoRivaltachiJapanRomDesc[] = {
	{ "Captain Tsubasa IV - Pro no Rival-tachi (Japan).sfc",          1572864, 0x3e04b246, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainTsubasaIVPronoRivaltachiJapan)
STD_ROM_FN(rCaptainTsubasaIVPronoRivaltachiJapan)

struct BurnDriver BurnDrvrCaptainTsubasaIVPronoRivaltachiJapan = {
	"Captain Tsubasa IV - Pro no Rival-tachi (Japan)", NULL, NULL, "1986",
	"Captain Tsubasa IV - Pro no Rival-tachi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Tsubasa IV - Pro no Rival-tachi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainTsubasaIVPronoRivaltachiJapanRomInfo, rCaptainTsubasaIVPronoRivaltachiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainTsubasaJTheWaytoWorldYouthJapanRomDesc[] = {
	{ "Captain Tsubasa J - The Way to World Youth (Japan).sfc",          2097152, 0x16c63d9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainTsubasaJTheWaytoWorldYouthJapan)
STD_ROM_FN(rCaptainTsubasaJTheWaytoWorldYouthJapan)

struct BurnDriver BurnDrvrCaptainTsubasaJTheWaytoWorldYouthJapan = {
	"Captain Tsubasa J - The Way to World Youth (Japan)", NULL, NULL, "1986",
	"Captain Tsubasa J - The Way to World Youth (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Tsubasa J - The Way to World Youth (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainTsubasaJTheWaytoWorldYouthJapanRomInfo, rCaptainTsubasaJTheWaytoWorldYouthJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaptainTsubasaVHashanoShougouCampioneJapanRomDesc[] = {
	{ "Captain Tsubasa V - Hasha no Shougou Campione (Japan).sfc",          2097152, 0xe2b26d99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaptainTsubasaVHashanoShougouCampioneJapan)
STD_ROM_FN(rCaptainTsubasaVHashanoShougouCampioneJapan)

struct BurnDriver BurnDrvrCaptainTsubasaVHashanoShougouCampioneJapan = {
	"Captain Tsubasa V - Hasha no Shougou Campione (Japan)", NULL, NULL, "1986",
	"Captain Tsubasa V - Hasha no Shougou Campione (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Captain Tsubasa V - Hasha no Shougou Campione (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaptainTsubasaVHashanoShougouCampioneJapanRomInfo, rCaptainTsubasaVHashanoShougouCampioneJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCaravanShootingCollectionJapanRomDesc[] = {
	{ "Caravan Shooting Collection (Japan).sfc",          524288, 0x8675b9df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCaravanShootingCollectionJapan)
STD_ROM_FN(rCaravanShootingCollectionJapan)

struct BurnDriver BurnDrvrCaravanShootingCollectionJapan = {
	"Caravan Shooting Collection (Japan)", NULL, NULL, "1986",
	"Caravan Shooting Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Caravan Shooting Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCaravanShootingCollectionJapanRomInfo, rCaravanShootingCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCardMasterRimusarianoFuuinJapanRomDesc[] = {
	{ "Card Master - Rimusaria no Fuuin (Japan).sfc",          1048576, 0x9e772b8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCardMasterRimusarianoFuuinJapan)
STD_ROM_FN(rCardMasterRimusarianoFuuinJapan)

struct BurnDriver BurnDrvrCardMasterRimusarianoFuuinJapan = {
	"Card Master - Rimusaria no Fuuin (Japan)", NULL, NULL, "1986",
	"Card Master - Rimusaria no Fuuin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Card Master - Rimusaria no Fuuin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCardMasterRimusarianoFuuinJapanRomInfo, rCardMasterRimusarianoFuuinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCarrierAcesEuropeRomDesc[] = {
	{ "Carrier Aces (Europe).sfc",          2097152, 0x4da4a34f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCarrierAcesEurope)
STD_ROM_FN(rCarrierAcesEurope)

struct BurnDriver BurnDrvrCarrierAcesEurope = {
	"Carrier Aces (Europe)", NULL, NULL, "1986",
	"Carrier Aces (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Carrier Aces (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCarrierAcesEuropeRomInfo, rCarrierAcesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCarrierAcesJapanRomDesc[] = {
	{ "Carrier Aces (Japan).sfc",          2097152, 0x89b31066, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCarrierAcesJapan)
STD_ROM_FN(rCarrierAcesJapan)

struct BurnDriver BurnDrvrCarrierAcesJapan = {
	"Carrier Aces (Japan)", NULL, NULL, "1986",
	"Carrier Aces (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Carrier Aces (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCarrierAcesJapanRomInfo, rCarrierAcesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCarrierAcesUSARomDesc[] = {
	{ "Carrier Aces (USA).sfc",          2097152, 0x8bc5b8de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCarrierAcesUSA)
STD_ROM_FN(rCarrierAcesUSA)

struct BurnDriver BurnDrvrCarrierAcesUSA = {
	"Carrier Aces (USA)", NULL, NULL, "1986",
	"Carrier Aces (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Carrier Aces (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCarrierAcesUSARomInfo, rCarrierAcesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCasperEuropeRomDesc[] = {
	{ "Casper (Europe).sfc",          1048576, 0xa7677e65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCasperEurope)
STD_ROM_FN(rCasperEurope)

struct BurnDriver BurnDrvrCasperEurope = {
	"Casper (Europe)", NULL, NULL, "1986",
	"Casper (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Casper (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCasperEuropeRomInfo, rCasperEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCasperJapanRomDesc[] = {
	{ "Casper (Japan).sfc",          1048576, 0x696458b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCasperJapan)
STD_ROM_FN(rCasperJapan)

struct BurnDriver BurnDrvrCasperJapan = {
	"Casper (Japan)", NULL, NULL, "1986",
	"Casper (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Casper (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCasperJapanRomInfo, rCasperJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCasperUSARomDesc[] = {
	{ "Casper (USA).sfc",          1048576, 0xa3b745bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCasperUSA)
STD_ROM_FN(rCasperUSA)

struct BurnDriver BurnDrvrCasperUSA = {
	"Casper (USA)", NULL, NULL, "1986",
	"Casper (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Casper (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCasperUSARomInfo, rCasperUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCastlevaniaDraculaXUSARomDesc[] = {
	{ "Castlevania - Dracula X (USA).sfc",          2097152, 0x7c4887e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCastlevaniaDraculaXUSA)
STD_ROM_FN(rCastlevaniaDraculaXUSA)

struct BurnDriver BurnDrvrCastlevaniaDraculaXUSA = {
	"Castlevania - Dracula X (USA)", NULL, NULL, "1986",
	"Castlevania - Dracula X (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Castlevania - Dracula X (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCastlevaniaDraculaXUSARomInfo, rCastlevaniaDraculaXUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCastlevaniaVampiresKissEuropeRomDesc[] = {
	{ "Castlevania - Vampire's Kiss (Europe).sfc",          2097152, 0x4ee9ee99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCastlevaniaVampiresKissEurope)
STD_ROM_FN(rCastlevaniaVampiresKissEurope)

struct BurnDriver BurnDrvrCastlevaniaVampiresKissEurope = {
	"Castlevania - Vampire's Kiss (Europe)", NULL, NULL, "1986",
	"Castlevania - Vampire's Kiss (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Castlevania - Vampire's Kiss (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCastlevaniaVampiresKissEuropeRomInfo, rCastlevaniaVampiresKissEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCBCharaWarsUshinawaretaGagJapanRomDesc[] = {
	{ "CB Chara Wars - Ushinawareta Gag (Japan).sfc",          1048576, 0x85ac87d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCBCharaWarsUshinawaretaGagJapan)
STD_ROM_FN(rCBCharaWarsUshinawaretaGagJapan)

struct BurnDriver BurnDrvrCBCharaWarsUshinawaretaGagJapan = {
	"CB Chara Wars - Ushinawareta Gag (Japan)", NULL, NULL, "1986",
	"CB Chara Wars - Ushinawareta Gag (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"CB Chara Wars - Ushinawareta Gag (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCBCharaWarsUshinawaretaGagJapanRomInfo, rCBCharaWarsUshinawaretaGagJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionsWorldClassSoccerEuropeEnFrDeEsRomDesc[] = {
	{ "Champions - World Class Soccer (Europe) (En,Fr,De,Es).sfc",          1048576, 0xd89c8156, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionsWorldClassSoccerEuropeEnFrDeEs)
STD_ROM_FN(rChampionsWorldClassSoccerEuropeEnFrDeEs)

struct BurnDriver BurnDrvrChampionsWorldClassSoccerEuropeEnFrDeEs = {
	"Champions - World Class Soccer (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Champions - World Class Soccer (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Champions - World Class Soccer (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionsWorldClassSoccerEuropeEnFrDeEsRomInfo, rChampionsWorldClassSoccerEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionsWorldClassSoccerJapanRomDesc[] = {
	{ "Champions - World Class Soccer (Japan).sfc",          1048576, 0x7cad002, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionsWorldClassSoccerJapan)
STD_ROM_FN(rChampionsWorldClassSoccerJapan)

struct BurnDriver BurnDrvrChampionsWorldClassSoccerJapan = {
	"Champions - World Class Soccer (Japan)", NULL, NULL, "1986",
	"Champions - World Class Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Champions - World Class Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionsWorldClassSoccerJapanRomInfo, rChampionsWorldClassSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionsWorldClassSoccerUSAEnFrDeEsRomDesc[] = {
	{ "Champions - World Class Soccer (USA) (En,Fr,De,Es).sfc",          1048576, 0xbcd59d08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionsWorldClassSoccerUSAEnFrDeEs)
STD_ROM_FN(rChampionsWorldClassSoccerUSAEnFrDeEs)

struct BurnDriver BurnDrvrChampionsWorldClassSoccerUSAEnFrDeEs = {
	"Champions - World Class Soccer (USA) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Champions - World Class Soccer (USA) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Champions - World Class Soccer (USA) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionsWorldClassSoccerUSAEnFrDeEsRomInfo, rChampionsWorldClassSoccerUSAEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionshipPoolEuropeRomDesc[] = {
	{ "Championship Pool (Europe).sfc",          1048576, 0x2905c3dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionshipPoolEurope)
STD_ROM_FN(rChampionshipPoolEurope)

struct BurnDriver BurnDrvrChampionshipPoolEurope = {
	"Championship Pool (Europe)", NULL, NULL, "1986",
	"Championship Pool (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Championship Pool (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionshipPoolEuropeRomInfo, rChampionshipPoolEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionshipPoolUSARomDesc[] = {
	{ "Championship Pool (USA).sfc",          1048576, 0x98ef8414, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionshipPoolUSA)
STD_ROM_FN(rChampionshipPoolUSA)

struct BurnDriver BurnDrvrChampionshipPoolUSA = {
	"Championship Pool (USA)", NULL, NULL, "1986",
	"Championship Pool (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Championship Pool (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionshipPoolUSARomInfo, rChampionshipPoolUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChampionshipSoccer94USAEnFrDeItRomDesc[] = {
	{ "Championship Soccer '94 (USA) (En,Fr,De,It).sfc",          524288, 0x6b953095, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChampionshipSoccer94USAEnFrDeIt)
STD_ROM_FN(rChampionshipSoccer94USAEnFrDeIt)

struct BurnDriver BurnDrvrChampionshipSoccer94USAEnFrDeIt = {
	"Championship Soccer '94 (USA) (En,Fr,De,It)", NULL, NULL, "1986",
	"Championship Soccer '94 (USA) (En,Fr,De,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Championship Soccer '94 (USA) (En,Fr,De,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChampionshipSoccer94USAEnFrDeItRomInfo, rChampionshipSoccer94USAEnFrDeItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChaosEngineTheEuropeRomDesc[] = {
	{ "Chaos Engine, The (Europe).sfc",          1572864, 0x8900f073, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChaosEngineTheEurope)
STD_ROM_FN(rChaosEngineTheEurope)

struct BurnDriver BurnDrvrChaosEngineTheEurope = {
	"Chaos Engine, The (Europe)", NULL, NULL, "1986",
	"Chaos Engine, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chaos Engine, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChaosEngineTheEuropeRomInfo, rChaosEngineTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChaosSeedFengShuiKairoukiJapanRomDesc[] = {
	{ "Chaos Seed - Feng Shui Kairouki (Japan).sfc",          2621440, 0x76e01ccb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChaosSeedFengShuiKairoukiJapan)
STD_ROM_FN(rChaosSeedFengShuiKairoukiJapan)

struct BurnDriver BurnDrvrChaosSeedFengShuiKairoukiJapan = {
	"Chaos Seed - Feng Shui Kairouki (Japan)", NULL, NULL, "1986",
	"Chaos Seed - Feng Shui Kairouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chaos Seed - Feng Shui Kairouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChaosSeedFengShuiKairoukiJapanRomInfo, rChaosSeedFengShuiKairoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChavezUSABetaRomDesc[] = {
	{ "Chavez (USA) (Beta).sfc",          524288, 0x1f74e668, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChavezUSABeta)
STD_ROM_FN(rChavezUSABeta)

struct BurnDriver BurnDrvrChavezUSABeta = {
	"Chavez (USA) (Beta)", NULL, NULL, "1986",
	"Chavez (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chavez (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChavezUSABetaRomInfo, rChavezUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChavezUSARomDesc[] = {
	{ "Chavez (USA).sfc",          524288, 0xa9d604ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChavezUSA)
STD_ROM_FN(rChavezUSA)

struct BurnDriver BurnDrvrChavezUSA = {
	"Chavez (USA)", NULL, NULL, "1986",
	"Chavez (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chavez (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChavezUSARomInfo, rChavezUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChavezIIUSARomDesc[] = {
	{ "Chavez II (USA).sfc",          1048576, 0x86981887, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChavezIIUSA)
STD_ROM_FN(rChavezIIUSA)

struct BurnDriver BurnDrvrChavezIIUSA = {
	"Chavez II (USA)", NULL, NULL, "1986",
	"Chavez II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chavez II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChavezIIUSARomInfo, rChavezIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCheapdeGorgeousVol1JapanBSRomDesc[] = {
	{ "Cheap de Gorgeous Vol. 1 (Japan) (BS).sfc",          1048576, 0xee02126e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCheapdeGorgeousVol1JapanBS)
STD_ROM_FN(rCheapdeGorgeousVol1JapanBS)

struct BurnDriver BurnDrvrCheapdeGorgeousVol1JapanBS = {
	"Cheap de Gorgeous Vol. 1 (Japan) (BS)", NULL, NULL, "1986",
	"Cheap de Gorgeous Vol. 1 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cheap de Gorgeous Vol. 1 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCheapdeGorgeousVol1JapanBSRomInfo, rCheapdeGorgeousVol1JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChessmasterTheEuropeRomDesc[] = {
	{ "Chessmaster, The (Europe).sfc",          524288, 0xd84bdfd5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChessmasterTheEurope)
STD_ROM_FN(rChessmasterTheEurope)

struct BurnDriver BurnDrvrChessmasterTheEurope = {
	"Chessmaster, The (Europe)", NULL, NULL, "1986",
	"Chessmaster, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chessmaster, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChessmasterTheEuropeRomInfo, rChessmasterTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChessmasterTheJapanRomDesc[] = {
	{ "Chessmaster, The (Japan).sfc",          524288, 0x15c93942, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChessmasterTheJapan)
STD_ROM_FN(rChessmasterTheJapan)

struct BurnDriver BurnDrvrChessmasterTheJapan = {
	"Chessmaster, The (Japan)", NULL, NULL, "1986",
	"Chessmaster, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chessmaster, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChessmasterTheJapanRomInfo, rChessmasterTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChessmasterTheUSARomDesc[] = {
	{ "Chessmaster, The (USA).sfc",          524288, 0xbc671e15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChessmasterTheUSA)
STD_ROM_FN(rChessmasterTheUSA)

struct BurnDriver BurnDrvrChessmasterTheUSA = {
	"Chessmaster, The (USA)", NULL, NULL, "1986",
	"Chessmaster, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chessmaster, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChessmasterTheUSARomInfo, rChessmasterTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChesterCheetahTooCooltoFoolUSARomDesc[] = {
	{ "Chester Cheetah - Too Cool to Fool (USA).sfc",          1048576, 0x552bf16a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChesterCheetahTooCooltoFoolUSA)
STD_ROM_FN(rChesterCheetahTooCooltoFoolUSA)

struct BurnDriver BurnDrvrChesterCheetahTooCooltoFoolUSA = {
	"Chester Cheetah - Too Cool to Fool (USA)", NULL, NULL, "1986",
	"Chester Cheetah - Too Cool to Fool (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chester Cheetah - Too Cool to Fool (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChesterCheetahTooCooltoFoolUSARomInfo, rChesterCheetahTooCooltoFoolUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChesterCheetahWildWildQuestUSABetaRomDesc[] = {
	{ "Chester Cheetah - Wild Wild Quest (USA) (Beta).sfc",          1310720, 0xbc27bca6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChesterCheetahWildWildQuestUSABeta)
STD_ROM_FN(rChesterCheetahWildWildQuestUSABeta)

struct BurnDriver BurnDrvrChesterCheetahWildWildQuestUSABeta = {
	"Chester Cheetah - Wild Wild Quest (USA) (Beta)", NULL, NULL, "1986",
	"Chester Cheetah - Wild Wild Quest (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chester Cheetah - Wild Wild Quest (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChesterCheetahWildWildQuestUSABetaRomInfo, rChesterCheetahWildWildQuestUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChesterCheetahWildWildQuestUSARomDesc[] = {
	{ "Chester Cheetah - Wild Wild Quest (USA).sfc",          1310720, 0x557fe962, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChesterCheetahWildWildQuestUSA)
STD_ROM_FN(rChesterCheetahWildWildQuestUSA)

struct BurnDriver BurnDrvrChesterCheetahWildWildQuestUSA = {
	"Chester Cheetah - Wild Wild Quest (USA)", NULL, NULL, "1986",
	"Chester Cheetah - Wild Wild Quest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chester Cheetah - Wild Wild Quest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChesterCheetahWildWildQuestUSARomInfo, rChesterCheetahWildWildQuestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChibiMarukochanHarikiri365nichinoMakiJapanRomDesc[] = {
	{ "Chibi Maruko-chan - Harikiri 365-nichi no Maki (Japan).sfc",          524288, 0x846151c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChibiMarukochanHarikiri365nichinoMakiJapan)
STD_ROM_FN(rChibiMarukochanHarikiri365nichinoMakiJapan)

struct BurnDriver BurnDrvrChibiMarukochanHarikiri365nichinoMakiJapan = {
	"Chibi Maruko-chan - Harikiri 365-nichi no Maki (Japan)", NULL, NULL, "1986",
	"Chibi Maruko-chan - Harikiri 365-nichi no Maki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chibi Maruko-chan - Harikiri 365-nichi no Maki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChibiMarukochanHarikiri365nichinoMakiJapanRomInfo, rChibiMarukochanHarikiri365nichinoMakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChibiMarukochanMezaseMinaminoIslandJapanRomDesc[] = {
	{ "Chibi Maruko-chan - Mezase! Minami no Island!! (Japan).sfc",          2097152, 0xf4defcae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChibiMarukochanMezaseMinaminoIslandJapan)
STD_ROM_FN(rChibiMarukochanMezaseMinaminoIslandJapan)

struct BurnDriver BurnDrvrChibiMarukochanMezaseMinaminoIslandJapan = {
	"Chibi Maruko-chan - Mezase! Minami no Island!! (Japan)", NULL, NULL, "1986",
	"Chibi Maruko-chan - Mezase! Minami no Island!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chibi Maruko-chan - Mezase! Minami no Island!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChibiMarukochanMezaseMinaminoIslandJapanRomInfo, rChibiMarukochanMezaseMinaminoIslandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChinhaiJapanRomDesc[] = {
	{ "Chinhai (Japan).sfc",          524288, 0xd7452215, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChinhaiJapan)
STD_ROM_FN(rChinhaiJapan)

struct BurnDriver BurnDrvrChinhaiJapan = {
	"Chinhai (Japan)", NULL, NULL, "1986",
	"Chinhai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chinhai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChinhaiJapanRomInfo, rChinhaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoplifterIIIRescueSurviveEuropeRomDesc[] = {
	{ "Choplifter III - Rescue & Survive (Europe).sfc",          524288, 0x788e42c9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoplifterIIIRescueSurviveEurope)
STD_ROM_FN(rChoplifterIIIRescueSurviveEurope)

struct BurnDriver BurnDrvrChoplifterIIIRescueSurviveEurope = {
	"Choplifter III - Rescue & Survive (Europe)", NULL, NULL, "1986",
	"Choplifter III - Rescue & Survive (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Choplifter III - Rescue & Survive (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoplifterIIIRescueSurviveEuropeRomInfo, rChoplifterIIIRescueSurviveEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoplifterIIIRescueSurviveJapanRomDesc[] = {
	{ "Choplifter III - Rescue & Survive (Japan).sfc",          524288, 0xad26cc9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoplifterIIIRescueSurviveJapan)
STD_ROM_FN(rChoplifterIIIRescueSurviveJapan)

struct BurnDriver BurnDrvrChoplifterIIIRescueSurviveJapan = {
	"Choplifter III - Rescue & Survive (Japan)", NULL, NULL, "1986",
	"Choplifter III - Rescue & Survive (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Choplifter III - Rescue & Survive (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoplifterIIIRescueSurviveJapanRomInfo, rChoplifterIIIRescueSurviveJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoplifterIIIRescueSurviveUSABetabRomDesc[] = {
	{ "Choplifter III - Rescue & Survive (USA) (Beta) [b].sfc",          524288, 0x3280c18f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoplifterIIIRescueSurviveUSABetab)
STD_ROM_FN(rChoplifterIIIRescueSurviveUSABetab)

struct BurnDriver BurnDrvrChoplifterIIIRescueSurviveUSABetab = {
	"Choplifter III - Rescue & Survive (USA) (Beta) [b]", NULL, NULL, "1986",
	"Choplifter III - Rescue & Survive (USA) (Beta) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Choplifter III - Rescue & Survive (USA) (Beta) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoplifterIIIRescueSurviveUSABetabRomInfo, rChoplifterIIIRescueSurviveUSABetabRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoplifterIIIRescueSurviveUSARomDesc[] = {
	{ "Choplifter III - Rescue & Survive (USA).sfc",          524288, 0x1d2eae52, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoplifterIIIRescueSurviveUSA)
STD_ROM_FN(rChoplifterIIIRescueSurviveUSA)

struct BurnDriver BurnDrvrChoplifterIIIRescueSurviveUSA = {
	"Choplifter III - Rescue & Survive (USA)", NULL, NULL, "1986",
	"Choplifter III - Rescue & Survive (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Choplifter III - Rescue & Survive (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoplifterIIIRescueSurviveUSARomInfo, rChoplifterIIIRescueSurviveUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChouAnikiBakuretsuRantouHenJapanRomDesc[] = {
	{ "Chou Aniki - Bakuretsu Rantou Hen (Japan).sfc",          2097152, 0x70f5d440, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChouAnikiBakuretsuRantouHenJapan)
STD_ROM_FN(rChouAnikiBakuretsuRantouHenJapan)

struct BurnDriver BurnDrvrChouAnikiBakuretsuRantouHenJapan = {
	"Chou Aniki - Bakuretsu Rantou Hen (Japan)", NULL, NULL, "1986",
	"Chou Aniki - Bakuretsu Rantou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chou Aniki - Bakuretsu Rantou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChouAnikiBakuretsuRantouHenJapanRomInfo, rChouAnikiBakuretsuRantouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChouMahouTairikuWozzJapanRomDesc[] = {
	{ "Chou Mahou Tairiku Wozz (Japan).sfc",          3145728, 0xb3258f38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChouMahouTairikuWozzJapan)
STD_ROM_FN(rChouMahouTairikuWozzJapan)

struct BurnDriver BurnDrvrChouMahouTairikuWozzJapan = {
	"Chou Mahou Tairiku Wozz (Japan)", NULL, NULL, "1986",
	"Chou Mahou Tairiku Wozz (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chou Mahou Tairiku Wozz (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChouMahouTairikuWozzJapanRomInfo, rChouMahouTairikuWozzJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChouMakaiMuraJapanRomDesc[] = {
	{ "Chou Makai Mura (Japan).sfc",          1048576, 0xcf8a8dba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChouMakaiMuraJapan)
STD_ROM_FN(rChouMakaiMuraJapan)

struct BurnDriver BurnDrvrChouMakaiMuraJapan = {
	"Chou Makai Mura (Japan)", NULL, NULL, "1986",
	"Chou Makai Mura (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chou Makai Mura (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChouMakaiMuraJapanRomInfo, rChouMakaiMuraJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChouMakaiTaisenDorabocchanJapanBeta19921221RomDesc[] = {
	{ "Chou Makai Taisen! Dorabocchan (Japan) (Beta) (1992-12-21).sfc",          1048576, 0xc34d7b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChouMakaiTaisenDorabocchanJapanBeta19921221)
STD_ROM_FN(rChouMakaiTaisenDorabocchanJapanBeta19921221)

struct BurnDriver BurnDrvrChouMakaiTaisenDorabocchanJapanBeta19921221 = {
	"Chou Makai Taisen! Dorabocchan (Japan) (Beta) (1992-12-21)", NULL, NULL, "1986",
	"Chou Makai Taisen! Dorabocchan (Japan) (Beta) (1992-12-21)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chou Makai Taisen! Dorabocchan (Japan) (Beta) (1992-12-21)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChouMakaiTaisenDorabocchanJapanBeta19921221RomInfo, rChouMakaiTaisenDorabocchanJapanBeta19921221RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChouMakaiTaisenDorabocchanJapanRomDesc[] = {
	{ "Chou Makai Taisen! Dorabocchan (Japan).sfc",          1048576, 0x497d7c95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChouMakaiTaisenDorabocchanJapan)
STD_ROM_FN(rChouMakaiTaisenDorabocchanJapan)

struct BurnDriver BurnDrvrChouMakaiTaisenDorabocchanJapan = {
	"Chou Makai Taisen! Dorabocchan (Japan)", NULL, NULL, "1986",
	"Chou Makai Taisen! Dorabocchan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chou Makai Taisen! Dorabocchan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChouMakaiTaisenDorabocchanJapanRomInfo, rChouMakaiTaisenDorabocchanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoujikuuYousaiMacrossScrambledValkyrieJapanRomDesc[] = {
	{ "Choujikuu Yousai Macross - Scrambled Valkyrie (Japan).sfc",          1048576, 0xa5db02e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoujikuuYousaiMacrossScrambledValkyrieJapan)
STD_ROM_FN(rChoujikuuYousaiMacrossScrambledValkyrieJapan)

struct BurnDriver BurnDrvrChoujikuuYousaiMacrossScrambledValkyrieJapan = {
	"Choujikuu Yousai Macross - Scrambled Valkyrie (Japan)", NULL, NULL, "1986",
	"Choujikuu Yousai Macross - Scrambled Valkyrie (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Choujikuu Yousai Macross - Scrambled Valkyrie (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoujikuuYousaiMacrossScrambledValkyrieJapanRomInfo, rChoujikuuYousaiMacrossScrambledValkyrieJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChoukouGasshinXardionJapanRomDesc[] = {
	{ "Choukou Gasshin Xardion (Japan).sfc",          1048576, 0xd5f808ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChoukouGasshinXardionJapan)
STD_ROM_FN(rChoukouGasshinXardionJapan)

struct BurnDriver BurnDrvrChoukouGasshinXardionJapan = {
	"Choukou Gasshin Xardion (Japan)", NULL, NULL, "1986",
	"Choukou Gasshin Xardion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Choukou Gasshin Xardion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChoukouGasshinXardionJapanRomInfo, rChoukouGasshinXardionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerJapanSampleRomDesc[] = {
	{ "Chrono Trigger (Japan) (Sample).sfc",          4194304, 0x17c9f363, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerJapanSample)
STD_ROM_FN(rChronoTriggerJapanSample)

struct BurnDriver BurnDrvrChronoTriggerJapanSample = {
	"Chrono Trigger (Japan) (Sample)", NULL, NULL, "1986",
	"Chrono Trigger (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerJapanSampleRomInfo, rChronoTriggerJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerJapanRomDesc[] = {
	{ "Chrono Trigger (Japan).sfc",          4194304, 0x4d014c20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerJapan)
STD_ROM_FN(rChronoTriggerJapan)

struct BurnDriver BurnDrvrChronoTriggerJapan = {
	"Chrono Trigger (Japan)", NULL, NULL, "1986",
	"Chrono Trigger (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerJapanRomInfo, rChronoTriggerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerUSARomDesc[] = {
	{ "Chrono Trigger (USA).sfc",          4194304, 0x2d206bf7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerUSA)
STD_ROM_FN(rChronoTriggerUSA)

struct BurnDriver BurnDrvrChronoTriggerUSA = {
	"Chrono Trigger (USA)", NULL, NULL, "1986",
	"Chrono Trigger (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerUSARomInfo, rChronoTriggerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerCharacterZukanJapanBSRomDesc[] = {
	{ "Chrono Trigger - Character Zukan (Japan) (BS).sfc",          1048576, 0x6d46f88b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerCharacterZukanJapanBS)
STD_ROM_FN(rChronoTriggerCharacterZukanJapanBS)

struct BurnDriver BurnDrvrChronoTriggerCharacterZukanJapanBS = {
	"Chrono Trigger - Character Zukan (Japan) (BS)", NULL, NULL, "1986",
	"Chrono Trigger - Character Zukan (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger - Character Zukan (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerCharacterZukanJapanBSRomInfo, rChronoTriggerCharacterZukanJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerJetBikeSpecialJapanBSRomDesc[] = {
	{ "Chrono Trigger - Jet Bike Special (Japan) (BS).sfc",          262144, 0x9dfb3014, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerJetBikeSpecialJapanBS)
STD_ROM_FN(rChronoTriggerJetBikeSpecialJapanBS)

struct BurnDriver BurnDrvrChronoTriggerJetBikeSpecialJapanBS = {
	"Chrono Trigger - Jet Bike Special (Japan) (BS)", NULL, NULL, "1986",
	"Chrono Trigger - Jet Bike Special (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger - Jet Bike Special (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerJetBikeSpecialJapanBSRomInfo, rChronoTriggerJetBikeSpecialJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChronoTriggerMusicLibraryJapanBSRomDesc[] = {
	{ "Chrono Trigger - Music Library (Japan) (BS).sfc",          524288, 0x27b726b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChronoTriggerMusicLibraryJapanBS)
STD_ROM_FN(rChronoTriggerMusicLibraryJapanBS)

struct BurnDriver BurnDrvrChronoTriggerMusicLibraryJapanBS = {
	"Chrono Trigger - Music Library (Japan) (BS)", NULL, NULL, "1986",
	"Chrono Trigger - Music Library (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chrono Trigger - Music Library (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChronoTriggerMusicLibraryJapanBSRomInfo, rChronoTriggerMusicLibraryJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChuckRockEuropeRomDesc[] = {
	{ "Chuck Rock (Europe).sfc",          1048576, 0xfba012cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChuckRockEurope)
STD_ROM_FN(rChuckRockEurope)

struct BurnDriver BurnDrvrChuckRockEurope = {
	"Chuck Rock (Europe)", NULL, NULL, "1986",
	"Chuck Rock (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chuck Rock (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChuckRockEuropeRomInfo, rChuckRockEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChuckRockUSABetaRomDesc[] = {
	{ "Chuck Rock (USA) (Beta).sfc",          1048576, 0xc024f88f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChuckRockUSABeta)
STD_ROM_FN(rChuckRockUSABeta)

struct BurnDriver BurnDrvrChuckRockUSABeta = {
	"Chuck Rock (USA) (Beta)", NULL, NULL, "1986",
	"Chuck Rock (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chuck Rock (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChuckRockUSABetaRomInfo, rChuckRockUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rChuckRockUSARomDesc[] = {
	{ "Chuck Rock (USA).sfc",          1048576, 0xe237ec45, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rChuckRockUSA)
STD_ROM_FN(rChuckRockUSA)

struct BurnDriver BurnDrvrChuckRockUSA = {
	"Chuck Rock (USA)", NULL, NULL, "1986",
	"Chuck Rock (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Chuck Rock (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rChuckRockUSARomInfo, rChuckRockUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCircuitUSAJapanRomDesc[] = {
	{ "Circuit USA (Japan).sfc",          2097152, 0x5a13366c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCircuitUSAJapan)
STD_ROM_FN(rCircuitUSAJapan)

struct BurnDriver BurnDrvrCircuitUSAJapan = {
	"Circuit USA (Japan)", NULL, NULL, "1986",
	"Circuit USA (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Circuit USA (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCircuitUSAJapanRomInfo, rCircuitUSAJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCivilizationUSABetaRomDesc[] = {
	{ "Civilization (USA) (Beta).sfc",          1310720, 0x5855f7ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCivilizationUSABeta)
STD_ROM_FN(rCivilizationUSABeta)

struct BurnDriver BurnDrvrCivilizationUSABeta = {
	"Civilization (USA) (Beta)", NULL, NULL, "1986",
	"Civilization (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Civilization (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCivilizationUSABetaRomInfo, rCivilizationUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCivilizationUSARomDesc[] = {
	{ "Civilization (USA).sfc",          1572864, 0x41fdba82, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCivilizationUSA)
STD_ROM_FN(rCivilizationUSA)

struct BurnDriver BurnDrvrCivilizationUSA = {
	"Civilization (USA)", NULL, NULL, "1986",
	"Civilization (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Civilization (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCivilizationUSARomInfo, rCivilizationUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCivilizationSekaiShichiDaibunmeiJapanRomDesc[] = {
	{ "Civilization - Sekai Shichi Daibunmei (Japan).sfc",          1310720, 0x9d5ce088, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCivilizationSekaiShichiDaibunmeiJapan)
STD_ROM_FN(rCivilizationSekaiShichiDaibunmeiJapan)

struct BurnDriver BurnDrvrCivilizationSekaiShichiDaibunmeiJapan = {
	"Civilization - Sekai Shichi Daibunmei (Japan)", NULL, NULL, "1986",
	"Civilization - Sekai Shichi Daibunmei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Civilization - Sekai Shichi Daibunmei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCivilizationSekaiShichiDaibunmeiJapanRomInfo, rCivilizationSekaiShichiDaibunmeiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClassicRoadJapanRomDesc[] = {
	{ "Classic Road (Japan).sfc",          1048576, 0x3af7c64a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClassicRoadJapan)
STD_ROM_FN(rClassicRoadJapan)

struct BurnDriver BurnDrvrClassicRoadJapan = {
	"Classic Road (Japan)", NULL, NULL, "1986",
	"Classic Road (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Classic Road (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClassicRoadJapanRomInfo, rClassicRoadJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClassicRoadIIJapanRomDesc[] = {
	{ "Classic Road II (Japan).sfc",          2097152, 0xae782895, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClassicRoadIIJapan)
STD_ROM_FN(rClassicRoadIIJapan)

struct BurnDriver BurnDrvrClassicRoadIIJapan = {
	"Classic Road II (Japan)", NULL, NULL, "1986",
	"Classic Road II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Classic Road II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClassicRoadIIJapanRomInfo, rClassicRoadIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClayFighterEuropeRomDesc[] = {
	{ "Clay Fighter (Europe).sfc",          2097152, 0xb581e100, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClayFighterEurope)
STD_ROM_FN(rClayFighterEurope)

struct BurnDriver BurnDrvrClayFighterEurope = {
	"Clay Fighter (Europe)", NULL, NULL, "1986",
	"Clay Fighter (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clay Fighter (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClayFighterEuropeRomInfo, rClayFighterEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClayFighterUSARomDesc[] = {
	{ "Clay Fighter (USA).sfc",          2097152, 0xc814e3c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClayFighterUSA)
STD_ROM_FN(rClayFighterUSA)

struct BurnDriver BurnDrvrClayFighterUSA = {
	"Clay Fighter (USA)", NULL, NULL, "1986",
	"Clay Fighter (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clay Fighter (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClayFighterUSARomInfo, rClayFighterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClayFighterTournamentEditionUSARomDesc[] = {
	{ "Clay Fighter - Tournament Edition (USA).sfc",          3145728, 0xb360f7af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClayFighterTournamentEditionUSA)
STD_ROM_FN(rClayFighterTournamentEditionUSA)

struct BurnDriver BurnDrvrClayFighterTournamentEditionUSA = {
	"Clay Fighter - Tournament Edition (USA)", NULL, NULL, "1986",
	"Clay Fighter - Tournament Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clay Fighter - Tournament Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClayFighterTournamentEditionUSARomInfo, rClayFighterTournamentEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClayFighter2JudgmentClayEuropeRomDesc[] = {
	{ "Clay Fighter 2 - Judgment Clay (Europe).sfc",          3145728, 0xcaa9abf1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClayFighter2JudgmentClayEurope)
STD_ROM_FN(rClayFighter2JudgmentClayEurope)

struct BurnDriver BurnDrvrClayFighter2JudgmentClayEurope = {
	"Clay Fighter 2 - Judgment Clay (Europe)", NULL, NULL, "1986",
	"Clay Fighter 2 - Judgment Clay (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clay Fighter 2 - Judgment Clay (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClayFighter2JudgmentClayEuropeRomInfo, rClayFighter2JudgmentClayEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClayFighter2JudgmentClayUSARomDesc[] = {
	{ "Clay Fighter 2 - Judgment Clay (USA).sfc",          3145728, 0x20b5c364, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClayFighter2JudgmentClayUSA)
STD_ROM_FN(rClayFighter2JudgmentClayUSA)

struct BurnDriver BurnDrvrClayFighter2JudgmentClayUSA = {
	"Clay Fighter 2 - Judgment Clay (USA)", NULL, NULL, "1986",
	"Clay Fighter 2 - Judgment Clay (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clay Fighter 2 - Judgment Clay (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClayFighter2JudgmentClayUSARomInfo, rClayFighter2JudgmentClayUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClaymatesEuropeRomDesc[] = {
	{ "Claymates (Europe).sfc",          1048576, 0x3a571132, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClaymatesEurope)
STD_ROM_FN(rClaymatesEurope)

struct BurnDriver BurnDrvrClaymatesEurope = {
	"Claymates (Europe)", NULL, NULL, "1986",
	"Claymates (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Claymates (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClaymatesEuropeRomInfo, rClaymatesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClaymatesUSASampleRomDesc[] = {
	{ "Claymates (USA) (Sample).sfc",          1048576, 0x5c00f14c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClaymatesUSASample)
STD_ROM_FN(rClaymatesUSASample)

struct BurnDriver BurnDrvrClaymatesUSASample = {
	"Claymates (USA) (Sample)", NULL, NULL, "1986",
	"Claymates (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Claymates (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClaymatesUSASampleRomInfo, rClaymatesUSASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClaymatesUSARomDesc[] = {
	{ "Claymates (USA).sfc",          1048576, 0x7ad5ccac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClaymatesUSA)
STD_ROM_FN(rClaymatesUSA)

struct BurnDriver BurnDrvrClaymatesUSA = {
	"Claymates (USA)", NULL, NULL, "1986",
	"Claymates (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Claymates (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClaymatesUSARomInfo, rClaymatesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCliffhangerEuropeRomDesc[] = {
	{ "Cliffhanger (Europe).sfc",          1048576, 0xa9e67214, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCliffhangerEurope)
STD_ROM_FN(rCliffhangerEurope)

struct BurnDriver BurnDrvrCliffhangerEurope = {
	"Cliffhanger (Europe)", NULL, NULL, "1986",
	"Cliffhanger (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cliffhanger (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCliffhangerEuropeRomInfo, rCliffhangerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCliffhangerUSARomDesc[] = {
	{ "Cliffhanger (USA).sfc",          1048576, 0x12f8a26c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCliffhangerUSA)
STD_ROM_FN(rCliffhangerUSA)

struct BurnDriver BurnDrvrCliffhangerUSA = {
	"Cliffhanger (USA)", NULL, NULL, "1986",
	"Cliffhanger (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cliffhanger (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCliffhangerUSARomInfo, rCliffhangerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClockTowerJapanRomDesc[] = {
	{ "Clock Tower (Japan).sfc",          3145728, 0xcbcd0dad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClockTowerJapan)
STD_ROM_FN(rClockTowerJapan)

struct BurnDriver BurnDrvrClockTowerJapan = {
	"Clock Tower (Japan)", NULL, NULL, "1986",
	"Clock Tower (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clock Tower (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClockTowerJapanRomInfo, rClockTowerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClockwerxJapanRomDesc[] = {
	{ "Clockwerx (Japan).sfc",          524288, 0xa62b84ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClockwerxJapan)
STD_ROM_FN(rClockwerxJapan)

struct BurnDriver BurnDrvrClockwerxJapan = {
	"Clockwerx (Japan)", NULL, NULL, "1986",
	"Clockwerx (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clockwerx (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClockwerxJapanRomInfo, rClockwerxJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rClueUSARomDesc[] = {
	{ "Clue (USA).sfc",          524288, 0xa4fbe827, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rClueUSA)
STD_ROM_FN(rClueUSA)

struct BurnDriver BurnDrvrClueUSA = {
	"Clue (USA)", NULL, NULL, "1986",
	"Clue (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Clue (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rClueUSARomInfo, rClueUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCollegeFootballUSA97TheRoadtoNewOrleansUSARomDesc[] = {
	{ "College Football USA '97 - The Road to New Orleans (USA).sfc",          2097152, 0xa27940c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCollegeFootballUSA97TheRoadtoNewOrleansUSA)
STD_ROM_FN(rCollegeFootballUSA97TheRoadtoNewOrleansUSA)

struct BurnDriver BurnDrvrCollegeFootballUSA97TheRoadtoNewOrleansUSA = {
	"College Football USA '97 - The Road to New Orleans (USA)", NULL, NULL, "1986",
	"College Football USA '97 - The Road to New Orleans (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"College Football USA '97 - The Road to New Orleans (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCollegeFootballUSA97TheRoadtoNewOrleansUSARomInfo, rCollegeFootballUSA97TheRoadtoNewOrleansUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCollegeSlamUSARomDesc[] = {
	{ "College Slam (USA).sfc",          3145728, 0xce842c6d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCollegeSlamUSA)
STD_ROM_FN(rCollegeSlamUSA)

struct BurnDriver BurnDrvrCollegeSlamUSA = {
	"College Slam (USA)", NULL, NULL, "1986",
	"College Slam (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"College Slam (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCollegeSlamUSARomInfo, rCollegeSlamUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rColumbusnoTamagoyakiDai1kaiJapanBSRomDesc[] = {
	{ "Columbus no Tamagoyaki - Dai-1-kai (Japan) (BS).sfc",          1048576, 0x2289c65f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rColumbusnoTamagoyakiDai1kaiJapanBS)
STD_ROM_FN(rColumbusnoTamagoyakiDai1kaiJapanBS)

struct BurnDriver BurnDrvrColumbusnoTamagoyakiDai1kaiJapanBS = {
	"Columbus no Tamagoyaki - Dai-1-kai (Japan) (BS)", NULL, NULL, "1986",
	"Columbus no Tamagoyaki - Dai-1-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Columbus no Tamagoyaki - Dai-1-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rColumbusnoTamagoyakiDai1kaiJapanBSRomInfo, rColumbusnoTamagoyakiDai1kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rColumbusnoTamagoyakiDai2kaiJapanBSRomDesc[] = {
	{ "Columbus no Tamagoyaki - Dai-2-kai (Japan) (BS).sfc",          1048576, 0xec69ee76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rColumbusnoTamagoyakiDai2kaiJapanBS)
STD_ROM_FN(rColumbusnoTamagoyakiDai2kaiJapanBS)

struct BurnDriver BurnDrvrColumbusnoTamagoyakiDai2kaiJapanBS = {
	"Columbus no Tamagoyaki - Dai-2-kai (Japan) (BS)", NULL, NULL, "1986",
	"Columbus no Tamagoyaki - Dai-2-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Columbus no Tamagoyaki - Dai-2-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rColumbusnoTamagoyakiDai2kaiJapanBSRomInfo, rColumbusnoTamagoyakiDai2kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rColumbusnoTamagoyakiDai3kaiJapanBSRomDesc[] = {
	{ "Columbus no Tamagoyaki - Dai-3-kai (Japan) (BS).sfc",          1048576, 0xd3a32b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rColumbusnoTamagoyakiDai3kaiJapanBS)
STD_ROM_FN(rColumbusnoTamagoyakiDai3kaiJapanBS)

struct BurnDriver BurnDrvrColumbusnoTamagoyakiDai3kaiJapanBS = {
	"Columbus no Tamagoyaki - Dai-3-kai (Japan) (BS)", NULL, NULL, "1986",
	"Columbus no Tamagoyaki - Dai-3-kai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Columbus no Tamagoyaki - Dai-3-kai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rColumbusnoTamagoyakiDai3kaiJapanBSRomInfo, rColumbusnoTamagoyakiDai3kaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rColumnsJapanNPRomDesc[] = {
	{ "Columns (Japan) (NP).sfc",          524288, 0x5c77f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rColumnsJapanNP)
STD_ROM_FN(rColumnsJapanNP)

struct BurnDriver BurnDrvrColumnsJapanNP = {
	"Columns (Japan) (NP)", NULL, NULL, "1986",
	"Columns (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Columns (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rColumnsJapanNPRomInfo, rColumnsJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCombatribesTheJapanRomDesc[] = {
	{ "Combatribes, The (Japan).sfc",          1572864, 0x5e2c24f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCombatribesTheJapan)
STD_ROM_FN(rCombatribesTheJapan)

struct BurnDriver BurnDrvrCombatribesTheJapan = {
	"Combatribes, The (Japan)", NULL, NULL, "1986",
	"Combatribes, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Combatribes, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCombatribesTheJapanRomInfo, rCombatribesTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCombatribesTheUSARomDesc[] = {
	{ "Combatribes, The (USA).sfc",          1572864, 0x9304044a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCombatribesTheUSA)
STD_ROM_FN(rCombatribesTheUSA)

struct BurnDriver BurnDrvrCombatribesTheUSA = {
	"Combatribes, The (USA)", NULL, NULL, "1986",
	"Combatribes, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Combatribes, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCombatribesTheUSARomInfo, rCombatribesTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rComputerNouryokuKaisekiUltraBakenJapanRomDesc[] = {
	{ "Computer Nouryoku Kaiseki - Ultra Baken (Japan).sfc",          1048576, 0x937a72f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rComputerNouryokuKaisekiUltraBakenJapan)
STD_ROM_FN(rComputerNouryokuKaisekiUltraBakenJapan)

struct BurnDriver BurnDrvrComputerNouryokuKaisekiUltraBakenJapan = {
	"Computer Nouryoku Kaiseki - Ultra Baken (Japan)", NULL, NULL, "1986",
	"Computer Nouryoku Kaiseki - Ultra Baken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Computer Nouryoku Kaiseki - Ultra Baken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rComputerNouryokuKaisekiUltraBakenJapanRomInfo, rComputerNouryokuKaisekiUltraBakenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCongoTheMovieTheSecretofZinjUSAProtoRomDesc[] = {
	{ "Congo - The Movie - The Secret of Zinj (USA) (Proto).sfc",          2097152, 0x2a075f4b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCongoTheMovieTheSecretofZinjUSAProto)
STD_ROM_FN(rCongoTheMovieTheSecretofZinjUSAProto)

struct BurnDriver BurnDrvrCongoTheMovieTheSecretofZinjUSAProto = {
	"Congo - The Movie - The Secret of Zinj (USA) (Proto)", NULL, NULL, "1986",
	"Congo - The Movie - The Secret of Zinj (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Congo - The Movie - The Secret of Zinj (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCongoTheMovieTheSecretofZinjUSAProtoRomInfo, rCongoTheMovieTheSecretofZinjUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCongosCaperEuropeRomDesc[] = {
	{ "Congo's Caper (Europe).sfc",          524288, 0x549a163e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCongosCaperEurope)
STD_ROM_FN(rCongosCaperEurope)

struct BurnDriver BurnDrvrCongosCaperEurope = {
	"Congo's Caper (Europe)", NULL, NULL, "1986",
	"Congo's Caper (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Congo's Caper (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCongosCaperEuropeRomInfo, rCongosCaperEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCongosCaperUSARomDesc[] = {
	{ "Congo's Caper (USA).sfc",          524288, 0x8a24fba8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCongosCaperUSA)
STD_ROM_FN(rCongosCaperUSA)

struct BurnDriver BurnDrvrCongosCaperUSA = {
	"Congo's Caper (USA)", NULL, NULL, "1986",
	"Congo's Caper (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Congo's Caper (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCongosCaperUSARomInfo, rCongosCaperUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rContraIIITheAlienWarsUSARomDesc[] = {
	{ "Contra III - The Alien Wars (USA).sfc",          1048576, 0x84da7cfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rContraIIITheAlienWarsUSA)
STD_ROM_FN(rContraIIITheAlienWarsUSA)

struct BurnDriver BurnDrvrContraIIITheAlienWarsUSA = {
	"Contra III - The Alien Wars (USA)", NULL, NULL, "1986",
	"Contra III - The Alien Wars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Contra III - The Alien Wars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rContraIIITheAlienWarsUSARomInfo, rContraIIITheAlienWarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rContraSpiritsJapanRomDesc[] = {
	{ "Contra Spirits (Japan).sfc",          1048576, 0xb8cfe377, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rContraSpiritsJapan)
STD_ROM_FN(rContraSpiritsJapan)

struct BurnDriver BurnDrvrContraSpiritsJapan = {
	"Contra Spirits (Japan)", NULL, NULL, "1986",
	"Contra Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Contra Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rContraSpiritsJapanRomInfo, rContraSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rControllerTestCassetteJapanRomDesc[] = {
	{ "Controller Test Cassette (Japan).sfc",          131072, 0xedf7ebb9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rControllerTestCassetteJapan)
STD_ROM_FN(rControllerTestCassetteJapan)

struct BurnDriver BurnDrvrControllerTestCassetteJapan = {
	"Controller Test Cassette (Japan)", NULL, NULL, "1986",
	"Controller Test Cassette (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Controller Test Cassette (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rControllerTestCassetteJapanRomInfo, rControllerTestCassetteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapanRomDesc[] = {
	{ "Conveni Wars Barcode Battler Senki - Super Senshi Shutsugeki seyo! (Japan).sfc",          524288, 0x115233db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapan)
STD_ROM_FN(rConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapan)

struct BurnDriver BurnDrvrConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapan = {
	"Conveni Wars Barcode Battler Senki - Super Senshi Shutsugeki seyo! (Japan)", NULL, NULL, "1986",
	"Conveni Wars Barcode Battler Senki - Super Senshi Shutsugeki seyo! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Conveni Wars Barcode Battler Senki - Super Senshi Shutsugeki seyo! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapanRomInfo, rConveniWarsBarcodeBattlerSenkiSuperSenshiShutsugekiseyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolSpotEuropeRomDesc[] = {
	{ "Cool Spot (Europe).sfc",          1048576, 0x281244b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolSpotEurope)
STD_ROM_FN(rCoolSpotEurope)

struct BurnDriver BurnDrvrCoolSpotEurope = {
	"Cool Spot (Europe)", NULL, NULL, "1986",
	"Cool Spot (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool Spot (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolSpotEuropeRomInfo, rCoolSpotEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolSpotJapanRomDesc[] = {
	{ "Cool Spot (Japan).sfc",          1048576, 0x55964905, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolSpotJapan)
STD_ROM_FN(rCoolSpotJapan)

struct BurnDriver BurnDrvrCoolSpotJapan = {
	"Cool Spot (Japan)", NULL, NULL, "1986",
	"Cool Spot (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool Spot (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolSpotJapanRomInfo, rCoolSpotJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolSpotUSABetaRomDesc[] = {
	{ "Cool Spot (USA) (Beta).sfc",          1048576, 0x9a14c57d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolSpotUSABeta)
STD_ROM_FN(rCoolSpotUSABeta)

struct BurnDriver BurnDrvrCoolSpotUSABeta = {
	"Cool Spot (USA) (Beta)", NULL, NULL, "1986",
	"Cool Spot (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool Spot (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolSpotUSABetaRomInfo, rCoolSpotUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolSpotUSARomDesc[] = {
	{ "Cool Spot (USA).sfc",          1048576, 0x44e60e58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolSpotUSA)
STD_ROM_FN(rCoolSpotUSA)

struct BurnDriver BurnDrvrCoolSpotUSA = {
	"Cool Spot (USA)", NULL, NULL, "1986",
	"Cool Spot (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool Spot (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolSpotUSARomInfo, rCoolSpotUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolWorldSpainRomDesc[] = {
	{ "Cool World (Spain).sfc",          1048576, 0xbc2e1304, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolWorldSpain)
STD_ROM_FN(rCoolWorldSpain)

struct BurnDriver BurnDrvrCoolWorldSpain = {
	"Cool World (Spain)", NULL, NULL, "1986",
	"Cool World (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool World (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolWorldSpainRomInfo, rCoolWorldSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoolWorldUSARomDesc[] = {
	{ "Cool World (USA).sfc",          1048576, 0x730c37c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoolWorldUSA)
STD_ROM_FN(rCoolWorldUSA)

struct BurnDriver BurnDrvrCoolWorldUSA = {
	"Cool World (USA)", NULL, NULL, "1986",
	"Cool World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cool World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoolWorldUSARomInfo, rCoolWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCornBusterEuropeProtoRomDesc[] = {
	{ "Corn Buster (Europe) (Proto).sfc",          2031616, 0xb5fbad04, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCornBusterEuropeProto)
STD_ROM_FN(rCornBusterEuropeProto)

struct BurnDriver BurnDrvrCornBusterEuropeProto = {
	"Corn Buster (Europe) (Proto)", NULL, NULL, "1986",
	"Corn Buster (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Corn Buster (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCornBusterEuropeProtoRomInfo, rCornBusterEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCoronLandJapanRomDesc[] = {
	{ "Coron Land (Japan).sfc",          1048576, 0x236932e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCoronLandJapan)
STD_ROM_FN(rCoronLandJapan)

struct BurnDriver BurnDrvrCoronLandJapan = {
	"Coron Land (Japan)", NULL, NULL, "1986",
	"Coron Land (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Coron Land (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCoronLandJapanRomInfo, rCoronLandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCosmoGangThePuzzleJapanRomDesc[] = {
	{ "Cosmo Gang - The Puzzle (Japan).sfc",          524288, 0x61b26167, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCosmoGangThePuzzleJapan)
STD_ROM_FN(rCosmoGangThePuzzleJapan)

struct BurnDriver BurnDrvrCosmoGangThePuzzleJapan = {
	"Cosmo Gang - The Puzzle (Japan)", NULL, NULL, "1986",
	"Cosmo Gang - The Puzzle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cosmo Gang - The Puzzle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCosmoGangThePuzzleJapanRomInfo, rCosmoGangThePuzzleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCosmoGangTheVideoJapanRomDesc[] = {
	{ "Cosmo Gang - The Video (Japan).sfc",          1048576, 0xa26dc1de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCosmoGangTheVideoJapan)
STD_ROM_FN(rCosmoGangTheVideoJapan)

struct BurnDriver BurnDrvrCosmoGangTheVideoJapan = {
	"Cosmo Gang - The Video (Japan)", NULL, NULL, "1986",
	"Cosmo Gang - The Video (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cosmo Gang - The Video (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCosmoGangTheVideoJapanRomInfo, rCosmoGangTheVideoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCosmoPoliceGalivanIIArrowofJusticeJapanRomDesc[] = {
	{ "Cosmo Police Galivan II - Arrow of Justice (Japan).sfc",          1048576, 0x582eed3d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCosmoPoliceGalivanIIArrowofJusticeJapan)
STD_ROM_FN(rCosmoPoliceGalivanIIArrowofJusticeJapan)

struct BurnDriver BurnDrvrCosmoPoliceGalivanIIArrowofJusticeJapan = {
	"Cosmo Police Galivan II - Arrow of Justice (Japan)", NULL, NULL, "1986",
	"Cosmo Police Galivan II - Arrow of Justice (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cosmo Police Galivan II - Arrow of Justice (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCosmoPoliceGalivanIIArrowofJusticeJapanRomInfo, rCosmoPoliceGalivanIIArrowofJusticeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCrayonShinchanArashioYobuEnjiJapanRomDesc[] = {
	{ "Crayon Shin-chan - Arashi o Yobu Enji (Japan).sfc",          1572864, 0x36c23f9a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCrayonShinchanArashioYobuEnjiJapan)
STD_ROM_FN(rCrayonShinchanArashioYobuEnjiJapan)

struct BurnDriver BurnDrvrCrayonShinchanArashioYobuEnjiJapan = {
	"Crayon Shin-chan - Arashi o Yobu Enji (Japan)", NULL, NULL, "1986",
	"Crayon Shin-chan - Arashi o Yobu Enji (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Crayon Shin-chan - Arashi o Yobu Enji (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCrayonShinchanArashioYobuEnjiJapanRomInfo, rCrayonShinchanArashioYobuEnjiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCrayonShinchanNagagutsuDobonJapanSTRomDesc[] = {
	{ "Crayon Shin-chan - Nagagutsu Dobon!! (Japan) (ST).sfc",          524288, 0x8eb753f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCrayonShinchanNagagutsuDobonJapanST)
STD_ROM_FN(rCrayonShinchanNagagutsuDobonJapanST)

struct BurnDriver BurnDrvrCrayonShinchanNagagutsuDobonJapanST = {
	"Crayon Shin-chan - Nagagutsu Dobon!! (Japan) (ST)", NULL, NULL, "1986",
	"Crayon Shin-chan - Nagagutsu Dobon!! (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"Crayon Shin-chan - Nagagutsu Dobon!! (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCrayonShinchanNagagutsuDobonJapanSTRomInfo, rCrayonShinchanNagagutsuDobonJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCrayonShinchan2DaimaounoGyakushuuJapanRomDesc[] = {
	{ "Crayon Shin-chan 2 - Daimaou no Gyakushuu (Japan).sfc",          524288, 0x24373cc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCrayonShinchan2DaimaounoGyakushuuJapan)
STD_ROM_FN(rCrayonShinchan2DaimaounoGyakushuuJapan)

struct BurnDriver BurnDrvrCrayonShinchan2DaimaounoGyakushuuJapan = {
	"Crayon Shin-chan 2 - Daimaou no Gyakushuu (Japan)", NULL, NULL, "1986",
	"Crayon Shin-chan 2 - Daimaou no Gyakushuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Crayon Shin-chan 2 - Daimaou no Gyakushuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCrayonShinchan2DaimaounoGyakushuuJapanRomInfo, rCrayonShinchan2DaimaounoGyakushuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCrystalBeansFromDungeonExplorerJapanRomDesc[] = {
	{ "Crystal Beans From Dungeon Explorer (Japan).sfc",          1572864, 0x79663a93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCrystalBeansFromDungeonExplorerJapan)
STD_ROM_FN(rCrystalBeansFromDungeonExplorerJapan)

struct BurnDriver BurnDrvrCrystalBeansFromDungeonExplorerJapan = {
	"Crystal Beans From Dungeon Explorer (Japan)", NULL, NULL, "1986",
	"Crystal Beans From Dungeon Explorer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Crystal Beans From Dungeon Explorer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCrystalBeansFromDungeonExplorerJapanRomInfo, rCrystalBeansFromDungeonExplorerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCuOnPaSFCJapanBSRomDesc[] = {
	{ "Cu-On-Pa SFC (Japan) (BS).sfc",          1048576, 0x5f31e1d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCuOnPaSFCJapanBS)
STD_ROM_FN(rCuOnPaSFCJapanBS)

struct BurnDriver BurnDrvrCuOnPaSFCJapanBS = {
	"Cu-On-Pa SFC (Japan) (BS)", NULL, NULL, "1986",
	"Cu-On-Pa SFC (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cu-On-Pa SFC (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCuOnPaSFCJapanBSRomInfo, rCuOnPaSFCJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCuOnPaSFCJapanRomDesc[] = {
	{ "Cu-On-Pa SFC (Japan).sfc",          1048576, 0x42d0c418, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCuOnPaSFCJapan)
STD_ROM_FN(rCuOnPaSFCJapan)

struct BurnDriver BurnDrvrCuOnPaSFCJapan = {
	"Cu-On-Pa SFC (Japan)", NULL, NULL, "1986",
	"Cu-On-Pa SFC (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cu-On-Pa SFC (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCuOnPaSFCJapanRomInfo, rCuOnPaSFCJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCutthroatIslandEuropeRomDesc[] = {
	{ "Cutthroat Island (Europe).sfc",          2097152, 0xb5799f9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCutthroatIslandEurope)
STD_ROM_FN(rCutthroatIslandEurope)

struct BurnDriver BurnDrvrCutthroatIslandEurope = {
	"Cutthroat Island (Europe)", NULL, NULL, "1986",
	"Cutthroat Island (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cutthroat Island (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCutthroatIslandEuropeRomInfo, rCutthroatIslandEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCutthroatIslandUSARomDesc[] = {
	{ "Cutthroat Island (USA).sfc",          2097152, 0x19ea457b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCutthroatIslandUSA)
STD_ROM_FN(rCutthroatIslandUSA)

struct BurnDriver BurnDrvrCutthroatIslandUSA = {
	"Cutthroat Island (USA)", NULL, NULL, "1986",
	"Cutthroat Island (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cutthroat Island (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCutthroatIslandUSARomInfo, rCutthroatIslandUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCyberKnightJapanRomDesc[] = {
	{ "Cyber Knight (Japan).sfc",          1048576, 0x64034b07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCyberKnightJapan)
STD_ROM_FN(rCyberKnightJapan)

struct BurnDriver BurnDrvrCyberKnightJapan = {
	"Cyber Knight (Japan)", NULL, NULL, "1986",
	"Cyber Knight (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cyber Knight (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCyberKnightJapanRomInfo, rCyberKnightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCyberKnightIIChikyuuTeikokunoYabouJapanRomDesc[] = {
	{ "Cyber Knight II - Chikyuu Teikoku no Yabou (Japan).sfc",          2097152, 0xed8bcbf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCyberKnightIIChikyuuTeikokunoYabouJapan)
STD_ROM_FN(rCyberKnightIIChikyuuTeikokunoYabouJapan)

struct BurnDriver BurnDrvrCyberKnightIIChikyuuTeikokunoYabouJapan = {
	"Cyber Knight II - Chikyuu Teikoku no Yabou (Japan)", NULL, NULL, "1986",
	"Cyber Knight II - Chikyuu Teikoku no Yabou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cyber Knight II - Chikyuu Teikoku no Yabou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCyberKnightIIChikyuuTeikokunoYabouJapanRomInfo, rCyberKnightIIChikyuuTeikokunoYabouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCyberSpinUSARomDesc[] = {
	{ "Cyber Spin (USA).sfc",          524288, 0x44018650, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCyberSpinUSA)
STD_ROM_FN(rCyberSpinUSA)

struct BurnDriver BurnDrvrCyberSpinUSA = {
	"Cyber Spin (USA)", NULL, NULL, "1986",
	"Cyber Spin (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cyber Spin (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCyberSpinUSARomInfo, rCyberSpinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCybernatorEuropeRomDesc[] = {
	{ "Cybernator (Europe).sfc",          1048576, 0xf493414b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCybernatorEurope)
STD_ROM_FN(rCybernatorEurope)

struct BurnDriver BurnDrvrCybernatorEurope = {
	"Cybernator (Europe)", NULL, NULL, "1986",
	"Cybernator (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cybernator (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCybernatorEuropeRomInfo, rCybernatorEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCybernatorUSABetaRomDesc[] = {
	{ "Cybernator (USA) (Beta).sfc",          1048576, 0xaca397e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCybernatorUSABeta)
STD_ROM_FN(rCybernatorUSABeta)

struct BurnDriver BurnDrvrCybernatorUSABeta = {
	"Cybernator (USA) (Beta)", NULL, NULL, "1986",
	"Cybernator (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cybernator (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCybernatorUSABetaRomInfo, rCybernatorUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCybernatorUSARomDesc[] = {
	{ "Cybernator (USA).sfc",          1048576, 0x4dfa05b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCybernatorUSA)
STD_ROM_FN(rCybernatorUSA)

struct BurnDriver BurnDrvrCybernatorUSA = {
	"Cybernator (USA)", NULL, NULL, "1986",
	"Cybernator (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cybernator (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCybernatorUSARomInfo, rCybernatorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCyborg009JapanBetaRomDesc[] = {
	{ "Cyborg 009 (Japan) (Beta).sfc",          1048576, 0x48eeccb3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCyborg009JapanBeta)
STD_ROM_FN(rCyborg009JapanBeta)

struct BurnDriver BurnDrvrCyborg009JapanBeta = {
	"Cyborg 009 (Japan) (Beta)", NULL, NULL, "1986",
	"Cyborg 009 (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cyborg 009 (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCyborg009JapanBetaRomInfo, rCyborg009JapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rCyborg009JapanRomDesc[] = {
	{ "Cyborg 009 (Japan).sfc",          1048576, 0x4a5263db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rCyborg009Japan)
STD_ROM_FN(rCyborg009Japan)

struct BurnDriver BurnDrvrCyborg009Japan = {
	"Cyborg 009 (Japan)", NULL, NULL, "1986",
	"Cyborg 009 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Cyborg 009 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rCyborg009JapanRomInfo, rCyborg009JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDForceUSARomDesc[] = {
	{ "D-Force (USA).sfc",          1048576, 0x24230807, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDForceUSA)
STD_ROM_FN(rDForceUSA)

struct BurnDriver BurnDrvrDForceUSA = {
	"D-Force (USA)", NULL, NULL, "1986",
	"D-Force (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"D-Force (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDForceUSARomInfo, rDForceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaffyDuckTheMarvinMissionsEuropeRomDesc[] = {
	{ "Daffy Duck - The Marvin Missions (Europe).sfc",          1048576, 0xf8dee029, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaffyDuckTheMarvinMissionsEurope)
STD_ROM_FN(rDaffyDuckTheMarvinMissionsEurope)

struct BurnDriver BurnDrvrDaffyDuckTheMarvinMissionsEurope = {
	"Daffy Duck - The Marvin Missions (Europe)", NULL, NULL, "1986",
	"Daffy Duck - The Marvin Missions (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daffy Duck - The Marvin Missions (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaffyDuckTheMarvinMissionsEuropeRomInfo, rDaffyDuckTheMarvinMissionsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaffyDuckTheMarvinMissionsUSARomDesc[] = {
	{ "Daffy Duck - The Marvin Missions (USA).sfc",          1048576, 0x5f02a044, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaffyDuckTheMarvinMissionsUSA)
STD_ROM_FN(rDaffyDuckTheMarvinMissionsUSA)

struct BurnDriver BurnDrvrDaffyDuckTheMarvinMissionsUSA = {
	"Daffy Duck - The Marvin Missions (USA)", NULL, NULL, "1986",
	"Daffy Duck - The Marvin Missions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daffy Duck - The Marvin Missions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaffyDuckTheMarvinMissionsUSARomInfo, rDaffyDuckTheMarvinMissionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDai3jiSuperRobotTaisenJapanRev1RomDesc[] = {
	{ "Dai-3-ji Super Robot Taisen (Japan) (Rev 1).sfc",          1572864, 0x8813029c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDai3jiSuperRobotTaisenJapanRev1)
STD_ROM_FN(rDai3jiSuperRobotTaisenJapanRev1)

struct BurnDriver BurnDrvrDai3jiSuperRobotTaisenJapanRev1 = {
	"Dai-3-ji Super Robot Taisen (Japan) (Rev 1)", NULL, NULL, "1986",
	"Dai-3-ji Super Robot Taisen (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dai-3-ji Super Robot Taisen (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDai3jiSuperRobotTaisenJapanRev1RomInfo, rDai3jiSuperRobotTaisenJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDai3jiSuperRobotTaisenJapanRev2RomDesc[] = {
	{ "Dai-3-ji Super Robot Taisen (Japan) (Rev 2).sfc",          1572864, 0xc577d666, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDai3jiSuperRobotTaisenJapanRev2)
STD_ROM_FN(rDai3jiSuperRobotTaisenJapanRev2)

struct BurnDriver BurnDrvrDai3jiSuperRobotTaisenJapanRev2 = {
	"Dai-3-ji Super Robot Taisen (Japan) (Rev 2)", NULL, NULL, "1986",
	"Dai-3-ji Super Robot Taisen (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dai-3-ji Super Robot Taisen (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDai3jiSuperRobotTaisenJapanRev2RomInfo, rDai3jiSuperRobotTaisenJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDai3jiSuperRobotTaisenJapanRomDesc[] = {
	{ "Dai-3-ji Super Robot Taisen (Japan).sfc",          1572864, 0xdfe9cc90, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDai3jiSuperRobotTaisenJapan)
STD_ROM_FN(rDai3jiSuperRobotTaisenJapan)

struct BurnDriver BurnDrvrDai3jiSuperRobotTaisenJapan = {
	"Dai-3-ji Super Robot Taisen (Japan)", NULL, NULL, "1986",
	"Dai-3-ji Super Robot Taisen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dai-3-ji Super Robot Taisen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDai3jiSuperRobotTaisenJapanRomInfo, rDai3jiSuperRobotTaisenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDai4jiSuperRobotTaisenJapanRev1RomDesc[] = {
	{ "Dai-4-ji Super Robot Taisen (Japan) (Rev 1).sfc",          3145728, 0x63883e1e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDai4jiSuperRobotTaisenJapanRev1)
STD_ROM_FN(rDai4jiSuperRobotTaisenJapanRev1)

struct BurnDriver BurnDrvrDai4jiSuperRobotTaisenJapanRev1 = {
	"Dai-4-ji Super Robot Taisen (Japan) (Rev 1)", NULL, NULL, "1986",
	"Dai-4-ji Super Robot Taisen (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dai-4-ji Super Robot Taisen (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDai4jiSuperRobotTaisenJapanRev1RomInfo, rDai4jiSuperRobotTaisenJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDai4jiSuperRobotTaisenJapanRomDesc[] = {
	{ "Dai-4-ji Super Robot Taisen (Japan).sfc",          3145728, 0xbe764d4c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDai4jiSuperRobotTaisenJapan)
STD_ROM_FN(rDai4jiSuperRobotTaisenJapan)

struct BurnDriver BurnDrvrDai4jiSuperRobotTaisenJapan = {
	"Dai-4-ji Super Robot Taisen (Japan)", NULL, NULL, "1986",
	"Dai-4-ji Super Robot Taisen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dai-4-ji Super Robot Taisen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDai4jiSuperRobotTaisenJapanRomInfo, rDai4jiSuperRobotTaisenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaibakushouJinseiGekijouJapanBSRomDesc[] = {
	{ "Daibakushou Jinsei Gekijou (Japan) (BS).sfc",          1048576, 0x93c4df65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaibakushouJinseiGekijouJapanBS)
STD_ROM_FN(rDaibakushouJinseiGekijouJapanBS)

struct BurnDriver BurnDrvrDaibakushouJinseiGekijouJapanBS = {
	"Daibakushou Jinsei Gekijou (Japan) (BS)", NULL, NULL, "1986",
	"Daibakushou Jinsei Gekijou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daibakushou Jinsei Gekijou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaibakushouJinseiGekijouJapanBSRomInfo, rDaibakushouJinseiGekijouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaibakushouJinseiGekijouJapanRomDesc[] = {
	{ "Daibakushou Jinsei Gekijou (Japan).sfc",          1048576, 0xa5d41d2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaibakushouJinseiGekijouJapan)
STD_ROM_FN(rDaibakushouJinseiGekijouJapan)

struct BurnDriver BurnDrvrDaibakushouJinseiGekijouJapan = {
	"Daibakushou Jinsei Gekijou (Japan)", NULL, NULL, "1986",
	"Daibakushou Jinsei Gekijou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daibakushou Jinsei Gekijou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaibakushouJinseiGekijouJapanRomInfo, rDaibakushouJinseiGekijouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaibakushouJinseiGekijouDokidokiSeishunHenJapanRomDesc[] = {
	{ "Daibakushou Jinsei Gekijou - Dokidoki Seishun Hen (Japan).sfc",          1310720, 0x2763fd4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaibakushouJinseiGekijouDokidokiSeishunHenJapan)
STD_ROM_FN(rDaibakushouJinseiGekijouDokidokiSeishunHenJapan)

struct BurnDriver BurnDrvrDaibakushouJinseiGekijouDokidokiSeishunHenJapan = {
	"Daibakushou Jinsei Gekijou - Dokidoki Seishun Hen (Japan)", NULL, NULL, "1986",
	"Daibakushou Jinsei Gekijou - Dokidoki Seishun Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daibakushou Jinsei Gekijou - Dokidoki Seishun Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaibakushouJinseiGekijouDokidokiSeishunHenJapanRomInfo, rDaibakushouJinseiGekijouDokidokiSeishunHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaibakushouJinseiGekijouOoedoNikkiJapanRomDesc[] = {
	{ "Daibakushou Jinsei Gekijou - Ooedo Nikki (Japan).sfc",          1048576, 0x34f2685e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaibakushouJinseiGekijouOoedoNikkiJapan)
STD_ROM_FN(rDaibakushouJinseiGekijouOoedoNikkiJapan)

struct BurnDriver BurnDrvrDaibakushouJinseiGekijouOoedoNikkiJapan = {
	"Daibakushou Jinsei Gekijou - Ooedo Nikki (Japan)", NULL, NULL, "1986",
	"Daibakushou Jinsei Gekijou - Ooedo Nikki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daibakushou Jinsei Gekijou - Ooedo Nikki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaibakushouJinseiGekijouOoedoNikkiJapanRomInfo, rDaibakushouJinseiGekijouOoedoNikkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaibakushouJinseiGekijouZukkokeSalarymanHenJapanRomDesc[] = {
	{ "Daibakushou Jinsei Gekijou - Zukkoke Salaryman Hen (Japan).sfc",          2097152, 0xeba309c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaibakushouJinseiGekijouZukkokeSalarymanHenJapan)
STD_ROM_FN(rDaibakushouJinseiGekijouZukkokeSalarymanHenJapan)

struct BurnDriver BurnDrvrDaibakushouJinseiGekijouZukkokeSalarymanHenJapan = {
	"Daibakushou Jinsei Gekijou - Zukkoke Salaryman Hen (Japan)", NULL, NULL, "1986",
	"Daibakushou Jinsei Gekijou - Zukkoke Salaryman Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daibakushou Jinsei Gekijou - Zukkoke Salaryman Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaibakushouJinseiGekijouZukkokeSalarymanHenJapanRomInfo, rDaibakushouJinseiGekijouZukkokeSalarymanHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaikaijuuMonogatariJapanRev1RomDesc[] = {
	{ "Daikaijuu Monogatari (Japan) (Rev 1).sfc",          3145728, 0x5b09f3ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaikaijuuMonogatariJapanRev1)
STD_ROM_FN(rDaikaijuuMonogatariJapanRev1)

struct BurnDriver BurnDrvrDaikaijuuMonogatariJapanRev1 = {
	"Daikaijuu Monogatari (Japan) (Rev 1)", NULL, NULL, "1986",
	"Daikaijuu Monogatari (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daikaijuu Monogatari (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaikaijuuMonogatariJapanRev1RomInfo, rDaikaijuuMonogatariJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaikaijuuMonogatariJapanRomDesc[] = {
	{ "Daikaijuu Monogatari (Japan).sfc",          3145728, 0x39ca5291, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaikaijuuMonogatariJapan)
STD_ROM_FN(rDaikaijuuMonogatariJapan)

struct BurnDriver BurnDrvrDaikaijuuMonogatariJapan = {
	"Daikaijuu Monogatari (Japan)", NULL, NULL, "1986",
	"Daikaijuu Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daikaijuu Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaikaijuuMonogatariJapanRomInfo, rDaikaijuuMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaikaijuuMonogatariIIJapanRomDesc[] = {
	{ "Daikaijuu Monogatari II (Japan).sfc",          5242880, 0xa6c98ffe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaikaijuuMonogatariIIJapan)
STD_ROM_FN(rDaikaijuuMonogatariIIJapan)

struct BurnDriver BurnDrvrDaikaijuuMonogatariIIJapan = {
	"Daikaijuu Monogatari II (Japan)", NULL, NULL, "1986",
	"Daikaijuu Monogatari II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daikaijuu Monogatari II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaikaijuuMonogatariIIJapanRomInfo, rDaikaijuuMonogatariIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaikoukaiJidaiIIJapanRomDesc[] = {
	{ "Daikoukai Jidai II (Japan).sfc",          2097152, 0xeebc4170, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaikoukaiJidaiIIJapan)
STD_ROM_FN(rDaikoukaiJidaiIIJapan)

struct BurnDriver BurnDrvrDaikoukaiJidaiIIJapan = {
	"Daikoukai Jidai II (Japan)", NULL, NULL, "1986",
	"Daikoukai Jidai II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daikoukai Jidai II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaikoukaiJidaiIIJapanRomInfo, rDaikoukaiJidaiIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaisenryakuExpertJapanRomDesc[] = {
	{ "Daisenryaku Expert (Japan).sfc",          1048576, 0x164771b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaisenryakuExpertJapan)
STD_ROM_FN(rDaisenryakuExpertJapan)

struct BurnDriver BurnDrvrDaisenryakuExpertJapan = {
	"Daisenryaku Expert (Japan)", NULL, NULL, "1986",
	"Daisenryaku Expert (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daisenryaku Expert (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaisenryakuExpertJapanRomInfo, rDaisenryakuExpertJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDaisenryakuExpertWWIIWarinEuropeJapanRomDesc[] = {
	{ "Daisenryaku Expert WWII - War in Europe (Japan).sfc",          2097152, 0x4cd45939, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDaisenryakuExpertWWIIWarinEuropeJapan)
STD_ROM_FN(rDaisenryakuExpertWWIIWarinEuropeJapan)

struct BurnDriver BurnDrvrDaisenryakuExpertWWIIWarinEuropeJapan = {
	"Daisenryaku Expert WWII - War in Europe (Japan)", NULL, NULL, "1986",
	"Daisenryaku Expert WWII - War in Europe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daisenryaku Expert WWII - War in Europe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDaisenryakuExpertWWIIWarinEuropeJapanRomInfo, rDaisenryakuExpertWWIIWarinEuropeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDandanBeltConveyorGyuunyuunoMakiJapanBSRomDesc[] = {
	{ "Dandan Belt Conveyor - Gyuunyuu no Maki (Japan) (BS).sfc",          1048576, 0x380c8c79, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDandanBeltConveyorGyuunyuunoMakiJapanBS)
STD_ROM_FN(rDandanBeltConveyorGyuunyuunoMakiJapanBS)

struct BurnDriver BurnDrvrDandanBeltConveyorGyuunyuunoMakiJapanBS = {
	"Dandan Belt Conveyor - Gyuunyuu no Maki (Japan) (BS)", NULL, NULL, "1986",
	"Dandan Belt Conveyor - Gyuunyuu no Maki (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dandan Belt Conveyor - Gyuunyuu no Maki (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDandanBeltConveyorGyuunyuunoMakiJapanBSRomInfo, rDandanBeltConveyorGyuunyuunoMakiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDandanBeltConveyorUkulelenoMakiJapanBSbRomDesc[] = {
	{ "Dandan Belt Conveyor - Ukulele no Maki (Japan) (BS) [b].sfc",          1048576, 0x10205b4b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDandanBeltConveyorUkulelenoMakiJapanBSb)
STD_ROM_FN(rDandanBeltConveyorUkulelenoMakiJapanBSb)

struct BurnDriver BurnDrvrDandanBeltConveyorUkulelenoMakiJapanBSb = {
	"Dandan Belt Conveyor - Ukulele no Maki (Japan) (BS) [b]", NULL, NULL, "1986",
	"Dandan Belt Conveyor - Ukulele no Maki (Japan) (BS) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Dandan Belt Conveyor - Ukulele no Maki (Japan) (BS) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDandanBeltConveyorUkulelenoMakiJapanBSbRomInfo, rDandanBeltConveyorUkulelenoMakiJapanBSbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDariusForceJapanRomDesc[] = {
	{ "Darius Force (Japan).sfc",          1048576, 0x3e828e49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDariusForceJapan)
STD_ROM_FN(rDariusForceJapan)

struct BurnDriver BurnDrvrDariusForceJapan = {
	"Darius Force (Japan)", NULL, NULL, "1986",
	"Darius Force (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Darius Force (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDariusForceJapanRomInfo, rDariusForceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDariusTwinEuropeRomDesc[] = {
	{ "Darius Twin (Europe).sfc",          1048576, 0xcf54f1b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDariusTwinEurope)
STD_ROM_FN(rDariusTwinEurope)

struct BurnDriver BurnDrvrDariusTwinEurope = {
	"Darius Twin (Europe)", NULL, NULL, "1986",
	"Darius Twin (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Darius Twin (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDariusTwinEuropeRomInfo, rDariusTwinEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDariusTwinJapanRomDesc[] = {
	{ "Darius Twin (Japan).sfc",          1048576, 0x299df5fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDariusTwinJapan)
STD_ROM_FN(rDariusTwinJapan)

struct BurnDriver BurnDrvrDariusTwinJapan = {
	"Darius Twin (Japan)", NULL, NULL, "1986",
	"Darius Twin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Darius Twin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDariusTwinJapanRomInfo, rDariusTwinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDariusTwinUSARomDesc[] = {
	{ "Darius Twin (USA).sfc",          1048576, 0xc5341764, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDariusTwinUSA)
STD_ROM_FN(rDariusTwinUSA)

struct BurnDriver BurnDrvrDariusTwinUSA = {
	"Darius Twin (USA)", NULL, NULL, "1986",
	"Darius Twin (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Darius Twin (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDariusTwinUSARomInfo, rDariusTwinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDarkHalfJapanRomDesc[] = {
	{ "Dark Half (Japan).sfc",          3145728, 0x7b9793b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDarkHalfJapan)
STD_ROM_FN(rDarkHalfJapan)

struct BurnDriver BurnDrvrDarkHalfJapan = {
	"Dark Half (Japan)", NULL, NULL, "1986",
	"Dark Half (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dark Half (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDarkHalfJapanRomInfo, rDarkHalfJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDarkKingdomJapanRomDesc[] = {
	{ "Dark Kingdom (Japan).sfc",          1572864, 0xf77aca0a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDarkKingdomJapan)
STD_ROM_FN(rDarkKingdomJapan)

struct BurnDriver BurnDrvrDarkKingdomJapan = {
	"Dark Kingdom (Japan)", NULL, NULL, "1986",
	"Dark Kingdom (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dark Kingdom (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDarkKingdomJapanRomInfo, rDarkKingdomJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDarkLawMeaningofDeathJapanRomDesc[] = {
	{ "Dark Law - Meaning of Death (Japan).sfc",          4194304, 0x125a0c22, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDarkLawMeaningofDeathJapan)
STD_ROM_FN(rDarkLawMeaningofDeathJapan)

struct BurnDriver BurnDrvrDarkLawMeaningofDeathJapan = {
	"Dark Law - Meaning of Death (Japan)", NULL, NULL, "1986",
	"Dark Law - Meaning of Death (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dark Law - Meaning of Death (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDarkLawMeaningofDeathJapanRomInfo, rDarkLawMeaningofDeathJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDateKimikonoVirtualTennisJapanRomDesc[] = {
	{ "Date Kimiko no Virtual Tennis (Japan).sfc",          1048576, 0xef77535e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDateKimikonoVirtualTennisJapan)
STD_ROM_FN(rDateKimikonoVirtualTennisJapan)

struct BurnDriver BurnDrvrDateKimikonoVirtualTennisJapan = {
	"Date Kimiko no Virtual Tennis (Japan)", NULL, NULL, "1986",
	"Date Kimiko no Virtual Tennis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Date Kimiko no Virtual Tennis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDateKimikonoVirtualTennisJapanRomInfo, rDateKimikonoVirtualTennisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDavidCranesAmazingTennisEuropeRomDesc[] = {
	{ "David Crane's Amazing Tennis (Europe).sfc",          1048576, 0x42c25ac1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDavidCranesAmazingTennisEurope)
STD_ROM_FN(rDavidCranesAmazingTennisEurope)

struct BurnDriver BurnDrvrDavidCranesAmazingTennisEurope = {
	"David Crane's Amazing Tennis (Europe)", NULL, NULL, "1986",
	"David Crane's Amazing Tennis (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"David Crane's Amazing Tennis (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDavidCranesAmazingTennisEuropeRomInfo, rDavidCranesAmazingTennisEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDavidCranesAmazingTennisJapanRomDesc[] = {
	{ "David Crane's Amazing Tennis (Japan).sfc",          1048576, 0x72839930, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDavidCranesAmazingTennisJapan)
STD_ROM_FN(rDavidCranesAmazingTennisJapan)

struct BurnDriver BurnDrvrDavidCranesAmazingTennisJapan = {
	"David Crane's Amazing Tennis (Japan)", NULL, NULL, "1986",
	"David Crane's Amazing Tennis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"David Crane's Amazing Tennis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDavidCranesAmazingTennisJapanRomInfo, rDavidCranesAmazingTennisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDavidCranesAmazingTennisUSARomDesc[] = {
	{ "David Crane's Amazing Tennis (USA).sfc",          1048576, 0xcaad18dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDavidCranesAmazingTennisUSA)
STD_ROM_FN(rDavidCranesAmazingTennisUSA)

struct BurnDriver BurnDrvrDavidCranesAmazingTennisUSA = {
	"David Crane's Amazing Tennis (USA)", NULL, NULL, "1986",
	"David Crane's Amazing Tennis (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"David Crane's Amazing Tennis (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDavidCranesAmazingTennisUSARomInfo, rDavidCranesAmazingTennisUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDazeBeforeChristmasEuropeRomDesc[] = {
	{ "Daze Before Christmas (Europe).sfc",          2097152, 0x59909eb5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDazeBeforeChristmasEurope)
STD_ROM_FN(rDazeBeforeChristmasEurope)

struct BurnDriver BurnDrvrDazeBeforeChristmasEurope = {
	"Daze Before Christmas (Europe)", NULL, NULL, "1986",
	"Daze Before Christmas (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Daze Before Christmas (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDazeBeforeChristmasEuropeRomInfo, rDazeBeforeChristmasEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDeadDanceJapanRomDesc[] = {
	{ "Dead Dance (Japan).sfc",          2097152, 0x7019b1f1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDeadDanceJapan)
STD_ROM_FN(rDeadDanceJapan)

struct BurnDriver BurnDrvrDeadDanceJapan = {
	"Dead Dance (Japan)", NULL, NULL, "1986",
	"Dead Dance (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dead Dance (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDeadDanceJapanRomInfo, rDeadDanceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDeaeTonosamaAppareIchibanJapanRomDesc[] = {
	{ "Deae Tonosama - Appare Ichiban (Japan).sfc",          1572864, 0x6e42d71b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDeaeTonosamaAppareIchibanJapan)
STD_ROM_FN(rDeaeTonosamaAppareIchibanJapan)

struct BurnDriver BurnDrvrDeaeTonosamaAppareIchibanJapan = {
	"Deae Tonosama - Appare Ichiban (Japan)", NULL, NULL, "1986",
	"Deae Tonosama - Appare Ichiban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Deae Tonosama - Appare Ichiban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDeaeTonosamaAppareIchibanJapanRomInfo, rDeaeTonosamaAppareIchibanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDearBoysJapanRomDesc[] = {
	{ "Dear Boys (Japan).sfc",          1572864, 0x9ed82c00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDearBoysJapan)
STD_ROM_FN(rDearBoysJapan)

struct BurnDriver BurnDrvrDearBoysJapan = {
	"Dear Boys (Japan)", NULL, NULL, "1986",
	"Dear Boys (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dear Boys (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDearBoysJapanRomInfo, rDearBoysJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDeathandReturnofSupermanTheEuropeRomDesc[] = {
	{ "Death and Return of Superman, The (Europe).sfc",          2097152, 0x65792d05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDeathandReturnofSupermanTheEurope)
STD_ROM_FN(rDeathandReturnofSupermanTheEurope)

struct BurnDriver BurnDrvrDeathandReturnofSupermanTheEurope = {
	"Death and Return of Superman, The (Europe)", NULL, NULL, "1986",
	"Death and Return of Superman, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Death and Return of Superman, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDeathandReturnofSupermanTheEuropeRomInfo, rDeathandReturnofSupermanTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDeathandReturnofSupermanTheUSARomDesc[] = {
	{ "Death and Return of Superman, The (USA).sfc",          2097152, 0xa567957c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDeathandReturnofSupermanTheUSA)
STD_ROM_FN(rDeathandReturnofSupermanTheUSA)

struct BurnDriver BurnDrvrDeathandReturnofSupermanTheUSA = {
	"Death and Return of Superman, The (USA)", NULL, NULL, "1986",
	"Death and Return of Superman, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Death and Return of Superman, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDeathandReturnofSupermanTheUSARomInfo, rDeathandReturnofSupermanTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDeathBradeJapanRomDesc[] = {
	{ "Death Brade (Japan).sfc",          1572864, 0xca46fd3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDeathBradeJapan)
STD_ROM_FN(rDeathBradeJapan)

struct BurnDriver BurnDrvrDeathBradeJapan = {
	"Death Brade (Japan)", NULL, NULL, "1986",
	"Death Brade (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Death Brade (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDeathBradeJapanRomInfo, rDeathBradeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDekitateHighSchoolJapanRomDesc[] = {
	{ "Dekitate High School (Japan).sfc",          2097152, 0x5a2b7dac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDekitateHighSchoolJapan)
STD_ROM_FN(rDekitateHighSchoolJapan)

struct BurnDriver BurnDrvrDekitateHighSchoolJapan = {
	"Dekitate High School (Japan)", NULL, NULL, "1986",
	"Dekitate High School (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dekitate High School (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDekitateHighSchoolJapanRomInfo, rDekitateHighSchoolJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemolitionManEuropeRomDesc[] = {
	{ "Demolition Man (Europe).sfc",          2097152, 0x31a1b85a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemolitionManEurope)
STD_ROM_FN(rDemolitionManEurope)

struct BurnDriver BurnDrvrDemolitionManEurope = {
	"Demolition Man (Europe)", NULL, NULL, "1986",
	"Demolition Man (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demolition Man (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemolitionManEuropeRomInfo, rDemolitionManEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemolitionManUSARomDesc[] = {
	{ "Demolition Man (USA).sfc",          2097152, 0x8afe2f91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemolitionManUSA)
STD_ROM_FN(rDemolitionManUSA)

struct BurnDriver BurnDrvrDemolitionManUSA = {
	"Demolition Man (USA)", NULL, NULL, "1986",
	"Demolition Man (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demolition Man (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemolitionManUSARomInfo, rDemolitionManUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemonsBlazonMakaiMuraMonshouHenJapanSampleRomDesc[] = {
	{ "Demon's Blazon - Makai Mura Monshou Hen (Japan) (Sample).sfc",          2097152, 0xd5bae4ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemonsBlazonMakaiMuraMonshouHenJapanSample)
STD_ROM_FN(rDemonsBlazonMakaiMuraMonshouHenJapanSample)

struct BurnDriver BurnDrvrDemonsBlazonMakaiMuraMonshouHenJapanSample = {
	"Demon's Blazon - Makai Mura Monshou Hen (Japan) (Sample)", NULL, NULL, "1986",
	"Demon's Blazon - Makai Mura Monshou Hen (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demon's Blazon - Makai Mura Monshou Hen (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemonsBlazonMakaiMuraMonshouHenJapanSampleRomInfo, rDemonsBlazonMakaiMuraMonshouHenJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemonsBlazonMakaiMuraMonshouHenJapanRomDesc[] = {
	{ "Demon's Blazon - Makai Mura Monshou Hen (Japan).sfc",          2097152, 0x287f10cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemonsBlazonMakaiMuraMonshouHenJapan)
STD_ROM_FN(rDemonsBlazonMakaiMuraMonshouHenJapan)

struct BurnDriver BurnDrvrDemonsBlazonMakaiMuraMonshouHenJapan = {
	"Demon's Blazon - Makai Mura Monshou Hen (Japan)", NULL, NULL, "1986",
	"Demon's Blazon - Makai Mura Monshou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demon's Blazon - Makai Mura Monshou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemonsBlazonMakaiMuraMonshouHenJapanRomInfo, rDemonsBlazonMakaiMuraMonshouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemonsCrestEuropeRomDesc[] = {
	{ "Demon's Crest (Europe).sfc",          2097152, 0xc8386172, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemonsCrestEurope)
STD_ROM_FN(rDemonsCrestEurope)

struct BurnDriver BurnDrvrDemonsCrestEurope = {
	"Demon's Crest (Europe)", NULL, NULL, "1986",
	"Demon's Crest (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demon's Crest (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemonsCrestEuropeRomInfo, rDemonsCrestEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDemonsCrestUSARomDesc[] = {
	{ "Demon's Crest (USA).sfc",          2097152, 0xe8236ad2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDemonsCrestUSA)
STD_ROM_FN(rDemonsCrestUSA)

struct BurnDriver BurnDrvrDemonsCrestUSA = {
	"Demon's Crest (USA)", NULL, NULL, "1986",
	"Demon's Crest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Demon's Crest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDemonsCrestUSARomInfo, rDemonsCrestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDennisEuropeRomDesc[] = {
	{ "Dennis (Europe).sfc",          1048576, 0xccda70a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDennisEurope)
STD_ROM_FN(rDennisEurope)

struct BurnDriver BurnDrvrDennisEurope = {
	"Dennis (Europe)", NULL, NULL, "1986",
	"Dennis (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dennis (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDennisEuropeRomInfo, rDennisEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDennistheMenaceUSARomDesc[] = {
	{ "Dennis the Menace (USA).sfc",          1048576, 0x8ee7faa5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDennistheMenaceUSA)
STD_ROM_FN(rDennistheMenaceUSA)

struct BurnDriver BurnDrvrDennistheMenaceUSA = {
	"Dennis the Menace (USA)", NULL, NULL, "1986",
	"Dennis the Menace (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dennis the Menace (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDennistheMenaceUSARomInfo, rDennistheMenaceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNPRomDesc[] = {
	{ "Densetsu no Ogre Battle - The March of the Black Queen (Japan) (NP).sfc",          2097152, 0x3e50c7c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNP)
STD_ROM_FN(rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNP)

struct BurnDriver BurnDrvrDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNP = {
	"Densetsu no Ogre Battle - The March of the Black Queen (Japan) (NP)", NULL, NULL, "1986",
	"Densetsu no Ogre Battle - The March of the Black Queen (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Densetsu no Ogre Battle - The March of the Black Queen (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNPRomInfo, rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanRomDesc[] = {
	{ "Densetsu no Ogre Battle - The March of the Black Queen (Japan).sfc",          1572864, 0x65cd17e3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDensetsunoOgreBattleTheMarchoftheBlackQueenJapan)
STD_ROM_FN(rDensetsunoOgreBattleTheMarchoftheBlackQueenJapan)

struct BurnDriver BurnDrvrDensetsunoOgreBattleTheMarchoftheBlackQueenJapan = {
	"Densetsu no Ogre Battle - The March of the Black Queen (Japan)", NULL, NULL, "1986",
	"Densetsu no Ogre Battle - The March of the Black Queen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Densetsu no Ogre Battle - The March of the Black Queen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanRomInfo, rDensetsunoOgreBattleTheMarchoftheBlackQueenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyJockeyKishuOuenoMichiJapanRev1RomDesc[] = {
	{ "Derby Jockey - Kishu Ou e no Michi (Japan) (Rev 1).sfc",          1048576, 0x8516c373, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyJockeyKishuOuenoMichiJapanRev1)
STD_ROM_FN(rDerbyJockeyKishuOuenoMichiJapanRev1)

struct BurnDriver BurnDrvrDerbyJockeyKishuOuenoMichiJapanRev1 = {
	"Derby Jockey - Kishu Ou e no Michi (Japan) (Rev 1)", NULL, NULL, "1986",
	"Derby Jockey - Kishu Ou e no Michi (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Jockey - Kishu Ou e no Michi (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyJockeyKishuOuenoMichiJapanRev1RomInfo, rDerbyJockeyKishuOuenoMichiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyJockeyKishuOuenoMichiJapanRomDesc[] = {
	{ "Derby Jockey - Kishu Ou e no Michi (Japan).sfc",          1048576, 0x7d6c9203, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyJockeyKishuOuenoMichiJapan)
STD_ROM_FN(rDerbyJockeyKishuOuenoMichiJapan)

struct BurnDriver BurnDrvrDerbyJockeyKishuOuenoMichiJapan = {
	"Derby Jockey - Kishu Ou e no Michi (Japan)", NULL, NULL, "1986",
	"Derby Jockey - Kishu Ou e no Michi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Jockey - Kishu Ou e no Michi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyJockeyKishuOuenoMichiJapanRomInfo, rDerbyJockeyKishuOuenoMichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyJockey2JapanRomDesc[] = {
	{ "Derby Jockey 2 (Japan).sfc",          1572864, 0x32129967, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyJockey2Japan)
STD_ROM_FN(rDerbyJockey2Japan)

struct BurnDriver BurnDrvrDerbyJockey2Japan = {
	"Derby Jockey 2 (Japan)", NULL, NULL, "1986",
	"Derby Jockey 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Jockey 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyJockey2JapanRomInfo, rDerbyJockey2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallion96JapanRomDesc[] = {
	{ "Derby Stallion 96 (Japan).sfc",          3145728, 0x19bdcb19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallion96Japan)
STD_ROM_FN(rDerbyStallion96Japan)

struct BurnDriver BurnDrvrDerbyStallion96Japan = {
	"Derby Stallion 96 (Japan)", NULL, NULL, "1986",
	"Derby Stallion 96 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion 96 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallion96JapanRomInfo, rDerbyStallion96JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallion98JapanNPRomDesc[] = {
	{ "Derby Stallion 98 (Japan) (NP).sfc",          3145728, 0x525ffb26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallion98JapanNP)
STD_ROM_FN(rDerbyStallion98JapanNP)

struct BurnDriver BurnDrvrDerbyStallion98JapanNP = {
	"Derby Stallion 98 (Japan) (NP)", NULL, NULL, "1986",
	"Derby Stallion 98 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion 98 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallion98JapanNPRomInfo, rDerbyStallion98JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallionIIJapanRomDesc[] = {
	{ "Derby Stallion II (Japan).sfc",          1572864, 0x32e29079, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallionIIJapan)
STD_ROM_FN(rDerbyStallionIIJapan)

struct BurnDriver BurnDrvrDerbyStallionIIJapan = {
	"Derby Stallion II (Japan)", NULL, NULL, "1986",
	"Derby Stallion II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallionIIJapanRomInfo, rDerbyStallionIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallionIIIJapanRev1RomDesc[] = {
	{ "Derby Stallion III (Japan) (Rev 1).sfc",          3145728, 0x7e97ae6a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallionIIIJapanRev1)
STD_ROM_FN(rDerbyStallionIIIJapanRev1)

struct BurnDriver BurnDrvrDerbyStallionIIIJapanRev1 = {
	"Derby Stallion III (Japan) (Rev 1)", NULL, NULL, "1986",
	"Derby Stallion III (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion III (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallionIIIJapanRev1RomInfo, rDerbyStallionIIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallionIIIJapanRev2RomDesc[] = {
	{ "Derby Stallion III (Japan) (Rev 2).sfc",          3145728, 0x5f3e5279, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallionIIIJapanRev2)
STD_ROM_FN(rDerbyStallionIIIJapanRev2)

struct BurnDriver BurnDrvrDerbyStallionIIIJapanRev2 = {
	"Derby Stallion III (Japan) (Rev 2)", NULL, NULL, "1986",
	"Derby Stallion III (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion III (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallionIIIJapanRev2RomInfo, rDerbyStallionIIIJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallionIIIJapanRev3RomDesc[] = {
	{ "Derby Stallion III (Japan) (Rev 3).sfc",          3145728, 0x36768b55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallionIIIJapanRev3)
STD_ROM_FN(rDerbyStallionIIIJapanRev3)

struct BurnDriver BurnDrvrDerbyStallionIIIJapanRev3 = {
	"Derby Stallion III (Japan) (Rev 3)", NULL, NULL, "1986",
	"Derby Stallion III (Japan) (Rev 3)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion III (Japan) (Rev 3)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallionIIIJapanRev3RomInfo, rDerbyStallionIIIJapanRev3RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDerbyStallionIIIJapanRomDesc[] = {
	{ "Derby Stallion III (Japan).sfc",          3145728, 0x75eeeb3f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDerbyStallionIIIJapan)
STD_ROM_FN(rDerbyStallionIIIJapan)

struct BurnDriver BurnDrvrDerbyStallionIIIJapan = {
	"Derby Stallion III (Japan)", NULL, NULL, "1986",
	"Derby Stallion III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Derby Stallion III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDerbyStallionIIIJapanRomInfo, rDerbyStallionIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertFighterEuropeBetaRomDesc[] = {
	{ "Desert Fighter (Europe) (Beta).sfc",          1048576, 0xcd989804, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertFighterEuropeBeta)
STD_ROM_FN(rDesertFighterEuropeBeta)

struct BurnDriver BurnDrvrDesertFighterEuropeBeta = {
	"Desert Fighter (Europe) (Beta)", NULL, NULL, "1986",
	"Desert Fighter (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Fighter (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertFighterEuropeBetaRomInfo, rDesertFighterEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertFighterEuropeRomDesc[] = {
	{ "Desert Fighter (Europe).sfc",          1048576, 0xb78bae0e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertFighterEurope)
STD_ROM_FN(rDesertFighterEurope)

struct BurnDriver BurnDrvrDesertFighterEurope = {
	"Desert Fighter (Europe)", NULL, NULL, "1986",
	"Desert Fighter (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Fighter (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertFighterEuropeRomInfo, rDesertFighterEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertFighterSunanoArashiSakusenJapanRomDesc[] = {
	{ "Desert Fighter - Suna no Arashi Sakusen (Japan).sfc",          1048576, 0x9edc5a7d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertFighterSunanoArashiSakusenJapan)
STD_ROM_FN(rDesertFighterSunanoArashiSakusenJapan)

struct BurnDriver BurnDrvrDesertFighterSunanoArashiSakusenJapan = {
	"Desert Fighter - Suna no Arashi Sakusen (Japan)", NULL, NULL, "1986",
	"Desert Fighter - Suna no Arashi Sakusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Fighter - Suna no Arashi Sakusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertFighterSunanoArashiSakusenJapanRomInfo, rDesertFighterSunanoArashiSakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertStrikeReturntotheGulfEuropeRomDesc[] = {
	{ "Desert Strike - Return to the Gulf (Europe).sfc",          1048576, 0x8eed024a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertStrikeReturntotheGulfEurope)
STD_ROM_FN(rDesertStrikeReturntotheGulfEurope)

struct BurnDriver BurnDrvrDesertStrikeReturntotheGulfEurope = {
	"Desert Strike - Return to the Gulf (Europe)", NULL, NULL, "1986",
	"Desert Strike - Return to the Gulf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Strike - Return to the Gulf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertStrikeReturntotheGulfEuropeRomInfo, rDesertStrikeReturntotheGulfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertStrikeReturntotheGulfUSARomDesc[] = {
	{ "Desert Strike - Return to the Gulf (USA).sfc",          1048576, 0x4ce26787, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertStrikeReturntotheGulfUSA)
STD_ROM_FN(rDesertStrikeReturntotheGulfUSA)

struct BurnDriver BurnDrvrDesertStrikeReturntotheGulfUSA = {
	"Desert Strike - Return to the Gulf (USA)", NULL, NULL, "1986",
	"Desert Strike - Return to the Gulf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Strike - Return to the Gulf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertStrikeReturntotheGulfUSARomInfo, rDesertStrikeReturntotheGulfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDesertStrikeWanganSakusenJapanRomDesc[] = {
	{ "Desert Strike - Wangan Sakusen (Japan).sfc",          1048576, 0xfcdf43ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDesertStrikeWanganSakusenJapan)
STD_ROM_FN(rDesertStrikeWanganSakusenJapan)

struct BurnDriver BurnDrvrDesertStrikeWanganSakusenJapan = {
	"Desert Strike - Wangan Sakusen (Japan)", NULL, NULL, "1986",
	"Desert Strike - Wangan Sakusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Desert Strike - Wangan Sakusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDesertStrikeWanganSakusenJapanRomInfo, rDesertStrikeWanganSakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDestructiveJapanRomDesc[] = {
	{ "Destructive (Japan).sfc",          524288, 0x21b47e62, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDestructiveJapan)
STD_ROM_FN(rDestructiveJapan)

struct BurnDriver BurnDrvrDestructiveJapan = {
	"Destructive (Japan)", NULL, NULL, "1986",
	"Destructive (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Destructive (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDestructiveJapanRomInfo, rDestructiveJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDharmaDoujouJapanRomDesc[] = {
	{ "Dharma Doujou (Japan).sfc",          1048576, 0xb800a4fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDharmaDoujouJapan)
STD_ROM_FN(rDharmaDoujouJapan)

struct BurnDriver BurnDrvrDharmaDoujouJapan = {
	"Dharma Doujou (Japan)", NULL, NULL, "1986",
	"Dharma Doujou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dharma Doujou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDharmaDoujouJapanRomInfo, rDharmaDoujouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDigSpikeVolleyballUSARomDesc[] = {
	{ "Dig & Spike Volleyball (USA).sfc",          1048576, 0x954340f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDigSpikeVolleyballUSA)
STD_ROM_FN(rDigSpikeVolleyballUSA)

struct BurnDriver BurnDrvrDigSpikeVolleyballUSA = {
	"Dig & Spike Volleyball (USA)", NULL, NULL, "1986",
	"Dig & Spike Volleyball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dig & Spike Volleyball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDigSpikeVolleyballUSARomInfo, rDigSpikeVolleyballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDigitalMagazineBustersBS412GouJapanBSRomDesc[] = {
	{ "Digital Magazine Busters BS - 4-12 Gou (Japan) (BS).sfc",          1048576, 0x1976866a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDigitalMagazineBustersBS412GouJapanBS)
STD_ROM_FN(rDigitalMagazineBustersBS412GouJapanBS)

struct BurnDriver BurnDrvrDigitalMagazineBustersBS412GouJapanBS = {
	"Digital Magazine Busters BS - 4-12 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Digital Magazine Busters BS - 4-12 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Digital Magazine Busters BS - 4-12 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDigitalMagazineBustersBS412GouJapanBSRomInfo, rDigitalMagazineBustersBS412GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDigitalMagazineBustersBS510GouJapanBSRomDesc[] = {
	{ "Digital Magazine Busters BS - 5-10 Gou (Japan) (BS).sfc",          1048576, 0x3f3f4608, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDigitalMagazineBustersBS510GouJapanBS)
STD_ROM_FN(rDigitalMagazineBustersBS510GouJapanBS)

struct BurnDriver BurnDrvrDigitalMagazineBustersBS510GouJapanBS = {
	"Digital Magazine Busters BS - 5-10 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Digital Magazine Busters BS - 5-10 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Digital Magazine Busters BS - 5-10 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDigitalMagazineBustersBS510GouJapanBSRomInfo, rDigitalMagazineBustersBS510GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDigitalMagazineBustersBS524GouJapanBSRomDesc[] = {
	{ "Digital Magazine Busters BS - 5-24 Gou (Japan) (BS).sfc",          1048576, 0x8e8f27e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDigitalMagazineBustersBS524GouJapanBS)
STD_ROM_FN(rDigitalMagazineBustersBS524GouJapanBS)

struct BurnDriver BurnDrvrDigitalMagazineBustersBS524GouJapanBS = {
	"Digital Magazine Busters BS - 5-24 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Digital Magazine Busters BS - 5-24 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Digital Magazine Busters BS - 5-24 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDigitalMagazineBustersBS524GouJapanBSRomInfo, rDigitalMagazineBustersBS524GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDigitalMagazineBustersBS823GouJapanBSRomDesc[] = {
	{ "Digital Magazine Busters BS - 8-23 Gou (Japan) (BS).sfc",          1048576, 0x6f7f6c5d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDigitalMagazineBustersBS823GouJapanBS)
STD_ROM_FN(rDigitalMagazineBustersBS823GouJapanBS)

struct BurnDriver BurnDrvrDigitalMagazineBustersBS823GouJapanBS = {
	"Digital Magazine Busters BS - 8-23 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Digital Magazine Busters BS - 8-23 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Digital Magazine Busters BS - 8-23 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDigitalMagazineBustersBS823GouJapanBSRomInfo, rDigitalMagazineBustersBS823GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDimensionForceJapanRomDesc[] = {
	{ "Dimension-Force (Japan).sfc",          1048576, 0x3d0d6fdc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDimensionForceJapan)
STD_ROM_FN(rDimensionForceJapan)

struct BurnDriver BurnDrvrDimensionForceJapan = {
	"Dimension-Force (Japan)", NULL, NULL, "1986",
	"Dimension-Force (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dimension-Force (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDimensionForceJapanRomInfo, rDimensionForceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDinoCityEuropeRomDesc[] = {
	{ "Dino City (Europe).sfc",          1048576, 0xc495320a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDinoCityEurope)
STD_ROM_FN(rDinoCityEurope)

struct BurnDriver BurnDrvrDinoCityEurope = {
	"Dino City (Europe)", NULL, NULL, "1986",
	"Dino City (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dino City (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDinoCityEuropeRomInfo, rDinoCityEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDinoCityUSARomDesc[] = {
	{ "Dino City (USA).sfc",          1048576, 0x94152717, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDinoCityUSA)
STD_ROM_FN(rDinoCityUSA)

struct BurnDriver BurnDrvrDinoCityUSA = {
	"Dino City (USA)", NULL, NULL, "1986",
	"Dino City (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dino City (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDinoCityUSARomInfo, rDinoCityUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDinoDinisSoccerEuropeEnFrDeRomDesc[] = {
	{ "Dino Dini's Soccer! (Europe) (En,Fr,De).sfc",          1048576, 0xdbf4a8ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDinoDinisSoccerEuropeEnFrDe)
STD_ROM_FN(rDinoDinisSoccerEuropeEnFrDe)

struct BurnDriver BurnDrvrDinoDinisSoccerEuropeEnFrDe = {
	"Dino Dini's Soccer! (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Dino Dini's Soccer! (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dino Dini's Soccer! (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDinoDinisSoccerEuropeEnFrDeRomInfo, rDinoDinisSoccerEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDinowarsKyouryuuOukokuenoDaiboukenJapanRomDesc[] = {
	{ "Dinowars - Kyouryuu Oukoku e no Daibouken (Japan).sfc",          1048576, 0x6c043bf1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDinowarsKyouryuuOukokuenoDaiboukenJapan)
STD_ROM_FN(rDinowarsKyouryuuOukokuenoDaiboukenJapan)

struct BurnDriver BurnDrvrDinowarsKyouryuuOukokuenoDaiboukenJapan = {
	"Dinowars - Kyouryuu Oukoku e no Daibouken (Japan)", NULL, NULL, "1986",
	"Dinowars - Kyouryuu Oukoku e no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dinowars - Kyouryuu Oukoku e no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDinowarsKyouryuuOukokuenoDaiboukenJapanRomInfo, rDinowarsKyouryuuOukokuenoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDirtRacerEuropeEnFrDeRomDesc[] = {
	{ "Dirt Racer (Europe) (En,Fr,De).sfc",          524288, 0x354f4b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDirtRacerEuropeEnFrDe)
STD_ROM_FN(rDirtRacerEuropeEnFrDe)

struct BurnDriver BurnDrvrDirtRacerEuropeEnFrDe = {
	"Dirt Racer (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Dirt Racer (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dirt Racer (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDirtRacerEuropeEnFrDeRomInfo, rDirtRacerEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDirtTraxFXEuropeRomDesc[] = {
	{ "Dirt Trax FX (Europe).sfc",          524288, 0x9dbc2330, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDirtTraxFXEurope)
STD_ROM_FN(rDirtTraxFXEurope)

struct BurnDriver BurnDrvrDirtTraxFXEurope = {
	"Dirt Trax FX (Europe)", NULL, NULL, "1986",
	"Dirt Trax FX (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dirt Trax FX (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDirtTraxFXEuropeRomInfo, rDirtTraxFXEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDirtTraxFXUSARomDesc[] = {
	{ "Dirt Trax FX (USA).sfc",          524288, 0x61a86c7f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDirtTraxFXUSA)
STD_ROM_FN(rDirtTraxFXUSA)

struct BurnDriver BurnDrvrDirtTraxFXUSA = {
	"Dirt Trax FX (USA)", NULL, NULL, "1986",
	"Dirt Trax FX (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dirt Trax FX (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDirtTraxFXUSARomInfo, rDirtTraxFXUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoReMideFaa2510GouJapanBSRomDesc[] = {
	{ "Do-Re-Mi de Faa 2~! - 5-10 Gou (Japan) (BS).sfc",          1048576, 0x25401316, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoReMideFaa2510GouJapanBS)
STD_ROM_FN(rDoReMideFaa2510GouJapanBS)

struct BurnDriver BurnDrvrDoReMideFaa2510GouJapanBS = {
	"Do-Re-Mi de Faa 2~! - 5-10 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Do-Re-Mi de Faa 2~! - 5-10 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Do-Re-Mi de Faa 2~! - 5-10 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoReMideFaa2510GouJapanBSRomInfo, rDoReMideFaa2510GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoReMideFaa2525GouJapanBSRomDesc[] = {
	{ "Do-Re-Mi de Faa 2~! - 5-25 Gou (Japan) (BS).sfc",          1048576, 0xf8b048f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoReMideFaa2525GouJapanBS)
STD_ROM_FN(rDoReMideFaa2525GouJapanBS)

struct BurnDriver BurnDrvrDoReMideFaa2525GouJapanBS = {
	"Do-Re-Mi de Faa 2~! - 5-25 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Do-Re-Mi de Faa 2~! - 5-25 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Do-Re-Mi de Faa 2~! - 5-25 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoReMideFaa2525GouJapanBSRomInfo, rDoReMideFaa2525GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoReMiFantasyMilonnoDokidokiDaiboukenJapanRomDesc[] = {
	{ "Do-Re-Mi Fantasy - Milon no Dokidoki Daibouken (Japan).sfc",          2097152, 0x9f2c2633, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoReMiFantasyMilonnoDokidokiDaiboukenJapan)
STD_ROM_FN(rDoReMiFantasyMilonnoDokidokiDaiboukenJapan)

struct BurnDriver BurnDrvrDoReMiFantasyMilonnoDokidokiDaiboukenJapan = {
	"Do-Re-Mi Fantasy - Milon no Dokidoki Daibouken (Japan)", NULL, NULL, "1986",
	"Do-Re-Mi Fantasy - Milon no Dokidoki Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Do-Re-Mi Fantasy - Milon no Dokidoki Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoReMiFantasyMilonnoDokidokiDaiboukenJapanRomInfo, rDoReMiFantasyMilonnoDokidokiDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDokapon321ArashioYobuYuujouJapanRomDesc[] = {
	{ "Dokapon 3-2-1 - Arashi o Yobu Yuujou (Japan).sfc",          1572864, 0xfc353400, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDokapon321ArashioYobuYuujouJapan)
STD_ROM_FN(rDokapon321ArashioYobuYuujouJapan)

struct BurnDriver BurnDrvrDokapon321ArashioYobuYuujouJapan = {
	"Dokapon 3-2-1 - Arashi o Yobu Yuujou (Japan)", NULL, NULL, "1986",
	"Dokapon 3-2-1 - Arashi o Yobu Yuujou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dokapon 3-2-1 - Arashi o Yobu Yuujou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDokapon321ArashioYobuYuujouJapanRomInfo, rDokapon321ArashioYobuYuujouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDokaponGaidenHonoonoAuditionJapanBSRomDesc[] = {
	{ "Dokapon Gaiden - Honoo no Audition (Japan) (BS).sfc",          1048576, 0x9457f9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDokaponGaidenHonoonoAuditionJapanBS)
STD_ROM_FN(rDokaponGaidenHonoonoAuditionJapanBS)

struct BurnDriver BurnDrvrDokaponGaidenHonoonoAuditionJapanBS = {
	"Dokapon Gaiden - Honoo no Audition (Japan) (BS)", NULL, NULL, "1986",
	"Dokapon Gaiden - Honoo no Audition (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dokapon Gaiden - Honoo no Audition (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDokaponGaidenHonoonoAuditionJapanBSRomInfo, rDokaponGaidenHonoonoAuditionJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDokaponGaidenHonoonoAuditionJapanRomDesc[] = {
	{ "Dokapon Gaiden - Honoo no Audition (Japan).sfc",          1048576, 0xa1684b6c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDokaponGaidenHonoonoAuditionJapan)
STD_ROM_FN(rDokaponGaidenHonoonoAuditionJapan)

struct BurnDriver BurnDrvrDokaponGaidenHonoonoAuditionJapan = {
	"Dokapon Gaiden - Honoo no Audition (Japan)", NULL, NULL, "1986",
	"Dokapon Gaiden - Honoo no Audition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dokapon Gaiden - Honoo no Audition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDokaponGaidenHonoonoAuditionJapanRomInfo, rDokaponGaidenHonoonoAuditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDokuritsuSensouLibertyorDeathJapanRomDesc[] = {
	{ "Dokuritsu Sensou - Liberty or Death (Japan).sfc",          1310720, 0x37ab70e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDokuritsuSensouLibertyorDeathJapan)
STD_ROM_FN(rDokuritsuSensouLibertyorDeathJapan)

struct BurnDriver BurnDrvrDokuritsuSensouLibertyorDeathJapan = {
	"Dokuritsu Sensou - Liberty or Death (Japan)", NULL, NULL, "1986",
	"Dokuritsu Sensou - Liberty or Death (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dokuritsu Sensou - Liberty or Death (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDokuritsuSensouLibertyorDeathJapanRomInfo, rDokuritsuSensouLibertyorDeathJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoluckynoALeagueSoccerJapanRomDesc[] = {
	{ "Dolucky no A.League Soccer (Japan).sfc",          1572864, 0xbc19d72, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoluckynoALeagueSoccerJapan)
STD_ROM_FN(rDoluckynoALeagueSoccerJapan)

struct BurnDriver BurnDrvrDoluckynoALeagueSoccerJapan = {
	"Dolucky no A.League Soccer (Japan)", NULL, NULL, "1986",
	"Dolucky no A.League Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dolucky no A.League Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoluckynoALeagueSoccerJapanRomInfo, rDoluckynoALeagueSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoluckynoKusayakiuJapanRomDesc[] = {
	{ "Dolucky no Kusayakiu (Japan).sfc",          2097152, 0xc2d2150c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoluckynoKusayakiuJapan)
STD_ROM_FN(rDoluckynoKusayakiuJapan)

struct BurnDriver BurnDrvrDoluckynoKusayakiuJapan = {
	"Dolucky no Kusayakiu (Japan)", NULL, NULL, "1986",
	"Dolucky no Kusayakiu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dolucky no Kusayakiu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoluckynoKusayakiuJapanRomInfo, rDoluckynoKusayakiuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoluckynoPuzzleTour94JapanRomDesc[] = {
	{ "Dolucky no Puzzle Tour '94 (Japan).sfc",          524288, 0xf716c24d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoluckynoPuzzleTour94Japan)
STD_ROM_FN(rDoluckynoPuzzleTour94Japan)

struct BurnDriver BurnDrvrDoluckynoPuzzleTour94Japan = {
	"Dolucky no Puzzle Tour '94 (Japan)", NULL, NULL, "1986",
	"Dolucky no Puzzle Tour '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dolucky no Puzzle Tour '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoluckynoPuzzleTour94JapanRomInfo, rDoluckynoPuzzleTour94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonaldDucknoMahounoBoushiJapanRomDesc[] = {
	{ "Donald Duck no Mahou no Boushi (Japan).sfc",          1572864, 0x1ed5d2fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonaldDucknoMahounoBoushiJapan)
STD_ROM_FN(rDonaldDucknoMahounoBoushiJapan)

struct BurnDriver BurnDrvrDonaldDucknoMahounoBoushiJapan = {
	"Donald Duck no Mahou no Boushi (Japan)", NULL, NULL, "1986",
	"Donald Duck no Mahou no Boushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donald Duck no Mahou no Boushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonaldDucknoMahounoBoushiJapanRomInfo, rDonaldDucknoMahounoBoushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonaldDucknoMauiMallardJapanRomDesc[] = {
	{ "Donald Duck no Maui Mallard (Japan).sfc",          3145728, 0xd60a27a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonaldDucknoMauiMallardJapan)
STD_ROM_FN(rDonaldDucknoMauiMallardJapan)

struct BurnDriver BurnDrvrDonaldDucknoMauiMallardJapan = {
	"Donald Duck no Maui Mallard (Japan)", NULL, NULL, "1986",
	"Donald Duck no Maui Mallard (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donald Duck no Maui Mallard (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonaldDucknoMauiMallardJapanRomInfo, rDonaldDucknoMauiMallardJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonaldinMauiMallardEuropeRomDesc[] = {
	{ "Donald in Maui Mallard (Europe).sfc",          3145728, 0xd56c21a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonaldinMauiMallardEurope)
STD_ROM_FN(rDonaldinMauiMallardEurope)

struct BurnDriver BurnDrvrDonaldinMauiMallardEurope = {
	"Donald in Maui Mallard (Europe)", NULL, NULL, "1986",
	"Donald in Maui Mallard (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donald in Maui Mallard (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonaldinMauiMallardEuropeRomInfo, rDonaldinMauiMallardEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryEuropeEnFrDeRev1RomDesc[] = {
	{ "Donkey Kong Country (Europe) (En,Fr,De) (Rev 1).sfc",          4194304, 0x17657db6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryEuropeEnFrDeRev1)
STD_ROM_FN(rDonkeyKongCountryEuropeEnFrDeRev1)

struct BurnDriver BurnDrvrDonkeyKongCountryEuropeEnFrDeRev1 = {
	"Donkey Kong Country (Europe) (En,Fr,De) (Rev 1)", NULL, NULL, "1986",
	"Donkey Kong Country (Europe) (En,Fr,De) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (Europe) (En,Fr,De) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryEuropeEnFrDeRev1RomInfo, rDonkeyKongCountryEuropeEnFrDeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryEuropeEnFrDeRomDesc[] = {
	{ "Donkey Kong Country (Europe) (En,Fr,De).sfc",          4194304, 0x7a33e836, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryEuropeEnFrDe)
STD_ROM_FN(rDonkeyKongCountryEuropeEnFrDe)

struct BurnDriver BurnDrvrDonkeyKongCountryEuropeEnFrDe = {
	"Donkey Kong Country (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Donkey Kong Country (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryEuropeEnFrDeRomInfo, rDonkeyKongCountryEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryUSACompetitionEditionRomDesc[] = {
	{ "Donkey Kong Country (USA) (Competition Edition).sfc",          4194304, 0xe204fbd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryUSACompetitionEdition)
STD_ROM_FN(rDonkeyKongCountryUSACompetitionEdition)

struct BurnDriver BurnDrvrDonkeyKongCountryUSACompetitionEdition = {
	"Donkey Kong Country (USA) (Competition Edition)", NULL, NULL, "1986",
	"Donkey Kong Country (USA) (Competition Edition)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (USA) (Competition Edition)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryUSACompetitionEditionRomInfo, rDonkeyKongCountryUSACompetitionEditionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryUSARev1RomDesc[] = {
	{ "Donkey Kong Country (USA) (Rev 1).sfc",          4194304, 0x3eaa5697, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryUSARev1)
STD_ROM_FN(rDonkeyKongCountryUSARev1)

struct BurnDriver BurnDrvrDonkeyKongCountryUSARev1 = {
	"Donkey Kong Country (USA) (Rev 1)", NULL, NULL, "1986",
	"Donkey Kong Country (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryUSARev1RomInfo, rDonkeyKongCountryUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryUSARev2RomDesc[] = {
	{ "Donkey Kong Country (USA) (Rev 2).sfc",          4194304, 0x762af827, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryUSARev2)
STD_ROM_FN(rDonkeyKongCountryUSARev2)

struct BurnDriver BurnDrvrDonkeyKongCountryUSARev2 = {
	"Donkey Kong Country (USA) (Rev 2)", NULL, NULL, "1986",
	"Donkey Kong Country (USA) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (USA) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryUSARev2RomInfo, rDonkeyKongCountryUSARev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountryUSARomDesc[] = {
	{ "Donkey Kong Country (USA).sfc",          4194304, 0xc946dca0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountryUSA)
STD_ROM_FN(rDonkeyKongCountryUSA)

struct BurnDriver BurnDrvrDonkeyKongCountryUSA = {
	"Donkey Kong Country (USA)", NULL, NULL, "1986",
	"Donkey Kong Country (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountryUSARomInfo, rDonkeyKongCountryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1RomDesc[] = {
	{ "Donkey Kong Country 2 - Diddy's Kong Quest (Europe) (En,Fr) (Rev 1).sfc",          4194304, 0x2ea6b7e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1)
STD_ROM_FN(rDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1)

struct BurnDriver BurnDrvrDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1 = {
	"Donkey Kong Country 2 - Diddy's Kong Quest (Europe) (En,Fr) (Rev 1)", NULL, NULL, "1986",
	"Donkey Kong Country 2 - Diddy's Kong Quest (Europe) (En,Fr) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 2 - Diddy's Kong Quest (Europe) (En,Fr) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1RomInfo, rDonkeyKongCountry2DiddysKongQuestEuropeEnFrRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1RomDesc[] = {
	{ "Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De) (Rev 1).sfc",          4194304, 0x2eb33785, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1)
STD_ROM_FN(rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1)

struct BurnDriver BurnDrvrDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1 = {
	"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De) (Rev 1)", NULL, NULL, "1986",
	"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1RomInfo, rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRomDesc[] = {
	{ "Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De).sfc",          4194304, 0x4c794a4d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry2DiddysKongQuestGermanyEnDe)
STD_ROM_FN(rDonkeyKongCountry2DiddysKongQuestGermanyEnDe)

struct BurnDriver BurnDrvrDonkeyKongCountry2DiddysKongQuestGermanyEnDe = {
	"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De)", NULL, NULL, "1986",
	"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 2 - Diddy's Kong Quest (Germany) (En,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRomInfo, rDonkeyKongCountry2DiddysKongQuestGermanyEnDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1RomDesc[] = {
	{ "Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr) (Rev 1).sfc",          4194304, 0x4e2d90f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1)
STD_ROM_FN(rDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1)

struct BurnDriver BurnDrvrDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1 = {
	"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr) (Rev 1)", NULL, NULL, "1986",
	"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1RomInfo, rDonkeyKongCountry2DiddysKongQuestUSAEnFrRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry2DiddysKongQuestUSAEnFrRomDesc[] = {
	{ "Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr).sfc",          4194304, 0x6364db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry2DiddysKongQuestUSAEnFr)
STD_ROM_FN(rDonkeyKongCountry2DiddysKongQuestUSAEnFr)

struct BurnDriver BurnDrvrDonkeyKongCountry2DiddysKongQuestUSAEnFr = {
	"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr)", NULL, NULL, "1986",
	"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 2 - Diddy's Kong Quest (USA) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry2DiddysKongQuestUSAEnFrRomInfo, rDonkeyKongCountry2DiddysKongQuestUSAEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDeRomDesc[] = {
	{ "Donkey Kong Country 3 - Dixie Kong's Double Trouble! (Europe) (En,Fr,De).sfc",          4194304, 0x551fe84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDe)
STD_ROM_FN(rDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDe)

struct BurnDriver BurnDrvrDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDe = {
	"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDeRomInfo, rDonkeyKongCountry3DixieKongsDoubleTroubleEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFrRomDesc[] = {
	{ "Donkey Kong Country 3 - Dixie Kong's Double Trouble! (USA) (En,Fr).sfc",          4194304, 0x448eec19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFr)
STD_ROM_FN(rDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFr)

struct BurnDriver BurnDrvrDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFr = {
	"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (USA) (En,Fr)", NULL, NULL, "1986",
	"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (USA) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Donkey Kong Country 3 - Dixie Kong's Double Trouble! (USA) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFrRomInfo, rDonkeyKongCountry3DixieKongsDoubleTroubleUSAEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoomEuropeRomDesc[] = {
	{ "Doom (Europe).sfc",          2097152, 0x360243e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoomEurope)
STD_ROM_FN(rDoomEurope)

struct BurnDriver BurnDrvrDoomEurope = {
	"Doom (Europe)", NULL, NULL, "1986",
	"Doom (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doom (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoomEuropeRomInfo, rDoomEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoomJapanRomDesc[] = {
	{ "Doom (Japan).sfc",          2097152, 0xe5d722b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoomJapan)
STD_ROM_FN(rDoomJapan)

struct BurnDriver BurnDrvrDoomJapan = {
	"Doom (Japan)", NULL, NULL, "1986",
	"Doom (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doom (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoomJapanRomInfo, rDoomJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoomUSARomDesc[] = {
	{ "Doom (USA).sfc",          2097152, 0x9e85ea6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoomUSA)
STD_ROM_FN(rDoomUSA)

struct BurnDriver BurnDrvrDoomUSA = {
	"Doom (USA)", NULL, NULL, "1986",
	"Doom (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doom (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoomUSARomInfo, rDoomUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoomTroopersUSARomDesc[] = {
	{ "Doom Troopers (USA).sfc",          2097152, 0x1889feef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoomTroopersUSA)
STD_ROM_FN(rDoomTroopersUSA)

struct BurnDriver BurnDrvrDoomTroopersUSA = {
	"Doom Troopers (USA)", NULL, NULL, "1986",
	"Doom Troopers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doom Troopers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoomTroopersUSARomInfo, rDoomTroopersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoomsdayWarriorUSARomDesc[] = {
	{ "Doomsday Warrior (USA).sfc",          1048576, 0xceeb7c32, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoomsdayWarriorUSA)
STD_ROM_FN(rDoomsdayWarriorUSA)

struct BurnDriver BurnDrvrDoomsdayWarriorUSA = {
	"Doomsday Warrior (USA)", NULL, NULL, "1986",
	"Doomsday Warrior (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doomsday Warrior (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoomsdayWarriorUSARomInfo, rDoomsdayWarriorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoraemonNobitatoYouseinoKuniJapanRomDesc[] = {
	{ "Doraemon - Nobita to Yousei no Kuni (Japan).sfc",          524288, 0x51bc2909, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoraemonNobitatoYouseinoKuniJapan)
STD_ROM_FN(rDoraemonNobitatoYouseinoKuniJapan)

struct BurnDriver BurnDrvrDoraemonNobitatoYouseinoKuniJapan = {
	"Doraemon - Nobita to Yousei no Kuni (Japan)", NULL, NULL, "1986",
	"Doraemon - Nobita to Yousei no Kuni (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doraemon - Nobita to Yousei no Kuni (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoraemonNobitatoYouseinoKuniJapanRomInfo, rDoraemonNobitatoYouseinoKuniJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoraemon2NobitanoToysLandDaiboukenJapanRomDesc[] = {
	{ "Doraemon 2 - Nobita no Toys Land Daibouken (Japan).sfc",          1048576, 0xd343b398, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoraemon2NobitanoToysLandDaiboukenJapan)
STD_ROM_FN(rDoraemon2NobitanoToysLandDaiboukenJapan)

struct BurnDriver BurnDrvrDoraemon2NobitanoToysLandDaiboukenJapan = {
	"Doraemon 2 - Nobita no Toys Land Daibouken (Japan)", NULL, NULL, "1986",
	"Doraemon 2 - Nobita no Toys Land Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doraemon 2 - Nobita no Toys Land Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoraemon2NobitanoToysLandDaiboukenJapanRomInfo, rDoraemon2NobitanoToysLandDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoraemon3NobitatoTokinoHougyokuJapanRomDesc[] = {
	{ "Doraemon 3 - Nobita to Toki no Hougyoku (Japan).sfc",          1572864, 0x560c5eab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoraemon3NobitatoTokinoHougyokuJapan)
STD_ROM_FN(rDoraemon3NobitatoTokinoHougyokuJapan)

struct BurnDriver BurnDrvrDoraemon3NobitatoTokinoHougyokuJapan = {
	"Doraemon 3 - Nobita to Toki no Hougyoku (Japan)", NULL, NULL, "1986",
	"Doraemon 3 - Nobita to Toki no Hougyoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doraemon 3 - Nobita to Toki no Hougyoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoraemon3NobitatoTokinoHougyokuJapanRomInfo, rDoraemon3NobitatoTokinoHougyokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoraemon4NobitatoTsukinoOukokuJapanRomDesc[] = {
	{ "Doraemon 4 - Nobita to Tsuki no Oukoku (Japan).sfc",          1572864, 0x4097bc01, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoraemon4NobitatoTsukinoOukokuJapan)
STD_ROM_FN(rDoraemon4NobitatoTsukinoOukokuJapan)

struct BurnDriver BurnDrvrDoraemon4NobitatoTsukinoOukokuJapan = {
	"Doraemon 4 - Nobita to Tsuki no Oukoku (Japan)", NULL, NULL, "1986",
	"Doraemon 4 - Nobita to Tsuki no Oukoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doraemon 4 - Nobita to Tsuki no Oukoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoraemon4NobitatoTsukinoOukokuJapanRomInfo, rDoraemon4NobitatoTsukinoOukokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDossunGansekiBattleJapanRomDesc[] = {
	{ "Dossun! Ganseki Battle (Japan).sfc",          1048576, 0x1aa002d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDossunGansekiBattleJapan)
STD_ROM_FN(rDossunGansekiBattleJapan)

struct BurnDriver BurnDrvrDossunGansekiBattleJapan = {
	"Dossun! Ganseki Battle (Japan)", NULL, NULL, "1986",
	"Dossun! Ganseki Battle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dossun! Ganseki Battle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDossunGansekiBattleJapanRomInfo, rDossunGansekiBattleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoubleDragonVTheShadowFallsEuropeRomDesc[] = {
	{ "Double Dragon V - The Shadow Falls (Europe).sfc",          2097152, 0xe80f6b65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoubleDragonVTheShadowFallsEurope)
STD_ROM_FN(rDoubleDragonVTheShadowFallsEurope)

struct BurnDriver BurnDrvrDoubleDragonVTheShadowFallsEurope = {
	"Double Dragon V - The Shadow Falls (Europe)", NULL, NULL, "1986",
	"Double Dragon V - The Shadow Falls (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Double Dragon V - The Shadow Falls (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoubleDragonVTheShadowFallsEuropeRomInfo, rDoubleDragonVTheShadowFallsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoubleDragonVTheShadowFallsUSARomDesc[] = {
	{ "Double Dragon V - The Shadow Falls (USA).sfc",          3145728, 0x98a96ae8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoubleDragonVTheShadowFallsUSA)
STD_ROM_FN(rDoubleDragonVTheShadowFallsUSA)

struct BurnDriver BurnDrvrDoubleDragonVTheShadowFallsUSA = {
	"Double Dragon V - The Shadow Falls (USA)", NULL, NULL, "1986",
	"Double Dragon V - The Shadow Falls (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Double Dragon V - The Shadow Falls (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoubleDragonVTheShadowFallsUSARomInfo, rDoubleDragonVTheShadowFallsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDoukyuusei2JapanNPRomDesc[] = {
	{ "Doukyuusei 2 (Japan) (NP).sfc",          4194304, 0xca1eb161, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDoukyuusei2JapanNP)
STD_ROM_FN(rDoukyuusei2JapanNP)

struct BurnDriver BurnDrvrDoukyuusei2JapanNP = {
	"Doukyuusei 2 (Japan) (NP)", NULL, NULL, "1986",
	"Doukyuusei 2 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Doukyuusei 2 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDoukyuusei2JapanNPRomInfo, rDoukyuusei2JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDowntheWorldMervilsAmbitionJapanRomDesc[] = {
	{ "Down the World - Mervil's Ambition (Japan).sfc",          2097152, 0xf1110fad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDowntheWorldMervilsAmbitionJapan)
STD_ROM_FN(rDowntheWorldMervilsAmbitionJapan)

struct BurnDriver BurnDrvrDowntheWorldMervilsAmbitionJapan = {
	"Down the World - Mervil's Ambition (Japan)", NULL, NULL, "1986",
	"Down the World - Mervil's Ambition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Down the World - Mervil's Ambition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDowntheWorldMervilsAmbitionJapanRomInfo, rDowntheWorldMervilsAmbitionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapanRomDesc[] = {
	{ "Downtown Nekketsu Baseball Monogatari - Yakyuu de Shoubu da! Kunio-kun (Japan).sfc",          1572864, 0xe71b7c31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapan)
STD_ROM_FN(rDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapan)

struct BurnDriver BurnDrvrDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapan = {
	"Downtown Nekketsu Baseball Monogatari - Yakyuu de Shoubu da! Kunio-kun (Japan)", NULL, NULL, "1986",
	"Downtown Nekketsu Baseball Monogatari - Yakyuu de Shoubu da! Kunio-kun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Downtown Nekketsu Baseball Monogatari - Yakyuu de Shoubu da! Kunio-kun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapanRomInfo, rDowntownNekketsuBaseballMonogatariYakyuudeShoubudaKuniokunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrMarioJapanBSRomDesc[] = {
	{ "Dr. Mario (Japan) (BS).sfc",          1048576, 0x6ea452a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrMarioJapanBS)
STD_ROM_FN(rDrMarioJapanBS)

struct BurnDriver BurnDrvrDrMarioJapanBS = {
	"Dr. Mario (Japan) (BS)", NULL, NULL, "1986",
	"Dr. Mario (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dr. Mario (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrMarioJapanBSRomInfo, rDrMarioJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrMarioJapanNPRomDesc[] = {
	{ "Dr. Mario (Japan) (NP).sfc",          524288, 0x63ce5132, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrMarioJapanNP)
STD_ROM_FN(rDrMarioJapanNP)

struct BurnDriver BurnDrvrDrMarioJapanNP = {
	"Dr. Mario (Japan) (NP)", NULL, NULL, "1986",
	"Dr. Mario (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dr. Mario (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrMarioJapanNPRomInfo, rDrMarioJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonTheBruceLeeStoryEuropeRomDesc[] = {
	{ "Dragon - The Bruce Lee Story (Europe).sfc",          2097152, 0x38212ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonTheBruceLeeStoryEurope)
STD_ROM_FN(rDragonTheBruceLeeStoryEurope)

struct BurnDriver BurnDrvrDragonTheBruceLeeStoryEurope = {
	"Dragon - The Bruce Lee Story (Europe)", NULL, NULL, "1986",
	"Dragon - The Bruce Lee Story (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon - The Bruce Lee Story (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonTheBruceLeeStoryEuropeRomInfo, rDragonTheBruceLeeStoryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonTheBruceLeeStoryUSARomDesc[] = {
	{ "Dragon - The Bruce Lee Story (USA).sfc",          2097152, 0x407c5c24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonTheBruceLeeStoryUSA)
STD_ROM_FN(rDragonTheBruceLeeStoryUSA)

struct BurnDriver BurnDrvrDragonTheBruceLeeStoryUSA = {
	"Dragon - The Bruce Lee Story (USA)", NULL, NULL, "1986",
	"Dragon - The Bruce Lee Story (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon - The Bruce Lee Story (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonTheBruceLeeStoryUSARomInfo, rDragonTheBruceLeeStoryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZChomutujeonKoreaRomDesc[] = {
	{ "Dragon Ball Z - Chomutujeon (Korea).sfc",          2097152, 0x2bf7cd65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZChomutujeonKorea)
STD_ROM_FN(rDragonBallZChomutujeonKorea)

struct BurnDriver BurnDrvrDragonBallZChomutujeonKorea = {
	"Dragon Ball Z - Chomutujeon (Korea)", NULL, NULL, "1986",
	"Dragon Ball Z - Chomutujeon (Korea)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Chomutujeon (Korea)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZChomutujeonKoreaRomInfo, rDragonBallZChomutujeonKoreaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZHyperDimensionFranceRomDesc[] = {
	{ "Dragon Ball Z - Hyper Dimension (France).sfc",          3145728, 0xa6dc166b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZHyperDimensionFrance)
STD_ROM_FN(rDragonBallZHyperDimensionFrance)

struct BurnDriver BurnDrvrDragonBallZHyperDimensionFrance = {
	"Dragon Ball Z - Hyper Dimension (France)", NULL, NULL, "1986",
	"Dragon Ball Z - Hyper Dimension (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Hyper Dimension (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZHyperDimensionFranceRomInfo, rDragonBallZHyperDimensionFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZHyperDimensionJapanRomDesc[] = {
	{ "Dragon Ball Z - Hyper Dimension (Japan).sfc",          3145728, 0xf4ab1557, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZHyperDimensionJapan)
STD_ROM_FN(rDragonBallZHyperDimensionJapan)

struct BurnDriver BurnDrvrDragonBallZHyperDimensionJapan = {
	"Dragon Ball Z - Hyper Dimension (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Hyper Dimension (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Hyper Dimension (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZHyperDimensionJapanRomInfo, rDragonBallZHyperDimensionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZLaLegendeSaienFranceRomDesc[] = {
	{ "Dragon Ball Z - La Legende Saien (France).sfc",          2097152, 0x8f24f886, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZLaLegendeSaienFrance)
STD_ROM_FN(rDragonBallZLaLegendeSaienFrance)

struct BurnDriver BurnDrvrDragonBallZLaLegendeSaienFrance = {
	"Dragon Ball Z - La Legende Saien (France)", NULL, NULL, "1986",
	"Dragon Ball Z - La Legende Saien (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - La Legende Saien (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZLaLegendeSaienFranceRomInfo, rDragonBallZLaLegendeSaienFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButoudenFranceRomDesc[] = {
	{ "Dragon Ball Z - Super Butouden (France).sfc",          2097152, 0xea7abad1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButoudenFrance)
STD_ROM_FN(rDragonBallZSuperButoudenFrance)

struct BurnDriver BurnDrvrDragonBallZSuperButoudenFrance = {
	"Dragon Ball Z - Super Butouden (France)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButoudenFranceRomInfo, rDragonBallZSuperButoudenFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButoudenJapanSampleRomDesc[] = {
	{ "Dragon Ball Z - Super Butouden (Japan) (Sample).sfc",          1048576, 0xd6e464b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButoudenJapanSample)
STD_ROM_FN(rDragonBallZSuperButoudenJapanSample)

struct BurnDriver BurnDrvrDragonBallZSuperButoudenJapanSample = {
	"Dragon Ball Z - Super Butouden (Japan) (Sample)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButoudenJapanSampleRomInfo, rDragonBallZSuperButoudenJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButoudenJapanRomDesc[] = {
	{ "Dragon Ball Z - Super Butouden (Japan).sfc",          2097152, 0x8c7780bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButoudenJapan)
STD_ROM_FN(rDragonBallZSuperButoudenJapan)

struct BurnDriver BurnDrvrDragonBallZSuperButoudenJapan = {
	"Dragon Ball Z - Super Butouden (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButoudenJapanRomInfo, rDragonBallZSuperButoudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButouden2JapanRev1RomDesc[] = {
	{ "Dragon Ball Z - Super Butouden 2 (Japan) (Rev 1).sfc",          2097152, 0x81fde86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButouden2JapanRev1)
STD_ROM_FN(rDragonBallZSuperButouden2JapanRev1)

struct BurnDriver BurnDrvrDragonBallZSuperButouden2JapanRev1 = {
	"Dragon Ball Z - Super Butouden 2 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden 2 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden 2 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButouden2JapanRev1RomInfo, rDragonBallZSuperButouden2JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButouden2JapanRomDesc[] = {
	{ "Dragon Ball Z - Super Butouden 2 (Japan).sfc",          2097152, 0xa5e37609, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButouden2Japan)
STD_ROM_FN(rDragonBallZSuperButouden2Japan)

struct BurnDriver BurnDrvrDragonBallZSuperButouden2Japan = {
	"Dragon Ball Z - Super Butouden 2 (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButouden2JapanRomInfo, rDragonBallZSuperButouden2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperButouden3JapanRomDesc[] = {
	{ "Dragon Ball Z - Super Butouden 3 (Japan).sfc",          2097152, 0xcbfde2d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperButouden3Japan)
STD_ROM_FN(rDragonBallZSuperButouden3Japan)

struct BurnDriver BurnDrvrDragonBallZSuperButouden3Japan = {
	"Dragon Ball Z - Super Butouden 3 (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Butouden 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Butouden 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperButouden3JapanRomInfo, rDragonBallZSuperButouden3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperGokuuDenKakuseiHenJapanRomDesc[] = {
	{ "Dragon Ball Z - Super Gokuu Den - Kakusei Hen (Japan).sfc",          2097152, 0x3172cd4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperGokuuDenKakuseiHenJapan)
STD_ROM_FN(rDragonBallZSuperGokuuDenKakuseiHenJapan)

struct BurnDriver BurnDrvrDragonBallZSuperGokuuDenKakuseiHenJapan = {
	"Dragon Ball Z - Super Gokuu Den - Kakusei Hen (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Gokuu Den - Kakusei Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Gokuu Den - Kakusei Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperGokuuDenKakuseiHenJapanRomInfo, rDragonBallZSuperGokuuDenKakuseiHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperGokuuDenTotsugekiHenJapanRomDesc[] = {
	{ "Dragon Ball Z - Super Gokuu Den - Totsugeki Hen (Japan).sfc",          2097152, 0xd531289b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperGokuuDenTotsugekiHenJapan)
STD_ROM_FN(rDragonBallZSuperGokuuDenTotsugekiHenJapan)

struct BurnDriver BurnDrvrDragonBallZSuperGokuuDenTotsugekiHenJapan = {
	"Dragon Ball Z - Super Gokuu Den - Totsugeki Hen (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Gokuu Den - Totsugeki Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Gokuu Den - Totsugeki Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperGokuuDenTotsugekiHenJapanRomInfo, rDragonBallZSuperGokuuDenTotsugekiHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperSaiyaDensetsuJapanRev1RomDesc[] = {
	{ "Dragon Ball Z - Super Saiya Densetsu (Japan) (Rev 1).sfc",          1048576, 0xade7b968, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperSaiyaDensetsuJapanRev1)
STD_ROM_FN(rDragonBallZSuperSaiyaDensetsuJapanRev1)

struct BurnDriver BurnDrvrDragonBallZSuperSaiyaDensetsuJapanRev1 = {
	"Dragon Ball Z - Super Saiya Densetsu (Japan) (Rev 1)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Saiya Densetsu (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Saiya Densetsu (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperSaiyaDensetsuJapanRev1RomInfo, rDragonBallZSuperSaiyaDensetsuJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZSuperSaiyaDensetsuJapanRomDesc[] = {
	{ "Dragon Ball Z - Super Saiya Densetsu (Japan).sfc",          1048576, 0x32b17409, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZSuperSaiyaDensetsuJapan)
STD_ROM_FN(rDragonBallZSuperSaiyaDensetsuJapan)

struct BurnDriver BurnDrvrDragonBallZSuperSaiyaDensetsuJapan = {
	"Dragon Ball Z - Super Saiya Densetsu (Japan)", NULL, NULL, "1986",
	"Dragon Ball Z - Super Saiya Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Super Saiya Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZSuperSaiyaDensetsuJapanRomInfo, rDragonBallZSuperSaiyaDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonBallZUltimeMenaceFranceRomDesc[] = {
	{ "Dragon Ball Z - Ultime Menace (France).sfc",          2097152, 0x593eefe0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonBallZUltimeMenaceFrance)
STD_ROM_FN(rDragonBallZUltimeMenaceFrance)

struct BurnDriver BurnDrvrDragonBallZUltimeMenaceFrance = {
	"Dragon Ball Z - Ultime Menace (France)", NULL, NULL, "1986",
	"Dragon Ball Z - Ultime Menace (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Ball Z - Ultime Menace (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonBallZUltimeMenaceFranceRomInfo, rDragonBallZUltimeMenaceFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonKnight4JapanRomDesc[] = {
	{ "Dragon Knight 4 (Japan).sfc",          3145728, 0x52fc7228, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonKnight4Japan)
STD_ROM_FN(rDragonKnight4Japan)

struct BurnDriver BurnDrvrDragonKnight4Japan = {
	"Dragon Knight 4 (Japan)", NULL, NULL, "1986",
	"Dragon Knight 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Knight 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonKnight4JapanRomInfo, rDragonKnight4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonQuestIIIJapanRomDesc[] = {
	{ "Dragon Quest I & II (Japan).sfc",          1572864, 0x98bb6853, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonQuestIIIJapan)
STD_ROM_FN(rDragonQuestIIIJapan)

struct BurnDriver BurnDrvrDragonQuestIIIJapan = {
	"Dragon Quest I & II (Japan)", NULL, NULL, "1986",
	"Dragon Quest I & II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Quest I & II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonQuestIIIJapanRomInfo, rDragonQuestIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonQuestIIISoshiteDensetsueJapanRomDesc[] = {
	{ "Dragon Quest III - Soshite Densetsu e... (Japan).sfc",          4194304, 0x13836bd2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonQuestIIISoshiteDensetsueJapan)
STD_ROM_FN(rDragonQuestIIISoshiteDensetsueJapan)

struct BurnDriver BurnDrvrDragonQuestIIISoshiteDensetsueJapan = {
	"Dragon Quest III - Soshite Densetsu e... (Japan)", NULL, NULL, "1986",
	"Dragon Quest III - Soshite Densetsu e... (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Quest III - Soshite Densetsu e... (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonQuestIIISoshiteDensetsueJapanRomInfo, rDragonQuestIIISoshiteDensetsueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonQuestVTenkuunoHanayomeJapanRomDesc[] = {
	{ "Dragon Quest V - Tenkuu no Hanayome (Japan).sfc",          1572864, 0xbc955f3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonQuestVTenkuunoHanayomeJapan)
STD_ROM_FN(rDragonQuestVTenkuunoHanayomeJapan)

struct BurnDriver BurnDrvrDragonQuestVTenkuunoHanayomeJapan = {
	"Dragon Quest V - Tenkuu no Hanayome (Japan)", NULL, NULL, "1986",
	"Dragon Quest V - Tenkuu no Hanayome (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Quest V - Tenkuu no Hanayome (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonQuestVTenkuunoHanayomeJapanRomInfo, rDragonQuestVTenkuunoHanayomeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonQuestVIMaboroshinoDaichiJapanRomDesc[] = {
	{ "Dragon Quest VI - Maboroshi no Daichi (Japan).sfc",          4194304, 0x33304519, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonQuestVIMaboroshinoDaichiJapan)
STD_ROM_FN(rDragonQuestVIMaboroshinoDaichiJapan)

struct BurnDriver BurnDrvrDragonQuestVIMaboroshinoDaichiJapan = {
	"Dragon Quest VI - Maboroshi no Daichi (Japan)", NULL, NULL, "1986",
	"Dragon Quest VI - Maboroshi no Daichi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Quest VI - Maboroshi no Daichi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonQuestVIMaboroshinoDaichiJapanRomInfo, rDragonQuestVIMaboroshinoDaichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonSlayerEiyuuDensetsuJapanBSRomDesc[] = {
	{ "Dragon Slayer - Eiyuu Densetsu (Japan) (BS).sfc",          1048576, 0xa6fc28cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonSlayerEiyuuDensetsuJapanBS)
STD_ROM_FN(rDragonSlayerEiyuuDensetsuJapanBS)

struct BurnDriver BurnDrvrDragonSlayerEiyuuDensetsuJapanBS = {
	"Dragon Slayer - Eiyuu Densetsu (Japan) (BS)", NULL, NULL, "1986",
	"Dragon Slayer - Eiyuu Densetsu (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Slayer - Eiyuu Densetsu (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonSlayerEiyuuDensetsuJapanBSRomInfo, rDragonSlayerEiyuuDensetsuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonSlayerEiyuuDensetsuJapanRev1NPRomDesc[] = {
	{ "Dragon Slayer - Eiyuu Densetsu (Japan) (Rev 1) (NP).sfc",          1048576, 0x9b306e64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonSlayerEiyuuDensetsuJapanRev1NP)
STD_ROM_FN(rDragonSlayerEiyuuDensetsuJapanRev1NP)

struct BurnDriver BurnDrvrDragonSlayerEiyuuDensetsuJapanRev1NP = {
	"Dragon Slayer - Eiyuu Densetsu (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Dragon Slayer - Eiyuu Densetsu (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Slayer - Eiyuu Densetsu (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonSlayerEiyuuDensetsuJapanRev1NPRomInfo, rDragonSlayerEiyuuDensetsuJapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonSlayerEiyuuDensetsuJapanRomDesc[] = {
	{ "Dragon Slayer - Eiyuu Densetsu (Japan).sfc",          1048576, 0x70bba233, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonSlayerEiyuuDensetsuJapan)
STD_ROM_FN(rDragonSlayerEiyuuDensetsuJapan)

struct BurnDriver BurnDrvrDragonSlayerEiyuuDensetsuJapan = {
	"Dragon Slayer - Eiyuu Densetsu (Japan)", NULL, NULL, "1986",
	"Dragon Slayer - Eiyuu Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Slayer - Eiyuu Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonSlayerEiyuuDensetsuJapanRomInfo, rDragonSlayerEiyuuDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonSlayerEiyuuDensetsuIIJapanRomDesc[] = {
	{ "Dragon Slayer - Eiyuu Densetsu II (Japan).sfc",          1572864, 0xf409c139, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonSlayerEiyuuDensetsuIIJapan)
STD_ROM_FN(rDragonSlayerEiyuuDensetsuIIJapan)

struct BurnDriver BurnDrvrDragonSlayerEiyuuDensetsuIIJapan = {
	"Dragon Slayer - Eiyuu Densetsu II (Japan)", NULL, NULL, "1986",
	"Dragon Slayer - Eiyuu Densetsu II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon Slayer - Eiyuu Densetsu II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonSlayerEiyuuDensetsuIIJapanRomInfo, rDragonSlayerEiyuuDensetsuIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonViewUSARomDesc[] = {
	{ "Dragon View (USA).sfc",          2097152, 0xab893412, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonViewUSA)
STD_ROM_FN(rDragonViewUSA)

struct BurnDriver BurnDrvrDragonViewUSA = {
	"Dragon View (USA)", NULL, NULL, "1986",
	"Dragon View (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon View (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonViewUSARomInfo, rDragonViewUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonsEarthJapanRomDesc[] = {
	{ "Dragon's Earth (Japan).sfc",          1048576, 0x81bf8718, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonsEarthJapan)
STD_ROM_FN(rDragonsEarthJapan)

struct BurnDriver BurnDrvrDragonsEarthJapan = {
	"Dragon's Earth (Japan)", NULL, NULL, "1986",
	"Dragon's Earth (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon's Earth (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonsEarthJapanRomInfo, rDragonsEarthJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonsLairEuropeBetaRomDesc[] = {
	{ "Dragon's Lair (Europe) (Beta).sfc",          524288, 0x4aef99f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonsLairEuropeBeta)
STD_ROM_FN(rDragonsLairEuropeBeta)

struct BurnDriver BurnDrvrDragonsLairEuropeBeta = {
	"Dragon's Lair (Europe) (Beta)", NULL, NULL, "1986",
	"Dragon's Lair (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon's Lair (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonsLairEuropeBetaRomInfo, rDragonsLairEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonsLairEuropeEnFrDeEsItNlSvRomDesc[] = {
	{ "Dragon's Lair (Europe) (En,Fr,De,Es,It,Nl,Sv).sfc",          524288, 0x304fdb92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonsLairEuropeEnFrDeEsItNlSv)
STD_ROM_FN(rDragonsLairEuropeEnFrDeEsItNlSv)

struct BurnDriver BurnDrvrDragonsLairEuropeEnFrDeEsItNlSv = {
	"Dragon's Lair (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, "1986",
	"Dragon's Lair (Europe) (En,Fr,De,Es,It,Nl,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon's Lair (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonsLairEuropeEnFrDeEsItNlSvRomInfo, rDragonsLairEuropeEnFrDeEsItNlSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonsLairUSARomDesc[] = {
	{ "Dragon's Lair (USA).sfc",          524288, 0x24ffe7fd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonsLairUSA)
STD_ROM_FN(rDragonsLairUSA)

struct BurnDriver BurnDrvrDragonsLairUSA = {
	"Dragon's Lair (USA)", NULL, NULL, "1986",
	"Dragon's Lair (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon's Lair (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonsLairUSARomInfo, rDragonsLairUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDragonsMagicJapanRomDesc[] = {
	{ "Dragon's Magic (Japan).sfc",          524288, 0xcf53835, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDragonsMagicJapan)
STD_ROM_FN(rDragonsMagicJapan)

struct BurnDriver BurnDrvrDragonsMagicJapan = {
	"Dragon's Magic (Japan)", NULL, NULL, "1986",
	"Dragon's Magic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dragon's Magic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDragonsMagicJapanRomInfo, rDragonsMagicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrakkhenEuropeRomDesc[] = {
	{ "Drakkhen (Europe).sfc",          1048576, 0xc6cd0bed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrakkhenEurope)
STD_ROM_FN(rDrakkhenEurope)

struct BurnDriver BurnDrvrDrakkhenEurope = {
	"Drakkhen (Europe)", NULL, NULL, "1986",
	"Drakkhen (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drakkhen (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrakkhenEuropeRomInfo, rDrakkhenEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrakkhenGermanyRomDesc[] = {
	{ "Drakkhen (Germany).sfc",          1048576, 0x9d291732, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrakkhenGermany)
STD_ROM_FN(rDrakkhenGermany)

struct BurnDriver BurnDrvrDrakkhenGermany = {
	"Drakkhen (Germany)", NULL, NULL, "1986",
	"Drakkhen (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drakkhen (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrakkhenGermanyRomInfo, rDrakkhenGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrakkhenJapanRomDesc[] = {
	{ "Drakkhen (Japan).sfc",          1048576, 0xb0a016a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrakkhenJapan)
STD_ROM_FN(rDrakkhenJapan)

struct BurnDriver BurnDrvrDrakkhenJapan = {
	"Drakkhen (Japan)", NULL, NULL, "1986",
	"Drakkhen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drakkhen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrakkhenJapanRomInfo, rDrakkhenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDrakkhenUSARomDesc[] = {
	{ "Drakkhen (USA).sfc",          1048576, 0x7dae5c2a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDrakkhenUSA)
STD_ROM_FN(rDrakkhenUSA)

struct BurnDriver BurnDrvrDrakkhenUSA = {
	"Drakkhen (USA)", NULL, NULL, "1986",
	"Drakkhen (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drakkhen (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDrakkhenUSARomInfo, rDrakkhenUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDreamBasketballDunkHoopJapanRomDesc[] = {
	{ "Dream Basketball - Dunk & Hoop (Japan).sfc",          1572864, 0xcc24110a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDreamBasketballDunkHoopJapan)
STD_ROM_FN(rDreamBasketballDunkHoopJapan)

struct BurnDriver BurnDrvrDreamBasketballDunkHoopJapan = {
	"Dream Basketball - Dunk & Hoop (Japan)", NULL, NULL, "1986",
	"Dream Basketball - Dunk & Hoop (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dream Basketball - Dunk & Hoop (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDreamBasketballDunkHoopJapanRomInfo, rDreamBasketballDunkHoopJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDreamMazeKigurumiDaiboukenJapanRomDesc[] = {
	{ "Dream Maze - Kigurumi Daibouken (Japan).sfc",          1048576, 0x4b17a200, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDreamMazeKigurumiDaiboukenJapan)
STD_ROM_FN(rDreamMazeKigurumiDaiboukenJapan)

struct BurnDriver BurnDrvrDreamMazeKigurumiDaiboukenJapan = {
	"Dream Maze - Kigurumi Daibouken (Japan)", NULL, NULL, "1986",
	"Dream Maze - Kigurumi Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dream Maze - Kigurumi Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDreamMazeKigurumiDaiboukenJapanRomInfo, rDreamMazeKigurumiDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDreamTVUSABetaAlt1RomDesc[] = {
	{ "Dream TV (USA) (Beta) (Alt 1).sfc",          524288, 0x78aea085, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDreamTVUSABetaAlt1)
STD_ROM_FN(rDreamTVUSABetaAlt1)

struct BurnDriver BurnDrvrDreamTVUSABetaAlt1 = {
	"Dream TV (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Dream TV (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dream TV (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDreamTVUSABetaAlt1RomInfo, rDreamTVUSABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDreamTVUSABetaRomDesc[] = {
	{ "Dream TV (USA) (Beta).sfc",          524288, 0xc62f138e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDreamTVUSABeta)
STD_ROM_FN(rDreamTVUSABeta)

struct BurnDriver BurnDrvrDreamTVUSABeta = {
	"Dream TV (USA) (Beta)", NULL, NULL, "1986",
	"Dream TV (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dream TV (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDreamTVUSABetaRomInfo, rDreamTVUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDreamTVUSARomDesc[] = {
	{ "Dream TV (USA).sfc",          524288, 0xab5a9e40, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDreamTVUSA)
STD_ROM_FN(rDreamTVUSA)

struct BurnDriver BurnDrvrDreamTVUSA = {
	"Dream TV (USA)", NULL, NULL, "1986",
	"Dream TV (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dream TV (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDreamTVUSARomInfo, rDreamTVUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapanRomDesc[] = {
	{ "Drift King Shutokou Battle '94 - Tsuchiya Keiichi & Bandou Masaaki (Japan).sfc",          1572864, 0x33ce298f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapan)
STD_ROM_FN(rDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapan)

struct BurnDriver BurnDrvrDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapan = {
	"Drift King Shutokou Battle '94 - Tsuchiya Keiichi & Bandou Masaaki (Japan)", NULL, NULL, "1986",
	"Drift King Shutokou Battle '94 - Tsuchiya Keiichi & Bandou Masaaki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drift King Shutokou Battle '94 - Tsuchiya Keiichi & Bandou Masaaki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapanRomInfo, rDriftKingShutokouBattle94TsuchiyaKeiichiBandouMasaakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapanRomDesc[] = {
	{ "Drift King Shutokou Battle 2 - Tsuchiya Keiichi & Bandou Masaaki (Japan).sfc",          1572864, 0x87aab79a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapan)
STD_ROM_FN(rDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapan)

struct BurnDriver BurnDrvrDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapan = {
	"Drift King Shutokou Battle 2 - Tsuchiya Keiichi & Bandou Masaaki (Japan)", NULL, NULL, "1986",
	"Drift King Shutokou Battle 2 - Tsuchiya Keiichi & Bandou Masaaki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Drift King Shutokou Battle 2 - Tsuchiya Keiichi & Bandou Masaaki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapanRomInfo, rDriftKingShutokouBattle2TsuchiyaKeiichiBandouMasaakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDualOrbSeireiTamaDensetsuJapanRomDesc[] = {
	{ "Dual Orb - Seirei Tama Densetsu (Japan).sfc",          1572864, 0x9d7bd920, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDualOrbSeireiTamaDensetsuJapan)
STD_ROM_FN(rDualOrbSeireiTamaDensetsuJapan)

struct BurnDriver BurnDrvrDualOrbSeireiTamaDensetsuJapan = {
	"Dual Orb - Seirei Tama Densetsu (Japan)", NULL, NULL, "1986",
	"Dual Orb - Seirei Tama Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dual Orb - Seirei Tama Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDualOrbSeireiTamaDensetsuJapanRomInfo, rDualOrbSeireiTamaDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDualOrbIIJapanRomDesc[] = {
	{ "Dual Orb II (Japan).sfc",          2621440, 0xe8798f65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDualOrbIIJapan)
STD_ROM_FN(rDualOrbIIJapan)

struct BurnDriver BurnDrvrDualOrbIIJapan = {
	"Dual Orb II (Japan)", NULL, NULL, "1986",
	"Dual Orb II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dual Orb II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDualOrbIIJapanRomInfo, rDualOrbIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDuelTheTestDriveIIEuropeRomDesc[] = {
	{ "Duel, The - Test Drive II (Europe).sfc",          1048576, 0x57cbd9af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDuelTheTestDriveIIEurope)
STD_ROM_FN(rDuelTheTestDriveIIEurope)

struct BurnDriver BurnDrvrDuelTheTestDriveIIEurope = {
	"Duel, The - Test Drive II (Europe)", NULL, NULL, "1986",
	"Duel, The - Test Drive II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Duel, The - Test Drive II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDuelTheTestDriveIIEuropeRomInfo, rDuelTheTestDriveIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDuelTheTestDriveIIUSARomDesc[] = {
	{ "Duel, The - Test Drive II (USA).sfc",          1048576, 0xba093e24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDuelTheTestDriveIIUSA)
STD_ROM_FN(rDuelTheTestDriveIIUSA)

struct BurnDriver BurnDrvrDuelTheTestDriveIIUSA = {
	"Duel, The - Test Drive II (USA)", NULL, NULL, "1986",
	"Duel, The - Test Drive II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Duel, The - Test Drive II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDuelTheTestDriveIIUSARomInfo, rDuelTheTestDriveIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDunQuestMajinFuuinnoDensetsuJapanRomDesc[] = {
	{ "Dun Quest - Majin Fuuin no Densetsu (Japan).sfc",          2097152, 0xb708add4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDunQuestMajinFuuinnoDensetsuJapan)
STD_ROM_FN(rDunQuestMajinFuuinnoDensetsuJapan)

struct BurnDriver BurnDrvrDunQuestMajinFuuinnoDensetsuJapan = {
	"Dun Quest - Majin Fuuin no Densetsu (Japan)", NULL, NULL, "1986",
	"Dun Quest - Majin Fuuin no Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dun Quest - Majin Fuuin no Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDunQuestMajinFuuinnoDensetsuJapanRomInfo, rDunQuestMajinFuuinnoDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDungeonMasterEuropeRomDesc[] = {
	{ "Dungeon Master (Europe).sfc",          1048576, 0x89a67adf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDungeonMasterEurope)
STD_ROM_FN(rDungeonMasterEurope)

struct BurnDriver BurnDrvrDungeonMasterEurope = {
	"Dungeon Master (Europe)", NULL, NULL, "1986",
	"Dungeon Master (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dungeon Master (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDungeonMasterEuropeRomInfo, rDungeonMasterEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDungeonMasterJapanRev1RomDesc[] = {
	{ "Dungeon Master (Japan) (Rev 1).sfc",          1048576, 0xaa79fa33, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDungeonMasterJapanRev1)
STD_ROM_FN(rDungeonMasterJapanRev1)

struct BurnDriver BurnDrvrDungeonMasterJapanRev1 = {
	"Dungeon Master (Japan) (Rev 1)", NULL, NULL, "1986",
	"Dungeon Master (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dungeon Master (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDungeonMasterJapanRev1RomInfo, rDungeonMasterJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDungeonMasterJapanRomDesc[] = {
	{ "Dungeon Master (Japan).sfc",          1048576, 0x7a1ba194, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDungeonMasterJapan)
STD_ROM_FN(rDungeonMasterJapan)

struct BurnDriver BurnDrvrDungeonMasterJapan = {
	"Dungeon Master (Japan)", NULL, NULL, "1986",
	"Dungeon Master (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dungeon Master (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDungeonMasterJapanRomInfo, rDungeonMasterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDungeonMasterUSARomDesc[] = {
	{ "Dungeon Master (USA).sfc",          1048576, 0xdfd9ceb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDungeonMasterUSA)
STD_ROM_FN(rDungeonMasterUSA)

struct BurnDriver BurnDrvrDungeonMasterUSA = {
	"Dungeon Master (USA)", NULL, NULL, "1986",
	"Dungeon Master (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dungeon Master (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDungeonMasterUSARomInfo, rDungeonMasterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDynamaitetheLasVegasJapanRomDesc[] = {
	{ "Dynamaite the Las Vegas (Japan).sfc",          1048576, 0x1b644433, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDynamaitetheLasVegasJapan)
STD_ROM_FN(rDynamaitetheLasVegasJapan)

struct BurnDriver BurnDrvrDynamaitetheLasVegasJapan = {
	"Dynamaite the Las Vegas (Japan)", NULL, NULL, "1986",
	"Dynamaite the Las Vegas (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dynamaite the Las Vegas (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDynamaitetheLasVegasJapanRomInfo, rDynamaitetheLasVegasJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDynamiTracerJapanBSRomDesc[] = {
	{ "Dynami Tracer (Japan) (BS).sfc",          1048576, 0x41dae33c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDynamiTracerJapanBS)
STD_ROM_FN(rDynamiTracerJapanBS)

struct BurnDriver BurnDrvrDynamiTracerJapanBS = {
	"Dynami Tracer (Japan) (BS)", NULL, NULL, "1986",
	"Dynami Tracer (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dynami Tracer (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDynamiTracerJapanBSRomInfo, rDynamiTracerJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rDynamicStadiumJapanRomDesc[] = {
	{ "Dynamic Stadium (Japan).sfc",          1048576, 0xebcc121c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rDynamicStadiumJapan)
STD_ROM_FN(rDynamicStadiumJapan)

struct BurnDriver BurnDrvrDynamicStadiumJapan = {
	"Dynamic Stadium (Japan)", NULL, NULL, "1986",
	"Dynamic Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Dynamic Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rDynamicStadiumJapanRomInfo, rDynamicStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEVOSearchforEdenUSARomDesc[] = {
	{ "E.V.O. - Search for Eden (USA).sfc",          1572864, 0xdd49911e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEVOSearchforEdenUSA)
STD_ROM_FN(rEVOSearchforEdenUSA)

struct BurnDriver BurnDrvrEVOSearchforEdenUSA = {
	"E.V.O. - Search for Eden (USA)", NULL, NULL, "1986",
	"E.V.O. - Search for Eden (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"E.V.O. - Search for Eden (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEVOSearchforEdenUSARomInfo, rEVOSearchforEdenUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthDefenseForceEuropeRomDesc[] = {
	{ "Earth Defense Force (Europe).sfc",          1048576, 0x404bec17, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthDefenseForceEurope)
STD_ROM_FN(rEarthDefenseForceEurope)

struct BurnDriver BurnDrvrEarthDefenseForceEurope = {
	"Earth Defense Force (Europe)", NULL, NULL, "1986",
	"Earth Defense Force (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earth Defense Force (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthDefenseForceEuropeRomInfo, rEarthDefenseForceEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthDefenseForceUSARomDesc[] = {
	{ "Earth Defense Force (USA).sfc",          1048576, 0xca8ff946, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthDefenseForceUSA)
STD_ROM_FN(rEarthDefenseForceUSA)

struct BurnDriver BurnDrvrEarthDefenseForceUSA = {
	"Earth Defense Force (USA)", NULL, NULL, "1986",
	"Earth Defense Force (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earth Defense Force (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthDefenseForceUSARomInfo, rEarthDefenseForceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthLightJapanRomDesc[] = {
	{ "Earth Light (Japan).sfc",          1048576, 0x727f1593, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthLightJapan)
STD_ROM_FN(rEarthLightJapan)

struct BurnDriver BurnDrvrEarthLightJapan = {
	"Earth Light (Japan)", NULL, NULL, "1986",
	"Earth Light (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earth Light (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthLightJapanRomInfo, rEarthLightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthLightLunaStrikeJapanRomDesc[] = {
	{ "Earth Light - Luna Strike (Japan).sfc",          3145728, 0xeafd03c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthLightLunaStrikeJapan)
STD_ROM_FN(rEarthLightLunaStrikeJapan)

struct BurnDriver BurnDrvrEarthLightLunaStrikeJapan = {
	"Earth Light - Luna Strike (Japan)", NULL, NULL, "1986",
	"Earth Light - Luna Strike (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earth Light - Luna Strike (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthLightLunaStrikeJapanRomInfo, rEarthLightLunaStrikeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthBoundUSARomDesc[] = {
	{ "EarthBound (USA).sfc",          3145728, 0xdc9bb451, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthBoundUSA)
STD_ROM_FN(rEarthBoundUSA)

struct BurnDriver BurnDrvrEarthBoundUSA = {
	"EarthBound (USA)", NULL, NULL, "1986",
	"EarthBound (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"EarthBound (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthBoundUSARomInfo, rEarthBoundUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJimEuropeRomDesc[] = {
	{ "Earthworm Jim (Europe).sfc",          3145728, 0x84ab251b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJimEurope)
STD_ROM_FN(rEarthwormJimEurope)

struct BurnDriver BurnDrvrEarthwormJimEurope = {
	"Earthworm Jim (Europe)", NULL, NULL, "1986",
	"Earthworm Jim (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJimEuropeRomInfo, rEarthwormJimEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJimJapanRomDesc[] = {
	{ "Earthworm Jim (Japan).sfc",          3145728, 0x6f8ed108, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJimJapan)
STD_ROM_FN(rEarthwormJimJapan)

struct BurnDriver BurnDrvrEarthwormJimJapan = {
	"Earthworm Jim (Japan)", NULL, NULL, "1986",
	"Earthworm Jim (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJimJapanRomInfo, rEarthwormJimJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJimUSAGamesMasterSpecialEditionRomDesc[] = {
	{ "Earthworm Jim (USA) (GamesMaster Special Edition).sfc",          3145728, 0xb1eaad9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJimUSAGamesMasterSpecialEdition)
STD_ROM_FN(rEarthwormJimUSAGamesMasterSpecialEdition)

struct BurnDriver BurnDrvrEarthwormJimUSAGamesMasterSpecialEdition = {
	"Earthworm Jim (USA) (GamesMaster Special Edition)", NULL, NULL, "1986",
	"Earthworm Jim (USA) (GamesMaster Special Edition)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim (USA) (GamesMaster Special Edition)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJimUSAGamesMasterSpecialEditionRomInfo, rEarthwormJimUSAGamesMasterSpecialEditionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJimUSARomDesc[] = {
	{ "Earthworm Jim (USA).sfc",          3145728, 0x3a4a47eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJimUSA)
STD_ROM_FN(rEarthwormJimUSA)

struct BurnDriver BurnDrvrEarthwormJimUSA = {
	"Earthworm Jim (USA)", NULL, NULL, "1986",
	"Earthworm Jim (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJimUSARomInfo, rEarthwormJimUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJim2EuropeRomDesc[] = {
	{ "Earthworm Jim 2 (Europe).sfc",          3145728, 0x4f961f70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJim2Europe)
STD_ROM_FN(rEarthwormJim2Europe)

struct BurnDriver BurnDrvrEarthwormJim2Europe = {
	"Earthworm Jim 2 (Europe)", NULL, NULL, "1986",
	"Earthworm Jim 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJim2EuropeRomInfo, rEarthwormJim2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJim2USABetaRomDesc[] = {
	{ "Earthworm Jim 2 (USA) (Beta).sfc",          3145728, 0xc110a23a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJim2USABeta)
STD_ROM_FN(rEarthwormJim2USABeta)

struct BurnDriver BurnDrvrEarthwormJim2USABeta = {
	"Earthworm Jim 2 (USA) (Beta)", NULL, NULL, "1986",
	"Earthworm Jim 2 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim 2 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJim2USABetaRomInfo, rEarthwormJim2USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEarthwormJim2USARomDesc[] = {
	{ "Earthworm Jim 2 (USA).sfc",          3145728, 0x393de197, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEarthwormJim2USA)
STD_ROM_FN(rEarthwormJim2USA)

struct BurnDriver BurnDrvrEarthwormJim2USA = {
	"Earthworm Jim 2 (USA)", NULL, NULL, "1986",
	"Earthworm Jim 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Earthworm Jim 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEarthwormJim2USARomInfo, rEarthwormJim2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEdonoKibaJapanRomDesc[] = {
	{ "Edono Kiba (Japan).sfc",          1048576, 0xeec5a5b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEdonoKibaJapan)
STD_ROM_FN(rEdonoKibaJapan)

struct BurnDriver BurnDrvrEdonoKibaJapan = {
	"Edono Kiba (Japan)", NULL, NULL, "1986",
	"Edono Kiba (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Edono Kiba (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEdonoKibaJapanRomInfo, rEdonoKibaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEekTheCatEuropeRomDesc[] = {
	{ "Eek! The Cat (Europe).sfc",          1048576, 0x812555a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEekTheCatEurope)
STD_ROM_FN(rEekTheCatEurope)

struct BurnDriver BurnDrvrEekTheCatEurope = {
	"Eek! The Cat (Europe)", NULL, NULL, "1986",
	"Eek! The Cat (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eek! The Cat (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEekTheCatEuropeRomInfo, rEekTheCatEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEekTheCatUSARomDesc[] = {
	{ "Eek! The Cat (USA).sfc",          1048576, 0x216f2fc7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEekTheCatUSA)
STD_ROM_FN(rEekTheCatUSA)

struct BurnDriver BurnDrvrEekTheCatUSA = {
	"Eek! The Cat (USA)", NULL, NULL, "1986",
	"Eek! The Cat (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eek! The Cat (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEekTheCatUSARomInfo, rEekTheCatUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEiennoFilernaJapanRomDesc[] = {
	{ "Eien no Filerna (Japan).sfc",          1572864, 0x41e9cd70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEiennoFilernaJapan)
STD_ROM_FN(rEiennoFilernaJapan)

struct BurnDriver BurnDrvrEiennoFilernaJapan = {
	"Eien no Filerna (Japan)", NULL, NULL, "1986",
	"Eien no Filerna (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eien no Filerna (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEiennoFilernaJapanRomInfo, rEiennoFilernaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rElfariaTheIsleoftheBlestJapanRomDesc[] = {
	{ "Elfaria - The Isle of the Blest (Japan).sfc",          1572864, 0x75993355, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rElfariaTheIsleoftheBlestJapan)
STD_ROM_FN(rElfariaTheIsleoftheBlestJapan)

struct BurnDriver BurnDrvrElfariaTheIsleoftheBlestJapan = {
	"Elfaria - The Isle of the Blest (Japan)", NULL, NULL, "1986",
	"Elfaria - The Isle of the Blest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Elfaria - The Isle of the Blest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rElfariaTheIsleoftheBlestJapanRomInfo, rElfariaTheIsleoftheBlestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rElfariaIITheQuestoftheMeldJapanRomDesc[] = {
	{ "Elfaria II - The Quest of the Meld (Japan).sfc",          2097152, 0x4d5da64f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rElfariaIITheQuestoftheMeldJapan)
STD_ROM_FN(rElfariaIITheQuestoftheMeldJapan)

struct BurnDriver BurnDrvrElfariaIITheQuestoftheMeldJapan = {
	"Elfaria II - The Quest of the Meld (Japan)", NULL, NULL, "1986",
	"Elfaria II - The Quest of the Meld (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Elfaria II - The Quest of the Meld (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rElfariaIITheQuestoftheMeldJapanRomInfo, rElfariaIITheQuestoftheMeldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEliteSoccerUSARomDesc[] = {
	{ "Elite Soccer (USA).sfc",          1048576, 0x62abaee1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEliteSoccerUSA)
STD_ROM_FN(rEliteSoccerUSA)

struct BurnDriver BurnDrvrEliteSoccerUSA = {
	"Elite Soccer (USA)", NULL, NULL, "1986",
	"Elite Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Elite Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEliteSoccerUSARomInfo, rEliteSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rElnardJapanRomDesc[] = {
	{ "Elnard (Japan).sfc",          1572864, 0x14320873, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rElnardJapan)
STD_ROM_FN(rElnardJapan)

struct BurnDriver BurnDrvrElnardJapan = {
	"Elnard (Japan)", NULL, NULL, "1986",
	"Elnard (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Elnard (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rElnardJapanRomInfo, rElnardJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEmeraldDragonJapanRomDesc[] = {
	{ "Emerald Dragon (Japan).sfc",          2097152, 0x9d0f5f98, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEmeraldDragonJapan)
STD_ROM_FN(rEmeraldDragonJapan)

struct BurnDriver BurnDrvrEmeraldDragonJapan = {
	"Emerald Dragon (Japan)", NULL, NULL, "1986",
	"Emerald Dragon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Emerald Dragon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEmeraldDragonJapanRomInfo, rEmeraldDragonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEmitVol1TokinoMaigoJapanRomDesc[] = {
	{ "Emit Vol. 1 - Toki no Maigo (Japan).sfc",          3145728, 0xd1aacc2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEmitVol1TokinoMaigoJapan)
STD_ROM_FN(rEmitVol1TokinoMaigoJapan)

struct BurnDriver BurnDrvrEmitVol1TokinoMaigoJapan = {
	"Emit Vol. 1 - Toki no Maigo (Japan)", NULL, NULL, "1986",
	"Emit Vol. 1 - Toki no Maigo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Emit Vol. 1 - Toki no Maigo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEmitVol1TokinoMaigoJapanRomInfo, rEmitVol1TokinoMaigoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEmitVol2InochigakenoTabiJapanRomDesc[] = {
	{ "Emit Vol. 2 - Inochigake no Tabi (Japan).sfc",          3145728, 0xad99d806, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEmitVol2InochigakenoTabiJapan)
STD_ROM_FN(rEmitVol2InochigakenoTabiJapan)

struct BurnDriver BurnDrvrEmitVol2InochigakenoTabiJapan = {
	"Emit Vol. 2 - Inochigake no Tabi (Japan)", NULL, NULL, "1986",
	"Emit Vol. 2 - Inochigake no Tabi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Emit Vol. 2 - Inochigake no Tabi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEmitVol2InochigakenoTabiJapanRomInfo, rEmitVol2InochigakenoTabiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEmitVol3WatashiniSayonaraoJapanRomDesc[] = {
	{ "Emit Vol. 3 - Watashi ni Sayonara o (Japan).sfc",          3145728, 0xcbc5da6d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEmitVol3WatashiniSayonaraoJapan)
STD_ROM_FN(rEmitVol3WatashiniSayonaraoJapan)

struct BurnDriver BurnDrvrEmitVol3WatashiniSayonaraoJapan = {
	"Emit Vol. 3 - Watashi ni Sayonara o (Japan)", NULL, NULL, "1986",
	"Emit Vol. 3 - Watashi ni Sayonara o (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Emit Vol. 3 - Watashi ni Sayonara o (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEmitVol3WatashiniSayonaraoJapanRomInfo, rEmitVol3WatashiniSayonaraoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEmmittSmithFootballUSARomDesc[] = {
	{ "Emmitt Smith Football (USA).sfc",          1048576, 0x9c3c0ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEmmittSmithFootballUSA)
STD_ROM_FN(rEmmittSmithFootballUSA)

struct BurnDriver BurnDrvrEmmittSmithFootballUSA = {
	"Emmitt Smith Football (USA)", NULL, NULL, "1986",
	"Emmitt Smith Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Emmitt Smith Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEmmittSmithFootballUSARomInfo, rEmmittSmithFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEnergyBreakerJapanRomDesc[] = {
	{ "Energy Breaker (Japan).sfc",          3145728, 0xf70f2a95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEnergyBreakerJapan)
STD_ROM_FN(rEnergyBreakerJapan)

struct BurnDriver BurnDrvrEnergyBreakerJapan = {
	"Energy Breaker (Japan)", NULL, NULL, "1986",
	"Energy Breaker (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Energy Breaker (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEnergyBreakerJapanRomInfo, rEnergyBreakerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEquinoxEuropeRomDesc[] = {
	{ "Equinox (Europe).sfc",          1048576, 0xa2b15ac4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEquinoxEurope)
STD_ROM_FN(rEquinoxEurope)

struct BurnDriver BurnDrvrEquinoxEurope = {
	"Equinox (Europe)", NULL, NULL, "1986",
	"Equinox (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Equinox (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEquinoxEuropeRomInfo, rEquinoxEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEquinoxUSABetaRomDesc[] = {
	{ "Equinox (USA) (Beta).sfc",          1048576, 0x61d22779, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEquinoxUSABeta)
STD_ROM_FN(rEquinoxUSABeta)

struct BurnDriver BurnDrvrEquinoxUSABeta = {
	"Equinox (USA) (Beta)", NULL, NULL, "1986",
	"Equinox (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Equinox (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEquinoxUSABetaRomInfo, rEquinoxUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEquinoxUSARomDesc[] = {
	{ "Equinox (USA).sfc",          1048576, 0x96a4d1c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEquinoxUSA)
STD_ROM_FN(rEquinoxUSA)

struct BurnDriver BurnDrvrEquinoxUSA = {
	"Equinox (USA)", NULL, NULL, "1986",
	"Equinox (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Equinox (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEquinoxUSARomInfo, rEquinoxUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEricCantonaFootballChallengeFranceEnFrDeEsItNlSvRomDesc[] = {
	{ "Eric Cantona Football Challenge (France) (En,Fr,De,Es,It,Nl,Sv).sfc",          524288, 0xd190cf58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEricCantonaFootballChallengeFranceEnFrDeEsItNlSv)
STD_ROM_FN(rEricCantonaFootballChallengeFranceEnFrDeEsItNlSv)

struct BurnDriver BurnDrvrEricCantonaFootballChallengeFranceEnFrDeEsItNlSv = {
	"Eric Cantona Football Challenge (France) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, "1986",
	"Eric Cantona Football Challenge (France) (En,Fr,De,Es,It,Nl,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eric Cantona Football Challenge (France) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEricCantonaFootballChallengeFranceEnFrDeEsItNlSvRomInfo, rEricCantonaFootballChallengeFranceEnFrDeEsItNlSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEsparksIjikuukaranoRaihoushaJapanRomDesc[] = {
	{ "Esparks - Ijikuu kara no Raihousha (Japan).sfc",          1572864, 0x634344a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEsparksIjikuukaranoRaihoushaJapan)
STD_ROM_FN(rEsparksIjikuukaranoRaihoushaJapan)

struct BurnDriver BurnDrvrEsparksIjikuukaranoRaihoushaJapan = {
	"Esparks - Ijikuu kara no Raihousha (Japan)", NULL, NULL, "1986",
	"Esparks - Ijikuu kara no Raihousha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Esparks - Ijikuu kara no Raihousha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEsparksIjikuukaranoRaihoushaJapanRomInfo, rEsparksIjikuukaranoRaihoushaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNBaseballTonightEuropeRomDesc[] = {
	{ "ESPN Baseball Tonight (Europe).sfc",          2097152, 0xa7a4be9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNBaseballTonightEurope)
STD_ROM_FN(rESPNBaseballTonightEurope)

struct BurnDriver BurnDrvrESPNBaseballTonightEurope = {
	"ESPN Baseball Tonight (Europe)", NULL, NULL, "1986",
	"ESPN Baseball Tonight (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Baseball Tonight (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNBaseballTonightEuropeRomInfo, rESPNBaseballTonightEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNBaseballTonightUSABetaRomDesc[] = {
	{ "ESPN Baseball Tonight (USA) (Beta).sfc",          2097152, 0xd0117d67, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNBaseballTonightUSABeta)
STD_ROM_FN(rESPNBaseballTonightUSABeta)

struct BurnDriver BurnDrvrESPNBaseballTonightUSABeta = {
	"ESPN Baseball Tonight (USA) (Beta)", NULL, NULL, "1986",
	"ESPN Baseball Tonight (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Baseball Tonight (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNBaseballTonightUSABetaRomInfo, rESPNBaseballTonightUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNBaseballTonightUSARomDesc[] = {
	{ "ESPN Baseball Tonight (USA).sfc",          2097152, 0x8606d69b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNBaseballTonightUSA)
STD_ROM_FN(rESPNBaseballTonightUSA)

struct BurnDriver BurnDrvrESPNBaseballTonightUSA = {
	"ESPN Baseball Tonight (USA)", NULL, NULL, "1986",
	"ESPN Baseball Tonight (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Baseball Tonight (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNBaseballTonightUSARomInfo, rESPNBaseballTonightUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNNationalHockeyNightUSARomDesc[] = {
	{ "ESPN National Hockey Night (USA).sfc",          2097152, 0x75058ede, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNNationalHockeyNightUSA)
STD_ROM_FN(rESPNNationalHockeyNightUSA)

struct BurnDriver BurnDrvrESPNNationalHockeyNightUSA = {
	"ESPN National Hockey Night (USA)", NULL, NULL, "1986",
	"ESPN National Hockey Night (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN National Hockey Night (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNNationalHockeyNightUSARomInfo, rESPNNationalHockeyNightUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNSpeedworldUSABetaRomDesc[] = {
	{ "ESPN Speedworld (USA) (Beta).sfc",          2097152, 0x2b0069c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNSpeedworldUSABeta)
STD_ROM_FN(rESPNSpeedworldUSABeta)

struct BurnDriver BurnDrvrESPNSpeedworldUSABeta = {
	"ESPN Speedworld (USA) (Beta)", NULL, NULL, "1986",
	"ESPN Speedworld (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Speedworld (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNSpeedworldUSABetaRomInfo, rESPNSpeedworldUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNSpeedworldUSARomDesc[] = {
	{ "ESPN Speedworld (USA).sfc",          2097152, 0xc2cff05a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNSpeedworldUSA)
STD_ROM_FN(rESPNSpeedworldUSA)

struct BurnDriver BurnDrvrESPNSpeedworldUSA = {
	"ESPN Speedworld (USA)", NULL, NULL, "1986",
	"ESPN Speedworld (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Speedworld (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNSpeedworldUSARomInfo, rESPNSpeedworldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rESPNSundayNightNFLUSARomDesc[] = {
	{ "ESPN Sunday Night NFL (USA).sfc",          2097152, 0x26849f90, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rESPNSundayNightNFLUSA)
STD_ROM_FN(rESPNSundayNightNFLUSA)

struct BurnDriver BurnDrvrESPNSundayNightNFLUSA = {
	"ESPN Sunday Night NFL (USA)", NULL, NULL, "1986",
	"ESPN Sunday Night NFL (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"ESPN Sunday Night NFL (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rESPNSundayNightNFLUSARomInfo, rESPNSundayNightNFLUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEstpolisDenkiJapanRomDesc[] = {
	{ "Estpolis Denki (Japan).sfc",          1048576, 0x896b37fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEstpolisDenkiJapan)
STD_ROM_FN(rEstpolisDenkiJapan)

struct BurnDriver BurnDrvrEstpolisDenkiJapan = {
	"Estpolis Denki (Japan)", NULL, NULL, "1986",
	"Estpolis Denki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Estpolis Denki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEstpolisDenkiJapanRomInfo, rEstpolisDenkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEstpolisDenkiIIJapanRomDesc[] = {
	{ "Estpolis Denki II (Japan).sfc",          2621440, 0xd9665bbc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEstpolisDenkiIIJapan)
STD_ROM_FN(rEstpolisDenkiIIJapan)

struct BurnDriver BurnDrvrEstpolisDenkiIIJapan = {
	"Estpolis Denki II (Japan)", NULL, NULL, "1986",
	"Estpolis Denki II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Estpolis Denki II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEstpolisDenkiIIJapanRomInfo, rEstpolisDenkiIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEuritUSAProtoRomDesc[] = {
	{ "Eurit (USA) (Proto).sfc",          2097152, 0x78bcd558, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEuritUSAProto)
STD_ROM_FN(rEuritUSAProto)

struct BurnDriver BurnDrvrEuritUSAProto = {
	"Eurit (USA) (Proto)", NULL, NULL, "1986",
	"Eurit (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eurit (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEuritUSAProtoRomInfo, rEuritUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEuroFootballChampEuropeRomDesc[] = {
	{ "Euro Football Champ (Europe).sfc",          524288, 0x2c6eb470, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEuroFootballChampEurope)
STD_ROM_FN(rEuroFootballChampEurope)

struct BurnDriver BurnDrvrEuroFootballChampEurope = {
	"Euro Football Champ (Europe)", NULL, NULL, "1986",
	"Euro Football Champ (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Euro Football Champ (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEuroFootballChampEuropeRomInfo, rEuroFootballChampEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEuropeSensenJapanRomDesc[] = {
	{ "Europe Sensen (Japan).sfc",          1572864, 0xae066c31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEuropeSensenJapan)
STD_ROM_FN(rEuropeSensenJapan)

struct BurnDriver BurnDrvrEuropeSensenJapan = {
	"Europe Sensen (Japan)", NULL, NULL, "1986",
	"Europe Sensen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Europe Sensen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEuropeSensenJapanRomInfo, rEuropeSensenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExcitebikeBunbunMarioBattleStadium1JapanBSRomDesc[] = {
	{ "Excitebike - Bunbun Mario Battle - Stadium 1 (Japan) (BS).sfc",          1048576, 0xcf37df6c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExcitebikeBunbunMarioBattleStadium1JapanBS)
STD_ROM_FN(rExcitebikeBunbunMarioBattleStadium1JapanBS)

struct BurnDriver BurnDrvrExcitebikeBunbunMarioBattleStadium1JapanBS = {
	"Excitebike - Bunbun Mario Battle - Stadium 1 (Japan) (BS)", NULL, NULL, "1986",
	"Excitebike - Bunbun Mario Battle - Stadium 1 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Excitebike - Bunbun Mario Battle - Stadium 1 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExcitebikeBunbunMarioBattleStadium1JapanBSRomInfo, rExcitebikeBunbunMarioBattleStadium1JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExcitebikeBunbunMarioBattleStadium2JapanBSRomDesc[] = {
	{ "Excitebike - Bunbun Mario Battle - Stadium 2 (Japan) (BS).sfc",          1048576, 0x3576a0a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExcitebikeBunbunMarioBattleStadium2JapanBS)
STD_ROM_FN(rExcitebikeBunbunMarioBattleStadium2JapanBS)

struct BurnDriver BurnDrvrExcitebikeBunbunMarioBattleStadium2JapanBS = {
	"Excitebike - Bunbun Mario Battle - Stadium 2 (Japan) (BS)", NULL, NULL, "1986",
	"Excitebike - Bunbun Mario Battle - Stadium 2 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Excitebike - Bunbun Mario Battle - Stadium 2 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExcitebikeBunbunMarioBattleStadium2JapanBSRomInfo, rExcitebikeBunbunMarioBattleStadium2JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BSRomDesc[] = {
	{ "Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (1998-01-11 - 1998-01-17) (BS).sfc",          1048576, 0x763c2ee4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BS)
STD_ROM_FN(rExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BS)

struct BurnDriver BurnDrvrExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BS = {
	"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (1998-01-11 - 1998-01-17) (BS)", NULL, NULL, "1986",
	"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (1998-01-11 - 1998-01-17) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (1998-01-11 - 1998-01-17) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BSRomInfo, rExcitebikeBunbunMarioBattleStadium3Japan1998011119980117BSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BSRomDesc[] = {
	{ "Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (xxxx-02-08) (BS).sfc",          1048576, 0xe5206656, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BS)
STD_ROM_FN(rExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BS)

struct BurnDriver BurnDrvrExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BS = {
	"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (xxxx-02-08) (BS)", NULL, NULL, "1986",
	"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (xxxx-02-08) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Excitebike - Bunbun Mario Battle - Stadium 3 (Japan) (xxxx-02-08) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BSRomInfo, rExcitebikeBunbunMarioBattleStadium3Japanxxxx0208BSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExcitebikeBunbunMarioBattleStadium4JapanBSRomDesc[] = {
	{ "Excitebike - Bunbun Mario Battle - Stadium 4 (Japan) (BS).sfc",          1048576, 0xc9a77643, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExcitebikeBunbunMarioBattleStadium4JapanBS)
STD_ROM_FN(rExcitebikeBunbunMarioBattleStadium4JapanBS)

struct BurnDriver BurnDrvrExcitebikeBunbunMarioBattleStadium4JapanBS = {
	"Excitebike - Bunbun Mario Battle - Stadium 4 (Japan) (BS)", NULL, NULL, "1986",
	"Excitebike - Bunbun Mario Battle - Stadium 4 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Excitebike - Bunbun Mario Battle - Stadium 4 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExcitebikeBunbunMarioBattleStadium4JapanBSRomInfo, rExcitebikeBunbunMarioBattleStadium4JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProtoRomDesc[] = {
	{ "Exertainment Mountain Bike Rally & Speed Racer (Europe) (En,Fr,De,Es,Nl) (Proto).sfc",          4194304, 0x811475b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProto)
STD_ROM_FN(rExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProto)

struct BurnDriver BurnDrvrExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProto = {
	"Exertainment Mountain Bike Rally & Speed Racer (Europe) (En,Fr,De,Es,Nl) (Proto)", NULL, NULL, "1986",
	"Exertainment Mountain Bike Rally & Speed Racer (Europe) (En,Fr,De,Es,Nl) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exertainment Mountain Bike Rally & Speed Racer (Europe) (En,Fr,De,Es,Nl) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProtoRomInfo, rExertainmentMountainBikeRallySpeedRacerEuropeEnFrDeEsNlProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExertainmentMountainBikeRallySpeedRacerUSARomDesc[] = {
	{ "Exertainment Mountain Bike Rally & Speed Racer (USA).sfc",          4194304, 0xee5e1906, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExertainmentMountainBikeRallySpeedRacerUSA)
STD_ROM_FN(rExertainmentMountainBikeRallySpeedRacerUSA)

struct BurnDriver BurnDrvrExertainmentMountainBikeRallySpeedRacerUSA = {
	"Exertainment Mountain Bike Rally & Speed Racer (USA)", NULL, NULL, "1986",
	"Exertainment Mountain Bike Rally & Speed Racer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exertainment Mountain Bike Rally & Speed Racer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExertainmentMountainBikeRallySpeedRacerUSARomInfo, rExertainmentMountainBikeRallySpeedRacerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExertainmentMountainBikeRallyUSARomDesc[] = {
	{ "Exertainment Mountain Bike Rally (USA).sfc",          2097152, 0xe6ede101, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExertainmentMountainBikeRallyUSA)
STD_ROM_FN(rExertainmentMountainBikeRallyUSA)

struct BurnDriver BurnDrvrExertainmentMountainBikeRallyUSA = {
	"Exertainment Mountain Bike Rally (USA)", NULL, NULL, "1986",
	"Exertainment Mountain Bike Rally (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exertainment Mountain Bike Rally (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExertainmentMountainBikeRallyUSARomInfo, rExertainmentMountainBikeRallyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExhaustHeatEuropeRomDesc[] = {
	{ "Exhaust Heat (Europe).sfc",          1048576, 0xaf5a3203, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExhaustHeatEurope)
STD_ROM_FN(rExhaustHeatEurope)

struct BurnDriver BurnDrvrExhaustHeatEurope = {
	"Exhaust Heat (Europe)", NULL, NULL, "1986",
	"Exhaust Heat (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exhaust Heat (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExhaustHeatEuropeRomInfo, rExhaustHeatEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExhaustHeatJapanRomDesc[] = {
	{ "Exhaust Heat (Japan).sfc",          1048576, 0x5cb9bc35, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExhaustHeatJapan)
STD_ROM_FN(rExhaustHeatJapan)

struct BurnDriver BurnDrvrExhaustHeatJapan = {
	"Exhaust Heat (Japan)", NULL, NULL, "1986",
	"Exhaust Heat (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exhaust Heat (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExhaustHeatJapanRomInfo, rExhaustHeatJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExhaustHeatIIF1DriverenoKisekiJapanRomDesc[] = {
	{ "Exhaust Heat II - F1 Driver e no Kiseki (Japan).sfc",          1048576, 0xe2c8e535, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExhaustHeatIIF1DriverenoKisekiJapan)
STD_ROM_FN(rExhaustHeatIIF1DriverenoKisekiJapan)

struct BurnDriver BurnDrvrExhaustHeatIIF1DriverenoKisekiJapan = {
	"Exhaust Heat II - F1 Driver e no Kiseki (Japan)", NULL, NULL, "1986",
	"Exhaust Heat II - F1 Driver e no Kiseki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Exhaust Heat II - F1 Driver e no Kiseki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExhaustHeatIIF1DriverenoKisekiJapanRomInfo, rExhaustHeatIIF1DriverenoKisekiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rExtraInningsUSARomDesc[] = {
	{ "Extra Innings (USA).sfc",          1048576, 0x440a4250, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rExtraInningsUSA)
STD_ROM_FN(rExtraInningsUSA)

struct BurnDriver BurnDrvrExtraInningsUSA = {
	"Extra Innings (USA)", NULL, NULL, "1986",
	"Extra Innings (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Extra Innings (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rExtraInningsUSARomInfo, rExtraInningsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEyeoftheBeholderJapanRomDesc[] = {
	{ "Eye of the Beholder (Japan).sfc",          1048576, 0xf6ad28a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEyeoftheBeholderJapan)
STD_ROM_FN(rEyeoftheBeholderJapan)

struct BurnDriver BurnDrvrEyeoftheBeholderJapan = {
	"Eye of the Beholder (Japan)", NULL, NULL, "1986",
	"Eye of the Beholder (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eye of the Beholder (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEyeoftheBeholderJapanRomInfo, rEyeoftheBeholderJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rEyeoftheBeholderUSARomDesc[] = {
	{ "Eye of the Beholder (USA).sfc",          1048576, 0x20143571, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rEyeoftheBeholderUSA)
STD_ROM_FN(rEyeoftheBeholderUSA)

struct BurnDriver BurnDrvrEyeoftheBeholderUSA = {
	"Eye of the Beholder (USA)", NULL, NULL, "1986",
	"Eye of the Beholder (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Eye of the Beholder (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rEyeoftheBeholderUSARomInfo, rEyeoftheBeholderUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1GrandPrixJapanRomDesc[] = {
	{ "F-1 Grand Prix (Japan).sfc",          1048576, 0x1608ea1a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1GrandPrixJapan)
STD_ROM_FN(rF1GrandPrixJapan)

struct BurnDriver BurnDrvrF1GrandPrixJapan = {
	"F-1 Grand Prix (Japan)", NULL, NULL, "1986",
	"F-1 Grand Prix (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-1 Grand Prix (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1GrandPrixJapanRomInfo, rF1GrandPrixJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1GrandPrixPartIIJapanRomDesc[] = {
	{ "F-1 Grand Prix - Part II (Japan).sfc",          1572864, 0x534ae12e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1GrandPrixPartIIJapan)
STD_ROM_FN(rF1GrandPrixPartIIJapan)

struct BurnDriver BurnDrvrF1GrandPrixPartIIJapan = {
	"F-1 Grand Prix - Part II (Japan)", NULL, NULL, "1986",
	"F-1 Grand Prix - Part II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-1 Grand Prix - Part II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1GrandPrixPartIIJapanRomInfo, rF1GrandPrixPartIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1GrandPrixPartIIIJapanRomDesc[] = {
	{ "F-1 Grand Prix - Part III (Japan).sfc",          2097152, 0x9b68248e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1GrandPrixPartIIIJapan)
STD_ROM_FN(rF1GrandPrixPartIIIJapan)

struct BurnDriver BurnDrvrF1GrandPrixPartIIIJapan = {
	"F-1 Grand Prix - Part III (Japan)", NULL, NULL, "1986",
	"F-1 Grand Prix - Part III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-1 Grand Prix - Part III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1GrandPrixPartIIIJapanRomInfo, rF1GrandPrixPartIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF15SuperStrikeEagleJapanRomDesc[] = {
	{ "F-15 Super Strike Eagle (Japan).sfc",          1048576, 0xf0202e26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF15SuperStrikeEagleJapan)
STD_ROM_FN(rF15SuperStrikeEagleJapan)

struct BurnDriver BurnDrvrF15SuperStrikeEagleJapan = {
	"F-15 Super Strike Eagle (Japan)", NULL, NULL, "1986",
	"F-15 Super Strike Eagle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-15 Super Strike Eagle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF15SuperStrikeEagleJapanRomInfo, rF15SuperStrikeEagleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFZeroEuropeRomDesc[] = {
	{ "F-Zero (Europe).sfc",          524288, 0xf1d8f5da, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFZeroEurope)
STD_ROM_FN(rFZeroEurope)

struct BurnDriver BurnDrvrFZeroEurope = {
	"F-Zero (Europe)", NULL, NULL, "1986",
	"F-Zero (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-Zero (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFZeroEuropeRomInfo, rFZeroEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFZeroJapanBSRomDesc[] = {
	{ "F-Zero (Japan) (BS).sfc",          524288, 0x6ff86710, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFZeroJapanBS)
STD_ROM_FN(rFZeroJapanBS)

struct BurnDriver BurnDrvrFZeroJapanBS = {
	"F-Zero (Japan) (BS)", NULL, NULL, "1986",
	"F-Zero (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-Zero (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFZeroJapanBSRomInfo, rFZeroJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFZeroJapanRomDesc[] = {
	{ "F-Zero (Japan).sfc",          524288, 0x7681efc1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFZeroJapan)
STD_ROM_FN(rFZeroJapan)

struct BurnDriver BurnDrvrFZeroJapan = {
	"F-Zero (Japan)", NULL, NULL, "1986",
	"F-Zero (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-Zero (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFZeroJapanRomInfo, rFZeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFZeroUSARomDesc[] = {
	{ "F-Zero (USA).sfc",          524288, 0xaa0e31de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFZeroUSA)
STD_ROM_FN(rFZeroUSA)

struct BurnDriver BurnDrvrFZeroUSA = {
	"F-Zero (USA)", NULL, NULL, "1986",
	"F-Zero (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"F-Zero (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFZeroUSARomInfo, rFZeroUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1PolePositionEuropeRomDesc[] = {
	{ "F1 Pole Position (Europe).sfc",          1048576, 0xe935886a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1PolePositionEurope)
STD_ROM_FN(rF1PolePositionEurope)

struct BurnDriver BurnDrvrF1PolePositionEurope = {
	"F1 Pole Position (Europe)", NULL, NULL, "1986",
	"F1 Pole Position (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 Pole Position (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1PolePositionEuropeRomInfo, rF1PolePositionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1PolePositionUSABetaRomDesc[] = {
	{ "F1 Pole Position (USA) (Beta).sfc",          1048576, 0x7049aae8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1PolePositionUSABeta)
STD_ROM_FN(rF1PolePositionUSABeta)

struct BurnDriver BurnDrvrF1PolePositionUSABeta = {
	"F1 Pole Position (USA) (Beta)", NULL, NULL, "1986",
	"F1 Pole Position (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 Pole Position (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1PolePositionUSABetaRomInfo, rF1PolePositionUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1PolePositionUSARomDesc[] = {
	{ "F1 Pole Position (USA).sfc",          1048576, 0xb3da1b1d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1PolePositionUSA)
STD_ROM_FN(rF1PolePositionUSA)

struct BurnDriver BurnDrvrF1PolePositionUSA = {
	"F1 Pole Position (USA)", NULL, NULL, "1986",
	"F1 Pole Position (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 Pole Position (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1PolePositionUSARomInfo, rF1PolePositionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1PolePosition2EuropeRomDesc[] = {
	{ "F1 Pole Position 2 (Europe).sfc",          1048576, 0x83fc0f0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1PolePosition2Europe)
STD_ROM_FN(rF1PolePosition2Europe)

struct BurnDriver BurnDrvrF1PolePosition2Europe = {
	"F1 Pole Position 2 (Europe)", NULL, NULL, "1986",
	"F1 Pole Position 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 Pole Position 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1PolePosition2EuropeRomInfo, rF1PolePosition2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1ROCRaceofChampionsUSARomDesc[] = {
	{ "F1 ROC - Race of Champions (USA).sfc",          1048576, 0x2a069989, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1ROCRaceofChampionsUSA)
STD_ROM_FN(rF1ROCRaceofChampionsUSA)

struct BurnDriver BurnDrvrF1ROCRaceofChampionsUSA = {
	"F1 ROC - Race of Champions (USA)", NULL, NULL, "1986",
	"F1 ROC - Race of Champions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 ROC - Race of Champions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1ROCRaceofChampionsUSARomInfo, rF1ROCRaceofChampionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1ROCIIRaceofChampionsUSARomDesc[] = {
	{ "F1 ROC II - Race of Champions (USA).sfc",          1048576, 0x3447609e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1ROCIIRaceofChampionsUSA)
STD_ROM_FN(rF1ROCIIRaceofChampionsUSA)

struct BurnDriver BurnDrvrF1ROCIIRaceofChampionsUSA = {
	"F1 ROC II - Race of Champions (USA)", NULL, NULL, "1986",
	"F1 ROC II - Race of Champions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 ROC II - Race of Champions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1ROCIIRaceofChampionsUSARomInfo, rF1ROCIIRaceofChampionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rF1WorldChampionshipEditionEuropeRomDesc[] = {
	{ "F1 World Championship Edition (Europe).sfc",          2097152, 0x7ba8fc78, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rF1WorldChampionshipEditionEurope)
STD_ROM_FN(rF1WorldChampionshipEditionEurope)

struct BurnDriver BurnDrvrF1WorldChampionshipEditionEurope = {
	"F1 World Championship Edition (Europe)", NULL, NULL, "1986",
	"F1 World Championship Edition (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"F1 World Championship Edition (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rF1WorldChampionshipEditionEuropeRomInfo, rF1WorldChampionshipEditionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFaceball2000USARomDesc[] = {
	{ "Faceball 2000 (USA).sfc",          524288, 0x8d4df815, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFaceball2000USA)
STD_ROM_FN(rFaceball2000USA)

struct BurnDriver BurnDrvrFaceball2000USA = {
	"Faceball 2000 (USA)", NULL, NULL, "1986",
	"Faceball 2000 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Faceball 2000 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFaceball2000USARomInfo, rFaceball2000USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamicomBunkoHajimarinoMoriJapanNPRomDesc[] = {
	{ "Famicom Bunko - Hajimari no Mori (Japan) (NP).sfc",          4194304, 0x11dd3da9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamicomBunkoHajimarinoMoriJapanNP)
STD_ROM_FN(rFamicomBunkoHajimarinoMoriJapanNP)

struct BurnDriver BurnDrvrFamicomBunkoHajimarinoMoriJapanNP = {
	"Famicom Bunko - Hajimari no Mori (Japan) (NP)", NULL, NULL, "1986",
	"Famicom Bunko - Hajimari no Mori (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Famicom Bunko - Hajimari no Mori (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamicomBunkoHajimarinoMoriJapanNPRomInfo, rFamicomBunkoHajimarinoMoriJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNPRomDesc[] = {
	{ "Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (NP).sfc",          3145728, 0x28f450ac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNP)
STD_ROM_FN(rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNP)

struct BurnDriver BurnDrvrFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNP = {
	"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (NP)", NULL, NULL, "1986",
	"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNPRomInfo, rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NPRomDesc[] = {
	{ "Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (Rev 1) (NP).sfc",          3145728, 0x2ce70b92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NP)
STD_ROM_FN(rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NP)

struct BurnDriver BurnDrvrFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NP = {
	"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Famicom Tantei Club Part II - Ushiro ni Tatsu Shoujo (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NPRomInfo, rFamicomTanteiClubPartIIUshironiTatsuShoujoJapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamilyDogEuropeRomDesc[] = {
	{ "Family Dog (Europe).sfc",          1048576, 0xd95ca497, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamilyDogEurope)
STD_ROM_FN(rFamilyDogEurope)

struct BurnDriver BurnDrvrFamilyDogEurope = {
	"Family Dog (Europe)", NULL, NULL, "1986",
	"Family Dog (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Family Dog (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamilyDogEuropeRomInfo, rFamilyDogEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamilyDogUSARomDesc[] = {
	{ "Family Dog (USA).sfc",          1048576, 0x1b53c15a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamilyDogUSA)
STD_ROM_FN(rFamilyDogUSA)

struct BurnDriver BurnDrvrFamilyDogUSA = {
	"Family Dog (USA)", NULL, NULL, "1986",
	"Family Dog (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Family Dog (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamilyDogUSARomInfo, rFamilyDogUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamilyFeudUSARev1RomDesc[] = {
	{ "Family Feud (USA) (Rev 1).sfc",          524288, 0xc664b71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamilyFeudUSARev1)
STD_ROM_FN(rFamilyFeudUSARev1)

struct BurnDriver BurnDrvrFamilyFeudUSARev1 = {
	"Family Feud (USA) (Rev 1)", NULL, NULL, "1986",
	"Family Feud (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Family Feud (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamilyFeudUSARev1RomInfo, rFamilyFeudUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFamilyFeudUSARomDesc[] = {
	{ "Family Feud (USA).sfc",          524288, 0x4c716bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFamilyFeudUSA)
STD_ROM_FN(rFamilyFeudUSA)

struct BurnDriver BurnDrvrFamilyFeudUSA = {
	"Family Feud (USA)", NULL, NULL, "1986",
	"Family Feud (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Family Feud (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFamilyFeudUSARomInfo, rFamilyFeudUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFarlandStoryJapanRomDesc[] = {
	{ "Farland Story (Japan).sfc",          2097152, 0xed3dcf2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFarlandStoryJapan)
STD_ROM_FN(rFarlandStoryJapan)

struct BurnDriver BurnDrvrFarlandStoryJapan = {
	"Farland Story (Japan)", NULL, NULL, "1986",
	"Farland Story (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Farland Story (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFarlandStoryJapanRomInfo, rFarlandStoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFarlandStory2JapanRomDesc[] = {
	{ "Farland Story 2 (Japan).sfc",          3145728, 0x1cf58de9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFarlandStory2Japan)
STD_ROM_FN(rFarlandStory2Japan)

struct BurnDriver BurnDrvrFarlandStory2Japan = {
	"Farland Story 2 (Japan)", NULL, NULL, "1986",
	"Farland Story 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Farland Story 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFarlandStory2JapanRomInfo, rFarlandStory2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFuryEuropeRomDesc[] = {
	{ "Fatal Fury (Europe).sfc",          1572864, 0xf93611c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFuryEurope)
STD_ROM_FN(rFatalFuryEurope)

struct BurnDriver BurnDrvrFatalFuryEurope = {
	"Fatal Fury (Europe)", NULL, NULL, "1986",
	"Fatal Fury (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFuryEuropeRomInfo, rFatalFuryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFuryUSARomDesc[] = {
	{ "Fatal Fury (USA).sfc",          1572864, 0xc67257d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFuryUSA)
STD_ROM_FN(rFatalFuryUSA)

struct BurnDriver BurnDrvrFatalFuryUSA = {
	"Fatal Fury (USA)", NULL, NULL, "1986",
	"Fatal Fury (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFuryUSARomInfo, rFatalFuryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFury2EuropeRomDesc[] = {
	{ "Fatal Fury 2 (Europe).sfc",          2621440, 0x304b2610, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFury2Europe)
STD_ROM_FN(rFatalFury2Europe)

struct BurnDriver BurnDrvrFatalFury2Europe = {
	"Fatal Fury 2 (Europe)", NULL, NULL, "1986",
	"Fatal Fury 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFury2EuropeRomInfo, rFatalFury2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFury2USARomDesc[] = {
	{ "Fatal Fury 2 (USA).sfc",          2621440, 0xa26ebfef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFury2USA)
STD_ROM_FN(rFatalFury2USA)

struct BurnDriver BurnDrvrFatalFury2USA = {
	"Fatal Fury 2 (USA)", NULL, NULL, "1986",
	"Fatal Fury 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFury2USARomInfo, rFatalFury2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFurySpecialEuropeBetaRomDesc[] = {
	{ "Fatal Fury Special (Europe) (Beta).sfc",          3145728, 0x3effa0f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFurySpecialEuropeBeta)
STD_ROM_FN(rFatalFurySpecialEuropeBeta)

struct BurnDriver BurnDrvrFatalFurySpecialEuropeBeta = {
	"Fatal Fury Special (Europe) (Beta)", NULL, NULL, "1986",
	"Fatal Fury Special (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury Special (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFurySpecialEuropeBetaRomInfo, rFatalFurySpecialEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFurySpecialEuropeRomDesc[] = {
	{ "Fatal Fury Special (Europe).sfc",          3145728, 0xa7f8d832, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFurySpecialEurope)
STD_ROM_FN(rFatalFurySpecialEurope)

struct BurnDriver BurnDrvrFatalFurySpecialEurope = {
	"Fatal Fury Special (Europe)", NULL, NULL, "1986",
	"Fatal Fury Special (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury Special (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFurySpecialEuropeRomInfo, rFatalFurySpecialEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFatalFurySpecialUSARomDesc[] = {
	{ "Fatal Fury Special (USA).sfc",          4194304, 0x93935bee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFatalFurySpecialUSA)
STD_ROM_FN(rFatalFurySpecialUSA)

struct BurnDriver BurnDrvrFatalFurySpecialUSA = {
	"Fatal Fury Special (USA)", NULL, NULL, "1986",
	"Fatal Fury Special (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fatal Fury Special (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFatalFurySpecialUSARomInfo, rFatalFurySpecialUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFedaTheEmblemofJusticeJapanBetaRomDesc[] = {
	{ "Feda - The Emblem of Justice (Japan) (Beta).sfc",          2621440, 0x86013cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFedaTheEmblemofJusticeJapanBeta)
STD_ROM_FN(rFedaTheEmblemofJusticeJapanBeta)

struct BurnDriver BurnDrvrFedaTheEmblemofJusticeJapanBeta = {
	"Feda - The Emblem of Justice (Japan) (Beta)", NULL, NULL, "1986",
	"Feda - The Emblem of Justice (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Feda - The Emblem of Justice (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFedaTheEmblemofJusticeJapanBetaRomInfo, rFedaTheEmblemofJusticeJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFedaTheEmblemofJusticeJapanRomDesc[] = {
	{ "Feda - The Emblem of Justice (Japan).sfc",          2621440, 0xeda70f8a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFedaTheEmblemofJusticeJapan)
STD_ROM_FN(rFedaTheEmblemofJusticeJapan)

struct BurnDriver BurnDrvrFedaTheEmblemofJusticeJapan = {
	"Feda - The Emblem of Justice (Japan)", NULL, NULL, "1986",
	"Feda - The Emblem of Justice (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Feda - The Emblem of Justice (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFedaTheEmblemofJusticeJapanRomInfo, rFedaTheEmblemofJusticeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFenek6GatsugouJapanBSRomDesc[] = {
	{ "Fenek - 6 Gatsugou (Japan) (BS).sfc",          524288, 0x5c26c3b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFenek6GatsugouJapanBS)
STD_ROM_FN(rFenek6GatsugouJapanBS)

struct BurnDriver BurnDrvrFenek6GatsugouJapanBS = {
	"Fenek - 6 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"Fenek - 6 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fenek - 6 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFenek6GatsugouJapanBSRomInfo, rFenek6GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFeverPitchSoccerEuropeBetaRomDesc[] = {
	{ "Fever Pitch Soccer (Europe) (Beta).sfc",          2097152, 0x25c8f98a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFeverPitchSoccerEuropeBeta)
STD_ROM_FN(rFeverPitchSoccerEuropeBeta)

struct BurnDriver BurnDrvrFeverPitchSoccerEuropeBeta = {
	"Fever Pitch Soccer (Europe) (Beta)", NULL, NULL, "1986",
	"Fever Pitch Soccer (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fever Pitch Soccer (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFeverPitchSoccerEuropeBetaRomInfo, rFeverPitchSoccerEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFeverPitchSoccerEuropeEnFrDeEsItRomDesc[] = {
	{ "Fever Pitch Soccer (Europe) (En,Fr,De,Es,It).sfc",          2097152, 0x9b1ea779, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFeverPitchSoccerEuropeEnFrDeEsIt)
STD_ROM_FN(rFeverPitchSoccerEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrFeverPitchSoccerEuropeEnFrDeEsIt = {
	"Fever Pitch Soccer (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Fever Pitch Soccer (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fever Pitch Soccer (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFeverPitchSoccerEuropeEnFrDeEsItRomInfo, rFeverPitchSoccerEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFA97GoldEditionEuropeEnFrDeEsItSvRomDesc[] = {
	{ "FIFA 97 - Gold Edition (Europe) (En,Fr,De,Es,It,Sv).sfc",          2097152, 0x470eabe5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFA97GoldEditionEuropeEnFrDeEsItSv)
STD_ROM_FN(rFIFA97GoldEditionEuropeEnFrDeEsItSv)

struct BurnDriver BurnDrvrFIFA97GoldEditionEuropeEnFrDeEsItSv = {
	"FIFA 97 - Gold Edition (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, "1986",
	"FIFA 97 - Gold Edition (Europe) (En,Fr,De,Es,It,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA 97 - Gold Edition (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFA97GoldEditionEuropeEnFrDeEsItSvRomInfo, rFIFA97GoldEditionEuropeEnFrDeEsItSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFA98RoadtoWorldCupEuropeEnFrDeEsItSvRomDesc[] = {
	{ "FIFA 98 - Road to World Cup (Europe) (En,Fr,De,Es,It,Sv).sfc",          2097152, 0x5e4f4856, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFA98RoadtoWorldCupEuropeEnFrDeEsItSv)
STD_ROM_FN(rFIFA98RoadtoWorldCupEuropeEnFrDeEsItSv)

struct BurnDriver BurnDrvrFIFA98RoadtoWorldCupEuropeEnFrDeEsItSv = {
	"FIFA 98 - Road to World Cup (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, "1986",
	"FIFA 98 - Road to World Cup (Europe) (En,Fr,De,Es,It,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA 98 - Road to World Cup (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFA98RoadtoWorldCupEuropeEnFrDeEsItSvRomInfo, rFIFA98RoadtoWorldCupEuropeEnFrDeEsItSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFAInternationalSoccerEuropeRomDesc[] = {
	{ "FIFA International Soccer (Europe).sfc",          1048576, 0xa350821a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFAInternationalSoccerEurope)
STD_ROM_FN(rFIFAInternationalSoccerEurope)

struct BurnDriver BurnDrvrFIFAInternationalSoccerEurope = {
	"FIFA International Soccer (Europe)", NULL, NULL, "1986",
	"FIFA International Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA International Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFAInternationalSoccerEuropeRomInfo, rFIFAInternationalSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFAInternationalSoccerJapanRomDesc[] = {
	{ "FIFA International Soccer (Japan).sfc",          1048576, 0x4fa1d452, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFAInternationalSoccerJapan)
STD_ROM_FN(rFIFAInternationalSoccerJapan)

struct BurnDriver BurnDrvrFIFAInternationalSoccerJapan = {
	"FIFA International Soccer (Japan)", NULL, NULL, "1986",
	"FIFA International Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA International Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFAInternationalSoccerJapanRomInfo, rFIFAInternationalSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFAInternationalSoccerUSARomDesc[] = {
	{ "FIFA International Soccer (USA).sfc",          1048576, 0x56296426, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFAInternationalSoccerUSA)
STD_ROM_FN(rFIFAInternationalSoccerUSA)

struct BurnDriver BurnDrvrFIFAInternationalSoccerUSA = {
	"FIFA International Soccer (USA)", NULL, NULL, "1986",
	"FIFA International Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA International Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFAInternationalSoccerUSARomInfo, rFIFAInternationalSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFASoccer96EuropeEnFrDeEsItSvRomDesc[] = {
	{ "FIFA Soccer 96 (Europe) (En,Fr,De,Es,It,Sv).sfc",          1572864, 0x8faf17e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFASoccer96EuropeEnFrDeEsItSv)
STD_ROM_FN(rFIFASoccer96EuropeEnFrDeEsItSv)

struct BurnDriver BurnDrvrFIFASoccer96EuropeEnFrDeEsItSv = {
	"FIFA Soccer 96 (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, "1986",
	"FIFA Soccer 96 (Europe) (En,Fr,De,Es,It,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA Soccer 96 (Europe) (En,Fr,De,Es,It,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFASoccer96EuropeEnFrDeEsItSvRomInfo, rFIFASoccer96EuropeEnFrDeEsItSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFASoccer96USAEnFrDeEsItSvRomDesc[] = {
	{ "FIFA Soccer 96 (USA) (En,Fr,De,Es,It,Sv).sfc",          1572864, 0x7566347d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFASoccer96USAEnFrDeEsItSv)
STD_ROM_FN(rFIFASoccer96USAEnFrDeEsItSv)

struct BurnDriver BurnDrvrFIFASoccer96USAEnFrDeEsItSv = {
	"FIFA Soccer 96 (USA) (En,Fr,De,Es,It,Sv)", NULL, NULL, "1986",
	"FIFA Soccer 96 (USA) (En,Fr,De,Es,It,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA Soccer 96 (USA) (En,Fr,De,Es,It,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFASoccer96USAEnFrDeEsItSvRomInfo, rFIFASoccer96USAEnFrDeEsItSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFIFASoccer97GoldEditionUSAEnFrDeEsItSvRomDesc[] = {
	{ "FIFA Soccer 97 - Gold Edition (USA) (En,Fr,De,Es,It,Sv).sfc",          2097152, 0x9cdbb2f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFIFASoccer97GoldEditionUSAEnFrDeEsItSv)
STD_ROM_FN(rFIFASoccer97GoldEditionUSAEnFrDeEsItSv)

struct BurnDriver BurnDrvrFIFASoccer97GoldEditionUSAEnFrDeEsItSv = {
	"FIFA Soccer 97 - Gold Edition (USA) (En,Fr,De,Es,It,Sv)", NULL, NULL, "1986",
	"FIFA Soccer 97 - Gold Edition (USA) (En,Fr,De,Es,It,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"FIFA Soccer 97 - Gold Edition (USA) (En,Fr,De,Es,It,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFIFASoccer97GoldEditionUSAEnFrDeEsItSvRomInfo, rFIFASoccer97GoldEditionUSAEnFrDeEsItSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFightersHistoryJapanRomDesc[] = {
	{ "Fighter's History (Japan).sfc",          2621440, 0x10751e4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFightersHistoryJapan)
STD_ROM_FN(rFightersHistoryJapan)

struct BurnDriver BurnDrvrFightersHistoryJapan = {
	"Fighter's History (Japan)", NULL, NULL, "1986",
	"Fighter's History (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fighter's History (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFightersHistoryJapanRomInfo, rFightersHistoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFightersHistoryUSABetaRomDesc[] = {
	{ "Fighter's History (USA) (Beta).sfc",          2621440, 0x283a57aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFightersHistoryUSABeta)
STD_ROM_FN(rFightersHistoryUSABeta)

struct BurnDriver BurnDrvrFightersHistoryUSABeta = {
	"Fighter's History (USA) (Beta)", NULL, NULL, "1986",
	"Fighter's History (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fighter's History (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFightersHistoryUSABetaRomInfo, rFightersHistoryUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFightersHistoryUSARev1RomDesc[] = {
	{ "Fighter's History (USA) (Rev 1).sfc",          2621440, 0x3d17f6ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFightersHistoryUSARev1)
STD_ROM_FN(rFightersHistoryUSARev1)

struct BurnDriver BurnDrvrFightersHistoryUSARev1 = {
	"Fighter's History (USA) (Rev 1)", NULL, NULL, "1986",
	"Fighter's History (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fighter's History (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFightersHistoryUSARev1RomInfo, rFightersHistoryUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFightersHistoryMizoguchiKikiippatsuJapanRomDesc[] = {
	{ "Fighter's History - Mizoguchi Kikiippatsu!! (Japan).sfc",          3145728, 0x65bb5dc4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFightersHistoryMizoguchiKikiippatsuJapan)
STD_ROM_FN(rFightersHistoryMizoguchiKikiippatsuJapan)

struct BurnDriver BurnDrvrFightersHistoryMizoguchiKikiippatsuJapan = {
	"Fighter's History - Mizoguchi Kikiippatsu!! (Japan)", NULL, NULL, "1986",
	"Fighter's History - Mizoguchi Kikiippatsu!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fighter's History - Mizoguchi Kikiippatsu!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFightersHistoryMizoguchiKikiippatsuJapanRomInfo, rFightersHistoryMizoguchiKikiippatsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFightingBaseballJapanRomDesc[] = {
	{ "Fighting Baseball (Japan).sfc",          1048576, 0x7f3c1a95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFightingBaseballJapan)
STD_ROM_FN(rFightingBaseballJapan)

struct BurnDriver BurnDrvrFightingBaseballJapan = {
	"Fighting Baseball (Japan)", NULL, NULL, "1986",
	"Fighting Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fighting Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFightingBaseballJapanRomInfo, rFightingBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyMysticQuestUSARev1RomDesc[] = {
	{ "Final Fantasy - Mystic Quest (USA) (Rev 1).sfc",          524288, 0x2c52c792, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyMysticQuestUSARev1)
STD_ROM_FN(rFinalFantasyMysticQuestUSARev1)

struct BurnDriver BurnDrvrFinalFantasyMysticQuestUSARev1 = {
	"Final Fantasy - Mystic Quest (USA) (Rev 1)", NULL, NULL, "1986",
	"Final Fantasy - Mystic Quest (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy - Mystic Quest (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyMysticQuestUSARev1RomInfo, rFinalFantasyMysticQuestUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyMysticQuestUSARomDesc[] = {
	{ "Final Fantasy - Mystic Quest (USA).sfc",          524288, 0x6b19a2c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyMysticQuestUSA)
STD_ROM_FN(rFinalFantasyMysticQuestUSA)

struct BurnDriver BurnDrvrFinalFantasyMysticQuestUSA = {
	"Final Fantasy - Mystic Quest (USA)", NULL, NULL, "1986",
	"Final Fantasy - Mystic Quest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy - Mystic Quest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyMysticQuestUSARomInfo, rFinalFantasyMysticQuestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIIUSARev1RomDesc[] = {
	{ "Final Fantasy II (USA) (Rev 1).sfc",          1048576, 0x23084fcd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIIUSARev1)
STD_ROM_FN(rFinalFantasyIIUSARev1)

struct BurnDriver BurnDrvrFinalFantasyIIUSARev1 = {
	"Final Fantasy II (USA) (Rev 1)", NULL, NULL, "1986",
	"Final Fantasy II (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy II (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIIUSARev1RomInfo, rFinalFantasyIIUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIIUSARomDesc[] = {
	{ "Final Fantasy II (USA).sfc",          1048576, 0x65d0a825, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIIUSA)
STD_ROM_FN(rFinalFantasyIIUSA)

struct BurnDriver BurnDrvrFinalFantasyIIUSA = {
	"Final Fantasy II (USA)", NULL, NULL, "1986",
	"Final Fantasy II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIIUSARomInfo, rFinalFantasyIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIIIUSARev1RomDesc[] = {
	{ "Final Fantasy III (USA) (Rev 1).sfc",          3145728, 0xc0fa0464, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIIIUSARev1)
STD_ROM_FN(rFinalFantasyIIIUSARev1)

struct BurnDriver BurnDrvrFinalFantasyIIIUSARev1 = {
	"Final Fantasy III (USA) (Rev 1)", NULL, NULL, "1986",
	"Final Fantasy III (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy III (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIIIUSARev1RomInfo, rFinalFantasyIIIUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIIIUSARomDesc[] = {
	{ "Final Fantasy III (USA).sfc",          3145728, 0xa27f1c7a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIIIUSA)
STD_ROM_FN(rFinalFantasyIIIUSA)

struct BurnDriver BurnDrvrFinalFantasyIIIUSA = {
	"Final Fantasy III (USA)", NULL, NULL, "1986",
	"Final Fantasy III (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy III (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIIIUSARomInfo, rFinalFantasyIIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIVJapanRev1RomDesc[] = {
	{ "Final Fantasy IV (Japan) (Rev 1).sfc",          1048576, 0xcaa15e97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIVJapanRev1)
STD_ROM_FN(rFinalFantasyIVJapanRev1)

struct BurnDriver BurnDrvrFinalFantasyIVJapanRev1 = {
	"Final Fantasy IV (Japan) (Rev 1)", NULL, NULL, "1986",
	"Final Fantasy IV (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy IV (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIVJapanRev1RomInfo, rFinalFantasyIVJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIVJapanRomDesc[] = {
	{ "Final Fantasy IV (Japan).sfc",          1048576, 0x21027c5d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIVJapan)
STD_ROM_FN(rFinalFantasyIVJapan)

struct BurnDriver BurnDrvrFinalFantasyIVJapan = {
	"Final Fantasy IV (Japan)", NULL, NULL, "1986",
	"Final Fantasy IV (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy IV (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIVJapanRomInfo, rFinalFantasyIVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyIVEasyTypeJapanRomDesc[] = {
	{ "Final Fantasy IV - Easy Type (Japan).sfc",          1048576, 0x6cda700c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyIVEasyTypeJapan)
STD_ROM_FN(rFinalFantasyIVEasyTypeJapan)

struct BurnDriver BurnDrvrFinalFantasyIVEasyTypeJapan = {
	"Final Fantasy IV - Easy Type (Japan)", NULL, NULL, "1986",
	"Final Fantasy IV - Easy Type (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy IV - Easy Type (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyIVEasyTypeJapanRomInfo, rFinalFantasyIVEasyTypeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyUSAMysticQuestJapanRomDesc[] = {
	{ "Final Fantasy USA - Mystic Quest (Japan).sfc",          524288, 0x1da17f0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyUSAMysticQuestJapan)
STD_ROM_FN(rFinalFantasyUSAMysticQuestJapan)

struct BurnDriver BurnDrvrFinalFantasyUSAMysticQuestJapan = {
	"Final Fantasy USA - Mystic Quest (Japan)", NULL, NULL, "1986",
	"Final Fantasy USA - Mystic Quest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy USA - Mystic Quest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyUSAMysticQuestJapanRomInfo, rFinalFantasyUSAMysticQuestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyVJapanRomDesc[] = {
	{ "Final Fantasy V (Japan).sfc",          2097152, 0xc1bc267d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyVJapan)
STD_ROM_FN(rFinalFantasyVJapan)

struct BurnDriver BurnDrvrFinalFantasyVJapan = {
	"Final Fantasy V (Japan)", NULL, NULL, "1986",
	"Final Fantasy V (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy V (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyVJapanRomInfo, rFinalFantasyVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFantasyVIJapanRomDesc[] = {
	{ "Final Fantasy VI (Japan).sfc",          3145728, 0x45ef5ac8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFantasyVIJapan)
STD_ROM_FN(rFinalFantasyVIJapan)

struct BurnDriver BurnDrvrFinalFantasyVIJapan = {
	"Final Fantasy VI (Japan)", NULL, NULL, "1986",
	"Final Fantasy VI (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fantasy VI (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFantasyVIJapanRomInfo, rFinalFantasyVIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightEuropeRomDesc[] = {
	{ "Final Fight (Europe).sfc",          1048576, 0xa4437629, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightEurope)
STD_ROM_FN(rFinalFightEurope)

struct BurnDriver BurnDrvrFinalFightEurope = {
	"Final Fight (Europe)", NULL, NULL, "1986",
	"Final Fight (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightEuropeRomInfo, rFinalFightEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightJapanRomDesc[] = {
	{ "Final Fight (Japan).sfc",          1048576, 0xa425a202, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightJapan)
STD_ROM_FN(rFinalFightJapan)

struct BurnDriver BurnDrvrFinalFightJapan = {
	"Final Fight (Japan)", NULL, NULL, "1986",
	"Final Fight (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightJapanRomInfo, rFinalFightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightUSARomDesc[] = {
	{ "Final Fight (USA).sfc",          1048576, 0x4cab21db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightUSA)
STD_ROM_FN(rFinalFightUSA)

struct BurnDriver BurnDrvrFinalFightUSA = {
	"Final Fight (USA)", NULL, NULL, "1986",
	"Final Fight (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightUSARomInfo, rFinalFightUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight2EuropeRomDesc[] = {
	{ "Final Fight 2 (Europe).sfc",          1310720, 0x7b94ca96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight2Europe)
STD_ROM_FN(rFinalFight2Europe)

struct BurnDriver BurnDrvrFinalFight2Europe = {
	"Final Fight 2 (Europe)", NULL, NULL, "1986",
	"Final Fight 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight2EuropeRomInfo, rFinalFight2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight2JapanRomDesc[] = {
	{ "Final Fight 2 (Japan).sfc",          1310720, 0xf41e1a5a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight2Japan)
STD_ROM_FN(rFinalFight2Japan)

struct BurnDriver BurnDrvrFinalFight2Japan = {
	"Final Fight 2 (Japan)", NULL, NULL, "1986",
	"Final Fight 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight2JapanRomInfo, rFinalFight2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight2USARomDesc[] = {
	{ "Final Fight 2 (USA).sfc",          1310720, 0x8c37ff55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight2USA)
STD_ROM_FN(rFinalFight2USA)

struct BurnDriver BurnDrvrFinalFight2USA = {
	"Final Fight 2 (USA)", NULL, NULL, "1986",
	"Final Fight 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight2USARomInfo, rFinalFight2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight3EuropeRomDesc[] = {
	{ "Final Fight 3 (Europe).sfc",          3145728, 0xaa58a166, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight3Europe)
STD_ROM_FN(rFinalFight3Europe)

struct BurnDriver BurnDrvrFinalFight3Europe = {
	"Final Fight 3 (Europe)", NULL, NULL, "1986",
	"Final Fight 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight3EuropeRomInfo, rFinalFight3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight3USABetaRomDesc[] = {
	{ "Final Fight 3 (USA) (Beta).sfc",          3145728, 0xfb764d87, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight3USABeta)
STD_ROM_FN(rFinalFight3USABeta)

struct BurnDriver BurnDrvrFinalFight3USABeta = {
	"Final Fight 3 (USA) (Beta)", NULL, NULL, "1986",
	"Final Fight 3 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 3 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight3USABetaRomInfo, rFinalFight3USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFight3USARomDesc[] = {
	{ "Final Fight 3 (USA).sfc",          3145728, 0xa916e708, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFight3USA)
STD_ROM_FN(rFinalFight3USA)

struct BurnDriver BurnDrvrFinalFight3USA = {
	"Final Fight 3 (USA)", NULL, NULL, "1986",
	"Final Fight 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFight3USARomInfo, rFinalFight3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightGuyJapanRomDesc[] = {
	{ "Final Fight Guy (Japan).sfc",          1048576, 0xde144411, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightGuyJapan)
STD_ROM_FN(rFinalFightGuyJapan)

struct BurnDriver BurnDrvrFinalFightGuyJapan = {
	"Final Fight Guy (Japan)", NULL, NULL, "1986",
	"Final Fight Guy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight Guy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightGuyJapanRomInfo, rFinalFightGuyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightGuyUSARomDesc[] = {
	{ "Final Fight Guy (USA).sfc",          1048576, 0xbc1ae3c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightGuyUSA)
STD_ROM_FN(rFinalFightGuyUSA)

struct BurnDriver BurnDrvrFinalFightGuyUSA = {
	"Final Fight Guy (USA)", NULL, NULL, "1986",
	"Final Fight Guy (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight Guy (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightGuyUSARomInfo, rFinalFightGuyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalFightToughJapanRomDesc[] = {
	{ "Final Fight Tough (Japan).sfc",          3145728, 0xe3ee9b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalFightToughJapan)
STD_ROM_FN(rFinalFightToughJapan)

struct BurnDriver BurnDrvrFinalFightToughJapan = {
	"Final Fight Tough (Japan)", NULL, NULL, "1986",
	"Final Fight Tough (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Fight Tough (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalFightToughJapanRomInfo, rFinalFightToughJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalKnockoutJapanRomDesc[] = {
	{ "Final Knockout (Japan).sfc",          1048576, 0xcc1dbc9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalKnockoutJapan)
STD_ROM_FN(rFinalKnockoutJapan)

struct BurnDriver BurnDrvrFinalKnockoutJapan = {
	"Final Knockout (Japan)", NULL, NULL, "1986",
	"Final Knockout (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Knockout (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalKnockoutJapanRomInfo, rFinalKnockoutJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalStretchJapanRomDesc[] = {
	{ "Final Stretch (Japan).sfc",          1572864, 0x8d29f41f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalStretchJapan)
STD_ROM_FN(rFinalStretchJapan)

struct BurnDriver BurnDrvrFinalStretchJapan = {
	"Final Stretch (Japan)", NULL, NULL, "1986",
	"Final Stretch (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Final Stretch (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalStretchJapanRomInfo, rFinalStretchJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFinalsetJapanRomDesc[] = {
	{ "Finalset (Japan).sfc",          1048576, 0xe06fae58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFinalsetJapan)
STD_ROM_FN(rFinalsetJapan)

struct BurnDriver BurnDrvrFinalsetJapan = {
	"Finalset (Japan)", NULL, NULL, "1986",
	"Finalset (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Finalset (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFinalsetJapanRomInfo, rFinalsetJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemMonshounoNazoJapanRev1RomDesc[] = {
	{ "Fire Emblem - Monshou no Nazo (Japan) (Rev 1).sfc",          3145728, 0xa427b7e6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemMonshounoNazoJapanRev1)
STD_ROM_FN(rFireEmblemMonshounoNazoJapanRev1)

struct BurnDriver BurnDrvrFireEmblemMonshounoNazoJapanRev1 = {
	"Fire Emblem - Monshou no Nazo (Japan) (Rev 1)", NULL, NULL, "1986",
	"Fire Emblem - Monshou no Nazo (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Monshou no Nazo (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemMonshounoNazoJapanRev1RomInfo, rFireEmblemMonshounoNazoJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemMonshounoNazoJapanRomDesc[] = {
	{ "Fire Emblem - Monshou no Nazo (Japan).sfc",          3145728, 0x25d214f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemMonshounoNazoJapan)
STD_ROM_FN(rFireEmblemMonshounoNazoJapan)

struct BurnDriver BurnDrvrFireEmblemMonshounoNazoJapan = {
	"Fire Emblem - Monshou no Nazo (Japan)", NULL, NULL, "1986",
	"Fire Emblem - Monshou no Nazo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Monshou no Nazo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemMonshounoNazoJapanRomInfo, rFireEmblemMonshounoNazoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemSeisennoKeifuJapanRomDesc[] = {
	{ "Fire Emblem - Seisen no Keifu (Japan).sfc",          4194304, 0xdc0d8cf9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemSeisennoKeifuJapan)
STD_ROM_FN(rFireEmblemSeisennoKeifuJapan)

struct BurnDriver BurnDrvrFireEmblemSeisennoKeifuJapan = {
	"Fire Emblem - Seisen no Keifu (Japan)", NULL, NULL, "1986",
	"Fire Emblem - Seisen no Keifu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Seisen no Keifu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemSeisennoKeifuJapanRomInfo, rFireEmblemSeisennoKeifuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemThracia776JapanNPRomDesc[] = {
	{ "Fire Emblem - Thracia 776 (Japan) (NP).sfc",          4194304, 0xbc6162ae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemThracia776JapanNP)
STD_ROM_FN(rFireEmblemThracia776JapanNP)

struct BurnDriver BurnDrvrFireEmblemThracia776JapanNP = {
	"Fire Emblem - Thracia 776 (Japan) (NP)", NULL, NULL, "1986",
	"Fire Emblem - Thracia 776 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Thracia 776 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemThracia776JapanNPRomInfo, rFireEmblemThracia776JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemThracia776JapanRev1NPRomDesc[] = {
	{ "Fire Emblem - Thracia 776 (Japan) (Rev 1) (NP).sfc",          4194304, 0xeaaa2c53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemThracia776JapanRev1NP)
STD_ROM_FN(rFireEmblemThracia776JapanRev1NP)

struct BurnDriver BurnDrvrFireEmblemThracia776JapanRev1NP = {
	"Fire Emblem - Thracia 776 (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Fire Emblem - Thracia 776 (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Thracia 776 (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemThracia776JapanRev1NPRomInfo, rFireEmblemThracia776JapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireEmblemThracia776JapanRomDesc[] = {
	{ "Fire Emblem - Thracia 776 (Japan).sfc",          4194304, 0xfc519952, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireEmblemThracia776Japan)
STD_ROM_FN(rFireEmblemThracia776Japan)

struct BurnDriver BurnDrvrFireEmblemThracia776Japan = {
	"Fire Emblem - Thracia 776 (Japan)", NULL, NULL, "1986",
	"Fire Emblem - Thracia 776 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Emblem - Thracia 776 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireEmblemThracia776JapanRomInfo, rFireEmblemThracia776JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireFightingJapanRomDesc[] = {
	{ "Fire Fighting (Japan).sfc",          1048576, 0x554fc152, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireFightingJapan)
STD_ROM_FN(rFireFightingJapan)

struct BurnDriver BurnDrvrFireFightingJapan = {
	"Fire Fighting (Japan)", NULL, NULL, "1986",
	"Fire Fighting (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Fighting (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireFightingJapanRomInfo, rFireFightingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireProJoshiAllStarDreamSlamJapanRomDesc[] = {
	{ "Fire Pro Joshi - All Star Dream Slam (Japan).sfc",          2097152, 0xec8e8a05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireProJoshiAllStarDreamSlamJapan)
STD_ROM_FN(rFireProJoshiAllStarDreamSlamJapan)

struct BurnDriver BurnDrvrFireProJoshiAllStarDreamSlamJapan = {
	"Fire Pro Joshi - All Star Dream Slam (Japan)", NULL, NULL, "1986",
	"Fire Pro Joshi - All Star Dream Slam (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Pro Joshi - All Star Dream Slam (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireProJoshiAllStarDreamSlamJapanRomInfo, rFireProJoshiAllStarDreamSlamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireStrikerUSABetaRomDesc[] = {
	{ "Fire Striker (USA) (Beta).sfc",          1048576, 0xbbbbabb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireStrikerUSABeta)
STD_ROM_FN(rFireStrikerUSABeta)

struct BurnDriver BurnDrvrFireStrikerUSABeta = {
	"Fire Striker (USA) (Beta)", NULL, NULL, "1986",
	"Fire Striker (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Striker (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireStrikerUSABetaRomInfo, rFireStrikerUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireStrikerUSARomDesc[] = {
	{ "Fire Striker (USA).sfc",          1048576, 0xe500c7ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireStrikerUSA)
STD_ROM_FN(rFireStrikerUSA)

struct BurnDriver BurnDrvrFireStrikerUSA = {
	"Fire Striker (USA)", NULL, NULL, "1986",
	"Fire Striker (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fire Striker (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireStrikerUSARomInfo, rFireStrikerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFiremenTheEuropeEnFrDeRomDesc[] = {
	{ "Firemen, The (Europe) (En,Fr,De).sfc",          1048576, 0xdef665af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFiremenTheEuropeEnFrDe)
STD_ROM_FN(rFiremenTheEuropeEnFrDe)

struct BurnDriver BurnDrvrFiremenTheEuropeEnFrDe = {
	"Firemen, The (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Firemen, The (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Firemen, The (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFiremenTheEuropeEnFrDeRomInfo, rFiremenTheEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFiremenTheJapanBSRomDesc[] = {
	{ "Firemen, The (Japan) (BS).sfc",          1048576, 0x927ba7c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFiremenTheJapanBS)
STD_ROM_FN(rFiremenTheJapanBS)

struct BurnDriver BurnDrvrFiremenTheJapanBS = {
	"Firemen, The (Japan) (BS)", NULL, NULL, "1986",
	"Firemen, The (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Firemen, The (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFiremenTheJapanBSRomInfo, rFiremenTheJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFiremenTheJapanRomDesc[] = {
	{ "Firemen, The (Japan).sfc",          1048576, 0x15f2271d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFiremenTheJapan)
STD_ROM_FN(rFiremenTheJapan)

struct BurnDriver BurnDrvrFiremenTheJapan = {
	"Firemen, The (Japan)", NULL, NULL, "1986",
	"Firemen, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Firemen, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFiremenTheJapanRomInfo, rFiremenTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFiremenTheUSAProtoRomDesc[] = {
	{ "Firemen, The (USA) (Proto).sfc",          1048576, 0xb9c82442, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFiremenTheUSAProto)
STD_ROM_FN(rFiremenTheUSAProto)

struct BurnDriver BurnDrvrFiremenTheUSAProto = {
	"Firemen, The (USA) (Proto)", NULL, NULL, "1986",
	"Firemen, The (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Firemen, The (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFiremenTheUSAProtoRomInfo, rFiremenTheUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirepower2000USARomDesc[] = {
	{ "Firepower 2000 (USA).sfc",          1048576, 0x327416d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirepower2000USA)
STD_ROM_FN(rFirepower2000USA)

struct BurnDriver BurnDrvrFirepower2000USA = {
	"Firepower 2000 (USA)", NULL, NULL, "1986",
	"Firepower 2000 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Firepower 2000 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirepower2000USARomInfo, rFirepower2000USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFireteamRogueUSAProtoRomDesc[] = {
	{ "Fireteam Rogue (USA) (Proto).sfc",          2097152, 0xf67ba2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFireteamRogueUSAProto)
STD_ROM_FN(rFireteamRogueUSAProto)

struct BurnDriver BurnDrvrFireteamRogueUSAProto = {
	"Fireteam Rogue (USA) (Proto)", NULL, NULL, "1986",
	"Fireteam Rogue (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fireteam Rogue (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFireteamRogueUSAProtoRomInfo, rFireteamRogueUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirstQueenOrnicSenkiJapanRomDesc[] = {
	{ "First Queen - Ornic Senki (Japan).sfc",          1048576, 0xbe3de834, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirstQueenOrnicSenkiJapan)
STD_ROM_FN(rFirstQueenOrnicSenkiJapan)

struct BurnDriver BurnDrvrFirstQueenOrnicSenkiJapan = {
	"First Queen - Ornic Senki (Japan)", NULL, NULL, "1986",
	"First Queen - Ornic Senki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"First Queen - Ornic Senki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirstQueenOrnicSenkiJapanRomInfo, rFirstQueenOrnicSenkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirstSamuraiEuropeBetaRomDesc[] = {
	{ "First Samurai (Europe) (Beta).sfc",          524288, 0x9b855ed0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirstSamuraiEuropeBeta)
STD_ROM_FN(rFirstSamuraiEuropeBeta)

struct BurnDriver BurnDrvrFirstSamuraiEuropeBeta = {
	"First Samurai (Europe) (Beta)", NULL, NULL, "1986",
	"First Samurai (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"First Samurai (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirstSamuraiEuropeBetaRomInfo, rFirstSamuraiEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirstSamuraiEuropeRomDesc[] = {
	{ "First Samurai (Europe).sfc",          524288, 0x5685773a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirstSamuraiEurope)
STD_ROM_FN(rFirstSamuraiEurope)

struct BurnDriver BurnDrvrFirstSamuraiEurope = {
	"First Samurai (Europe)", NULL, NULL, "1986",
	"First Samurai (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"First Samurai (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirstSamuraiEuropeRomInfo, rFirstSamuraiEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirstSamuraiJapanRomDesc[] = {
	{ "First Samurai (Japan).sfc",          524288, 0xb249401b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirstSamuraiJapan)
STD_ROM_FN(rFirstSamuraiJapan)

struct BurnDriver BurnDrvrFirstSamuraiJapan = {
	"First Samurai (Japan)", NULL, NULL, "1986",
	"First Samurai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"First Samurai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirstSamuraiJapanRomInfo, rFirstSamuraiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFirstSamuraiUSARomDesc[] = {
	{ "First Samurai (USA).sfc",          524288, 0x4f0a1e2a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFirstSamuraiUSA)
STD_ROM_FN(rFirstSamuraiUSA)

struct BurnDriver BurnDrvrFirstSamuraiUSA = {
	"First Samurai (USA)", NULL, NULL, "1986",
	"First Samurai (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"First Samurai (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFirstSamuraiUSARomInfo, rFirstSamuraiUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFishingKoushienJapanRomDesc[] = {
	{ "Fishing Koushien (Japan).sfc",          2097152, 0xdcfe0b6b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFishingKoushienJapan)
STD_ROM_FN(rFishingKoushienJapan)

struct BurnDriver BurnDrvrFishingKoushienJapan = {
	"Fishing Koushien (Japan)", NULL, NULL, "1986",
	"Fishing Koushien (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fishing Koushien (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFishingKoushienJapanRomInfo, rFishingKoushienJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlashbackEuropeEnFrRomDesc[] = {
	{ "Flashback (Europe) (En,Fr).sfc",          2097152, 0x5dafac3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlashbackEuropeEnFr)
STD_ROM_FN(rFlashbackEuropeEnFr)

struct BurnDriver BurnDrvrFlashbackEuropeEnFr = {
	"Flashback (Europe) (En,Fr)", NULL, NULL, "1986",
	"Flashback (Europe) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flashback (Europe) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlashbackEuropeEnFrRomInfo, rFlashbackEuropeEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlashbackEuropeEnFrDeRomDesc[] = {
	{ "Flashback (Europe) (En,Fr,De).sfc",          2097152, 0xa0525b9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlashbackEuropeEnFrDe)
STD_ROM_FN(rFlashbackEuropeEnFrDe)

struct BurnDriver BurnDrvrFlashbackEuropeEnFrDe = {
	"Flashback (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Flashback (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flashback (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlashbackEuropeEnFrDeRomInfo, rFlashbackEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlashbackJapanRomDesc[] = {
	{ "Flashback (Japan).sfc",          2097152, 0xcd09a892, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlashbackJapan)
STD_ROM_FN(rFlashbackJapan)

struct BurnDriver BurnDrvrFlashbackJapan = {
	"Flashback (Japan)", NULL, NULL, "1986",
	"Flashback (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flashback (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlashbackJapanRomInfo, rFlashbackJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlashbackTheQuestforIdentityUSAEnFrDeRomDesc[] = {
	{ "Flashback - The Quest for Identity (USA) (En,Fr,De).sfc",          2097152, 0x1e6aceba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlashbackTheQuestforIdentityUSAEnFrDe)
STD_ROM_FN(rFlashbackTheQuestforIdentityUSAEnFrDe)

struct BurnDriver BurnDrvrFlashbackTheQuestforIdentityUSAEnFrDe = {
	"Flashback - The Quest for Identity (USA) (En,Fr,De)", NULL, NULL, "1986",
	"Flashback - The Quest for Identity (USA) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flashback - The Quest for Identity (USA) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlashbackTheQuestforIdentityUSAEnFrDeRomInfo, rFlashbackTheQuestforIdentityUSAEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheEuropeEnFrDeEsItBetaRomDesc[] = {
	{ "Flintstones, The (Europe) (En,Fr,De,Es,It) (Beta).sfc",          2097152, 0x15143605, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheEuropeEnFrDeEsItBeta)
STD_ROM_FN(rFlintstonesTheEuropeEnFrDeEsItBeta)

struct BurnDriver BurnDrvrFlintstonesTheEuropeEnFrDeEsItBeta = {
	"Flintstones, The (Europe) (En,Fr,De,Es,It) (Beta)", NULL, NULL, "1986",
	"Flintstones, The (Europe) (En,Fr,De,Es,It) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The (Europe) (En,Fr,De,Es,It) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheEuropeEnFrDeEsItBetaRomInfo, rFlintstonesTheEuropeEnFrDeEsItBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheEuropeEnFrDeEsItRomDesc[] = {
	{ "Flintstones, The (Europe) (En,Fr,De,Es,It).sfc",          2097152, 0x85a8b156, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheEuropeEnFrDeEsIt)
STD_ROM_FN(rFlintstonesTheEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrFlintstonesTheEuropeEnFrDeEsIt = {
	"Flintstones, The (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Flintstones, The (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheEuropeEnFrDeEsItRomInfo, rFlintstonesTheEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheUSABetaRomDesc[] = {
	{ "Flintstones, The (USA) (Beta).sfc",          1048576, 0xcc3e9c19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheUSABeta)
STD_ROM_FN(rFlintstonesTheUSABeta)

struct BurnDriver BurnDrvrFlintstonesTheUSABeta = {
	"Flintstones, The (USA) (Beta)", NULL, NULL, "1986",
	"Flintstones, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheUSABetaRomInfo, rFlintstonesTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheUSAEnFrDeEsItRomDesc[] = {
	{ "Flintstones, The (USA) (En,Fr,De,Es,It).sfc",          2097152, 0x3e7b51e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheUSAEnFrDeEsIt)
STD_ROM_FN(rFlintstonesTheUSAEnFrDeEsIt)

struct BurnDriver BurnDrvrFlintstonesTheUSAEnFrDeEsIt = {
	"Flintstones, The (USA) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Flintstones, The (USA) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The (USA) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheUSAEnFrDeEsItRomInfo, rFlintstonesTheUSAEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheTheTreasureofSierraMadrockEuropeRomDesc[] = {
	{ "Flintstones, The - The Treasure of Sierra Madrock (Europe).sfc",          1048576, 0xcc846dc4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheTheTreasureofSierraMadrockEurope)
STD_ROM_FN(rFlintstonesTheTheTreasureofSierraMadrockEurope)

struct BurnDriver BurnDrvrFlintstonesTheTheTreasureofSierraMadrockEurope = {
	"Flintstones, The - The Treasure of Sierra Madrock (Europe)", NULL, NULL, "1986",
	"Flintstones, The - The Treasure of Sierra Madrock (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The - The Treasure of Sierra Madrock (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheTheTreasureofSierraMadrockEuropeRomInfo, rFlintstonesTheTheTreasureofSierraMadrockEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheTheTreasureofSierraMadrockJapanRomDesc[] = {
	{ "Flintstones, The - The Treasure of Sierra Madrock (Japan).sfc",          1048576, 0x53d29a71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheTheTreasureofSierraMadrockJapan)
STD_ROM_FN(rFlintstonesTheTheTreasureofSierraMadrockJapan)

struct BurnDriver BurnDrvrFlintstonesTheTheTreasureofSierraMadrockJapan = {
	"Flintstones, The - The Treasure of Sierra Madrock (Japan)", NULL, NULL, "1986",
	"Flintstones, The - The Treasure of Sierra Madrock (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The - The Treasure of Sierra Madrock (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheTheTreasureofSierraMadrockJapanRomInfo, rFlintstonesTheTheTreasureofSierraMadrockJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlintstonesTheTheTreasureofSierraMadrockUSARomDesc[] = {
	{ "Flintstones, The - The Treasure of Sierra Madrock (USA).sfc",          1048576, 0x594f5cc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlintstonesTheTheTreasureofSierraMadrockUSA)
STD_ROM_FN(rFlintstonesTheTheTreasureofSierraMadrockUSA)

struct BurnDriver BurnDrvrFlintstonesTheTheTreasureofSierraMadrockUSA = {
	"Flintstones, The - The Treasure of Sierra Madrock (USA)", NULL, NULL, "1986",
	"Flintstones, The - The Treasure of Sierra Madrock (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flintstones, The - The Treasure of Sierra Madrock (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlintstonesTheTheTreasureofSierraMadrockUSARomInfo, rFlintstonesTheTheTreasureofSierraMadrockUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFlyingHeroBugyurunoDaiboukenJapanRomDesc[] = {
	{ "Flying Hero - Bugyuru no Daibouken (Japan).sfc",          1048576, 0x1a19fc3a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFlyingHeroBugyurunoDaiboukenJapan)
STD_ROM_FN(rFlyingHeroBugyurunoDaiboukenJapan)

struct BurnDriver BurnDrvrFlyingHeroBugyurunoDaiboukenJapan = {
	"Flying Hero - Bugyuru no Daibouken (Japan)", NULL, NULL, "1986",
	"Flying Hero - Bugyuru no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Flying Hero - Bugyuru no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFlyingHeroBugyurunoDaiboukenJapanRomInfo, rFlyingHeroBugyurunoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFootballFuryUSARomDesc[] = {
	{ "Football Fury (USA).sfc",          1048576, 0x729a5524, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFootballFuryUSA)
STD_ROM_FN(rFootballFuryUSA)

struct BurnDriver BurnDrvrFootballFuryUSA = {
	"Football Fury (USA)", NULL, NULL, "1986",
	"Football Fury (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Football Fury (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFootballFuryUSARomInfo, rFootballFuryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rForemanForRealEuropeRomDesc[] = {
	{ "Foreman For Real (Europe).sfc",          3145728, 0x8c1b9f50, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rForemanForRealEurope)
STD_ROM_FN(rForemanForRealEurope)

struct BurnDriver BurnDrvrForemanForRealEurope = {
	"Foreman For Real (Europe)", NULL, NULL, "1986",
	"Foreman For Real (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Foreman For Real (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rForemanForRealEuropeRomInfo, rForemanForRealEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rForemanForRealJapanRomDesc[] = {
	{ "Foreman For Real (Japan).sfc",          3145728, 0xd7576775, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rForemanForRealJapan)
STD_ROM_FN(rForemanForRealJapan)

struct BurnDriver BurnDrvrForemanForRealJapan = {
	"Foreman For Real (Japan)", NULL, NULL, "1986",
	"Foreman For Real (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Foreman For Real (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rForemanForRealJapanRomInfo, rForemanForRealJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rForemanForRealUSARomDesc[] = {
	{ "Foreman For Real (USA).sfc",          3145728, 0x5fa4d051, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rForemanForRealUSA)
STD_ROM_FN(rForemanForRealUSA)

struct BurnDriver BurnDrvrForemanForRealUSA = {
	"Foreman For Real (USA)", NULL, NULL, "1986",
	"Foreman For Real (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Foreman For Real (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rForemanForRealUSARomInfo, rForemanForRealUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFortuneQuestDiceoKorogaseJapanRomDesc[] = {
	{ "Fortune Quest - Dice o Korogase (Japan).sfc",          1048576, 0x448e3712, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFortuneQuestDiceoKorogaseJapan)
STD_ROM_FN(rFortuneQuestDiceoKorogaseJapan)

struct BurnDriver BurnDrvrFortuneQuestDiceoKorogaseJapan = {
	"Fortune Quest - Dice o Korogase (Japan)", NULL, NULL, "1986",
	"Fortune Quest - Dice o Korogase (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fortune Quest - Dice o Korogase (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFortuneQuestDiceoKorogaseJapanRomInfo, rFortuneQuestDiceoKorogaseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrankThomasBigHurtBaseballEuropeRomDesc[] = {
	{ "Frank Thomas Big Hurt Baseball (Europe).sfc",          3145728, 0x50300f58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrankThomasBigHurtBaseballEurope)
STD_ROM_FN(rFrankThomasBigHurtBaseballEurope)

struct BurnDriver BurnDrvrFrankThomasBigHurtBaseballEurope = {
	"Frank Thomas Big Hurt Baseball (Europe)", NULL, NULL, "1986",
	"Frank Thomas Big Hurt Baseball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frank Thomas Big Hurt Baseball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrankThomasBigHurtBaseballEuropeRomInfo, rFrankThomasBigHurtBaseballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrankThomasBigHurtBaseballJapanRomDesc[] = {
	{ "Frank Thomas Big Hurt Baseball (Japan).sfc",          3145728, 0x1a895b24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrankThomasBigHurtBaseballJapan)
STD_ROM_FN(rFrankThomasBigHurtBaseballJapan)

struct BurnDriver BurnDrvrFrankThomasBigHurtBaseballJapan = {
	"Frank Thomas Big Hurt Baseball (Japan)", NULL, NULL, "1986",
	"Frank Thomas Big Hurt Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frank Thomas Big Hurt Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrankThomasBigHurtBaseballJapanRomInfo, rFrankThomasBigHurtBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrankThomasBigHurtBaseballUSARomDesc[] = {
	{ "Frank Thomas Big Hurt Baseball (USA).sfc",          3145728, 0x21239dda, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrankThomasBigHurtBaseballUSA)
STD_ROM_FN(rFrankThomasBigHurtBaseballUSA)

struct BurnDriver BurnDrvrFrankThomasBigHurtBaseballUSA = {
	"Frank Thomas Big Hurt Baseball (USA)", NULL, NULL, "1986",
	"Frank Thomas Big Hurt Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frank Thomas Big Hurt Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrankThomasBigHurtBaseballUSARomInfo, rFrankThomasBigHurtBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFranticFleaEuropeBetaRomDesc[] = {
	{ "Frantic Flea (Europe) (Beta).sfc",          2097152, 0x4da05714, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFranticFleaEuropeBeta)
STD_ROM_FN(rFranticFleaEuropeBeta)

struct BurnDriver BurnDrvrFranticFleaEuropeBeta = {
	"Frantic Flea (Europe) (Beta)", NULL, NULL, "1986",
	"Frantic Flea (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frantic Flea (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFranticFleaEuropeBetaRomInfo, rFranticFleaEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFranticFleaEuropeRomDesc[] = {
	{ "Frantic Flea (Europe).sfc",          2097152, 0xce5c3af9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFranticFleaEurope)
STD_ROM_FN(rFranticFleaEurope)

struct BurnDriver BurnDrvrFranticFleaEurope = {
	"Frantic Flea (Europe)", NULL, NULL, "1986",
	"Frantic Flea (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frantic Flea (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFranticFleaEuropeRomInfo, rFranticFleaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFranticFleaUSARomDesc[] = {
	{ "Frantic Flea (USA).sfc",          2097152, 0xffa8d1ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFranticFleaUSA)
STD_ROM_FN(rFranticFleaUSA)

struct BurnDriver BurnDrvrFranticFleaUSA = {
	"Frantic Flea (USA)", NULL, NULL, "1986",
	"Frantic Flea (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frantic Flea (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFranticFleaUSARomInfo, rFranticFleaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai1gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-1-gou (Japan) (BS).sfc",          1048576, 0x8d78d0d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai1gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai1gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai1gouJapanBS = {
	"Freud no Chousenjou - Dai-1-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-1-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-1-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai1gouJapanBSRomInfo, rFreudnoChousenjouDai1gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai2gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-2-gou (Japan) (BS).sfc",          1048576, 0xc99282d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai2gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai2gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai2gouJapanBS = {
	"Freud no Chousenjou - Dai-2-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-2-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-2-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai2gouJapanBSRomInfo, rFreudnoChousenjouDai2gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai3gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-3-gou (Japan) (BS).sfc",          1048576, 0xf938ebc3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai3gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai3gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai3gouJapanBS = {
	"Freud no Chousenjou - Dai-3-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-3-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-3-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai3gouJapanBSRomInfo, rFreudnoChousenjouDai3gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai4gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-4-gou (Japan) (BS).sfc",          1048576, 0x12e3a8ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai4gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai4gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai4gouJapanBS = {
	"Freud no Chousenjou - Dai-4-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-4-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-4-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai4gouJapanBSRomInfo, rFreudnoChousenjouDai4gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai5gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-5-gou (Japan) (BS).sfc",          1048576, 0x4d0af6f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai5gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai5gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai5gouJapanBS = {
	"Freud no Chousenjou - Dai-5-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-5-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-5-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai5gouJapanBSRomInfo, rFreudnoChousenjouDai5gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFreudnoChousenjouDai6gouJapanBSRomDesc[] = {
	{ "Freud no Chousenjou - Dai-6-gou (Japan) (BS).sfc",          1048576, 0x167f3ab1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFreudnoChousenjouDai6gouJapanBS)
STD_ROM_FN(rFreudnoChousenjouDai6gouJapanBS)

struct BurnDriver BurnDrvrFreudnoChousenjouDai6gouJapanBS = {
	"Freud no Chousenjou - Dai-6-gou (Japan) (BS)", NULL, NULL, "1986",
	"Freud no Chousenjou - Dai-6-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Freud no Chousenjou - Dai-6-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFreudnoChousenjouDai6gouJapanBSRomInfo, rFreudnoChousenjouDai6gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFroggerUSARomDesc[] = {
	{ "Frogger (USA).sfc",          524288, 0x2488b8f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFroggerUSA)
STD_ROM_FN(rFroggerUSA)

struct BurnDriver BurnDrvrFroggerUSA = {
	"Frogger (USA)", NULL, NULL, "1986",
	"Frogger (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Frogger (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFroggerUSARomInfo, rFroggerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapanRomDesc[] = {
	{ "From TV Animation Slam Dunk - Dream Team - Shuueisha Limited (Japan).sfc",          1572864, 0x99276eaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapan)
STD_ROM_FN(rFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapan)

struct BurnDriver BurnDrvrFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapan = {
	"From TV Animation Slam Dunk - Dream Team - Shuueisha Limited (Japan)", NULL, NULL, "1986",
	"From TV Animation Slam Dunk - Dream Team - Shuueisha Limited (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"From TV Animation Slam Dunk - Dream Team - Shuueisha Limited (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapanRomInfo, rFromTVAnimationSlamDunkDreamTeamShuueishaLimitedJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFromTVAnimationSlamDunkSDHeatUpJapanRomDesc[] = {
	{ "From TV Animation Slam Dunk - SD Heat Up!! (Japan).sfc",          1572864, 0xd05114c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFromTVAnimationSlamDunkSDHeatUpJapan)
STD_ROM_FN(rFromTVAnimationSlamDunkSDHeatUpJapan)

struct BurnDriver BurnDrvrFromTVAnimationSlamDunkSDHeatUpJapan = {
	"From TV Animation Slam Dunk - SD Heat Up!! (Japan)", NULL, NULL, "1986",
	"From TV Animation Slam Dunk - SD Heat Up!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"From TV Animation Slam Dunk - SD Heat Up!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFromTVAnimationSlamDunkSDHeatUpJapanRomInfo, rFromTVAnimationSlamDunkSDHeatUpJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFromTVAnimationSlamDunkYonkyouGekitotsuJapanRomDesc[] = {
	{ "From TV Animation Slam Dunk - Yonkyou Gekitotsu!! (Japan).sfc",          1572864, 0x35b21bba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFromTVAnimationSlamDunkYonkyouGekitotsuJapan)
STD_ROM_FN(rFromTVAnimationSlamDunkYonkyouGekitotsuJapan)

struct BurnDriver BurnDrvrFromTVAnimationSlamDunkYonkyouGekitotsuJapan = {
	"From TV Animation Slam Dunk - Yonkyou Gekitotsu!! (Japan)", NULL, NULL, "1986",
	"From TV Animation Slam Dunk - Yonkyou Gekitotsu!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"From TV Animation Slam Dunk - Yonkyou Gekitotsu!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFromTVAnimationSlamDunkYonkyouGekitotsuJapanRomInfo, rFromTVAnimationSlamDunkYonkyouGekitotsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFromTVAnimationSlamDunk2IHYosenKanzenBanJapanRomDesc[] = {
	{ "From TV Animation Slam Dunk 2 - IH Yosen Kanzen Ban!! (Japan).sfc",          3145728, 0xaa2b7692, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFromTVAnimationSlamDunk2IHYosenKanzenBanJapan)
STD_ROM_FN(rFromTVAnimationSlamDunk2IHYosenKanzenBanJapan)

struct BurnDriver BurnDrvrFromTVAnimationSlamDunk2IHYosenKanzenBanJapan = {
	"From TV Animation Slam Dunk 2 - IH Yosen Kanzen Ban!! (Japan)", NULL, NULL, "1986",
	"From TV Animation Slam Dunk 2 - IH Yosen Kanzen Ban!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"From TV Animation Slam Dunk 2 - IH Yosen Kanzen Ban!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFromTVAnimationSlamDunk2IHYosenKanzenBanJapanRomInfo, rFromTVAnimationSlamDunk2IHYosenKanzenBanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrontMissionJapanRev1RomDesc[] = {
	{ "Front Mission (Japan) (Rev 1).sfc",          3145728, 0x50278b21, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrontMissionJapanRev1)
STD_ROM_FN(rFrontMissionJapanRev1)

struct BurnDriver BurnDrvrFrontMissionJapanRev1 = {
	"Front Mission (Japan) (Rev 1)", NULL, NULL, "1986",
	"Front Mission (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Front Mission (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrontMissionJapanRev1RomInfo, rFrontMissionJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrontMissionJapanRomDesc[] = {
	{ "Front Mission (Japan).sfc",          3145728, 0xfe27e061, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrontMissionJapan)
STD_ROM_FN(rFrontMissionJapan)

struct BurnDriver BurnDrvrFrontMissionJapan = {
	"Front Mission (Japan)", NULL, NULL, "1986",
	"Front Mission (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Front Mission (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrontMissionJapanRomInfo, rFrontMissionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFrontMissionSeriesGunHazardJapanRomDesc[] = {
	{ "Front Mission Series - Gun Hazard (Japan).sfc",          3145728, 0xfd3fdbac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFrontMissionSeriesGunHazardJapan)
STD_ROM_FN(rFrontMissionSeriesGunHazardJapan)

struct BurnDriver BurnDrvrFrontMissionSeriesGunHazardJapan = {
	"Front Mission Series - Gun Hazard (Japan)", NULL, NULL, "1986",
	"Front Mission Series - Gun Hazard (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Front Mission Series - Gun Hazard (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFrontMissionSeriesGunHazardJapanRomInfo, rFrontMissionSeriesGunHazardJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFullPowerJapanRomDesc[] = {
	{ "Full Power (Japan).sfc",          2097152, 0x66c04587, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFullPowerJapan)
STD_ROM_FN(rFullPowerJapan)

struct BurnDriver BurnDrvrFullPowerJapan = {
	"Full Power (Japan)", NULL, NULL, "1986",
	"Full Power (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Full Power (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFullPowerJapanRomInfo, rFullPowerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFullThrottleAllAmericanRacingEuropeRomDesc[] = {
	{ "Full Throttle - All-American Racing (Europe).sfc",          2097152, 0x861f2e42, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFullThrottleAllAmericanRacingEurope)
STD_ROM_FN(rFullThrottleAllAmericanRacingEurope)

struct BurnDriver BurnDrvrFullThrottleAllAmericanRacingEurope = {
	"Full Throttle - All-American Racing (Europe)", NULL, NULL, "1986",
	"Full Throttle - All-American Racing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Full Throttle - All-American Racing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFullThrottleAllAmericanRacingEuropeRomInfo, rFullThrottleAllAmericanRacingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFullThrottleAllAmericanRacingUSABetaRomDesc[] = {
	{ "Full Throttle - All-American Racing (USA) (Beta).sfc",          2097152, 0xe96e463c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFullThrottleAllAmericanRacingUSABeta)
STD_ROM_FN(rFullThrottleAllAmericanRacingUSABeta)

struct BurnDriver BurnDrvrFullThrottleAllAmericanRacingUSABeta = {
	"Full Throttle - All-American Racing (USA) (Beta)", NULL, NULL, "1986",
	"Full Throttle - All-American Racing (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Full Throttle - All-American Racing (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFullThrottleAllAmericanRacingUSABetaRomInfo, rFullThrottleAllAmericanRacingUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFullThrottleAllAmericanRacingUSARomDesc[] = {
	{ "Full Throttle - All-American Racing (USA).sfc",          2097152, 0x2a4a53ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFullThrottleAllAmericanRacingUSA)
STD_ROM_FN(rFullThrottleAllAmericanRacingUSA)

struct BurnDriver BurnDrvrFullThrottleAllAmericanRacingUSA = {
	"Full Throttle - All-American Racing (USA)", NULL, NULL, "1986",
	"Full Throttle - All-American Racing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Full Throttle - All-American Racing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFullThrottleAllAmericanRacingUSARomInfo, rFullThrottleAllAmericanRacingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFunnGamesEuropeRomDesc[] = {
	{ "Fun 'n Games (Europe).sfc",          1048576, 0x9ff2dfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFunnGamesEurope)
STD_ROM_FN(rFunnGamesEurope)

struct BurnDriver BurnDrvrFunnGamesEurope = {
	"Fun 'n Games (Europe)", NULL, NULL, "1986",
	"Fun 'n Games (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fun 'n Games (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFunnGamesEuropeRomInfo, rFunnGamesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFunnGamesUSARomDesc[] = {
	{ "Fun 'n Games (USA).sfc",          1048576, 0x5d6deac7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFunnGamesUSA)
STD_ROM_FN(rFunnGamesUSA)

struct BurnDriver BurnDrvrFunnGamesUSA = {
	"Fun 'n Games (USA)", NULL, NULL, "1986",
	"Fun 'n Games (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fun 'n Games (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFunnGamesUSARomInfo, rFunnGamesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFunakiMasakatsuHybridWrestlerTougiDenshouJapanRomDesc[] = {
	{ "Funaki Masakatsu Hybrid Wrestler - Tougi Denshou (Japan).sfc",          2097152, 0xd1909ffb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFunakiMasakatsuHybridWrestlerTougiDenshouJapan)
STD_ROM_FN(rFunakiMasakatsuHybridWrestlerTougiDenshouJapan)

struct BurnDriver BurnDrvrFunakiMasakatsuHybridWrestlerTougiDenshouJapan = {
	"Funaki Masakatsu Hybrid Wrestler - Tougi Denshou (Japan)", NULL, NULL, "1986",
	"Funaki Masakatsu Hybrid Wrestler - Tougi Denshou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Funaki Masakatsu Hybrid Wrestler - Tougi Denshou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFunakiMasakatsuHybridWrestlerTougiDenshouJapanRomInfo, rFunakiMasakatsuHybridWrestlerTougiDenshouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFuneTarouJapanRomDesc[] = {
	{ "Fune Tarou (Japan).sfc",          2097152, 0x5d6ba598, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFuneTarouJapan)
STD_ROM_FN(rFuneTarouJapan)

struct BurnDriver BurnDrvrFuneTarouJapan = {
	"Fune Tarou (Japan)", NULL, NULL, "1986",
	"Fune Tarou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fune Tarou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFuneTarouJapanRomInfo, rFuneTarouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFurutaAtsuyanoSimulationProYakyuu2JapanRomDesc[] = {
	{ "Furuta Atsuya no Simulation Pro Yakyuu 2 (Japan).sfc",          2097152, 0x566176fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFurutaAtsuyanoSimulationProYakyuu2Japan)
STD_ROM_FN(rFurutaAtsuyanoSimulationProYakyuu2Japan)

struct BurnDriver BurnDrvrFurutaAtsuyanoSimulationProYakyuu2Japan = {
	"Furuta Atsuya no Simulation Pro Yakyuu 2 (Japan)", NULL, NULL, "1986",
	"Furuta Atsuya no Simulation Pro Yakyuu 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Furuta Atsuya no Simulation Pro Yakyuu 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFurutaAtsuyanoSimulationProYakyuu2JapanRomInfo, rFurutaAtsuyanoSimulationProYakyuu2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFushiginoDungeon2FuurainoShirenJapanRev1NPRomDesc[] = {
	{ "Fushigi no Dungeon 2 - Fuurai no Shiren (Japan) (Rev 1) (NP).sfc",          4194304, 0x824aa6b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFushiginoDungeon2FuurainoShirenJapanRev1NP)
STD_ROM_FN(rFushiginoDungeon2FuurainoShirenJapanRev1NP)

struct BurnDriver BurnDrvrFushiginoDungeon2FuurainoShirenJapanRev1NP = {
	"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFushiginoDungeon2FuurainoShirenJapanRev1NPRomInfo, rFushiginoDungeon2FuurainoShirenJapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rFushiginoDungeon2FuurainoShirenJapanRomDesc[] = {
	{ "Fushigi no Dungeon 2 - Fuurai no Shiren (Japan).sfc",          4194304, 0xaf5703ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rFushiginoDungeon2FuurainoShirenJapan)
STD_ROM_FN(rFushiginoDungeon2FuurainoShirenJapan)

struct BurnDriver BurnDrvrFushiginoDungeon2FuurainoShirenJapan = {
	"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan)", NULL, NULL, "1986",
	"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Fushigi no Dungeon 2 - Fuurai no Shiren (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rFushiginoDungeon2FuurainoShirenJapanRomInfo, rFushiginoDungeon2FuurainoShirenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGODMezameyotoYobuKoegaKikoeJapanRomDesc[] = {
	{ "G.O.D - Mezame yo to Yobu Koe ga Kikoe (Japan).sfc",          3145728, 0x4d2ce16f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGODMezameyotoYobuKoegaKikoeJapan)
STD_ROM_FN(rGODMezameyotoYobuKoegaKikoeJapan)

struct BurnDriver BurnDrvrGODMezameyotoYobuKoegaKikoeJapan = {
	"G.O.D - Mezame yo to Yobu Koe ga Kikoe (Japan)", NULL, NULL, "1986",
	"G.O.D - Mezame yo to Yobu Koe ga Kikoe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"G.O.D - Mezame yo to Yobu Koe ga Kikoe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGODMezameyotoYobuKoegaKikoeJapanRomInfo, rGODMezameyotoYobuKoegaKikoeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGaiaGensoukiJapanRomDesc[] = {
	{ "Gaia Gensouki (Japan).sfc",          2097152, 0xb344e9a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGaiaGensoukiJapan)
STD_ROM_FN(rGaiaGensoukiJapan)

struct BurnDriver BurnDrvrGaiaGensoukiJapan = {
	"Gaia Gensouki (Japan)", NULL, NULL, "1986",
	"Gaia Gensouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gaia Gensouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGaiaGensoukiJapanRomInfo, rGaiaGensoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGaiaSaverHeroSaidainoSakusenJapanRomDesc[] = {
	{ "Gaia Saver - Hero Saidai no Sakusen (Japan).sfc",          1572864, 0xee6534b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGaiaSaverHeroSaidainoSakusenJapan)
STD_ROM_FN(rGaiaSaverHeroSaidainoSakusenJapan)

struct BurnDriver BurnDrvrGaiaSaverHeroSaidainoSakusenJapan = {
	"Gaia Saver - Hero Saidai no Sakusen (Japan)", NULL, NULL, "1986",
	"Gaia Saver - Hero Saidai no Sakusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gaia Saver - Hero Saidai no Sakusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGaiaSaverHeroSaidainoSakusenJapanRomInfo, rGaiaSaverHeroSaidainoSakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGakkoudeAttaKowaiHanashiJapanRomDesc[] = {
	{ "Gakkou de Atta Kowai Hanashi (Japan).sfc",          3145728, 0x94b93b25, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGakkoudeAttaKowaiHanashiJapan)
STD_ROM_FN(rGakkoudeAttaKowaiHanashiJapan)

struct BurnDriver BurnDrvrGakkoudeAttaKowaiHanashiJapan = {
	"Gakkou de Atta Kowai Hanashi (Japan)", NULL, NULL, "1986",
	"Gakkou de Atta Kowai Hanashi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gakkou de Atta Kowai Hanashi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGakkoudeAttaKowaiHanashiJapanRomInfo, rGakkoudeAttaKowaiHanashiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGalaxyRoboJapanRomDesc[] = {
	{ "Galaxy Robo (Japan).sfc",          1572864, 0xbee62812, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGalaxyRoboJapan)
STD_ROM_FN(rGalaxyRoboJapan)

struct BurnDriver BurnDrvrGalaxyRoboJapan = {
	"Galaxy Robo (Japan)", NULL, NULL, "1986",
	"Galaxy Robo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Galaxy Robo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGalaxyRoboJapanRomInfo, rGalaxyRoboJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGalaxyWarsJapanRomDesc[] = {
	{ "Galaxy Wars (Japan).sfc",          262144, 0xf159ca70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGalaxyWarsJapan)
STD_ROM_FN(rGalaxyWarsJapan)

struct BurnDriver BurnDrvrGalaxyWarsJapan = {
	"Galaxy Wars (Japan)", NULL, NULL, "1986",
	"Galaxy Wars (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Galaxy Wars (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGalaxyWarsJapanRomInfo, rGalaxyWarsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGamblerJikochuushinhaMahjongKouisenJapanRomDesc[] = {
	{ "Gambler Jikochuushinha - Mahjong Kouisen (Japan).sfc",          524288, 0x8ebd1223, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGamblerJikochuushinhaMahjongKouisenJapan)
STD_ROM_FN(rGamblerJikochuushinhaMahjongKouisenJapan)

struct BurnDriver BurnDrvrGamblerJikochuushinhaMahjongKouisenJapan = {
	"Gambler Jikochuushinha - Mahjong Kouisen (Japan)", NULL, NULL, "1986",
	"Gambler Jikochuushinha - Mahjong Kouisen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gambler Jikochuushinha - Mahjong Kouisen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGamblerJikochuushinhaMahjongKouisenJapanRomInfo, rGamblerJikochuushinhaMahjongKouisenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGamblerJikochuushinha2DoraponQuestJapanRomDesc[] = {
	{ "Gambler Jikochuushinha 2 - Dorapon Quest (Japan).sfc",          1048576, 0x4d098c5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGamblerJikochuushinha2DoraponQuestJapan)
STD_ROM_FN(rGamblerJikochuushinha2DoraponQuestJapan)

struct BurnDriver BurnDrvrGamblerJikochuushinha2DoraponQuestJapan = {
	"Gambler Jikochuushinha 2 - Dorapon Quest (Japan)", NULL, NULL, "1986",
	"Gambler Jikochuushinha 2 - Dorapon Quest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gambler Jikochuushinha 2 - Dorapon Quest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGamblerJikochuushinha2DoraponQuestJapanRomInfo, rGamblerJikochuushinha2DoraponQuestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGamblingHouroukiJapanRomDesc[] = {
	{ "Gambling Hourouki (Japan).sfc",          1048576, 0x43b2590d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGamblingHouroukiJapan)
STD_ROM_FN(rGamblingHouroukiJapan)

struct BurnDriver BurnDrvrGamblingHouroukiJapan = {
	"Gambling Hourouki (Japan)", NULL, NULL, "1986",
	"Gambling Hourouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gambling Hourouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGamblingHouroukiJapanRomInfo, rGamblingHouroukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameGenieUSAAlt1UnlbRomDesc[] = {
	{ "Game Genie (USA) (Alt 1) (Unl) [b].sfc",          65536, 0x58cbf2fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameGenieUSAAlt1Unlb)
STD_ROM_FN(rGameGenieUSAAlt1Unlb)

struct BurnDriver BurnDrvrGameGenieUSAAlt1Unlb = {
	"Game Genie (USA) (Alt 1) (Unl) [b]", NULL, NULL, "1986",
	"Game Genie (USA) (Alt 1) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Genie (USA) (Alt 1) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameGenieUSAAlt1UnlbRomInfo, rGameGenieUSAAlt1UnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameGenieUSAUnlbRomDesc[] = {
	{ "Game Genie (USA) (Unl) [b].sfc",          32768, 0xf8d4c303, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameGenieUSAUnlb)
STD_ROM_FN(rGameGenieUSAUnlb)

struct BurnDriver BurnDrvrGameGenieUSAUnlb = {
	"Game Genie (USA) (Unl) [b]", NULL, NULL, "1986",
	"Game Genie (USA) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Genie (USA) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameGenieUSAUnlbRomInfo, rGameGenieUSAUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameGenieUSAv20UnlRomDesc[] = {
	{ "Game Genie (USA) (v2.0) (Unl).sfc",          32768, 0xac94f94a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameGenieUSAv20Unl)
STD_ROM_FN(rGameGenieUSAv20Unl)

struct BurnDriver BurnDrvrGameGenieUSAv20Unl = {
	"Game Genie (USA) (v2.0) (Unl)", NULL, NULL, "1986",
	"Game Genie (USA) (v2.0) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Genie (USA) (v2.0) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameGenieUSAv20UnlRomInfo, rGameGenieUSAv20UnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGamenoTatsujinJapanRomDesc[] = {
	{ "Game no Tatsujin (Japan).sfc",          2097152, 0xa3203356, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGamenoTatsujinJapan)
STD_ROM_FN(rGamenoTatsujinJapan)

struct BurnDriver BurnDrvrGamenoTatsujinJapan = {
	"Game no Tatsujin (Japan)", NULL, NULL, "1986",
	"Game no Tatsujin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game no Tatsujin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGamenoTatsujinJapanRomInfo, rGamenoTatsujinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGamenoTetsujinTheShanghaiJapanRomDesc[] = {
	{ "Game no Tetsujin - The Shanghai (Japan).sfc",          2097152, 0xe50bbfb7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGamenoTetsujinTheShanghaiJapan)
STD_ROM_FN(rGamenoTetsujinTheShanghaiJapan)

struct BurnDriver BurnDrvrGamenoTetsujinTheShanghaiJapan = {
	"Game no Tetsujin - The Shanghai (Japan)", NULL, NULL, "1986",
	"Game no Tetsujin - The Shanghai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game no Tetsujin - The Shanghai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGamenoTetsujinTheShanghaiJapanRomInfo, rGamenoTetsujinTheShanghaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameSaverEuropev16UnlRomDesc[] = {
	{ "Game Saver (Europe) (v1.6) (Unl).sfc",          32768, 0x9da23b4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameSaverEuropev16Unl)
STD_ROM_FN(rGameSaverEuropev16Unl)

struct BurnDriver BurnDrvrGameSaverEuropev16Unl = {
	"Game Saver (Europe) (v1.6) (Unl)", NULL, NULL, "1986",
	"Game Saver (Europe) (v1.6) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Saver (Europe) (v1.6) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameSaverEuropev16UnlRomInfo, rGameSaverEuropev16UnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameSaverEuropev17UnlRomDesc[] = {
	{ "Game Saver (Europe) (v1.7) (Unl).sfc",          32768, 0xf2225203, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameSaverEuropev17Unl)
STD_ROM_FN(rGameSaverEuropev17Unl)

struct BurnDriver BurnDrvrGameSaverEuropev17Unl = {
	"Game Saver (Europe) (v1.7) (Unl)", NULL, NULL, "1986",
	"Game Saver (Europe) (v1.7) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Saver (Europe) (v1.7) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameSaverEuropev17UnlRomInfo, rGameSaverEuropev17UnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameToranoTaikoban517GouJapanBSRomDesc[] = {
	{ "Game Tora no Taikoban - 5-17 Gou (Japan) (BS).sfc",          524288, 0x4cf3e14f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameToranoTaikoban517GouJapanBS)
STD_ROM_FN(rGameToranoTaikoban517GouJapanBS)

struct BurnDriver BurnDrvrGameToranoTaikoban517GouJapanBS = {
	"Game Tora no Taikoban - 5-17 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Game Tora no Taikoban - 5-17 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Tora no Taikoban - 5-17 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameToranoTaikoban517GouJapanBSRomInfo, rGameToranoTaikoban517GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameToranoTaikoban531GouJapanBSRomDesc[] = {
	{ "Game Tora no Taikoban - 5-31 Gou (Japan) (BS).sfc",          524288, 0x393e9715, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameToranoTaikoban531GouJapanBS)
STD_ROM_FN(rGameToranoTaikoban531GouJapanBS)

struct BurnDriver BurnDrvrGameToranoTaikoban531GouJapanBS = {
	"Game Tora no Taikoban - 5-31 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Game Tora no Taikoban - 5-31 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Game Tora no Taikoban - 5-31 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameToranoTaikoban531GouJapanBSRomInfo, rGameToranoTaikoban531GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGameraGyaosGekimetsuSakusenJapanRomDesc[] = {
	{ "Gamera - Gyaos Gekimetsu Sakusen (Japan).sfc",          1572864, 0xbdb4dd84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGameraGyaosGekimetsuSakusenJapan)
STD_ROM_FN(rGameraGyaosGekimetsuSakusenJapan)

struct BurnDriver BurnDrvrGameraGyaosGekimetsuSakusenJapan = {
	"Gamera - Gyaos Gekimetsu Sakusen (Japan)", NULL, NULL, "1986",
	"Gamera - Gyaos Gekimetsu Sakusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gamera - Gyaos Gekimetsu Sakusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGameraGyaosGekimetsuSakusenJapanRomInfo, rGameraGyaosGekimetsuSakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2RomDesc[] = {
	{ "Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan) (Rev 2).sfc",          1048576, 0x6cd62399, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2)
STD_ROM_FN(rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2)

struct BurnDriver BurnDrvrGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2 = {
	"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan) (Rev 2)", NULL, NULL, "1986",
	"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2RomInfo, rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRomDesc[] = {
	{ "Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan).sfc",          1048576, 0xadde8d79, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemonYukiHimeKyuushutsuEmakiJapan)
STD_ROM_FN(rGanbareGoemonYukiHimeKyuushutsuEmakiJapan)

struct BurnDriver BurnDrvrGanbareGoemonYukiHimeKyuushutsuEmakiJapan = {
	"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan)", NULL, NULL, "1986",
	"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon - Yuki Hime Kyuushutsu Emaki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRomInfo, rGanbareGoemonYukiHimeKyuushutsuEmakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemon2KiteretsuShougunMagginesuJapanRomDesc[] = {
	{ "Ganbare Goemon 2 - Kiteretsu Shougun Magginesu (Japan).sfc",          2097152, 0xca4c0219, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemon2KiteretsuShougunMagginesuJapan)
STD_ROM_FN(rGanbareGoemon2KiteretsuShougunMagginesuJapan)

struct BurnDriver BurnDrvrGanbareGoemon2KiteretsuShougunMagginesuJapan = {
	"Ganbare Goemon 2 - Kiteretsu Shougun Magginesu (Japan)", NULL, NULL, "1986",
	"Ganbare Goemon 2 - Kiteretsu Shougun Magginesu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon 2 - Kiteretsu Shougun Magginesu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemon2KiteretsuShougunMagginesuJapanRomInfo, rGanbareGoemon2KiteretsuShougunMagginesuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapanRomDesc[] = {
	{ "Ganbare Goemon 3 - Shishi Juurokubee no Karakuri Manjigatame (Japan).sfc",          2097152, 0x7e5929e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapan)
STD_ROM_FN(rGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapan)

struct BurnDriver BurnDrvrGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapan = {
	"Ganbare Goemon 3 - Shishi Juurokubee no Karakuri Manjigatame (Japan)", NULL, NULL, "1986",
	"Ganbare Goemon 3 - Shishi Juurokubee no Karakuri Manjigatame (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon 3 - Shishi Juurokubee no Karakuri Manjigatame (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapanRomInfo, rGanbareGoemon3ShishiJuurokubeenoKarakuriManjigatameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NPRomDesc[] = {
	{ "Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan) (Rev 2) (NP).sfc",          3145728, 0xc20720c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NP)
STD_ROM_FN(rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NP)

struct BurnDriver BurnDrvrGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NP = {
	"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan) (Rev 2) (NP)", NULL, NULL, "1986",
	"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan) (Rev 2) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan) (Rev 2) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NPRomInfo, rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRev2NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRomDesc[] = {
	{ "Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan).sfc",          3145728, 0xbb9d8e56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapan)
STD_ROM_FN(rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapan)

struct BurnDriver BurnDrvrGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapan = {
	"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan)", NULL, NULL, "1986",
	"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare Goemon Kirakira Douchuu - Boku ga Dancer ni Natta Wake (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRomInfo, rGanbareGoemonKirakiraDouchuuBokugaDancerniNattaWakeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanbareDaikunoGensanJapanRomDesc[] = {
	{ "Ganbare! Daiku no Gen-san (Japan).sfc",          1048576, 0x206bd866, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanbareDaikunoGensanJapan)
STD_ROM_FN(rGanbareDaikunoGensanJapan)

struct BurnDriver BurnDrvrGanbareDaikunoGensanJapan = {
	"Ganbare! Daiku no Gen-san (Japan)", NULL, NULL, "1986",
	"Ganbare! Daiku no Gen-san (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganbare! Daiku no Gen-san (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanbareDaikunoGensanJapanRomInfo, rGanbareDaikunoGensanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanganGanchanJapanRomDesc[] = {
	{ "Gangan Gan-chan (Japan).sfc",          1048576, 0xa220c6d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanganGanchanJapan)
STD_ROM_FN(rGanganGanchanJapan)

struct BurnDriver BurnDrvrGanganGanchanJapan = {
	"Gangan Gan-chan (Japan)", NULL, NULL, "1986",
	"Gangan Gan-chan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gangan Gan-chan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanganGanchanJapanRomInfo, rGanganGanchanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGanpuruGunmansProofJapanRomDesc[] = {
	{ "Ganpuru - Gunman's Proof (Japan).sfc",          3145728, 0xaf415c24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGanpuruGunmansProofJapan)
STD_ROM_FN(rGanpuruGunmansProofJapan)

struct BurnDriver BurnDrvrGanpuruGunmansProofJapan = {
	"Ganpuru - Gunman's Proof (Japan)", NULL, NULL, "1986",
	"Ganpuru - Gunman's Proof (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganpuru - Gunman's Proof (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGanpuruGunmansProofJapanRomInfo, rGanpuruGunmansProofJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGansoPachiSlotNihonichiJapanRomDesc[] = {
	{ "Ganso Pachi-Slot Nihonichi (Japan).sfc",          1048576, 0x18bbad5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGansoPachiSlotNihonichiJapan)
STD_ROM_FN(rGansoPachiSlotNihonichiJapan)

struct BurnDriver BurnDrvrGansoPachiSlotNihonichiJapan = {
	"Ganso Pachi-Slot Nihonichi (Japan)", NULL, NULL, "1986",
	"Ganso Pachi-Slot Nihonichi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganso Pachi-Slot Nihonichi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGansoPachiSlotNihonichiJapanRomInfo, rGansoPachiSlotNihonichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGansoPachinkoOuJapanRomDesc[] = {
	{ "Ganso Pachinko Ou (Japan).sfc",          1048576, 0x73453c46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGansoPachinkoOuJapan)
STD_ROM_FN(rGansoPachinkoOuJapan)

struct BurnDriver BurnDrvrGansoPachinkoOuJapan = {
	"Ganso Pachinko Ou (Japan)", NULL, NULL, "1986",
	"Ganso Pachinko Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ganso Pachinko Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGansoPachinkoOuJapanRomInfo, rGansoPachinkoOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGarouDensetsuShukumeinoTatakaiJapanRev1RomDesc[] = {
	{ "Garou Densetsu - Shukumei no Tatakai (Japan) (Rev 1).sfc",          1572864, 0xae4dfed0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGarouDensetsuShukumeinoTatakaiJapanRev1)
STD_ROM_FN(rGarouDensetsuShukumeinoTatakaiJapanRev1)

struct BurnDriver BurnDrvrGarouDensetsuShukumeinoTatakaiJapanRev1 = {
	"Garou Densetsu - Shukumei no Tatakai (Japan) (Rev 1)", NULL, NULL, "1986",
	"Garou Densetsu - Shukumei no Tatakai (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Garou Densetsu - Shukumei no Tatakai (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGarouDensetsuShukumeinoTatakaiJapanRev1RomInfo, rGarouDensetsuShukumeinoTatakaiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGarouDensetsuShukumeinoTatakaiJapanRomDesc[] = {
	{ "Garou Densetsu - Shukumei no Tatakai (Japan).sfc",          1572864, 0xd549e3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGarouDensetsuShukumeinoTatakaiJapan)
STD_ROM_FN(rGarouDensetsuShukumeinoTatakaiJapan)

struct BurnDriver BurnDrvrGarouDensetsuShukumeinoTatakaiJapan = {
	"Garou Densetsu - Shukumei no Tatakai (Japan)", NULL, NULL, "1986",
	"Garou Densetsu - Shukumei no Tatakai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Garou Densetsu - Shukumei no Tatakai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGarouDensetsuShukumeinoTatakaiJapanRomInfo, rGarouDensetsuShukumeinoTatakaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGarouDensetsu2AratanaruTatakaiJapanRev1RomDesc[] = {
	{ "Garou Densetsu 2 - Aratanaru Tatakai (Japan) (Rev 1).sfc",          2621440, 0x3ee1b2d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGarouDensetsu2AratanaruTatakaiJapanRev1)
STD_ROM_FN(rGarouDensetsu2AratanaruTatakaiJapanRev1)

struct BurnDriver BurnDrvrGarouDensetsu2AratanaruTatakaiJapanRev1 = {
	"Garou Densetsu 2 - Aratanaru Tatakai (Japan) (Rev 1)", NULL, NULL, "1986",
	"Garou Densetsu 2 - Aratanaru Tatakai (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Garou Densetsu 2 - Aratanaru Tatakai (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGarouDensetsu2AratanaruTatakaiJapanRev1RomInfo, rGarouDensetsu2AratanaruTatakaiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGarouDensetsu2AratanaruTatakaiJapanRomDesc[] = {
	{ "Garou Densetsu 2 - Aratanaru Tatakai (Japan).sfc",          2621440, 0xfbf3abdf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGarouDensetsu2AratanaruTatakaiJapan)
STD_ROM_FN(rGarouDensetsu2AratanaruTatakaiJapan)

struct BurnDriver BurnDrvrGarouDensetsu2AratanaruTatakaiJapan = {
	"Garou Densetsu 2 - Aratanaru Tatakai (Japan)", NULL, NULL, "1986",
	"Garou Densetsu 2 - Aratanaru Tatakai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Garou Densetsu 2 - Aratanaru Tatakai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGarouDensetsu2AratanaruTatakaiJapanRomInfo, rGarouDensetsu2AratanaruTatakaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGarouDensetsuSpecialJapanRomDesc[] = {
	{ "Garou Densetsu Special (Japan).sfc",          4194304, 0xc1f68c7a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGarouDensetsuSpecialJapan)
STD_ROM_FN(rGarouDensetsuSpecialJapan)

struct BurnDriver BurnDrvrGarouDensetsuSpecialJapan = {
	"Garou Densetsu Special (Japan)", NULL, NULL, "1986",
	"Garou Densetsu Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Garou Densetsu Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGarouDensetsuSpecialJapanRomInfo, rGarouDensetsuSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGdleenJapanRev1RomDesc[] = {
	{ "Gdleen (Japan) (Rev 1).sfc",          1048576, 0x9692c77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGdleenJapanRev1)
STD_ROM_FN(rGdleenJapanRev1)

struct BurnDriver BurnDrvrGdleenJapanRev1 = {
	"Gdleen (Japan) (Rev 1)", NULL, NULL, "1986",
	"Gdleen (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gdleen (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGdleenJapanRev1RomInfo, rGdleenJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGdleenJapanRomDesc[] = {
	{ "Gdleen (Japan).sfc",          1048576, 0xf0205fed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGdleenJapan)
STD_ROM_FN(rGdleenJapan)

struct BurnDriver BurnDrvrGdleenJapan = {
	"Gdleen (Japan)", NULL, NULL, "1986",
	"Gdleen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gdleen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGdleenJapanRomInfo, rGdleenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGegegenoKitarouFukkatsuTenmaDaiouJapanRomDesc[] = {
	{ "Gegege no Kitarou - Fukkatsu! Tenma Daiou (Japan).sfc",          1048576, 0xe51fb6f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGegegenoKitarouFukkatsuTenmaDaiouJapan)
STD_ROM_FN(rGegegenoKitarouFukkatsuTenmaDaiouJapan)

struct BurnDriver BurnDrvrGegegenoKitarouFukkatsuTenmaDaiouJapan = {
	"Gegege no Kitarou - Fukkatsu! Tenma Daiou (Japan)", NULL, NULL, "1986",
	"Gegege no Kitarou - Fukkatsu! Tenma Daiou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gegege no Kitarou - Fukkatsu! Tenma Daiou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGegegenoKitarouFukkatsuTenmaDaiouJapanRomInfo, rGegegenoKitarouFukkatsuTenmaDaiouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGegegenoKitarouYoukaiDonjaraJapanSTRomDesc[] = {
	{ "Gegege no Kitarou - Youkai Donjara (Japan) (ST).sfc",          524288, 0x4296500d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGegegenoKitarouYoukaiDonjaraJapanST)
STD_ROM_FN(rGegegenoKitarouYoukaiDonjaraJapanST)

struct BurnDriver BurnDrvrGegegenoKitarouYoukaiDonjaraJapanST = {
	"Gegege no Kitarou - Youkai Donjara (Japan) (ST)", NULL, NULL, "1986",
	"Gegege no Kitarou - Youkai Donjara (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gegege no Kitarou - Youkai Donjara (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGegegenoKitarouYoukaiDonjaraJapanSTRomInfo, rGegegenoKitarouYoukaiDonjaraJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGekisouSentaiCarrangerZenkaiRacerSenshiJapanSTRomDesc[] = {
	{ "Gekisou Sentai Carranger - Zenkai! Racer Senshi (Japan) (ST).sfc",          524288, 0x14c66fca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGekisouSentaiCarrangerZenkaiRacerSenshiJapanST)
STD_ROM_FN(rGekisouSentaiCarrangerZenkaiRacerSenshiJapanST)

struct BurnDriver BurnDrvrGekisouSentaiCarrangerZenkaiRacerSenshiJapanST = {
	"Gekisou Sentai Carranger - Zenkai! Racer Senshi (Japan) (ST)", NULL, NULL, "1986",
	"Gekisou Sentai Carranger - Zenkai! Racer Senshi (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gekisou Sentai Carranger - Zenkai! Racer Senshi (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGekisouSentaiCarrangerZenkaiRacerSenshiJapanSTRomInfo, rGekisouSentaiCarrangerZenkaiRacerSenshiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGekitotsuDanganJidoushaKessenBattleMobileJapanRomDesc[] = {
	{ "Gekitotsu Dangan Jidousha Kessen - Battle Mobile (Japan).sfc",          1048576, 0x3e88e883, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGekitotsuDanganJidoushaKessenBattleMobileJapan)
STD_ROM_FN(rGekitotsuDanganJidoushaKessenBattleMobileJapan)

struct BurnDriver BurnDrvrGekitotsuDanganJidoushaKessenBattleMobileJapan = {
	"Gekitotsu Dangan Jidousha Kessen - Battle Mobile (Japan)", NULL, NULL, "1986",
	"Gekitotsu Dangan Jidousha Kessen - Battle Mobile (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gekitotsu Dangan Jidousha Kessen - Battle Mobile (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGekitotsuDanganJidoushaKessenBattleMobileJapanRomInfo, rGekitotsuDanganJidoushaKessenBattleMobileJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGekitouBurningProWrestlingJapanRomDesc[] = {
	{ "Gekitou Burning Pro Wrestling (Japan).sfc",          2621440, 0xb2e7fc76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGekitouBurningProWrestlingJapan)
STD_ROM_FN(rGekitouBurningProWrestlingJapan)

struct BurnDriver BurnDrvrGekitouBurningProWrestlingJapan = {
	"Gekitou Burning Pro Wrestling (Japan)", NULL, NULL, "1986",
	"Gekitou Burning Pro Wrestling (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gekitou Burning Pro Wrestling (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGekitouBurningProWrestlingJapanRomInfo, rGekitouBurningProWrestlingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGekkanCoinTossDeck1JapanBSRomDesc[] = {
	{ "Gekkan Coin Toss - Deck 1 (Japan) (BS).sfc",          1048576, 0xd2d7c3e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGekkanCoinTossDeck1JapanBS)
STD_ROM_FN(rGekkanCoinTossDeck1JapanBS)

struct BurnDriver BurnDrvrGekkanCoinTossDeck1JapanBS = {
	"Gekkan Coin Toss - Deck 1 (Japan) (BS)", NULL, NULL, "1986",
	"Gekkan Coin Toss - Deck 1 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gekkan Coin Toss - Deck 1 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGekkanCoinTossDeck1JapanBSRomInfo, rGekkanCoinTossDeck1JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGemfireUSARomDesc[] = {
	{ "Gemfire (USA).sfc",          1048576, 0xee801a54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGemfireUSA)
STD_ROM_FN(rGemfireUSA)

struct BurnDriver BurnDrvrGemfireUSA = {
	"Gemfire (USA)", NULL, NULL, "1986",
	"Gemfire (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gemfire (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGemfireUSARomInfo, rGemfireUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGenghisKhanIIClanoftheGrayWolfUSARomDesc[] = {
	{ "Genghis Khan II - Clan of the Gray Wolf (USA).sfc",          1048576, 0xd7875512, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGenghisKhanIIClanoftheGrayWolfUSA)
STD_ROM_FN(rGenghisKhanIIClanoftheGrayWolfUSA)

struct BurnDriver BurnDrvrGenghisKhanIIClanoftheGrayWolfUSA = {
	"Genghis Khan II - Clan of the Gray Wolf (USA)", NULL, NULL, "1986",
	"Genghis Khan II - Clan of the Gray Wolf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Genghis Khan II - Clan of the Gray Wolf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGenghisKhanIIClanoftheGrayWolfUSARomInfo, rGenghisKhanIIClanoftheGrayWolfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGenjuuRyodanJapanNPRomDesc[] = {
	{ "Genjuu Ryodan (Japan) (NP).sfc",          4194304, 0x8d9bffc8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGenjuuRyodanJapanNP)
STD_ROM_FN(rGenjuuRyodanJapanNP)

struct BurnDriver BurnDrvrGenjuuRyodanJapanNP = {
	"Genjuu Ryodan (Japan) (NP)", NULL, NULL, "1986",
	"Genjuu Ryodan (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Genjuu Ryodan (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGenjuuRyodanJapanNPRomInfo, rGenjuuRyodanJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGenocide2JapanBetaRomDesc[] = {
	{ "Genocide 2 (Japan) (Beta).sfc",          262144, 0xf8876331, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGenocide2JapanBeta)
STD_ROM_FN(rGenocide2JapanBeta)

struct BurnDriver BurnDrvrGenocide2JapanBeta = {
	"Genocide 2 (Japan) (Beta)", NULL, NULL, "1986",
	"Genocide 2 (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Genocide 2 (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGenocide2JapanBetaRomInfo, rGenocide2JapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGenocide2JapanRomDesc[] = {
	{ "Genocide 2 (Japan).sfc",          2097152, 0xde40aa12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGenocide2Japan)
STD_ROM_FN(rGenocide2Japan)

struct BurnDriver BurnDrvrGenocide2Japan = {
	"Genocide 2 (Japan)", NULL, NULL, "1986",
	"Genocide 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Genocide 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGenocide2JapanRomInfo, rGenocide2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGeorgeForemansKOBoxingEuropeRomDesc[] = {
	{ "George Foreman's KO Boxing (Europe).sfc",          1048576, 0x9fe6ec1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGeorgeForemansKOBoxingEurope)
STD_ROM_FN(rGeorgeForemansKOBoxingEurope)

struct BurnDriver BurnDrvrGeorgeForemansKOBoxingEurope = {
	"George Foreman's KO Boxing (Europe)", NULL, NULL, "1986",
	"George Foreman's KO Boxing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"George Foreman's KO Boxing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGeorgeForemansKOBoxingEuropeRomInfo, rGeorgeForemansKOBoxingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGeorgeForemansKOBoxingUSADoritosPromoRomDesc[] = {
	{ "George Foreman's KO Boxing (USA) (Doritos Promo).sfc",          1048576, 0x71056bf3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGeorgeForemansKOBoxingUSADoritosPromo)
STD_ROM_FN(rGeorgeForemansKOBoxingUSADoritosPromo)

struct BurnDriver BurnDrvrGeorgeForemansKOBoxingUSADoritosPromo = {
	"George Foreman's KO Boxing (USA) (Doritos Promo)", NULL, NULL, "1986",
	"George Foreman's KO Boxing (USA) (Doritos Promo)\0", NULL, "Nintendo", "Miscellaneous",
	L"George Foreman's KO Boxing (USA) (Doritos Promo)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGeorgeForemansKOBoxingUSADoritosPromoRomInfo, rGeorgeForemansKOBoxingUSADoritosPromoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGeorgeForemansKOBoxingUSARev1RomDesc[] = {
	{ "George Foreman's KO Boxing (USA) (Rev 1).sfc",          1048576, 0x15194fc9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGeorgeForemansKOBoxingUSARev1)
STD_ROM_FN(rGeorgeForemansKOBoxingUSARev1)

struct BurnDriver BurnDrvrGeorgeForemansKOBoxingUSARev1 = {
	"George Foreman's KO Boxing (USA) (Rev 1)", NULL, NULL, "1986",
	"George Foreman's KO Boxing (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"George Foreman's KO Boxing (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGeorgeForemansKOBoxingUSARev1RomInfo, rGeorgeForemansKOBoxingUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGeorgeForemansKOBoxingUSARomDesc[] = {
	{ "George Foreman's KO Boxing (USA).sfc",          1048576, 0xaf571267, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGeorgeForemansKOBoxingUSA)
STD_ROM_FN(rGeorgeForemansKOBoxingUSA)

struct BurnDriver BurnDrvrGeorgeForemansKOBoxingUSA = {
	"George Foreman's KO Boxing (USA)", NULL, NULL, "1986",
	"George Foreman's KO Boxing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"George Foreman's KO Boxing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGeorgeForemansKOBoxingUSARomInfo, rGeorgeForemansKOBoxingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGetintheHoleJapanRomDesc[] = {
	{ "Get in the Hole (Japan).sfc",          1572864, 0x7f0d601d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGetintheHoleJapan)
STD_ROM_FN(rGetintheHoleJapan)

struct BurnDriver BurnDrvrGetintheHoleJapan = {
	"Get in the Hole (Japan)", NULL, NULL, "1986",
	"Get in the Hole (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Get in the Hole (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGetintheHoleJapanRomInfo, rGetintheHoleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGetsumennoAnubisJapanRomDesc[] = {
	{ "Getsumen no Anubis (Japan).sfc",          3145728, 0x78432ddc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGetsumennoAnubisJapan)
STD_ROM_FN(rGetsumennoAnubisJapan)

struct BurnDriver BurnDrvrGetsumennoAnubisJapan = {
	"Getsumen no Anubis (Japan)", NULL, NULL, "1986",
	"Getsumen no Anubis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Getsumen no Anubis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGetsumennoAnubisJapanRomInfo, rGetsumennoAnubisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGhostChaserDenseiJapanRomDesc[] = {
	{ "Ghost Chaser Densei (Japan).sfc",          2097152, 0xdfd6385d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGhostChaserDenseiJapan)
STD_ROM_FN(rGhostChaserDenseiJapan)

struct BurnDriver BurnDrvrGhostChaserDenseiJapan = {
	"Ghost Chaser Densei (Japan)", NULL, NULL, "1986",
	"Ghost Chaser Densei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ghost Chaser Densei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGhostChaserDenseiJapanRomInfo, rGhostChaserDenseiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGhoulPatrolEuropeRomDesc[] = {
	{ "Ghoul Patrol (Europe).sfc",          1048576, 0x2c6cefe7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGhoulPatrolEurope)
STD_ROM_FN(rGhoulPatrolEurope)

struct BurnDriver BurnDrvrGhoulPatrolEurope = {
	"Ghoul Patrol (Europe)", NULL, NULL, "1986",
	"Ghoul Patrol (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ghoul Patrol (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGhoulPatrolEuropeRomInfo, rGhoulPatrolEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGhoulPatrolJapanRomDesc[] = {
	{ "Ghoul Patrol (Japan).sfc",          1048576, 0x5519af34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGhoulPatrolJapan)
STD_ROM_FN(rGhoulPatrolJapan)

struct BurnDriver BurnDrvrGhoulPatrolJapan = {
	"Ghoul Patrol (Japan)", NULL, NULL, "1986",
	"Ghoul Patrol (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ghoul Patrol (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGhoulPatrolJapanRomInfo, rGhoulPatrolJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGhoulPatrolUSARomDesc[] = {
	{ "Ghoul Patrol (USA).sfc",          1048576, 0xea16b5a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGhoulPatrolUSA)
STD_ROM_FN(rGhoulPatrolUSA)

struct BurnDriver BurnDrvrGhoulPatrolUSA = {
	"Ghoul Patrol (USA)", NULL, NULL, "1986",
	"Ghoul Patrol (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ghoul Patrol (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGhoulPatrolUSARomInfo, rGhoulPatrolUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGindamaOyakatanoPachinkoHisshouhouJapanRev1RomDesc[] = {
	{ "Gindama Oyakata no Pachinko Hisshouhou (Japan) (Rev 1).sfc",          1572864, 0xb8c7a417, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGindamaOyakatanoPachinkoHisshouhouJapanRev1)
STD_ROM_FN(rGindamaOyakatanoPachinkoHisshouhouJapanRev1)

struct BurnDriver BurnDrvrGindamaOyakatanoPachinkoHisshouhouJapanRev1 = {
	"Gindama Oyakata no Pachinko Hisshouhou (Japan) (Rev 1)", NULL, NULL, "1986",
	"Gindama Oyakata no Pachinko Hisshouhou (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gindama Oyakata no Pachinko Hisshouhou (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGindamaOyakatanoPachinkoHisshouhouJapanRev1RomInfo, rGindamaOyakatanoPachinkoHisshouhouJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGindamaOyakatanoPachinkoHisshouhouJapanRomDesc[] = {
	{ "Gindama Oyakata no Pachinko Hisshouhou (Japan).sfc",          1572864, 0x7adacc49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGindamaOyakatanoPachinkoHisshouhouJapan)
STD_ROM_FN(rGindamaOyakatanoPachinkoHisshouhouJapan)

struct BurnDriver BurnDrvrGindamaOyakatanoPachinkoHisshouhouJapan = {
	"Gindama Oyakata no Pachinko Hisshouhou (Japan)", NULL, NULL, "1986",
	"Gindama Oyakata no Pachinko Hisshouhou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gindama Oyakata no Pachinko Hisshouhou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGindamaOyakatanoPachinkoHisshouhouJapanRomInfo, rGindamaOyakatanoPachinkoHisshouhouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGingaEiyuuDensetsuJapanRomDesc[] = {
	{ "Ginga Eiyuu Densetsu (Japan).sfc",          1048576, 0x2e480eef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGingaEiyuuDensetsuJapan)
STD_ROM_FN(rGingaEiyuuDensetsuJapan)

struct BurnDriver BurnDrvrGingaEiyuuDensetsuJapan = {
	"Ginga Eiyuu Densetsu (Japan)", NULL, NULL, "1986",
	"Ginga Eiyuu Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ginga Eiyuu Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGingaEiyuuDensetsuJapanRomInfo, rGingaEiyuuDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGingaSengokuGunyuudenRaiJapanRomDesc[] = {
	{ "Ginga Sengoku Gunyuuden Rai (Japan).sfc",          2097152, 0x98f76260, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGingaSengokuGunyuudenRaiJapan)
STD_ROM_FN(rGingaSengokuGunyuudenRaiJapan)

struct BurnDriver BurnDrvrGingaSengokuGunyuudenRaiJapan = {
	"Ginga Sengoku Gunyuuden Rai (Japan)", NULL, NULL, "1986",
	"Ginga Sengoku Gunyuuden Rai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ginga Sengoku Gunyuuden Rai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGingaSengokuGunyuudenRaiJapanRomInfo, rGingaSengokuGunyuudenRaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGionbanaJapanRomDesc[] = {
	{ "Gionbana (Japan).sfc",          1048576, 0x19309a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGionbanaJapan)
STD_ROM_FN(rGionbanaJapan)

struct BurnDriver BurnDrvrGionbanaJapan = {
	"Gionbana (Japan)", NULL, NULL, "1986",
	"Gionbana (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gionbana (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGionbanaJapanRomInfo, rGionbanaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoGoAckmanJapanRomDesc[] = {
	{ "Go Go Ackman (Japan).sfc",          1310720, 0x26fb2d11, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoGoAckmanJapan)
STD_ROM_FN(rGoGoAckmanJapan)

struct BurnDriver BurnDrvrGoGoAckmanJapan = {
	"Go Go Ackman (Japan)", NULL, NULL, "1986",
	"Go Go Ackman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Go Go Ackman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoGoAckmanJapanRomInfo, rGoGoAckmanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoGoAckman2JapanRomDesc[] = {
	{ "Go Go Ackman 2 (Japan).sfc",          1572864, 0x76c7aa37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoGoAckman2Japan)
STD_ROM_FN(rGoGoAckman2Japan)

struct BurnDriver BurnDrvrGoGoAckman2Japan = {
	"Go Go Ackman 2 (Japan)", NULL, NULL, "1986",
	"Go Go Ackman 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Go Go Ackman 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoGoAckman2JapanRomInfo, rGoGoAckman2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoGoAckman3JapanRomDesc[] = {
	{ "Go Go Ackman 3 (Japan).sfc",          2097152, 0x9a18290c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoGoAckman3Japan)
STD_ROM_FN(rGoGoAckman3Japan)

struct BurnDriver BurnDrvrGoGoAckman3Japan = {
	"Go Go Ackman 3 (Japan)", NULL, NULL, "1986",
	"Go Go Ackman 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Go Go Ackman 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoGoAckman3JapanRomInfo, rGoGoAckman3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoGoDodgeLeagueJapanRev1RomDesc[] = {
	{ "Go! Go! Dodge League (Japan) (Rev 1).sfc",          524288, 0x6e6e66d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoGoDodgeLeagueJapanRev1)
STD_ROM_FN(rGoGoDodgeLeagueJapanRev1)

struct BurnDriver BurnDrvrGoGoDodgeLeagueJapanRev1 = {
	"Go! Go! Dodge League (Japan) (Rev 1)", NULL, NULL, "1986",
	"Go! Go! Dodge League (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Go! Go! Dodge League (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoGoDodgeLeagueJapanRev1RomInfo, rGoGoDodgeLeagueJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoGoDodgeLeagueJapanRomDesc[] = {
	{ "Go! Go! Dodge League (Japan).sfc",          524288, 0x184b07dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoGoDodgeLeagueJapan)
STD_ROM_FN(rGoGoDodgeLeagueJapan)

struct BurnDriver BurnDrvrGoGoDodgeLeagueJapan = {
	"Go! Go! Dodge League (Japan)", NULL, NULL, "1986",
	"Go! Go! Dodge League (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Go! Go! Dodge League (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoGoDodgeLeagueJapanRomInfo, rGoGoDodgeLeagueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoalUSARomDesc[] = {
	{ "Goal! (USA).sfc",          1048576, 0x935ea22c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoalUSA)
STD_ROM_FN(rGoalUSA)

struct BurnDriver BurnDrvrGoalUSA = {
	"Goal! (USA)", NULL, NULL, "1986",
	"Goal! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goal! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoalUSARomInfo, rGoalUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGodsEuropeRomDesc[] = {
	{ "Gods (Europe).sfc",          1048576, 0x16416bb5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGodsEurope)
STD_ROM_FN(rGodsEurope)

struct BurnDriver BurnDrvrGodsEurope = {
	"Gods (Europe)", NULL, NULL, "1986",
	"Gods (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gods (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGodsEuropeRomInfo, rGodsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGodsUSARomDesc[] = {
	{ "Gods (USA).sfc",          1048576, 0x6779970f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGodsUSA)
STD_ROM_FN(rGodsUSA)

struct BurnDriver BurnDrvrGodsUSA = {
	"Gods (USA)", NULL, NULL, "1986",
	"Gods (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gods (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGodsUSARomInfo, rGodsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGodzillaKaijuuDaikessenJapanRomDesc[] = {
	{ "Godzilla - Kaijuu Daikessen (Japan).sfc",          2621440, 0x29ce8e57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGodzillaKaijuuDaikessenJapan)
STD_ROM_FN(rGodzillaKaijuuDaikessenJapan)

struct BurnDriver BurnDrvrGodzillaKaijuuDaikessenJapan = {
	"Godzilla - Kaijuu Daikessen (Japan)", NULL, NULL, "1986",
	"Godzilla - Kaijuu Daikessen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Godzilla - Kaijuu Daikessen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGodzillaKaijuuDaikessenJapanRomInfo, rGodzillaKaijuuDaikessenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGokinjoBoukentaiJapanRomDesc[] = {
	{ "Gokinjo Boukentai (Japan).sfc",          2621440, 0x33374f65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGokinjoBoukentaiJapan)
STD_ROM_FN(rGokinjoBoukentaiJapan)

struct BurnDriver BurnDrvrGokinjoBoukentaiJapan = {
	"Gokinjo Boukentai (Japan)", NULL, NULL, "1986",
	"Gokinjo Boukentai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gokinjo Boukentai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGokinjoBoukentaiJapanRomInfo, rGokinjoBoukentaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGokujouParodiusJapanBetaRomDesc[] = {
	{ "Gokujou Parodius (Japan) (Beta).sfc",          2097152, 0x56fe0a74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGokujouParodiusJapanBeta)
STD_ROM_FN(rGokujouParodiusJapanBeta)

struct BurnDriver BurnDrvrGokujouParodiusJapanBeta = {
	"Gokujou Parodius (Japan) (Beta)", NULL, NULL, "1986",
	"Gokujou Parodius (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gokujou Parodius (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGokujouParodiusJapanBetaRomInfo, rGokujouParodiusJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGokujouParodiusJapanRomDesc[] = {
	{ "Gokujou Parodius (Japan).sfc",          2097152, 0x4ee98ed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGokujouParodiusJapan)
STD_ROM_FN(rGokujouParodiusJapan)

struct BurnDriver BurnDrvrGokujouParodiusJapan = {
	"Gokujou Parodius (Japan)", NULL, NULL, "1986",
	"Gokujou Parodius (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gokujou Parodius (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGokujouParodiusJapanRomInfo, rGokujouParodiusJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGolfDaisukiOBClubJapanBSRomDesc[] = {
	{ "Golf Daisuki! O.B. Club (Japan) (BS).sfc",          1048576, 0xdc00efeb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGolfDaisukiOBClubJapanBS)
STD_ROM_FN(rGolfDaisukiOBClubJapanBS)

struct BurnDriver BurnDrvrGolfDaisukiOBClubJapanBS = {
	"Golf Daisuki! O.B. Club (Japan) (BS)", NULL, NULL, "1986",
	"Golf Daisuki! O.B. Club (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Golf Daisuki! O.B. Club (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGolfDaisukiOBClubJapanBSRomInfo, rGolfDaisukiOBClubJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGonJapanRomDesc[] = {
	{ "Gon (Japan).sfc",          1048576, 0x426881a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGonJapan)
STD_ROM_FN(rGonJapan)

struct BurnDriver BurnDrvrGonJapan = {
	"Gon (Japan)", NULL, NULL, "1986",
	"Gon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGonJapanRomInfo, rGonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoodsPress3GatsugouJapanBSRomDesc[] = {
	{ "GoodsPress - 3 Gatsugou (Japan) (BS).sfc",          1048576, 0xe328adee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoodsPress3GatsugouJapanBS)
STD_ROM_FN(rGoodsPress3GatsugouJapanBS)

struct BurnDriver BurnDrvrGoodsPress3GatsugouJapanBS = {
	"GoodsPress - 3 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"GoodsPress - 3 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"GoodsPress - 3 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoodsPress3GatsugouJapanBSRomInfo, rGoodsPress3GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoodsPress6GatsugouJapanBSRomDesc[] = {
	{ "GoodsPress - 6 Gatsugou (Japan) (BS).sfc",          524288, 0xfba1273b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoodsPress6GatsugouJapanBS)
STD_ROM_FN(rGoodsPress6GatsugouJapanBS)

struct BurnDriver BurnDrvrGoodsPress6GatsugouJapanBS = {
	"GoodsPress - 6 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"GoodsPress - 6 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"GoodsPress - 6 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoodsPress6GatsugouJapanBSRomInfo, rGoodsPress6GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoodsPress7GatsugouJapanBSRomDesc[] = {
	{ "GoodsPress - 7 Gatsugou (Japan) (BS).sfc",          1048576, 0x83611a0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoodsPress7GatsugouJapanBS)
STD_ROM_FN(rGoodsPress7GatsugouJapanBS)

struct BurnDriver BurnDrvrGoodsPress7GatsugouJapanBS = {
	"GoodsPress - 7 Gatsugou (Japan) (BS)", NULL, NULL, "1986",
	"GoodsPress - 7 Gatsugou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"GoodsPress - 7 Gatsugou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoodsPress7GatsugouJapanBSRomInfo, rGoodsPress7GatsugouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoofTroopEuropeRomDesc[] = {
	{ "Goof Troop (Europe).sfc",          524288, 0x61e8f56a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoofTroopEurope)
STD_ROM_FN(rGoofTroopEurope)

struct BurnDriver BurnDrvrGoofTroopEurope = {
	"Goof Troop (Europe)", NULL, NULL, "1986",
	"Goof Troop (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goof Troop (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoofTroopEuropeRomInfo, rGoofTroopEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoofTroopFranceRomDesc[] = {
	{ "Goof Troop (France).sfc",          524288, 0x4fe6077a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoofTroopFrance)
STD_ROM_FN(rGoofTroopFrance)

struct BurnDriver BurnDrvrGoofTroopFrance = {
	"Goof Troop (France)", NULL, NULL, "1986",
	"Goof Troop (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goof Troop (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoofTroopFranceRomInfo, rGoofTroopFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoofTroopGermanyRomDesc[] = {
	{ "Goof Troop (Germany).sfc",          524288, 0xaa69ef05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoofTroopGermany)
STD_ROM_FN(rGoofTroopGermany)

struct BurnDriver BurnDrvrGoofTroopGermany = {
	"Goof Troop (Germany)", NULL, NULL, "1986",
	"Goof Troop (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goof Troop (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoofTroopGermanyRomInfo, rGoofTroopGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoofTroopUSARomDesc[] = {
	{ "Goof Troop (USA).sfc",          524288, 0x4aafa462, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoofTroopUSA)
STD_ROM_FN(rGoofTroopUSA)

struct BurnDriver BurnDrvrGoofTroopUSA = {
	"Goof Troop (USA)", NULL, NULL, "1986",
	"Goof Troop (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goof Troop (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoofTroopUSARomInfo, rGoofTroopUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGoofytoMaxKaizokujimanoDaiboukenJapanRomDesc[] = {
	{ "Goofy to Max - Kaizoku-jima no Daibouken (Japan).sfc",          524288, 0xd3279aac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGoofytoMaxKaizokujimanoDaiboukenJapan)
STD_ROM_FN(rGoofytoMaxKaizokujimanoDaiboukenJapan)

struct BurnDriver BurnDrvrGoofytoMaxKaizokujimanoDaiboukenJapan = {
	"Goofy to Max - Kaizoku-jima no Daibouken (Japan)", NULL, NULL, "1986",
	"Goofy to Max - Kaizoku-jima no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Goofy to Max - Kaizoku-jima no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGoofytoMaxKaizokujimanoDaiboukenJapanRomInfo, rGoofytoMaxKaizokujimanoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGouketsujiIchizokuJapanRomDesc[] = {
	{ "Gouketsuji Ichizoku (Japan).sfc",          3145728, 0xbaf084ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGouketsujiIchizokuJapan)
STD_ROM_FN(rGouketsujiIchizokuJapan)

struct BurnDriver BurnDrvrGouketsujiIchizokuJapan = {
	"Gouketsuji Ichizoku (Japan)", NULL, NULL, "1986",
	"Gouketsuji Ichizoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gouketsuji Ichizoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGouketsujiIchizokuJapanRomInfo, rGouketsujiIchizokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGourmetSentaiBarayarouJapanRomDesc[] = {
	{ "Gourmet Sentai Barayarou (Japan).sfc",          2097152, 0x9f717d76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGourmetSentaiBarayarouJapan)
STD_ROM_FN(rGourmetSentaiBarayarouJapan)

struct BurnDriver BurnDrvrGourmetSentaiBarayarouJapan = {
	"Gourmet Sentai Barayarou (Japan)", NULL, NULL, "1986",
	"Gourmet Sentai Barayarou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gourmet Sentai Barayarou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGourmetSentaiBarayarouJapanRomInfo, rGourmetSentaiBarayarouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGousouJinraiDensetsuMushaJapanRomDesc[] = {
	{ "Gousou Jinrai Densetsu - Musha (Japan).sfc",          1048576, 0x342f1c02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGousouJinraiDensetsuMushaJapan)
STD_ROM_FN(rGousouJinraiDensetsuMushaJapan)

struct BurnDriver BurnDrvrGousouJinraiDensetsuMushaJapan = {
	"Gousou Jinrai Densetsu - Musha (Japan)", NULL, NULL, "1986",
	"Gousou Jinrai Densetsu - Musha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gousou Jinrai Densetsu - Musha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGousouJinraiDensetsuMushaJapanRomInfo, rGousouJinraiDensetsuMushaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGP1EuropeRomDesc[] = {
	{ "GP-1 (Europe).sfc",          1048576, 0xd013316b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGP1Europe)
STD_ROM_FN(rGP1Europe)

struct BurnDriver BurnDrvrGP1Europe = {
	"GP-1 (Europe)", NULL, NULL, "1986",
	"GP-1 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"GP-1 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGP1EuropeRomInfo, rGP1EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGP1JapanRomDesc[] = {
	{ "GP-1 (Japan).sfc",          1048576, 0x1895299c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGP1Japan)
STD_ROM_FN(rGP1Japan)

struct BurnDriver BurnDrvrGP1Japan = {
	"GP-1 (Japan)", NULL, NULL, "1986",
	"GP-1 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"GP-1 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGP1JapanRomInfo, rGP1JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGP1USARomDesc[] = {
	{ "GP-1 (USA).sfc",          1048576, 0x14bbc357, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGP1USA)
STD_ROM_FN(rGP1USA)

struct BurnDriver BurnDrvrGP1USA = {
	"GP-1 (USA)", NULL, NULL, "1986",
	"GP-1 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"GP-1 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGP1USARomInfo, rGP1USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGP1PartIIUSARomDesc[] = {
	{ "GP-1 - Part II (USA).sfc",          1572864, 0xa9014e12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGP1PartIIUSA)
STD_ROM_FN(rGP1PartIIUSA)

struct BurnDriver BurnDrvrGP1PartIIUSA = {
	"GP-1 - Part II (USA)", NULL, NULL, "1986",
	"GP-1 - Part II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"GP-1 - Part II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGP1PartIIUSARomInfo, rGP1PartIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGP1RSRapidStreamJapanRomDesc[] = {
	{ "GP-1 RS - Rapid Stream (Japan).sfc",          1572864, 0xd4488768, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGP1RSRapidStreamJapan)
STD_ROM_FN(rGP1RSRapidStreamJapan)

struct BurnDriver BurnDrvrGP1RSRapidStreamJapan = {
	"GP-1 RS - Rapid Stream (Japan)", NULL, NULL, "1986",
	"GP-1 RS - Rapid Stream (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"GP-1 RS - Rapid Stream (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGP1RSRapidStreamJapanRomInfo, rGP1RSRapidStreamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGradiusIIIJapanRomDesc[] = {
	{ "Gradius III (Japan).sfc",          524288, 0xbca9ab02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGradiusIIIJapan)
STD_ROM_FN(rGradiusIIIJapan)

struct BurnDriver BurnDrvrGradiusIIIJapan = {
	"Gradius III (Japan)", NULL, NULL, "1986",
	"Gradius III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gradius III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGradiusIIIJapanRomInfo, rGradiusIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGradiusIIIUSARomDesc[] = {
	{ "Gradius III (USA).sfc",          524288, 0xcd973979, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGradiusIIIUSA)
STD_ROM_FN(rGradiusIIIUSA)

struct BurnDriver BurnDrvrGradiusIIIUSA = {
	"Gradius III (USA)", NULL, NULL, "1986",
	"Gradius III (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Gradius III (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGradiusIIIUSARomInfo, rGradiusIIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGranhistoriaGenshiSekaikiJapanRomDesc[] = {
	{ "Granhistoria - Genshi Sekaiki (Japan).sfc",          2097152, 0x4aa7f384, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGranhistoriaGenshiSekaikiJapan)
STD_ROM_FN(rGranhistoriaGenshiSekaikiJapan)

struct BurnDriver BurnDrvrGranhistoriaGenshiSekaikiJapan = {
	"Granhistoria - Genshi Sekaiki (Japan)", NULL, NULL, "1986",
	"Granhistoria - Genshi Sekaiki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Granhistoria - Genshi Sekaiki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGranhistoriaGenshiSekaikiJapanRomInfo, rGranhistoriaGenshiSekaikiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleGaiden2TheMatsuridaWasshoiJapanRomDesc[] = {
	{ "Great Battle Gaiden 2, The - Matsuri da Wasshoi (Japan).sfc",          1310720, 0x83806e38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleGaiden2TheMatsuridaWasshoiJapan)
STD_ROM_FN(rGreatBattleGaiden2TheMatsuridaWasshoiJapan)

struct BurnDriver BurnDrvrGreatBattleGaiden2TheMatsuridaWasshoiJapan = {
	"Great Battle Gaiden 2, The - Matsuri da Wasshoi (Japan)", NULL, NULL, "1986",
	"Great Battle Gaiden 2, The - Matsuri da Wasshoi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle Gaiden 2, The - Matsuri da Wasshoi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleGaiden2TheMatsuridaWasshoiJapanRomInfo, rGreatBattleGaiden2TheMatsuridaWasshoiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleIITheLastFighterTwinJapanRomDesc[] = {
	{ "Great Battle II, The - Last Fighter Twin (Japan).sfc",          1048576, 0x8254a32e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleIITheLastFighterTwinJapan)
STD_ROM_FN(rGreatBattleIITheLastFighterTwinJapan)

struct BurnDriver BurnDrvrGreatBattleIITheLastFighterTwinJapan = {
	"Great Battle II, The - Last Fighter Twin (Japan)", NULL, NULL, "1986",
	"Great Battle II, The - Last Fighter Twin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle II, The - Last Fighter Twin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleIITheLastFighterTwinJapanRomInfo, rGreatBattleIITheLastFighterTwinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleIIITheJapanRomDesc[] = {
	{ "Great Battle III, The (Japan).sfc",          1310720, 0xb311df48, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleIIITheJapan)
STD_ROM_FN(rGreatBattleIIITheJapan)

struct BurnDriver BurnDrvrGreatBattleIIITheJapan = {
	"Great Battle III, The (Japan)", NULL, NULL, "1986",
	"Great Battle III, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle III, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleIIITheJapanRomInfo, rGreatBattleIIITheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleIVTheJapanSampleRomDesc[] = {
	{ "Great Battle IV, The (Japan) (Sample).sfc",          1572864, 0x615c4aa7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleIVTheJapanSample)
STD_ROM_FN(rGreatBattleIVTheJapanSample)

struct BurnDriver BurnDrvrGreatBattleIVTheJapanSample = {
	"Great Battle IV, The (Japan) (Sample)", NULL, NULL, "1986",
	"Great Battle IV, The (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle IV, The (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleIVTheJapanSampleRomInfo, rGreatBattleIVTheJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleIVTheJapanRomDesc[] = {
	{ "Great Battle IV, The (Japan).sfc",          1572864, 0xfb165a32, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleIVTheJapan)
STD_ROM_FN(rGreatBattleIVTheJapan)

struct BurnDriver BurnDrvrGreatBattleIVTheJapan = {
	"Great Battle IV, The (Japan)", NULL, NULL, "1986",
	"Great Battle IV, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle IV, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleIVTheJapanRomInfo, rGreatBattleIVTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatBattleVTheJapanRomDesc[] = {
	{ "Great Battle V, The (Japan).sfc",          1572864, 0xbf3c9314, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatBattleVTheJapan)
STD_ROM_FN(rGreatBattleVTheJapan)

struct BurnDriver BurnDrvrGreatBattleVTheJapan = {
	"Great Battle V, The (Japan)", NULL, NULL, "1986",
	"Great Battle V, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Battle V, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatBattleVTheJapanRomInfo, rGreatBattleVTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatCircusMysteryStarringMickeyMinnieTheEuropeRomDesc[] = {
	{ "Great Circus Mystery Starring Mickey & Minnie, The (Europe).sfc",          1572864, 0x7de42137, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatCircusMysteryStarringMickeyMinnieTheEurope)
STD_ROM_FN(rGreatCircusMysteryStarringMickeyMinnieTheEurope)

struct BurnDriver BurnDrvrGreatCircusMysteryStarringMickeyMinnieTheEurope = {
	"Great Circus Mystery Starring Mickey & Minnie, The (Europe)", NULL, NULL, "1986",
	"Great Circus Mystery Starring Mickey & Minnie, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Circus Mystery Starring Mickey & Minnie, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatCircusMysteryStarringMickeyMinnieTheEuropeRomInfo, rGreatCircusMysteryStarringMickeyMinnieTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatCircusMysteryStarringMickeyMinnieTheUSARomDesc[] = {
	{ "Great Circus Mystery Starring Mickey & Minnie, The (USA).sfc",          1572864, 0x1903ea89, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatCircusMysteryStarringMickeyMinnieTheUSA)
STD_ROM_FN(rGreatCircusMysteryStarringMickeyMinnieTheUSA)

struct BurnDriver BurnDrvrGreatCircusMysteryStarringMickeyMinnieTheUSA = {
	"Great Circus Mystery Starring Mickey & Minnie, The (USA)", NULL, NULL, "1986",
	"Great Circus Mystery Starring Mickey & Minnie, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Circus Mystery Starring Mickey & Minnie, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatCircusMysteryStarringMickeyMinnieTheUSARomInfo, rGreatCircusMysteryStarringMickeyMinnieTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGreatWaldoSearchTheUSARomDesc[] = {
	{ "Great Waldo Search, The (USA).sfc",          524288, 0xeb49f246, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGreatWaldoSearchTheUSA)
STD_ROM_FN(rGreatWaldoSearchTheUSA)

struct BurnDriver BurnDrvrGreatWaldoSearchTheUSA = {
	"Great Waldo Search, The (USA)", NULL, NULL, "1986",
	"Great Waldo Search, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Great Waldo Search, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGreatWaldoSearchTheUSARomInfo, rGreatWaldoSearchTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGSMikamiJoreishiwaNiceBodyJapanRomDesc[] = {
	{ "GS Mikami - Joreishi wa Nice Body (Japan).sfc",          1048576, 0x444c9962, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGSMikamiJoreishiwaNiceBodyJapan)
STD_ROM_FN(rGSMikamiJoreishiwaNiceBodyJapan)

struct BurnDriver BurnDrvrGSMikamiJoreishiwaNiceBodyJapan = {
	"GS Mikami - Joreishi wa Nice Body (Japan)", NULL, NULL, "1986",
	"GS Mikami - Joreishi wa Nice Body (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"GS Mikami - Joreishi wa Nice Body (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGSMikamiJoreishiwaNiceBodyJapanRomInfo, rGSMikamiJoreishiwaNiceBodyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGTRacingJapanRomDesc[] = {
	{ "GT Racing (Japan).sfc",          2097152, 0x1f73c832, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGTRacingJapan)
STD_ROM_FN(rGTRacingJapan)

struct BurnDriver BurnDrvrGTRacingJapan = {
	"GT Racing (Japan)", NULL, NULL, "1986",
	"GT Racing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"GT Racing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGTRacingJapanRomInfo, rGTRacingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGunForceBattleFireEngulfedTerrorIslandEuropeProtoRomDesc[] = {
	{ "GunForce - Battle Fire Engulfed Terror Island (Europe) (Proto).sfc",          524288, 0x11af8992, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGunForceBattleFireEngulfedTerrorIslandEuropeProto)
STD_ROM_FN(rGunForceBattleFireEngulfedTerrorIslandEuropeProto)

struct BurnDriver BurnDrvrGunForceBattleFireEngulfedTerrorIslandEuropeProto = {
	"GunForce - Battle Fire Engulfed Terror Island (Europe) (Proto)", NULL, NULL, "1986",
	"GunForce - Battle Fire Engulfed Terror Island (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"GunForce - Battle Fire Engulfed Terror Island (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGunForceBattleFireEngulfedTerrorIslandEuropeProtoRomInfo, rGunForceBattleFireEngulfedTerrorIslandEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGunForceBattleFireEngulfedTerrorIslandJapanRomDesc[] = {
	{ "GunForce - Battle Fire Engulfed Terror Island (Japan).sfc",          524288, 0xeeafd816, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGunForceBattleFireEngulfedTerrorIslandJapan)
STD_ROM_FN(rGunForceBattleFireEngulfedTerrorIslandJapan)

struct BurnDriver BurnDrvrGunForceBattleFireEngulfedTerrorIslandJapan = {
	"GunForce - Battle Fire Engulfed Terror Island (Japan)", NULL, NULL, "1986",
	"GunForce - Battle Fire Engulfed Terror Island (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"GunForce - Battle Fire Engulfed Terror Island (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGunForceBattleFireEngulfedTerrorIslandJapanRomInfo, rGunForceBattleFireEngulfedTerrorIslandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rGunForceBattleFireEngulfedTerrorIslandUSARomDesc[] = {
	{ "GunForce - Battle Fire Engulfed Terror Island (USA).sfc",          524288, 0x6f5c5dc0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rGunForceBattleFireEngulfedTerrorIslandUSA)
STD_ROM_FN(rGunForceBattleFireEngulfedTerrorIslandUSA)

struct BurnDriver BurnDrvrGunForceBattleFireEngulfedTerrorIslandUSA = {
	"GunForce - Battle Fire Engulfed Terror Island (USA)", NULL, NULL, "1986",
	"GunForce - Battle Fire Engulfed Terror Island (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"GunForce - Battle Fire Engulfed Terror Island (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rGunForceBattleFireEngulfedTerrorIslandUSARomInfo, rGunForceBattleFireEngulfedTerrorIslandUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHabuMeijinnoOmoshiroShougiJapanRomDesc[] = {
	{ "Habu Meijin no Omoshiro Shougi (Japan).sfc",          1048576, 0x4c1b8801, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHabuMeijinnoOmoshiroShougiJapan)
STD_ROM_FN(rHabuMeijinnoOmoshiroShougiJapan)

struct BurnDriver BurnDrvrHabuMeijinnoOmoshiroShougiJapan = {
	"Habu Meijin no Omoshiro Shougi (Japan)", NULL, NULL, "1986",
	"Habu Meijin no Omoshiro Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Habu Meijin no Omoshiro Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHabuMeijinnoOmoshiroShougiJapanRomInfo, rHabuMeijinnoOmoshiroShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaganeJapanBetaRomDesc[] = {
	{ "Hagane (Japan) (Beta).sfc",          2097152, 0xf0bc3837, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaganeJapanBeta)
STD_ROM_FN(rHaganeJapanBeta)

struct BurnDriver BurnDrvrHaganeJapanBeta = {
	"Hagane (Japan) (Beta)", NULL, NULL, "1986",
	"Hagane (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hagane (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaganeJapanBetaRomInfo, rHaganeJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaganeJapanRomDesc[] = {
	{ "Hagane (Japan).sfc",          2097152, 0x63245cac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaganeJapan)
STD_ROM_FN(rHaganeJapan)

struct BurnDriver BurnDrvrHaganeJapan = {
	"Hagane (Japan)", NULL, NULL, "1986",
	"Hagane (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hagane (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaganeJapanRomInfo, rHaganeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaganeTheFinalConflictEuropeRomDesc[] = {
	{ "Hagane - The Final Conflict (Europe).sfc",          2097152, 0x7f6ccf00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaganeTheFinalConflictEurope)
STD_ROM_FN(rHaganeTheFinalConflictEurope)

struct BurnDriver BurnDrvrHaganeTheFinalConflictEurope = {
	"Hagane - The Final Conflict (Europe)", NULL, NULL, "1986",
	"Hagane - The Final Conflict (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hagane - The Final Conflict (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaganeTheFinalConflictEuropeRomInfo, rHaganeTheFinalConflictEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaganeTheFinalConflictUSARomDesc[] = {
	{ "Hagane - The Final Conflict (USA).sfc",          2097152, 0x8e0a7034, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaganeTheFinalConflictUSA)
STD_ROM_FN(rHaganeTheFinalConflictUSA)

struct BurnDriver BurnDrvrHaganeTheFinalConflictUSA = {
	"Hagane - The Final Conflict (USA)", NULL, NULL, "1986",
	"Hagane - The Final Conflict (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hagane - The Final Conflict (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaganeTheFinalConflictUSARomInfo, rHaganeTheFinalConflictUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaiseiMahjongRyougaJapanRomDesc[] = {
	{ "Haisei Mahjong - Ryouga (Japan).sfc",          1048576, 0xcf7b57e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaiseiMahjongRyougaJapan)
STD_ROM_FN(rHaiseiMahjongRyougaJapan)

struct BurnDriver BurnDrvrHaiseiMahjongRyougaJapan = {
	"Haisei Mahjong - Ryouga (Japan)", NULL, NULL, "1986",
	"Haisei Mahjong - Ryouga (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Haisei Mahjong - Ryouga (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaiseiMahjongRyougaJapanRomInfo, rHaiseiMahjongRyougaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHakunetsuProYakyuu93GanbaLeagueJapanRomDesc[] = {
	{ "Hakunetsu Pro Yakyuu '93 - Ganba League (Japan).sfc",          1572864, 0xa539cbc8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHakunetsuProYakyuu93GanbaLeagueJapan)
STD_ROM_FN(rHakunetsuProYakyuu93GanbaLeagueJapan)

struct BurnDriver BurnDrvrHakunetsuProYakyuu93GanbaLeagueJapan = {
	"Hakunetsu Pro Yakyuu '93 - Ganba League (Japan)", NULL, NULL, "1986",
	"Hakunetsu Pro Yakyuu '93 - Ganba League (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hakunetsu Pro Yakyuu '93 - Ganba League (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHakunetsuProYakyuu93GanbaLeagueJapanRomInfo, rHakunetsuProYakyuu93GanbaLeagueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHakunetsuProYakyuu94GanbaLeague3JapanRomDesc[] = {
	{ "Hakunetsu Pro Yakyuu '94 - Ganba League 3 (Japan).sfc",          1048576, 0x1b33d93c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHakunetsuProYakyuu94GanbaLeague3Japan)
STD_ROM_FN(rHakunetsuProYakyuu94GanbaLeague3Japan)

struct BurnDriver BurnDrvrHakunetsuProYakyuu94GanbaLeague3Japan = {
	"Hakunetsu Pro Yakyuu '94 - Ganba League 3 (Japan)", NULL, NULL, "1986",
	"Hakunetsu Pro Yakyuu '94 - Ganba League 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hakunetsu Pro Yakyuu '94 - Ganba League 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHakunetsuProYakyuu94GanbaLeague3JapanRomInfo, rHakunetsuProYakyuu94GanbaLeague3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHakunetsuProYakyuuGanbaLeagueJapanRev1RomDesc[] = {
	{ "Hakunetsu Pro Yakyuu - Ganba League (Japan) (Rev 1).sfc",          1048576, 0x702446b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHakunetsuProYakyuuGanbaLeagueJapanRev1)
STD_ROM_FN(rHakunetsuProYakyuuGanbaLeagueJapanRev1)

struct BurnDriver BurnDrvrHakunetsuProYakyuuGanbaLeagueJapanRev1 = {
	"Hakunetsu Pro Yakyuu - Ganba League (Japan) (Rev 1)", NULL, NULL, "1986",
	"Hakunetsu Pro Yakyuu - Ganba League (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hakunetsu Pro Yakyuu - Ganba League (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHakunetsuProYakyuuGanbaLeagueJapanRev1RomInfo, rHakunetsuProYakyuuGanbaLeagueJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHakunetsuProYakyuuGanbaLeagueJapanRomDesc[] = {
	{ "Hakunetsu Pro Yakyuu - Ganba League (Japan).sfc",          1048576, 0xc7168fcb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHakunetsuProYakyuuGanbaLeagueJapan)
STD_ROM_FN(rHakunetsuProYakyuuGanbaLeagueJapan)

struct BurnDriver BurnDrvrHakunetsuProYakyuuGanbaLeagueJapan = {
	"Hakunetsu Pro Yakyuu - Ganba League (Japan)", NULL, NULL, "1986",
	"Hakunetsu Pro Yakyuu - Ganba League (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hakunetsu Pro Yakyuu - Ganba League (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHakunetsuProYakyuuGanbaLeagueJapanRomInfo, rHakunetsuProYakyuuGanbaLeagueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHALsHoleinOneGolfEuropeRomDesc[] = {
	{ "HAL's Hole in One Golf (Europe).sfc",          1048576, 0x27c87d04, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHALsHoleinOneGolfEurope)
STD_ROM_FN(rHALsHoleinOneGolfEurope)

struct BurnDriver BurnDrvrHALsHoleinOneGolfEurope = {
	"HAL's Hole in One Golf (Europe)", NULL, NULL, "1986",
	"HAL's Hole in One Golf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"HAL's Hole in One Golf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHALsHoleinOneGolfEuropeRomInfo, rHALsHoleinOneGolfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHALsHoleinOneGolfUSARomDesc[] = {
	{ "HAL's Hole in One Golf (USA).sfc",          1048576, 0x58752baf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHALsHoleinOneGolfUSA)
STD_ROM_FN(rHALsHoleinOneGolfUSA)

struct BurnDriver BurnDrvrHALsHoleinOneGolfUSA = {
	"HAL's Hole in One Golf (USA)", NULL, NULL, "1986",
	"HAL's Hole in One Golf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"HAL's Hole in One Golf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHALsHoleinOneGolfUSARomInfo, rHALsHoleinOneGolfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHamelnnoViolinHikiJapanRomDesc[] = {
	{ "Hameln no Violin Hiki (Japan).sfc",          1572864, 0xfb500926, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHamelnnoViolinHikiJapan)
STD_ROM_FN(rHamelnnoViolinHikiJapan)

struct BurnDriver BurnDrvrHamelnnoViolinHikiJapan = {
	"Hameln no Violin Hiki (Japan)", NULL, NULL, "1986",
	"Hameln no Violin Hiki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hameln no Violin Hiki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHamelnnoViolinHikiJapanRomInfo, rHamelnnoViolinHikiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHammerlockWrestlingUSARomDesc[] = {
	{ "Hammerlock Wrestling (USA).sfc",          2097152, 0x3d2352ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHammerlockWrestlingUSA)
STD_ROM_FN(rHammerlockWrestlingUSA)

struct BurnDriver BurnDrvrHammerlockWrestlingUSA = {
	"Hammerlock Wrestling (USA)", NULL, NULL, "1986",
	"Hammerlock Wrestling (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hammerlock Wrestling (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHammerlockWrestlingUSARomInfo, rHammerlockWrestlingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHananoKeijiKumonoKanataniJapanRomDesc[] = {
	{ "Hana no Keiji - Kumo no Kanata ni (Japan).sfc",          2097152, 0xdc2b90f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHananoKeijiKumonoKanataniJapan)
STD_ROM_FN(rHananoKeijiKumonoKanataniJapan)

struct BurnDriver BurnDrvrHananoKeijiKumonoKanataniJapan = {
	"Hana no Keiji - Kumo no Kanata ni (Japan)", NULL, NULL, "1986",
	"Hana no Keiji - Kumo no Kanata ni (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hana no Keiji - Kumo no Kanata ni (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHananoKeijiKumonoKanataniJapanRomInfo, rHananoKeijiKumonoKanataniJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHanafudaOuJapanRomDesc[] = {
	{ "Hanafuda Ou (Japan).sfc",          524288, 0x4f453a21, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHanafudaOuJapan)
STD_ROM_FN(rHanafudaOuJapan)

struct BurnDriver BurnDrvrHanafudaOuJapan = {
	"Hanafuda Ou (Japan)", NULL, NULL, "1986",
	"Hanafuda Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hanafuda Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHanafudaOuJapanRomInfo, rHanafudaOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHangukProYaguKoreaRomDesc[] = {
	{ "Hanguk Pro Yagu (Korea).sfc",          1572864, 0xa21fb1d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHangukProYaguKorea)
STD_ROM_FN(rHangukProYaguKorea)

struct BurnDriver BurnDrvrHangukProYaguKorea = {
	"Hanguk Pro Yagu (Korea)", NULL, NULL, "1986",
	"Hanguk Pro Yagu (Korea)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hanguk Pro Yagu (Korea)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHangukProYaguKoreaRomInfo, rHangukProYaguKoreaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHanjukuHeroAhSekaiyoHanjukuNareJapanRomDesc[] = {
	{ "Hanjuku Hero - Ah, Sekai yo Hanjuku Nare...!! (Japan).sfc",          1048576, 0xd191ad46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHanjukuHeroAhSekaiyoHanjukuNareJapan)
STD_ROM_FN(rHanjukuHeroAhSekaiyoHanjukuNareJapan)

struct BurnDriver BurnDrvrHanjukuHeroAhSekaiyoHanjukuNareJapan = {
	"Hanjuku Hero - Ah, Sekai yo Hanjuku Nare...!! (Japan)", NULL, NULL, "1986",
	"Hanjuku Hero - Ah, Sekai yo Hanjuku Nare...!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hanjuku Hero - Ah, Sekai yo Hanjuku Nare...!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHanjukuHeroAhSekaiyoHanjukuNareJapanRomInfo, rHanjukuHeroAhSekaiyoHanjukuNareJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHanseiZaruJirokunnoDaiboukenJapanRomDesc[] = {
	{ "Hansei Zaru Jiro-kun no Daibouken (Japan).sfc",          524288, 0xa7dc25d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHanseiZaruJirokunnoDaiboukenJapan)
STD_ROM_FN(rHanseiZaruJirokunnoDaiboukenJapan)

struct BurnDriver BurnDrvrHanseiZaruJirokunnoDaiboukenJapan = {
	"Hansei Zaru Jiro-kun no Daibouken (Japan)", NULL, NULL, "1986",
	"Hansei Zaru Jiro-kun no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hansei Zaru Jiro-kun no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHanseiZaruJirokunnoDaiboukenJapanRomInfo, rHanseiZaruJirokunnoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaouTaikeiRyuuKnightLordofPaladinJapanRev1RomDesc[] = {
	{ "Haou Taikei Ryuu Knight - Lord of Paladin (Japan) (Rev 1).sfc",          1572864, 0x2740560b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaouTaikeiRyuuKnightLordofPaladinJapanRev1)
STD_ROM_FN(rHaouTaikeiRyuuKnightLordofPaladinJapanRev1)

struct BurnDriver BurnDrvrHaouTaikeiRyuuKnightLordofPaladinJapanRev1 = {
	"Haou Taikei Ryuu Knight - Lord of Paladin (Japan) (Rev 1)", NULL, NULL, "1986",
	"Haou Taikei Ryuu Knight - Lord of Paladin (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Haou Taikei Ryuu Knight - Lord of Paladin (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaouTaikeiRyuuKnightLordofPaladinJapanRev1RomInfo, rHaouTaikeiRyuuKnightLordofPaladinJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHaouTaikeiRyuuKnightLordofPaladinJapanRomDesc[] = {
	{ "Haou Taikei Ryuu Knight - Lord of Paladin (Japan).sfc",          1572864, 0xb7b6bef7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHaouTaikeiRyuuKnightLordofPaladinJapan)
STD_ROM_FN(rHaouTaikeiRyuuKnightLordofPaladinJapan)

struct BurnDriver BurnDrvrHaouTaikeiRyuuKnightLordofPaladinJapan = {
	"Haou Taikei Ryuu Knight - Lord of Paladin (Japan)", NULL, NULL, "1986",
	"Haou Taikei Ryuu Knight - Lord of Paladin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Haou Taikei Ryuu Knight - Lord of Paladin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHaouTaikeiRyuuKnightLordofPaladinJapanRomInfo, rHaouTaikeiRyuuKnightLordofPaladinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarapekoBakkaJapanRomDesc[] = {
	{ "Harapeko Bakka (Japan).sfc",          262144, 0x7abdb576, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarapekoBakkaJapan)
STD_ROM_FN(rHarapekoBakkaJapan)

struct BurnDriver BurnDrvrHarapekoBakkaJapan = {
	"Harapeko Bakka (Japan)", NULL, NULL, "1986",
	"Harapeko Bakka (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harapeko Bakka (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarapekoBakkaJapanRomInfo, rHarapekoBakkaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHardBallIIIUSARomDesc[] = {
	{ "HardBall III (USA).sfc",          2097152, 0xf3589b15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHardBallIIIUSA)
STD_ROM_FN(rHardBallIIIUSA)

struct BurnDriver BurnDrvrHardBallIIIUSA = {
	"HardBall III (USA)", NULL, NULL, "1986",
	"HardBall III (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"HardBall III (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHardBallIIIUSARomInfo, rHardBallIIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarleysHumongousAdventureEuropeRomDesc[] = {
	{ "Harley's Humongous Adventure (Europe).sfc",          524288, 0x7715303, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarleysHumongousAdventureEurope)
STD_ROM_FN(rHarleysHumongousAdventureEurope)

struct BurnDriver BurnDrvrHarleysHumongousAdventureEurope = {
	"Harley's Humongous Adventure (Europe)", NULL, NULL, "1986",
	"Harley's Humongous Adventure (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harley's Humongous Adventure (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarleysHumongousAdventureEuropeRomInfo, rHarleysHumongousAdventureEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarleysHumongousAdventureUSABetaRomDesc[] = {
	{ "Harley's Humongous Adventure (USA) (Beta).sfc",          524288, 0xf52eacd1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarleysHumongousAdventureUSABeta)
STD_ROM_FN(rHarleysHumongousAdventureUSABeta)

struct BurnDriver BurnDrvrHarleysHumongousAdventureUSABeta = {
	"Harley's Humongous Adventure (USA) (Beta)", NULL, NULL, "1986",
	"Harley's Humongous Adventure (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harley's Humongous Adventure (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarleysHumongousAdventureUSABetaRomInfo, rHarleysHumongousAdventureUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarleysHumongousAdventureUSARomDesc[] = {
	{ "Harley's Humongous Adventure (USA).sfc",          524288, 0x91e0c960, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarleysHumongousAdventureUSA)
STD_ROM_FN(rHarleysHumongousAdventureUSA)

struct BurnDriver BurnDrvrHarleysHumongousAdventureUSA = {
	"Harley's Humongous Adventure (USA)", NULL, NULL, "1986",
	"Harley's Humongous Adventure (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harley's Humongous Adventure (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarleysHumongousAdventureUSARomInfo, rHarleysHumongousAdventureUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarvestMoonEuropeRomDesc[] = {
	{ "Harvest Moon (Europe).sfc",          2097152, 0xd54e1452, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarvestMoonEurope)
STD_ROM_FN(rHarvestMoonEurope)

struct BurnDriver BurnDrvrHarvestMoonEurope = {
	"Harvest Moon (Europe)", NULL, NULL, "1986",
	"Harvest Moon (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harvest Moon (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarvestMoonEuropeRomInfo, rHarvestMoonEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarvestMoonGermanyRomDesc[] = {
	{ "Harvest Moon (Germany).sfc",          2097152, 0x3c1037c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarvestMoonGermany)
STD_ROM_FN(rHarvestMoonGermany)

struct BurnDriver BurnDrvrHarvestMoonGermany = {
	"Harvest Moon (Germany)", NULL, NULL, "1986",
	"Harvest Moon (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harvest Moon (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarvestMoonGermanyRomInfo, rHarvestMoonGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHarvestMoonUSARomDesc[] = {
	{ "Harvest Moon (USA).sfc",          2097152, 0xf829129e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHarvestMoonUSA)
STD_ROM_FN(rHarvestMoonUSA)

struct BurnDriver BurnDrvrHarvestMoonUSA = {
	"Harvest Moon (USA)", NULL, NULL, "1986",
	"Harvest Moon (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Harvest Moon (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHarvestMoonUSARomInfo, rHarvestMoonUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHashireHeberekeJapanRomDesc[] = {
	{ "Hashire Hebereke (Japan).sfc",          1310720, 0xdd792499, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHashireHeberekeJapan)
STD_ROM_FN(rHashireHeberekeJapan)

struct BurnDriver BurnDrvrHashireHeberekeJapan = {
	"Hashire Hebereke (Japan)", NULL, NULL, "1986",
	"Hashire Hebereke (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hashire Hebereke (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHashireHeberekeJapanRomInfo, rHashireHeberekeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHatTrickHeroJapanRomDesc[] = {
	{ "Hat Trick Hero (Japan).sfc",          524288, 0xfce8a74d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHatTrickHeroJapan)
STD_ROM_FN(rHatTrickHeroJapan)

struct BurnDriver BurnDrvrHatTrickHeroJapan = {
	"Hat Trick Hero (Japan)", NULL, NULL, "1986",
	"Hat Trick Hero (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hat Trick Hero (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHatTrickHeroJapanRomInfo, rHatTrickHeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHatTrickHero2JapanRomDesc[] = {
	{ "Hat Trick Hero 2 (Japan).sfc",          1048576, 0x19e67dff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHatTrickHero2Japan)
STD_ROM_FN(rHatTrickHero2Japan)

struct BurnDriver BurnDrvrHatTrickHero2Japan = {
	"Hat Trick Hero 2 (Japan)", NULL, NULL, "1986",
	"Hat Trick Hero 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hat Trick Hero 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHatTrickHero2JapanRomInfo, rHatTrickHero2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHatayamaHatchnoProYakyuuNewsJitsumeiBanJapanRomDesc[] = {
	{ "Hatayama Hatch no Pro Yakyuu News! - Jitsumei Ban (Japan).sfc",          1048576, 0x7a585763, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHatayamaHatchnoProYakyuuNewsJitsumeiBanJapan)
STD_ROM_FN(rHatayamaHatchnoProYakyuuNewsJitsumeiBanJapan)

struct BurnDriver BurnDrvrHatayamaHatchnoProYakyuuNewsJitsumeiBanJapan = {
	"Hatayama Hatch no Pro Yakyuu News! - Jitsumei Ban (Japan)", NULL, NULL, "1986",
	"Hatayama Hatch no Pro Yakyuu News! - Jitsumei Ban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hatayama Hatch no Pro Yakyuu News! - Jitsumei Ban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHatayamaHatchnoProYakyuuNewsJitsumeiBanJapanRomInfo, rHatayamaHatchnoProYakyuuNewsJitsumeiBanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHayazashiNidanMoritaShougiJapanRomDesc[] = {
	{ "Hayazashi Nidan Morita Shougi (Japan).sfc",          524288, 0x81e822ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHayazashiNidanMoritaShougiJapan)
STD_ROM_FN(rHayazashiNidanMoritaShougiJapan)

struct BurnDriver BurnDrvrHayazashiNidanMoritaShougiJapan = {
	"Hayazashi Nidan Morita Shougi (Japan)", NULL, NULL, "1986",
	"Hayazashi Nidan Morita Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hayazashi Nidan Morita Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHayazashiNidanMoritaShougiJapanRomInfo, rHayazashiNidanMoritaShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHayazashiNidanMoritaShougi2JapanRomDesc[] = {
	{ "Hayazashi Nidan Morita Shougi 2 (Japan).sfc",          524288, 0xdd852671, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHayazashiNidanMoritaShougi2Japan)
STD_ROM_FN(rHayazashiNidanMoritaShougi2Japan)

struct BurnDriver BurnDrvrHayazashiNidanMoritaShougi2Japan = {
	"Hayazashi Nidan Morita Shougi 2 (Japan)", NULL, NULL, "1986",
	"Hayazashi Nidan Morita Shougi 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hayazashi Nidan Morita Shougi 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHayazashiNidanMoritaShougi2JapanRomInfo, rHayazashiNidanMoritaShougi2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeadOnSoccerUSARomDesc[] = {
	{ "Head-On Soccer (USA).sfc",          2097152, 0x60dc3634, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeadOnSoccerUSA)
STD_ROM_FN(rHeadOnSoccerUSA)

struct BurnDriver BurnDrvrHeadOnSoccerUSA = {
	"Head-On Soccer (USA)", NULL, NULL, "1986",
	"Head-On Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Head-On Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeadOnSoccerUSARomInfo, rHeadOnSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeberekenoOishiiPuzzlewaIrimasenkaJapanRomDesc[] = {
	{ "Hebereke no Oishii Puzzle wa Irimasenka (Japan).sfc",          1310720, 0xb94ccd4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeberekenoOishiiPuzzlewaIrimasenkaJapan)
STD_ROM_FN(rHeberekenoOishiiPuzzlewaIrimasenkaJapan)

struct BurnDriver BurnDrvrHeberekenoOishiiPuzzlewaIrimasenkaJapan = {
	"Hebereke no Oishii Puzzle wa Irimasenka (Japan)", NULL, NULL, "1986",
	"Hebereke no Oishii Puzzle wa Irimasenka (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hebereke no Oishii Puzzle wa Irimasenka (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeberekenoOishiiPuzzlewaIrimasenkaJapanRomInfo, rHeberekenoOishiiPuzzlewaIrimasenkaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeberekenoPopoonJapanRomDesc[] = {
	{ "Hebereke no Popoon (Japan).sfc",          1048576, 0x890d9c9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeberekenoPopoonJapan)
STD_ROM_FN(rHeberekenoPopoonJapan)

struct BurnDriver BurnDrvrHeberekenoPopoonJapan = {
	"Hebereke no Popoon (Japan)", NULL, NULL, "1986",
	"Hebereke no Popoon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hebereke no Popoon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeberekenoPopoonJapanRomInfo, rHeberekenoPopoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeberekesPopoittoEuropeRomDesc[] = {
	{ "Hebereke's Popoitto (Europe).sfc",          524288, 0xce626ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeberekesPopoittoEurope)
STD_ROM_FN(rHeberekesPopoittoEurope)

struct BurnDriver BurnDrvrHeberekesPopoittoEurope = {
	"Hebereke's Popoitto (Europe)", NULL, NULL, "1986",
	"Hebereke's Popoitto (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hebereke's Popoitto (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeberekesPopoittoEuropeRomInfo, rHeberekesPopoittoEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeberekesPopoonEuropeRomDesc[] = {
	{ "Hebereke's Popoon (Europe).sfc",          1048576, 0x7a313722, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeberekesPopoonEurope)
STD_ROM_FN(rHeberekesPopoonEurope)

struct BurnDriver BurnDrvrHeberekesPopoonEurope = {
	"Hebereke's Popoon (Europe)", NULL, NULL, "1986",
	"Hebereke's Popoon (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hebereke's Popoon (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeberekesPopoonEuropeRomInfo, rHeberekesPopoonEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeianFuuundenJapanRomDesc[] = {
	{ "Heian Fuuunden (Japan).sfc",          1572864, 0x4640d1a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeianFuuundenJapan)
STD_ROM_FN(rHeianFuuundenJapan)

struct BurnDriver BurnDrvrHeianFuuundenJapan = {
	"Heian Fuuunden (Japan)", NULL, NULL, "1986",
	"Heian Fuuunden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heian Fuuunden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeianFuuundenJapanRomInfo, rHeianFuuundenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiseiGunjinShougiJapanBSRomDesc[] = {
	{ "Heisei Gunjin Shougi (Japan) (BS).sfc",          524288, 0x63f948db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiseiGunjinShougiJapanBS)
STD_ROM_FN(rHeiseiGunjinShougiJapanBS)

struct BurnDriver BurnDrvrHeiseiGunjinShougiJapanBS = {
	"Heisei Gunjin Shougi (Japan) (BS)", NULL, NULL, "1986",
	"Heisei Gunjin Shougi (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heisei Gunjin Shougi (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiseiGunjinShougiJapanBSRomInfo, rHeiseiGunjinShougiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiseiGunjinShougiJapanRomDesc[] = {
	{ "Heisei Gunjin Shougi (Japan).sfc",          524288, 0x10bca5e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiseiGunjinShougiJapan)
STD_ROM_FN(rHeiseiGunjinShougiJapan)

struct BurnDriver BurnDrvrHeiseiGunjinShougiJapan = {
	"Heisei Gunjin Shougi (Japan)", NULL, NULL, "1986",
	"Heisei Gunjin Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heisei Gunjin Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiseiGunjinShougiJapanRomInfo, rHeiseiGunjinShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiseiInuMonogatariBowPopnSmashJapanRomDesc[] = {
	{ "Heisei Inu Monogatari Bow - Pop'n Smash!! (Japan).sfc",          524288, 0xfe4a2622, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiseiInuMonogatariBowPopnSmashJapan)
STD_ROM_FN(rHeiseiInuMonogatariBowPopnSmashJapan)

struct BurnDriver BurnDrvrHeiseiInuMonogatariBowPopnSmashJapan = {
	"Heisei Inu Monogatari Bow - Pop'n Smash!! (Japan)", NULL, NULL, "1986",
	"Heisei Inu Monogatari Bow - Pop'n Smash!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heisei Inu Monogatari Bow - Pop'n Smash!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiseiInuMonogatariBowPopnSmashJapanRomInfo, rHeiseiInuMonogatariBowPopnSmashJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiseiShinOnigashimaKouhenJapanRomDesc[] = {
	{ "Heisei Shin Onigashima - Kouhen (Japan).sfc",          3145728, 0xe4c28fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiseiShinOnigashimaKouhenJapan)
STD_ROM_FN(rHeiseiShinOnigashimaKouhenJapan)

struct BurnDriver BurnDrvrHeiseiShinOnigashimaKouhenJapan = {
	"Heisei Shin Onigashima - Kouhen (Japan)", NULL, NULL, "1986",
	"Heisei Shin Onigashima - Kouhen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heisei Shin Onigashima - Kouhen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiseiShinOnigashimaKouhenJapanRomInfo, rHeiseiShinOnigashimaKouhenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiseiShinOnigashimaZenpenJapanRomDesc[] = {
	{ "Heisei Shin Onigashima - Zenpen (Japan).sfc",          3145728, 0x1725e556, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiseiShinOnigashimaZenpenJapan)
STD_ROM_FN(rHeiseiShinOnigashimaZenpenJapan)

struct BurnDriver BurnDrvrHeiseiShinOnigashimaZenpenJapan = {
	"Heisei Shin Onigashima - Zenpen (Japan)", NULL, NULL, "1986",
	"Heisei Shin Onigashima - Zenpen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heisei Shin Onigashima - Zenpen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiseiShinOnigashimaZenpenJapanRomInfo, rHeiseiShinOnigashimaZenpenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiwaPachinkoWorldJapanRomDesc[] = {
	{ "Heiwa Pachinko World (Japan).sfc",          1572864, 0xb2a081d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiwaPachinkoWorldJapan)
STD_ROM_FN(rHeiwaPachinkoWorldJapan)

struct BurnDriver BurnDrvrHeiwaPachinkoWorldJapan = {
	"Heiwa Pachinko World (Japan)", NULL, NULL, "1986",
	"Heiwa Pachinko World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heiwa Pachinko World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiwaPachinkoWorldJapanRomInfo, rHeiwaPachinkoWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiwaPachinkoWorld2JapanRomDesc[] = {
	{ "Heiwa Pachinko World 2 (Japan).sfc",          2621440, 0x975766d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiwaPachinkoWorld2Japan)
STD_ROM_FN(rHeiwaPachinkoWorld2Japan)

struct BurnDriver BurnDrvrHeiwaPachinkoWorld2Japan = {
	"Heiwa Pachinko World 2 (Japan)", NULL, NULL, "1986",
	"Heiwa Pachinko World 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heiwa Pachinko World 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiwaPachinkoWorld2JapanRomInfo, rHeiwaPachinkoWorld2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiwaPachinkoWorld3JapanRomDesc[] = {
	{ "Heiwa Pachinko World 3 (Japan).sfc",          3145728, 0x37ff1fdf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiwaPachinkoWorld3Japan)
STD_ROM_FN(rHeiwaPachinkoWorld3Japan)

struct BurnDriver BurnDrvrHeiwaPachinkoWorld3Japan = {
	"Heiwa Pachinko World 3 (Japan)", NULL, NULL, "1986",
	"Heiwa Pachinko World 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heiwa Pachinko World 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiwaPachinkoWorld3JapanRomInfo, rHeiwaPachinkoWorld3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeiwaParlorMini8PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Heiwa Parlor! Mini 8 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0xaaf45e59, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeiwaParlorMini8PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rHeiwaParlorMini8PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrHeiwaParlorMini8PachinkoJikkiSimulationGameJapan = {
	"Heiwa Parlor! Mini 8 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Heiwa Parlor! Mini 8 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heiwa Parlor! Mini 8 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeiwaParlorMini8PachinkoJikkiSimulationGameJapanRomInfo, rHeiwaParlorMini8PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHelloPacManJapanRomDesc[] = {
	{ "Hello! Pac-Man (Japan).sfc",          1572864, 0x318fd8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHelloPacManJapan)
STD_ROM_FN(rHelloPacManJapan)

struct BurnDriver BurnDrvrHelloPacManJapan = {
	"Hello! Pac-Man (Japan)", NULL, NULL, "1986",
	"Hello! Pac-Man (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hello! Pac-Man (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHelloPacManJapanRomInfo, rHelloPacManJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeraclesnoEikouIIIKamigaminoChinmokuJapanRomDesc[] = {
	{ "Heracles no Eikou III - Kamigami no Chinmoku (Japan).sfc",          1048576, 0x61939546, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeraclesnoEikouIIIKamigaminoChinmokuJapan)
STD_ROM_FN(rHeraclesnoEikouIIIKamigaminoChinmokuJapan)

struct BurnDriver BurnDrvrHeraclesnoEikouIIIKamigaminoChinmokuJapan = {
	"Heracles no Eikou III - Kamigami no Chinmoku (Japan)", NULL, NULL, "1986",
	"Heracles no Eikou III - Kamigami no Chinmoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heracles no Eikou III - Kamigami no Chinmoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeraclesnoEikouIIIKamigaminoChinmokuJapanRomInfo, rHeraclesnoEikouIIIKamigaminoChinmokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeraclesnoEikouIVKamigamikaranoOkurimonoJapanRomDesc[] = {
	{ "Heracles no Eikou IV - Kamigami kara no Okurimono (Japan).sfc",          2097152, 0x920a738e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeraclesnoEikouIVKamigamikaranoOkurimonoJapan)
STD_ROM_FN(rHeraclesnoEikouIVKamigamikaranoOkurimonoJapan)

struct BurnDriver BurnDrvrHeraclesnoEikouIVKamigamikaranoOkurimonoJapan = {
	"Heracles no Eikou IV - Kamigami kara no Okurimono (Japan)", NULL, NULL, "1986",
	"Heracles no Eikou IV - Kamigami kara no Okurimono (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Heracles no Eikou IV - Kamigami kara no Okurimono (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeraclesnoEikouIVKamigamikaranoOkurimonoJapanRomInfo, rHeraclesnoEikouIVKamigamikaranoOkurimonoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHeroSenkiProjectOlympusJapanRomDesc[] = {
	{ "Hero Senki - Project Olympus (Japan).sfc",          1572864, 0x789da99c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHeroSenkiProjectOlympusJapan)
STD_ROM_FN(rHeroSenkiProjectOlympusJapan)

struct BurnDriver BurnDrvrHeroSenkiProjectOlympusJapan = {
	"Hero Senki - Project Olympus (Japan)", NULL, NULL, "1986",
	"Hero Senki - Project Olympus (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hero Senki - Project Olympus (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHeroSenkiProjectOlympusJapanRomInfo, rHeroSenkiProjectOlympusJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHinoOujiYamatoTakeruJapanRomDesc[] = {
	{ "Hi no Ouji - Yamato Takeru (Japan).sfc",          3145728, 0x2fc4c8a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHinoOujiYamatoTakeruJapan)
STD_ROM_FN(rHinoOujiYamatoTakeruJapan)

struct BurnDriver BurnDrvrHinoOujiYamatoTakeruJapan = {
	"Hi no Ouji - Yamato Takeru (Japan)", NULL, NULL, "1986",
	"Hi no Ouji - Yamato Takeru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hi no Ouji - Yamato Takeru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHinoOujiYamatoTakeruJapanRomInfo, rHinoOujiYamatoTakeruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHigashioOsamuKanshuuSuperProYakyuuStadiumJapanRomDesc[] = {
	{ "Higashio Osamu Kanshuu Super Pro Yakyuu Stadium (Japan).sfc",          524288, 0x4d6b6c80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHigashioOsamuKanshuuSuperProYakyuuStadiumJapan)
STD_ROM_FN(rHigashioOsamuKanshuuSuperProYakyuuStadiumJapan)

struct BurnDriver BurnDrvrHigashioOsamuKanshuuSuperProYakyuuStadiumJapan = {
	"Higashio Osamu Kanshuu Super Pro Yakyuu Stadium (Japan)", NULL, NULL, "1986",
	"Higashio Osamu Kanshuu Super Pro Yakyuu Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Higashio Osamu Kanshuu Super Pro Yakyuu Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHigashioOsamuKanshuuSuperProYakyuuStadiumJapanRomInfo, rHigashioOsamuKanshuuSuperProYakyuuStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHioudenMamonotachitonoChikaiJapanRomDesc[] = {
	{ "Hiouden - Mamono-tachi to no Chikai (Japan).sfc",          1572864, 0x1d4ae6ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHioudenMamonotachitonoChikaiJapan)
STD_ROM_FN(rHioudenMamonotachitonoChikaiJapan)

struct BurnDriver BurnDrvrHioudenMamonotachitonoChikaiJapan = {
	"Hiouden - Mamono-tachi to no Chikai (Japan)", NULL, NULL, "1986",
	"Hiouden - Mamono-tachi to no Chikai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hiouden - Mamono-tachi to no Chikai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHioudenMamonotachitonoChikaiJapanRomInfo, rHioudenMamonotachitonoChikaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHiryuunoKenSGoldenFighterJapanRomDesc[] = {
	{ "Hiryuu no Ken S - Golden Fighter (Japan).sfc",          1572864, 0x1b113c99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHiryuunoKenSGoldenFighterJapan)
STD_ROM_FN(rHiryuunoKenSGoldenFighterJapan)

struct BurnDriver BurnDrvrHiryuunoKenSGoldenFighterJapan = {
	"Hiryuu no Ken S - Golden Fighter (Japan)", NULL, NULL, "1986",
	"Hiryuu no Ken S - Golden Fighter (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hiryuu no Ken S - Golden Fighter (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHiryuunoKenSGoldenFighterJapanRomInfo, rHiryuunoKenSGoldenFighterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHiryuunoKenSHyperVersionJapanRomDesc[] = {
	{ "Hiryuu no Ken S - Hyper Version (Japan).sfc",          1572864, 0xb035ec54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHiryuunoKenSHyperVersionJapan)
STD_ROM_FN(rHiryuunoKenSHyperVersionJapan)

struct BurnDriver BurnDrvrHiryuunoKenSHyperVersionJapan = {
	"Hiryuu no Ken S - Hyper Version (Japan)", NULL, NULL, "1986",
	"Hiryuu no Ken S - Hyper Version (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hiryuu no Ken S - Hyper Version (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHiryuunoKenSHyperVersionJapanRomInfo, rHiryuunoKenSHyperVersionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHissatsuPachinkoCollectionJapanRomDesc[] = {
	{ "Hissatsu Pachinko Collection (Japan).sfc",          1048576, 0xa1bf047b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHissatsuPachinkoCollectionJapan)
STD_ROM_FN(rHissatsuPachinkoCollectionJapan)

struct BurnDriver BurnDrvrHissatsuPachinkoCollectionJapan = {
	"Hissatsu Pachinko Collection (Japan)", NULL, NULL, "1986",
	"Hissatsu Pachinko Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hissatsu Pachinko Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHissatsuPachinkoCollectionJapanRomInfo, rHissatsuPachinkoCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHissatsuPachinkoCollection2JapanRomDesc[] = {
	{ "Hissatsu Pachinko Collection 2 (Japan).sfc",          2097152, 0x4a5b12ce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHissatsuPachinkoCollection2Japan)
STD_ROM_FN(rHissatsuPachinkoCollection2Japan)

struct BurnDriver BurnDrvrHissatsuPachinkoCollection2Japan = {
	"Hissatsu Pachinko Collection 2 (Japan)", NULL, NULL, "1986",
	"Hissatsu Pachinko Collection 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hissatsu Pachinko Collection 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHissatsuPachinkoCollection2JapanRomInfo, rHissatsuPachinkoCollection2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHissatsuPachinkoCollection3JapanRomDesc[] = {
	{ "Hissatsu Pachinko Collection 3 (Japan).sfc",          2097152, 0xc3dd6d9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHissatsuPachinkoCollection3Japan)
STD_ROM_FN(rHissatsuPachinkoCollection3Japan)

struct BurnDriver BurnDrvrHissatsuPachinkoCollection3Japan = {
	"Hissatsu Pachinko Collection 3 (Japan)", NULL, NULL, "1986",
	"Hissatsu Pachinko Collection 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hissatsu Pachinko Collection 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHissatsuPachinkoCollection3JapanRomInfo, rHissatsuPachinkoCollection3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHissatsuPachinkoCollection4JapanRomDesc[] = {
	{ "Hissatsu Pachinko Collection 4 (Japan).sfc",          2097152, 0xb6f34c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHissatsuPachinkoCollection4Japan)
STD_ROM_FN(rHissatsuPachinkoCollection4Japan)

struct BurnDriver BurnDrvrHissatsuPachinkoCollection4Japan = {
	"Hissatsu Pachinko Collection 4 (Japan)", NULL, NULL, "1986",
	"Hissatsu Pachinko Collection 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hissatsu Pachinko Collection 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHissatsuPachinkoCollection4JapanRomInfo, rHissatsuPachinkoCollection4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHisshou777FighterPachiSlotRyuuguuDensetsuJapanRomDesc[] = {
	{ "Hisshou 777 Fighter - Pachi-Slot Ryuuguu Densetsu (Japan).sfc",          524288, 0xef85eb96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHisshou777FighterPachiSlotRyuuguuDensetsuJapan)
STD_ROM_FN(rHisshou777FighterPachiSlotRyuuguuDensetsuJapan)

struct BurnDriver BurnDrvrHisshou777FighterPachiSlotRyuuguuDensetsuJapan = {
	"Hisshou 777 Fighter - Pachi-Slot Ryuuguu Densetsu (Japan)", NULL, NULL, "1986",
	"Hisshou 777 Fighter - Pachi-Slot Ryuuguu Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hisshou 777 Fighter - Pachi-Slot Ryuuguu Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHisshou777FighterPachiSlotRyuuguuDensetsuJapanRomInfo, rHisshou777FighterPachiSlotRyuuguuDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHisshou777FighterIIPachiSlotMaruhiJouhouJapanRomDesc[] = {
	{ "Hisshou 777 Fighter II - Pachi-Slot Maruhi Jouhou (Japan).sfc",          524288, 0x26c8072e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHisshou777FighterIIPachiSlotMaruhiJouhouJapan)
STD_ROM_FN(rHisshou777FighterIIPachiSlotMaruhiJouhouJapan)

struct BurnDriver BurnDrvrHisshou777FighterIIPachiSlotMaruhiJouhouJapan = {
	"Hisshou 777 Fighter II - Pachi-Slot Maruhi Jouhou (Japan)", NULL, NULL, "1986",
	"Hisshou 777 Fighter II - Pachi-Slot Maruhi Jouhou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hisshou 777 Fighter II - Pachi-Slot Maruhi Jouhou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHisshou777FighterIIPachiSlotMaruhiJouhouJapanRomInfo, rHisshou777FighterIIPachiSlotMaruhiJouhouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHisshou777FighterIIIKokuryuuOunoFukkatsuJapanRomDesc[] = {
	{ "Hisshou 777 Fighter III - Kokuryuu Ou no Fukkatsu (Japan).sfc",          1048576, 0xc386fc22, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHisshou777FighterIIIKokuryuuOunoFukkatsuJapan)
STD_ROM_FN(rHisshou777FighterIIIKokuryuuOunoFukkatsuJapan)

struct BurnDriver BurnDrvrHisshou777FighterIIIKokuryuuOunoFukkatsuJapan = {
	"Hisshou 777 Fighter III - Kokuryuu Ou no Fukkatsu (Japan)", NULL, NULL, "1986",
	"Hisshou 777 Fighter III - Kokuryuu Ou no Fukkatsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hisshou 777 Fighter III - Kokuryuu Ou no Fukkatsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHisshou777FighterIIIKokuryuuOunoFukkatsuJapanRomInfo, rHisshou777FighterIIIKokuryuuOunoFukkatsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHisshouPachiSlotFunJapanRomDesc[] = {
	{ "Hisshou Pachi-Slot Fun (Japan).sfc",          1048576, 0xb37bbd38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHisshouPachiSlotFunJapan)
STD_ROM_FN(rHisshouPachiSlotFunJapan)

struct BurnDriver BurnDrvrHisshouPachiSlotFunJapan = {
	"Hisshou Pachi-Slot Fun (Japan)", NULL, NULL, "1986",
	"Hisshou Pachi-Slot Fun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hisshou Pachi-Slot Fun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHisshouPachiSlotFunJapanRomInfo, rHisshouPachiSlotFunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHittheIceUSARomDesc[] = {
	{ "Hit the Ice (USA).sfc",          524288, 0xec13477e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHittheIceUSA)
STD_ROM_FN(rHittheIceUSA)

struct BurnDriver BurnDrvrHittheIceUSA = {
	"Hit the Ice (USA)", NULL, NULL, "1986",
	"Hit the Ice (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hit the Ice (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHittheIceUSARomInfo, rHittheIceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHokutonoKen5TenmaRyuuseidenAiZetsuShouJapanRomDesc[] = {
	{ "Hokuto no Ken 5 - Tenma Ryuuseiden Ai Zetsu Shou (Japan).sfc",          1048576, 0x68bdcbd7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHokutonoKen5TenmaRyuuseidenAiZetsuShouJapan)
STD_ROM_FN(rHokutonoKen5TenmaRyuuseidenAiZetsuShouJapan)

struct BurnDriver BurnDrvrHokutonoKen5TenmaRyuuseidenAiZetsuShouJapan = {
	"Hokuto no Ken 5 - Tenma Ryuuseiden Ai Zetsu Shou (Japan)", NULL, NULL, "1986",
	"Hokuto no Ken 5 - Tenma Ryuuseiden Ai Zetsu Shou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hokuto no Ken 5 - Tenma Ryuuseiden Ai Zetsu Shou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHokutonoKen5TenmaRyuuseidenAiZetsuShouJapanRomInfo, rHokutonoKen5TenmaRyuuseidenAiZetsuShouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHokutonoKen6GekitouDenshoukenHaouenoMichiJapanRomDesc[] = {
	{ "Hokuto no Ken 6 - Gekitou Denshouken Haou e no Michi (Japan).sfc",          1572864, 0xe51cd206, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHokutonoKen6GekitouDenshoukenHaouenoMichiJapan)
STD_ROM_FN(rHokutonoKen6GekitouDenshoukenHaouenoMichiJapan)

struct BurnDriver BurnDrvrHokutonoKen6GekitouDenshoukenHaouenoMichiJapan = {
	"Hokuto no Ken 6 - Gekitou Denshouken Haou e no Michi (Japan)", NULL, NULL, "1986",
	"Hokuto no Ken 6 - Gekitou Denshouken Haou e no Michi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hokuto no Ken 6 - Gekitou Denshouken Haou e no Michi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHokutonoKen6GekitouDenshoukenHaouenoMichiJapanRomInfo, rHokutonoKen6GekitouDenshoukenHaouenoMichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapanRomDesc[] = {
	{ "Hokuto no Ken 7 - Seiken Retsuden Denshousha e no Michi (Japan).sfc",          2621440, 0x143e5a7d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapan)
STD_ROM_FN(rHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapan)

struct BurnDriver BurnDrvrHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapan = {
	"Hokuto no Ken 7 - Seiken Retsuden Denshousha e no Michi (Japan)", NULL, NULL, "1986",
	"Hokuto no Ken 7 - Seiken Retsuden Denshousha e no Michi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hokuto no Ken 7 - Seiken Retsuden Denshousha e no Michi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapanRomInfo, rHokutonoKen7SeikenRetsudenDenshoushaenoMichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHolyStrikerJapanRomDesc[] = {
	{ "Holy Striker (Japan).sfc",          1048576, 0x46acfc84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHolyStrikerJapan)
STD_ROM_FN(rHolyStrikerJapan)

struct BurnDriver BurnDrvrHolyStrikerJapan = {
	"Holy Striker (Japan)", NULL, NULL, "1986",
	"Holy Striker (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Holy Striker (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHolyStrikerJapanRomInfo, rHolyStrikerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHolyUmbrellaDonderanoMubouJapanRomDesc[] = {
	{ "Holy Umbrella - Dondera no Mubou!! (Japan).sfc",          2621440, 0xf0a9dead, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHolyUmbrellaDonderanoMubouJapan)
STD_ROM_FN(rHolyUmbrellaDonderanoMubouJapan)

struct BurnDriver BurnDrvrHolyUmbrellaDonderanoMubouJapan = {
	"Holy Umbrella - Dondera no Mubou!! (Japan)", NULL, NULL, "1986",
	"Holy Umbrella - Dondera no Mubou!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Holy Umbrella - Dondera no Mubou!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHolyUmbrellaDonderanoMubouJapanRomInfo, rHolyUmbrellaDonderanoMubouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeAloneEuropeRomDesc[] = {
	{ "Home Alone (Europe).sfc",          524288, 0x3eeea766, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeAloneEurope)
STD_ROM_FN(rHomeAloneEurope)

struct BurnDriver BurnDrvrHomeAloneEurope = {
	"Home Alone (Europe)", NULL, NULL, "1986",
	"Home Alone (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Alone (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeAloneEuropeRomInfo, rHomeAloneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeAloneJapanRomDesc[] = {
	{ "Home Alone (Japan).sfc",          524288, 0x6278bca1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeAloneJapan)
STD_ROM_FN(rHomeAloneJapan)

struct BurnDriver BurnDrvrHomeAloneJapan = {
	"Home Alone (Japan)", NULL, NULL, "1986",
	"Home Alone (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Alone (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeAloneJapanRomInfo, rHomeAloneJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeAloneUSARomDesc[] = {
	{ "Home Alone (USA).sfc",          524288, 0x7c494b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeAloneUSA)
STD_ROM_FN(rHomeAloneUSA)

struct BurnDriver BurnDrvrHomeAloneUSA = {
	"Home Alone (USA)", NULL, NULL, "1986",
	"Home Alone (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Alone (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeAloneUSARomInfo, rHomeAloneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeAlone2LostinNewYorkEuropeRomDesc[] = {
	{ "Home Alone 2 - Lost in New York (Europe).sfc",          524288, 0x226998d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeAlone2LostinNewYorkEurope)
STD_ROM_FN(rHomeAlone2LostinNewYorkEurope)

struct BurnDriver BurnDrvrHomeAlone2LostinNewYorkEurope = {
	"Home Alone 2 - Lost in New York (Europe)", NULL, NULL, "1986",
	"Home Alone 2 - Lost in New York (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Alone 2 - Lost in New York (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeAlone2LostinNewYorkEuropeRomInfo, rHomeAlone2LostinNewYorkEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeAlone2LostinNewYorkUSARomDesc[] = {
	{ "Home Alone 2 - Lost in New York (USA).sfc",          524288, 0xd19165d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeAlone2LostinNewYorkUSA)
STD_ROM_FN(rHomeAlone2LostinNewYorkUSA)

struct BurnDriver BurnDrvrHomeAlone2LostinNewYorkUSA = {
	"Home Alone 2 - Lost in New York (USA)", NULL, NULL, "1986",
	"Home Alone 2 - Lost in New York (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Alone 2 - Lost in New York (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeAlone2LostinNewYorkUSARomInfo, rHomeAlone2LostinNewYorkUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHomeImprovementUSARomDesc[] = {
	{ "Home Improvement (USA).sfc",          1572864, 0xfa698c31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHomeImprovementUSA)
STD_ROM_FN(rHomeImprovementUSA)

struct BurnDriver BurnDrvrHomeImprovementUSA = {
	"Home Improvement (USA)", NULL, NULL, "1986",
	"Home Improvement (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Home Improvement (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHomeImprovementUSARomInfo, rHomeImprovementUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkakuMahjongTetsumanJapanRomDesc[] = {
	{ "Honkaku Mahjong - Tetsuman (Japan).sfc",          524288, 0x53f03db9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkakuMahjongTetsumanJapan)
STD_ROM_FN(rHonkakuMahjongTetsumanJapan)

struct BurnDriver BurnDrvrHonkakuMahjongTetsumanJapan = {
	"Honkaku Mahjong - Tetsuman (Japan)", NULL, NULL, "1986",
	"Honkaku Mahjong - Tetsuman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honkaku Mahjong - Tetsuman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkakuMahjongTetsumanJapanRomInfo, rHonkakuMahjongTetsumanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkakuMahjongTetsumanIIJapanRomDesc[] = {
	{ "Honkaku Mahjong - Tetsuman II (Japan).sfc",          524288, 0xa43c5a39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkakuMahjongTetsumanIIJapan)
STD_ROM_FN(rHonkakuMahjongTetsumanIIJapan)

struct BurnDriver BurnDrvrHonkakuMahjongTetsumanIIJapan = {
	"Honkaku Mahjong - Tetsuman II (Japan)", NULL, NULL, "1986",
	"Honkaku Mahjong - Tetsuman II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honkaku Mahjong - Tetsuman II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkakuMahjongTetsumanIIJapanRomInfo, rHonkakuMahjongTetsumanIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkakuShougiFuuunjiRyuuouJapanRomDesc[] = {
	{ "Honkaku Shougi - Fuuunji Ryuuou (Japan).sfc",          1048576, 0xb8be82c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkakuShougiFuuunjiRyuuouJapan)
STD_ROM_FN(rHonkakuShougiFuuunjiRyuuouJapan)

struct BurnDriver BurnDrvrHonkakuShougiFuuunjiRyuuouJapan = {
	"Honkaku Shougi - Fuuunji Ryuuou (Japan)", NULL, NULL, "1986",
	"Honkaku Shougi - Fuuunji Ryuuou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honkaku Shougi - Fuuunji Ryuuou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkakuShougiFuuunjiRyuuouJapanRomInfo, rHonkakuShougiFuuunjiRyuuouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkakuhaIgoGoseiJapanRomDesc[] = {
	{ "Honkakuha Igo - Gosei (Japan).sfc",          1048576, 0x8f322c56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkakuhaIgoGoseiJapan)
STD_ROM_FN(rHonkakuhaIgoGoseiJapan)

struct BurnDriver BurnDrvrHonkakuhaIgoGoseiJapan = {
	"Honkakuha Igo - Gosei (Japan)", NULL, NULL, "1986",
	"Honkakuha Igo - Gosei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honkakuha Igo - Gosei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkakuhaIgoGoseiJapanRomInfo, rHonkakuhaIgoGoseiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkeHanafudaJapanRomDesc[] = {
	{ "Honke Hanafuda (Japan).sfc",          1048576, 0x53206326, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkeHanafudaJapan)
STD_ROM_FN(rHonkeHanafudaJapan)

struct BurnDriver BurnDrvrHonkeHanafudaJapan = {
	"Honke Hanafuda (Japan)", NULL, NULL, "1986",
	"Honke Hanafuda (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honke Hanafuda (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkeHanafudaJapanRomInfo, rHonkeHanafudaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkeSankyoFeverJikkiSimulationJapanRomDesc[] = {
	{ "Honke Sankyo Fever - Jikki Simulation (Japan).sfc",          1572864, 0x3bbdf518, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkeSankyoFeverJikkiSimulationJapan)
STD_ROM_FN(rHonkeSankyoFeverJikkiSimulationJapan)

struct BurnDriver BurnDrvrHonkeSankyoFeverJikkiSimulationJapan = {
	"Honke Sankyo Fever - Jikki Simulation (Japan)", NULL, NULL, "1986",
	"Honke Sankyo Fever - Jikki Simulation (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honke Sankyo Fever - Jikki Simulation (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkeSankyoFeverJikkiSimulationJapanRomInfo, rHonkeSankyoFeverJikkiSimulationJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkeSankyoFever2JikkiSimulationJapanRomDesc[] = {
	{ "Honke Sankyo Fever 2 - Jikki Simulation (Japan).sfc",          1572864, 0x57ff6d4c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkeSankyoFever2JikkiSimulationJapan)
STD_ROM_FN(rHonkeSankyoFever2JikkiSimulationJapan)

struct BurnDriver BurnDrvrHonkeSankyoFever2JikkiSimulationJapan = {
	"Honke Sankyo Fever 2 - Jikki Simulation (Japan)", NULL, NULL, "1986",
	"Honke Sankyo Fever 2 - Jikki Simulation (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honke Sankyo Fever 2 - Jikki Simulation (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkeSankyoFever2JikkiSimulationJapanRomInfo, rHonkeSankyoFever2JikkiSimulationJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonkeSankyoFever3JikkiSimulationJapanRomDesc[] = {
	{ "Honke Sankyo Fever 3 - Jikki Simulation (Japan).sfc",          1048576, 0x759a4585, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonkeSankyoFever3JikkiSimulationJapan)
STD_ROM_FN(rHonkeSankyoFever3JikkiSimulationJapan)

struct BurnDriver BurnDrvrHonkeSankyoFever3JikkiSimulationJapan = {
	"Honke Sankyo Fever 3 - Jikki Simulation (Japan)", NULL, NULL, "1986",
	"Honke Sankyo Fever 3 - Jikki Simulation (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honke Sankyo Fever 3 - Jikki Simulation (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonkeSankyoFever3JikkiSimulationJapanRomInfo, rHonkeSankyoFever3JikkiSimulationJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHonoonoToukyuujiDodgeDanpeiJapanRomDesc[] = {
	{ "Honoo no Toukyuuji - Dodge Danpei (Japan).sfc",          1048576, 0x5947a7a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHonoonoToukyuujiDodgeDanpeiJapan)
STD_ROM_FN(rHonoonoToukyuujiDodgeDanpeiJapan)

struct BurnDriver BurnDrvrHonoonoToukyuujiDodgeDanpeiJapan = {
	"Honoo no Toukyuuji - Dodge Danpei (Japan)", NULL, NULL, "1986",
	"Honoo no Toukyuuji - Dodge Danpei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Honoo no Toukyuuji - Dodge Danpei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHonoonoToukyuujiDodgeDanpeiJapanRomInfo, rHonoonoToukyuujiDodgeDanpeiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHookEuropeRomDesc[] = {
	{ "Hook (Europe).sfc",          1048576, 0x6679a772, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHookEurope)
STD_ROM_FN(rHookEurope)

struct BurnDriver BurnDrvrHookEurope = {
	"Hook (Europe)", NULL, NULL, "1986",
	"Hook (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hook (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHookEuropeRomInfo, rHookEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHookJapanRomDesc[] = {
	{ "Hook (Japan).sfc",          1048576, 0x6f91883e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHookJapan)
STD_ROM_FN(rHookJapan)

struct BurnDriver BurnDrvrHookJapan = {
	"Hook (Japan)", NULL, NULL, "1986",
	"Hook (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hook (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHookJapanRomInfo, rHookJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHookUSABetaRomDesc[] = {
	{ "Hook (USA) (Beta).sfc",          1048576, 0x82ff23bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHookUSABeta)
STD_ROM_FN(rHookUSABeta)

struct BurnDriver BurnDrvrHookUSABeta = {
	"Hook (USA) (Beta)", NULL, NULL, "1986",
	"Hook (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hook (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHookUSABetaRomInfo, rHookUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHookUSARomDesc[] = {
	{ "Hook (USA).sfc",          1048576, 0xc572ef0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHookUSA)
STD_ROM_FN(rHookUSA)

struct BurnDriver BurnDrvrHookUSA = {
	"Hook (USA)", NULL, NULL, "1986",
	"Hook (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hook (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHookUSARomInfo, rHookUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHoshinoKirbySuperDeluxeJapanRev1RomDesc[] = {
	{ "Hoshi no Kirby - Super Deluxe (Japan) (Rev 1).sfc",          4194304, 0xdbbcd010, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHoshinoKirbySuperDeluxeJapanRev1)
STD_ROM_FN(rHoshinoKirbySuperDeluxeJapanRev1)

struct BurnDriver BurnDrvrHoshinoKirbySuperDeluxeJapanRev1 = {
	"Hoshi no Kirby - Super Deluxe (Japan) (Rev 1)", NULL, NULL, "1986",
	"Hoshi no Kirby - Super Deluxe (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hoshi no Kirby - Super Deluxe (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHoshinoKirbySuperDeluxeJapanRev1RomInfo, rHoshinoKirbySuperDeluxeJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHoshinoKirbySuperDeluxeJapanRev2RomDesc[] = {
	{ "Hoshi no Kirby - Super Deluxe (Japan) (Rev 2).sfc",          4194304, 0x1f35f230, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHoshinoKirbySuperDeluxeJapanRev2)
STD_ROM_FN(rHoshinoKirbySuperDeluxeJapanRev2)

struct BurnDriver BurnDrvrHoshinoKirbySuperDeluxeJapanRev2 = {
	"Hoshi no Kirby - Super Deluxe (Japan) (Rev 2)", NULL, NULL, "1986",
	"Hoshi no Kirby - Super Deluxe (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hoshi no Kirby - Super Deluxe (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHoshinoKirbySuperDeluxeJapanRev2RomInfo, rHoshinoKirbySuperDeluxeJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHoshinoKirbySuperDeluxeJapanRomDesc[] = {
	{ "Hoshi no Kirby - Super Deluxe (Japan).sfc",          4194304, 0x151bd470, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHoshinoKirbySuperDeluxeJapan)
STD_ROM_FN(rHoshinoKirbySuperDeluxeJapan)

struct BurnDriver BurnDrvrHoshinoKirbySuperDeluxeJapan = {
	"Hoshi no Kirby - Super Deluxe (Japan)", NULL, NULL, "1986",
	"Hoshi no Kirby - Super Deluxe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hoshi no Kirby - Super Deluxe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHoshinoKirbySuperDeluxeJapanRomInfo, rHoshinoKirbySuperDeluxeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHoshinoKirby3JapanRomDesc[] = {
	{ "Hoshi no Kirby 3 (Japan).sfc",          4194304, 0x43373aee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHoshinoKirby3Japan)
STD_ROM_FN(rHoshinoKirby3Japan)

struct BurnDriver BurnDrvrHoshinoKirby3Japan = {
	"Hoshi no Kirby 3 (Japan)", NULL, NULL, "1986",
	"Hoshi no Kirby 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hoshi no Kirby 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHoshinoKirby3JapanRomInfo, rHoshinoKirby3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHoukagoinBeppinJogakuinJapanRomDesc[] = {
	{ "Houkago in Beppin Jogakuin (Japan).sfc",          1572864, 0xd3871866, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHoukagoinBeppinJogakuinJapan)
STD_ROM_FN(rHoukagoinBeppinJogakuinJapan)

struct BurnDriver BurnDrvrHoukagoinBeppinJogakuinJapan = {
	"Houkago in Beppin Jogakuin (Japan)", NULL, NULL, "1986",
	"Houkago in Beppin Jogakuin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Houkago in Beppin Jogakuin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHoukagoinBeppinJogakuinJapanRomInfo, rHoukagoinBeppinJogakuinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHouraiGakuennoBoukenTenkouseiScrambleJapanRomDesc[] = {
	{ "Hourai Gakuen no Bouken! - Tenkousei Scramble (Japan).sfc",          2097152, 0x6299fb1c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHouraiGakuennoBoukenTenkouseiScrambleJapan)
STD_ROM_FN(rHouraiGakuennoBoukenTenkouseiScrambleJapan)

struct BurnDriver BurnDrvrHouraiGakuennoBoukenTenkouseiScrambleJapan = {
	"Hourai Gakuen no Bouken! - Tenkousei Scramble (Japan)", NULL, NULL, "1986",
	"Hourai Gakuen no Bouken! - Tenkousei Scramble (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hourai Gakuen no Bouken! - Tenkousei Scramble (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHouraiGakuennoBoukenTenkouseiScrambleJapanRomInfo, rHouraiGakuennoBoukenTenkouseiScrambleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumanBaseballJapanRomDesc[] = {
	{ "Human Baseball (Japan).sfc",          1048576, 0x10e3dab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumanBaseballJapan)
STD_ROM_FN(rHumanBaseballJapan)

struct BurnDriver BurnDrvrHumanBaseballJapan = {
	"Human Baseball (Japan)", NULL, NULL, "1986",
	"Human Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Human Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumanBaseballJapanRomInfo, rHumanBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumanGrandPrixJapanRomDesc[] = {
	{ "Human Grand Prix (Japan).sfc",          1048576, 0x823019ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumanGrandPrixJapan)
STD_ROM_FN(rHumanGrandPrixJapan)

struct BurnDriver BurnDrvrHumanGrandPrixJapan = {
	"Human Grand Prix (Japan)", NULL, NULL, "1986",
	"Human Grand Prix (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Human Grand Prix (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumanGrandPrixJapanRomInfo, rHumanGrandPrixJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumanGrandPrixIIJapanRomDesc[] = {
	{ "Human Grand Prix II (Japan).sfc",          1048576, 0xa5351db4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumanGrandPrixIIJapan)
STD_ROM_FN(rHumanGrandPrixIIJapan)

struct BurnDriver BurnDrvrHumanGrandPrixIIJapan = {
	"Human Grand Prix II (Japan)", NULL, NULL, "1986",
	"Human Grand Prix II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Human Grand Prix II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumanGrandPrixIIJapanRomInfo, rHumanGrandPrixIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumanGrandPrixIIIF1TripleBattleJapanRomDesc[] = {
	{ "Human Grand Prix III - F1 Triple Battle (Japan).sfc",          2097152, 0x9f6d0228, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumanGrandPrixIIIF1TripleBattleJapan)
STD_ROM_FN(rHumanGrandPrixIIIF1TripleBattleJapan)

struct BurnDriver BurnDrvrHumanGrandPrixIIIF1TripleBattleJapan = {
	"Human Grand Prix III - F1 Triple Battle (Japan)", NULL, NULL, "1986",
	"Human Grand Prix III - F1 Triple Battle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Human Grand Prix III - F1 Triple Battle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumanGrandPrixIIIF1TripleBattleJapanRomInfo, rHumanGrandPrixIIIF1TripleBattleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumanGrandPrixIVF1DreamBattleJapanRomDesc[] = {
	{ "Human Grand Prix IV - F1 Dream Battle (Japan).sfc",          2097152, 0x47453477, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumanGrandPrixIVF1DreamBattleJapan)
STD_ROM_FN(rHumanGrandPrixIVF1DreamBattleJapan)

struct BurnDriver BurnDrvrHumanGrandPrixIVF1DreamBattleJapan = {
	"Human Grand Prix IV - F1 Dream Battle (Japan)", NULL, NULL, "1986",
	"Human Grand Prix IV - F1 Dream Battle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Human Grand Prix IV - F1 Dream Battle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumanGrandPrixIVF1DreamBattleJapanRomInfo, rHumanGrandPrixIVF1DreamBattleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumansTheEuropeRomDesc[] = {
	{ "Humans, The (Europe).sfc",          1048576, 0xd2af01d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumansTheEurope)
STD_ROM_FN(rHumansTheEurope)

struct BurnDriver BurnDrvrHumansTheEurope = {
	"Humans, The (Europe)", NULL, NULL, "1986",
	"Humans, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Humans, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumansTheEuropeRomInfo, rHumansTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHumansTheGermanyRomDesc[] = {
	{ "Humans, The (Germany).sfc",          1048576, 0xe83a092b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHumansTheGermany)
STD_ROM_FN(rHumansTheGermany)

struct BurnDriver BurnDrvrHumansTheGermany = {
	"Humans, The (Germany)", NULL, NULL, "1986",
	"Humans, The (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Humans, The (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHumansTheGermanyRomInfo, rHumansTheGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHungryDinosaursEuropeRomDesc[] = {
	{ "Hungry Dinosaurs (Europe).sfc",          262144, 0x5c4b2544, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHungryDinosaursEurope)
STD_ROM_FN(rHungryDinosaursEurope)

struct BurnDriver BurnDrvrHungryDinosaursEurope = {
	"Hungry Dinosaurs (Europe)", NULL, NULL, "1986",
	"Hungry Dinosaurs (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hungry Dinosaurs (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHungryDinosaursEuropeRomInfo, rHungryDinosaursEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHuntforRedOctoberTheEuropeBetaRomDesc[] = {
	{ "Hunt for Red October, The (Europe) (Beta).sfc",          524288, 0x66ed877a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHuntforRedOctoberTheEuropeBeta)
STD_ROM_FN(rHuntforRedOctoberTheEuropeBeta)

struct BurnDriver BurnDrvrHuntforRedOctoberTheEuropeBeta = {
	"Hunt for Red October, The (Europe) (Beta)", NULL, NULL, "1986",
	"Hunt for Red October, The (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hunt for Red October, The (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHuntforRedOctoberTheEuropeBetaRomInfo, rHuntforRedOctoberTheEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHuntforRedOctoberTheEuropeRomDesc[] = {
	{ "Hunt for Red October, The (Europe).sfc",          524288, 0x346e153f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHuntforRedOctoberTheEurope)
STD_ROM_FN(rHuntforRedOctoberTheEurope)

struct BurnDriver BurnDrvrHuntforRedOctoberTheEurope = {
	"Hunt for Red October, The (Europe)", NULL, NULL, "1986",
	"Hunt for Red October, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hunt for Red October, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHuntforRedOctoberTheEuropeRomInfo, rHuntforRedOctoberTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHuntforRedOctoberTheJapanRomDesc[] = {
	{ "Hunt for Red October, The (Japan).sfc",          524288, 0x76065e37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHuntforRedOctoberTheJapan)
STD_ROM_FN(rHuntforRedOctoberTheJapan)

struct BurnDriver BurnDrvrHuntforRedOctoberTheJapan = {
	"Hunt for Red October, The (Japan)", NULL, NULL, "1986",
	"Hunt for Red October, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hunt for Red October, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHuntforRedOctoberTheJapanRomInfo, rHuntforRedOctoberTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHuntforRedOctoberTheUSARomDesc[] = {
	{ "Hunt for Red October, The (USA).sfc",          524288, 0xc796e830, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHuntforRedOctoberTheUSA)
STD_ROM_FN(rHuntforRedOctoberTheUSA)

struct BurnDriver BurnDrvrHuntforRedOctoberTheUSA = {
	"Hunt for Red October, The (USA)", NULL, NULL, "1986",
	"Hunt for Red October, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hunt for Red October, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHuntforRedOctoberTheUSARomInfo, rHuntforRedOctoberTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHurricanesEuropeBetaRomDesc[] = {
	{ "Hurricanes (Europe) (Beta).sfc",          1048576, 0xe6767848, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHurricanesEuropeBeta)
STD_ROM_FN(rHurricanesEuropeBeta)

struct BurnDriver BurnDrvrHurricanesEuropeBeta = {
	"Hurricanes (Europe) (Beta)", NULL, NULL, "1986",
	"Hurricanes (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hurricanes (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHurricanesEuropeBetaRomInfo, rHurricanesEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHurricanesEuropeRomDesc[] = {
	{ "Hurricanes (Europe).sfc",          1048576, 0xde5f9d73, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHurricanesEurope)
STD_ROM_FN(rHurricanesEurope)

struct BurnDriver BurnDrvrHurricanesEurope = {
	"Hurricanes (Europe)", NULL, NULL, "1986",
	"Hurricanes (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hurricanes (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHurricanesEuropeRomInfo, rHurricanesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHurricanesUSARomDesc[] = {
	{ "Hurricanes (USA).sfc",          1048576, 0x42ff4f08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHurricanesUSA)
STD_ROM_FN(rHurricanesUSA)

struct BurnDriver BurnDrvrHurricanesUSA = {
	"Hurricanes (USA)", NULL, NULL, "1986",
	"Hurricanes (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hurricanes (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHurricanesUSARomInfo, rHurricanesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperIriaJapanRomDesc[] = {
	{ "Hyper Iria (Japan).sfc",          1572864, 0xae7f2b0d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperIriaJapan)
STD_ROM_FN(rHyperIriaJapan)

struct BurnDriver BurnDrvrHyperIriaJapan = {
	"Hyper Iria (Japan)", NULL, NULL, "1986",
	"Hyper Iria (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hyper Iria (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperIriaJapanRomInfo, rHyperIriaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperVBallEuropeRomDesc[] = {
	{ "Hyper V-Ball (Europe).sfc",          1048576, 0x94012ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperVBallEurope)
STD_ROM_FN(rHyperVBallEurope)

struct BurnDriver BurnDrvrHyperVBallEurope = {
	"Hyper V-Ball (Europe)", NULL, NULL, "1986",
	"Hyper V-Ball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hyper V-Ball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperVBallEuropeRomInfo, rHyperVBallEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperVBallUSARomDesc[] = {
	{ "Hyper V-Ball (USA).sfc",          1048576, 0x7d179e21, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperVBallUSA)
STD_ROM_FN(rHyperVBallUSA)

struct BurnDriver BurnDrvrHyperVBallUSA = {
	"Hyper V-Ball (USA)", NULL, NULL, "1986",
	"Hyper V-Ball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Hyper V-Ball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperVBallUSARomInfo, rHyperVBallUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperZoneEuropeRomDesc[] = {
	{ "HyperZone (Europe).sfc",          524288, 0xfa15d068, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperZoneEurope)
STD_ROM_FN(rHyperZoneEurope)

struct BurnDriver BurnDrvrHyperZoneEurope = {
	"HyperZone (Europe)", NULL, NULL, "1986",
	"HyperZone (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"HyperZone (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperZoneEuropeRomInfo, rHyperZoneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperZoneJapanRomDesc[] = {
	{ "HyperZone (Japan).sfc",          1048576, 0x613c62b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperZoneJapan)
STD_ROM_FN(rHyperZoneJapan)

struct BurnDriver BurnDrvrHyperZoneJapan = {
	"HyperZone (Japan)", NULL, NULL, "1986",
	"HyperZone (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"HyperZone (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperZoneJapanRomInfo, rHyperZoneJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rHyperZoneUSARomDesc[] = {
	{ "HyperZone (USA).sfc",          524288, 0xc95b4129, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rHyperZoneUSA)
STD_ROM_FN(rHyperZoneUSA)

struct BurnDriver BurnDrvrHyperZoneUSA = {
	"HyperZone (USA)", NULL, NULL, "1986",
	"HyperZone (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"HyperZone (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rHyperZoneUSARomInfo, rHyperZoneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIdeanoHiJapanRomDesc[] = {
	{ "Idea no Hi (Japan).sfc",          2097152, 0x2796523e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIdeanoHiJapan)
STD_ROM_FN(rIdeanoHiJapan)

struct BurnDriver BurnDrvrIdeanoHiJapan = {
	"Idea no Hi (Japan)", NULL, NULL, "1986",
	"Idea no Hi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Idea no Hi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIdeanoHiJapanRomInfo, rIdeanoHiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIgnitionFactorTheUSARomDesc[] = {
	{ "Ignition Factor, The (USA).sfc",          1048576, 0xee441564, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIgnitionFactorTheUSA)
STD_ROM_FN(rIgnitionFactorTheUSA)

struct BurnDriver BurnDrvrIgnitionFactorTheUSA = {
	"Ignition Factor, The (USA)", NULL, NULL, "1986",
	"Ignition Factor, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ignition Factor, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIgnitionFactorTheUSARomInfo, rIgnitionFactorTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIgoClubJapanRomDesc[] = {
	{ "Igo Club (Japan).sfc",          1048576, 0x1e23f3d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIgoClubJapan)
STD_ROM_FN(rIgoClubJapan)

struct BurnDriver BurnDrvrIgoClubJapan = {
	"Igo Club (Japan)", NULL, NULL, "1986",
	"Igo Club (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Igo Club (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIgoClubJapanRomInfo, rIgoClubJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIhatovMonogatariJapanRomDesc[] = {
	{ "Ihatov Monogatari (Japan).sfc",          1048576, 0xc588cd17, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIhatovMonogatariJapan)
STD_ROM_FN(rIhatovMonogatariJapan)

struct BurnDriver BurnDrvrIhatovMonogatariJapan = {
	"Ihatov Monogatari (Japan)", NULL, NULL, "1986",
	"Ihatov Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ihatov Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIhatovMonogatariJapanRomInfo, rIhatovMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIkarinoYousaiJapanBSRomDesc[] = {
	{ "Ikari no Yousai (Japan) (BS).sfc",          1048576, 0xc69a81ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIkarinoYousaiJapanBS)
STD_ROM_FN(rIkarinoYousaiJapanBS)

struct BurnDriver BurnDrvrIkarinoYousaiJapanBS = {
	"Ikari no Yousai (Japan) (BS)", NULL, NULL, "1986",
	"Ikari no Yousai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ikari no Yousai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIkarinoYousaiJapanBSRomInfo, rIkarinoYousaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIkarinoYousaiJapanRomDesc[] = {
	{ "Ikari no Yousai (Japan).sfc",          1048576, 0x4d5329f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIkarinoYousaiJapan)
STD_ROM_FN(rIkarinoYousaiJapan)

struct BurnDriver BurnDrvrIkarinoYousaiJapan = {
	"Ikari no Yousai (Japan)", NULL, NULL, "1986",
	"Ikari no Yousai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ikari no Yousai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIkarinoYousaiJapanRomInfo, rIkarinoYousaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofGaiaUSABetaRomDesc[] = {
	{ "Illusion of Gaia (USA) (Beta).sfc",          2097152, 0xce90286b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofGaiaUSABeta)
STD_ROM_FN(rIllusionofGaiaUSABeta)

struct BurnDriver BurnDrvrIllusionofGaiaUSABeta = {
	"Illusion of Gaia (USA) (Beta)", NULL, NULL, "1986",
	"Illusion of Gaia (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Gaia (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofGaiaUSABetaRomInfo, rIllusionofGaiaUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofGaiaUSARomDesc[] = {
	{ "Illusion of Gaia (USA).sfc",          2097152, 0x1c3848c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofGaiaUSA)
STD_ROM_FN(rIllusionofGaiaUSA)

struct BurnDriver BurnDrvrIllusionofGaiaUSA = {
	"Illusion of Gaia (USA)", NULL, NULL, "1986",
	"Illusion of Gaia (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Gaia (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofGaiaUSARomInfo, rIllusionofGaiaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofTimeEuropeRomDesc[] = {
	{ "Illusion of Time (Europe).sfc",          2097152, 0xf9ae28db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofTimeEurope)
STD_ROM_FN(rIllusionofTimeEurope)

struct BurnDriver BurnDrvrIllusionofTimeEurope = {
	"Illusion of Time (Europe)", NULL, NULL, "1986",
	"Illusion of Time (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Time (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofTimeEuropeRomInfo, rIllusionofTimeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofTimeFranceRomDesc[] = {
	{ "Illusion of Time (France).sfc",          2097152, 0x63f6f934, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofTimeFrance)
STD_ROM_FN(rIllusionofTimeFrance)

struct BurnDriver BurnDrvrIllusionofTimeFrance = {
	"Illusion of Time (France)", NULL, NULL, "1986",
	"Illusion of Time (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Time (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofTimeFranceRomInfo, rIllusionofTimeFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofTimeGermanyRev1RomDesc[] = {
	{ "Illusion of Time (Germany) (Rev 1).sfc",          2097152, 0x4bd8e60b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofTimeGermanyRev1)
STD_ROM_FN(rIllusionofTimeGermanyRev1)

struct BurnDriver BurnDrvrIllusionofTimeGermanyRev1 = {
	"Illusion of Time (Germany) (Rev 1)", NULL, NULL, "1986",
	"Illusion of Time (Germany) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Time (Germany) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofTimeGermanyRev1RomInfo, rIllusionofTimeGermanyRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofTimeGermanyRomDesc[] = {
	{ "Illusion of Time (Germany).sfc",          2097152, 0x1a7c8541, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofTimeGermany)
STD_ROM_FN(rIllusionofTimeGermany)

struct BurnDriver BurnDrvrIllusionofTimeGermany = {
	"Illusion of Time (Germany)", NULL, NULL, "1986",
	"Illusion of Time (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Time (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofTimeGermanyRomInfo, rIllusionofTimeGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllusionofTimeSpainRomDesc[] = {
	{ "Illusion of Time (Spain).sfc",          2097152, 0x7c305dc8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllusionofTimeSpain)
STD_ROM_FN(rIllusionofTimeSpain)

struct BurnDriver BurnDrvrIllusionofTimeSpain = {
	"Illusion of Time (Spain)", NULL, NULL, "1986",
	"Illusion of Time (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illusion of Time (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllusionofTimeSpainRomInfo, rIllusionofTimeSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIllvaniannoShiroJapanRomDesc[] = {
	{ "Illvanian no Shiro (Japan).sfc",          2097152, 0xf568579f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIllvaniannoShiroJapan)
STD_ROM_FN(rIllvaniannoShiroJapan)

struct BurnDriver BurnDrvrIllvaniannoShiroJapan = {
	"Illvanian no Shiro (Japan)", NULL, NULL, "1986",
	"Illvanian no Shiro (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Illvanian no Shiro (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIllvaniannoShiroJapanRomInfo, rIllvaniannoShiroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rImperiumUSARomDesc[] = {
	{ "Imperium (USA).sfc",          1048576, 0x2624f8bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rImperiumUSA)
STD_ROM_FN(rImperiumUSA)

struct BurnDriver BurnDrvrImperiumUSA = {
	"Imperium (USA)", NULL, NULL, "1986",
	"Imperium (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Imperium (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rImperiumUSARomInfo, rImperiumUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInazumaServedaSuperBeachVolleyJapanRomDesc[] = {
	{ "Inazuma Serve da! Super Beach Volley (Japan).sfc",          1048576, 0x879edee8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInazumaServedaSuperBeachVolleyJapan)
STD_ROM_FN(rInazumaServedaSuperBeachVolleyJapan)

struct BurnDriver BurnDrvrInazumaServedaSuperBeachVolleyJapan = {
	"Inazuma Serve da! Super Beach Volley (Japan)", NULL, NULL, "1986",
	"Inazuma Serve da! Super Beach Volley (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Inazuma Serve da! Super Beach Volley (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInazumaServedaSuperBeachVolleyJapanRomInfo, rInazumaServedaSuperBeachVolleyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncantationEuropeRomDesc[] = {
	{ "Incantation (Europe).sfc",          524288, 0x34fad701, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncantationEurope)
STD_ROM_FN(rIncantationEurope)

struct BurnDriver BurnDrvrIncantationEurope = {
	"Incantation (Europe)", NULL, NULL, "1986",
	"Incantation (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incantation (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncantationEuropeRomInfo, rIncantationEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncantationUSARomDesc[] = {
	{ "Incantation (USA).sfc",          524288, 0xd0ff7e9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncantationUSA)
STD_ROM_FN(rIncantationUSA)

struct BurnDriver BurnDrvrIncantationUSA = {
	"Incantation (USA)", NULL, NULL, "1986",
	"Incantation (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incantation (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncantationUSARomInfo, rIncantationUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleCrashDummiesTheEuropeRomDesc[] = {
	{ "Incredible Crash Dummies, The (Europe).sfc",          1048576, 0x3ee9b136, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleCrashDummiesTheEurope)
STD_ROM_FN(rIncredibleCrashDummiesTheEurope)

struct BurnDriver BurnDrvrIncredibleCrashDummiesTheEurope = {
	"Incredible Crash Dummies, The (Europe)", NULL, NULL, "1986",
	"Incredible Crash Dummies, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Crash Dummies, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleCrashDummiesTheEuropeRomInfo, rIncredibleCrashDummiesTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleCrashDummiesTheUSABetaRomDesc[] = {
	{ "Incredible Crash Dummies, The (USA) (Beta).sfc",          1048576, 0x42ebe9c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleCrashDummiesTheUSABeta)
STD_ROM_FN(rIncredibleCrashDummiesTheUSABeta)

struct BurnDriver BurnDrvrIncredibleCrashDummiesTheUSABeta = {
	"Incredible Crash Dummies, The (USA) (Beta)", NULL, NULL, "1986",
	"Incredible Crash Dummies, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Crash Dummies, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleCrashDummiesTheUSABetaRomInfo, rIncredibleCrashDummiesTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleCrashDummiesTheUSARomDesc[] = {
	{ "Incredible Crash Dummies, The (USA).sfc",          1048576, 0xb6209ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleCrashDummiesTheUSA)
STD_ROM_FN(rIncredibleCrashDummiesTheUSA)

struct BurnDriver BurnDrvrIncredibleCrashDummiesTheUSA = {
	"Incredible Crash Dummies, The (USA)", NULL, NULL, "1986",
	"Incredible Crash Dummies, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Crash Dummies, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleCrashDummiesTheUSARomInfo, rIncredibleCrashDummiesTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleCrashDummiesTheDrZabuoSukuidaseJapanRomDesc[] = {
	{ "Incredible Crash Dummies, The - Dr. Zabu o Sukuidase (Japan).sfc",          1048576, 0xc3bc16d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleCrashDummiesTheDrZabuoSukuidaseJapan)
STD_ROM_FN(rIncredibleCrashDummiesTheDrZabuoSukuidaseJapan)

struct BurnDriver BurnDrvrIncredibleCrashDummiesTheDrZabuoSukuidaseJapan = {
	"Incredible Crash Dummies, The - Dr. Zabu o Sukuidase (Japan)", NULL, NULL, "1986",
	"Incredible Crash Dummies, The - Dr. Zabu o Sukuidase (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Crash Dummies, The - Dr. Zabu o Sukuidase (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleCrashDummiesTheDrZabuoSukuidaseJapanRomInfo, rIncredibleCrashDummiesTheDrZabuoSukuidaseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleHulkTheEuropeRomDesc[] = {
	{ "Incredible Hulk, The (Europe).sfc",          2097152, 0x9df29605, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleHulkTheEurope)
STD_ROM_FN(rIncredibleHulkTheEurope)

struct BurnDriver BurnDrvrIncredibleHulkTheEurope = {
	"Incredible Hulk, The (Europe)", NULL, NULL, "1986",
	"Incredible Hulk, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Hulk, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleHulkTheEuropeRomInfo, rIncredibleHulkTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIncredibleHulkTheUSARomDesc[] = {
	{ "Incredible Hulk, The (USA).sfc",          2097152, 0x36b5a429, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIncredibleHulkTheUSA)
STD_ROM_FN(rIncredibleHulkTheUSA)

struct BurnDriver BurnDrvrIncredibleHulkTheUSA = {
	"Incredible Hulk, The (USA)", NULL, NULL, "1986",
	"Incredible Hulk, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Incredible Hulk, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIncredibleHulkTheUSARomInfo, rIncredibleHulkTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIndianaJonesGreatestAdventuresEuropeRomDesc[] = {
	{ "Indiana Jones' Greatest Adventures (Europe).sfc",          2097152, 0xfa4560c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIndianaJonesGreatestAdventuresEurope)
STD_ROM_FN(rIndianaJonesGreatestAdventuresEurope)

struct BurnDriver BurnDrvrIndianaJonesGreatestAdventuresEurope = {
	"Indiana Jones' Greatest Adventures (Europe)", NULL, NULL, "1986",
	"Indiana Jones' Greatest Adventures (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Indiana Jones' Greatest Adventures (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIndianaJonesGreatestAdventuresEuropeRomInfo, rIndianaJonesGreatestAdventuresEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIndianaJonesGreatestAdventuresJapanRomDesc[] = {
	{ "Indiana Jones' Greatest Adventures (Japan).sfc",          2097152, 0x79b9996, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIndianaJonesGreatestAdventuresJapan)
STD_ROM_FN(rIndianaJonesGreatestAdventuresJapan)

struct BurnDriver BurnDrvrIndianaJonesGreatestAdventuresJapan = {
	"Indiana Jones' Greatest Adventures (Japan)", NULL, NULL, "1986",
	"Indiana Jones' Greatest Adventures (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Indiana Jones' Greatest Adventures (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIndianaJonesGreatestAdventuresJapanRomInfo, rIndianaJonesGreatestAdventuresJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIndianaJonesGreatestAdventuresUSARomDesc[] = {
	{ "Indiana Jones' Greatest Adventures (USA).sfc",          2097152, 0x70da6bb8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIndianaJonesGreatestAdventuresUSA)
STD_ROM_FN(rIndianaJonesGreatestAdventuresUSA)

struct BurnDriver BurnDrvrIndianaJonesGreatestAdventuresUSA = {
	"Indiana Jones' Greatest Adventures (USA)", NULL, NULL, "1986",
	"Indiana Jones' Greatest Adventures (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Indiana Jones' Greatest Adventures (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIndianaJonesGreatestAdventuresUSARomInfo, rIndianaJonesGreatestAdventuresUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInindoWayoftheNinjaUSARomDesc[] = {
	{ "Inindo - Way of the Ninja (USA).sfc",          1048576, 0x543f3327, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInindoWayoftheNinjaUSA)
STD_ROM_FN(rInindoWayoftheNinjaUSA)

struct BurnDriver BurnDrvrInindoWayoftheNinjaUSA = {
	"Inindo - Way of the Ninja (USA)", NULL, NULL, "1986",
	"Inindo - Way of the Ninja (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Inindo - Way of the Ninja (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInindoWayoftheNinjaUSARomInfo, rInindoWayoftheNinjaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInspectorGadgetUSARomDesc[] = {
	{ "Inspector Gadget (USA).sfc",          1048576, 0x4ce2b818, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInspectorGadgetUSA)
STD_ROM_FN(rInspectorGadgetUSA)

struct BurnDriver BurnDrvrInspectorGadgetUSA = {
	"Inspector Gadget (USA)", NULL, NULL, "1986",
	"Inspector Gadget (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Inspector Gadget (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInspectorGadgetUSARomInfo, rInspectorGadgetUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1RomDesc[] = {
	{ "International Sensible Soccer - World Champions Limited Edition (Europe) (En,Fr,De,It) (Rev 1).sfc",          524288, 0x6ff2d97e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1)
STD_ROM_FN(rInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1)

struct BurnDriver BurnDrvrInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1 = {
	"International Sensible Soccer - World Champions Limited Edition (Europe) (En,Fr,De,It) (Rev 1)", NULL, NULL, "1986",
	"International Sensible Soccer - World Champions Limited Edition (Europe) (En,Fr,De,It) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Sensible Soccer - World Champions Limited Edition (Europe) (En,Fr,De,It) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1RomInfo, rInternationalSensibleSoccerWorldChampionsLimitedEditionEuropeEnFrDeItRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalSuperstarSoccerEuropeRomDesc[] = {
	{ "International Superstar Soccer (Europe).sfc",          1048576, 0x6cd568a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalSuperstarSoccerEurope)
STD_ROM_FN(rInternationalSuperstarSoccerEurope)

struct BurnDriver BurnDrvrInternationalSuperstarSoccerEurope = {
	"International Superstar Soccer (Europe)", NULL, NULL, "1986",
	"International Superstar Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Superstar Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalSuperstarSoccerEuropeRomInfo, rInternationalSuperstarSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalSuperstarSoccerUSARomDesc[] = {
	{ "International Superstar Soccer (USA).sfc",          1048576, 0x49627238, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalSuperstarSoccerUSA)
STD_ROM_FN(rInternationalSuperstarSoccerUSA)

struct BurnDriver BurnDrvrInternationalSuperstarSoccerUSA = {
	"International Superstar Soccer (USA)", NULL, NULL, "1986",
	"International Superstar Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Superstar Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalSuperstarSoccerUSARomInfo, rInternationalSuperstarSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalSuperstarSoccerDeluxeEuropeRomDesc[] = {
	{ "International Superstar Soccer Deluxe (Europe).sfc",          2097152, 0xcba724ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalSuperstarSoccerDeluxeEurope)
STD_ROM_FN(rInternationalSuperstarSoccerDeluxeEurope)

struct BurnDriver BurnDrvrInternationalSuperstarSoccerDeluxeEurope = {
	"International Superstar Soccer Deluxe (Europe)", NULL, NULL, "1986",
	"International Superstar Soccer Deluxe (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Superstar Soccer Deluxe (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalSuperstarSoccerDeluxeEuropeRomInfo, rInternationalSuperstarSoccerDeluxeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalSuperstarSoccerDeluxeUSARomDesc[] = {
	{ "International Superstar Soccer Deluxe (USA).sfc",          2097152, 0xa20e602, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalSuperstarSoccerDeluxeUSA)
STD_ROM_FN(rInternationalSuperstarSoccerDeluxeUSA)

struct BurnDriver BurnDrvrInternationalSuperstarSoccerDeluxeUSA = {
	"International Superstar Soccer Deluxe (USA)", NULL, NULL, "1986",
	"International Superstar Soccer Deluxe (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Superstar Soccer Deluxe (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalSuperstarSoccerDeluxeUSARomInfo, rInternationalSuperstarSoccerDeluxeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalTennisTourEuropeRomDesc[] = {
	{ "International Tennis Tour (Europe).sfc",          1048576, 0x6bbcea4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalTennisTourEurope)
STD_ROM_FN(rInternationalTennisTourEurope)

struct BurnDriver BurnDrvrInternationalTennisTourEurope = {
	"International Tennis Tour (Europe)", NULL, NULL, "1986",
	"International Tennis Tour (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Tennis Tour (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalTennisTourEuropeRomInfo, rInternationalTennisTourEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalTennisTourJapanRomDesc[] = {
	{ "International Tennis Tour (Japan).sfc",          1048576, 0x45f2dab9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalTennisTourJapan)
STD_ROM_FN(rInternationalTennisTourJapan)

struct BurnDriver BurnDrvrInternationalTennisTourJapan = {
	"International Tennis Tour (Japan)", NULL, NULL, "1986",
	"International Tennis Tour (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Tennis Tour (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalTennisTourJapanRomInfo, rInternationalTennisTourJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rInternationalTennisTourUSARomDesc[] = {
	{ "International Tennis Tour (USA).sfc",          1048576, 0xad3cd5e6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rInternationalTennisTourUSA)
STD_ROM_FN(rInternationalTennisTourUSA)

struct BurnDriver BurnDrvrInternationalTennisTourUSA = {
	"International Tennis Tour (USA)", NULL, NULL, "1986",
	"International Tennis Tour (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"International Tennis Tour (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rInternationalTennisTourUSARomInfo, rInternationalTennisTourUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIppatsuGyakutenJapanRomDesc[] = {
	{ "Ippatsu Gyakuten (Japan).sfc",          1048576, 0x5a9fde8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIppatsuGyakutenJapan)
STD_ROM_FN(rIppatsuGyakutenJapan)

struct BurnDriver BurnDrvrIppatsuGyakutenJapan = {
	"Ippatsu Gyakuten (Japan)", NULL, NULL, "1986",
	"Ippatsu Gyakuten (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ippatsu Gyakuten (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIppatsuGyakutenJapanRomInfo, rIppatsuGyakutenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIremMajorTitleTheEuropeRomDesc[] = {
	{ "Irem Major Title, The (Europe).sfc",          1048576, 0x3075cb04, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIremMajorTitleTheEurope)
STD_ROM_FN(rIremMajorTitleTheEurope)

struct BurnDriver BurnDrvrIremMajorTitleTheEurope = {
	"Irem Major Title, The (Europe)", NULL, NULL, "1986",
	"Irem Major Title, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Irem Major Title, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIremMajorTitleTheEuropeRomInfo, rIremMajorTitleTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIremMajorTitleTheJapanRomDesc[] = {
	{ "Irem Major Title, The (Japan).sfc",          1048576, 0xe98f71d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIremMajorTitleTheJapan)
STD_ROM_FN(rIremMajorTitleTheJapan)

struct BurnDriver BurnDrvrIremMajorTitleTheJapan = {
	"Irem Major Title, The (Japan)", NULL, NULL, "1986",
	"Irem Major Title, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Irem Major Title, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIremMajorTitleTheJapanRomInfo, rIremMajorTitleTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIremSkinsGameTheUSARomDesc[] = {
	{ "Irem Skins Game, The (USA).sfc",          1048576, 0xb95ddc44, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIremSkinsGameTheUSA)
STD_ROM_FN(rIremSkinsGameTheUSA)

struct BurnDriver BurnDrvrIremSkinsGameTheUSA = {
	"Irem Skins Game, The (USA)", NULL, NULL, "1986",
	"Irem Skins Game, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Irem Skins Game, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIremSkinsGameTheUSARomInfo, rIremSkinsGameTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIronCommandoEuropeProtoRomDesc[] = {
	{ "Iron Commando (Europe) (Proto).sfc",          1310720, 0xd967299d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIronCommandoEuropeProto)
STD_ROM_FN(rIronCommandoEuropeProto)

struct BurnDriver BurnDrvrIronCommandoEuropeProto = {
	"Iron Commando (Europe) (Proto)", NULL, NULL, "1986",
	"Iron Commando (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Iron Commando (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIronCommandoEuropeProtoRomInfo, rIronCommandoEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIronCommandoKoutetsunoSenshiJapanRomDesc[] = {
	{ "Iron Commando - Koutetsu no Senshi (Japan).sfc",          1310720, 0x828b5f07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIronCommandoKoutetsunoSenshiJapan)
STD_ROM_FN(rIronCommandoKoutetsunoSenshiJapan)

struct BurnDriver BurnDrvrIronCommandoKoutetsunoSenshiJapan = {
	"Iron Commando - Koutetsu no Senshi (Japan)", NULL, NULL, "1986",
	"Iron Commando - Koutetsu no Senshi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Iron Commando - Koutetsu no Senshi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIronCommandoKoutetsunoSenshiJapanRomInfo, rIronCommandoKoutetsunoSenshiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIsozuriRitouHenJapanRomDesc[] = {
	{ "Isozuri - Ritou Hen (Japan).sfc",          2097152, 0x3d35d085, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIsozuriRitouHenJapan)
STD_ROM_FN(rIsozuriRitouHenJapan)

struct BurnDriver BurnDrvrIsozuriRitouHenJapan = {
	"Isozuri - Ritou Hen (Japan)", NULL, NULL, "1986",
	"Isozuri - Ritou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Isozuri - Ritou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIsozuriRitouHenJapanRomInfo, rIsozuriRitouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItadakiStreet2NeonSignwaBaraironiJapanRomDesc[] = {
	{ "Itadaki Street 2 - Neon Sign wa Barairo ni (Japan).sfc",          1572864, 0x95310032, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItadakiStreet2NeonSignwaBaraironiJapan)
STD_ROM_FN(rItadakiStreet2NeonSignwaBaraironiJapan)

struct BurnDriver BurnDrvrItadakiStreet2NeonSignwaBaraironiJapan = {
	"Itadaki Street 2 - Neon Sign wa Barairo ni (Japan)", NULL, NULL, "1986",
	"Itadaki Street 2 - Neon Sign wa Barairo ni (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itadaki Street 2 - Neon Sign wa Barairo ni (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItadakiStreet2NeonSignwaBaraironiJapanRomInfo, rItadakiStreet2NeonSignwaBaraironiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItchyScratchyGameTheEuropeRomDesc[] = {
	{ "Itchy & Scratchy Game, The (Europe).sfc",          1048576, 0xc402347a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItchyScratchyGameTheEurope)
STD_ROM_FN(rItchyScratchyGameTheEurope)

struct BurnDriver BurnDrvrItchyScratchyGameTheEurope = {
	"Itchy & Scratchy Game, The (Europe)", NULL, NULL, "1986",
	"Itchy & Scratchy Game, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itchy & Scratchy Game, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItchyScratchyGameTheEuropeRomInfo, rItchyScratchyGameTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItchyScratchyGameTheUSARomDesc[] = {
	{ "Itchy & Scratchy Game, The (USA).sfc",          1048576, 0x95b65dfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItchyScratchyGameTheUSA)
STD_ROM_FN(rItchyScratchyGameTheUSA)

struct BurnDriver BurnDrvrItchyScratchyGameTheUSA = {
	"Itchy & Scratchy Game, The (USA)", NULL, NULL, "1986",
	"Itchy & Scratchy Game, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itchy & Scratchy Game, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItchyScratchyGameTheUSARomInfo, rItchyScratchyGameTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItoiShigesatonoBassTsuriNo1JapanRomDesc[] = {
	{ "Itoi Shigesato no Bass Tsuri No. 1 (Japan).sfc",          4194304, 0xb9ba8544, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItoiShigesatonoBassTsuriNo1Japan)
STD_ROM_FN(rItoiShigesatonoBassTsuriNo1Japan)

struct BurnDriver BurnDrvrItoiShigesatonoBassTsuriNo1Japan = {
	"Itoi Shigesato no Bass Tsuri No. 1 (Japan)", NULL, NULL, "1986",
	"Itoi Shigesato no Bass Tsuri No. 1 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itoi Shigesato no Bass Tsuri No. 1 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItoiShigesatonoBassTsuriNo1JapanRomInfo, rItoiShigesatonoBassTsuriNo1JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItouHatasuRokudannoShougiDoujouJapanRev1RomDesc[] = {
	{ "Itou Hatasu Rokudan no Shougi Doujou (Japan) (Rev 1).sfc",          1048576, 0x7ee270da, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItouHatasuRokudannoShougiDoujouJapanRev1)
STD_ROM_FN(rItouHatasuRokudannoShougiDoujouJapanRev1)

struct BurnDriver BurnDrvrItouHatasuRokudannoShougiDoujouJapanRev1 = {
	"Itou Hatasu Rokudan no Shougi Doujou (Japan) (Rev 1)", NULL, NULL, "1986",
	"Itou Hatasu Rokudan no Shougi Doujou (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itou Hatasu Rokudan no Shougi Doujou (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItouHatasuRokudannoShougiDoujouJapanRev1RomInfo, rItouHatasuRokudannoShougiDoujouJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rItouHatasuRokudannoShougiDoujouJapanRomDesc[] = {
	{ "Itou Hatasu Rokudan no Shougi Doujou (Japan).sfc",          1048576, 0xbffce7c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rItouHatasuRokudannoShougiDoujouJapan)
STD_ROM_FN(rItouHatasuRokudannoShougiDoujouJapan)

struct BurnDriver BurnDrvrItouHatasuRokudannoShougiDoujouJapan = {
	"Itou Hatasu Rokudan no Shougi Doujou (Japan)", NULL, NULL, "1986",
	"Itou Hatasu Rokudan no Shougi Doujou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Itou Hatasu Rokudan no Shougi Doujou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rItouHatasuRokudannoShougiDoujouJapanRomInfo, rItouHatasuRokudannoShougiDoujouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIzzysQuestfortheOlympicRingsEuropeRomDesc[] = {
	{ "Izzy's Quest for the Olympic Rings (Europe).sfc",          2097152, 0xb096e82e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIzzysQuestfortheOlympicRingsEurope)
STD_ROM_FN(rIzzysQuestfortheOlympicRingsEurope)

struct BurnDriver BurnDrvrIzzysQuestfortheOlympicRingsEurope = {
	"Izzy's Quest for the Olympic Rings (Europe)", NULL, NULL, "1986",
	"Izzy's Quest for the Olympic Rings (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Izzy's Quest for the Olympic Rings (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIzzysQuestfortheOlympicRingsEuropeRomInfo, rIzzysQuestfortheOlympicRingsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIzzysQuestfortheOlympicRingsUSABetaRomDesc[] = {
	{ "Izzy's Quest for the Olympic Rings (USA) (Beta).sfc",          2097152, 0x53ce0546, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIzzysQuestfortheOlympicRingsUSABeta)
STD_ROM_FN(rIzzysQuestfortheOlympicRingsUSABeta)

struct BurnDriver BurnDrvrIzzysQuestfortheOlympicRingsUSABeta = {
	"Izzy's Quest for the Olympic Rings (USA) (Beta)", NULL, NULL, "1986",
	"Izzy's Quest for the Olympic Rings (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Izzy's Quest for the Olympic Rings (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIzzysQuestfortheOlympicRingsUSABetaRomInfo, rIzzysQuestfortheOlympicRingsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rIzzysQuestfortheOlympicRingsUSARomDesc[] = {
	{ "Izzy's Quest for the Olympic Rings (USA).sfc",          2097152, 0xe9bb68c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rIzzysQuestfortheOlympicRingsUSA)
STD_ROM_FN(rIzzysQuestfortheOlympicRingsUSA)

struct BurnDriver BurnDrvrIzzysQuestfortheOlympicRingsUSA = {
	"Izzy's Quest for the Olympic Rings (USA)", NULL, NULL, "1986",
	"Izzy's Quest for the Olympic Rings (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Izzy's Quest for the Olympic Rings (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rIzzysQuestfortheOlympicRingsUSARomInfo, rIzzysQuestfortheOlympicRingsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeague96DreamStadiumJapanRomDesc[] = {
	{ "J.League '96 Dream Stadium (Japan).sfc",          2621440, 0x93a0a25c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeague96DreamStadiumJapan)
STD_ROM_FN(rJLeague96DreamStadiumJapan)

struct BurnDriver BurnDrvrJLeague96DreamStadiumJapan = {
	"J.League '96 Dream Stadium (Japan)", NULL, NULL, "1986",
	"J.League '96 Dream Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League '96 Dream Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeague96DreamStadiumJapanRomInfo, rJLeague96DreamStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueExciteStage94JapanRev1RomDesc[] = {
	{ "J.League Excite Stage '94 (Japan) (Rev 1).sfc",          1572864, 0xc9e33615, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueExciteStage94JapanRev1)
STD_ROM_FN(rJLeagueExciteStage94JapanRev1)

struct BurnDriver BurnDrvrJLeagueExciteStage94JapanRev1 = {
	"J.League Excite Stage '94 (Japan) (Rev 1)", NULL, NULL, "1986",
	"J.League Excite Stage '94 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Excite Stage '94 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueExciteStage94JapanRev1RomInfo, rJLeagueExciteStage94JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueExciteStage94JapanRomDesc[] = {
	{ "J.League Excite Stage '94 (Japan).sfc",          1572864, 0xd96b3936, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueExciteStage94Japan)
STD_ROM_FN(rJLeagueExciteStage94Japan)

struct BurnDriver BurnDrvrJLeagueExciteStage94Japan = {
	"J.League Excite Stage '94 (Japan)", NULL, NULL, "1986",
	"J.League Excite Stage '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Excite Stage '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueExciteStage94JapanRomInfo, rJLeagueExciteStage94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueExciteStage95JapanRomDesc[] = {
	{ "J.League Excite Stage '95 (Japan).sfc",          1572864, 0xdd871511, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueExciteStage95Japan)
STD_ROM_FN(rJLeagueExciteStage95Japan)

struct BurnDriver BurnDrvrJLeagueExciteStage95Japan = {
	"J.League Excite Stage '95 (Japan)", NULL, NULL, "1986",
	"J.League Excite Stage '95 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Excite Stage '95 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueExciteStage95JapanRomInfo, rJLeagueExciteStage95JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueExciteStage96JapanRev1RomDesc[] = {
	{ "J.League Excite Stage '96 (Japan) (Rev 1).sfc",          2097152, 0x857bbfab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueExciteStage96JapanRev1)
STD_ROM_FN(rJLeagueExciteStage96JapanRev1)

struct BurnDriver BurnDrvrJLeagueExciteStage96JapanRev1 = {
	"J.League Excite Stage '96 (Japan) (Rev 1)", NULL, NULL, "1986",
	"J.League Excite Stage '96 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Excite Stage '96 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueExciteStage96JapanRev1RomInfo, rJLeagueExciteStage96JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueExciteStage96JapanRomDesc[] = {
	{ "J.League Excite Stage '96 (Japan).sfc",          2097152, 0xe044e0f1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueExciteStage96Japan)
STD_ROM_FN(rJLeagueExciteStage96Japan)

struct BurnDriver BurnDrvrJLeagueExciteStage96Japan = {
	"J.League Excite Stage '96 (Japan)", NULL, NULL, "1986",
	"J.League Excite Stage '96 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Excite Stage '96 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueExciteStage96JapanRomInfo, rJLeagueExciteStage96JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSoccerPrimeGoalJapanRev1RomDesc[] = {
	{ "J.League Soccer Prime Goal (Japan) (Rev 1).sfc",          1048576, 0x7538f598, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSoccerPrimeGoalJapanRev1)
STD_ROM_FN(rJLeagueSoccerPrimeGoalJapanRev1)

struct BurnDriver BurnDrvrJLeagueSoccerPrimeGoalJapanRev1 = {
	"J.League Soccer Prime Goal (Japan) (Rev 1)", NULL, NULL, "1986",
	"J.League Soccer Prime Goal (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Soccer Prime Goal (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSoccerPrimeGoalJapanRev1RomInfo, rJLeagueSoccerPrimeGoalJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSoccerPrimeGoalJapanRomDesc[] = {
	{ "J.League Soccer Prime Goal (Japan).sfc",          1048576, 0xb81828ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSoccerPrimeGoalJapan)
STD_ROM_FN(rJLeagueSoccerPrimeGoalJapan)

struct BurnDriver BurnDrvrJLeagueSoccerPrimeGoalJapan = {
	"J.League Soccer Prime Goal (Japan)", NULL, NULL, "1986",
	"J.League Soccer Prime Goal (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Soccer Prime Goal (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSoccerPrimeGoalJapanRomInfo, rJLeagueSoccerPrimeGoalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSoccerPrimeGoal2JapanRomDesc[] = {
	{ "J.League Soccer Prime Goal 2 (Japan).sfc",          1572864, 0x569db79d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSoccerPrimeGoal2Japan)
STD_ROM_FN(rJLeagueSoccerPrimeGoal2Japan)

struct BurnDriver BurnDrvrJLeagueSoccerPrimeGoal2Japan = {
	"J.League Soccer Prime Goal 2 (Japan)", NULL, NULL, "1986",
	"J.League Soccer Prime Goal 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Soccer Prime Goal 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSoccerPrimeGoal2JapanRomInfo, rJLeagueSoccerPrimeGoal2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSoccerPrimeGoal3JapanRomDesc[] = {
	{ "J.League Soccer Prime Goal 3 (Japan).sfc",          2097152, 0x1499b746, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSoccerPrimeGoal3Japan)
STD_ROM_FN(rJLeagueSoccerPrimeGoal3Japan)

struct BurnDriver BurnDrvrJLeagueSoccerPrimeGoal3Japan = {
	"J.League Soccer Prime Goal 3 (Japan)", NULL, NULL, "1986",
	"J.League Soccer Prime Goal 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Soccer Prime Goal 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSoccerPrimeGoal3JapanRomInfo, rJLeagueSoccerPrimeGoal3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSuperSoccer95JikkyouStadiumJapanRomDesc[] = {
	{ "J.League Super Soccer '95 - Jikkyou Stadium (Japan).sfc",          2097152, 0x26664bb4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSuperSoccer95JikkyouStadiumJapan)
STD_ROM_FN(rJLeagueSuperSoccer95JikkyouStadiumJapan)

struct BurnDriver BurnDrvrJLeagueSuperSoccer95JikkyouStadiumJapan = {
	"J.League Super Soccer '95 - Jikkyou Stadium (Japan)", NULL, NULL, "1986",
	"J.League Super Soccer '95 - Jikkyou Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Super Soccer '95 - Jikkyou Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSuperSoccer95JikkyouStadiumJapanRomInfo, rJLeagueSuperSoccer95JikkyouStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJLeagueSuperSoccerJapanRomDesc[] = {
	{ "J.League Super Soccer (Japan).sfc",          1572864, 0x1d20cac2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJLeagueSuperSoccerJapan)
STD_ROM_FN(rJLeagueSuperSoccerJapan)

struct BurnDriver BurnDrvrJLeagueSuperSoccerJapan = {
	"J.League Super Soccer (Japan)", NULL, NULL, "1986",
	"J.League Super Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.League Super Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJLeagueSuperSoccerJapanRomInfo, rJLeagueSuperSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRRTolkiensTheLordoftheRingsVolume1USARomDesc[] = {
	{ "J.R.R. Tolkien's The Lord of the Rings - Volume 1 (USA).sfc",          1048576, 0xcd2150c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRRTolkiensTheLordoftheRingsVolume1USA)
STD_ROM_FN(rJRRTolkiensTheLordoftheRingsVolume1USA)

struct BurnDriver BurnDrvrJRRTolkiensTheLordoftheRingsVolume1USA = {
	"J.R.R. Tolkien's The Lord of the Rings - Volume 1 (USA)", NULL, NULL, "1986",
	"J.R.R. Tolkien's The Lord of the Rings - Volume 1 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.R.R. Tolkien's The Lord of the Rings - Volume 1 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRRTolkiensTheLordoftheRingsVolume1USARomInfo, rJRRTolkiensTheLordoftheRingsVolume1USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRRTolkiensTheLordoftheRingsVolumeOneEuropeRomDesc[] = {
	{ "J.R.R. Tolkien's The Lord of the Rings - Volume One (Europe).sfc",          1048576, 0x247c17d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRRTolkiensTheLordoftheRingsVolumeOneEurope)
STD_ROM_FN(rJRRTolkiensTheLordoftheRingsVolumeOneEurope)

struct BurnDriver BurnDrvrJRRTolkiensTheLordoftheRingsVolumeOneEurope = {
	"J.R.R. Tolkien's The Lord of the Rings - Volume One (Europe)", NULL, NULL, "1986",
	"J.R.R. Tolkien's The Lord of the Rings - Volume One (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.R.R. Tolkien's The Lord of the Rings - Volume One (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRRTolkiensTheLordoftheRingsVolumeOneEuropeRomInfo, rJRRTolkiensTheLordoftheRingsVolumeOneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRRTolkiensTheLordoftheRingsVolumeOneGermanyRomDesc[] = {
	{ "J.R.R. Tolkien's The Lord of the Rings - Volume One (Germany).sfc",          1048576, 0x8b172b4e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRRTolkiensTheLordoftheRingsVolumeOneGermany)
STD_ROM_FN(rJRRTolkiensTheLordoftheRingsVolumeOneGermany)

struct BurnDriver BurnDrvrJRRTolkiensTheLordoftheRingsVolumeOneGermany = {
	"J.R.R. Tolkien's The Lord of the Rings - Volume One (Germany)", NULL, NULL, "1986",
	"J.R.R. Tolkien's The Lord of the Rings - Volume One (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"J.R.R. Tolkien's The Lord of the Rings - Volume One (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRRTolkiensTheLordoftheRingsVolumeOneGermanyRomInfo, rJRRTolkiensTheLordoftheRingsVolumeOneGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJackNicklausGolfEuropeRomDesc[] = {
	{ "Jack Nicklaus Golf (Europe).sfc",          524288, 0xa7f0652f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJackNicklausGolfEurope)
STD_ROM_FN(rJackNicklausGolfEurope)

struct BurnDriver BurnDrvrJackNicklausGolfEurope = {
	"Jack Nicklaus Golf (Europe)", NULL, NULL, "1986",
	"Jack Nicklaus Golf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jack Nicklaus Golf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJackNicklausGolfEuropeRomInfo, rJackNicklausGolfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJackNicklausGolfFranceRomDesc[] = {
	{ "Jack Nicklaus Golf (France).sfc",          524288, 0x4c545a02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJackNicklausGolfFrance)
STD_ROM_FN(rJackNicklausGolfFrance)

struct BurnDriver BurnDrvrJackNicklausGolfFrance = {
	"Jack Nicklaus Golf (France)", NULL, NULL, "1986",
	"Jack Nicklaus Golf (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jack Nicklaus Golf (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJackNicklausGolfFranceRomInfo, rJackNicklausGolfFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJackNicklausGolfUSARomDesc[] = {
	{ "Jack Nicklaus Golf (USA).sfc",          524288, 0x9abc58e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJackNicklausGolfUSA)
STD_ROM_FN(rJackNicklausGolfUSA)

struct BurnDriver BurnDrvrJackNicklausGolfUSA = {
	"Jack Nicklaus Golf (USA)", NULL, NULL, "1986",
	"Jack Nicklaus Golf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jack Nicklaus Golf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJackNicklausGolfUSARomInfo, rJackNicklausGolfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJakiCrushJapanRomDesc[] = {
	{ "Jaki Crush (Japan).sfc",          1048576, 0xf696d5a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJakiCrushJapan)
STD_ROM_FN(rJakiCrushJapan)

struct BurnDriver BurnDrvrJakiCrushJapan = {
	"Jaki Crush (Japan)", NULL, NULL, "1986",
	"Jaki Crush (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jaki Crush (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJakiCrushJapanRomInfo, rJakiCrushJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJalecoRallyBigRunTheSupreme4WDChallengeJapanRomDesc[] = {
	{ "Jaleco Rally Big Run - The Supreme 4WD Challenge (Japan).sfc",          1048576, 0xc157978c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJalecoRallyBigRunTheSupreme4WDChallengeJapan)
STD_ROM_FN(rJalecoRallyBigRunTheSupreme4WDChallengeJapan)

struct BurnDriver BurnDrvrJalecoRallyBigRunTheSupreme4WDChallengeJapan = {
	"Jaleco Rally Big Run - The Supreme 4WD Challenge (Japan)", NULL, NULL, "1986",
	"Jaleco Rally Big Run - The Supreme 4WD Challenge (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jaleco Rally Big Run - The Supreme 4WD Challenge (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJalecoRallyBigRunTheSupreme4WDChallengeJapanRomInfo, rJalecoRallyBigRunTheSupreme4WDChallengeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJamesBondJrEuropeRomDesc[] = {
	{ "James Bond Jr (Europe).sfc",          524288, 0x7414a4c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJamesBondJrEurope)
STD_ROM_FN(rJamesBondJrEurope)

struct BurnDriver BurnDrvrJamesBondJrEurope = {
	"James Bond Jr (Europe)", NULL, NULL, "1986",
	"James Bond Jr (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"James Bond Jr (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJamesBondJrEuropeRomInfo, rJamesBondJrEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJamesBondJrUSARomDesc[] = {
	{ "James Bond Jr (USA).sfc",          524288, 0x69c2f850, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJamesBondJrUSA)
STD_ROM_FN(rJamesBondJrUSA)

struct BurnDriver BurnDrvrJamesBondJrUSA = {
	"James Bond Jr (USA)", NULL, NULL, "1986",
	"James Bond Jr (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"James Bond Jr (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJamesBondJrUSARomInfo, rJamesBondJrUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJamesPondsCrazySportsEuropeRomDesc[] = {
	{ "James Pond's Crazy Sports (Europe).sfc",          524288, 0x66f00725, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJamesPondsCrazySportsEurope)
STD_ROM_FN(rJamesPondsCrazySportsEurope)

struct BurnDriver BurnDrvrJamesPondsCrazySportsEurope = {
	"James Pond's Crazy Sports (Europe)", NULL, NULL, "1986",
	"James Pond's Crazy Sports (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"James Pond's Crazy Sports (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJamesPondsCrazySportsEuropeRomInfo, rJamesPondsCrazySportsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJammesJapanRomDesc[] = {
	{ "Jammes (Japan).sfc",          524288, 0x9bb76902, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJammesJapan)
STD_ROM_FN(rJammesJapan)

struct BurnDriver BurnDrvrJammesJapan = {
	"Jammes (Japan)", NULL, NULL, "1986",
	"Jammes (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jammes (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJammesJapanRomInfo, rJammesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJammitUSARomDesc[] = {
	{ "Jammit (USA).sfc",          2097152, 0x7bddd73f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJammitUSA)
STD_ROM_FN(rJammitUSA)

struct BurnDriver BurnDrvrJammitUSA = {
	"Jammit (USA)", NULL, NULL, "1986",
	"Jammit (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jammit (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJammitUSARomInfo, rJammitUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJanyuukiGokuuRandaJapanRomDesc[] = {
	{ "Janyuuki - Gokuu Randa (Japan).sfc",          1048576, 0x10978b2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJanyuukiGokuuRandaJapan)
STD_ROM_FN(rJanyuukiGokuuRandaJapan)

struct BurnDriver BurnDrvrJanyuukiGokuuRandaJapan = {
	"Janyuuki - Gokuu Randa (Japan)", NULL, NULL, "1986",
	"Janyuuki - Gokuu Randa (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Janyuuki - Gokuu Randa (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJanyuukiGokuuRandaJapanRomInfo, rJanyuukiGokuuRandaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJBTheSuperBassJapanRomDesc[] = {
	{ "JB The Super Bass (Japan).sfc",          2621440, 0xd85c1c8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJBTheSuperBassJapan)
STD_ROM_FN(rJBTheSuperBassJapan)

struct BurnDriver BurnDrvrJBTheSuperBassJapan = {
	"JB The Super Bass (Japan)", NULL, NULL, "1986",
	"JB The Super Bass (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"JB The Super Bass (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJBTheSuperBassJapanRomInfo, rJBTheSuperBassJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJellyBoyEuropeRomDesc[] = {
	{ "Jelly Boy (Europe).sfc",          1048576, 0xf8c72a24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJellyBoyEurope)
STD_ROM_FN(rJellyBoyEurope)

struct BurnDriver BurnDrvrJellyBoyEurope = {
	"Jelly Boy (Europe)", NULL, NULL, "1986",
	"Jelly Boy (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jelly Boy (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJellyBoyEuropeRomInfo, rJellyBoyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJellyBoy2JapanProtoRomDesc[] = {
	{ "Jelly Boy 2 (Japan) (Proto).sfc",          1572864, 0xf3a6c574, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJellyBoy2JapanProto)
STD_ROM_FN(rJellyBoy2JapanProto)

struct BurnDriver BurnDrvrJellyBoy2JapanProto = {
	"Jelly Boy 2 (Japan) (Proto)", NULL, NULL, "1986",
	"Jelly Boy 2 (Japan) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jelly Boy 2 (Japan) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJellyBoy2JapanProtoRomInfo, rJellyBoy2JapanProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJeopardyUSARomDesc[] = {
	{ "Jeopardy! (USA).sfc",          524288, 0x65bf3a7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJeopardyUSA)
STD_ROM_FN(rJeopardyUSA)

struct BurnDriver BurnDrvrJeopardyUSA = {
	"Jeopardy! (USA)", NULL, NULL, "1986",
	"Jeopardy! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jeopardy! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJeopardyUSARomInfo, rJeopardyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJeopardyDeluxeEditionUSARomDesc[] = {
	{ "Jeopardy! - Deluxe Edition (USA).sfc",          524288, 0x6301060c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJeopardyDeluxeEditionUSA)
STD_ROM_FN(rJeopardyDeluxeEditionUSA)

struct BurnDriver BurnDrvrJeopardyDeluxeEditionUSA = {
	"Jeopardy! - Deluxe Edition (USA)", NULL, NULL, "1986",
	"Jeopardy! - Deluxe Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jeopardy! - Deluxe Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJeopardyDeluxeEditionUSARomInfo, rJeopardyDeluxeEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJeopardySportsEditionUSARomDesc[] = {
	{ "Jeopardy! - Sports Edition (USA).sfc",          524288, 0xbda7de29, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJeopardySportsEditionUSA)
STD_ROM_FN(rJeopardySportsEditionUSA)

struct BurnDriver BurnDrvrJeopardySportsEditionUSA = {
	"Jeopardy! - Sports Edition (USA)", NULL, NULL, "1986",
	"Jeopardy! - Sports Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jeopardy! - Sports Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJeopardySportsEditionUSARomInfo, rJeopardySportsEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJerryBoyJapanRomDesc[] = {
	{ "Jerry Boy (Japan).sfc",          1048576, 0x4ef452f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJerryBoyJapan)
STD_ROM_FN(rJerryBoyJapan)

struct BurnDriver BurnDrvrJerryBoyJapan = {
	"Jerry Boy (Japan)", NULL, NULL, "1986",
	"Jerry Boy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jerry Boy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJerryBoyJapanRomInfo, rJerryBoyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJetsonsTheInvasionofthePlanetPiratesUSARomDesc[] = {
	{ "Jetsons, The - Invasion of the Planet Pirates (USA).sfc",          1048576, 0x3e3073ce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJetsonsTheInvasionofthePlanetPiratesUSA)
STD_ROM_FN(rJetsonsTheInvasionofthePlanetPiratesUSA)

struct BurnDriver BurnDrvrJetsonsTheInvasionofthePlanetPiratesUSA = {
	"Jetsons, The - Invasion of the Planet Pirates (USA)", NULL, NULL, "1986",
	"Jetsons, The - Invasion of the Planet Pirates (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jetsons, The - Invasion of the Planet Pirates (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJetsonsTheInvasionofthePlanetPiratesUSARomInfo, rJetsonsTheInvasionofthePlanetPiratesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJigsawPartyJapanRomDesc[] = {
	{ "Jigsaw Party (Japan).sfc",          1048576, 0x78f229dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJigsawPartyJapan)
STD_ROM_FN(rJigsawPartyJapan)

struct BurnDriver BurnDrvrJigsawPartyJapan = {
	"Jigsaw Party (Japan)", NULL, NULL, "1986",
	"Jigsaw Party (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jigsaw Party (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJigsawPartyJapanRomInfo, rJigsawPartyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouOshaberiParodiusJapanRomDesc[] = {
	{ "Jikkyou Oshaberi Parodius (Japan).sfc",          3145728, 0x177937ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouOshaberiParodiusJapan)
STD_ROM_FN(rJikkyouOshaberiParodiusJapan)

struct BurnDriver BurnDrvrJikkyouOshaberiParodiusJapan = {
	"Jikkyou Oshaberi Parodius (Japan)", NULL, NULL, "1986",
	"Jikkyou Oshaberi Parodius (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Oshaberi Parodius (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouOshaberiParodiusJapanRomInfo, rJikkyouOshaberiParodiusJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerProWrestling96MaxVoltageJapanRomDesc[] = {
	{ "Jikkyou Power Pro Wrestling '96 - Max Voltage (Japan).sfc",          4194304, 0x94c1d85c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerProWrestling96MaxVoltageJapan)
STD_ROM_FN(rJikkyouPowerProWrestling96MaxVoltageJapan)

struct BurnDriver BurnDrvrJikkyouPowerProWrestling96MaxVoltageJapan = {
	"Jikkyou Power Pro Wrestling '96 - Max Voltage (Japan)", NULL, NULL, "1986",
	"Jikkyou Power Pro Wrestling '96 - Max Voltage (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Power Pro Wrestling '96 - Max Voltage (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerProWrestling96MaxVoltageJapanRomInfo, rJikkyouPowerProWrestling96MaxVoltageJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu94JapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu '94 (Japan).sfc",          2097152, 0xa4374771, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu94Japan)
STD_ROM_FN(rJikkyouPowerfulProYakyuu94Japan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu94Japan = {
	"Jikkyou Powerful Pro Yakyuu '94 (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu94JapanRomInfo, rJikkyouPowerfulProYakyuu94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1RomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan) (Rev 1).sfc",          3145728, 0xfb487712, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1)
STD_ROM_FN(rJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1 = {
	"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan) (Rev 1)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1RomInfo, rJikkyouPowerfulProYakyuu96KaimakuBanJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu96KaimakuBanJapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan).sfc",          3145728, 0xbc9b4391, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu96KaimakuBanJapan)
STD_ROM_FN(rJikkyouPowerfulProYakyuu96KaimakuBanJapan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu96KaimakuBanJapan = {
	"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu '96 - Kaimaku Ban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu96KaimakuBanJapanRomInfo, rJikkyouPowerfulProYakyuu96KaimakuBanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuuBasicBan98JapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu - Basic Ban '98 (Japan).sfc",          3145728, 0xe17c5c97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuuBasicBan98Japan)
STD_ROM_FN(rJikkyouPowerfulProYakyuuBasicBan98Japan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuuBasicBan98Japan = {
	"Jikkyou Powerful Pro Yakyuu - Basic Ban '98 (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu - Basic Ban '98 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu - Basic Ban '98 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuuBasicBan98JapanRomInfo, rJikkyouPowerfulProYakyuuBasicBan98JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu2JapanRev1RomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu 2 (Japan) (Rev 1).sfc",          2621440, 0xee0c54b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu2JapanRev1)
STD_ROM_FN(rJikkyouPowerfulProYakyuu2JapanRev1)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu2JapanRev1 = {
	"Jikkyou Powerful Pro Yakyuu 2 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu 2 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu 2 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu2JapanRev1RomInfo, rJikkyouPowerfulProYakyuu2JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu2JapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu 2 (Japan).sfc",          2621440, 0x5d7cd9c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu2Japan)
STD_ROM_FN(rJikkyouPowerfulProYakyuu2Japan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu2Japan = {
	"Jikkyou Powerful Pro Yakyuu 2 (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu2JapanRomInfo, rJikkyouPowerfulProYakyuu2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu3JapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu 3 (Japan).sfc",          3145728, 0xf7c3a222, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu3Japan)
STD_ROM_FN(rJikkyouPowerfulProYakyuu3Japan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu3Japan = {
	"Jikkyou Powerful Pro Yakyuu 3 (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu3JapanRomInfo, rJikkyouPowerfulProYakyuu3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu397HaruJapanRev1RomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan) (Rev 1).sfc",          3145728, 0x5e75a0e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu397HaruJapanRev1)
STD_ROM_FN(rJikkyouPowerfulProYakyuu397HaruJapanRev1)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu397HaruJapanRev1 = {
	"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan) (Rev 1)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu397HaruJapanRev1RomInfo, rJikkyouPowerfulProYakyuu397HaruJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouPowerfulProYakyuu397HaruJapanRomDesc[] = {
	{ "Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan).sfc",          3145728, 0xad5b0417, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouPowerfulProYakyuu397HaruJapan)
STD_ROM_FN(rJikkyouPowerfulProYakyuu397HaruJapan)

struct BurnDriver BurnDrvrJikkyouPowerfulProYakyuu397HaruJapan = {
	"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan)", NULL, NULL, "1986",
	"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou Powerful Pro Yakyuu 3 - '97 Haru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouPowerfulProYakyuu397HaruJapanRomInfo, rJikkyouPowerfulProYakyuu397HaruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouWorldSoccerPerfectElevenJapanRev1RomDesc[] = {
	{ "Jikkyou World Soccer - Perfect Eleven (Japan) (Rev 1).sfc",          2097152, 0x16d71685, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouWorldSoccerPerfectElevenJapanRev1)
STD_ROM_FN(rJikkyouWorldSoccerPerfectElevenJapanRev1)

struct BurnDriver BurnDrvrJikkyouWorldSoccerPerfectElevenJapanRev1 = {
	"Jikkyou World Soccer - Perfect Eleven (Japan) (Rev 1)", NULL, NULL, "1986",
	"Jikkyou World Soccer - Perfect Eleven (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou World Soccer - Perfect Eleven (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouWorldSoccerPerfectElevenJapanRev1RomInfo, rJikkyouWorldSoccerPerfectElevenJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouWorldSoccerPerfectElevenJapanRomDesc[] = {
	{ "Jikkyou World Soccer - Perfect Eleven (Japan).sfc",          2097152, 0x37c36fdc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouWorldSoccerPerfectElevenJapan)
STD_ROM_FN(rJikkyouWorldSoccerPerfectElevenJapan)

struct BurnDriver BurnDrvrJikkyouWorldSoccerPerfectElevenJapan = {
	"Jikkyou World Soccer - Perfect Eleven (Japan)", NULL, NULL, "1986",
	"Jikkyou World Soccer - Perfect Eleven (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou World Soccer - Perfect Eleven (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouWorldSoccerPerfectElevenJapanRomInfo, rJikkyouWorldSoccerPerfectElevenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouWorldSoccer2FightingElevenJapanBetaRomDesc[] = {
	{ "Jikkyou World Soccer 2 - Fighting Eleven (Japan) (Beta).sfc",          3145728, 0x261e0ea1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouWorldSoccer2FightingElevenJapanBeta)
STD_ROM_FN(rJikkyouWorldSoccer2FightingElevenJapanBeta)

struct BurnDriver BurnDrvrJikkyouWorldSoccer2FightingElevenJapanBeta = {
	"Jikkyou World Soccer 2 - Fighting Eleven (Japan) (Beta)", NULL, NULL, "1986",
	"Jikkyou World Soccer 2 - Fighting Eleven (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou World Soccer 2 - Fighting Eleven (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouWorldSoccer2FightingElevenJapanBetaRomInfo, rJikkyouWorldSoccer2FightingElevenJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJikkyouWorldSoccer2FightingElevenJapanRomDesc[] = {
	{ "Jikkyou World Soccer 2 - Fighting Eleven (Japan).sfc",          3145728, 0xe7559d73, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJikkyouWorldSoccer2FightingElevenJapan)
STD_ROM_FN(rJikkyouWorldSoccer2FightingElevenJapan)

struct BurnDriver BurnDrvrJikkyouWorldSoccer2FightingElevenJapan = {
	"Jikkyou World Soccer 2 - Fighting Eleven (Japan)", NULL, NULL, "1986",
	"Jikkyou World Soccer 2 - Fighting Eleven (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jikkyou World Soccer 2 - Fighting Eleven (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJikkyouWorldSoccer2FightingElevenJapanRomInfo, rJikkyouWorldSoccer2FightingElevenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimLeesWildCATSCovertActionTeamsUSARomDesc[] = {
	{ "Jim Lee's WildC.A.T.S - Covert Action Teams (USA).sfc",          2097152, 0x10c6f5ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimLeesWildCATSCovertActionTeamsUSA)
STD_ROM_FN(rJimLeesWildCATSCovertActionTeamsUSA)

struct BurnDriver BurnDrvrJimLeesWildCATSCovertActionTeamsUSA = {
	"Jim Lee's WildC.A.T.S - Covert Action Teams (USA)", NULL, NULL, "1986",
	"Jim Lee's WildC.A.T.S - Covert Action Teams (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jim Lee's WildC.A.T.S - Covert Action Teams (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimLeesWildCATSCovertActionTeamsUSARomInfo, rJimLeesWildCATSCovertActionTeamsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimPowerTheLostDimensionin3DEuropeProtoRomDesc[] = {
	{ "Jim Power - The Lost Dimension in 3D (Europe) (Proto).sfc",          1048576, 0x35aae4eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimPowerTheLostDimensionin3DEuropeProto)
STD_ROM_FN(rJimPowerTheLostDimensionin3DEuropeProto)

struct BurnDriver BurnDrvrJimPowerTheLostDimensionin3DEuropeProto = {
	"Jim Power - The Lost Dimension in 3D (Europe) (Proto)", NULL, NULL, "1986",
	"Jim Power - The Lost Dimension in 3D (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jim Power - The Lost Dimension in 3D (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimPowerTheLostDimensionin3DEuropeProtoRomInfo, rJimPowerTheLostDimensionin3DEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimPowerTheLostDimensionin3DUSARomDesc[] = {
	{ "Jim Power - The Lost Dimension in 3D (USA).sfc",          1048576, 0xc469f8f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimPowerTheLostDimensionin3DUSA)
STD_ROM_FN(rJimPowerTheLostDimensionin3DUSA)

struct BurnDriver BurnDrvrJimPowerTheLostDimensionin3DUSA = {
	"Jim Power - The Lost Dimension in 3D (USA)", NULL, NULL, "1986",
	"Jim Power - The Lost Dimension in 3D (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jim Power - The Lost Dimension in 3D (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimPowerTheLostDimensionin3DUSARomInfo, rJimPowerTheLostDimensionin3DUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyConnorsProTennisTourEuropeRomDesc[] = {
	{ "Jimmy Connors Pro Tennis Tour (Europe).sfc",          524288, 0xbba55bec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyConnorsProTennisTourEurope)
STD_ROM_FN(rJimmyConnorsProTennisTourEurope)

struct BurnDriver BurnDrvrJimmyConnorsProTennisTourEurope = {
	"Jimmy Connors Pro Tennis Tour (Europe)", NULL, NULL, "1986",
	"Jimmy Connors Pro Tennis Tour (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Connors Pro Tennis Tour (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyConnorsProTennisTourEuropeRomInfo, rJimmyConnorsProTennisTourEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyConnorsProTennisTourFranceRomDesc[] = {
	{ "Jimmy Connors Pro Tennis Tour (France).sfc",          524288, 0xbea289fc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyConnorsProTennisTourFrance)
STD_ROM_FN(rJimmyConnorsProTennisTourFrance)

struct BurnDriver BurnDrvrJimmyConnorsProTennisTourFrance = {
	"Jimmy Connors Pro Tennis Tour (France)", NULL, NULL, "1986",
	"Jimmy Connors Pro Tennis Tour (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Connors Pro Tennis Tour (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyConnorsProTennisTourFranceRomInfo, rJimmyConnorsProTennisTourFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyConnorsProTennisTourGermanyRomDesc[] = {
	{ "Jimmy Connors Pro Tennis Tour (Germany).sfc",          524288, 0xe2294a8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyConnorsProTennisTourGermany)
STD_ROM_FN(rJimmyConnorsProTennisTourGermany)

struct BurnDriver BurnDrvrJimmyConnorsProTennisTourGermany = {
	"Jimmy Connors Pro Tennis Tour (Germany)", NULL, NULL, "1986",
	"Jimmy Connors Pro Tennis Tour (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Connors Pro Tennis Tour (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyConnorsProTennisTourGermanyRomInfo, rJimmyConnorsProTennisTourGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyConnorsProTennisTourJapanRomDesc[] = {
	{ "Jimmy Connors Pro Tennis Tour (Japan).sfc",          524288, 0xa95bef02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyConnorsProTennisTourJapan)
STD_ROM_FN(rJimmyConnorsProTennisTourJapan)

struct BurnDriver BurnDrvrJimmyConnorsProTennisTourJapan = {
	"Jimmy Connors Pro Tennis Tour (Japan)", NULL, NULL, "1986",
	"Jimmy Connors Pro Tennis Tour (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Connors Pro Tennis Tour (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyConnorsProTennisTourJapanRomInfo, rJimmyConnorsProTennisTourJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyConnorsProTennisTourUSARomDesc[] = {
	{ "Jimmy Connors Pro Tennis Tour (USA).sfc",          524288, 0x913f1555, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyConnorsProTennisTourUSA)
STD_ROM_FN(rJimmyConnorsProTennisTourUSA)

struct BurnDriver BurnDrvrJimmyConnorsProTennisTourUSA = {
	"Jimmy Connors Pro Tennis Tour (USA)", NULL, NULL, "1986",
	"Jimmy Connors Pro Tennis Tour (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Connors Pro Tennis Tour (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyConnorsProTennisTourUSARomInfo, rJimmyConnorsProTennisTourUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJimmyHoustonsBassTournamentUSAUSARomDesc[] = {
	{ "Jimmy Houston's Bass Tournament U.S.A. (USA).sfc",          1572864, 0xe7e488d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJimmyHoustonsBassTournamentUSAUSA)
STD_ROM_FN(rJimmyHoustonsBassTournamentUSAUSA)

struct BurnDriver BurnDrvrJimmyHoustonsBassTournamentUSAUSA = {
	"Jimmy Houston's Bass Tournament U.S.A. (USA)", NULL, NULL, "1986",
	"Jimmy Houston's Bass Tournament U.S.A. (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jimmy Houston's Bass Tournament U.S.A. (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJimmyHoustonsBassTournamentUSAUSARomInfo, rJimmyHoustonsBassTournamentUSAUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenBassFishingHisshouhouinUSAJapanRomDesc[] = {
	{ "Jissen Bass Fishing Hisshouhou in USA (Japan).sfc",          1572864, 0x82ba9020, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenBassFishingHisshouhouinUSAJapan)
STD_ROM_FN(rJissenBassFishingHisshouhouinUSAJapan)

struct BurnDriver BurnDrvrJissenBassFishingHisshouhouinUSAJapan = {
	"Jissen Bass Fishing Hisshouhou in USA (Japan)", NULL, NULL, "1986",
	"Jissen Bass Fishing Hisshouhou in USA (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen Bass Fishing Hisshouhou in USA (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenBassFishingHisshouhouinUSAJapanRomInfo, rJissenBassFishingHisshouhouinUSAJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenKyouteiJapanRomDesc[] = {
	{ "Jissen Kyoutei (Japan).sfc",          1572864, 0x65815455, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenKyouteiJapan)
STD_ROM_FN(rJissenKyouteiJapan)

struct BurnDriver BurnDrvrJissenKyouteiJapan = {
	"Jissen Kyoutei (Japan)", NULL, NULL, "1986",
	"Jissen Kyoutei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen Kyoutei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenKyouteiJapanRomInfo, rJissenKyouteiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhouTwinJapanRomDesc[] = {
	{ "Jissen Pachi-Slot Hisshouhou! Twin (Japan).sfc",          524288, 0xacbef43d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhouTwinJapan)
STD_ROM_FN(rJissenPachiSlotHisshouhouTwinJapan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhouTwinJapan = {
	"Jissen Pachi-Slot Hisshouhou! Twin (Japan)", NULL, NULL, "1986",
	"Jissen Pachi-Slot Hisshouhou! Twin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen Pachi-Slot Hisshouhou! Twin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhouTwinJapanRomInfo, rJissenPachiSlotHisshouhouTwinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhouTwinVol2JapanRomDesc[] = {
	{ "Jissen Pachi-Slot Hisshouhou! Twin Vol. 2 (Japan).sfc",          524288, 0x1013bcf3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhouTwinVol2Japan)
STD_ROM_FN(rJissenPachiSlotHisshouhouTwinVol2Japan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhouTwinVol2Japan = {
	"Jissen Pachi-Slot Hisshouhou! Twin Vol. 2 (Japan)", NULL, NULL, "1986",
	"Jissen Pachi-Slot Hisshouhou! Twin Vol. 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen Pachi-Slot Hisshouhou! Twin Vol. 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhouTwinVol2JapanRomInfo, rJissenPachiSlotHisshouhouTwinVol2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachinkoHisshouhou2JapanRomDesc[] = {
	{ "Jissen Pachinko Hisshouhou! 2 (Japan).sfc",          1572864, 0x59884df2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachinkoHisshouhou2Japan)
STD_ROM_FN(rJissenPachinkoHisshouhou2Japan)

struct BurnDriver BurnDrvrJissenPachinkoHisshouhou2Japan = {
	"Jissen Pachinko Hisshouhou! 2 (Japan)", NULL, NULL, "1986",
	"Jissen Pachinko Hisshouhou! 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen Pachinko Hisshouhou! 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachinkoHisshouhou2JapanRomInfo, rJissenPachinkoHisshouhou2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenMahjongShinanJapanRomDesc[] = {
	{ "Jissen! Mahjong Shinan (Japan).sfc",          1048576, 0x457f3020, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenMahjongShinanJapan)
STD_ROM_FN(rJissenMahjongShinanJapan)

struct BurnDriver BurnDrvrJissenMahjongShinanJapan = {
	"Jissen! Mahjong Shinan (Japan)", NULL, NULL, "1986",
	"Jissen! Mahjong Shinan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen! Mahjong Shinan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenMahjongShinanJapanRomInfo, rJissenMahjongShinanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhouJapanRomDesc[] = {
	{ "Jissen! Pachi-Slot Hisshouhou! (Japan).sfc",          524288, 0x4664ff26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhouJapan)
STD_ROM_FN(rJissenPachiSlotHisshouhouJapan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhouJapan = {
	"Jissen! Pachi-Slot Hisshouhou! (Japan)", NULL, NULL, "1986",
	"Jissen! Pachi-Slot Hisshouhou! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen! Pachi-Slot Hisshouhou! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhouJapanRomInfo, rJissenPachiSlotHisshouhouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhou2JapanRomDesc[] = {
	{ "Jissen! Pachi-Slot Hisshouhou! 2 (Japan).sfc",          1048576, 0x9bfa7045, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhou2Japan)
STD_ROM_FN(rJissenPachiSlotHisshouhou2Japan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhou2Japan = {
	"Jissen! Pachi-Slot Hisshouhou! 2 (Japan)", NULL, NULL, "1986",
	"Jissen! Pachi-Slot Hisshouhou! 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen! Pachi-Slot Hisshouhou! 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhou2JapanRomInfo, rJissenPachiSlotHisshouhou2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhouClassicJapanRomDesc[] = {
	{ "Jissen! Pachi-Slot Hisshouhou! Classic (Japan).sfc",          1048576, 0xf28358c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhouClassicJapan)
STD_ROM_FN(rJissenPachiSlotHisshouhouClassicJapan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhouClassicJapan = {
	"Jissen! Pachi-Slot Hisshouhou! Classic (Japan)", NULL, NULL, "1986",
	"Jissen! Pachi-Slot Hisshouhou! Classic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen! Pachi-Slot Hisshouhou! Classic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhouClassicJapanRomInfo, rJissenPachiSlotHisshouhouClassicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJissenPachiSlotHisshouhouYamasaDensetsuJapanRomDesc[] = {
	{ "Jissen! Pachi-Slot Hisshouhou! Yamasa Densetsu (Japan).sfc",          1048576, 0x8fb6a868, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJissenPachiSlotHisshouhouYamasaDensetsuJapan)
STD_ROM_FN(rJissenPachiSlotHisshouhouYamasaDensetsuJapan)

struct BurnDriver BurnDrvrJissenPachiSlotHisshouhouYamasaDensetsuJapan = {
	"Jissen! Pachi-Slot Hisshouhou! Yamasa Densetsu (Japan)", NULL, NULL, "1986",
	"Jissen! Pachi-Slot Hisshouhou! Yamasa Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jissen! Pachi-Slot Hisshouhou! Yamasa Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJissenPachiSlotHisshouhouYamasaDensetsuJapanRomInfo, rJissenPachiSlotHisshouhouYamasaDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMacUSARomDesc[] = {
	{ "Joe & Mac (USA).sfc",          1048576, 0x3a2b6167, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMacUSA)
STD_ROM_FN(rJoeMacUSA)

struct BurnDriver BurnDrvrJoeMacUSA = {
	"Joe & Mac (USA)", NULL, NULL, "1986",
	"Joe & Mac (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMacUSARomInfo, rJoeMacUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMacCavemanNinjaEuropeEnFrDeEsItNlBetaRomDesc[] = {
	{ "Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl) (Beta).sfc",          1048576, 0xdb8447eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMacCavemanNinjaEuropeEnFrDeEsItNlBeta)
STD_ROM_FN(rJoeMacCavemanNinjaEuropeEnFrDeEsItNlBeta)

struct BurnDriver BurnDrvrJoeMacCavemanNinjaEuropeEnFrDeEsItNlBeta = {
	"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl) (Beta)", NULL, NULL, "1986",
	"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMacCavemanNinjaEuropeEnFrDeEsItNlBetaRomInfo, rJoeMacCavemanNinjaEuropeEnFrDeEsItNlBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMacCavemanNinjaEuropeEnFrDeEsItNlRomDesc[] = {
	{ "Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl).sfc",          1048576, 0xa423a9d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMacCavemanNinjaEuropeEnFrDeEsItNl)
STD_ROM_FN(rJoeMacCavemanNinjaEuropeEnFrDeEsItNl)

struct BurnDriver BurnDrvrJoeMacCavemanNinjaEuropeEnFrDeEsItNl = {
	"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl)", NULL, NULL, "1986",
	"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac - Caveman Ninja (Europe) (En,Fr,De,Es,It,Nl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMacCavemanNinjaEuropeEnFrDeEsItNlRomInfo, rJoeMacCavemanNinjaEuropeEnFrDeEsItNlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMacTatakaeGenshijinJapanRomDesc[] = {
	{ "Joe & Mac - Tatakae Genshijin (Japan).sfc",          1048576, 0xfb9f19ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMacTatakaeGenshijinJapan)
STD_ROM_FN(rJoeMacTatakaeGenshijinJapan)

struct BurnDriver BurnDrvrJoeMacTatakaeGenshijinJapan = {
	"Joe & Mac - Tatakae Genshijin (Japan)", NULL, NULL, "1986",
	"Joe & Mac - Tatakae Genshijin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac - Tatakae Genshijin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMacTatakaeGenshijinJapanRomInfo, rJoeMacTatakaeGenshijinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMac2LostintheTropicsUSABetaRomDesc[] = {
	{ "Joe & Mac 2 - Lost in the Tropics (USA) (Beta).sfc",          1048576, 0xec7a2ed3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMac2LostintheTropicsUSABeta)
STD_ROM_FN(rJoeMac2LostintheTropicsUSABeta)

struct BurnDriver BurnDrvrJoeMac2LostintheTropicsUSABeta = {
	"Joe & Mac 2 - Lost in the Tropics (USA) (Beta)", NULL, NULL, "1986",
	"Joe & Mac 2 - Lost in the Tropics (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac 2 - Lost in the Tropics (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMac2LostintheTropicsUSABetaRomInfo, rJoeMac2LostintheTropicsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMac2LostintheTropicsUSARomDesc[] = {
	{ "Joe & Mac 2 - Lost in the Tropics (USA).sfc",          1048576, 0xc3b4201, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMac2LostintheTropicsUSA)
STD_ROM_FN(rJoeMac2LostintheTropicsUSA)

struct BurnDriver BurnDrvrJoeMac2LostintheTropicsUSA = {
	"Joe & Mac 2 - Lost in the Tropics (USA)", NULL, NULL, "1986",
	"Joe & Mac 2 - Lost in the Tropics (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac 2 - Lost in the Tropics (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMac2LostintheTropicsUSARomInfo, rJoeMac2LostintheTropicsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMac3LostintheTropicsEuropeEnFrDeBetaRomDesc[] = {
	{ "Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De) (Beta).sfc",          1048576, 0x5970fb74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMac3LostintheTropicsEuropeEnFrDeBeta)
STD_ROM_FN(rJoeMac3LostintheTropicsEuropeEnFrDeBeta)

struct BurnDriver BurnDrvrJoeMac3LostintheTropicsEuropeEnFrDeBeta = {
	"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De) (Beta)", NULL, NULL, "1986",
	"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMac3LostintheTropicsEuropeEnFrDeBetaRomInfo, rJoeMac3LostintheTropicsEuropeEnFrDeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoeMac3LostintheTropicsEuropeEnFrDeRomDesc[] = {
	{ "Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De).sfc",          1048576, 0xb9d6269d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoeMac3LostintheTropicsEuropeEnFrDe)
STD_ROM_FN(rJoeMac3LostintheTropicsEuropeEnFrDe)

struct BurnDriver BurnDrvrJoeMac3LostintheTropicsEuropeEnFrDe = {
	"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joe & Mac 3 - Lost in the Tropics (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoeMac3LostintheTropicsEuropeEnFrDeRomInfo, rJoeMac3LostintheTropicsEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJohnMaddenFootball93EuropeRomDesc[] = {
	{ "John Madden Football '93 (Europe).sfc",          1048576, 0xb07b2a60, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJohnMaddenFootball93Europe)
STD_ROM_FN(rJohnMaddenFootball93Europe)

struct BurnDriver BurnDrvrJohnMaddenFootball93Europe = {
	"John Madden Football '93 (Europe)", NULL, NULL, "1986",
	"John Madden Football '93 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"John Madden Football '93 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJohnMaddenFootball93EuropeRomInfo, rJohnMaddenFootball93EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJohnMaddenFootball93USARev1RomDesc[] = {
	{ "John Madden Football '93 (USA) (Rev 1).sfc",          1048576, 0xdc5a250b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJohnMaddenFootball93USARev1)
STD_ROM_FN(rJohnMaddenFootball93USARev1)

struct BurnDriver BurnDrvrJohnMaddenFootball93USARev1 = {
	"John Madden Football '93 (USA) (Rev 1)", NULL, NULL, "1986",
	"John Madden Football '93 (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"John Madden Football '93 (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJohnMaddenFootball93USARev1RomInfo, rJohnMaddenFootball93USARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJohnMaddenFootball93USARomDesc[] = {
	{ "John Madden Football '93 (USA).sfc",          1048576, 0x60190859, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJohnMaddenFootball93USA)
STD_ROM_FN(rJohnMaddenFootball93USA)

struct BurnDriver BurnDrvrJohnMaddenFootball93USA = {
	"John Madden Football '93 (USA)", NULL, NULL, "1986",
	"John Madden Football '93 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"John Madden Football '93 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJohnMaddenFootball93USARomInfo, rJohnMaddenFootball93USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJohnMaddenFootballUSARomDesc[] = {
	{ "John Madden Football (USA).sfc",          524288, 0x796294c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJohnMaddenFootballUSA)
STD_ROM_FN(rJohnMaddenFootballUSA)

struct BurnDriver BurnDrvrJohnMaddenFootballUSA = {
	"John Madden Football (USA)", NULL, NULL, "1986",
	"John Madden Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"John Madden Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJohnMaddenFootballUSARomInfo, rJohnMaddenFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoJonoKimyounaBoukenJapanRomDesc[] = {
	{ "JoJo no Kimyou na Bouken (Japan).sfc",          1048576, 0x56ba694a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoJonoKimyounaBoukenJapan)
STD_ROM_FN(rJoJonoKimyounaBoukenJapan)

struct BurnDriver BurnDrvrJoJonoKimyounaBoukenJapan = {
	"JoJo no Kimyou na Bouken (Japan)", NULL, NULL, "1986",
	"JoJo no Kimyou na Bouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"JoJo no Kimyou na Bouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoJonoKimyounaBoukenJapanRomInfo, rJoJonoKimyounaBoukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJoushouMahjongTenpaiJapanRomDesc[] = {
	{ "Joushou Mahjong Tenpai (Japan).sfc",          1048576, 0xa24944e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJoushouMahjongTenpaiJapan)
STD_ROM_FN(rJoushouMahjongTenpaiJapan)

struct BurnDriver BurnDrvrJoushouMahjongTenpaiJapan = {
	"Joushou Mahjong Tenpai (Japan)", NULL, NULL, "1986",
	"Joushou Mahjong Tenpai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Joushou Mahjong Tenpai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJoushouMahjongTenpaiJapanRomInfo, rJoushouMahjongTenpaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRAPATJapanTJAJRomDesc[] = {
	{ "JRA PAT (Japan) (TJAJ).sfc",          1048576, 0x355147c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRAPATJapanTJAJ)
STD_ROM_FN(rJRAPATJapanTJAJ)

struct BurnDriver BurnDrvrJRAPATJapanTJAJ = {
	"JRA PAT (Japan) (TJAJ)", NULL, NULL, "1986",
	"JRA PAT (Japan) (TJAJ)\0", NULL, "Nintendo", "Miscellaneous",
	L"JRA PAT (Japan) (TJAJ)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRAPATJapanTJAJRomInfo, rJRAPATJapanTJAJRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRAPATJapanTJBJRomDesc[] = {
	{ "JRA PAT (Japan) (TJBJ).sfc",          1048576, 0x7fc1aa92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRAPATJapanTJBJ)
STD_ROM_FN(rJRAPATJapanTJBJ)

struct BurnDriver BurnDrvrJRAPATJapanTJBJ = {
	"JRA PAT (Japan) (TJBJ)", NULL, NULL, "1986",
	"JRA PAT (Japan) (TJBJ)\0", NULL, "Nintendo", "Miscellaneous",
	L"JRA PAT (Japan) (TJBJ)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRAPATJapanTJBJRomInfo, rJRAPATJapanTJBJRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRAPATWideTaiyoubanJapanTJDJRomDesc[] = {
	{ "JRA PAT - Wide Taiyouban (Japan) (TJDJ).sfc",          1048576, 0x1fc1915d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRAPATWideTaiyoubanJapanTJDJ)
STD_ROM_FN(rJRAPATWideTaiyoubanJapanTJDJ)

struct BurnDriver BurnDrvrJRAPATWideTaiyoubanJapanTJDJ = {
	"JRA PAT - Wide Taiyouban (Japan) (TJDJ)", NULL, NULL, "1986",
	"JRA PAT - Wide Taiyouban (Japan) (TJDJ)\0", NULL, "Nintendo", "Miscellaneous",
	L"JRA PAT - Wide Taiyouban (Japan) (TJDJ)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRAPATWideTaiyoubanJapanTJDJRomInfo, rJRAPATWideTaiyoubanJapanTJDJRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJRAPATWideTaiyoubanJapanTJEJRomDesc[] = {
	{ "JRA PAT - Wide Taiyouban (Japan) (TJEJ).sfc",          1048576, 0x673468c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJRAPATWideTaiyoubanJapanTJEJ)
STD_ROM_FN(rJRAPATWideTaiyoubanJapanTJEJ)

struct BurnDriver BurnDrvrJRAPATWideTaiyoubanJapanTJEJ = {
	"JRA PAT - Wide Taiyouban (Japan) (TJEJ)", NULL, NULL, "1986",
	"JRA PAT - Wide Taiyouban (Japan) (TJEJ)\0", NULL, "Nintendo", "Miscellaneous",
	L"JRA PAT - Wide Taiyouban (Japan) (TJEJ)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJRAPATWideTaiyoubanJapanTJEJRomInfo, rJRAPATWideTaiyoubanJapanTJEJRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJudgeDreddEuropeRomDesc[] = {
	{ "Judge Dredd (Europe).sfc",          2097152, 0x7742b6f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJudgeDreddEurope)
STD_ROM_FN(rJudgeDreddEurope)

struct BurnDriver BurnDrvrJudgeDreddEurope = {
	"Judge Dredd (Europe)", NULL, NULL, "1986",
	"Judge Dredd (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Judge Dredd (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJudgeDreddEuropeRomInfo, rJudgeDreddEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJudgeDreddJapanRomDesc[] = {
	{ "Judge Dredd (Japan).sfc",          2097152, 0xd7bc8a52, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJudgeDreddJapan)
STD_ROM_FN(rJudgeDreddJapan)

struct BurnDriver BurnDrvrJudgeDreddJapan = {
	"Judge Dredd (Japan)", NULL, NULL, "1986",
	"Judge Dredd (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Judge Dredd (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJudgeDreddJapanRomInfo, rJudgeDreddJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJudgeDreddUSASampleRomDesc[] = {
	{ "Judge Dredd (USA) (Sample).sfc",          2097152, 0x23fc5de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJudgeDreddUSASample)
STD_ROM_FN(rJudgeDreddUSASample)

struct BurnDriver BurnDrvrJudgeDreddUSASample = {
	"Judge Dredd (USA) (Sample)", NULL, NULL, "1986",
	"Judge Dredd (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Judge Dredd (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJudgeDreddUSASampleRomInfo, rJudgeDreddUSASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJudgeDreddUSARomDesc[] = {
	{ "Judge Dredd (USA).sfc",          2097152, 0xa3f0288, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJudgeDreddUSA)
STD_ROM_FN(rJudgeDreddUSA)

struct BurnDriver BurnDrvrJudgeDreddUSA = {
	"Judge Dredd (USA)", NULL, NULL, "1986",
	"Judge Dredd (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Judge Dredd (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJudgeDreddUSARomInfo, rJudgeDreddUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJumboOzakinoHoleinOneJapanRomDesc[] = {
	{ "Jumbo Ozaki no Hole in One (Japan).sfc",          1048576, 0xfd99721, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJumboOzakinoHoleinOneJapan)
STD_ROM_FN(rJumboOzakinoHoleinOneJapan)

struct BurnDriver BurnDrvrJumboOzakinoHoleinOneJapan = {
	"Jumbo Ozaki no Hole in One (Japan)", NULL, NULL, "1986",
	"Jumbo Ozaki no Hole in One (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jumbo Ozaki no Hole in One (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJumboOzakinoHoleinOneJapanRomInfo, rJumboOzakinoHoleinOneJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJumpinDerbyJapanRomDesc[] = {
	{ "Jumpin' Derby (Japan).sfc",          2097152, 0xa473b7e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJumpinDerbyJapan)
STD_ROM_FN(rJumpinDerbyJapan)

struct BurnDriver BurnDrvrJumpinDerbyJapan = {
	"Jumpin' Derby (Japan)", NULL, NULL, "1986",
	"Jumpin' Derby (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jumpin' Derby (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJumpinDerbyJapanRomInfo, rJumpinDerbyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleBookTheEuropeRomDesc[] = {
	{ "Jungle Book, The (Europe).sfc",          2097152, 0x392ae185, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleBookTheEurope)
STD_ROM_FN(rJungleBookTheEurope)

struct BurnDriver BurnDrvrJungleBookTheEurope = {
	"Jungle Book, The (Europe)", NULL, NULL, "1986",
	"Jungle Book, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Book, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleBookTheEuropeRomInfo, rJungleBookTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleBookTheJapanRomDesc[] = {
	{ "Jungle Book, The (Japan).sfc",          2097152, 0xce14892d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleBookTheJapan)
STD_ROM_FN(rJungleBookTheJapan)

struct BurnDriver BurnDrvrJungleBookTheJapan = {
	"Jungle Book, The (Japan)", NULL, NULL, "1986",
	"Jungle Book, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Book, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleBookTheJapanRomInfo, rJungleBookTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleBookTheUSABetaRomDesc[] = {
	{ "Jungle Book, The (USA) (Beta).sfc",          2097152, 0xbd037a57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleBookTheUSABeta)
STD_ROM_FN(rJungleBookTheUSABeta)

struct BurnDriver BurnDrvrJungleBookTheUSABeta = {
	"Jungle Book, The (USA) (Beta)", NULL, NULL, "1986",
	"Jungle Book, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Book, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleBookTheUSABetaRomInfo, rJungleBookTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleBookTheUSARomDesc[] = {
	{ "Jungle Book, The (USA).sfc",          2097152, 0x3511efb3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleBookTheUSA)
STD_ROM_FN(rJungleBookTheUSA)

struct BurnDriver BurnDrvrJungleBookTheUSA = {
	"Jungle Book, The (USA)", NULL, NULL, "1986",
	"Jungle Book, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Book, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleBookTheUSARomInfo, rJungleBookTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapanRomDesc[] = {
	{ "Jungle no Ouja Tar-chan - Sekaimanyuu Daikakutou no Maki (Japan).sfc",          1048576, 0xeec6a20f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapan)
STD_ROM_FN(rJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapan)

struct BurnDriver BurnDrvrJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapan = {
	"Jungle no Ouja Tar-chan - Sekaimanyuu Daikakutou no Maki (Japan)", NULL, NULL, "1986",
	"Jungle no Ouja Tar-chan - Sekaimanyuu Daikakutou no Maki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle no Ouja Tar-chan - Sekaimanyuu Daikakutou no Maki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapanRomInfo, rJunglenoOujaTarchanSekaimanyuuDaikakutounoMakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleStrikeEuropeRomDesc[] = {
	{ "Jungle Strike (Europe).sfc",          2097152, 0xfb770320, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleStrikeEurope)
STD_ROM_FN(rJungleStrikeEurope)

struct BurnDriver BurnDrvrJungleStrikeEurope = {
	"Jungle Strike (Europe)", NULL, NULL, "1986",
	"Jungle Strike (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Strike (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleStrikeEuropeRomInfo, rJungleStrikeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleStrikeUSARomDesc[] = {
	{ "Jungle Strike (USA).sfc",          2097152, 0x335487e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleStrikeUSA)
STD_ROM_FN(rJungleStrikeUSA)

struct BurnDriver BurnDrvrJungleStrikeUSA = {
	"Jungle Strike (USA)", NULL, NULL, "1986",
	"Jungle Strike (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Strike (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleStrikeUSARomInfo, rJungleStrikeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleStrikeUketsugaretaKyoukiJapanRomDesc[] = {
	{ "Jungle Strike - Uketsugareta Kyouki (Japan).sfc",          2097152, 0x5bdf5a87, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleStrikeUketsugaretaKyoukiJapan)
STD_ROM_FN(rJungleStrikeUketsugaretaKyoukiJapan)

struct BurnDriver BurnDrvrJungleStrikeUketsugaretaKyoukiJapan = {
	"Jungle Strike - Uketsugareta Kyouki (Japan)", NULL, NULL, "1986",
	"Jungle Strike - Uketsugareta Kyouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Strike - Uketsugareta Kyouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleStrikeUketsugaretaKyoukiJapanRomInfo, rJungleStrikeUketsugaretaKyoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJungleWars2KodaiMahouAtimosnoNazoJapanRomDesc[] = {
	{ "Jungle Wars 2 - Kodai Mahou Atimos no Nazo (Japan).sfc",          1572864, 0x42014b93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJungleWars2KodaiMahouAtimosnoNazoJapan)
STD_ROM_FN(rJungleWars2KodaiMahouAtimosnoNazoJapan)

struct BurnDriver BurnDrvrJungleWars2KodaiMahouAtimosnoNazoJapan = {
	"Jungle Wars 2 - Kodai Mahou Atimos no Nazo (Japan)", NULL, NULL, "1986",
	"Jungle Wars 2 - Kodai Mahou Atimos no Nazo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jungle Wars 2 - Kodai Mahou Atimos no Nazo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJungleWars2KodaiMahouAtimosnoNazoJapanRomInfo, rJungleWars2KodaiMahouAtimosnoNazoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkEuropeBetaRomDesc[] = {
	{ "Jurassic Park (Europe) (Beta).sfc",          2097152, 0xb2b1804b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkEuropeBeta)
STD_ROM_FN(rJurassicParkEuropeBeta)

struct BurnDriver BurnDrvrJurassicParkEuropeBeta = {
	"Jurassic Park (Europe) (Beta)", NULL, NULL, "1986",
	"Jurassic Park (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkEuropeBetaRomInfo, rJurassicParkEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkEuropeRomDesc[] = {
	{ "Jurassic Park (Europe).sfc",          2097152, 0x7ccb8762, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkEurope)
STD_ROM_FN(rJurassicParkEurope)

struct BurnDriver BurnDrvrJurassicParkEurope = {
	"Jurassic Park (Europe)", NULL, NULL, "1986",
	"Jurassic Park (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkEuropeRomInfo, rJurassicParkEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkFranceRomDesc[] = {
	{ "Jurassic Park (France).sfc",          2097152, 0x61011074, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkFrance)
STD_ROM_FN(rJurassicParkFrance)

struct BurnDriver BurnDrvrJurassicParkFrance = {
	"Jurassic Park (France)", NULL, NULL, "1986",
	"Jurassic Park (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkFranceRomInfo, rJurassicParkFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkGermanyRomDesc[] = {
	{ "Jurassic Park (Germany).sfc",          2097152, 0x8c3f510d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkGermany)
STD_ROM_FN(rJurassicParkGermany)

struct BurnDriver BurnDrvrJurassicParkGermany = {
	"Jurassic Park (Germany)", NULL, NULL, "1986",
	"Jurassic Park (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkGermanyRomInfo, rJurassicParkGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkItalyRomDesc[] = {
	{ "Jurassic Park (Italy).sfc",          2097152, 0x3ee3e840, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkItaly)
STD_ROM_FN(rJurassicParkItaly)

struct BurnDriver BurnDrvrJurassicParkItaly = {
	"Jurassic Park (Italy)", NULL, NULL, "1986",
	"Jurassic Park (Italy)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Italy)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkItalyRomInfo, rJurassicParkItalyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkJapanRomDesc[] = {
	{ "Jurassic Park (Japan).sfc",          2097152, 0x559c7cf5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkJapan)
STD_ROM_FN(rJurassicParkJapan)

struct BurnDriver BurnDrvrJurassicParkJapan = {
	"Jurassic Park (Japan)", NULL, NULL, "1986",
	"Jurassic Park (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkJapanRomInfo, rJurassicParkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkSpainRomDesc[] = {
	{ "Jurassic Park (Spain).sfc",          2097152, 0x3dee6fd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkSpain)
STD_ROM_FN(rJurassicParkSpain)

struct BurnDriver BurnDrvrJurassicParkSpain = {
	"Jurassic Park (Spain)", NULL, NULL, "1986",
	"Jurassic Park (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkSpainRomInfo, rJurassicParkSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkUSARev1RomDesc[] = {
	{ "Jurassic Park (USA) (Rev 1).sfc",          2097152, 0x8bfde0b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkUSARev1)
STD_ROM_FN(rJurassicParkUSARev1)

struct BurnDriver BurnDrvrJurassicParkUSARev1 = {
	"Jurassic Park (USA) (Rev 1)", NULL, NULL, "1986",
	"Jurassic Park (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkUSARev1RomInfo, rJurassicParkUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkUSARomDesc[] = {
	{ "Jurassic Park (USA).sfc",          2097152, 0x77540cb9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkUSA)
STD_ROM_FN(rJurassicParkUSA)

struct BurnDriver BurnDrvrJurassicParkUSA = {
	"Jurassic Park (USA)", NULL, NULL, "1986",
	"Jurassic Park (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkUSARomInfo, rJurassicParkUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkIITheChaosContinuesEuropeEnFrDeItRomDesc[] = {
	{ "Jurassic Park II - The Chaos Continues (Europe) (En,Fr,De,It).sfc",          2097152, 0x8a926d1a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkIITheChaosContinuesEuropeEnFrDeIt)
STD_ROM_FN(rJurassicParkIITheChaosContinuesEuropeEnFrDeIt)

struct BurnDriver BurnDrvrJurassicParkIITheChaosContinuesEuropeEnFrDeIt = {
	"Jurassic Park II - The Chaos Continues (Europe) (En,Fr,De,It)", NULL, NULL, "1986",
	"Jurassic Park II - The Chaos Continues (Europe) (En,Fr,De,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park II - The Chaos Continues (Europe) (En,Fr,De,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkIITheChaosContinuesEuropeEnFrDeItRomInfo, rJurassicParkIITheChaosContinuesEuropeEnFrDeItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkIITheChaosContinuesUSAEnFrDeItBetaRomDesc[] = {
	{ "Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It) (Beta).sfc",          2097152, 0x49a6a9f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkIITheChaosContinuesUSAEnFrDeItBeta)
STD_ROM_FN(rJurassicParkIITheChaosContinuesUSAEnFrDeItBeta)

struct BurnDriver BurnDrvrJurassicParkIITheChaosContinuesUSAEnFrDeItBeta = {
	"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It) (Beta)", NULL, NULL, "1986",
	"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkIITheChaosContinuesUSAEnFrDeItBetaRomInfo, rJurassicParkIITheChaosContinuesUSAEnFrDeItBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJurassicParkIITheChaosContinuesUSAEnFrDeItRomDesc[] = {
	{ "Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It).sfc",          2097152, 0x836ee990, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJurassicParkIITheChaosContinuesUSAEnFrDeIt)
STD_ROM_FN(rJurassicParkIITheChaosContinuesUSAEnFrDeIt)

struct BurnDriver BurnDrvrJurassicParkIITheChaosContinuesUSAEnFrDeIt = {
	"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It)", NULL, NULL, "1986",
	"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jurassic Park II - The Chaos Continues (USA) (En,Fr,De,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJurassicParkIITheChaosContinuesUSAEnFrDeItRomInfo, rJurassicParkIITheChaosContinuesUSAEnFrDeItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJusticeLeagueTaskForceEuropeRomDesc[] = {
	{ "Justice League Task Force (Europe).sfc",          2621440, 0xe81203e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJusticeLeagueTaskForceEurope)
STD_ROM_FN(rJusticeLeagueTaskForceEurope)

struct BurnDriver BurnDrvrJusticeLeagueTaskForceEurope = {
	"Justice League Task Force (Europe)", NULL, NULL, "1986",
	"Justice League Task Force (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Justice League Task Force (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJusticeLeagueTaskForceEuropeRomInfo, rJusticeLeagueTaskForceEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJusticeLeagueTaskForceJapanRomDesc[] = {
	{ "Justice League Task Force (Japan).sfc",          2621440, 0xbfa7f180, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJusticeLeagueTaskForceJapan)
STD_ROM_FN(rJusticeLeagueTaskForceJapan)

struct BurnDriver BurnDrvrJusticeLeagueTaskForceJapan = {
	"Justice League Task Force (Japan)", NULL, NULL, "1986",
	"Justice League Task Force (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Justice League Task Force (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJusticeLeagueTaskForceJapanRomInfo, rJusticeLeagueTaskForceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJusticeLeagueTaskForceUSABetaRomDesc[] = {
	{ "Justice League Task Force (USA) (Beta).sfc",          2621440, 0x50224767, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJusticeLeagueTaskForceUSABeta)
STD_ROM_FN(rJusticeLeagueTaskForceUSABeta)

struct BurnDriver BurnDrvrJusticeLeagueTaskForceUSABeta = {
	"Justice League Task Force (USA) (Beta)", NULL, NULL, "1986",
	"Justice League Task Force (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Justice League Task Force (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJusticeLeagueTaskForceUSABetaRomInfo, rJusticeLeagueTaskForceUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJusticeLeagueTaskForceUSARomDesc[] = {
	{ "Justice League Task Force (USA).sfc",          2621440, 0x31cf46d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJusticeLeagueTaskForceUSA)
STD_ROM_FN(rJusticeLeagueTaskForceUSA)

struct BurnDriver BurnDrvrJusticeLeagueTaskForceUSA = {
	"Justice League Task Force (USA)", NULL, NULL, "1986",
	"Justice League Task Force (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Justice League Task Force (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJusticeLeagueTaskForceUSARomInfo, rJusticeLeagueTaskForceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJuteiSenkiJapanRomDesc[] = {
	{ "Jutei Senki (Japan).sfc",          1572864, 0x1d151d45, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJuteiSenkiJapan)
STD_ROM_FN(rJuteiSenkiJapan)

struct BurnDriver BurnDrvrJuteiSenkiJapan = {
	"Jutei Senki (Japan)", NULL, NULL, "1986",
	"Jutei Senki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Jutei Senki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJuteiSenkiJapanRomInfo, rJuteiSenkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rJWPJoshiProWrestlingPureWrestleQueensJapanRomDesc[] = {
	{ "JWP Joshi Pro Wrestling - Pure Wrestle Queens (Japan).sfc",          2097152, 0x69642b00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rJWPJoshiProWrestlingPureWrestleQueensJapan)
STD_ROM_FN(rJWPJoshiProWrestlingPureWrestleQueensJapan)

struct BurnDriver BurnDrvrJWPJoshiProWrestlingPureWrestleQueensJapan = {
	"JWP Joshi Pro Wrestling - Pure Wrestle Queens (Japan)", NULL, NULL, "1986",
	"JWP Joshi Pro Wrestling - Pure Wrestle Queens (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"JWP Joshi Pro Wrestling - Pure Wrestle Queens (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rJWPJoshiProWrestlingPureWrestleQueensJapanRomInfo, rJWPJoshiProWrestlingPureWrestleQueensJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKHRummeniggesPlayerManagerGermanySampleRomDesc[] = {
	{ "K.H. Rummenigge's Player Manager (Germany) (Sample).sfc",          524288, 0x17f946c5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKHRummeniggesPlayerManagerGermanySample)
STD_ROM_FN(rKHRummeniggesPlayerManagerGermanySample)

struct BurnDriver BurnDrvrKHRummeniggesPlayerManagerGermanySample = {
	"K.H. Rummenigge's Player Manager (Germany) (Sample)", NULL, NULL, "1986",
	"K.H. Rummenigge's Player Manager (Germany) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"K.H. Rummenigge's Player Manager (Germany) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKHRummeniggesPlayerManagerGermanySampleRomInfo, rKHRummeniggesPlayerManagerGermanySampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKHRummeniggesPlayerManagerGermanyRomDesc[] = {
	{ "K.H. Rummenigge's Player Manager (Germany).sfc",          524288, 0x5e66a52c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKHRummeniggesPlayerManagerGermany)
STD_ROM_FN(rKHRummeniggesPlayerManagerGermany)

struct BurnDriver BurnDrvrKHRummeniggesPlayerManagerGermany = {
	"K.H. Rummenigge's Player Manager (Germany)", NULL, NULL, "1986",
	"K.H. Rummenigge's Player Manager (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"K.H. Rummenigge's Player Manager (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKHRummeniggesPlayerManagerGermanyRomInfo, rKHRummeniggesPlayerManagerGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKablooeyUSARomDesc[] = {
	{ "Kablooey (USA).sfc",          524288, 0xb2592eae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKablooeyUSA)
STD_ROM_FN(rKablooeyUSA)

struct BurnDriver BurnDrvrKablooeyUSA = {
	"Kablooey (USA)", NULL, NULL, "1986",
	"Kablooey (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kablooey (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKablooeyUSARomInfo, rKablooeyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKabukiChouReachMahjongTonpuusenJapanRomDesc[] = {
	{ "Kabuki Chou Reach Mahjong Tonpuusen (Japan).sfc",          524288, 0xd4ef91ce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKabukiChouReachMahjongTonpuusenJapan)
STD_ROM_FN(rKabukiChouReachMahjongTonpuusenJapan)

struct BurnDriver BurnDrvrKabukiChouReachMahjongTonpuusenJapan = {
	"Kabuki Chou Reach Mahjong Tonpuusen (Japan)", NULL, NULL, "1986",
	"Kabuki Chou Reach Mahjong Tonpuusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kabuki Chou Reach Mahjong Tonpuusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKabukiChouReachMahjongTonpuusenJapanRomInfo, rKabukiChouReachMahjongTonpuusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKabukiRocksJapanRomDesc[] = {
	{ "Kabuki Rocks (Japan).sfc",          1572864, 0xad324f9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKabukiRocksJapan)
STD_ROM_FN(rKabukiRocksJapan)

struct BurnDriver BurnDrvrKabukiRocksJapan = {
	"Kabuki Rocks (Japan)", NULL, NULL, "1986",
	"Kabuki Rocks (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kabuki Rocks (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKabukiRocksJapanRomInfo, rKabukiRocksJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKachiumaYosouSoftBakenRenkinjutsuJapanRomDesc[] = {
	{ "Kachiuma Yosou Soft - Baken Renkinjutsu (Japan).sfc",          524288, 0xba902cd5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKachiumaYosouSoftBakenRenkinjutsuJapan)
STD_ROM_FN(rKachiumaYosouSoftBakenRenkinjutsuJapan)

struct BurnDriver BurnDrvrKachiumaYosouSoftBakenRenkinjutsuJapan = {
	"Kachiuma Yosou Soft - Baken Renkinjutsu (Japan)", NULL, NULL, "1986",
	"Kachiuma Yosou Soft - Baken Renkinjutsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kachiuma Yosou Soft - Baken Renkinjutsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKachiumaYosouSoftBakenRenkinjutsuJapanRomInfo, rKachiumaYosouSoftBakenRenkinjutsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKachouShimaKousakuJapanRomDesc[] = {
	{ "Kachou Shima Kousaku (Japan).sfc",          1048576, 0xb9dca26d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKachouShimaKousakuJapan)
STD_ROM_FN(rKachouShimaKousakuJapan)

struct BurnDriver BurnDrvrKachouShimaKousakuJapan = {
	"Kachou Shima Kousaku (Japan)", NULL, NULL, "1986",
	"Kachou Shima Kousaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kachou Shima Kousaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKachouShimaKousakuJapanRomInfo, rKachouShimaKousakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKagakushaHarleynoHaranBanjouJapanRomDesc[] = {
	{ "Kagakusha Harley no Haran Banjou (Japan).sfc",          524288, 0xf34b6aa2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKagakushaHarleynoHaranBanjouJapan)
STD_ROM_FN(rKagakushaHarleynoHaranBanjouJapan)

struct BurnDriver BurnDrvrKagakushaHarleynoHaranBanjouJapan = {
	"Kagakusha Harley no Haran Banjou (Japan)", NULL, NULL, "1986",
	"Kagakusha Harley no Haran Banjou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kagakusha Harley no Haran Banjou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKagakushaHarleynoHaranBanjouJapanRomInfo, rKagakushaHarleynoHaranBanjouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKaiteTsukutteAsoberuDezaemonJapanRomDesc[] = {
	{ "Kaite Tsukutte Asoberu Dezaemon (Japan).sfc",          524288, 0x52167cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKaiteTsukutteAsoberuDezaemonJapan)
STD_ROM_FN(rKaiteTsukutteAsoberuDezaemonJapan)

struct BurnDriver BurnDrvrKaiteTsukutteAsoberuDezaemonJapan = {
	"Kaite Tsukutte Asoberu Dezaemon (Japan)", NULL, NULL, "1986",
	"Kaite Tsukutte Asoberu Dezaemon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kaite Tsukutte Asoberu Dezaemon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKaiteTsukutteAsoberuDezaemonJapanRomInfo, rKaiteTsukutteAsoberuDezaemonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKaizouChouninShubibinmanZeroJapanBSRomDesc[] = {
	{ "Kaizou Chounin Shubibinman Zero (Japan) (BS).sfc",          1048576, 0x5e5ba3f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKaizouChouninShubibinmanZeroJapanBS)
STD_ROM_FN(rKaizouChouninShubibinmanZeroJapanBS)

struct BurnDriver BurnDrvrKaizouChouninShubibinmanZeroJapanBS = {
	"Kaizou Chounin Shubibinman Zero (Japan) (BS)", NULL, NULL, "1986",
	"Kaizou Chounin Shubibinman Zero (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kaizou Chounin Shubibinman Zero (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKaizouChouninShubibinmanZeroJapanBSRomInfo, rKaizouChouninShubibinmanZeroJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKakinokiShougiJapanRomDesc[] = {
	{ "Kakinoki Shougi (Japan).sfc",          1572864, 0xbc1a265f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKakinokiShougiJapan)
STD_ROM_FN(rKakinokiShougiJapan)

struct BurnDriver BurnDrvrKakinokiShougiJapan = {
	"Kakinoki Shougi (Japan)", NULL, NULL, "1986",
	"Kakinoki Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kakinoki Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKakinokiShougiJapanRomInfo, rKakinokiShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKamaitachinoYoruJapanRomDesc[] = {
	{ "Kamaitachi no Yoru (Japan).sfc",          3145728, 0x71c631aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKamaitachinoYoruJapan)
STD_ROM_FN(rKamaitachinoYoruJapan)

struct BurnDriver BurnDrvrKamaitachinoYoruJapan = {
	"Kamaitachi no Yoru (Japan)", NULL, NULL, "1986",
	"Kamaitachi no Yoru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kamaitachi no Yoru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKamaitachinoYoruJapanRomInfo, rKamaitachinoYoruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKamenRiderJapanRomDesc[] = {
	{ "Kamen Rider (Japan).sfc",          1572864, 0xf3c44423, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKamenRiderJapan)
STD_ROM_FN(rKamenRiderJapan)

struct BurnDriver BurnDrvrKamenRiderJapan = {
	"Kamen Rider (Japan)", NULL, NULL, "1986",
	"Kamen Rider (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kamen Rider (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKamenRiderJapanRomInfo, rKamenRiderJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKamenRiderSDShutsugekiRiderMachineJapanRomDesc[] = {
	{ "Kamen Rider SD - Shutsugeki!! Rider Machine (Japan).sfc",          1048576, 0xa2c7cb5f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKamenRiderSDShutsugekiRiderMachineJapan)
STD_ROM_FN(rKamenRiderSDShutsugekiRiderMachineJapan)

struct BurnDriver BurnDrvrKamenRiderSDShutsugekiRiderMachineJapan = {
	"Kamen Rider SD - Shutsugeki!! Rider Machine (Japan)", NULL, NULL, "1986",
	"Kamen Rider SD - Shutsugeki!! Rider Machine (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kamen Rider SD - Shutsugeki!! Rider Machine (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKamenRiderSDShutsugekiRiderMachineJapanRomInfo, rKamenRiderSDShutsugekiRiderMachineJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKaruraOuJapanRomDesc[] = {
	{ "Karura Ou (Japan).sfc",          1048576, 0x5cf9a482, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKaruraOuJapan)
STD_ROM_FN(rKaruraOuJapan)

struct BurnDriver BurnDrvrKaruraOuJapan = {
	"Karura Ou (Japan)", NULL, NULL, "1986",
	"Karura Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Karura Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKaruraOuJapanRomInfo, rKaruraOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKashiwagiShigetakanoTopWaterBassingJapanRomDesc[] = {
	{ "Kashiwagi Shigetaka no Top Water Bassing (Japan).sfc",          2097152, 0x21e72036, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKashiwagiShigetakanoTopWaterBassingJapan)
STD_ROM_FN(rKashiwagiShigetakanoTopWaterBassingJapan)

struct BurnDriver BurnDrvrKashiwagiShigetakanoTopWaterBassingJapan = {
	"Kashiwagi Shigetaka no Top Water Bassing (Japan)", NULL, NULL, "1986",
	"Kashiwagi Shigetaka no Top Water Bassing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kashiwagi Shigetaka no Top Water Bassing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKashiwagiShigetakanoTopWaterBassingJapanRomInfo, rKashiwagiShigetakanoTopWaterBassingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKatsRunZenNihonKCarSenshukenJapanRomDesc[] = {
	{ "Kat's Run - Zen-Nihon K-Car Senshuken (Japan).sfc",          2621440, 0x9dab5ab1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKatsRunZenNihonKCarSenshukenJapan)
STD_ROM_FN(rKatsRunZenNihonKCarSenshukenJapan)

struct BurnDriver BurnDrvrKatsRunZenNihonKCarSenshukenJapan = {
	"Kat's Run - Zen-Nihon K-Car Senshuken (Japan)", NULL, NULL, "1986",
	"Kat's Run - Zen-Nihon K-Car Senshuken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kat's Run - Zen-Nihon K-Car Senshuken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKatsRunZenNihonKCarSenshukenJapanRomInfo, rKatsRunZenNihonKCarSenshukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKatouHifumiKudanShougiClubJapanRomDesc[] = {
	{ "Katou Hifumi Kudan - Shougi Club (Japan).sfc",          1048576, 0x49b60293, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKatouHifumiKudanShougiClubJapan)
STD_ROM_FN(rKatouHifumiKudanShougiClubJapan)

struct BurnDriver BurnDrvrKatouHifumiKudanShougiClubJapan = {
	"Katou Hifumi Kudan - Shougi Club (Japan)", NULL, NULL, "1986",
	"Katou Hifumi Kudan - Shougi Club (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Katou Hifumi Kudan - Shougi Club (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKatouHifumiKudanShougiClubJapanRomInfo, rKatouHifumiKudanShougiClubJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKawanoNushiTsuri2JapanRomDesc[] = {
	{ "Kawa no Nushi Tsuri 2 (Japan).sfc",          1572864, 0x716d3eff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKawanoNushiTsuri2Japan)
STD_ROM_FN(rKawanoNushiTsuri2Japan)

struct BurnDriver BurnDrvrKawanoNushiTsuri2Japan = {
	"Kawa no Nushi Tsuri 2 (Japan)", NULL, NULL, "1986",
	"Kawa no Nushi Tsuri 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kawa no Nushi Tsuri 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKawanoNushiTsuri2JapanRomInfo, rKawanoNushiTsuri2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKawasakiCaribbeanChallengeUSARomDesc[] = {
	{ "Kawasaki Caribbean Challenge (USA).sfc",          1572864, 0x37d8ac57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKawasakiCaribbeanChallengeUSA)
STD_ROM_FN(rKawasakiCaribbeanChallengeUSA)

struct BurnDriver BurnDrvrKawasakiCaribbeanChallengeUSA = {
	"Kawasaki Caribbean Challenge (USA)", NULL, NULL, "1986",
	"Kawasaki Caribbean Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kawasaki Caribbean Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKawasakiCaribbeanChallengeUSARomInfo, rKawasakiCaribbeanChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKawasakiSuperbikeChallengeEuropeRomDesc[] = {
	{ "Kawasaki Superbike Challenge (Europe).sfc",          1048576, 0xc736dfc0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKawasakiSuperbikeChallengeEurope)
STD_ROM_FN(rKawasakiSuperbikeChallengeEurope)

struct BurnDriver BurnDrvrKawasakiSuperbikeChallengeEurope = {
	"Kawasaki Superbike Challenge (Europe)", NULL, NULL, "1986",
	"Kawasaki Superbike Challenge (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kawasaki Superbike Challenge (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKawasakiSuperbikeChallengeEuropeRomInfo, rKawasakiSuperbikeChallengeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKawasakiSuperbikeChallengeUSARomDesc[] = {
	{ "Kawasaki Superbike Challenge (USA).sfc",          1048576, 0xe8ed176e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKawasakiSuperbikeChallengeUSA)
STD_ROM_FN(rKawasakiSuperbikeChallengeUSA)

struct BurnDriver BurnDrvrKawasakiSuperbikeChallengeUSA = {
	"Kawasaki Superbike Challenge (USA)", NULL, NULL, "1986",
	"Kawasaki Superbike Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kawasaki Superbike Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKawasakiSuperbikeChallengeUSARomInfo, rKawasakiSuperbikeChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKeeperJapanRomDesc[] = {
	{ "Keeper (Japan).sfc",          524288, 0x8676126b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKeeperJapan)
STD_ROM_FN(rKeeperJapan)

struct BurnDriver BurnDrvrKeeperJapan = {
	"Keeper (Japan)", NULL, NULL, "1986",
	"Keeper (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Keeper (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKeeperJapanRomInfo, rKeeperJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKeibaEightSpecialJapanRev1RomDesc[] = {
	{ "Keiba Eight Special (Japan) (Rev 1).sfc",          1048576, 0x5d4e4ee1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKeibaEightSpecialJapanRev1)
STD_ROM_FN(rKeibaEightSpecialJapanRev1)

struct BurnDriver BurnDrvrKeibaEightSpecialJapanRev1 = {
	"Keiba Eight Special (Japan) (Rev 1)", NULL, NULL, "1986",
	"Keiba Eight Special (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Keiba Eight Special (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKeibaEightSpecialJapanRev1RomInfo, rKeibaEightSpecialJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKeibaEightSpecialJapanRomDesc[] = {
	{ "Keiba Eight Special (Japan).sfc",          1048576, 0xa5faefaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKeibaEightSpecialJapan)
STD_ROM_FN(rKeibaEightSpecialJapan)

struct BurnDriver BurnDrvrKeibaEightSpecialJapan = {
	"Keiba Eight Special (Japan)", NULL, NULL, "1986",
	"Keiba Eight Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Keiba Eight Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKeibaEightSpecialJapanRomInfo, rKeibaEightSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKeibaEightSpecial2JapanRomDesc[] = {
	{ "Keiba Eight Special 2 (Japan).sfc",          1048576, 0x2b88e48d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKeibaEightSpecial2Japan)
STD_ROM_FN(rKeibaEightSpecial2Japan)

struct BurnDriver BurnDrvrKeibaEightSpecial2Japan = {
	"Keiba Eight Special 2 (Japan)", NULL, NULL, "1986",
	"Keiba Eight Special 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Keiba Eight Special 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKeibaEightSpecial2JapanRomInfo, rKeibaEightSpecial2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKenGriffeyJrPresentsMajorLeagueBaseballUSARomDesc[] = {
	{ "Ken Griffey Jr. Presents Major League Baseball (USA).sfc",          2097152, 0x8bf2b589, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKenGriffeyJrPresentsMajorLeagueBaseballUSA)
STD_ROM_FN(rKenGriffeyJrPresentsMajorLeagueBaseballUSA)

struct BurnDriver BurnDrvrKenGriffeyJrPresentsMajorLeagueBaseballUSA = {
	"Ken Griffey Jr. Presents Major League Baseball (USA)", NULL, NULL, "1986",
	"Ken Griffey Jr. Presents Major League Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ken Griffey Jr. Presents Major League Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKenGriffeyJrPresentsMajorLeagueBaseballUSARomInfo, rKenGriffeyJrPresentsMajorLeagueBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKenGriffeyJrsWinningRunUSARomDesc[] = {
	{ "Ken Griffey Jr.'s Winning Run (USA).sfc",          4194304, 0xe9b4bd73, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKenGriffeyJrsWinningRunUSA)
STD_ROM_FN(rKenGriffeyJrsWinningRunUSA)

struct BurnDriver BurnDrvrKenGriffeyJrsWinningRunUSA = {
	"Ken Griffey Jr.'s Winning Run (USA)", NULL, NULL, "1986",
	"Ken Griffey Jr.'s Winning Run (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ken Griffey Jr.'s Winning Run (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKenGriffeyJrsWinningRunUSARomInfo, rKenGriffeyJrsWinningRunUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKendoRageUSARomDesc[] = {
	{ "Kendo Rage (USA).sfc",          1048576, 0xd1048918, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKendoRageUSA)
STD_ROM_FN(rKendoRageUSA)

struct BurnDriver BurnDrvrKendoRageUSA = {
	"Kendo Rage (USA)", NULL, NULL, "1986",
	"Kendo Rage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kendo Rage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKendoRageUSARomInfo, rKendoRageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKentouOuWorldChampionJapanRomDesc[] = {
	{ "Kentou Ou World Champion (Japan).sfc",          524288, 0xe8359cdb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKentouOuWorldChampionJapan)
STD_ROM_FN(rKentouOuWorldChampionJapan)

struct BurnDriver BurnDrvrKentouOuWorldChampionJapan = {
	"Kentou Ou World Champion (Japan)", NULL, NULL, "1986",
	"Kentou Ou World Champion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kentou Ou World Champion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKentouOuWorldChampionJapanRomInfo, rKentouOuWorldChampionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKenyuuDensetsuYaibaJapanRomDesc[] = {
	{ "Kenyuu Densetsu Yaiba (Japan).sfc",          1572864, 0x91fe7070, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKenyuuDensetsuYaibaJapan)
STD_ROM_FN(rKenyuuDensetsuYaibaJapan)

struct BurnDriver BurnDrvrKenyuuDensetsuYaibaJapan = {
	"Kenyuu Densetsu Yaiba (Japan)", NULL, NULL, "1986",
	"Kenyuu Densetsu Yaiba (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kenyuu Densetsu Yaiba (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKenyuuDensetsuYaibaJapanRomInfo, rKenyuuDensetsuYaibaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapanRomDesc[] = {
	{ "Kero Kero Keroppi no Bouken Nikki - Nemureru Mori no Keroleen (Japan).sfc",          524288, 0xc33c01c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapan)
STD_ROM_FN(rKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapan)

struct BurnDriver BurnDrvrKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapan = {
	"Kero Kero Keroppi no Bouken Nikki - Nemureru Mori no Keroleen (Japan)", NULL, NULL, "1986",
	"Kero Kero Keroppi no Bouken Nikki - Nemureru Mori no Keroleen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kero Kero Keroppi no Bouken Nikki - Nemureru Mori no Keroleen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapanRomInfo, rKeroKeroKeroppinoBoukenNikkiNemureruMorinoKeroleenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKessenDokaponOukokuIVDensetsunoYuushatachiJapanRomDesc[] = {
	{ "Kessen! Dokapon Oukoku IV - Densetsu no Yuusha-tachi (Japan).sfc",          1048576, 0x9ba1f895, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKessenDokaponOukokuIVDensetsunoYuushatachiJapan)
STD_ROM_FN(rKessenDokaponOukokuIVDensetsunoYuushatachiJapan)

struct BurnDriver BurnDrvrKessenDokaponOukokuIVDensetsunoYuushatachiJapan = {
	"Kessen! Dokapon Oukoku IV - Densetsu no Yuusha-tachi (Japan)", NULL, NULL, "1986",
	"Kessen! Dokapon Oukoku IV - Densetsu no Yuusha-tachi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kessen! Dokapon Oukoku IV - Densetsu no Yuusha-tachi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKessenDokaponOukokuIVDensetsunoYuushatachiJapanRomInfo, rKessenDokaponOukokuIVDensetsunoYuushatachiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKevinKeegansPlayerManagerEuropeRomDesc[] = {
	{ "Kevin Keegan's Player Manager (Europe).sfc",          524288, 0xfce7bade, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKevinKeegansPlayerManagerEurope)
STD_ROM_FN(rKevinKeegansPlayerManagerEurope)

struct BurnDriver BurnDrvrKevinKeegansPlayerManagerEurope = {
	"Kevin Keegan's Player Manager (Europe)", NULL, NULL, "1986",
	"Kevin Keegan's Player Manager (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kevin Keegan's Player Manager (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKevinKeegansPlayerManagerEuropeRomInfo, rKevinKeegansPlayerManagerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKickOffEuropeRomDesc[] = {
	{ "Kick Off (Europe).sfc",          524288, 0xa1306f3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKickOffEurope)
STD_ROM_FN(rKickOffEurope)

struct BurnDriver BurnDrvrKickOffEurope = {
	"Kick Off (Europe)", NULL, NULL, "1986",
	"Kick Off (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kick Off (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKickOffEuropeRomInfo, rKickOffEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKickOff3EuropeanChallengeEuropeBetaRomDesc[] = {
	{ "Kick Off 3 - European Challenge (Europe) (Beta).sfc",          1048576, 0xea93aa27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKickOff3EuropeanChallengeEuropeBeta)
STD_ROM_FN(rKickOff3EuropeanChallengeEuropeBeta)

struct BurnDriver BurnDrvrKickOff3EuropeanChallengeEuropeBeta = {
	"Kick Off 3 - European Challenge (Europe) (Beta)", NULL, NULL, "1986",
	"Kick Off 3 - European Challenge (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kick Off 3 - European Challenge (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKickOff3EuropeanChallengeEuropeBetaRomInfo, rKickOff3EuropeanChallengeEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKickOff3EuropeanChallengeEuropeEnFrDeEsItRomDesc[] = {
	{ "Kick Off 3 - European Challenge (Europe) (En,Fr,De,Es,It).sfc",          1048576, 0x1ac7f523, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKickOff3EuropeanChallengeEuropeEnFrDeEsIt)
STD_ROM_FN(rKickOff3EuropeanChallengeEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrKickOff3EuropeanChallengeEuropeEnFrDeEsIt = {
	"Kick Off 3 - European Challenge (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Kick Off 3 - European Challenge (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kick Off 3 - European Challenge (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKickOff3EuropeanChallengeEuropeEnFrDeEsItRomInfo, rKickOff3EuropeanChallengeEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidKlowninCrazyChaseEuropeRomDesc[] = {
	{ "Kid Klown in Crazy Chase (Europe).sfc",          1048576, 0x93af89c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidKlowninCrazyChaseEurope)
STD_ROM_FN(rKidKlowninCrazyChaseEurope)

struct BurnDriver BurnDrvrKidKlowninCrazyChaseEurope = {
	"Kid Klown in Crazy Chase (Europe)", NULL, NULL, "1986",
	"Kid Klown in Crazy Chase (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kid Klown in Crazy Chase (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidKlowninCrazyChaseEuropeRomInfo, rKidKlowninCrazyChaseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidKlowninCrazyChaseUSARomDesc[] = {
	{ "Kid Klown in Crazy Chase (USA).sfc",          1048576, 0xbd6c8ab1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidKlowninCrazyChaseUSA)
STD_ROM_FN(rKidKlowninCrazyChaseUSA)

struct BurnDriver BurnDrvrKidKlowninCrazyChaseUSA = {
	"Kid Klown in Crazy Chase (USA)", NULL, NULL, "1986",
	"Kid Klown in Crazy Chase (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kid Klown in Crazy Chase (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidKlowninCrazyChaseUSARomInfo, rKidKlowninCrazyChaseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidKlownnoCrazyChaseJapanRomDesc[] = {
	{ "Kid Klown no Crazy Chase (Japan).sfc",          1048576, 0x26e0d862, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidKlownnoCrazyChaseJapan)
STD_ROM_FN(rKidKlownnoCrazyChaseJapan)

struct BurnDriver BurnDrvrKidKlownnoCrazyChaseJapan = {
	"Kid Klown no Crazy Chase (Japan)", NULL, NULL, "1986",
	"Kid Klown no Crazy Chase (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kid Klown no Crazy Chase (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidKlownnoCrazyChaseJapanRomInfo, rKidKlownnoCrazyChaseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouButoudenGGundamJapanRomDesc[] = {
	{ "Kidou Butouden G Gundam (Japan).sfc",          2097152, 0x723d7b46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouButoudenGGundamJapan)
STD_ROM_FN(rKidouButoudenGGundamJapan)

struct BurnDriver BurnDrvrKidouButoudenGGundamJapan = {
	"Kidou Butouden G Gundam (Japan)", NULL, NULL, "1986",
	"Kidou Butouden G Gundam (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Butouden G Gundam (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouButoudenGGundamJapanRomInfo, rKidouButoudenGGundamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouSenshiGundamCrossDimension0079JapanRomDesc[] = {
	{ "Kidou Senshi Gundam - Cross Dimension 0079 (Japan).sfc",          1572864, 0x9ab3eb18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouSenshiGundamCrossDimension0079Japan)
STD_ROM_FN(rKidouSenshiGundamCrossDimension0079Japan)

struct BurnDriver BurnDrvrKidouSenshiGundamCrossDimension0079Japan = {
	"Kidou Senshi Gundam - Cross Dimension 0079 (Japan)", NULL, NULL, "1986",
	"Kidou Senshi Gundam - Cross Dimension 0079 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Senshi Gundam - Cross Dimension 0079 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouSenshiGundamCrossDimension0079JapanRomInfo, rKidouSenshiGundamCrossDimension0079JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouSenshiGundamF91FormulaSenki0122JapanRomDesc[] = {
	{ "Kidou Senshi Gundam F91 - Formula Senki 0122 (Japan).sfc",          1048576, 0xceaf5365, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouSenshiGundamF91FormulaSenki0122Japan)
STD_ROM_FN(rKidouSenshiGundamF91FormulaSenki0122Japan)

struct BurnDriver BurnDrvrKidouSenshiGundamF91FormulaSenki0122Japan = {
	"Kidou Senshi Gundam F91 - Formula Senki 0122 (Japan)", NULL, NULL, "1986",
	"Kidou Senshi Gundam F91 - Formula Senki 0122 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Senshi Gundam F91 - Formula Senki 0122 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouSenshiGundamF91FormulaSenki0122JapanRomInfo, rKidouSenshiGundamF91FormulaSenki0122JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouSenshiVGundamJapanRomDesc[] = {
	{ "Kidou Senshi V Gundam (Japan).sfc",          1572864, 0x6797d8dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouSenshiVGundamJapan)
STD_ROM_FN(rKidouSenshiVGundamJapan)

struct BurnDriver BurnDrvrKidouSenshiVGundamJapan = {
	"Kidou Senshi V Gundam (Japan)", NULL, NULL, "1986",
	"Kidou Senshi V Gundam (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Senshi V Gundam (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouSenshiVGundamJapanRomInfo, rKidouSenshiVGundamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouSenshiZGundamAwaytotheNewtypeJapanRomDesc[] = {
	{ "Kidou Senshi Z Gundam - Away to the Newtype (Japan).sfc",          3145728, 0x61abd015, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouSenshiZGundamAwaytotheNewtypeJapan)
STD_ROM_FN(rKidouSenshiZGundamAwaytotheNewtypeJapan)

struct BurnDriver BurnDrvrKidouSenshiZGundamAwaytotheNewtypeJapan = {
	"Kidou Senshi Z Gundam - Away to the Newtype (Japan)", NULL, NULL, "1986",
	"Kidou Senshi Z Gundam - Away to the Newtype (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Senshi Z Gundam - Away to the Newtype (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouSenshiZGundamAwaytotheNewtypeJapanRomInfo, rKidouSenshiZGundamAwaytotheNewtypeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidouSoukouDionJapanRomDesc[] = {
	{ "Kidou Soukou Dion (Japan).sfc",          1048576, 0x1e54f2c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidouSoukouDionJapan)
STD_ROM_FN(rKidouSoukouDionJapan)

struct BurnDriver BurnDrvrKidouSoukouDionJapan = {
	"Kidou Soukou Dion (Japan)", NULL, NULL, "1986",
	"Kidou Soukou Dion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidou Soukou Dion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidouSoukouDionJapanRomInfo, rKidouSoukouDionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKidoukeisatsuPatlaborJapanRomDesc[] = {
	{ "Kidoukeisatsu Patlabor (Japan).sfc",          1572864, 0xbac88bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKidoukeisatsuPatlaborJapan)
STD_ROM_FN(rKidoukeisatsuPatlaborJapan)

struct BurnDriver BurnDrvrKidoukeisatsuPatlaborJapan = {
	"Kidoukeisatsu Patlabor (Japan)", NULL, NULL, "1986",
	"Kidoukeisatsu Patlabor (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kidoukeisatsu Patlabor (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKidoukeisatsuPatlaborJapanRomInfo, rKidoukeisatsuPatlaborJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKikikaikaiNazonoKuroManteauJapanRomDesc[] = {
	{ "Kikikaikai - Nazo no Kuro Manteau (Japan).sfc",          1048576, 0x1c57f2c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKikikaikaiNazonoKuroManteauJapan)
STD_ROM_FN(rKikikaikaiNazonoKuroManteauJapan)

struct BurnDriver BurnDrvrKikikaikaiNazonoKuroManteauJapan = {
	"Kikikaikai - Nazo no Kuro Manteau (Japan)", NULL, NULL, "1986",
	"Kikikaikai - Nazo no Kuro Manteau (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kikikaikai - Nazo no Kuro Manteau (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKikikaikaiNazonoKuroManteauJapanRomInfo, rKikikaikaiNazonoKuroManteauJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKikikaikaiTsukiyoSoushiJapanRomDesc[] = {
	{ "Kikikaikai - Tsukiyo Soushi (Japan).sfc",          1572864, 0x5c971bed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKikikaikaiTsukiyoSoushiJapan)
STD_ROM_FN(rKikikaikaiTsukiyoSoushiJapan)

struct BurnDriver BurnDrvrKikikaikaiTsukiyoSoushiJapan = {
	"Kikikaikai - Tsukiyo Soushi (Japan)", NULL, NULL, "1986",
	"Kikikaikai - Tsukiyo Soushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kikikaikai - Tsukiyo Soushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKikikaikaiTsukiyoSoushiJapanRomInfo, rKikikaikaiTsukiyoSoushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKikouKeisatsuMetalJackJapanRomDesc[] = {
	{ "Kikou Keisatsu Metal Jack (Japan).sfc",          1048576, 0x5577de70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKikouKeisatsuMetalJackJapan)
STD_ROM_FN(rKikouKeisatsuMetalJackJapan)

struct BurnDriver BurnDrvrKikouKeisatsuMetalJackJapan = {
	"Kikou Keisatsu Metal Jack (Japan)", NULL, NULL, "1986",
	"Kikou Keisatsu Metal Jack (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kikou Keisatsu Metal Jack (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKikouKeisatsuMetalJackJapanRomInfo, rKikouKeisatsuMetalJackJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKikuniMasahikonoJantoushiDoraouJapanRomDesc[] = {
	{ "Kikuni Masahiko no Jantoushi Doraou (Japan).sfc",          1048576, 0xef034532, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKikuniMasahikonoJantoushiDoraouJapan)
STD_ROM_FN(rKikuniMasahikonoJantoushiDoraouJapan)

struct BurnDriver BurnDrvrKikuniMasahikonoJantoushiDoraouJapan = {
	"Kikuni Masahiko no Jantoushi Doraou (Japan)", NULL, NULL, "1986",
	"Kikuni Masahiko no Jantoushi Doraou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kikuni Masahiko no Jantoushi Doraou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKikuniMasahikonoJantoushiDoraouJapanRomInfo, rKikuniMasahikonoJantoushiDoraouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKikuniMasahikonoJantoushiDoraou2JapanRomDesc[] = {
	{ "Kikuni Masahiko no Jantoushi Doraou 2 (Japan).sfc",          1048576, 0xc985925c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKikuniMasahikonoJantoushiDoraou2Japan)
STD_ROM_FN(rKikuniMasahikonoJantoushiDoraou2Japan)

struct BurnDriver BurnDrvrKikuniMasahikonoJantoushiDoraou2Japan = {
	"Kikuni Masahiko no Jantoushi Doraou 2 (Japan)", NULL, NULL, "1986",
	"Kikuni Masahiko no Jantoushi Doraou 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kikuni Masahiko no Jantoushi Doraou 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKikuniMasahikonoJantoushiDoraou2JapanRomInfo, rKikuniMasahikonoJantoushiDoraou2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKillerInstinctEuropeRomDesc[] = {
	{ "Killer Instinct (Europe).sfc",          4194304, 0x3d7252d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKillerInstinctEurope)
STD_ROM_FN(rKillerInstinctEurope)

struct BurnDriver BurnDrvrKillerInstinctEurope = {
	"Killer Instinct (Europe)", NULL, NULL, "1986",
	"Killer Instinct (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Killer Instinct (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKillerInstinctEuropeRomInfo, rKillerInstinctEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKillerInstinctUSABetaRomDesc[] = {
	{ "Killer Instinct (USA) (Beta).sfc",          4194304, 0xa2ef2b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKillerInstinctUSABeta)
STD_ROM_FN(rKillerInstinctUSABeta)

struct BurnDriver BurnDrvrKillerInstinctUSABeta = {
	"Killer Instinct (USA) (Beta)", NULL, NULL, "1986",
	"Killer Instinct (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Killer Instinct (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKillerInstinctUSABetaRomInfo, rKillerInstinctUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKillerInstinctUSARev1RomDesc[] = {
	{ "Killer Instinct (USA) (Rev 1).sfc",          4194304, 0x9e9a04e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKillerInstinctUSARev1)
STD_ROM_FN(rKillerInstinctUSARev1)

struct BurnDriver BurnDrvrKillerInstinctUSARev1 = {
	"Killer Instinct (USA) (Rev 1)", NULL, NULL, "1986",
	"Killer Instinct (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Killer Instinct (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKillerInstinctUSARev1RomInfo, rKillerInstinctUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKillerInstinctUSARomDesc[] = {
	{ "Killer Instinct (USA).sfc",          4194304, 0x252c1da7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKillerInstinctUSA)
STD_ROM_FN(rKillerInstinctUSA)

struct BurnDriver BurnDrvrKillerInstinctUSA = {
	"Killer Instinct (USA)", NULL, NULL, "1986",
	"Killer Instinct (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Killer Instinct (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKillerInstinctUSARomInfo, rKillerInstinctUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKindaiMahjongSpecialJapanRomDesc[] = {
	{ "Kindai Mahjong Special (Japan).sfc",          1048576, 0x7ee385a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKindaiMahjongSpecialJapan)
STD_ROM_FN(rKindaiMahjongSpecialJapan)

struct BurnDriver BurnDrvrKindaiMahjongSpecialJapan = {
	"Kindai Mahjong Special (Japan)", NULL, NULL, "1986",
	"Kindai Mahjong Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kindai Mahjong Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKindaiMahjongSpecialJapanRomInfo, rKindaiMahjongSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingArthurTheKnightsofJusticeUSARomDesc[] = {
	{ "King Arthur & The Knights of Justice (USA).sfc",          2621440, 0x615a183b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingArthurTheKnightsofJusticeUSA)
STD_ROM_FN(rKingArthurTheKnightsofJusticeUSA)

struct BurnDriver BurnDrvrKingArthurTheKnightsofJusticeUSA = {
	"King Arthur & The Knights of Justice (USA)", NULL, NULL, "1986",
	"King Arthur & The Knights of Justice (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"King Arthur & The Knights of Justice (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingArthurTheKnightsofJusticeUSARomInfo, rKingArthurTheKnightsofJusticeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingArthursWorldEuropeRomDesc[] = {
	{ "King Arthur's World (Europe).sfc",          524288, 0xa0972c36, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingArthursWorldEurope)
STD_ROM_FN(rKingArthursWorldEurope)

struct BurnDriver BurnDrvrKingArthursWorldEurope = {
	"King Arthur's World (Europe)", NULL, NULL, "1986",
	"King Arthur's World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"King Arthur's World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingArthursWorldEuropeRomInfo, rKingArthursWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingArthursWorldUSABetaRomDesc[] = {
	{ "King Arthur's World (USA) (Beta).sfc",          524288, 0xcf00d401, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingArthursWorldUSABeta)
STD_ROM_FN(rKingArthursWorldUSABeta)

struct BurnDriver BurnDrvrKingArthursWorldUSABeta = {
	"King Arthur's World (USA) (Beta)", NULL, NULL, "1986",
	"King Arthur's World (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"King Arthur's World (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingArthursWorldUSABetaRomInfo, rKingArthursWorldUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingArthursWorldUSARomDesc[] = {
	{ "King Arthur's World (USA).sfc",          524288, 0x99bd1fe1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingArthursWorldUSA)
STD_ROM_FN(rKingArthursWorldUSA)

struct BurnDriver BurnDrvrKingArthursWorldUSA = {
	"King Arthur's World (USA)", NULL, NULL, "1986",
	"King Arthur's World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"King Arthur's World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingArthursWorldUSARomInfo, rKingArthursWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingofDragonsTheEuropeRomDesc[] = {
	{ "King of Dragons, The (Europe).sfc",          2097152, 0x78f0820b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingofDragonsTheEurope)
STD_ROM_FN(rKingofDragonsTheEurope)

struct BurnDriver BurnDrvrKingofDragonsTheEurope = {
	"King of Dragons, The (Europe)", NULL, NULL, "1986",
	"King of Dragons, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of Dragons, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingofDragonsTheEuropeRomInfo, rKingofDragonsTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingofDragonsTheJapanRomDesc[] = {
	{ "King of Dragons, The (Japan).sfc",          2097152, 0x68b09b12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingofDragonsTheJapan)
STD_ROM_FN(rKingofDragonsTheJapan)

struct BurnDriver BurnDrvrKingofDragonsTheJapan = {
	"King of Dragons, The (Japan)", NULL, NULL, "1986",
	"King of Dragons, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of Dragons, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingofDragonsTheJapanRomInfo, rKingofDragonsTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingofDragonsTheUSARomDesc[] = {
	{ "King of Dragons, The (USA).sfc",          2097152, 0xdd505df7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingofDragonsTheUSA)
STD_ROM_FN(rKingofDragonsTheUSA)

struct BurnDriver BurnDrvrKingofDragonsTheUSA = {
	"King of Dragons, The (USA)", NULL, NULL, "1986",
	"King of Dragons, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of Dragons, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingofDragonsTheUSARomInfo, rKingofDragonsTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingofRallyTheJapanRomDesc[] = {
	{ "King of Rally, The (Japan).sfc",          1048576, 0x4fa380a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingofRallyTheJapan)
STD_ROM_FN(rKingofRallyTheJapan)

struct BurnDriver BurnDrvrKingofRallyTheJapan = {
	"King of Rally, The (Japan)", NULL, NULL, "1986",
	"King of Rally, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of Rally, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingofRallyTheJapanRomInfo, rKingofRallyTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingoftheMonstersEuropeRomDesc[] = {
	{ "King of the Monsters (Europe).sfc",          1048576, 0x799b1787, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingoftheMonstersEurope)
STD_ROM_FN(rKingoftheMonstersEurope)

struct BurnDriver BurnDrvrKingoftheMonstersEurope = {
	"King of the Monsters (Europe)", NULL, NULL, "1986",
	"King of the Monsters (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of the Monsters (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingoftheMonstersEuropeRomInfo, rKingoftheMonstersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingoftheMonstersJapanRomDesc[] = {
	{ "King of the Monsters (Japan).sfc",          1048576, 0x825b9607, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingoftheMonstersJapan)
STD_ROM_FN(rKingoftheMonstersJapan)

struct BurnDriver BurnDrvrKingoftheMonstersJapan = {
	"King of the Monsters (Japan)", NULL, NULL, "1986",
	"King of the Monsters (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of the Monsters (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingoftheMonstersJapanRomInfo, rKingoftheMonstersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingoftheMonstersUSARomDesc[] = {
	{ "King of the Monsters (USA).sfc",          1048576, 0xc285c7ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingoftheMonstersUSA)
STD_ROM_FN(rKingoftheMonstersUSA)

struct BurnDriver BurnDrvrKingoftheMonstersUSA = {
	"King of the Monsters (USA)", NULL, NULL, "1986",
	"King of the Monsters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of the Monsters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingoftheMonstersUSARomInfo, rKingoftheMonstersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingoftheMonsters2USARomDesc[] = {
	{ "King of the Monsters 2 (USA).sfc",          2097152, 0xb677a37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingoftheMonsters2USA)
STD_ROM_FN(rKingoftheMonsters2USA)

struct BurnDriver BurnDrvrKingoftheMonsters2USA = {
	"King of the Monsters 2 (USA)", NULL, NULL, "1986",
	"King of the Monsters 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of the Monsters 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingoftheMonsters2USARomInfo, rKingoftheMonsters2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingoftheMonsters2TheNextThingJapanRomDesc[] = {
	{ "King of the Monsters 2 - The Next Thing (Japan).sfc",          2097152, 0xb41aeccc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingoftheMonsters2TheNextThingJapan)
STD_ROM_FN(rKingoftheMonsters2TheNextThingJapan)

struct BurnDriver BurnDrvrKingoftheMonsters2TheNextThingJapan = {
	"King of the Monsters 2 - The Next Thing (Japan)", NULL, NULL, "1986",
	"King of the Monsters 2 - The Next Thing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"King of the Monsters 2 - The Next Thing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingoftheMonsters2TheNextThingJapanRomInfo, rKingoftheMonsters2TheNextThingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKingyoChuuihouTobidaseGameGakuenJapanRomDesc[] = {
	{ "Kingyo Chuuihou! - Tobidase! Game Gakuen (Japan).sfc",          2097152, 0xc819109c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKingyoChuuihouTobidaseGameGakuenJapan)
STD_ROM_FN(rKingyoChuuihouTobidaseGameGakuenJapan)

struct BurnDriver BurnDrvrKingyoChuuihouTobidaseGameGakuenJapan = {
	"Kingyo Chuuihou! - Tobidase! Game Gakuen (Japan)", NULL, NULL, "1986",
	"Kingyo Chuuihou! - Tobidase! Game Gakuen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kingyo Chuuihou! - Tobidase! Game Gakuen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKingyoChuuihouTobidaseGameGakuenJapanRomInfo, rKingyoChuuihouTobidaseGameGakuenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKinnikumanDirtyChallengerJapanRomDesc[] = {
	{ "Kinnikuman - Dirty Challenger (Japan).sfc",          524288, 0x5c869ca5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKinnikumanDirtyChallengerJapan)
STD_ROM_FN(rKinnikumanDirtyChallengerJapan)

struct BurnDriver BurnDrvrKinnikumanDirtyChallengerJapan = {
	"Kinnikuman - Dirty Challenger (Japan)", NULL, NULL, "1986",
	"Kinnikuman - Dirty Challenger (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kinnikuman - Dirty Challenger (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKinnikumanDirtyChallengerJapanRomInfo, rKinnikumanDirtyChallengerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbyBowlJapanRomDesc[] = {
	{ "Kirby Bowl (Japan).sfc",          1310720, 0x2a24fc9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbyBowlJapan)
STD_ROM_FN(rKirbyBowlJapan)

struct BurnDriver BurnDrvrKirbyBowlJapan = {
	"Kirby Bowl (Japan)", NULL, NULL, "1986",
	"Kirby Bowl (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby Bowl (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbyBowlJapanRomInfo, rKirbyBowlJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbynoKirakiraKidsJapanRomDesc[] = {
	{ "Kirby no Kirakira Kids (Japan).sfc",          2097152, 0x35265bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbynoKirakiraKidsJapan)
STD_ROM_FN(rKirbynoKirakiraKidsJapan)

struct BurnDriver BurnDrvrKirbynoKirakiraKidsJapan = {
	"Kirby no Kirakira Kids (Japan)", NULL, NULL, "1986",
	"Kirby no Kirakira Kids (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby no Kirakira Kids (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbynoKirakiraKidsJapanRomInfo, rKirbynoKirakiraKidsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbynoOmochabakoBaseballJapanBSRomDesc[] = {
	{ "Kirby no Omochabako - Baseball (Japan) (BS).sfc",          524288, 0x7ac28567, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbynoOmochabakoBaseballJapanBS)
STD_ROM_FN(rKirbynoOmochabakoBaseballJapanBS)

struct BurnDriver BurnDrvrKirbynoOmochabakoBaseballJapanBS = {
	"Kirby no Omochabako - Baseball (Japan) (BS)", NULL, NULL, "1986",
	"Kirby no Omochabako - Baseball (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby no Omochabako - Baseball (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbynoOmochabakoBaseballJapanBSRomInfo, rKirbynoOmochabakoBaseballJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbynoOmochabakoGuruguruBallJapanBSRomDesc[] = {
	{ "Kirby no Omochabako - Guruguru Ball (Japan) (BS).sfc",          1048576, 0x8247a684, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbynoOmochabakoGuruguruBallJapanBS)
STD_ROM_FN(rKirbynoOmochabakoGuruguruBallJapanBS)

struct BurnDriver BurnDrvrKirbynoOmochabakoGuruguruBallJapanBS = {
	"Kirby no Omochabako - Guruguru Ball (Japan) (BS)", NULL, NULL, "1986",
	"Kirby no Omochabako - Guruguru Ball (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby no Omochabako - Guruguru Ball (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbynoOmochabakoGuruguruBallJapanBSRomInfo, rKirbynoOmochabakoGuruguruBallJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbynoOmochabakoHoshiKuzushiJapanBSRomDesc[] = {
	{ "Kirby no Omochabako - Hoshi Kuzushi (Japan) (BS).sfc",          1048576, 0xa78abd76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbynoOmochabakoHoshiKuzushiJapanBS)
STD_ROM_FN(rKirbynoOmochabakoHoshiKuzushiJapanBS)

struct BurnDriver BurnDrvrKirbynoOmochabakoHoshiKuzushiJapanBS = {
	"Kirby no Omochabako - Hoshi Kuzushi (Japan) (BS)", NULL, NULL, "1986",
	"Kirby no Omochabako - Hoshi Kuzushi (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby no Omochabako - Hoshi Kuzushi (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbynoOmochabakoHoshiKuzushiJapanBSRomInfo, rKirbynoOmochabakoHoshiKuzushiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbynoOmochabakoPinballJapanBSRomDesc[] = {
	{ "Kirby no Omochabako - Pinball (Japan) (BS).sfc",          524288, 0x9d9bbd09, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbynoOmochabakoPinballJapanBS)
STD_ROM_FN(rKirbynoOmochabakoPinballJapanBS)

struct BurnDriver BurnDrvrKirbynoOmochabakoPinballJapanBS = {
	"Kirby no Omochabako - Pinball (Japan) (BS)", NULL, NULL, "1986",
	"Kirby no Omochabako - Pinball (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby no Omochabako - Pinball (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbynoOmochabakoPinballJapanBSRomInfo, rKirbynoOmochabakoPinballJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbySuperStarUSARomDesc[] = {
	{ "Kirby Super Star (USA).sfc",          4194304, 0x89d0f7dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbySuperStarUSA)
STD_ROM_FN(rKirbySuperStarUSA)

struct BurnDriver BurnDrvrKirbySuperStarUSA = {
	"Kirby Super Star (USA)", NULL, NULL, "1986",
	"Kirby Super Star (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby Super Star (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbySuperStarUSARomInfo, rKirbySuperStarUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysAvalancheUSARomDesc[] = {
	{ "Kirby's Avalanche (USA).sfc",          1048576, 0x21e658b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysAvalancheUSA)
STD_ROM_FN(rKirbysAvalancheUSA)

struct BurnDriver BurnDrvrKirbysAvalancheUSA = {
	"Kirby's Avalanche (USA)", NULL, NULL, "1986",
	"Kirby's Avalanche (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Avalanche (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysAvalancheUSARomInfo, rKirbysAvalancheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysDreamCourseEuropeRomDesc[] = {
	{ "Kirby's Dream Course (Europe).sfc",          1048576, 0x995cc0a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysDreamCourseEurope)
STD_ROM_FN(rKirbysDreamCourseEurope)

struct BurnDriver BurnDrvrKirbysDreamCourseEurope = {
	"Kirby's Dream Course (Europe)", NULL, NULL, "1986",
	"Kirby's Dream Course (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Dream Course (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysDreamCourseEuropeRomInfo, rKirbysDreamCourseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysDreamCourseUSARomDesc[] = {
	{ "Kirby's Dream Course (USA).sfc",          1048576, 0xdf8153d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysDreamCourseUSA)
STD_ROM_FN(rKirbysDreamCourseUSA)

struct BurnDriver BurnDrvrKirbysDreamCourseUSA = {
	"Kirby's Dream Course (USA)", NULL, NULL, "1986",
	"Kirby's Dream Course (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Dream Course (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysDreamCourseUSARomInfo, rKirbysDreamCourseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysDreamLand3USARomDesc[] = {
	{ "Kirby's Dream Land 3 (USA).sfc",          4194304, 0xec8a48f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysDreamLand3USA)
STD_ROM_FN(rKirbysDreamLand3USA)

struct BurnDriver BurnDrvrKirbysDreamLand3USA = {
	"Kirby's Dream Land 3 (USA)", NULL, NULL, "1986",
	"Kirby's Dream Land 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Dream Land 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysDreamLand3USARomInfo, rKirbysDreamLand3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysFunPakEuropeRomDesc[] = {
	{ "Kirby's Fun Pak (Europe).sfc",          4194304, 0xce33dcfb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysFunPakEurope)
STD_ROM_FN(rKirbysFunPakEurope)

struct BurnDriver BurnDrvrKirbysFunPakEurope = {
	"Kirby's Fun Pak (Europe)", NULL, NULL, "1986",
	"Kirby's Fun Pak (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Fun Pak (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysFunPakEuropeRomInfo, rKirbysFunPakEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKirbysGhostTrapEuropeRomDesc[] = {
	{ "Kirby's Ghost Trap (Europe).sfc",          1048576, 0xdd0d08be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKirbysGhostTrapEurope)
STD_ROM_FN(rKirbysGhostTrapEurope)

struct BurnDriver BurnDrvrKirbysGhostTrapEurope = {
	"Kirby's Ghost Trap (Europe)", NULL, NULL, "1986",
	"Kirby's Ghost Trap (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kirby's Ghost Trap (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKirbysGhostTrapEuropeRomInfo, rKirbysGhostTrapEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKishinDoujiZenkiBattleRaidenJapanRomDesc[] = {
	{ "Kishin Douji Zenki - Battle Raiden (Japan).sfc",          2097152, 0xbecfc92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKishinDoujiZenkiBattleRaidenJapan)
STD_ROM_FN(rKishinDoujiZenkiBattleRaidenJapan)

struct BurnDriver BurnDrvrKishinDoujiZenkiBattleRaidenJapan = {
	"Kishin Douji Zenki - Battle Raiden (Japan)", NULL, NULL, "1986",
	"Kishin Douji Zenki - Battle Raiden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kishin Douji Zenki - Battle Raiden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKishinDoujiZenkiBattleRaidenJapanRomInfo, rKishinDoujiZenkiBattleRaidenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKishinDoujiZenkiDeneiRaibuJapanRomDesc[] = {
	{ "Kishin Douji Zenki - Denei Raibu (Japan).sfc",          2097152, 0x68cc21b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKishinDoujiZenkiDeneiRaibuJapan)
STD_ROM_FN(rKishinDoujiZenkiDeneiRaibuJapan)

struct BurnDriver BurnDrvrKishinDoujiZenkiDeneiRaibuJapan = {
	"Kishin Douji Zenki - Denei Raibu (Japan)", NULL, NULL, "1986",
	"Kishin Douji Zenki - Denei Raibu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kishin Douji Zenki - Denei Raibu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKishinDoujiZenkiDeneiRaibuJapanRomInfo, rKishinDoujiZenkiDeneiRaibuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKishinDoujiZenkiTenchiMeidouJapanRomDesc[] = {
	{ "Kishin Douji Zenki - Tenchi Meidou (Japan).sfc",          2097152, 0xd910990c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKishinDoujiZenkiTenchiMeidouJapan)
STD_ROM_FN(rKishinDoujiZenkiTenchiMeidouJapan)

struct BurnDriver BurnDrvrKishinDoujiZenkiTenchiMeidouJapan = {
	"Kishin Douji Zenki - Tenchi Meidou (Japan)", NULL, NULL, "1986",
	"Kishin Douji Zenki - Tenchi Meidou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kishin Douji Zenki - Tenchi Meidou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKishinDoujiZenkiTenchiMeidouJapanRomInfo, rKishinDoujiZenkiTenchiMeidouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKishinKourindenOniJapanBetaRomDesc[] = {
	{ "Kishin Kourinden Oni (Japan) (Beta).sfc",          1572864, 0x5a137504, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKishinKourindenOniJapanBeta)
STD_ROM_FN(rKishinKourindenOniJapanBeta)

struct BurnDriver BurnDrvrKishinKourindenOniJapanBeta = {
	"Kishin Kourinden Oni (Japan) (Beta)", NULL, NULL, "1986",
	"Kishin Kourinden Oni (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kishin Kourinden Oni (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKishinKourindenOniJapanBetaRomInfo, rKishinKourindenOniJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKishinKourindenOniJapanRomDesc[] = {
	{ "Kishin Kourinden Oni (Japan).sfc",          1572864, 0x81079934, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKishinKourindenOniJapan)
STD_ROM_FN(rKishinKourindenOniJapan)

struct BurnDriver BurnDrvrKishinKourindenOniJapan = {
	"Kishin Kourinden Oni (Japan)", NULL, NULL, "1986",
	"Kishin Kourinden Oni (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kishin Kourinden Oni (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKishinKourindenOniJapanRomInfo, rKishinKourindenOniJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKiteretsuDaihyakkaChoujikuuSugorokuJapanRomDesc[] = {
	{ "Kiteretsu Daihyakka - Choujikuu Sugoroku (Japan).sfc",          1310720, 0x55219ca3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKiteretsuDaihyakkaChoujikuuSugorokuJapan)
STD_ROM_FN(rKiteretsuDaihyakkaChoujikuuSugorokuJapan)

struct BurnDriver BurnDrvrKiteretsuDaihyakkaChoujikuuSugorokuJapan = {
	"Kiteretsu Daihyakka - Choujikuu Sugoroku (Japan)", NULL, NULL, "1986",
	"Kiteretsu Daihyakka - Choujikuu Sugoroku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kiteretsu Daihyakka - Choujikuu Sugoroku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKiteretsuDaihyakkaChoujikuuSugorokuJapanRomInfo, rKiteretsuDaihyakkaChoujikuuSugorokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKnightsoftheRoundEuropeRomDesc[] = {
	{ "Knights of the Round (Europe).sfc",          1572864, 0x9b40082d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKnightsoftheRoundEurope)
STD_ROM_FN(rKnightsoftheRoundEurope)

struct BurnDriver BurnDrvrKnightsoftheRoundEurope = {
	"Knights of the Round (Europe)", NULL, NULL, "1986",
	"Knights of the Round (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Knights of the Round (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKnightsoftheRoundEuropeRomInfo, rKnightsoftheRoundEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKnightsoftheRoundJapanRomDesc[] = {
	{ "Knights of the Round (Japan).sfc",          1572864, 0xf27c9c29, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKnightsoftheRoundJapan)
STD_ROM_FN(rKnightsoftheRoundJapan)

struct BurnDriver BurnDrvrKnightsoftheRoundJapan = {
	"Knights of the Round (Japan)", NULL, NULL, "1986",
	"Knights of the Round (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Knights of the Round (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKnightsoftheRoundJapanRomInfo, rKnightsoftheRoundJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKnightsoftheRoundUSARomDesc[] = {
	{ "Knights of the Round (USA).sfc",          1572864, 0xaaa82126, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKnightsoftheRoundUSA)
STD_ROM_FN(rKnightsoftheRoundUSA)

struct BurnDriver BurnDrvrKnightsoftheRoundUSA = {
	"Knights of the Round (USA)", NULL, NULL, "1986",
	"Knights of the Round (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Knights of the Round (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKnightsoftheRoundUSARomInfo, rKnightsoftheRoundUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBSRomDesc[] = {
	{ "Kodomo Chousadan Mighty Pockets - Chousa 1 - Junk-ya Black no Ie (Japan) (BS).sfc",          1048576, 0x85ebb7cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBS)
STD_ROM_FN(rKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBS)

struct BurnDriver BurnDrvrKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBS = {
	"Kodomo Chousadan Mighty Pockets - Chousa 1 - Junk-ya Black no Ie (Japan) (BS)", NULL, NULL, "1986",
	"Kodomo Chousadan Mighty Pockets - Chousa 1 - Junk-ya Black no Ie (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kodomo Chousadan Mighty Pockets - Chousa 1 - Junk-ya Black no Ie (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBSRomInfo, rKodomoChousadanMightyPocketsChousa1JunkyaBlacknoIeJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBSRomDesc[] = {
	{ "Kodomo Chousadan Mighty Pockets - Chousa 2 - Hanzai Toshi Big Apple (Japan) (BS).sfc",          1048576, 0x188c9acb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBS)
STD_ROM_FN(rKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBS)

struct BurnDriver BurnDrvrKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBS = {
	"Kodomo Chousadan Mighty Pockets - Chousa 2 - Hanzai Toshi Big Apple (Japan) (BS)", NULL, NULL, "1986",
	"Kodomo Chousadan Mighty Pockets - Chousa 2 - Hanzai Toshi Big Apple (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kodomo Chousadan Mighty Pockets - Chousa 2 - Hanzai Toshi Big Apple (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBSRomInfo, rKodomoChousadanMightyPocketsChousa2HanzaiToshiBigAppleJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBSRomDesc[] = {
	{ "Kodomo Chousadan Mighty Pockets - Chousa 3 - Kyakusen Queen Patra no Nazo (Japan) (BS).sfc",          1048576, 0x35634c30, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBS)
STD_ROM_FN(rKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBS)

struct BurnDriver BurnDrvrKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBS = {
	"Kodomo Chousadan Mighty Pockets - Chousa 3 - Kyakusen Queen Patra no Nazo (Japan) (BS)", NULL, NULL, "1986",
	"Kodomo Chousadan Mighty Pockets - Chousa 3 - Kyakusen Queen Patra no Nazo (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kodomo Chousadan Mighty Pockets - Chousa 3 - Kyakusen Queen Patra no Nazo (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBSRomInfo, rKodomoChousadanMightyPocketsChousa3KyakusenQueenPatranoNazoJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBSRomDesc[] = {
	{ "Koi wa Balance - Tatoeba K-kun no Tabou na Ichinichi Hen (Japan) (BS).sfc",          1048576, 0xd931df60, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBS)
STD_ROM_FN(rKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBS)

struct BurnDriver BurnDrvrKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBS = {
	"Koi wa Balance - Tatoeba K-kun no Tabou na Ichinichi Hen (Japan) (BS)", NULL, NULL, "1986",
	"Koi wa Balance - Tatoeba K-kun no Tabou na Ichinichi Hen (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koi wa Balance - Tatoeba K-kun no Tabou na Ichinichi Hen (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBSRomInfo, rKoiwaBalanceTatoebaKkunnoTabounaIchinichiHenJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKonaechannoDokidokiPenguinKazokuJapanBSRomDesc[] = {
	{ "Konae-chan no Dokidoki Penguin Kazoku (Japan) (BS).sfc",          262144, 0x218b11f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKonaechannoDokidokiPenguinKazokuJapanBS)
STD_ROM_FN(rKonaechannoDokidokiPenguinKazokuJapanBS)

struct BurnDriver BurnDrvrKonaechannoDokidokiPenguinKazokuJapanBS = {
	"Konae-chan no Dokidoki Penguin Kazoku (Japan) (BS)", NULL, NULL, "1986",
	"Konae-chan no Dokidoki Penguin Kazoku (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Konae-chan no Dokidoki Penguin Kazoku (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKonaechannoDokidokiPenguinKazokuJapanBSRomInfo, rKonaechannoDokidokiPenguinKazokuJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKonpekinoKantaiJapanRomDesc[] = {
	{ "Konpeki no Kantai (Japan).sfc",          1572864, 0xe57583ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKonpekinoKantaiJapan)
STD_ROM_FN(rKonpekinoKantaiJapan)

struct BurnDriver BurnDrvrKonpekinoKantaiJapan = {
	"Konpeki no Kantai (Japan)", NULL, NULL, "1986",
	"Konpeki no Kantai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Konpeki no Kantai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKonpekinoKantaiJapanRomInfo, rKonpekinoKantaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKouryakuCasinoBarJapanRomDesc[] = {
	{ "Kouryaku Casino Bar (Japan).sfc",          1048576, 0x13454204, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKouryakuCasinoBarJapan)
STD_ROM_FN(rKouryakuCasinoBarJapan)

struct BurnDriver BurnDrvrKouryakuCasinoBarJapan = {
	"Kouryaku Casino Bar (Japan)", NULL, NULL, "1986",
	"Kouryaku Casino Bar (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kouryaku Casino Bar (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKouryakuCasinoBarJapanRomInfo, rKouryakuCasinoBarJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKouryuuDensetsuVillgustKietaShoujoJapanRomDesc[] = {
	{ "Kouryuu Densetsu Villgust - Kieta Shoujo (Japan).sfc",          1048576, 0x2a6f930e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKouryuuDensetsuVillgustKietaShoujoJapan)
STD_ROM_FN(rKouryuuDensetsuVillgustKietaShoujoJapan)

struct BurnDriver BurnDrvrKouryuuDensetsuVillgustKietaShoujoJapan = {
	"Kouryuu Densetsu Villgust - Kieta Shoujo (Japan)", NULL, NULL, "1986",
	"Kouryuu Densetsu Villgust - Kieta Shoujo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kouryuu Densetsu Villgust - Kieta Shoujo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKouryuuDensetsuVillgustKietaShoujoJapanRomInfo, rKouryuuDensetsuVillgustKietaShoujoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKouryuunoMimiJapanRomDesc[] = {
	{ "Kouryuu no Mimi (Japan).sfc",          1048576, 0x89276c88, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKouryuunoMimiJapan)
STD_ROM_FN(rKouryuunoMimiJapan)

struct BurnDriver BurnDrvrKouryuunoMimiJapan = {
	"Kouryuu no Mimi (Japan)", NULL, NULL, "1986",
	"Kouryuu no Mimi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kouryuu no Mimi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKouryuunoMimiJapanRomInfo, rKouryuunoMimiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKouryuukiJapanRomDesc[] = {
	{ "Kouryuuki (Japan).sfc",          1572864, 0x23d61c64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKouryuukiJapan)
STD_ROM_FN(rKouryuukiJapan)

struct BurnDriver BurnDrvrKouryuukiJapan = {
	"Kouryuuki (Japan)", NULL, NULL, "1986",
	"Kouryuuki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kouryuuki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKouryuukiJapanRomInfo, rKouryuukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoushien2JapanRomDesc[] = {
	{ "Koushien 2 (Japan).sfc",          1048576, 0x767164dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoushien2Japan)
STD_ROM_FN(rKoushien2Japan)

struct BurnDriver BurnDrvrKoushien2Japan = {
	"Koushien 2 (Japan)", NULL, NULL, "1986",
	"Koushien 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koushien 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoushien2JapanRomInfo, rKoushien2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoushien3JapanRomDesc[] = {
	{ "Koushien 3 (Japan).sfc",          1572864, 0x3f18d0cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoushien3Japan)
STD_ROM_FN(rKoushien3Japan)

struct BurnDriver BurnDrvrKoushien3Japan = {
	"Koushien 3 (Japan)", NULL, NULL, "1986",
	"Koushien 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koushien 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoushien3JapanRomInfo, rKoushien3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoushien4JapanRomDesc[] = {
	{ "Koushien 4 (Japan).sfc",          2097152, 0x57753105, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoushien4Japan)
STD_ROM_FN(rKoushien4Japan)

struct BurnDriver BurnDrvrKoushien4Japan = {
	"Koushien 4 (Japan)", NULL, NULL, "1986",
	"Koushien 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koushien 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoushien4JapanRomInfo, rKoushien4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKousokuShikouShougiOuJapanRomDesc[] = {
	{ "Kousoku Shikou Shougi Ou (Japan).sfc",          1048576, 0xe536dd2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKousokuShikouShougiOuJapan)
STD_ROM_FN(rKousokuShikouShougiOuJapan)

struct BurnDriver BurnDrvrKousokuShikouShougiOuJapan = {
	"Kousoku Shikou Shougi Ou (Japan)", NULL, NULL, "1986",
	"Kousoku Shikou Shougi Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kousoku Shikou Shougi Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKousokuShikouShougiOuJapanRomInfo, rKousokuShikouShougiOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoutetsunoKishiJapanRomDesc[] = {
	{ "Koutetsu no Kishi (Japan).sfc",          1048576, 0xd66b9ae5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoutetsunoKishiJapan)
STD_ROM_FN(rKoutetsunoKishiJapan)

struct BurnDriver BurnDrvrKoutetsunoKishiJapan = {
	"Koutetsu no Kishi (Japan)", NULL, NULL, "1986",
	"Koutetsu no Kishi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koutetsu no Kishi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoutetsunoKishiJapanRomInfo, rKoutetsunoKishiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoutetsunoKishi2SabakunoRommelGundanJapanRomDesc[] = {
	{ "Koutetsu no Kishi 2 - Sabaku no Rommel Gundan (Japan).sfc",          1572864, 0x9d5ea7f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoutetsunoKishi2SabakunoRommelGundanJapan)
STD_ROM_FN(rKoutetsunoKishi2SabakunoRommelGundanJapan)

struct BurnDriver BurnDrvrKoutetsunoKishi2SabakunoRommelGundanJapan = {
	"Koutetsu no Kishi 2 - Sabaku no Rommel Gundan (Japan)", NULL, NULL, "1986",
	"Koutetsu no Kishi 2 - Sabaku no Rommel Gundan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koutetsu no Kishi 2 - Sabaku no Rommel Gundan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoutetsunoKishi2SabakunoRommelGundanJapanRomInfo, rKoutetsunoKishi2SabakunoRommelGundanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKoutetsunoKishi3GekitotsuEuropeSensenJapanRomDesc[] = {
	{ "Koutetsu no Kishi 3 - Gekitotsu Europe Sensen (Japan).sfc",          1572864, 0xd889dbdf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKoutetsunoKishi3GekitotsuEuropeSensenJapan)
STD_ROM_FN(rKoutetsunoKishi3GekitotsuEuropeSensenJapan)

struct BurnDriver BurnDrvrKoutetsunoKishi3GekitotsuEuropeSensenJapan = {
	"Koutetsu no Kishi 3 - Gekitotsu Europe Sensen (Japan)", NULL, NULL, "1986",
	"Koutetsu no Kishi 3 - Gekitotsu Europe Sensen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Koutetsu no Kishi 3 - Gekitotsu Europe Sensen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKoutetsunoKishi3GekitotsuEuropeSensenJapanRomInfo, rKoutetsunoKishi3GekitotsuEuropeSensenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKrustyWorldJapanRomDesc[] = {
	{ "Krusty World (Japan).sfc",          524288, 0xdee4bcb3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKrustyWorldJapan)
STD_ROM_FN(rKrustyWorldJapan)

struct BurnDriver BurnDrvrKrustyWorldJapan = {
	"Krusty World (Japan)", NULL, NULL, "1986",
	"Krusty World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Krusty World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKrustyWorldJapanRomInfo, rKrustyWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKrustysSuperFunHouseEuropeRev1RomDesc[] = {
	{ "Krusty's Super Fun House (Europe) (Rev 1).sfc",          524288, 0xf605a5e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKrustysSuperFunHouseEuropeRev1)
STD_ROM_FN(rKrustysSuperFunHouseEuropeRev1)

struct BurnDriver BurnDrvrKrustysSuperFunHouseEuropeRev1 = {
	"Krusty's Super Fun House (Europe) (Rev 1)", NULL, NULL, "1986",
	"Krusty's Super Fun House (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Krusty's Super Fun House (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKrustysSuperFunHouseEuropeRev1RomInfo, rKrustysSuperFunHouseEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKrustysSuperFunHouseEuropeRomDesc[] = {
	{ "Krusty's Super Fun House (Europe).sfc",          524288, 0xfd44df1f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKrustysSuperFunHouseEurope)
STD_ROM_FN(rKrustysSuperFunHouseEurope)

struct BurnDriver BurnDrvrKrustysSuperFunHouseEurope = {
	"Krusty's Super Fun House (Europe)", NULL, NULL, "1986",
	"Krusty's Super Fun House (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Krusty's Super Fun House (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKrustysSuperFunHouseEuropeRomInfo, rKrustysSuperFunHouseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKrustysSuperFunHouseUSARev1RomDesc[] = {
	{ "Krusty's Super Fun House (USA) (Rev 1).sfc",          524288, 0xac5116d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKrustysSuperFunHouseUSARev1)
STD_ROM_FN(rKrustysSuperFunHouseUSARev1)

struct BurnDriver BurnDrvrKrustysSuperFunHouseUSARev1 = {
	"Krusty's Super Fun House (USA) (Rev 1)", NULL, NULL, "1986",
	"Krusty's Super Fun House (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Krusty's Super Fun House (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKrustysSuperFunHouseUSARev1RomInfo, rKrustysSuperFunHouseUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKrustysSuperFunHouseUSARomDesc[] = {
	{ "Krusty's Super Fun House (USA).sfc",          524288, 0x5fd03cac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKrustysSuperFunHouseUSA)
STD_ROM_FN(rKrustysSuperFunHouseUSA)

struct BurnDriver BurnDrvrKrustysSuperFunHouseUSA = {
	"Krusty's Super Fun House (USA)", NULL, NULL, "1986",
	"Krusty's Super Fun House (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Krusty's Super Fun House (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKrustysSuperFunHouseUSARomInfo, rKrustysSuperFunHouseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKunionoOdenJapanRomDesc[] = {
	{ "Kunio no Oden (Japan).sfc",          524288, 0xd8939a59, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKunionoOdenJapan)
STD_ROM_FN(rKunionoOdenJapan)

struct BurnDriver BurnDrvrKunionoOdenJapan = {
	"Kunio no Oden (Japan)", NULL, NULL, "1986",
	"Kunio no Oden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kunio no Oden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKunionoOdenJapanRomInfo, rKunionoOdenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKuniokunnoDodgeBallDayoZeninShuugouJapanRomDesc[] = {
	{ "Kunio-kun no Dodge Ball Da yo Zenin Shuugou! (Japan).sfc",          1572864, 0x7bf62174, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKuniokunnoDodgeBallDayoZeninShuugouJapan)
STD_ROM_FN(rKuniokunnoDodgeBallDayoZeninShuugouJapan)

struct BurnDriver BurnDrvrKuniokunnoDodgeBallDayoZeninShuugouJapan = {
	"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! (Japan)", NULL, NULL, "1986",
	"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKuniokunnoDodgeBallDayoZeninShuugouJapanRomInfo, rKuniokunnoDodgeBallDayoZeninShuugouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapanRomDesc[] = {
	{ "Kunio-kun no Dodge Ball Da yo Zenin Shuugou! - Tournament Special (Japan).sfc",          524288, 0xb267576d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapan)
STD_ROM_FN(rKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapan)

struct BurnDriver BurnDrvrKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapan = {
	"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! - Tournament Special (Japan)", NULL, NULL, "1986",
	"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! - Tournament Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kunio-kun no Dodge Ball Da yo Zenin Shuugou! - Tournament Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapanRomInfo, rKuniokunnoDodgeBallDayoZeninShuugouTournamentSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKuusouKagakuSekaiGulliverBoyJapanRomDesc[] = {
	{ "Kuusou Kagaku Sekai Gulliver Boy (Japan).sfc",          1572864, 0xf3f8a200, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKuusouKagakuSekaiGulliverBoyJapan)
STD_ROM_FN(rKuusouKagakuSekaiGulliverBoyJapan)

struct BurnDriver BurnDrvrKuusouKagakuSekaiGulliverBoyJapan = {
	"Kuusou Kagaku Sekai Gulliver Boy (Japan)", NULL, NULL, "1986",
	"Kuusou Kagaku Sekai Gulliver Boy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kuusou Kagaku Sekai Gulliver Boy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKuusouKagakuSekaiGulliverBoyJapanRomInfo, rKuusouKagakuSekaiGulliverBoyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKylePettysNoFearRacingUSARomDesc[] = {
	{ "Kyle Petty's No Fear Racing (USA).sfc",          3145728, 0xaee90a85, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKylePettysNoFearRacingUSA)
STD_ROM_FN(rKylePettysNoFearRacingUSA)

struct BurnDriver BurnDrvrKylePettysNoFearRacingUSA = {
	"Kyle Petty's No Fear Racing (USA)", NULL, NULL, "1986",
	"Kyle Petty's No Fear Racing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kyle Petty's No Fear Racing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKylePettysNoFearRacingUSARomInfo, rKylePettysNoFearRacingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rKyuuyakuMegamiTenseiJapanRomDesc[] = {
	{ "Kyuuyaku Megami Tensei (Japan).sfc",          2097152, 0xc8d286c9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rKyuuyakuMegamiTenseiJapan)
STD_ROM_FN(rKyuuyakuMegamiTenseiJapan)

struct BurnDriver BurnDrvrKyuuyakuMegamiTenseiJapan = {
	"Kyuuyaku Megami Tensei (Japan)", NULL, NULL, "1986",
	"Kyuuyaku Megami Tensei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Kyuuyaku Megami Tensei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rKyuuyakuMegamiTenseiJapanRomInfo, rKyuuyakuMegamiTenseiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLaWaresJapanRomDesc[] = {
	{ "La Wares (Japan).sfc",          1572864, 0x866a4bee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLaWaresJapan)
STD_ROM_FN(rLaWaresJapan)

struct BurnDriver BurnDrvrLaWaresJapan = {
	"La Wares (Japan)", NULL, NULL, "1986",
	"La Wares (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"La Wares (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLaWaresJapanRomInfo, rLaWaresJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLadyStalkerKakokaranoChousenJapanRomDesc[] = {
	{ "Lady Stalker - Kako kara no Chousen (Japan).sfc",          2621440, 0x4390d719, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLadyStalkerKakokaranoChousenJapan)
STD_ROM_FN(rLadyStalkerKakokaranoChousenJapan)

struct BurnDriver BurnDrvrLadyStalkerKakokaranoChousenJapan = {
	"Lady Stalker - Kako kara no Chousen (Japan)", NULL, NULL, "1986",
	"Lady Stalker - Kako kara no Chousen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lady Stalker - Kako kara no Chousen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLadyStalkerKakokaranoChousenJapanRomInfo, rLadyStalkerKakokaranoChousenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLagoonEuropeRomDesc[] = {
	{ "Lagoon (Europe).sfc",          1048576, 0x840d0c53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLagoonEurope)
STD_ROM_FN(rLagoonEurope)

struct BurnDriver BurnDrvrLagoonEurope = {
	"Lagoon (Europe)", NULL, NULL, "1986",
	"Lagoon (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lagoon (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLagoonEuropeRomInfo, rLagoonEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLagoonGermanyRomDesc[] = {
	{ "Lagoon (Germany).sfc",          1048576, 0xb24f5c0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLagoonGermany)
STD_ROM_FN(rLagoonGermany)

struct BurnDriver BurnDrvrLagoonGermany = {
	"Lagoon (Germany)", NULL, NULL, "1986",
	"Lagoon (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lagoon (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLagoonGermanyRomInfo, rLagoonGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLagoonJapanRomDesc[] = {
	{ "Lagoon (Japan).sfc",          1048576, 0x6f2015fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLagoonJapan)
STD_ROM_FN(rLagoonJapan)

struct BurnDriver BurnDrvrLagoonJapan = {
	"Lagoon (Japan)", NULL, NULL, "1986",
	"Lagoon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lagoon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLagoonJapanRomInfo, rLagoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLagoonUSARomDesc[] = {
	{ "Lagoon (USA).sfc",          1048576, 0xd2554270, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLagoonUSA)
STD_ROM_FN(rLagoonUSA)

struct BurnDriver BurnDrvrLagoonUSA = {
	"Lagoon (USA)", NULL, NULL, "1986",
	"Lagoon (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lagoon (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLagoonUSARomInfo, rLagoonUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLamborghiniAmericanChallengeEuropeRomDesc[] = {
	{ "Lamborghini - American Challenge (Europe).sfc",          524288, 0x263178b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLamborghiniAmericanChallengeEurope)
STD_ROM_FN(rLamborghiniAmericanChallengeEurope)

struct BurnDriver BurnDrvrLamborghiniAmericanChallengeEurope = {
	"Lamborghini - American Challenge (Europe)", NULL, NULL, "1986",
	"Lamborghini - American Challenge (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lamborghini - American Challenge (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLamborghiniAmericanChallengeEuropeRomInfo, rLamborghiniAmericanChallengeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLamborghiniAmericanChallengeUSARomDesc[] = {
	{ "Lamborghini - American Challenge (USA).sfc",          524288, 0xd2fb701b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLamborghiniAmericanChallengeUSA)
STD_ROM_FN(rLamborghiniAmericanChallengeUSA)

struct BurnDriver BurnDrvrLamborghiniAmericanChallengeUSA = {
	"Lamborghini - American Challenge (USA)", NULL, NULL, "1986",
	"Lamborghini - American Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lamborghini - American Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLamborghiniAmericanChallengeUSARomInfo, rLamborghiniAmericanChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLangrisserDerJapanRev1RomDesc[] = {
	{ "Langrisser, Der (Japan) (Rev 1).sfc",          2097152, 0x35f9eecc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLangrisserDerJapanRev1)
STD_ROM_FN(rLangrisserDerJapanRev1)

struct BurnDriver BurnDrvrLangrisserDerJapanRev1 = {
	"Langrisser, Der (Japan) (Rev 1)", NULL, NULL, "1986",
	"Langrisser, Der (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Langrisser, Der (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLangrisserDerJapanRev1RomInfo, rLangrisserDerJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLangrisserDerJapanRomDesc[] = {
	{ "Langrisser, Der (Japan).sfc",          2097152, 0x7aedd703, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLangrisserDerJapan)
STD_ROM_FN(rLangrisserDerJapan)

struct BurnDriver BurnDrvrLangrisserDerJapan = {
	"Langrisser, Der (Japan)", NULL, NULL, "1986",
	"Langrisser, Der (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Langrisser, Der (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLangrisserDerJapanRomInfo, rLangrisserDerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLaplacenoMaJapanRomDesc[] = {
	{ "Laplace no Ma (Japan).sfc",          2097152, 0x49c4cc15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLaplacenoMaJapan)
STD_ROM_FN(rLaplacenoMaJapan)

struct BurnDriver BurnDrvrLaplacenoMaJapan = {
	"Laplace no Ma (Japan)", NULL, NULL, "1986",
	"Laplace no Ma (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Laplace no Ma (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLaplacenoMaJapanRomInfo, rLaplacenoMaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLarryNixonsSuperBassFishingJapanRev1RomDesc[] = {
	{ "Larry Nixon's Super Bass Fishing (Japan) (Rev 1).sfc",          1572864, 0x71e962b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLarryNixonsSuperBassFishingJapanRev1)
STD_ROM_FN(rLarryNixonsSuperBassFishingJapanRev1)

struct BurnDriver BurnDrvrLarryNixonsSuperBassFishingJapanRev1 = {
	"Larry Nixon's Super Bass Fishing (Japan) (Rev 1)", NULL, NULL, "1986",
	"Larry Nixon's Super Bass Fishing (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Larry Nixon's Super Bass Fishing (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLarryNixonsSuperBassFishingJapanRev1RomInfo, rLarryNixonsSuperBassFishingJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLarryNixonsSuperBassFishingJapanRomDesc[] = {
	{ "Larry Nixon's Super Bass Fishing (Japan).sfc",          1572864, 0xe190b880, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLarryNixonsSuperBassFishingJapan)
STD_ROM_FN(rLarryNixonsSuperBassFishingJapan)

struct BurnDriver BurnDrvrLarryNixonsSuperBassFishingJapan = {
	"Larry Nixon's Super Bass Fishing (Japan)", NULL, NULL, "1986",
	"Larry Nixon's Super Bass Fishing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Larry Nixon's Super Bass Fishing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLarryNixonsSuperBassFishingJapanRomInfo, rLarryNixonsSuperBassFishingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLasVegasDreaminGoldenParadiseJapanRomDesc[] = {
	{ "Las Vegas Dream in Golden Paradise (Japan).sfc",          1048576, 0xa6bb5a7a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLasVegasDreaminGoldenParadiseJapan)
STD_ROM_FN(rLasVegasDreaminGoldenParadiseJapan)

struct BurnDriver BurnDrvrLasVegasDreaminGoldenParadiseJapan = {
	"Las Vegas Dream in Golden Paradise (Japan)", NULL, NULL, "1986",
	"Las Vegas Dream in Golden Paradise (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Las Vegas Dream in Golden Paradise (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLasVegasDreaminGoldenParadiseJapanRomInfo, rLasVegasDreaminGoldenParadiseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLastActionHeroEuropeRomDesc[] = {
	{ "Last Action Hero (Europe).sfc",          1048576, 0x91633d95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLastActionHeroEurope)
STD_ROM_FN(rLastActionHeroEurope)

struct BurnDriver BurnDrvrLastActionHeroEurope = {
	"Last Action Hero (Europe)", NULL, NULL, "1986",
	"Last Action Hero (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Last Action Hero (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLastActionHeroEuropeRomInfo, rLastActionHeroEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLastActionHeroUSARomDesc[] = {
	{ "Last Action Hero (USA).sfc",          1048576, 0x88017df9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLastActionHeroUSA)
STD_ROM_FN(rLastActionHeroUSA)

struct BurnDriver BurnDrvrLastActionHeroUSA = {
	"Last Action Hero (USA)", NULL, NULL, "1986",
	"Last Action Hero (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Last Action Hero (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLastActionHeroUSARomInfo, rLastActionHeroUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLastBattleTheJapanRomDesc[] = {
	{ "Last Battle, The (Japan).sfc",          2097152, 0x200ec9c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLastBattleTheJapan)
STD_ROM_FN(rLastBattleTheJapan)

struct BurnDriver BurnDrvrLastBattleTheJapan = {
	"Last Battle, The (Japan)", NULL, NULL, "1986",
	"Last Battle, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Last Battle, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLastBattleTheJapanRomInfo, rLastBattleTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLastBibleIIIJapanRomDesc[] = {
	{ "Last Bible III (Japan).sfc",          3145728, 0x5f1d73d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLastBibleIIIJapan)
STD_ROM_FN(rLastBibleIIIJapan)

struct BurnDriver BurnDrvrLastBibleIIIJapan = {
	"Last Bible III (Japan)", NULL, NULL, "1986",
	"Last Bible III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Last Bible III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLastBibleIIIJapanRomInfo, rLastBibleIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLawnmowerManTheEuropeRomDesc[] = {
	{ "Lawnmower Man, The (Europe).sfc",          1048576, 0x1a97c479, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLawnmowerManTheEurope)
STD_ROM_FN(rLawnmowerManTheEurope)

struct BurnDriver BurnDrvrLawnmowerManTheEurope = {
	"Lawnmower Man, The (Europe)", NULL, NULL, "1986",
	"Lawnmower Man, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lawnmower Man, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLawnmowerManTheEuropeRomInfo, rLawnmowerManTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLawnmowerManTheUSABetaRomDesc[] = {
	{ "Lawnmower Man, The (USA) (Beta).sfc",          1048576, 0x750f8068, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLawnmowerManTheUSABeta)
STD_ROM_FN(rLawnmowerManTheUSABeta)

struct BurnDriver BurnDrvrLawnmowerManTheUSABeta = {
	"Lawnmower Man, The (USA) (Beta)", NULL, NULL, "1986",
	"Lawnmower Man, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lawnmower Man, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLawnmowerManTheUSABetaRomInfo, rLawnmowerManTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLawnmowerManTheUSARomDesc[] = {
	{ "Lawnmower Man, The (USA).sfc",          1048576, 0x2736b607, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLawnmowerManTheUSA)
STD_ROM_FN(rLawnmowerManTheUSA)

struct BurnDriver BurnDrvrLawnmowerManTheUSA = {
	"Lawnmower Man, The (USA)", NULL, NULL, "1986",
	"Lawnmower Man, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lawnmower Man, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLawnmowerManTheUSARomInfo, rLawnmowerManTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLeadingCompanyJapanRomDesc[] = {
	{ "Leading Company (Japan).sfc",          1048576, 0xa931c7c9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLeadingCompanyJapan)
STD_ROM_FN(rLeadingCompanyJapan)

struct BurnDriver BurnDrvrLeadingCompanyJapan = {
	"Leading Company (Japan)", NULL, NULL, "1986",
	"Leading Company (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Leading Company (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLeadingCompanyJapanRomInfo, rLeadingCompanyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLeadingJockeyJapanRomDesc[] = {
	{ "Leading Jockey (Japan).sfc",          524288, 0x57db06bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLeadingJockeyJapan)
STD_ROM_FN(rLeadingJockeyJapan)

struct BurnDriver BurnDrvrLeadingJockeyJapan = {
	"Leading Jockey (Japan)", NULL, NULL, "1986",
	"Leading Jockey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Leading Jockey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLeadingJockeyJapanRomInfo, rLeadingJockeyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLeadingJockey2JapanRomDesc[] = {
	{ "Leading Jockey 2 (Japan).sfc",          1048576, 0xfeefaec4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLeadingJockey2Japan)
STD_ROM_FN(rLeadingJockey2Japan)

struct BurnDriver BurnDrvrLeadingJockey2Japan = {
	"Leading Jockey 2 (Japan)", NULL, NULL, "1986",
	"Leading Jockey 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Leading Jockey 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLeadingJockey2JapanRomInfo, rLeadingJockey2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendEuropeRomDesc[] = {
	{ "Legend (Europe).sfc",          1048576, 0xcac572f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendEurope)
STD_ROM_FN(rLegendEurope)

struct BurnDriver BurnDrvrLegendEurope = {
	"Legend (Europe)", NULL, NULL, "1986",
	"Legend (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendEuropeRomInfo, rLegendEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendUSABetaRomDesc[] = {
	{ "Legend (USA) (Beta).sfc",          1048576, 0x42e3774e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendUSABeta)
STD_ROM_FN(rLegendUSABeta)

struct BurnDriver BurnDrvrLegendUSABeta = {
	"Legend (USA) (Beta)", NULL, NULL, "1986",
	"Legend (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendUSABetaRomInfo, rLegendUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendUSARomDesc[] = {
	{ "Legend (USA).sfc",          1048576, 0xa6dd870, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendUSA)
STD_ROM_FN(rLegendUSA)

struct BurnDriver BurnDrvrLegendUSA = {
	"Legend (USA)", NULL, NULL, "1986",
	"Legend (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendUSARomInfo, rLegendUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendoftheMysticalNinjaTheEuropeRomDesc[] = {
	{ "Legend of the Mystical Ninja, The (Europe).sfc",          1048576, 0x797724c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendoftheMysticalNinjaTheEurope)
STD_ROM_FN(rLegendoftheMysticalNinjaTheEurope)

struct BurnDriver BurnDrvrLegendoftheMysticalNinjaTheEurope = {
	"Legend of the Mystical Ninja, The (Europe)", NULL, NULL, "1986",
	"Legend of the Mystical Ninja, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of the Mystical Ninja, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendoftheMysticalNinjaTheEuropeRomInfo, rLegendoftheMysticalNinjaTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendoftheMysticalNinjaTheGermanyRomDesc[] = {
	{ "Legend of the Mystical Ninja, The (Germany).sfc",          1048576, 0x5796529e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendoftheMysticalNinjaTheGermany)
STD_ROM_FN(rLegendoftheMysticalNinjaTheGermany)

struct BurnDriver BurnDrvrLegendoftheMysticalNinjaTheGermany = {
	"Legend of the Mystical Ninja, The (Germany)", NULL, NULL, "1986",
	"Legend of the Mystical Ninja, The (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of the Mystical Ninja, The (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendoftheMysticalNinjaTheGermanyRomInfo, rLegendoftheMysticalNinjaTheGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendoftheMysticalNinjaTheUSARomDesc[] = {
	{ "Legend of the Mystical Ninja, The (USA).sfc",          1048576, 0x82479d6a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendoftheMysticalNinjaTheUSA)
STD_ROM_FN(rLegendoftheMysticalNinjaTheUSA)

struct BurnDriver BurnDrvrLegendoftheMysticalNinjaTheUSA = {
	"Legend of the Mystical Ninja, The (USA)", NULL, NULL, "1986",
	"Legend of the Mystical Ninja, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of the Mystical Ninja, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendoftheMysticalNinjaTheUSARomInfo, rLegendoftheMysticalNinjaTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendofZeldaTheALinktothePastCanadaRomDesc[] = {
	{ "Legend of Zelda, The - A Link to the Past (Canada).sfc",          1048576, 0x47760381, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendofZeldaTheALinktothePastCanada)
STD_ROM_FN(rLegendofZeldaTheALinktothePastCanada)

struct BurnDriver BurnDrvrLegendofZeldaTheALinktothePastCanada = {
	"Legend of Zelda, The - A Link to the Past (Canada)", NULL, NULL, "1986",
	"Legend of Zelda, The - A Link to the Past (Canada)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of Zelda, The - A Link to the Past (Canada)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendofZeldaTheALinktothePastCanadaRomInfo, rLegendofZeldaTheALinktothePastCanadaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendofZeldaTheALinktothePastEuropeRomDesc[] = {
	{ "Legend of Zelda, The - A Link to the Past (Europe).sfc",          1048576, 0x4d55e12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendofZeldaTheALinktothePastEurope)
STD_ROM_FN(rLegendofZeldaTheALinktothePastEurope)

struct BurnDriver BurnDrvrLegendofZeldaTheALinktothePastEurope = {
	"Legend of Zelda, The - A Link to the Past (Europe)", NULL, NULL, "1986",
	"Legend of Zelda, The - A Link to the Past (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of Zelda, The - A Link to the Past (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendofZeldaTheALinktothePastEuropeRomInfo, rLegendofZeldaTheALinktothePastEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendofZeldaTheALinktothePastFranceRomDesc[] = {
	{ "Legend of Zelda, The - A Link to the Past (France).sfc",          1048576, 0x1f8c30e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendofZeldaTheALinktothePastFrance)
STD_ROM_FN(rLegendofZeldaTheALinktothePastFrance)

struct BurnDriver BurnDrvrLegendofZeldaTheALinktothePastFrance = {
	"Legend of Zelda, The - A Link to the Past (France)", NULL, NULL, "1986",
	"Legend of Zelda, The - A Link to the Past (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of Zelda, The - A Link to the Past (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendofZeldaTheALinktothePastFranceRomInfo, rLegendofZeldaTheALinktothePastFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendofZeldaTheALinktothePastGermanyRomDesc[] = {
	{ "Legend of Zelda, The - A Link to the Past (Germany).sfc",          1048576, 0x6a6c2091, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendofZeldaTheALinktothePastGermany)
STD_ROM_FN(rLegendofZeldaTheALinktothePastGermany)

struct BurnDriver BurnDrvrLegendofZeldaTheALinktothePastGermany = {
	"Legend of Zelda, The - A Link to the Past (Germany)", NULL, NULL, "1986",
	"Legend of Zelda, The - A Link to the Past (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of Zelda, The - A Link to the Past (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendofZeldaTheALinktothePastGermanyRomInfo, rLegendofZeldaTheALinktothePastGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLegendofZeldaTheALinktothePastUSARomDesc[] = {
	{ "Legend of Zelda, The - A Link to the Past (USA).sfc",          1048576, 0x777aac2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLegendofZeldaTheALinktothePastUSA)
STD_ROM_FN(rLegendofZeldaTheALinktothePastUSA)

struct BurnDriver BurnDrvrLegendofZeldaTheALinktothePastUSA = {
	"Legend of Zelda, The - A Link to the Past (USA)", NULL, NULL, "1986",
	"Legend of Zelda, The - A Link to the Past (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Legend of Zelda, The - A Link to the Past (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLegendofZeldaTheALinktothePastUSARomInfo, rLegendofZeldaTheALinktothePastUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmingsEuropeRomDesc[] = {
	{ "Lemmings (Europe).sfc",          1048576, 0xaebadcef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmingsEurope)
STD_ROM_FN(rLemmingsEurope)

struct BurnDriver BurnDrvrLemmingsEurope = {
	"Lemmings (Europe)", NULL, NULL, "1986",
	"Lemmings (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmingsEuropeRomInfo, rLemmingsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmingsJapanRomDesc[] = {
	{ "Lemmings (Japan).sfc",          1048576, 0x13027564, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmingsJapan)
STD_ROM_FN(rLemmingsJapan)

struct BurnDriver BurnDrvrLemmingsJapan = {
	"Lemmings (Japan)", NULL, NULL, "1986",
	"Lemmings (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmingsJapanRomInfo, rLemmingsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmingsUSARev1RomDesc[] = {
	{ "Lemmings (USA) (Rev 1).sfc",          1048576, 0x51e3d566, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmingsUSARev1)
STD_ROM_FN(rLemmingsUSARev1)

struct BurnDriver BurnDrvrLemmingsUSARev1 = {
	"Lemmings (USA) (Rev 1)", NULL, NULL, "1986",
	"Lemmings (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmingsUSARev1RomInfo, rLemmingsUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmingsUSARomDesc[] = {
	{ "Lemmings (USA).sfc",          1048576, 0x7f8b51a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmingsUSA)
STD_ROM_FN(rLemmingsUSA)

struct BurnDriver BurnDrvrLemmingsUSA = {
	"Lemmings (USA)", NULL, NULL, "1986",
	"Lemmings (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmingsUSARomInfo, rLemmingsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmings2TheTribesEuropeRomDesc[] = {
	{ "Lemmings 2 - The Tribes (Europe).sfc",          2097152, 0x290107a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmings2TheTribesEurope)
STD_ROM_FN(rLemmings2TheTribesEurope)

struct BurnDriver BurnDrvrLemmings2TheTribesEurope = {
	"Lemmings 2 - The Tribes (Europe)", NULL, NULL, "1986",
	"Lemmings 2 - The Tribes (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings 2 - The Tribes (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmings2TheTribesEuropeRomInfo, rLemmings2TheTribesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmings2TheTribesJapanRomDesc[] = {
	{ "Lemmings 2 - The Tribes (Japan).sfc",          2097152, 0x1e7a945a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmings2TheTribesJapan)
STD_ROM_FN(rLemmings2TheTribesJapan)

struct BurnDriver BurnDrvrLemmings2TheTribesJapan = {
	"Lemmings 2 - The Tribes (Japan)", NULL, NULL, "1986",
	"Lemmings 2 - The Tribes (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings 2 - The Tribes (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmings2TheTribesJapanRomInfo, rLemmings2TheTribesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLemmings2TheTribesUSARomDesc[] = {
	{ "Lemmings 2 - The Tribes (USA).sfc",          2097152, 0xdf7200c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLemmings2TheTribesUSA)
STD_ROM_FN(rLemmings2TheTribesUSA)

struct BurnDriver BurnDrvrLemmings2TheTribesUSA = {
	"Lemmings 2 - The Tribes (USA)", NULL, NULL, "1986",
	"Lemmings 2 - The Tribes (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lemmings 2 - The Tribes (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLemmings2TheTribesUSARomInfo, rLemmings2TheTribesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLennusKodaiKikainoKiokuJapanRomDesc[] = {
	{ "Lennus - Kodai Kikai no Kioku (Japan).sfc",          1572864, 0xb9d3911e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLennusKodaiKikainoKiokuJapan)
STD_ROM_FN(rLennusKodaiKikainoKiokuJapan)

struct BurnDriver BurnDrvrLennusKodaiKikainoKiokuJapan = {
	"Lennus - Kodai Kikai no Kioku (Japan)", NULL, NULL, "1986",
	"Lennus - Kodai Kikai no Kioku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lennus - Kodai Kikai no Kioku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLennusKodaiKikainoKiokuJapanRomInfo, rLennusKodaiKikainoKiokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLennusIIFuuinnoShitoJapanRomDesc[] = {
	{ "Lennus II - Fuuin no Shito (Japan).sfc",          4194304, 0xc68be22a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLennusIIFuuinnoShitoJapan)
STD_ROM_FN(rLennusIIFuuinnoShitoJapan)

struct BurnDriver BurnDrvrLennusIIFuuinnoShitoJapan = {
	"Lennus II - Fuuin no Shito (Japan)", NULL, NULL, "1986",
	"Lennus II - Fuuin no Shito (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lennus II - Fuuin no Shito (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLennusIIFuuinnoShitoJapanRomInfo, rLennusIIFuuinnoShitoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLestertheUnlikelyUSARomDesc[] = {
	{ "Lester the Unlikely (USA).sfc",          1048576, 0x1a52fee5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLestertheUnlikelyUSA)
STD_ROM_FN(rLestertheUnlikelyUSA)

struct BurnDriver BurnDrvrLestertheUnlikelyUSA = {
	"Lester the Unlikely (USA)", NULL, NULL, "1986",
	"Lester the Unlikely (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lester the Unlikely (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLestertheUnlikelyUSARomInfo, rLestertheUnlikelyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLetsPachinkoNanteGindama1JapanBSRomDesc[] = {
	{ "Let's Pachinko Nante Gindama 1 (Japan) (BS).sfc",          1048576, 0x330aad41, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLetsPachinkoNanteGindama1JapanBS)
STD_ROM_FN(rLetsPachinkoNanteGindama1JapanBS)

struct BurnDriver BurnDrvrLetsPachinkoNanteGindama1JapanBS = {
	"Let's Pachinko Nante Gindama 1 (Japan) (BS)", NULL, NULL, "1986",
	"Let's Pachinko Nante Gindama 1 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Let's Pachinko Nante Gindama 1 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLetsPachinkoNanteGindama1JapanBSRomInfo, rLetsPachinkoNanteGindama1JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLetsPachinkoNanteGindama2JapanBSRomDesc[] = {
	{ "Let's Pachinko Nante Gindama 2 (Japan) (BS).sfc",          1048576, 0x8561ad51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLetsPachinkoNanteGindama2JapanBS)
STD_ROM_FN(rLetsPachinkoNanteGindama2JapanBS)

struct BurnDriver BurnDrvrLetsPachinkoNanteGindama2JapanBS = {
	"Let's Pachinko Nante Gindama 2 (Japan) (BS)", NULL, NULL, "1986",
	"Let's Pachinko Nante Gindama 2 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Let's Pachinko Nante Gindama 2 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLetsPachinkoNanteGindama2JapanBSRomInfo, rLetsPachinkoNanteGindama2JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLetsPachinkoNanteGindama3JapanBSRomDesc[] = {
	{ "Let's Pachinko Nante Gindama 3 (Japan) (BS).sfc",          1048576, 0x8f24b267, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLetsPachinkoNanteGindama3JapanBS)
STD_ROM_FN(rLetsPachinkoNanteGindama3JapanBS)

struct BurnDriver BurnDrvrLetsPachinkoNanteGindama3JapanBS = {
	"Let's Pachinko Nante Gindama 3 (Japan) (BS)", NULL, NULL, "1986",
	"Let's Pachinko Nante Gindama 3 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Let's Pachinko Nante Gindama 3 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLetsPachinkoNanteGindama3JapanBSRomInfo, rLetsPachinkoNanteGindama3JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLetsPachinkoNanteGindama4JapanBSRomDesc[] = {
	{ "Let's Pachinko Nante Gindama 4 (Japan) (BS).sfc",          1048576, 0x75bc56bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLetsPachinkoNanteGindama4JapanBS)
STD_ROM_FN(rLetsPachinkoNanteGindama4JapanBS)

struct BurnDriver BurnDrvrLetsPachinkoNanteGindama4JapanBS = {
	"Let's Pachinko Nante Gindama 4 (Japan) (BS)", NULL, NULL, "1986",
	"Let's Pachinko Nante Gindama 4 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Let's Pachinko Nante Gindama 4 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLetsPachinkoNanteGindama4JapanBSRomInfo, rLetsPachinkoNanteGindama4JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLethalEnforcersEuropeRomDesc[] = {
	{ "Lethal Enforcers (Europe).sfc",          2097152, 0xaa6ee29c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLethalEnforcersEurope)
STD_ROM_FN(rLethalEnforcersEurope)

struct BurnDriver BurnDrvrLethalEnforcersEurope = {
	"Lethal Enforcers (Europe)", NULL, NULL, "1986",
	"Lethal Enforcers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lethal Enforcers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLethalEnforcersEuropeRomInfo, rLethalEnforcersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLethalEnforcersJapanRomDesc[] = {
	{ "Lethal Enforcers (Japan).sfc",          2097152, 0x3c948ea6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLethalEnforcersJapan)
STD_ROM_FN(rLethalEnforcersJapan)

struct BurnDriver BurnDrvrLethalEnforcersJapan = {
	"Lethal Enforcers (Japan)", NULL, NULL, "1986",
	"Lethal Enforcers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lethal Enforcers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLethalEnforcersJapanRomInfo, rLethalEnforcersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLethalEnforcersUSARomDesc[] = {
	{ "Lethal Enforcers (USA).sfc",          2097152, 0x5aff8cd5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLethalEnforcersUSA)
STD_ROM_FN(rLethalEnforcersUSA)

struct BurnDriver BurnDrvrLethalEnforcersUSA = {
	"Lethal Enforcers (USA)", NULL, NULL, "1986",
	"Lethal Enforcers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lethal Enforcers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLethalEnforcersUSARomInfo, rLethalEnforcersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLethalWeaponEuropeRomDesc[] = {
	{ "Lethal Weapon (Europe).sfc",          1048576, 0x13cd7fc1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLethalWeaponEurope)
STD_ROM_FN(rLethalWeaponEurope)

struct BurnDriver BurnDrvrLethalWeaponEurope = {
	"Lethal Weapon (Europe)", NULL, NULL, "1986",
	"Lethal Weapon (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lethal Weapon (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLethalWeaponEuropeRomInfo, rLethalWeaponEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLethalWeaponUSARomDesc[] = {
	{ "Lethal Weapon (USA).sfc",          1048576, 0xa14c3dbc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLethalWeaponUSA)
STD_ROM_FN(rLethalWeaponUSA)

struct BurnDriver BurnDrvrLethalWeaponUSA = {
	"Lethal Weapon (USA)", NULL, NULL, "1986",
	"Lethal Weapon (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lethal Weapon (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLethalWeaponUSARomInfo, rLethalWeaponUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLibbleRabbleJapanRomDesc[] = {
	{ "Libble Rabble (Japan).sfc",          524288, 0x6160829b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLibbleRabbleJapan)
STD_ROM_FN(rLibbleRabbleJapan)

struct BurnDriver BurnDrvrLibbleRabbleJapan = {
	"Libble Rabble (Japan)", NULL, NULL, "1986",
	"Libble Rabble (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Libble Rabble (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLibbleRabbleJapanRomInfo, rLibbleRabbleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLibertyorDeathUSARomDesc[] = {
	{ "Liberty or Death (USA).sfc",          1310720, 0x75e362a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLibertyorDeathUSA)
STD_ROM_FN(rLibertyorDeathUSA)

struct BurnDriver BurnDrvrLibertyorDeathUSA = {
	"Liberty or Death (USA)", NULL, NULL, "1986",
	"Liberty or Death (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Liberty or Death (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLibertyorDeathUSARomInfo, rLibertyorDeathUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLightFantasyJapanRomDesc[] = {
	{ "Light Fantasy (Japan).sfc",          1048576, 0x17bbf914, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLightFantasyJapan)
STD_ROM_FN(rLightFantasyJapan)

struct BurnDriver BurnDrvrLightFantasyJapan = {
	"Light Fantasy (Japan)", NULL, NULL, "1986",
	"Light Fantasy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Light Fantasy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLightFantasyJapanRomInfo, rLightFantasyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLightFantasyIIJapanRomDesc[] = {
	{ "Light Fantasy II (Japan).sfc",          2097152, 0xd8f1bf0e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLightFantasyIIJapan)
STD_ROM_FN(rLightFantasyIIJapan)

struct BurnDriver BurnDrvrLightFantasyIIJapan = {
	"Light Fantasy II (Japan)", NULL, NULL, "1986",
	"Light Fantasy II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Light Fantasy II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLightFantasyIIJapanRomInfo, rLightFantasyIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLionKingTheEuropeRomDesc[] = {
	{ "Lion King, The (Europe).sfc",          3145728, 0x8a46ed37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLionKingTheEurope)
STD_ROM_FN(rLionKingTheEurope)

struct BurnDriver BurnDrvrLionKingTheEurope = {
	"Lion King, The (Europe)", NULL, NULL, "1986",
	"Lion King, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lion King, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLionKingTheEuropeRomInfo, rLionKingTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLionKingTheJapanRomDesc[] = {
	{ "Lion King, The (Japan).sfc",          3145728, 0x79a9b2d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLionKingTheJapan)
STD_ROM_FN(rLionKingTheJapan)

struct BurnDriver BurnDrvrLionKingTheJapan = {
	"Lion King, The (Japan)", NULL, NULL, "1986",
	"Lion King, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lion King, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLionKingTheJapanRomInfo, rLionKingTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLionKingTheUSARomDesc[] = {
	{ "Lion King, The (USA).sfc",          3145728, 0xc8fbfaa8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLionKingTheUSA)
STD_ROM_FN(rLionKingTheUSA)

struct BurnDriver BurnDrvrLionKingTheUSA = {
	"Lion King, The (USA)", NULL, NULL, "1986",
	"Lion King, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lion King, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLionKingTheUSARomInfo, rLionKingTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLittleMagicEuropeProtoRomDesc[] = {
	{ "Little Magic (Europe) (Proto).sfc",          524288, 0x59059d83, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLittleMagicEuropeProto)
STD_ROM_FN(rLittleMagicEuropeProto)

struct BurnDriver BurnDrvrLittleMagicEuropeProto = {
	"Little Magic (Europe) (Proto)", NULL, NULL, "1986",
	"Little Magic (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Little Magic (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLittleMagicEuropeProtoRomInfo, rLittleMagicEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLittleMagicJapanBetaRomDesc[] = {
	{ "Little Magic (Japan) (Beta).sfc",          524288, 0xe201e8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLittleMagicJapanBeta)
STD_ROM_FN(rLittleMagicJapanBeta)

struct BurnDriver BurnDrvrLittleMagicJapanBeta = {
	"Little Magic (Japan) (Beta)", NULL, NULL, "1986",
	"Little Magic (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Little Magic (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLittleMagicJapanBetaRomInfo, rLittleMagicJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLittleMagicJapanRomDesc[] = {
	{ "Little Magic (Japan).sfc",          524288, 0x9654194d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLittleMagicJapan)
STD_ROM_FN(rLittleMagicJapan)

struct BurnDriver BurnDrvrLittleMagicJapan = {
	"Little Magic (Japan)", NULL, NULL, "1986",
	"Little Magic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Little Magic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLittleMagicJapanRomInfo, rLittleMagicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLittleMasterNijiironoMasekiJapanRomDesc[] = {
	{ "Little Master - Nijiiro no Maseki (Japan).sfc",          2097152, 0xb916334c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLittleMasterNijiironoMasekiJapan)
STD_ROM_FN(rLittleMasterNijiironoMasekiJapan)

struct BurnDriver BurnDrvrLittleMasterNijiironoMasekiJapan = {
	"Little Master - Nijiiro no Maseki (Japan)", NULL, NULL, "1986",
	"Little Master - Nijiiro no Maseki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Little Master - Nijiiro no Maseki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLittleMasterNijiironoMasekiJapanRomInfo, rLittleMasterNijiironoMasekiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLiveALiveJapanRomDesc[] = {
	{ "Live A Live (Japan).sfc",          2097152, 0x6291ee08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLiveALiveJapan)
STD_ROM_FN(rLiveALiveJapan)

struct BurnDriver BurnDrvrLiveALiveJapan = {
	"Live A Live (Japan)", NULL, NULL, "1986",
	"Live A Live (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Live A Live (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLiveALiveJapanRomInfo, rLiveALiveJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLockOnUSARomDesc[] = {
	{ "Lock On (USA).sfc",          524288, 0x84f7e078, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLockOnUSA)
STD_ROM_FN(rLockOnUSA)

struct BurnDriver BurnDrvrLockOnUSA = {
	"Lock On (USA)", NULL, NULL, "1986",
	"Lock On (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lock On (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLockOnUSARomInfo, rLockOnUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLodeRunnerTwinJustytoLibertynoDaiboukenJapanRomDesc[] = {
	{ "Lode Runner Twin - Justy to Liberty no Daibouken (Japan).sfc",          1048576, 0xaba0a671, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLodeRunnerTwinJustytoLibertynoDaiboukenJapan)
STD_ROM_FN(rLodeRunnerTwinJustytoLibertynoDaiboukenJapan)

struct BurnDriver BurnDrvrLodeRunnerTwinJustytoLibertynoDaiboukenJapan = {
	"Lode Runner Twin - Justy to Liberty no Daibouken (Japan)", NULL, NULL, "1986",
	"Lode Runner Twin - Justy to Liberty no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lode Runner Twin - Justy to Liberty no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLodeRunnerTwinJustytoLibertynoDaiboukenJapanRomInfo, rLodeRunnerTwinJustytoLibertynoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLodosstouSenkiJapanRomDesc[] = {
	{ "Lodoss-tou Senki (Japan).sfc",          2621440, 0x1b3e22c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLodosstouSenkiJapan)
STD_ROM_FN(rLodosstouSenkiJapan)

struct BurnDriver BurnDrvrLodosstouSenkiJapan = {
	"Lodoss-tou Senki (Japan)", NULL, NULL, "1986",
	"Lodoss-tou Senki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lodoss-tou Senki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLodosstouSenkiJapanRomInfo, rLodosstouSenkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLogosPanicGoaisatsuJapanRomDesc[] = {
	{ "Logos Panic Goaisatsu (Japan).sfc",          1310720, 0x4808e2b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLogosPanicGoaisatsuJapan)
STD_ROM_FN(rLogosPanicGoaisatsuJapan)

struct BurnDriver BurnDrvrLogosPanicGoaisatsuJapan = {
	"Logos Panic Goaisatsu (Japan)", NULL, NULL, "1986",
	"Logos Panic Goaisatsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Logos Panic Goaisatsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLogosPanicGoaisatsuJapanRomInfo, rLogosPanicGoaisatsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLooneyTunesBBallUSARomDesc[] = {
	{ "Looney Tunes B-Ball (USA).sfc",          2097152, 0x6d3bc96f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLooneyTunesBBallUSA)
STD_ROM_FN(rLooneyTunesBBallUSA)

struct BurnDriver BurnDrvrLooneyTunesBBallUSA = {
	"Looney Tunes B-Ball (USA)", NULL, NULL, "1986",
	"Looney Tunes B-Ball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Looney Tunes B-Ball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLooneyTunesBBallUSARomInfo, rLooneyTunesBBallUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLooneyTunesBasketballEuropeRomDesc[] = {
	{ "Looney Tunes Basketball (Europe).sfc",          2097152, 0xfdf2f478, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLooneyTunesBasketballEurope)
STD_ROM_FN(rLooneyTunesBasketballEurope)

struct BurnDriver BurnDrvrLooneyTunesBasketballEurope = {
	"Looney Tunes Basketball (Europe)", NULL, NULL, "1986",
	"Looney Tunes Basketball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Looney Tunes Basketball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLooneyTunesBasketballEuropeRomInfo, rLooneyTunesBasketballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLordMonarchJapanBSRomDesc[] = {
	{ "Lord Monarch (Japan) (BS).sfc",          524288, 0x75e906fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLordMonarchJapanBS)
STD_ROM_FN(rLordMonarchJapanBS)

struct BurnDriver BurnDrvrLordMonarchJapanBS = {
	"Lord Monarch (Japan) (BS)", NULL, NULL, "1986",
	"Lord Monarch (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lord Monarch (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLordMonarchJapanBSRomInfo, rLordMonarchJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLordMonarchJapanRomDesc[] = {
	{ "Lord Monarch (Japan).sfc",          524288, 0x41736e7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLordMonarchJapan)
STD_ROM_FN(rLordMonarchJapan)

struct BurnDriver BurnDrvrLordMonarchJapan = {
	"Lord Monarch (Japan)", NULL, NULL, "1986",
	"Lord Monarch (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lord Monarch (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLordMonarchJapanRomInfo, rLordMonarchJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikings2USARomDesc[] = {
	{ "Lost Vikings 2 (USA).sfc",          1048576, 0x3aa01dbd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikings2USA)
STD_ROM_FN(rLostVikings2USA)

struct BurnDriver BurnDrvrLostVikings2USA = {
	"Lost Vikings 2 (USA)", NULL, NULL, "1986",
	"Lost Vikings 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikings2USARomInfo, rLostVikings2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsIITheEuropeEnFrDeRomDesc[] = {
	{ "Lost Vikings II, The (Europe) (En,Fr,De).sfc",          1048576, 0x3c49a285, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsIITheEuropeEnFrDe)
STD_ROM_FN(rLostVikingsIITheEuropeEnFrDe)

struct BurnDriver BurnDrvrLostVikingsIITheEuropeEnFrDe = {
	"Lost Vikings II, The (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Lost Vikings II, The (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings II, The (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsIITheEuropeEnFrDeRomInfo, rLostVikingsIITheEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheEuropeRomDesc[] = {
	{ "Lost Vikings, The (Europe).sfc",          1048576, 0x66989491, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheEurope)
STD_ROM_FN(rLostVikingsTheEurope)

struct BurnDriver BurnDrvrLostVikingsTheEurope = {
	"Lost Vikings, The (Europe)", NULL, NULL, "1986",
	"Lost Vikings, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheEuropeRomInfo, rLostVikingsTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheFranceEnFrRomDesc[] = {
	{ "Lost Vikings, The (France) (En,Fr).sfc",          1048576, 0x94093298, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheFranceEnFr)
STD_ROM_FN(rLostVikingsTheFranceEnFr)

struct BurnDriver BurnDrvrLostVikingsTheFranceEnFr = {
	"Lost Vikings, The (France) (En,Fr)", NULL, NULL, "1986",
	"Lost Vikings, The (France) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (France) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheFranceEnFrRomInfo, rLostVikingsTheFranceEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheGermanyRomDesc[] = {
	{ "Lost Vikings, The (Germany).sfc",          1048576, 0x4ee705ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheGermany)
STD_ROM_FN(rLostVikingsTheGermany)

struct BurnDriver BurnDrvrLostVikingsTheGermany = {
	"Lost Vikings, The (Germany)", NULL, NULL, "1986",
	"Lost Vikings, The (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheGermanyRomInfo, rLostVikingsTheGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheSpainRomDesc[] = {
	{ "Lost Vikings, The (Spain).sfc",          1048576, 0x6e8a1081, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheSpain)
STD_ROM_FN(rLostVikingsTheSpain)

struct BurnDriver BurnDrvrLostVikingsTheSpain = {
	"Lost Vikings, The (Spain)", NULL, NULL, "1986",
	"Lost Vikings, The (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheSpainRomInfo, rLostVikingsTheSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheUSABetaRomDesc[] = {
	{ "Lost Vikings, The (USA) (Beta).sfc",          1048576, 0xf20e0c69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheUSABeta)
STD_ROM_FN(rLostVikingsTheUSABeta)

struct BurnDriver BurnDrvrLostVikingsTheUSABeta = {
	"Lost Vikings, The (USA) (Beta)", NULL, NULL, "1986",
	"Lost Vikings, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheUSABetaRomInfo, rLostVikingsTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLostVikingsTheUSARomDesc[] = {
	{ "Lost Vikings, The (USA).sfc",          1048576, 0x6838be08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLostVikingsTheUSA)
STD_ROM_FN(rLostVikingsTheUSA)

struct BurnDriver BurnDrvrLostVikingsTheUSA = {
	"Lost Vikings, The (USA)", NULL, NULL, "1986",
	"Lost Vikings, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lost Vikings, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLostVikingsTheUSARomInfo, rLostVikingsTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLotharMatthaeusSuperSoccerGermanyRomDesc[] = {
	{ "Lothar Matthaeus Super Soccer (Germany).sfc",          1048576, 0x96dec679, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLotharMatthaeusSuperSoccerGermany)
STD_ROM_FN(rLotharMatthaeusSuperSoccerGermany)

struct BurnDriver BurnDrvrLotharMatthaeusSuperSoccerGermany = {
	"Lothar Matthaeus Super Soccer (Germany)", NULL, NULL, "1986",
	"Lothar Matthaeus Super Soccer (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lothar Matthaeus Super Soccer (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLotharMatthaeusSuperSoccerGermanyRomInfo, rLotharMatthaeusSuperSoccerGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLoveQuestJapanRomDesc[] = {
	{ "Love Quest (Japan).sfc",          1572864, 0x92fad6fc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLoveQuestJapan)
STD_ROM_FN(rLoveQuestJapan)

struct BurnDriver BurnDrvrLoveQuestJapan = {
	"Love Quest (Japan)", NULL, NULL, "1986",
	"Love Quest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Love Quest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLoveQuestJapanRomInfo, rLoveQuestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLuckyLukeEuropeEnFrDeEsRomDesc[] = {
	{ "Lucky Luke (Europe) (En,Fr,De,Es).sfc",          1572864, 0x7e2c7143, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLuckyLukeEuropeEnFrDeEs)
STD_ROM_FN(rLuckyLukeEuropeEnFrDeEs)

struct BurnDriver BurnDrvrLuckyLukeEuropeEnFrDeEs = {
	"Lucky Luke (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Lucky Luke (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lucky Luke (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLuckyLukeEuropeEnFrDeEsRomInfo, rLuckyLukeEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaTheFortressofDoomUSARomDesc[] = {
	{ "Lufia & The Fortress of Doom (USA).sfc",          1048576, 0x5e1aa1a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaTheFortressofDoomUSA)
STD_ROM_FN(rLufiaTheFortressofDoomUSA)

struct BurnDriver BurnDrvrLufiaTheFortressofDoomUSA = {
	"Lufia & The Fortress of Doom (USA)", NULL, NULL, "1986",
	"Lufia & The Fortress of Doom (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia & The Fortress of Doom (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaTheFortressofDoomUSARomInfo, rLufiaTheFortressofDoomUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaEuropeRomDesc[] = {
	{ "Lufia (Europe).sfc",          2621440, 0xfdb80165, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaEurope)
STD_ROM_FN(rLufiaEurope)

struct BurnDriver BurnDrvrLufiaEurope = {
	"Lufia (Europe)", NULL, NULL, "1986",
	"Lufia (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaEuropeRomInfo, rLufiaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaGermanyRomDesc[] = {
	{ "Lufia (Germany).sfc",          3145728, 0x8278693d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaGermany)
STD_ROM_FN(rLufiaGermany)

struct BurnDriver BurnDrvrLufiaGermany = {
	"Lufia (Germany)", NULL, NULL, "1986",
	"Lufia (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaGermanyRomInfo, rLufiaGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaNetherlandsRomDesc[] = {
	{ "Lufia (Netherlands).sfc",          3145728, 0x380d91fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaNetherlands)
STD_ROM_FN(rLufiaNetherlands)

struct BurnDriver BurnDrvrLufiaNetherlands = {
	"Lufia (Netherlands)", NULL, NULL, "1986",
	"Lufia (Netherlands)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia (Netherlands)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaNetherlandsRomInfo, rLufiaNetherlandsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaSpainRomDesc[] = {
	{ "Lufia (Spain).sfc",          3145728, 0xd93c0dd4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaSpain)
STD_ROM_FN(rLufiaSpain)

struct BurnDriver BurnDrvrLufiaSpain = {
	"Lufia (Spain)", NULL, NULL, "1986",
	"Lufia (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaSpainRomInfo, rLufiaSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLufiaIIRiseoftheSinistralsUSARomDesc[] = {
	{ "Lufia II - Rise of the Sinistrals (USA).sfc",          2621440, 0x20f2ac29, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLufiaIIRiseoftheSinistralsUSA)
STD_ROM_FN(rLufiaIIRiseoftheSinistralsUSA)

struct BurnDriver BurnDrvrLufiaIIRiseoftheSinistralsUSA = {
	"Lufia II - Rise of the Sinistrals (USA)", NULL, NULL, "1986",
	"Lufia II - Rise of the Sinistrals (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lufia II - Rise of the Sinistrals (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLufiaIIRiseoftheSinistralsUSARomInfo, rLufiaIIRiseoftheSinistralsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rLupinSanseiDensetsunoHihouoOeJapanRomDesc[] = {
	{ "Lupin Sansei - Densetsu no Hihou o Oe! (Japan).sfc",          1572864, 0x74adc6e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rLupinSanseiDensetsunoHihouoOeJapan)
STD_ROM_FN(rLupinSanseiDensetsunoHihouoOeJapan)

struct BurnDriver BurnDrvrLupinSanseiDensetsunoHihouoOeJapan = {
	"Lupin Sansei - Densetsu no Hihou o Oe! (Japan)", NULL, NULL, "1986",
	"Lupin Sansei - Densetsu no Hihou o Oe! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Lupin Sansei - Densetsu no Hihou o Oe! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rLupinSanseiDensetsunoHihouoOeJapanRomInfo, rLupinSanseiDensetsunoHihouoOeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMACSBasicRifleMarksmanshipUSAbRomDesc[] = {
	{ "M.A.C.S. Basic Rifle Marksmanship (USA) [b].sfc",          524288, 0xb8491c98, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMACSBasicRifleMarksmanshipUSAb)
STD_ROM_FN(rMACSBasicRifleMarksmanshipUSAb)

struct BurnDriver BurnDrvrMACSBasicRifleMarksmanshipUSAb = {
	"M.A.C.S. Basic Rifle Marksmanship (USA) [b]", NULL, NULL, "1986",
	"M.A.C.S. Basic Rifle Marksmanship (USA) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"M.A.C.S. Basic Rifle Marksmanship (USA) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMACSBasicRifleMarksmanshipUSAbRomInfo, rMACSBasicRifleMarksmanshipUSAbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL94EuropeRomDesc[] = {
	{ "Madden NFL '94 (Europe).sfc",          1048576, 0xa7d31544, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL94Europe)
STD_ROM_FN(rMaddenNFL94Europe)

struct BurnDriver BurnDrvrMaddenNFL94Europe = {
	"Madden NFL '94 (Europe)", NULL, NULL, "1986",
	"Madden NFL '94 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL '94 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL94EuropeRomInfo, rMaddenNFL94EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL94USARomDesc[] = {
	{ "Madden NFL '94 (USA).sfc",          1048576, 0x8bed5914, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL94USA)
STD_ROM_FN(rMaddenNFL94USA)

struct BurnDriver BurnDrvrMaddenNFL94USA = {
	"Madden NFL '94 (USA)", NULL, NULL, "1986",
	"Madden NFL '94 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL '94 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL94USARomInfo, rMaddenNFL94USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL95EuropeRomDesc[] = {
	{ "Madden NFL 95 (Europe).sfc",          1048576, 0x4b0c7993, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL95Europe)
STD_ROM_FN(rMaddenNFL95Europe)

struct BurnDriver BurnDrvrMaddenNFL95Europe = {
	"Madden NFL 95 (Europe)", NULL, NULL, "1986",
	"Madden NFL 95 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 95 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL95EuropeRomInfo, rMaddenNFL95EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL95USARomDesc[] = {
	{ "Madden NFL 95 (USA).sfc",          1048576, 0x21a3f69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL95USA)
STD_ROM_FN(rMaddenNFL95USA)

struct BurnDriver BurnDrvrMaddenNFL95USA = {
	"Madden NFL 95 (USA)", NULL, NULL, "1986",
	"Madden NFL 95 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 95 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL95USARomInfo, rMaddenNFL95USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL96USASampleRomDesc[] = {
	{ "Madden NFL 96 (USA) (Sample).sfc",          1572864, 0x4c78d04a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL96USASample)
STD_ROM_FN(rMaddenNFL96USASample)

struct BurnDriver BurnDrvrMaddenNFL96USASample = {
	"Madden NFL 96 (USA) (Sample)", NULL, NULL, "1986",
	"Madden NFL 96 (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 96 (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL96USASampleRomInfo, rMaddenNFL96USASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL96USARomDesc[] = {
	{ "Madden NFL 96 (USA).sfc",          1572864, 0x51a1fe86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL96USA)
STD_ROM_FN(rMaddenNFL96USA)

struct BurnDriver BurnDrvrMaddenNFL96USA = {
	"Madden NFL 96 (USA)", NULL, NULL, "1986",
	"Madden NFL 96 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 96 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL96USARomInfo, rMaddenNFL96USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL97USARomDesc[] = {
	{ "Madden NFL 97 (USA).sfc",          1572864, 0xabcf026e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL97USA)
STD_ROM_FN(rMaddenNFL97USA)

struct BurnDriver BurnDrvrMaddenNFL97USA = {
	"Madden NFL 97 (USA)", NULL, NULL, "1986",
	"Madden NFL 97 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 97 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL97USARomInfo, rMaddenNFL97USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaddenNFL98USARomDesc[] = {
	{ "Madden NFL 98 (USA).sfc",          2097152, 0xcf10cc01, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaddenNFL98USA)
STD_ROM_FN(rMaddenNFL98USA)

struct BurnDriver BurnDrvrMaddenNFL98USA = {
	"Madden NFL 98 (USA)", NULL, NULL, "1986",
	"Madden NFL 98 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madden NFL 98 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaddenNFL98USARomInfo, rMaddenNFL98USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMadouMonogatariHanamaruDaiyouchienjiJapanRomDesc[] = {
	{ "Madou Monogatari - Hanamaru Daiyouchienji (Japan).sfc",          2097152, 0x1354e81e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMadouMonogatariHanamaruDaiyouchienjiJapan)
STD_ROM_FN(rMadouMonogatariHanamaruDaiyouchienjiJapan)

struct BurnDriver BurnDrvrMadouMonogatariHanamaruDaiyouchienjiJapan = {
	"Madou Monogatari - Hanamaru Daiyouchienji (Japan)", NULL, NULL, "1986",
	"Madou Monogatari - Hanamaru Daiyouchienji (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Madou Monogatari - Hanamaru Daiyouchienji (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMadouMonogatariHanamaruDaiyouchienjiJapanRomInfo, rMadouMonogatariHanamaruDaiyouchienjiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaerchenAdventureCotton100JapanRomDesc[] = {
	{ "Maerchen Adventure Cotton 100% (Japan).sfc",          2097152, 0x5fb7a31d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaerchenAdventureCotton100Japan)
STD_ROM_FN(rMaerchenAdventureCotton100Japan)

struct BurnDriver BurnDrvrMaerchenAdventureCotton100Japan = {
	"Maerchen Adventure Cotton 100% (Japan)", NULL, NULL, "1986",
	"Maerchen Adventure Cotton 100% (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Maerchen Adventure Cotton 100% (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaerchenAdventureCotton100JapanRomInfo, rMaerchenAdventureCotton100JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicBoyEuropeRomDesc[] = {
	{ "Magic Boy (Europe).sfc",          524288, 0x7718c867, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicBoyEurope)
STD_ROM_FN(rMagicBoyEurope)

struct BurnDriver BurnDrvrMagicBoyEurope = {
	"Magic Boy (Europe)", NULL, NULL, "1986",
	"Magic Boy (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Boy (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicBoyEuropeRomInfo, rMagicBoyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicBoyUSARomDesc[] = {
	{ "Magic Boy (USA).sfc",          524288, 0xab57a2f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicBoyUSA)
STD_ROM_FN(rMagicBoyUSA)

struct BurnDriver BurnDrvrMagicBoyUSA = {
	"Magic Boy (USA)", NULL, NULL, "1986",
	"Magic Boy (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Boy (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicBoyUSARomInfo, rMagicBoyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicJohnsonnoSuperSlamDunkJapanRomDesc[] = {
	{ "Magic Johnson no Super Slam Dunk (Japan).sfc",          1048576, 0x3276e449, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicJohnsonnoSuperSlamDunkJapan)
STD_ROM_FN(rMagicJohnsonnoSuperSlamDunkJapan)

struct BurnDriver BurnDrvrMagicJohnsonnoSuperSlamDunkJapan = {
	"Magic Johnson no Super Slam Dunk (Japan)", NULL, NULL, "1986",
	"Magic Johnson no Super Slam Dunk (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Johnson no Super Slam Dunk (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicJohnsonnoSuperSlamDunkJapanRomInfo, rMagicJohnsonnoSuperSlamDunkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicKnightRayearthJapanRomDesc[] = {
	{ "Magic Knight Rayearth (Japan).sfc",          1572864, 0xede4b627, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicKnightRayearthJapan)
STD_ROM_FN(rMagicKnightRayearthJapan)

struct BurnDriver BurnDrvrMagicKnightRayearthJapan = {
	"Magic Knight Rayearth (Japan)", NULL, NULL, "1986",
	"Magic Knight Rayearth (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Knight Rayearth (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicKnightRayearthJapanRomInfo, rMagicKnightRayearthJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicSwordEuropeRomDesc[] = {
	{ "Magic Sword (Europe).sfc",          1048576, 0x9e50509f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicSwordEurope)
STD_ROM_FN(rMagicSwordEurope)

struct BurnDriver BurnDrvrMagicSwordEurope = {
	"Magic Sword (Europe)", NULL, NULL, "1986",
	"Magic Sword (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Sword (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicSwordEuropeRomInfo, rMagicSwordEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicSwordJapanRomDesc[] = {
	{ "Magic Sword (Japan).sfc",          1048576, 0xb159d53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicSwordJapan)
STD_ROM_FN(rMagicSwordJapan)

struct BurnDriver BurnDrvrMagicSwordJapan = {
	"Magic Sword (Japan)", NULL, NULL, "1986",
	"Magic Sword (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Sword (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicSwordJapanRomInfo, rMagicSwordJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicSwordUSARomDesc[] = {
	{ "Magic Sword (USA).sfc",          1048576, 0x27325e4d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicSwordUSA)
STD_ROM_FN(rMagicSwordUSA)

struct BurnDriver BurnDrvrMagicSwordUSA = {
	"Magic Sword (USA)", NULL, NULL, "1986",
	"Magic Sword (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magic Sword (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicSwordUSARomInfo, rMagicSwordUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalDropJapanRomDesc[] = {
	{ "Magical Drop (Japan).sfc",          1048576, 0x51177158, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalDropJapan)
STD_ROM_FN(rMagicalDropJapan)

struct BurnDriver BurnDrvrMagicalDropJapan = {
	"Magical Drop (Japan)", NULL, NULL, "1986",
	"Magical Drop (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Drop (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalDropJapanRomInfo, rMagicalDropJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalDrop2JapanRomDesc[] = {
	{ "Magical Drop 2 (Japan).sfc",          2097152, 0x2cf5094c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalDrop2Japan)
STD_ROM_FN(rMagicalDrop2Japan)

struct BurnDriver BurnDrvrMagicalDrop2Japan = {
	"Magical Drop 2 (Japan)", NULL, NULL, "1986",
	"Magical Drop 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Drop 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalDrop2JapanRomInfo, rMagicalDrop2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalPopnJapanRomDesc[] = {
	{ "Magical Pop'n (Japan).sfc",          2097152, 0xc49d28a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalPopnJapan)
STD_ROM_FN(rMagicalPopnJapan)

struct BurnDriver BurnDrvrMagicalPopnJapan = {
	"Magical Pop'n (Japan)", NULL, NULL, "1986",
	"Magical Pop'n (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Pop'n (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalPopnJapanRomInfo, rMagicalPopnJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestconTopolinoTheItalyRomDesc[] = {
	{ "Magical Quest con Topolino, The (Italy).sfc",          1048576, 0x3bc3d913, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestconTopolinoTheItaly)
STD_ROM_FN(rMagicalQuestconTopolinoTheItaly)

struct BurnDriver BurnDrvrMagicalQuestconTopolinoTheItaly = {
	"Magical Quest con Topolino, The (Italy)", NULL, NULL, "1986",
	"Magical Quest con Topolino, The (Italy)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest con Topolino, The (Italy)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestconTopolinoTheItalyRomInfo, rMagicalQuestconTopolinoTheItalyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheEuropeRev1RomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (Europe) (Rev 1).sfc",          1048576, 0xd5caf96a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheEuropeRev1)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheEuropeRev1)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheEuropeRev1 = {
	"Magical Quest Starring Mickey Mouse, The (Europe) (Rev 1)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheEuropeRev1RomInfo, rMagicalQuestStarringMickeyMouseTheEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheEuropeRomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (Europe).sfc",          1048576, 0x51a7d63c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheEurope)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheEurope)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheEurope = {
	"Magical Quest Starring Mickey Mouse, The (Europe)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheEuropeRomInfo, rMagicalQuestStarringMickeyMouseTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheGermanyRev1RomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (Germany) (Rev 1).sfc",          1048576, 0xe295009f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheGermanyRev1)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheGermanyRev1)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheGermanyRev1 = {
	"Magical Quest Starring Mickey Mouse, The (Germany) (Rev 1)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (Germany) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (Germany) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheGermanyRev1RomInfo, rMagicalQuestStarringMickeyMouseTheGermanyRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheGermanyRomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (Germany).sfc",          1048576, 0x57d5f20b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheGermany)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheGermany)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheGermany = {
	"Magical Quest Starring Mickey Mouse, The (Germany)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheGermanyRomInfo, rMagicalQuestStarringMickeyMouseTheGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheUSABetaRomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (USA) (Beta).sfc",          1048576, 0xaca9f18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheUSABeta)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheUSABeta)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheUSABeta = {
	"Magical Quest Starring Mickey Mouse, The (USA) (Beta)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheUSABetaRomInfo, rMagicalQuestStarringMickeyMouseTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalQuestStarringMickeyMouseTheUSARomDesc[] = {
	{ "Magical Quest Starring Mickey Mouse, The (USA).sfc",          1048576, 0x10874c70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalQuestStarringMickeyMouseTheUSA)
STD_ROM_FN(rMagicalQuestStarringMickeyMouseTheUSA)

struct BurnDriver BurnDrvrMagicalQuestStarringMickeyMouseTheUSA = {
	"Magical Quest Starring Mickey Mouse, The (USA)", NULL, NULL, "1986",
	"Magical Quest Starring Mickey Mouse, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Quest Starring Mickey Mouse, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalQuestStarringMickeyMouseTheUSARomInfo, rMagicalQuestStarringMickeyMouseTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagicalTaruruutokunMagicAdventureJapanRomDesc[] = {
	{ "Magical Taruruuto-kun - Magic Adventure (Japan).sfc",          524288, 0x5f863463, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagicalTaruruutokunMagicAdventureJapan)
STD_ROM_FN(rMagicalTaruruutokunMagicAdventureJapan)

struct BurnDriver BurnDrvrMagicalTaruruutokunMagicAdventureJapan = {
	"Magical Taruruuto-kun - Magic Adventure (Japan)", NULL, NULL, "1986",
	"Magical Taruruuto-kun - Magic Adventure (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magical Taruruuto-kun - Magic Adventure (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagicalTaruruutokunMagicAdventureJapanRomInfo, rMagicalTaruruutokunMagicAdventureJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMagnaBrabanHenrekinoYuushaJapanRomDesc[] = {
	{ "Magna Braban - Henreki no Yuusha (Japan).sfc",          1572864, 0x5f86ada5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMagnaBrabanHenrekinoYuushaJapan)
STD_ROM_FN(rMagnaBrabanHenrekinoYuushaJapan)

struct BurnDriver BurnDrvrMagnaBrabanHenrekinoYuushaJapan = {
	"Magna Braban - Henreki no Yuusha (Japan)", NULL, NULL, "1986",
	"Magna Braban - Henreki no Yuusha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Magna Braban - Henreki no Yuusha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMagnaBrabanHenrekinoYuushaJapanRomInfo, rMagnaBrabanHenrekinoYuushaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongClubJapanRomDesc[] = {
	{ "Mahjong Club (Japan).sfc",          262144, 0x1d8748fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongClubJapan)
STD_ROM_FN(rMahjongClubJapan)

struct BurnDriver BurnDrvrMahjongClubJapan = {
	"Mahjong Club (Japan)", NULL, NULL, "1986",
	"Mahjong Club (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Club (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongClubJapanRomInfo, rMahjongClubJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongGokuuTenjikuJapanRomDesc[] = {
	{ "Mahjong Gokuu Tenjiku (Japan).sfc",          524288, 0xee50159a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongGokuuTenjikuJapan)
STD_ROM_FN(rMahjongGokuuTenjikuJapan)

struct BurnDriver BurnDrvrMahjongGokuuTenjikuJapan = {
	"Mahjong Gokuu Tenjiku (Japan)", NULL, NULL, "1986",
	"Mahjong Gokuu Tenjiku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Gokuu Tenjiku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongGokuuTenjikuJapanRomInfo, rMahjongGokuuTenjikuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongHanjoukiJapanRomDesc[] = {
	{ "Mahjong Hanjouki (Japan).sfc",          524288, 0x8a9d74f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongHanjoukiJapan)
STD_ROM_FN(rMahjongHanjoukiJapan)

struct BurnDriver BurnDrvrMahjongHanjoukiJapan = {
	"Mahjong Hanjouki (Japan)", NULL, NULL, "1986",
	"Mahjong Hanjouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Hanjouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongHanjoukiJapanRomInfo, rMahjongHanjoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongHishoudenShinNakinoRyuuJapanRomDesc[] = {
	{ "Mahjong Hishouden - Shin Naki no Ryuu (Japan).sfc",          1048576, 0x66fbe563, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongHishoudenShinNakinoRyuuJapan)
STD_ROM_FN(rMahjongHishoudenShinNakinoRyuuJapan)

struct BurnDriver BurnDrvrMahjongHishoudenShinNakinoRyuuJapan = {
	"Mahjong Hishouden - Shin Naki no Ryuu (Japan)", NULL, NULL, "1986",
	"Mahjong Hishouden - Shin Naki no Ryuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Hishouden - Shin Naki no Ryuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongHishoudenShinNakinoRyuuJapanRomInfo, rMahjongHishoudenShinNakinoRyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongSengokuMonogatariJapanRomDesc[] = {
	{ "Mahjong Sengoku Monogatari (Japan).sfc",          1048576, 0x2e89db51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongSengokuMonogatariJapan)
STD_ROM_FN(rMahjongSengokuMonogatariJapan)

struct BurnDriver BurnDrvrMahjongSengokuMonogatariJapan = {
	"Mahjong Sengoku Monogatari (Japan)", NULL, NULL, "1986",
	"Mahjong Sengoku Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Sengoku Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongSengokuMonogatariJapanRomInfo, rMahjongSengokuMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongTaikaiIIJapanRomDesc[] = {
	{ "Mahjong Taikai II (Japan).sfc",          1048576, 0x19f7288c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongTaikaiIIJapan)
STD_ROM_FN(rMahjongTaikaiIIJapan)

struct BurnDriver BurnDrvrMahjongTaikaiIIJapan = {
	"Mahjong Taikai II (Japan)", NULL, NULL, "1986",
	"Mahjong Taikai II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Taikai II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongTaikaiIIJapanRomInfo, rMahjongTaikaiIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahjongTouhaidenTheJapanRomDesc[] = {
	{ "Mahjong Touhaiden, The (Japan).sfc",          1048576, 0xbf355ded, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahjongTouhaidenTheJapan)
STD_ROM_FN(rMahjongTouhaidenTheJapan)

struct BurnDriver BurnDrvrMahjongTouhaidenTheJapan = {
	"Mahjong Touhaiden, The (Japan)", NULL, NULL, "1986",
	"Mahjong Touhaiden, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahjong Touhaiden, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahjongTouhaidenTheJapanRomInfo, rMahjongTouhaidenTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahouPoiPoiPoittoJapanRomDesc[] = {
	{ "Mahou Poi Poi Poitto! (Japan).sfc",          1048576, 0xbdf35044, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahouPoiPoiPoittoJapan)
STD_ROM_FN(rMahouPoiPoiPoittoJapan)

struct BurnDriver BurnDrvrMahouPoiPoiPoittoJapan = {
	"Mahou Poi Poi Poitto! (Japan)", NULL, NULL, "1986",
	"Mahou Poi Poi Poitto! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahou Poi Poi Poitto! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahouPoiPoiPoittoJapanRomInfo, rMahouPoiPoiPoittoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahoujinGuruguruJapanRomDesc[] = {
	{ "Mahoujin Guruguru (Japan).sfc",          2097152, 0x46b9f6d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahoujinGuruguruJapan)
STD_ROM_FN(rMahoujinGuruguruJapan)

struct BurnDriver BurnDrvrMahoujinGuruguruJapan = {
	"Mahoujin Guruguru (Japan)", NULL, NULL, "1986",
	"Mahoujin Guruguru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahoujin Guruguru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahoujinGuruguruJapanRomInfo, rMahoujinGuruguruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMahoujinGuruguru2JapanRomDesc[] = {
	{ "Mahoujin Guruguru 2 (Japan).sfc",          3145728, 0x5897d86e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMahoujinGuruguru2Japan)
STD_ROM_FN(rMahoujinGuruguru2Japan)

struct BurnDriver BurnDrvrMahoujinGuruguru2Japan = {
	"Mahoujin Guruguru 2 (Japan)", NULL, NULL, "1986",
	"Mahoujin Guruguru 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mahoujin Guruguru 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMahoujinGuruguru2JapanRomInfo, rMahoujinGuruguru2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMajinTenseiJapanRev1RomDesc[] = {
	{ "Majin Tensei (Japan) (Rev 1).sfc",          1572864, 0x9743e190, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMajinTenseiJapanRev1)
STD_ROM_FN(rMajinTenseiJapanRev1)

struct BurnDriver BurnDrvrMajinTenseiJapanRev1 = {
	"Majin Tensei (Japan) (Rev 1)", NULL, NULL, "1986",
	"Majin Tensei (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Majin Tensei (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMajinTenseiJapanRev1RomInfo, rMajinTenseiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMajinTenseiJapanRev2RomDesc[] = {
	{ "Majin Tensei (Japan) (Rev 2).sfc",          1572864, 0x5415b5e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMajinTenseiJapanRev2)
STD_ROM_FN(rMajinTenseiJapanRev2)

struct BurnDriver BurnDrvrMajinTenseiJapanRev2 = {
	"Majin Tensei (Japan) (Rev 2)", NULL, NULL, "1986",
	"Majin Tensei (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Majin Tensei (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMajinTenseiJapanRev2RomInfo, rMajinTenseiJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMajinTenseiJapanRomDesc[] = {
	{ "Majin Tensei (Japan).sfc",          1572864, 0xc1b5d46a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMajinTenseiJapan)
STD_ROM_FN(rMajinTenseiJapan)

struct BurnDriver BurnDrvrMajinTenseiJapan = {
	"Majin Tensei (Japan)", NULL, NULL, "1986",
	"Majin Tensei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Majin Tensei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMajinTenseiJapanRomInfo, rMajinTenseiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMajinTenseiIISpiralNemesisJapanRomDesc[] = {
	{ "Majin Tensei II - Spiral Nemesis (Japan).sfc",          3145728, 0x31b2b1b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMajinTenseiIISpiralNemesisJapan)
STD_ROM_FN(rMajinTenseiIISpiralNemesisJapan)

struct BurnDriver BurnDrvrMajinTenseiIISpiralNemesisJapan = {
	"Majin Tensei II - Spiral Nemesis (Japan)", NULL, NULL, "1986",
	"Majin Tensei II - Spiral Nemesis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Majin Tensei II - Spiral Nemesis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMajinTenseiIISpiralNemesisJapanRomInfo, rMajinTenseiIISpiralNemesisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMajuuOuJapanRomDesc[] = {
	{ "Majuu Ou (Japan).sfc",          1572864, 0x4737370b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMajuuOuJapan)
STD_ROM_FN(rMajuuOuJapan)

struct BurnDriver BurnDrvrMajuuOuJapan = {
	"Majuu Ou (Japan)", NULL, NULL, "1986",
	"Majuu Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Majuu Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMajuuOuJapanRomInfo, rMajuuOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMakaMakaJapanRomDesc[] = {
	{ "Maka Maka (Japan).sfc",          1048576, 0xe8e7904f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMakaMakaJapan)
STD_ROM_FN(rMakaMakaJapan)

struct BurnDriver BurnDrvrMakaMakaJapan = {
	"Maka Maka (Japan)", NULL, NULL, "1986",
	"Maka Maka (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Maka Maka (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMakaMakaJapanRomInfo, rMakaMakaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMakerunaMakendouJapanRomDesc[] = {
	{ "Makeruna! Makendou (Japan).sfc",          1048576, 0xbb95bc9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMakerunaMakendouJapan)
STD_ROM_FN(rMakerunaMakendouJapan)

struct BurnDriver BurnDrvrMakerunaMakendouJapan = {
	"Makeruna! Makendou (Japan)", NULL, NULL, "1986",
	"Makeruna! Makendou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Makeruna! Makendou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMakerunaMakendouJapanRomInfo, rMakerunaMakendouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMakerunaMakendou2KimeroYoukaiSouridaijinJapanRomDesc[] = {
	{ "Makeruna! Makendou 2 - Kimero! Youkai Souridaijin (Japan).sfc",          2097152, 0xa20fbb88, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMakerunaMakendou2KimeroYoukaiSouridaijinJapan)
STD_ROM_FN(rMakerunaMakendou2KimeroYoukaiSouridaijinJapan)

struct BurnDriver BurnDrvrMakerunaMakendou2KimeroYoukaiSouridaijinJapan = {
	"Makeruna! Makendou 2 - Kimero! Youkai Souridaijin (Japan)", NULL, NULL, "1986",
	"Makeruna! Makendou 2 - Kimero! Youkai Souridaijin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Makeruna! Makendou 2 - Kimero! Youkai Souridaijin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMakerunaMakendou2KimeroYoukaiSouridaijinJapanRomInfo, rMakerunaMakendou2KimeroYoukaiSouridaijinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rManchesterUnitedChampionshipSoccerEuropeBetaRomDesc[] = {
	{ "Manchester United Championship Soccer (Europe) (Beta).sfc",          1048576, 0x8b3fa5d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rManchesterUnitedChampionshipSoccerEuropeBeta)
STD_ROM_FN(rManchesterUnitedChampionshipSoccerEuropeBeta)

struct BurnDriver BurnDrvrManchesterUnitedChampionshipSoccerEuropeBeta = {
	"Manchester United Championship Soccer (Europe) (Beta)", NULL, NULL, "1986",
	"Manchester United Championship Soccer (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Manchester United Championship Soccer (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rManchesterUnitedChampionshipSoccerEuropeBetaRomInfo, rManchesterUnitedChampionshipSoccerEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rManchesterUnitedChampionshipSoccerEuropeRomDesc[] = {
	{ "Manchester United Championship Soccer (Europe).sfc",          1048576, 0x8d2596a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rManchesterUnitedChampionshipSoccerEurope)
STD_ROM_FN(rManchesterUnitedChampionshipSoccerEurope)

struct BurnDriver BurnDrvrManchesterUnitedChampionshipSoccerEurope = {
	"Manchester United Championship Soccer (Europe)", NULL, NULL, "1986",
	"Manchester United Championship Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Manchester United Championship Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rManchesterUnitedChampionshipSoccerEuropeRomInfo, rManchesterUnitedChampionshipSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioIsMissingEuropeRomDesc[] = {
	{ "Mario Is Missing! (Europe).sfc",          1048576, 0x5e04efb5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioIsMissingEurope)
STD_ROM_FN(rMarioIsMissingEurope)

struct BurnDriver BurnDrvrMarioIsMissingEurope = {
	"Mario Is Missing! (Europe)", NULL, NULL, "1986",
	"Mario Is Missing! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Is Missing! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioIsMissingEuropeRomInfo, rMarioIsMissingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioIsMissingFranceRomDesc[] = {
	{ "Mario Is Missing! (France).sfc",          1048576, 0x2ec7c6fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioIsMissingFrance)
STD_ROM_FN(rMarioIsMissingFrance)

struct BurnDriver BurnDrvrMarioIsMissingFrance = {
	"Mario Is Missing! (France)", NULL, NULL, "1986",
	"Mario Is Missing! (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Is Missing! (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioIsMissingFranceRomInfo, rMarioIsMissingFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioIsMissingGermanyRomDesc[] = {
	{ "Mario Is Missing! (Germany).sfc",          1048576, 0xf6f739a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioIsMissingGermany)
STD_ROM_FN(rMarioIsMissingGermany)

struct BurnDriver BurnDrvrMarioIsMissingGermany = {
	"Mario Is Missing! (Germany)", NULL, NULL, "1986",
	"Mario Is Missing! (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Is Missing! (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioIsMissingGermanyRomInfo, rMarioIsMissingGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioIsMissingUSARomDesc[] = {
	{ "Mario Is Missing! (USA).sfc",          1048576, 0xe51a3fcd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioIsMissingUSA)
STD_ROM_FN(rMarioIsMissingUSA)

struct BurnDriver BurnDrvrMarioIsMissingUSA = {
	"Mario Is Missing! (USA)", NULL, NULL, "1986",
	"Mario Is Missing! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Is Missing! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioIsMissingUSARomInfo, rMarioIsMissingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarionoSuperPicrossJapanRomDesc[] = {
	{ "Mario no Super Picross (Japan).sfc",          1048576, 0xf64c5aa0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarionoSuperPicrossJapan)
STD_ROM_FN(rMarionoSuperPicrossJapan)

struct BurnDriver BurnDrvrMarionoSuperPicrossJapan = {
	"Mario no Super Picross (Japan)", NULL, NULL, "1986",
	"Mario no Super Picross (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario no Super Picross (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarionoSuperPicrossJapanRomInfo, rMarionoSuperPicrossJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioPaintEuropeRomDesc[] = {
	{ "Mario Paint (Europe).sfc",          1048576, 0x266b220e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioPaintEurope)
STD_ROM_FN(rMarioPaintEurope)

struct BurnDriver BurnDrvrMarioPaintEurope = {
	"Mario Paint (Europe)", NULL, NULL, "1986",
	"Mario Paint (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Paint (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioPaintEuropeRomInfo, rMarioPaintEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioPaintJapanUSARomDesc[] = {
	{ "Mario Paint (Japan, USA).sfc",          1048576, 0x38c9626c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioPaintJapanUSA)
STD_ROM_FN(rMarioPaintJapanUSA)

struct BurnDriver BurnDrvrMarioPaintJapanUSA = {
	"Mario Paint (Japan, USA)", NULL, NULL, "1986",
	"Mario Paint (Japan, USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Paint (Japan, USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioPaintJapanUSARomInfo, rMarioPaintJapanUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioPaintBSBanJapanBSRomDesc[] = {
	{ "Mario Paint - BS Ban (Japan) (BS).sfc",          1048576, 0x4049e234, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioPaintBSBanJapanBS)
STD_ROM_FN(rMarioPaintBSBanJapanBS)

struct BurnDriver BurnDrvrMarioPaintBSBanJapanBS = {
	"Mario Paint - BS Ban (Japan) (BS)", NULL, NULL, "1986",
	"Mario Paint - BS Ban (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Paint - BS Ban (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioPaintBSBanJapanBSRomInfo, rMarioPaintBSBanJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarioPaintYuushouNaizouBanJapanBSRomDesc[] = {
	{ "Mario Paint - Yuushou Naizou Ban (Japan) (BS).sfc",          1048576, 0x91cae9e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarioPaintYuushouNaizouBanJapanBS)
STD_ROM_FN(rMarioPaintYuushouNaizouBanJapanBS)

struct BurnDriver BurnDrvrMarioPaintYuushouNaizouBanJapanBS = {
	"Mario Paint - Yuushou Naizou Ban (Japan) (BS)", NULL, NULL, "1986",
	"Mario Paint - Yuushou Naizou Ban (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario Paint - Yuushou Naizou Ban (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarioPaintYuushouNaizouBanJapanBSRomInfo, rMarioPaintYuushouNaizouBanJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariotoWarioJapanRomDesc[] = {
	{ "Mario to Wario (Japan).sfc",          1048576, 0xc6695e34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariotoWarioJapan)
STD_ROM_FN(rMariotoWarioJapan)

struct BurnDriver BurnDrvrMariotoWarioJapan = {
	"Mario to Wario (Japan)", NULL, NULL, "1986",
	"Mario to Wario (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario to Wario (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariotoWarioJapanRomInfo, rMariotoWarioJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosEarlyYearsFunwithLettersUSARomDesc[] = {
	{ "Mario's Early Years! - Fun with Letters (USA).sfc",          1048576, 0x480b043a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosEarlyYearsFunwithLettersUSA)
STD_ROM_FN(rMariosEarlyYearsFunwithLettersUSA)

struct BurnDriver BurnDrvrMariosEarlyYearsFunwithLettersUSA = {
	"Mario's Early Years! - Fun with Letters (USA)", NULL, NULL, "1986",
	"Mario's Early Years! - Fun with Letters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Early Years! - Fun with Letters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosEarlyYearsFunwithLettersUSARomInfo, rMariosEarlyYearsFunwithLettersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosEarlyYearsFunwithNumbersUSARomDesc[] = {
	{ "Mario's Early Years! - Fun with Numbers (USA).sfc",          1048576, 0x8c0c37f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosEarlyYearsFunwithNumbersUSA)
STD_ROM_FN(rMariosEarlyYearsFunwithNumbersUSA)

struct BurnDriver BurnDrvrMariosEarlyYearsFunwithNumbersUSA = {
	"Mario's Early Years! - Fun with Numbers (USA)", NULL, NULL, "1986",
	"Mario's Early Years! - Fun with Numbers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Early Years! - Fun with Numbers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosEarlyYearsFunwithNumbersUSARomInfo, rMariosEarlyYearsFunwithNumbersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosEarlyYearsPreschoolFunUSARomDesc[] = {
	{ "Mario's Early Years! - Preschool Fun (USA).sfc",          1048576, 0x85a6b2a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosEarlyYearsPreschoolFunUSA)
STD_ROM_FN(rMariosEarlyYearsPreschoolFunUSA)

struct BurnDriver BurnDrvrMariosEarlyYearsPreschoolFunUSA = {
	"Mario's Early Years! - Preschool Fun (USA)", NULL, NULL, "1986",
	"Mario's Early Years! - Preschool Fun (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Early Years! - Preschool Fun (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosEarlyYearsPreschoolFunUSARomInfo, rMariosEarlyYearsPreschoolFunUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosTimeMachineEuropeRomDesc[] = {
	{ "Mario's Time Machine (Europe).sfc",          1048576, 0x9c7cf22d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosTimeMachineEurope)
STD_ROM_FN(rMariosTimeMachineEurope)

struct BurnDriver BurnDrvrMariosTimeMachineEurope = {
	"Mario's Time Machine (Europe)", NULL, NULL, "1986",
	"Mario's Time Machine (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Time Machine (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosTimeMachineEuropeRomInfo, rMariosTimeMachineEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosTimeMachineGermanyRomDesc[] = {
	{ "Mario's Time Machine (Germany).sfc",          1048576, 0x1d5a48d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosTimeMachineGermany)
STD_ROM_FN(rMariosTimeMachineGermany)

struct BurnDriver BurnDrvrMariosTimeMachineGermany = {
	"Mario's Time Machine (Germany)", NULL, NULL, "1986",
	"Mario's Time Machine (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Time Machine (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosTimeMachineGermanyRomInfo, rMariosTimeMachineGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMariosTimeMachineUSARomDesc[] = {
	{ "Mario's Time Machine (USA).sfc",          1048576, 0x5e7397e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMariosTimeMachineUSA)
STD_ROM_FN(rMariosTimeMachineUSA)

struct BurnDriver BurnDrvrMariosTimeMachineUSA = {
	"Mario's Time Machine (USA)", NULL, NULL, "1986",
	"Mario's Time Machine (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mario's Time Machine (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMariosTimeMachineUSARomInfo, rMariosTimeMachineUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarkDavisTheFishingMasterUSARomDesc[] = {
	{ "Mark Davis' The Fishing Master (USA).sfc",          2097152, 0x22a109b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarkDavisTheFishingMasterUSA)
STD_ROM_FN(rMarkDavisTheFishingMasterUSA)

struct BurnDriver BurnDrvrMarkDavisTheFishingMasterUSA = {
	"Mark Davis' The Fishing Master (USA)", NULL, NULL, "1986",
	"Mark Davis' The Fishing Master (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mark Davis' The Fishing Master (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarkDavisTheFishingMasterUSARomInfo, rMarkDavisTheFishingMasterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarkosMagicFootballEuropeEnFrDeEsRomDesc[] = {
	{ "Marko's Magic Football (Europe) (En,Fr,De,Es).sfc",          2097152, 0x4824a630, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarkosMagicFootballEuropeEnFrDeEs)
STD_ROM_FN(rMarkosMagicFootballEuropeEnFrDeEs)

struct BurnDriver BurnDrvrMarkosMagicFootballEuropeEnFrDeEs = {
	"Marko's Magic Football (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Marko's Magic Football (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marko's Magic Football (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarkosMagicFootballEuropeEnFrDeEsRomInfo, rMarkosMagicFootballEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarmaladeBoyJapanRomDesc[] = {
	{ "Marmalade Boy (Japan).sfc",          1048576, 0x5299b3a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarmaladeBoyJapan)
STD_ROM_FN(rMarmaladeBoyJapan)

struct BurnDriver BurnDrvrMarmaladeBoyJapan = {
	"Marmalade Boy (Japan)", NULL, NULL, "1986",
	"Marmalade Boy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marmalade Boy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarmaladeBoyJapanRomInfo, rMarmaladeBoyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarvelSuperHeroesWaroftheGemsEuropeRomDesc[] = {
	{ "Marvel Super Heroes - War of the Gems (Europe).sfc",          2097152, 0xac0f2c23, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarvelSuperHeroesWaroftheGemsEurope)
STD_ROM_FN(rMarvelSuperHeroesWaroftheGemsEurope)

struct BurnDriver BurnDrvrMarvelSuperHeroesWaroftheGemsEurope = {
	"Marvel Super Heroes - War of the Gems (Europe)", NULL, NULL, "1986",
	"Marvel Super Heroes - War of the Gems (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marvel Super Heroes - War of the Gems (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarvelSuperHeroesWaroftheGemsEuropeRomInfo, rMarvelSuperHeroesWaroftheGemsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarvelSuperHeroesWaroftheGemsJapanRomDesc[] = {
	{ "Marvel Super Heroes - War of the Gems (Japan).sfc",          2097152, 0xab628c0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarvelSuperHeroesWaroftheGemsJapan)
STD_ROM_FN(rMarvelSuperHeroesWaroftheGemsJapan)

struct BurnDriver BurnDrvrMarvelSuperHeroesWaroftheGemsJapan = {
	"Marvel Super Heroes - War of the Gems (Japan)", NULL, NULL, "1986",
	"Marvel Super Heroes - War of the Gems (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marvel Super Heroes - War of the Gems (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarvelSuperHeroesWaroftheGemsJapanRomInfo, rMarvelSuperHeroesWaroftheGemsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarvelSuperHeroesWaroftheGemsUSABetaRomDesc[] = {
	{ "Marvel Super Heroes - War of the Gems (USA) (Beta).sfc",          2097152, 0xe86cfe8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarvelSuperHeroesWaroftheGemsUSABeta)
STD_ROM_FN(rMarvelSuperHeroesWaroftheGemsUSABeta)

struct BurnDriver BurnDrvrMarvelSuperHeroesWaroftheGemsUSABeta = {
	"Marvel Super Heroes - War of the Gems (USA) (Beta)", NULL, NULL, "1986",
	"Marvel Super Heroes - War of the Gems (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marvel Super Heroes - War of the Gems (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarvelSuperHeroesWaroftheGemsUSABetaRomInfo, rMarvelSuperHeroesWaroftheGemsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarvelSuperHeroesWaroftheGemsUSARomDesc[] = {
	{ "Marvel Super Heroes - War of the Gems (USA).sfc",          2097152, 0xaf56e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarvelSuperHeroesWaroftheGemsUSA)
STD_ROM_FN(rMarvelSuperHeroesWaroftheGemsUSA)

struct BurnDriver BurnDrvrMarvelSuperHeroesWaroftheGemsUSA = {
	"Marvel Super Heroes - War of the Gems (USA)", NULL, NULL, "1986",
	"Marvel Super Heroes - War of the Gems (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marvel Super Heroes - War of the Gems (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarvelSuperHeroesWaroftheGemsUSARomInfo, rMarvelSuperHeroesWaroftheGemsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMarvelousMouhitotsunoTakarajimaJapanRomDesc[] = {
	{ "Marvelous - Mouhitotsu no Takara-jima (Japan).sfc",          3145728, 0xcedf3ba7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMarvelousMouhitotsunoTakarajimaJapan)
STD_ROM_FN(rMarvelousMouhitotsunoTakarajimaJapan)

struct BurnDriver BurnDrvrMarvelousMouhitotsunoTakarajimaJapan = {
	"Marvelous - Mouhitotsu no Takara-jima (Japan)", NULL, NULL, "1986",
	"Marvelous - Mouhitotsu no Takara-jima (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Marvelous - Mouhitotsu no Takara-jima (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMarvelousMouhitotsunoTakarajimaJapanRomInfo, rMarvelousMouhitotsunoTakarajimaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaryShelleysFrankensteinUSABetaRomDesc[] = {
	{ "Mary Shelley's Frankenstein (USA) (Beta).sfc",          2097152, 0x22e1403f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaryShelleysFrankensteinUSABeta)
STD_ROM_FN(rMaryShelleysFrankensteinUSABeta)

struct BurnDriver BurnDrvrMaryShelleysFrankensteinUSABeta = {
	"Mary Shelley's Frankenstein (USA) (Beta)", NULL, NULL, "1986",
	"Mary Shelley's Frankenstein (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mary Shelley's Frankenstein (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaryShelleysFrankensteinUSABetaRomInfo, rMaryShelleysFrankensteinUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaryShelleysFrankensteinUSARomDesc[] = {
	{ "Mary Shelley's Frankenstein (USA).sfc",          2097152, 0x91415d1e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaryShelleysFrankensteinUSA)
STD_ROM_FN(rMaryShelleysFrankensteinUSA)

struct BurnDriver BurnDrvrMaryShelleysFrankensteinUSA = {
	"Mary Shelley's Frankenstein (USA)", NULL, NULL, "1986",
	"Mary Shelley's Frankenstein (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mary Shelley's Frankenstein (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaryShelleysFrankensteinUSARomInfo, rMaryShelleysFrankensteinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaskTheEuropeRomDesc[] = {
	{ "Mask, The (Europe).sfc",          2097152, 0xa5f6839a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaskTheEurope)
STD_ROM_FN(rMaskTheEurope)

struct BurnDriver BurnDrvrMaskTheEurope = {
	"Mask, The (Europe)", NULL, NULL, "1986",
	"Mask, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mask, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaskTheEuropeRomInfo, rMaskTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaskTheJapanRomDesc[] = {
	{ "Mask, The (Japan).sfc",          2097152, 0xe91bb876, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaskTheJapan)
STD_ROM_FN(rMaskTheJapan)

struct BurnDriver BurnDrvrMaskTheJapan = {
	"Mask, The (Japan)", NULL, NULL, "1986",
	"Mask, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mask, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaskTheJapanRomInfo, rMaskTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaskTheUSABetaRomDesc[] = {
	{ "Mask, The (USA) (Beta).sfc",          2097152, 0xcf727f64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaskTheUSABeta)
STD_ROM_FN(rMaskTheUSABeta)

struct BurnDriver BurnDrvrMaskTheUSABeta = {
	"Mask, The (USA) (Beta)", NULL, NULL, "1986",
	"Mask, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mask, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaskTheUSABetaRomInfo, rMaskTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMaskTheUSARomDesc[] = {
	{ "Mask, The (USA).sfc",          2097152, 0xe17626e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMaskTheUSA)
STD_ROM_FN(rMaskTheUSA)

struct BurnDriver BurnDrvrMaskTheUSA = {
	"Mask, The (USA)", NULL, NULL, "1986",
	"Mask, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mask, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMaskTheUSARomInfo, rMaskTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMastersHarukanaruAugusta2JapanRomDesc[] = {
	{ "Masters - Harukanaru Augusta 2 (Japan).sfc",          1572864, 0xd6227d35, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMastersHarukanaruAugusta2Japan)
STD_ROM_FN(rMastersHarukanaruAugusta2Japan)

struct BurnDriver BurnDrvrMastersHarukanaruAugusta2Japan = {
	"Masters - Harukanaru Augusta 2 (Japan)", NULL, NULL, "1986",
	"Masters - Harukanaru Augusta 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Masters - Harukanaru Augusta 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMastersHarukanaruAugusta2JapanRomInfo, rMastersHarukanaruAugusta2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMastersNewHarukanaruAugusta3JapanRev1RomDesc[] = {
	{ "Masters New - Harukanaru Augusta 3 (Japan) (Rev 1).sfc",          2097152, 0xc1281f9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMastersNewHarukanaruAugusta3JapanRev1)
STD_ROM_FN(rMastersNewHarukanaruAugusta3JapanRev1)

struct BurnDriver BurnDrvrMastersNewHarukanaruAugusta3JapanRev1 = {
	"Masters New - Harukanaru Augusta 3 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Masters New - Harukanaru Augusta 3 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Masters New - Harukanaru Augusta 3 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMastersNewHarukanaruAugusta3JapanRev1RomInfo, rMastersNewHarukanaruAugusta3JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMastersNewHarukanaruAugusta3JapanRomDesc[] = {
	{ "Masters New - Harukanaru Augusta 3 (Japan).sfc",          2097152, 0xe5612567, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMastersNewHarukanaruAugusta3Japan)
STD_ROM_FN(rMastersNewHarukanaruAugusta3Japan)

struct BurnDriver BurnDrvrMastersNewHarukanaruAugusta3Japan = {
	"Masters New - Harukanaru Augusta 3 (Japan)", NULL, NULL, "1986",
	"Masters New - Harukanaru Augusta 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Masters New - Harukanaru Augusta 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMastersNewHarukanaruAugusta3JapanRomInfo, rMastersNewHarukanaruAugusta3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMatenDensetsuSenritsunoOopartsJapanRomDesc[] = {
	{ "Maten Densetsu - Senritsu no Ooparts (Japan).sfc",          3145728, 0xf02330f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMatenDensetsuSenritsunoOopartsJapan)
STD_ROM_FN(rMatenDensetsuSenritsunoOopartsJapan)

struct BurnDriver BurnDrvrMatenDensetsuSenritsunoOopartsJapan = {
	"Maten Densetsu - Senritsu no Ooparts (Japan)", NULL, NULL, "1986",
	"Maten Densetsu - Senritsu no Ooparts (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Maten Densetsu - Senritsu no Ooparts (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMatenDensetsuSenritsunoOopartsJapanRomInfo, rMatenDensetsuSenritsunoOopartsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMathBlasterEpisode1USARomDesc[] = {
	{ "Math Blaster - Episode 1 (USA).sfc",          1048576, 0x4c4e5f4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMathBlasterEpisode1USA)
STD_ROM_FN(rMathBlasterEpisode1USA)

struct BurnDriver BurnDrvrMathBlasterEpisode1USA = {
	"Math Blaster - Episode 1 (USA)", NULL, NULL, "1986",
	"Math Blaster - Episode 1 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Math Blaster - Episode 1 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMathBlasterEpisode1USARomInfo, rMathBlasterEpisode1USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMatsukataHirokinoSuperTrawlingJapanRomDesc[] = {
	{ "Matsukata Hiroki no Super Trawling (Japan).sfc",          2097152, 0x2d0f0f92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMatsukataHirokinoSuperTrawlingJapan)
STD_ROM_FN(rMatsukataHirokinoSuperTrawlingJapan)

struct BurnDriver BurnDrvrMatsukataHirokinoSuperTrawlingJapan = {
	"Matsukata Hiroki no Super Trawling (Japan)", NULL, NULL, "1986",
	"Matsukata Hiroki no Super Trawling (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Matsukata Hiroki no Super Trawling (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMatsukataHirokinoSuperTrawlingJapanRomInfo, rMatsukataHirokinoSuperTrawlingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapanRomDesc[] = {
	{ "Matsumura Kunihiro Den - Saikyou no Rekishi o Nurikaero! (Japan).sfc",          3145728, 0x8f3da172, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapan)
STD_ROM_FN(rMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapan)

struct BurnDriver BurnDrvrMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapan = {
	"Matsumura Kunihiro Den - Saikyou no Rekishi o Nurikaero! (Japan)", NULL, NULL, "1986",
	"Matsumura Kunihiro Den - Saikyou no Rekishi o Nurikaero! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Matsumura Kunihiro Den - Saikyou no Rekishi o Nurikaero! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapanRomInfo, rMatsumuraKunihiroDenSaikyounoRekishioNurikaeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMauiMallardinColdShadowUSARomDesc[] = {
	{ "Maui Mallard in Cold Shadow (USA).sfc",          3145728, 0x2d3b9662, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMauiMallardinColdShadowUSA)
STD_ROM_FN(rMauiMallardinColdShadowUSA)

struct BurnDriver BurnDrvrMauiMallardinColdShadowUSA = {
	"Maui Mallard in Cold Shadow (USA)", NULL, NULL, "1986",
	"Maui Mallard in Cold Shadow (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Maui Mallard in Cold Shadow (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMauiMallardinColdShadowUSARomInfo, rMauiMallardinColdShadowUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMazingerZJapanAlt1bRomDesc[] = {
	{ "Mazinger Z (Japan) (Alt 1) [b].sfc",          1048576, 0x202b3738, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMazingerZJapanAlt1b)
STD_ROM_FN(rMazingerZJapanAlt1b)

struct BurnDriver BurnDrvrMazingerZJapanAlt1b = {
	"Mazinger Z (Japan) (Alt 1) [b]", NULL, NULL, "1986",
	"Mazinger Z (Japan) (Alt 1) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Mazinger Z (Japan) (Alt 1) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMazingerZJapanAlt1bRomInfo, rMazingerZJapanAlt1bRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMazingerZJapanbRomDesc[] = {
	{ "Mazinger Z (Japan) [b].sfc",          1048576, 0xca42e604, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMazingerZJapanb)
STD_ROM_FN(rMazingerZJapanb)

struct BurnDriver BurnDrvrMazingerZJapanb = {
	"Mazinger Z (Japan) [b]", NULL, NULL, "1986",
	"Mazinger Z (Japan) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Mazinger Z (Japan) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMazingerZJapanbRomInfo, rMazingerZJapanbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMecarobotGolfUSARomDesc[] = {
	{ "Mecarobot Golf (USA).sfc",          1048576, 0x82ceee3a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMecarobotGolfUSA)
STD_ROM_FN(rMecarobotGolfUSA)

struct BurnDriver BurnDrvrMecarobotGolfUSA = {
	"Mecarobot Golf (USA)", NULL, NULL, "1986",
	"Mecarobot Golf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mecarobot Golf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMecarobotGolfUSARomInfo, rMecarobotGolfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarriorEuropeRomDesc[] = {
	{ "MechWarrior (Europe).sfc",          1048576, 0xfba97820, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarriorEurope)
STD_ROM_FN(rMechWarriorEurope)

struct BurnDriver BurnDrvrMechWarriorEurope = {
	"MechWarrior (Europe)", NULL, NULL, "1986",
	"MechWarrior (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarriorEuropeRomInfo, rMechWarriorEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarriorFranceRomDesc[] = {
	{ "MechWarrior (France).sfc",          1048576, 0xde2552ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarriorFrance)
STD_ROM_FN(rMechWarriorFrance)

struct BurnDriver BurnDrvrMechWarriorFrance = {
	"MechWarrior (France)", NULL, NULL, "1986",
	"MechWarrior (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarriorFranceRomInfo, rMechWarriorFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarriorGermanyRomDesc[] = {
	{ "MechWarrior (Germany).sfc",          1048576, 0x503d467a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarriorGermany)
STD_ROM_FN(rMechWarriorGermany)

struct BurnDriver BurnDrvrMechWarriorGermany = {
	"MechWarrior (Germany)", NULL, NULL, "1986",
	"MechWarrior (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarriorGermanyRomInfo, rMechWarriorGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarriorSpainRomDesc[] = {
	{ "MechWarrior (Spain).sfc",          1048576, 0xd713a74f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarriorSpain)
STD_ROM_FN(rMechWarriorSpain)

struct BurnDriver BurnDrvrMechWarriorSpain = {
	"MechWarrior (Spain)", NULL, NULL, "1986",
	"MechWarrior (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarriorSpainRomInfo, rMechWarriorSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarriorUSARomDesc[] = {
	{ "MechWarrior (USA).sfc",          1048576, 0x40b7a858, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarriorUSA)
STD_ROM_FN(rMechWarriorUSA)

struct BurnDriver BurnDrvrMechWarriorUSA = {
	"MechWarrior (USA)", NULL, NULL, "1986",
	"MechWarrior (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarriorUSARomInfo, rMechWarriorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarrior3050EuropeRomDesc[] = {
	{ "MechWarrior 3050 (Europe).sfc",          1572864, 0x4ccc3651, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarrior3050Europe)
STD_ROM_FN(rMechWarrior3050Europe)

struct BurnDriver BurnDrvrMechWarrior3050Europe = {
	"MechWarrior 3050 (Europe)", NULL, NULL, "1986",
	"MechWarrior 3050 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior 3050 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarrior3050EuropeRomInfo, rMechWarrior3050EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMechWarrior3050USARomDesc[] = {
	{ "MechWarrior 3050 (USA).sfc",          1572864, 0xc0acc92d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMechWarrior3050USA)
STD_ROM_FN(rMechWarrior3050USA)

struct BurnDriver BurnDrvrMechWarrior3050USA = {
	"MechWarrior 3050 (USA)", NULL, NULL, "1986",
	"MechWarrior 3050 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"MechWarrior 3050 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMechWarrior3050USARomInfo, rMechWarrior3050USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaloManiaEuropeEnFrDeBetaRomDesc[] = {
	{ "Mega lo Mania (Europe) (En,Fr,De) (Beta).sfc",          1048576, 0x44a9db5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaloManiaEuropeEnFrDeBeta)
STD_ROM_FN(rMegaloManiaEuropeEnFrDeBeta)

struct BurnDriver BurnDrvrMegaloManiaEuropeEnFrDeBeta = {
	"Mega lo Mania (Europe) (En,Fr,De) (Beta)", NULL, NULL, "1986",
	"Mega lo Mania (Europe) (En,Fr,De) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega lo Mania (Europe) (En,Fr,De) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaloManiaEuropeEnFrDeBetaRomInfo, rMegaloManiaEuropeEnFrDeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaloManiaEuropeEnFrDeRomDesc[] = {
	{ "Mega lo Mania (Europe) (En,Fr,De).sfc",          1048576, 0xe8042edf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaloManiaEuropeEnFrDe)
STD_ROM_FN(rMegaloManiaEuropeEnFrDe)

struct BurnDriver BurnDrvrMegaloManiaEuropeEnFrDe = {
	"Mega lo Mania (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Mega lo Mania (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega lo Mania (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaloManiaEuropeEnFrDeRomInfo, rMegaloManiaEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaloManiaJikuuDaisenryakuJapanRomDesc[] = {
	{ "Mega lo Mania - Jikuu Daisenryaku (Japan).sfc",          1048576, 0xf23bc69e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaloManiaJikuuDaisenryakuJapan)
STD_ROM_FN(rMegaloManiaJikuuDaisenryakuJapan)

struct BurnDriver BurnDrvrMegaloManiaJikuuDaisenryakuJapan = {
	"Mega lo Mania - Jikuu Daisenryaku (Japan)", NULL, NULL, "1986",
	"Mega lo Mania - Jikuu Daisenryaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega lo Mania - Jikuu Daisenryaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaloManiaJikuuDaisenryakuJapanRomInfo, rMegaloManiaJikuuDaisenryakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaMan7EuropeRomDesc[] = {
	{ "Mega Man 7 (Europe).sfc",          2097152, 0x3579738, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaMan7Europe)
STD_ROM_FN(rMegaMan7Europe)

struct BurnDriver BurnDrvrMegaMan7Europe = {
	"Mega Man 7 (Europe)", NULL, NULL, "1986",
	"Mega Man 7 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man 7 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaMan7EuropeRomInfo, rMegaMan7EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaMan7USARomDesc[] = {
	{ "Mega Man 7 (USA).sfc",          2097152, 0x2d947536, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaMan7USA)
STD_ROM_FN(rMegaMan7USA)

struct BurnDriver BurnDrvrMegaMan7USA = {
	"Mega Man 7 (USA)", NULL, NULL, "1986",
	"Mega Man 7 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man 7 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaMan7USARomInfo, rMegaMan7USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManSoccerUSARomDesc[] = {
	{ "Mega Man Soccer (USA).sfc",          1310720, 0xfa9ee2ce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManSoccerUSA)
STD_ROM_FN(rMegaManSoccerUSA)

struct BurnDriver BurnDrvrMegaManSoccerUSA = {
	"Mega Man Soccer (USA)", NULL, NULL, "1986",
	"Mega Man Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManSoccerUSARomInfo, rMegaManSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManXEuropeRomDesc[] = {
	{ "Mega Man X (Europe).sfc",          1572864, 0x41965122, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManXEurope)
STD_ROM_FN(rMegaManXEurope)

struct BurnDriver BurnDrvrMegaManXEurope = {
	"Mega Man X (Europe)", NULL, NULL, "1986",
	"Mega Man X (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManXEuropeRomInfo, rMegaManXEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManXUSARev1RomDesc[] = {
	{ "Mega Man X (USA) (Rev 1).sfc",          1572864, 0xded53c64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManXUSARev1)
STD_ROM_FN(rMegaManXUSARev1)

struct BurnDriver BurnDrvrMegaManXUSARev1 = {
	"Mega Man X (USA) (Rev 1)", NULL, NULL, "1986",
	"Mega Man X (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManXUSARev1RomInfo, rMegaManXUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManXUSARomDesc[] = {
	{ "Mega Man X (USA).sfc",          1572864, 0x1033eba4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManXUSA)
STD_ROM_FN(rMegaManXUSA)

struct BurnDriver BurnDrvrMegaManXUSA = {
	"Mega Man X (USA)", NULL, NULL, "1986",
	"Mega Man X (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManXUSARomInfo, rMegaManXUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManX2EuropeRomDesc[] = {
	{ "Mega Man X2 (Europe).sfc",          1572864, 0x3c49c39c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManX2Europe)
STD_ROM_FN(rMegaManX2Europe)

struct BurnDriver BurnDrvrMegaManX2Europe = {
	"Mega Man X2 (Europe)", NULL, NULL, "1986",
	"Mega Man X2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManX2EuropeRomInfo, rMegaManX2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManX2USARomDesc[] = {
	{ "Mega Man X2 (USA).sfc",          1572864, 0x947b0355, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManX2USA)
STD_ROM_FN(rMegaManX2USA)

struct BurnDriver BurnDrvrMegaManX2USA = {
	"Mega Man X2 (USA)", NULL, NULL, "1986",
	"Mega Man X2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManX2USARomInfo, rMegaManX2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManX3EuropeRomDesc[] = {
	{ "Mega Man X3 (Europe).sfc",          2097152, 0xc504ddfd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManX3Europe)
STD_ROM_FN(rMegaManX3Europe)

struct BurnDriver BurnDrvrMegaManX3Europe = {
	"Mega Man X3 (Europe)", NULL, NULL, "1986",
	"Mega Man X3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManX3EuropeRomInfo, rMegaManX3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMegaManX3USARomDesc[] = {
	{ "Mega Man X3 (USA).sfc",          2097152, 0xfa0fe671, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMegaManX3USA)
STD_ROM_FN(rMegaManX3USA)

struct BurnDriver BurnDrvrMegaManX3USA = {
	"Mega Man X3 (USA)", NULL, NULL, "1986",
	"Mega Man X3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mega Man X3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMegaManX3USARomInfo, rMegaManX3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMelfandStoriesJapanRomDesc[] = {
	{ "Melfand Stories (Japan).sfc",          1572864, 0x928fc15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMelfandStoriesJapan)
STD_ROM_FN(rMelfandStoriesJapan)

struct BurnDriver BurnDrvrMelfandStoriesJapan = {
	"Melfand Stories (Japan)", NULL, NULL, "1986",
	"Melfand Stories (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Melfand Stories (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMelfandStoriesJapanRomInfo, rMelfandStoriesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalCombatFalconsRevengeEuropeRomDesc[] = {
	{ "Metal Combat - Falcon's Revenge (Europe).sfc",          2097152, 0xeb0039c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalCombatFalconsRevengeEurope)
STD_ROM_FN(rMetalCombatFalconsRevengeEurope)

struct BurnDriver BurnDrvrMetalCombatFalconsRevengeEurope = {
	"Metal Combat - Falcon's Revenge (Europe)", NULL, NULL, "1986",
	"Metal Combat - Falcon's Revenge (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Combat - Falcon's Revenge (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalCombatFalconsRevengeEuropeRomInfo, rMetalCombatFalconsRevengeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalCombatFalconsRevengeUSARomDesc[] = {
	{ "Metal Combat - Falcon's Revenge (USA).sfc",          2097152, 0xc3131b49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalCombatFalconsRevengeUSA)
STD_ROM_FN(rMetalCombatFalconsRevengeUSA)

struct BurnDriver BurnDrvrMetalCombatFalconsRevengeUSA = {
	"Metal Combat - Falcon's Revenge (USA)", NULL, NULL, "1986",
	"Metal Combat - Falcon's Revenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Combat - Falcon's Revenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalCombatFalconsRevengeUSARomInfo, rMetalCombatFalconsRevengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalMarinesEuropeRomDesc[] = {
	{ "Metal Marines (Europe).sfc",          1572864, 0x1979cf23, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalMarinesEurope)
STD_ROM_FN(rMetalMarinesEurope)

struct BurnDriver BurnDrvrMetalMarinesEurope = {
	"Metal Marines (Europe)", NULL, NULL, "1986",
	"Metal Marines (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Marines (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalMarinesEuropeRomInfo, rMetalMarinesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalMarinesUSARomDesc[] = {
	{ "Metal Marines (USA).sfc",          1572864, 0x66787df6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalMarinesUSA)
STD_ROM_FN(rMetalMarinesUSA)

struct BurnDriver BurnDrvrMetalMarinesUSA = {
	"Metal Marines (USA)", NULL, NULL, "1986",
	"Metal Marines (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Marines (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalMarinesUSARomInfo, rMetalMarinesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalMax2JapanRomDesc[] = {
	{ "Metal Max 2 (Japan).sfc",          1048576, 0x9516bf39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalMax2Japan)
STD_ROM_FN(rMetalMax2Japan)

struct BurnDriver BurnDrvrMetalMax2Japan = {
	"Metal Max 2 (Japan)", NULL, NULL, "1986",
	"Metal Max 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Max 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalMax2JapanRomInfo, rMetalMax2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalMaxReturnsJapanRomDesc[] = {
	{ "Metal Max Returns (Japan).sfc",          4194304, 0x4396a35b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalMaxReturnsJapan)
STD_ROM_FN(rMetalMaxReturnsJapan)

struct BurnDriver BurnDrvrMetalMaxReturnsJapan = {
	"Metal Max Returns (Japan)", NULL, NULL, "1986",
	"Metal Max Returns (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Max Returns (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalMaxReturnsJapanRomInfo, rMetalMaxReturnsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalMorphUSARomDesc[] = {
	{ "Metal Morph (USA).sfc",          1572864, 0xadaa9da, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalMorphUSA)
STD_ROM_FN(rMetalMorphUSA)

struct BurnDriver BurnDrvrMetalMorphUSA = {
	"Metal Morph (USA)", NULL, NULL, "1986",
	"Metal Morph (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Morph (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalMorphUSARomInfo, rMetalMorphUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalSladerGloryDirectorsCutJapanNPRomDesc[] = {
	{ "Metal Slader Glory - Director's Cut (Japan) (NP).sfc",          3145728, 0x2cab2502, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalSladerGloryDirectorsCutJapanNP)
STD_ROM_FN(rMetalSladerGloryDirectorsCutJapanNP)

struct BurnDriver BurnDrvrMetalSladerGloryDirectorsCutJapanNP = {
	"Metal Slader Glory - Director's Cut (Japan) (NP)", NULL, NULL, "1986",
	"Metal Slader Glory - Director's Cut (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Slader Glory - Director's Cut (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalSladerGloryDirectorsCutJapanNPRomInfo, rMetalSladerGloryDirectorsCutJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMetalWarriorsUSARomDesc[] = {
	{ "Metal Warriors (USA).sfc",          2097152, 0xf2ab92d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMetalWarriorsUSA)
STD_ROM_FN(rMetalWarriorsUSA)

struct BurnDriver BurnDrvrMetalWarriorsUSA = {
	"Metal Warriors (USA)", NULL, NULL, "1986",
	"Metal Warriors (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Metal Warriors (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMetalWarriorsUSARomInfo, rMetalWarriorsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMichaelAndrettisIndyCarChallengeJapanRomDesc[] = {
	{ "Michael Andretti's IndyCar Challenge (Japan).sfc",          1048576, 0x1128572b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMichaelAndrettisIndyCarChallengeJapan)
STD_ROM_FN(rMichaelAndrettisIndyCarChallengeJapan)

struct BurnDriver BurnDrvrMichaelAndrettisIndyCarChallengeJapan = {
	"Michael Andretti's IndyCar Challenge (Japan)", NULL, NULL, "1986",
	"Michael Andretti's IndyCar Challenge (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Michael Andretti's IndyCar Challenge (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMichaelAndrettisIndyCarChallengeJapanRomInfo, rMichaelAndrettisIndyCarChallengeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMichaelAndrettisIndyCarChallengeUSARomDesc[] = {
	{ "Michael Andretti's IndyCar Challenge (USA).sfc",          1048576, 0xfdb210e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMichaelAndrettisIndyCarChallengeUSA)
STD_ROM_FN(rMichaelAndrettisIndyCarChallengeUSA)

struct BurnDriver BurnDrvrMichaelAndrettisIndyCarChallengeUSA = {
	"Michael Andretti's IndyCar Challenge (USA)", NULL, NULL, "1986",
	"Michael Andretti's IndyCar Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Michael Andretti's IndyCar Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMichaelAndrettisIndyCarChallengeUSARomInfo, rMichaelAndrettisIndyCarChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMichaelJordanChaosintheWindyCityEuropeRomDesc[] = {
	{ "Michael Jordan - Chaos in the Windy City (Europe).sfc",          1310720, 0x8e37db87, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMichaelJordanChaosintheWindyCityEurope)
STD_ROM_FN(rMichaelJordanChaosintheWindyCityEurope)

struct BurnDriver BurnDrvrMichaelJordanChaosintheWindyCityEurope = {
	"Michael Jordan - Chaos in the Windy City (Europe)", NULL, NULL, "1986",
	"Michael Jordan - Chaos in the Windy City (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Michael Jordan - Chaos in the Windy City (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMichaelJordanChaosintheWindyCityEuropeRomInfo, rMichaelJordanChaosintheWindyCityEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMichaelJordanChaosintheWindyCityUSARomDesc[] = {
	{ "Michael Jordan - Chaos in the Windy City (USA).sfc",          1310720, 0xf57dba3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMichaelJordanChaosintheWindyCityUSA)
STD_ROM_FN(rMichaelJordanChaosintheWindyCityUSA)

struct BurnDriver BurnDrvrMichaelJordanChaosintheWindyCityUSA = {
	"Michael Jordan - Chaos in the Windy City (USA)", NULL, NULL, "1986",
	"Michael Jordan - Chaos in the Windy City (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Michael Jordan - Chaos in the Windy City (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMichaelJordanChaosintheWindyCityUSARomInfo, rMichaelJordanChaosintheWindyCityUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickMackastheGlobalGladiatorsUSAProtobRomDesc[] = {
	{ "Mick & Mack as the Global Gladiators (USA) (Proto) [b].sfc",          2097152, 0x240442ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickMackastheGlobalGladiatorsUSAProtob)
STD_ROM_FN(rMickMackastheGlobalGladiatorsUSAProtob)

struct BurnDriver BurnDrvrMickMackastheGlobalGladiatorsUSAProtob = {
	"Mick & Mack as the Global Gladiators (USA) (Proto) [b]", NULL, NULL, "1986",
	"Mick & Mack as the Global Gladiators (USA) (Proto) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Mick & Mack as the Global Gladiators (USA) (Proto) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickMackastheGlobalGladiatorsUSAProtobRomInfo, rMickMackastheGlobalGladiatorsUSAProtobRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeyManiaTheTimelessAdventuresofMickeyMouseEuropeRomDesc[] = {
	{ "Mickey Mania - The Timeless Adventures of Mickey Mouse (Europe).sfc",          2097152, 0x75fddf27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeyManiaTheTimelessAdventuresofMickeyMouseEurope)
STD_ROM_FN(rMickeyManiaTheTimelessAdventuresofMickeyMouseEurope)

struct BurnDriver BurnDrvrMickeyManiaTheTimelessAdventuresofMickeyMouseEurope = {
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (Europe)", NULL, NULL, "1986",
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey Mania - The Timeless Adventures of Mickey Mouse (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeyManiaTheTimelessAdventuresofMickeyMouseEuropeRomInfo, rMickeyManiaTheTimelessAdventuresofMickeyMouseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeyManiaTheTimelessAdventuresofMickeyMouseJapanRomDesc[] = {
	{ "Mickey Mania - The Timeless Adventures of Mickey Mouse (Japan).sfc",          2097152, 0xb6c13316, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeyManiaTheTimelessAdventuresofMickeyMouseJapan)
STD_ROM_FN(rMickeyManiaTheTimelessAdventuresofMickeyMouseJapan)

struct BurnDriver BurnDrvrMickeyManiaTheTimelessAdventuresofMickeyMouseJapan = {
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (Japan)", NULL, NULL, "1986",
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey Mania - The Timeless Adventures of Mickey Mouse (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeyManiaTheTimelessAdventuresofMickeyMouseJapanRomInfo, rMickeyManiaTheTimelessAdventuresofMickeyMouseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeyManiaTheTimelessAdventuresofMickeyMouseUSARomDesc[] = {
	{ "Mickey Mania - The Timeless Adventures of Mickey Mouse (USA).sfc",          2097152, 0x8806b5b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeyManiaTheTimelessAdventuresofMickeyMouseUSA)
STD_ROM_FN(rMickeyManiaTheTimelessAdventuresofMickeyMouseUSA)

struct BurnDriver BurnDrvrMickeyManiaTheTimelessAdventuresofMickeyMouseUSA = {
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (USA)", NULL, NULL, "1986",
	"Mickey Mania - The Timeless Adventures of Mickey Mouse (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey Mania - The Timeless Adventures of Mickey Mouse (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeyManiaTheTimelessAdventuresofMickeyMouseUSARomInfo, rMickeyManiaTheTimelessAdventuresofMickeyMouseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeynoMagicalAdventureJapanRev1RomDesc[] = {
	{ "Mickey no Magical Adventure (Japan) (Rev 1).sfc",          1048576, 0x453bd625, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeynoMagicalAdventureJapanRev1)
STD_ROM_FN(rMickeynoMagicalAdventureJapanRev1)

struct BurnDriver BurnDrvrMickeynoMagicalAdventureJapanRev1 = {
	"Mickey no Magical Adventure (Japan) (Rev 1)", NULL, NULL, "1986",
	"Mickey no Magical Adventure (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey no Magical Adventure (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeynoMagicalAdventureJapanRev1RomInfo, rMickeynoMagicalAdventureJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeynoMagicalAdventureJapanRomDesc[] = {
	{ "Mickey no Magical Adventure (Japan).sfc",          1048576, 0xa0bfd8e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeynoMagicalAdventureJapan)
STD_ROM_FN(rMickeynoMagicalAdventureJapan)

struct BurnDriver BurnDrvrMickeynoMagicalAdventureJapan = {
	"Mickey no Magical Adventure (Japan)", NULL, NULL, "1986",
	"Mickey no Magical Adventure (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey no Magical Adventure (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeynoMagicalAdventureJapanRomInfo, rMickeynoMagicalAdventureJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeynoTokyoDisneylandDaiboukenJapanRomDesc[] = {
	{ "Mickey no Tokyo Disneyland Daibouken (Japan).sfc",          1572864, 0xe235f0c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeynoTokyoDisneylandDaiboukenJapan)
STD_ROM_FN(rMickeynoTokyoDisneylandDaiboukenJapan)

struct BurnDriver BurnDrvrMickeynoTokyoDisneylandDaiboukenJapan = {
	"Mickey no Tokyo Disneyland Daibouken (Japan)", NULL, NULL, "1986",
	"Mickey no Tokyo Disneyland Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey no Tokyo Disneyland Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeynoTokyoDisneylandDaiboukenJapanRomInfo, rMickeynoTokyoDisneylandDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeytoDonaldMagicalAdventure3JapanRomDesc[] = {
	{ "Mickey to Donald - Magical Adventure 3 (Japan).sfc",          2097152, 0x32eea1e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeytoDonaldMagicalAdventure3Japan)
STD_ROM_FN(rMickeytoDonaldMagicalAdventure3Japan)

struct BurnDriver BurnDrvrMickeytoDonaldMagicalAdventure3Japan = {
	"Mickey to Donald - Magical Adventure 3 (Japan)", NULL, NULL, "1986",
	"Mickey to Donald - Magical Adventure 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey to Donald - Magical Adventure 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeytoDonaldMagicalAdventure3JapanRomInfo, rMickeytoDonaldMagicalAdventure3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeytoMinnieMagicalAdventure2JapanSampleRomDesc[] = {
	{ "Mickey to Minnie - Magical Adventure 2 (Japan) (Sample).sfc",          1572864, 0xd39b39ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeytoMinnieMagicalAdventure2JapanSample)
STD_ROM_FN(rMickeytoMinnieMagicalAdventure2JapanSample)

struct BurnDriver BurnDrvrMickeytoMinnieMagicalAdventure2JapanSample = {
	"Mickey to Minnie - Magical Adventure 2 (Japan) (Sample)", NULL, NULL, "1986",
	"Mickey to Minnie - Magical Adventure 2 (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey to Minnie - Magical Adventure 2 (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeytoMinnieMagicalAdventure2JapanSampleRomInfo, rMickeytoMinnieMagicalAdventure2JapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeytoMinnieMagicalAdventure2JapanRomDesc[] = {
	{ "Mickey to Minnie - Magical Adventure 2 (Japan).sfc",          1572864, 0x8d258553, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeytoMinnieMagicalAdventure2Japan)
STD_ROM_FN(rMickeytoMinnieMagicalAdventure2Japan)

struct BurnDriver BurnDrvrMickeytoMinnieMagicalAdventure2Japan = {
	"Mickey to Minnie - Magical Adventure 2 (Japan)", NULL, NULL, "1986",
	"Mickey to Minnie - Magical Adventure 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey to Minnie - Magical Adventure 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeytoMinnieMagicalAdventure2JapanRomInfo, rMickeytoMinnieMagicalAdventure2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeysPlaytownAdventureADayofDiscoveryUSAProtoRomDesc[] = {
	{ "Mickey's Playtown Adventure - A Day of Discovery! (USA) (Proto).sfc",          1048576, 0x53524952, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeysPlaytownAdventureADayofDiscoveryUSAProto)
STD_ROM_FN(rMickeysPlaytownAdventureADayofDiscoveryUSAProto)

struct BurnDriver BurnDrvrMickeysPlaytownAdventureADayofDiscoveryUSAProto = {
	"Mickey's Playtown Adventure - A Day of Discovery! (USA) (Proto)", NULL, NULL, "1986",
	"Mickey's Playtown Adventure - A Day of Discovery! (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey's Playtown Adventure - A Day of Discovery! (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeysPlaytownAdventureADayofDiscoveryUSAProtoRomInfo, rMickeysPlaytownAdventureADayofDiscoveryUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMickeysUltimateChallengeUSARomDesc[] = {
	{ "Mickey's Ultimate Challenge (USA).sfc",          1048576, 0xd6c60a84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMickeysUltimateChallengeUSA)
STD_ROM_FN(rMickeysUltimateChallengeUSA)

struct BurnDriver BurnDrvrMickeysUltimateChallengeUSA = {
	"Mickey's Ultimate Challenge (USA)", NULL, NULL, "1986",
	"Mickey's Ultimate Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mickey's Ultimate Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMickeysUltimateChallengeUSARomInfo, rMickeysUltimateChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMicroMachinesEuropeRomDesc[] = {
	{ "Micro Machines (Europe).sfc",          524288, 0xb4f64a09, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMicroMachinesEurope)
STD_ROM_FN(rMicroMachinesEurope)

struct BurnDriver BurnDrvrMicroMachinesEurope = {
	"Micro Machines (Europe)", NULL, NULL, "1986",
	"Micro Machines (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Micro Machines (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMicroMachinesEuropeRomInfo, rMicroMachinesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMicroMachinesUSARomDesc[] = {
	{ "Micro Machines (USA).sfc",          524288, 0x364e68bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMicroMachinesUSA)
STD_ROM_FN(rMicroMachinesUSA)

struct BurnDriver BurnDrvrMicroMachinesUSA = {
	"Micro Machines (USA)", NULL, NULL, "1986",
	"Micro Machines (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Micro Machines (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMicroMachinesUSARomInfo, rMicroMachinesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMicroMachines2TurboTournamentEuropeRomDesc[] = {
	{ "Micro Machines 2 - Turbo Tournament (Europe).sfc",          1048576, 0x1619b619, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMicroMachines2TurboTournamentEurope)
STD_ROM_FN(rMicroMachines2TurboTournamentEurope)

struct BurnDriver BurnDrvrMicroMachines2TurboTournamentEurope = {
	"Micro Machines 2 - Turbo Tournament (Europe)", NULL, NULL, "1986",
	"Micro Machines 2 - Turbo Tournament (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Micro Machines 2 - Turbo Tournament (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMicroMachines2TurboTournamentEuropeRomInfo, rMicroMachines2TurboTournamentEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightandMagicBookIIJapanRomDesc[] = {
	{ "Might and Magic - Book II (Japan).sfc",          1048576, 0xe60eb6c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightandMagicBookIIJapan)
STD_ROM_FN(rMightandMagicBookIIJapan)

struct BurnDriver BurnDrvrMightandMagicBookIIJapan = {
	"Might and Magic - Book II (Japan)", NULL, NULL, "1986",
	"Might and Magic - Book II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Might and Magic - Book II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightandMagicBookIIJapanRomInfo, rMightandMagicBookIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightandMagicIIGatestoAnotherWorldEuropeRomDesc[] = {
	{ "Might and Magic II - Gates to Another World (Europe).sfc",          1048576, 0x4062244b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightandMagicIIGatestoAnotherWorldEurope)
STD_ROM_FN(rMightandMagicIIGatestoAnotherWorldEurope)

struct BurnDriver BurnDrvrMightandMagicIIGatestoAnotherWorldEurope = {
	"Might and Magic II - Gates to Another World (Europe)", NULL, NULL, "1986",
	"Might and Magic II - Gates to Another World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Might and Magic II - Gates to Another World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightandMagicIIGatestoAnotherWorldEuropeRomInfo, rMightandMagicIIGatestoAnotherWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightandMagicIIGatestoAnotherWorldGermanyRomDesc[] = {
	{ "Might and Magic II - Gates to Another World (Germany).sfc",          1048576, 0xb117df8a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightandMagicIIGatestoAnotherWorldGermany)
STD_ROM_FN(rMightandMagicIIGatestoAnotherWorldGermany)

struct BurnDriver BurnDrvrMightandMagicIIGatestoAnotherWorldGermany = {
	"Might and Magic II - Gates to Another World (Germany)", NULL, NULL, "1986",
	"Might and Magic II - Gates to Another World (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Might and Magic II - Gates to Another World (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightandMagicIIGatestoAnotherWorldGermanyRomInfo, rMightandMagicIIGatestoAnotherWorldGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightandMagicIIIIslesofTerraUSABetaRomDesc[] = {
	{ "Might and Magic III - Isles of Terra (USA) (Beta).sfc",          1572864, 0x4c3814d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightandMagicIIIIslesofTerraUSABeta)
STD_ROM_FN(rMightandMagicIIIIslesofTerraUSABeta)

struct BurnDriver BurnDrvrMightandMagicIIIIslesofTerraUSABeta = {
	"Might and Magic III - Isles of Terra (USA) (Beta)", NULL, NULL, "1986",
	"Might and Magic III - Isles of Terra (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Might and Magic III - Isles of Terra (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightandMagicIIIIslesofTerraUSABetaRomInfo, rMightandMagicIIIIslesofTerraUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightandMagicIIIIslesofTerraUSARomDesc[] = {
	{ "Might and Magic III - Isles of Terra (USA).sfc",          1572864, 0x8af25e7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightandMagicIIIIslesofTerraUSA)
STD_ROM_FN(rMightandMagicIIIIslesofTerraUSA)

struct BurnDriver BurnDrvrMightandMagicIIIIslesofTerraUSA = {
	"Might and Magic III - Isles of Terra (USA)", NULL, NULL, "1986",
	"Might and Magic III - Isles of Terra (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Might and Magic III - Isles of Terra (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightandMagicIIIIslesofTerraUSARomInfo, rMightandMagicIIIIslesofTerraUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMaxEuropeRomDesc[] = {
	{ "Mighty Max (Europe).sfc",          1048576, 0x62a7c74b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMaxEurope)
STD_ROM_FN(rMightyMaxEurope)

struct BurnDriver BurnDrvrMightyMaxEurope = {
	"Mighty Max (Europe)", NULL, NULL, "1986",
	"Mighty Max (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Max (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMaxEuropeRomInfo, rMightyMaxEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMaxUSABetaRomDesc[] = {
	{ "Mighty Max (USA) (Beta).sfc",          1048576, 0x4a0e225f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMaxUSABeta)
STD_ROM_FN(rMightyMaxUSABeta)

struct BurnDriver BurnDrvrMightyMaxUSABeta = {
	"Mighty Max (USA) (Beta)", NULL, NULL, "1986",
	"Mighty Max (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Max (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMaxUSABetaRomInfo, rMightyMaxUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMaxUSARomDesc[] = {
	{ "Mighty Max (USA).sfc",          1048576, 0x6fc3c105, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMaxUSA)
STD_ROM_FN(rMightyMaxUSA)

struct BurnDriver BurnDrvrMightyMaxUSA = {
	"Mighty Max (USA)", NULL, NULL, "1986",
	"Mighty Max (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Max (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMaxUSARomInfo, rMightyMaxUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersEuropeRomDesc[] = {
	{ "Mighty Morphin Power Rangers (Europe).sfc",          2097152, 0x1df7233c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersEurope)
STD_ROM_FN(rMightyMorphinPowerRangersEurope)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersEurope = {
	"Mighty Morphin Power Rangers (Europe)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersEuropeRomInfo, rMightyMorphinPowerRangersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersJapanRomDesc[] = {
	{ "Mighty Morphin Power Rangers (Japan).sfc",          2097152, 0x812329c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersJapan)
STD_ROM_FN(rMightyMorphinPowerRangersJapan)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersJapan = {
	"Mighty Morphin Power Rangers (Japan)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersJapanRomInfo, rMightyMorphinPowerRangersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersUSARomDesc[] = {
	{ "Mighty Morphin Power Rangers (USA).sfc",          2097152, 0xa56eb77a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersUSA)
STD_ROM_FN(rMightyMorphinPowerRangersUSA)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersUSA = {
	"Mighty Morphin Power Rangers (USA)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersUSARomInfo, rMightyMorphinPowerRangersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersTheFightingEditionEuropeRomDesc[] = {
	{ "Mighty Morphin Power Rangers - The Fighting Edition (Europe).sfc",          1572864, 0x6fc37d96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersTheFightingEditionEurope)
STD_ROM_FN(rMightyMorphinPowerRangersTheFightingEditionEurope)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersTheFightingEditionEurope = {
	"Mighty Morphin Power Rangers - The Fighting Edition (Europe)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers - The Fighting Edition (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers - The Fighting Edition (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersTheFightingEditionEuropeRomInfo, rMightyMorphinPowerRangersTheFightingEditionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersTheFightingEditionUSARomDesc[] = {
	{ "Mighty Morphin Power Rangers - The Fighting Edition (USA).sfc",          1572864, 0x460b0a60, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersTheFightingEditionUSA)
STD_ROM_FN(rMightyMorphinPowerRangersTheFightingEditionUSA)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersTheFightingEditionUSA = {
	"Mighty Morphin Power Rangers - The Fighting Edition (USA)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers - The Fighting Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers - The Fighting Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersTheFightingEditionUSARomInfo, rMightyMorphinPowerRangersTheFightingEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersTheMovieEuropeRomDesc[] = {
	{ "Mighty Morphin Power Rangers - The Movie (Europe).sfc",          1572864, 0xe722e2a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersTheMovieEurope)
STD_ROM_FN(rMightyMorphinPowerRangersTheMovieEurope)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersTheMovieEurope = {
	"Mighty Morphin Power Rangers - The Movie (Europe)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers - The Movie (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers - The Movie (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersTheMovieEuropeRomInfo, rMightyMorphinPowerRangersTheMovieEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMightyMorphinPowerRangersTheMovieUSARomDesc[] = {
	{ "Mighty Morphin Power Rangers - The Movie (USA).sfc",          1572864, 0xe3ef6201, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMightyMorphinPowerRangersTheMovieUSA)
STD_ROM_FN(rMightyMorphinPowerRangersTheMovieUSA)

struct BurnDriver BurnDrvrMightyMorphinPowerRangersTheMovieUSA = {
	"Mighty Morphin Power Rangers - The Movie (USA)", NULL, NULL, "1986",
	"Mighty Morphin Power Rangers - The Movie (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mighty Morphin Power Rangers - The Movie (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMightyMorphinPowerRangersTheMovieUSARomInfo, rMightyMorphinPowerRangersTheMovieUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMilandraJapanRomDesc[] = {
	{ "Milandra (Japan).sfc",          3145728, 0x67b5fb22, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMilandraJapan)
STD_ROM_FN(rMilandraJapan)

struct BurnDriver BurnDrvrMilandraJapan = {
	"Milandra (Japan)", NULL, NULL, "1986",
	"Milandra (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Milandra (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMilandraJapanRomInfo, rMilandraJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMilitiaJapanRomDesc[] = {
	{ "Militia (Japan).sfc",          1572864, 0x96717f64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMilitiaJapan)
STD_ROM_FN(rMilitiaJapan)

struct BurnDriver BurnDrvrMilitiaJapan = {
	"Militia (Japan)", NULL, NULL, "1986",
	"Militia (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Militia (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMilitiaJapanRomInfo, rMilitiaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiniYonkuLetsGoPowerWGP2JapanRomDesc[] = {
	{ "Mini Yonku Let's & Go!! - Power WGP 2 (Japan).sfc",          2097152, 0x4459d4d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiniYonkuLetsGoPowerWGP2Japan)
STD_ROM_FN(rMiniYonkuLetsGoPowerWGP2Japan)

struct BurnDriver BurnDrvrMiniYonkuLetsGoPowerWGP2Japan = {
	"Mini Yonku Let's & Go!! - Power WGP 2 (Japan)", NULL, NULL, "1986",
	"Mini Yonku Let's & Go!! - Power WGP 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mini Yonku Let's & Go!! - Power WGP 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiniYonkuLetsGoPowerWGP2JapanRomInfo, rMiniYonkuLetsGoPowerWGP2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiniYonkuShiningScorpionLetsGoJapanRomDesc[] = {
	{ "Mini Yonku Shining Scorpion - Let's & Go!! (Japan).sfc",          4194304, 0xb17e95d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiniYonkuShiningScorpionLetsGoJapan)
STD_ROM_FN(rMiniYonkuShiningScorpionLetsGoJapan)

struct BurnDriver BurnDrvrMiniYonkuShiningScorpionLetsGoJapan = {
	"Mini Yonku Shining Scorpion - Let's & Go!! (Japan)", NULL, NULL, "1986",
	"Mini Yonku Shining Scorpion - Let's & Go!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mini Yonku Shining Scorpion - Let's & Go!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiniYonkuShiningScorpionLetsGoJapanRomInfo, rMiniYonkuShiningScorpionLetsGoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiracleCasinoParadiseJapanRomDesc[] = {
	{ "Miracle Casino Paradise (Japan).sfc",          1048576, 0xdb6b9db1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiracleCasinoParadiseJapan)
STD_ROM_FN(rMiracleCasinoParadiseJapan)

struct BurnDriver BurnDrvrMiracleCasinoParadiseJapan = {
	"Miracle Casino Paradise (Japan)", NULL, NULL, "1986",
	"Miracle Casino Paradise (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Miracle Casino Paradise (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiracleCasinoParadiseJapanRomInfo, rMiracleCasinoParadiseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiracleGirlsJapanRomDesc[] = {
	{ "Miracle Girls (Japan).sfc",          1048576, 0xab82ebbe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiracleGirlsJapan)
STD_ROM_FN(rMiracleGirlsJapan)

struct BurnDriver BurnDrvrMiracleGirlsJapan = {
	"Miracle Girls (Japan)", NULL, NULL, "1986",
	"Miracle Girls (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Miracle Girls (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiracleGirlsJapanRomInfo, rMiracleGirlsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiraclePianoTeachingSystemTheUSARomDesc[] = {
	{ "Miracle Piano Teaching System, The (USA).sfc",          524288, 0x99331ecb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiraclePianoTeachingSystemTheUSA)
STD_ROM_FN(rMiraclePianoTeachingSystemTheUSA)

struct BurnDriver BurnDrvrMiraclePianoTeachingSystemTheUSA = {
	"Miracle Piano Teaching System, The (USA)", NULL, NULL, "1986",
	"Miracle Piano Teaching System, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Miracle Piano Teaching System, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiraclePianoTeachingSystemTheUSARomInfo, rMiraclePianoTeachingSystemTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMiyajiShachounoPachinkoFanShouriSengen2JapanRomDesc[] = {
	{ "Miyaji Shachou no Pachinko Fan - Shouri Sengen 2 (Japan).sfc",          1048576, 0x31197a53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMiyajiShachounoPachinkoFanShouriSengen2Japan)
STD_ROM_FN(rMiyajiShachounoPachinkoFanShouriSengen2Japan)

struct BurnDriver BurnDrvrMiyajiShachounoPachinkoFanShouriSengen2Japan = {
	"Miyaji Shachou no Pachinko Fan - Shouri Sengen 2 (Japan)", NULL, NULL, "1986",
	"Miyaji Shachou no Pachinko Fan - Shouri Sengen 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Miyaji Shachou no Pachinko Fan - Shouri Sengen 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMiyajiShachounoPachinkoFanShouriSengen2JapanRomInfo, rMiyajiShachounoPachinkoFanShouriSengen2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMizukiShigerunoYoukaiHyakkiyakouJapanRomDesc[] = {
	{ "Mizuki Shigeru no Youkai Hyakkiyakou (Japan).sfc",          1572864, 0x70740cf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMizukiShigerunoYoukaiHyakkiyakouJapan)
STD_ROM_FN(rMizukiShigerunoYoukaiHyakkiyakouJapan)

struct BurnDriver BurnDrvrMizukiShigerunoYoukaiHyakkiyakouJapan = {
	"Mizuki Shigeru no Youkai Hyakkiyakou (Japan)", NULL, NULL, "1986",
	"Mizuki Shigeru no Youkai Hyakkiyakou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mizuki Shigeru no Youkai Hyakkiyakou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMizukiShigerunoYoukaiHyakkiyakouJapanRomInfo, rMizukiShigerunoYoukaiHyakkiyakouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMLBPABaseballUSARomDesc[] = {
	{ "MLBPA Baseball (USA).sfc",          1048576, 0x62a92e57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMLBPABaseballUSA)
STD_ROM_FN(rMLBPABaseballUSA)

struct BurnDriver BurnDrvrMLBPABaseballUSA = {
	"MLBPA Baseball (USA)", NULL, NULL, "1986",
	"MLBPA Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"MLBPA Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMLBPABaseballUSARomInfo, rMLBPABaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMohawkHeadphoneJackEuropeRomDesc[] = {
	{ "Mohawk & Headphone Jack (Europe).sfc",          2097152, 0x6cf14848, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMohawkHeadphoneJackEurope)
STD_ROM_FN(rMohawkHeadphoneJackEurope)

struct BurnDriver BurnDrvrMohawkHeadphoneJackEurope = {
	"Mohawk & Headphone Jack (Europe)", NULL, NULL, "1986",
	"Mohawk & Headphone Jack (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mohawk & Headphone Jack (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMohawkHeadphoneJackEuropeRomInfo, rMohawkHeadphoneJackEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMohawkHeadphoneJackUSARomDesc[] = {
	{ "Mohawk & Headphone Jack (USA).sfc",          2097152, 0xb207e7f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMohawkHeadphoneJackUSA)
STD_ROM_FN(rMohawkHeadphoneJackUSA)

struct BurnDriver BurnDrvrMohawkHeadphoneJackUSA = {
	"Mohawk & Headphone Jack (USA)", NULL, NULL, "1986",
	"Mohawk & Headphone Jack (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mohawk & Headphone Jack (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMohawkHeadphoneJackUSARomInfo, rMohawkHeadphoneJackUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMomotarouDentetsuHappyJapanRomDesc[] = {
	{ "Momotarou Dentetsu Happy (Japan).sfc",          3145728, 0xb8d1474, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMomotarouDentetsuHappyJapan)
STD_ROM_FN(rMomotarouDentetsuHappyJapan)

struct BurnDriver BurnDrvrMomotarouDentetsuHappyJapan = {
	"Momotarou Dentetsu Happy (Japan)", NULL, NULL, "1986",
	"Momotarou Dentetsu Happy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Momotarou Dentetsu Happy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMomotarouDentetsuHappyJapanRomInfo, rMomotarouDentetsuHappyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonopolyJapanRomDesc[] = {
	{ "Monopoly (Japan).sfc",          1048576, 0x42fe51e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonopolyJapan)
STD_ROM_FN(rMonopolyJapan)

struct BurnDriver BurnDrvrMonopolyJapan = {
	"Monopoly (Japan)", NULL, NULL, "1986",
	"Monopoly (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monopoly (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonopolyJapanRomInfo, rMonopolyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonopolyUSARev1RomDesc[] = {
	{ "Monopoly (USA) (Rev 1).sfc",          524288, 0x88d54085, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonopolyUSARev1)
STD_ROM_FN(rMonopolyUSARev1)

struct BurnDriver BurnDrvrMonopolyUSARev1 = {
	"Monopoly (USA) (Rev 1)", NULL, NULL, "1986",
	"Monopoly (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monopoly (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonopolyUSARev1RomInfo, rMonopolyUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonopolyUSARomDesc[] = {
	{ "Monopoly (USA).sfc",          524288, 0xd6da408e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonopolyUSA)
STD_ROM_FN(rMonopolyUSA)

struct BurnDriver BurnDrvrMonopolyUSA = {
	"Monopoly (USA)", NULL, NULL, "1986",
	"Monopoly (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monopoly (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonopolyUSARomInfo, rMonopolyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonopolyGame2TheJapanRomDesc[] = {
	{ "Monopoly Game 2, The (Japan).sfc",          1572864, 0xed62b1dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonopolyGame2TheJapan)
STD_ROM_FN(rMonopolyGame2TheJapan)

struct BurnDriver BurnDrvrMonopolyGame2TheJapan = {
	"Monopoly Game 2, The (Japan)", NULL, NULL, "1986",
	"Monopoly Game 2, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monopoly Game 2, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonopolyGame2TheJapanRomInfo, rMonopolyGame2TheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonstaniaJapanRomDesc[] = {
	{ "Monstania (Japan).sfc",          2621440, 0xf3887022, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonstaniaJapan)
STD_ROM_FN(rMonstaniaJapan)

struct BurnDriver BurnDrvrMonstaniaJapan = {
	"Monstania (Japan)", NULL, NULL, "1986",
	"Monstania (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monstania (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonstaniaJapanRomInfo, rMonstaniaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonsterMakerIIIHikarinoMajutsushiJapanRomDesc[] = {
	{ "Monster Maker III - Hikari no Majutsushi (Japan).sfc",          2097152, 0xd1e14d4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonsterMakerIIIHikarinoMajutsushiJapan)
STD_ROM_FN(rMonsterMakerIIIHikarinoMajutsushiJapan)

struct BurnDriver BurnDrvrMonsterMakerIIIHikarinoMajutsushiJapan = {
	"Monster Maker III - Hikari no Majutsushi (Japan)", NULL, NULL, "1986",
	"Monster Maker III - Hikari no Majutsushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monster Maker III - Hikari no Majutsushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonsterMakerIIIHikarinoMajutsushiJapanRomInfo, rMonsterMakerIIIHikarinoMajutsushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMonsterMakerKidsOusamaniNaritaiJapanRomDesc[] = {
	{ "Monster Maker Kids - Ousama ni Naritai (Japan).sfc",          1048576, 0xd1b621ac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMonsterMakerKidsOusamaniNaritaiJapan)
STD_ROM_FN(rMonsterMakerKidsOusamaniNaritaiJapan)

struct BurnDriver BurnDrvrMonsterMakerKidsOusamaniNaritaiJapan = {
	"Monster Maker Kids - Ousama ni Naritai (Japan)", NULL, NULL, "1986",
	"Monster Maker Kids - Ousama ni Naritai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Monster Maker Kids - Ousama ni Naritai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMonsterMakerKidsOusamaniNaritaiJapanRomInfo, rMonsterMakerKidsOusamaniNaritaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatEuropeBetaRomDesc[] = {
	{ "Mortal Kombat (Europe) (Beta).sfc",          2097152, 0x91af0cec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatEuropeBeta)
STD_ROM_FN(rMortalKombatEuropeBeta)

struct BurnDriver BurnDrvrMortalKombatEuropeBeta = {
	"Mortal Kombat (Europe) (Beta)", NULL, NULL, "1986",
	"Mortal Kombat (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatEuropeBetaRomInfo, rMortalKombatEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatEuropeRev1RomDesc[] = {
	{ "Mortal Kombat (Europe) (Rev 1).sfc",          2097152, 0x47b3d88, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatEuropeRev1)
STD_ROM_FN(rMortalKombatEuropeRev1)

struct BurnDriver BurnDrvrMortalKombatEuropeRev1 = {
	"Mortal Kombat (Europe) (Rev 1)", NULL, NULL, "1986",
	"Mortal Kombat (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatEuropeRev1RomInfo, rMortalKombatEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatEuropeRomDesc[] = {
	{ "Mortal Kombat (Europe).sfc",          2097152, 0xa81657d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatEurope)
STD_ROM_FN(rMortalKombatEurope)

struct BurnDriver BurnDrvrMortalKombatEurope = {
	"Mortal Kombat (Europe)", NULL, NULL, "1986",
	"Mortal Kombat (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatEuropeRomInfo, rMortalKombatEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatUSARomDesc[] = {
	{ "Mortal Kombat (USA).sfc",          2097152, 0xdef42945, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatUSA)
STD_ROM_FN(rMortalKombatUSA)

struct BurnDriver BurnDrvrMortalKombatUSA = {
	"Mortal Kombat (USA)", NULL, NULL, "1986",
	"Mortal Kombat (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatUSARomInfo, rMortalKombatUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatShinkenKourinDensetsuJapanRomDesc[] = {
	{ "Mortal Kombat - Shinken Kourin Densetsu (Japan).sfc",          2097152, 0xbd8ec55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatShinkenKourinDensetsuJapan)
STD_ROM_FN(rMortalKombatShinkenKourinDensetsuJapan)

struct BurnDriver BurnDrvrMortalKombatShinkenKourinDensetsuJapan = {
	"Mortal Kombat - Shinken Kourin Densetsu (Japan)", NULL, NULL, "1986",
	"Mortal Kombat - Shinken Kourin Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat - Shinken Kourin Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatShinkenKourinDensetsuJapanRomInfo, rMortalKombatShinkenKourinDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombat3EuropeBetaRomDesc[] = {
	{ "Mortal Kombat 3 (Europe) (Beta).sfc",          4194304, 0x342bf9d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombat3EuropeBeta)
STD_ROM_FN(rMortalKombat3EuropeBeta)

struct BurnDriver BurnDrvrMortalKombat3EuropeBeta = {
	"Mortal Kombat 3 (Europe) (Beta)", NULL, NULL, "1986",
	"Mortal Kombat 3 (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat 3 (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombat3EuropeBetaRomInfo, rMortalKombat3EuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombat3EuropeRomDesc[] = {
	{ "Mortal Kombat 3 (Europe).sfc",          4194304, 0xca3ceb0a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombat3Europe)
STD_ROM_FN(rMortalKombat3Europe)

struct BurnDriver BurnDrvrMortalKombat3Europe = {
	"Mortal Kombat 3 (Europe)", NULL, NULL, "1986",
	"Mortal Kombat 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombat3EuropeRomInfo, rMortalKombat3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombat3USABetaRomDesc[] = {
	{ "Mortal Kombat 3 (USA) (Beta).sfc",          4194304, 0xffcbf355, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombat3USABeta)
STD_ROM_FN(rMortalKombat3USABeta)

struct BurnDriver BurnDrvrMortalKombat3USABeta = {
	"Mortal Kombat 3 (USA) (Beta)", NULL, NULL, "1986",
	"Mortal Kombat 3 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat 3 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombat3USABetaRomInfo, rMortalKombat3USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombat3USARomDesc[] = {
	{ "Mortal Kombat 3 (USA).sfc",          4194304, 0x4e6af725, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombat3USA)
STD_ROM_FN(rMortalKombat3USA)

struct BurnDriver BurnDrvrMortalKombat3USA = {
	"Mortal Kombat 3 (USA)", NULL, NULL, "1986",
	"Mortal Kombat 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombat3USARomInfo, rMortalKombat3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatIIEuropeRev1RomDesc[] = {
	{ "Mortal Kombat II (Europe) (Rev 1).sfc",          3145728, 0xdc2d51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatIIEuropeRev1)
STD_ROM_FN(rMortalKombatIIEuropeRev1)

struct BurnDriver BurnDrvrMortalKombatIIEuropeRev1 = {
	"Mortal Kombat II (Europe) (Rev 1)", NULL, NULL, "1986",
	"Mortal Kombat II (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat II (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatIIEuropeRev1RomInfo, rMortalKombatIIEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatIIEuropeRomDesc[] = {
	{ "Mortal Kombat II (Europe).sfc",          3145728, 0x1cc0c6ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatIIEurope)
STD_ROM_FN(rMortalKombatIIEurope)

struct BurnDriver BurnDrvrMortalKombatIIEurope = {
	"Mortal Kombat II (Europe)", NULL, NULL, "1986",
	"Mortal Kombat II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatIIEuropeRomInfo, rMortalKombatIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatIIUSARev1RomDesc[] = {
	{ "Mortal Kombat II (USA) (Rev 1).sfc",          3145728, 0x70bb5513, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatIIUSARev1)
STD_ROM_FN(rMortalKombatIIUSARev1)

struct BurnDriver BurnDrvrMortalKombatIIUSARev1 = {
	"Mortal Kombat II (USA) (Rev 1)", NULL, NULL, "1986",
	"Mortal Kombat II (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat II (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatIIUSARev1RomInfo, rMortalKombatIIUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatIIUSARomDesc[] = {
	{ "Mortal Kombat II (USA).sfc",          3145728, 0x1c3d3b72, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatIIUSA)
STD_ROM_FN(rMortalKombatIIUSA)

struct BurnDriver BurnDrvrMortalKombatIIUSA = {
	"Mortal Kombat II (USA)", NULL, NULL, "1986",
	"Mortal Kombat II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatIIUSARomInfo, rMortalKombatIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMortalKombatIIKyuukyokuShinkenJapanRomDesc[] = {
	{ "Mortal Kombat II - Kyuukyoku Shinken (Japan).sfc",          3145728, 0xfb2d267c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMortalKombatIIKyuukyokuShinkenJapan)
STD_ROM_FN(rMortalKombatIIKyuukyokuShinkenJapan)

struct BurnDriver BurnDrvrMortalKombatIIKyuukyokuShinkenJapan = {
	"Mortal Kombat II - Kyuukyoku Shinken (Japan)", NULL, NULL, "1986",
	"Mortal Kombat II - Kyuukyoku Shinken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mortal Kombat II - Kyuukyoku Shinken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMortalKombatIIKyuukyokuShinkenJapanRomInfo, rMortalKombatIIKyuukyokuShinkenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMother2GyiygnoGyakushuuJapanRomDesc[] = {
	{ "Mother 2 - Gyiyg no Gyakushuu (Japan).sfc",          3145728, 0x2019fabe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMother2GyiygnoGyakushuuJapan)
STD_ROM_FN(rMother2GyiygnoGyakushuuJapan)

struct BurnDriver BurnDrvrMother2GyiygnoGyakushuuJapan = {
	"Mother 2 - Gyiyg no Gyakushuu (Japan)", NULL, NULL, "1986",
	"Mother 2 - Gyiyg no Gyakushuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mother 2 - Gyiyg no Gyakushuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMother2GyiygnoGyakushuuJapanRomInfo, rMother2GyiygnoGyakushuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMotokochannoWonderKitchenJapanRomDesc[] = {
	{ "Motoko-chan no Wonder Kitchen (Japan).sfc",          1048576, 0x18aff666, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMotokochannoWonderKitchenJapan)
STD_ROM_FN(rMotokochannoWonderKitchenJapan)

struct BurnDriver BurnDrvrMotokochannoWonderKitchenJapan = {
	"Motoko-chan no Wonder Kitchen (Japan)", NULL, NULL, "1986",
	"Motoko-chan no Wonder Kitchen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Motoko-chan no Wonder Kitchen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMotokochannoWonderKitchenJapanRomInfo, rMotokochannoWonderKitchenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMottekeOhDorobouJapanRomDesc[] = {
	{ "Motteke Oh! Dorobou (Japan).sfc",          1572864, 0x843506bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMottekeOhDorobouJapan)
STD_ROM_FN(rMottekeOhDorobouJapan)

struct BurnDriver BurnDrvrMottekeOhDorobouJapan = {
	"Motteke Oh! Dorobou (Japan)", NULL, NULL, "1986",
	"Motteke Oh! Dorobou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Motteke Oh! Dorobou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMottekeOhDorobouJapanRomInfo, rMottekeOhDorobouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMouryouSenkiMadara2JapanRomDesc[] = {
	{ "Mouryou Senki Madara 2 (Japan).sfc",          1572864, 0xdcbf723, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMouryouSenkiMadara2Japan)
STD_ROM_FN(rMouryouSenkiMadara2Japan)

struct BurnDriver BurnDrvrMouryouSenkiMadara2Japan = {
	"Mouryou Senki Madara 2 (Japan)", NULL, NULL, "1986",
	"Mouryou Senki Madara 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mouryou Senki Madara 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMouryouSenkiMadara2JapanRomInfo, rMouryouSenkiMadara2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrNutzUSAEnFrBetaRomDesc[] = {
	{ "Mr Nutz (USA) (En,Fr) (Beta).sfc",          1048576, 0x549d03ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrNutzUSAEnFrBeta)
STD_ROM_FN(rMrNutzUSAEnFrBeta)

struct BurnDriver BurnDrvrMrNutzUSAEnFrBeta = {
	"Mr Nutz (USA) (En,Fr) (Beta)", NULL, NULL, "1986",
	"Mr Nutz (USA) (En,Fr) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr Nutz (USA) (En,Fr) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrNutzUSAEnFrBetaRomInfo, rMrNutzUSAEnFrBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrBloopySavestheWorldUSAProto19940621Level11GRomDesc[] = {
	{ "Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Level 11-G).sfc",          524288, 0x93f78934, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrBloopySavestheWorldUSAProto19940621Level11G)
STD_ROM_FN(rMrBloopySavestheWorldUSAProto19940621Level11G)

struct BurnDriver BurnDrvrMrBloopySavestheWorldUSAProto19940621Level11G = {
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Level 11-G)", NULL, NULL, "1986",
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Level 11-G)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Level 11-G)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrBloopySavestheWorldUSAProto19940621Level11GRomInfo, rMrBloopySavestheWorldUSAProto19940621Level11GRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrBloopySavestheWorldUSAProto19940621Levels000RomDesc[] = {
	{ "Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Levels 000).sfc",          1048576, 0x6574cea6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrBloopySavestheWorldUSAProto19940621Levels000)
STD_ROM_FN(rMrBloopySavestheWorldUSAProto19940621Levels000)

struct BurnDriver BurnDrvrMrBloopySavestheWorldUSAProto19940621Levels000 = {
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Levels 000)", NULL, NULL, "1986",
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Levels 000)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-21 Levels 000)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrBloopySavestheWorldUSAProto19940621Levels000RomInfo, rMrBloopySavestheWorldUSAProto19940621Levels000RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrBloopySavestheWorldUSAProto19940622LevelsBRomDesc[] = {
	{ "Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-22 Levels-B).sfc",          524288, 0x63885a43, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrBloopySavestheWorldUSAProto19940622LevelsB)
STD_ROM_FN(rMrBloopySavestheWorldUSAProto19940622LevelsB)

struct BurnDriver BurnDrvrMrBloopySavestheWorldUSAProto19940622LevelsB = {
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-22 Levels-B)", NULL, NULL, "1986",
	"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-22 Levels-B)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Bloopy - Saves the World (USA) (Proto) (1994-06-22 Levels-B)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrBloopySavestheWorldUSAProto19940622LevelsBRomInfo, rMrBloopySavestheWorldUSAProto19940622LevelsBRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrBloopySavestheWorldUSAProto19950216RomDesc[] = {
	{ "Mr. Bloopy - Saves the World (USA) (Proto) (1995-02-16).sfc",          2097152, 0xdde9a760, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrBloopySavestheWorldUSAProto19950216)
STD_ROM_FN(rMrBloopySavestheWorldUSAProto19950216)

struct BurnDriver BurnDrvrMrBloopySavestheWorldUSAProto19950216 = {
	"Mr. Bloopy - Saves the World (USA) (Proto) (1995-02-16)", NULL, NULL, "1986",
	"Mr. Bloopy - Saves the World (USA) (Proto) (1995-02-16)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Bloopy - Saves the World (USA) (Proto) (1995-02-16)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrBloopySavestheWorldUSAProto19950216RomInfo, rMrBloopySavestheWorldUSAProto19950216RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrDoEuropeRomDesc[] = {
	{ "Mr. Do! (Europe).sfc",          262144, 0xccebb6e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrDoEurope)
STD_ROM_FN(rMrDoEurope)

struct BurnDriver BurnDrvrMrDoEurope = {
	"Mr. Do! (Europe)", NULL, NULL, "1986",
	"Mr. Do! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Do! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrDoEuropeRomInfo, rMrDoEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrDoJapanRomDesc[] = {
	{ "Mr. Do! (Japan).sfc",          262144, 0x3847cf64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrDoJapan)
STD_ROM_FN(rMrDoJapan)

struct BurnDriver BurnDrvrMrDoJapan = {
	"Mr. Do! (Japan)", NULL, NULL, "1986",
	"Mr. Do! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Do! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrDoJapanRomInfo, rMrDoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrDoUSARomDesc[] = {
	{ "Mr. Do! (USA).sfc",          262144, 0x1c1025e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrDoUSA)
STD_ROM_FN(rMrDoUSA)

struct BurnDriver BurnDrvrMrDoUSA = {
	"Mr. Do! (USA)", NULL, NULL, "1986",
	"Mr. Do! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Do! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrDoUSARomInfo, rMrDoUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrNutzEuropeEnFrRomDesc[] = {
	{ "Mr. Nutz (Europe) (En,Fr).sfc",          1048576, 0xbf4fcdf1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrNutzEuropeEnFr)
STD_ROM_FN(rMrNutzEuropeEnFr)

struct BurnDriver BurnDrvrMrNutzEuropeEnFr = {
	"Mr. Nutz (Europe) (En,Fr)", NULL, NULL, "1986",
	"Mr. Nutz (Europe) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Nutz (Europe) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrNutzEuropeEnFrRomInfo, rMrNutzEuropeEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrNutzJapanRomDesc[] = {
	{ "Mr. Nutz (Japan).sfc",          1048576, 0x3dadd536, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrNutzJapan)
STD_ROM_FN(rMrNutzJapan)

struct BurnDriver BurnDrvrMrNutzJapan = {
	"Mr. Nutz (Japan)", NULL, NULL, "1986",
	"Mr. Nutz (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Nutz (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrNutzJapanRomInfo, rMrNutzJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrNutzUSAEnFrRomDesc[] = {
	{ "Mr. Nutz (USA) (En,Fr).sfc",          1048576, 0xa99bdd9a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrNutzUSAEnFr)
STD_ROM_FN(rMrNutzUSAEnFr)

struct BurnDriver BurnDrvrMrNutzUSAEnFr = {
	"Mr. Nutz (USA) (En,Fr)", NULL, NULL, "1986",
	"Mr. Nutz (USA) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Nutz (USA) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrNutzUSAEnFrRomInfo, rMrNutzUSAEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrTuffEuropeEnFrDeEsItProto19941205RomDesc[] = {
	{ "Mr. Tuff (Europe) (En,Fr,De,Es,It) (Proto) (1994-12-05).sfc",          1572864, 0x78cd52d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrTuffEuropeEnFrDeEsItProto19941205)
STD_ROM_FN(rMrTuffEuropeEnFrDeEsItProto19941205)

struct BurnDriver BurnDrvrMrTuffEuropeEnFrDeEsItProto19941205 = {
	"Mr. Tuff (Europe) (En,Fr,De,Es,It) (Proto) (1994-12-05)", NULL, NULL, "1986",
	"Mr. Tuff (Europe) (En,Fr,De,Es,It) (Proto) (1994-12-05)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Tuff (Europe) (En,Fr,De,Es,It) (Proto) (1994-12-05)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrTuffEuropeEnFrDeEsItProto19941205RomInfo, rMrTuffEuropeEnFrDeEsItProto19941205RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMrTuffUSAEnFrDeProto19940712RomDesc[] = {
	{ "Mr. Tuff (USA) (En,Fr,De) (Proto) (1994-07-12).sfc",          1572864, 0x58cd1f5a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMrTuffUSAEnFrDeProto19940712)
STD_ROM_FN(rMrTuffUSAEnFrDeProto19940712)

struct BurnDriver BurnDrvrMrTuffUSAEnFrDeProto19940712 = {
	"Mr. Tuff (USA) (En,Fr,De) (Proto) (1994-07-12)", NULL, NULL, "1986",
	"Mr. Tuff (USA) (En,Fr,De) (Proto) (1994-07-12)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mr. Tuff (USA) (En,Fr,De) (Proto) (1994-07-12)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMrTuffUSAEnFrDeProto19940712RomInfo, rMrTuffUSAEnFrDeProto19940712RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMsPacManEuropeRomDesc[] = {
	{ "Ms. Pac-Man (Europe).sfc",          262144, 0x37c89424, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMsPacManEurope)
STD_ROM_FN(rMsPacManEurope)

struct BurnDriver BurnDrvrMsPacManEurope = {
	"Ms. Pac-Man (Europe)", NULL, NULL, "1986",
	"Ms. Pac-Man (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ms. Pac-Man (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMsPacManEuropeRomInfo, rMsPacManEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMsPacManUSARomDesc[] = {
	{ "Ms. Pac-Man (USA).sfc",          262144, 0x74d210d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMsPacManUSA)
STD_ROM_FN(rMsPacManUSA)

struct BurnDriver BurnDrvrMsPacManUSA = {
	"Ms. Pac-Man (USA)", NULL, NULL, "1986",
	"Ms. Pac-Man (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ms. Pac-Man (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMsPacManUSARomInfo, rMsPacManUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMuhammadAliHeavyweightBoxingUSAProtoRomDesc[] = {
	{ "Muhammad Ali Heavyweight Boxing (USA) (Proto).sfc",          2097152, 0x2972591, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMuhammadAliHeavyweightBoxingUSAProto)
STD_ROM_FN(rMuhammadAliHeavyweightBoxingUSAProto)

struct BurnDriver BurnDrvrMuhammadAliHeavyweightBoxingUSAProto = {
	"Muhammad Ali Heavyweight Boxing (USA) (Proto)", NULL, NULL, "1986",
	"Muhammad Ali Heavyweight Boxing (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Muhammad Ali Heavyweight Boxing (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMuhammadAliHeavyweightBoxingUSAProtoRomInfo, rMuhammadAliHeavyweightBoxingUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMujintouMonogatariJapanRomDesc[] = {
	{ "Mujintou Monogatari (Japan).sfc",          2097152, 0xe984752, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMujintouMonogatariJapan)
STD_ROM_FN(rMujintouMonogatariJapan)

struct BurnDriver BurnDrvrMujintouMonogatariJapan = {
	"Mujintou Monogatari (Japan)", NULL, NULL, "1986",
	"Mujintou Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mujintou Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMujintouMonogatariJapanRomInfo, rMujintouMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMultiPlayVolleyballJapanRomDesc[] = {
	{ "Multi Play Volleyball (Japan).sfc",          1048576, 0x60844b65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMultiPlayVolleyballJapan)
STD_ROM_FN(rMultiPlayVolleyballJapan)

struct BurnDriver BurnDrvrMultiPlayVolleyballJapan = {
	"Multi Play Volleyball (Japan)", NULL, NULL, "1986",
	"Multi Play Volleyball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Multi Play Volleyball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMultiPlayVolleyballJapanRomInfo, rMultiPlayVolleyballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMuscleBomberTheBodyExplosionJapanRomDesc[] = {
	{ "Muscle Bomber - The Body Explosion (Japan).sfc",          3145728, 0xa6e028c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMuscleBomberTheBodyExplosionJapan)
STD_ROM_FN(rMuscleBomberTheBodyExplosionJapan)

struct BurnDriver BurnDrvrMuscleBomberTheBodyExplosionJapan = {
	"Muscle Bomber - The Body Explosion (Japan)", NULL, NULL, "1986",
	"Muscle Bomber - The Body Explosion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Muscle Bomber - The Body Explosion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMuscleBomberTheBodyExplosionJapanRomInfo, rMuscleBomberTheBodyExplosionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMusyaUSARomDesc[] = {
	{ "Musya (USA).sfc",          1048576, 0x11907a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMusyaUSA)
STD_ROM_FN(rMusyaUSA)

struct BurnDriver BurnDrvrMusyaUSA = {
	"Musya (USA)", NULL, NULL, "1986",
	"Musya (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Musya (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMusyaUSARomInfo, rMusyaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMysteryCircleJapanRomDesc[] = {
	{ "Mystery Circle (Japan).sfc",          1048576, 0x7341ce40, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMysteryCircleJapan)
STD_ROM_FN(rMysteryCircleJapan)

struct BurnDriver BurnDrvrMysteryCircleJapan = {
	"Mystery Circle (Japan)", NULL, NULL, "1986",
	"Mystery Circle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mystery Circle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMysteryCircleJapanRomInfo, rMysteryCircleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMysticArkJapanRomDesc[] = {
	{ "Mystic Ark (Japan).sfc",          4194304, 0xfeb80589, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMysticArkJapan)
STD_ROM_FN(rMysticArkJapan)

struct BurnDriver BurnDrvrMysticArkJapan = {
	"Mystic Ark (Japan)", NULL, NULL, "1986",
	"Mystic Ark (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mystic Ark (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMysticArkJapanRomInfo, rMysticArkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMysticQuestLegendEuropeRomDesc[] = {
	{ "Mystic Quest Legend (Europe).sfc",          524288, 0x45a7328f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMysticQuestLegendEurope)
STD_ROM_FN(rMysticQuestLegendEurope)

struct BurnDriver BurnDrvrMysticQuestLegendEurope = {
	"Mystic Quest Legend (Europe)", NULL, NULL, "1986",
	"Mystic Quest Legend (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mystic Quest Legend (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMysticQuestLegendEuropeRomInfo, rMysticQuestLegendEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMysticQuestLegendFranceRomDesc[] = {
	{ "Mystic Quest Legend (France).sfc",          524288, 0xf997debc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMysticQuestLegendFrance)
STD_ROM_FN(rMysticQuestLegendFrance)

struct BurnDriver BurnDrvrMysticQuestLegendFrance = {
	"Mystic Quest Legend (France)", NULL, NULL, "1986",
	"Mystic Quest Legend (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mystic Quest Legend (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMysticQuestLegendFranceRomInfo, rMysticQuestLegendFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rMysticQuestLegendGermanyRomDesc[] = {
	{ "Mystic Quest Legend (Germany).sfc",          524288, 0xf21760df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rMysticQuestLegendGermany)
STD_ROM_FN(rMysticQuestLegendGermany)

struct BurnDriver BurnDrvrMysticQuestLegendGermany = {
	"Mystic Quest Legend (Germany)", NULL, NULL, "1986",
	"Mystic Quest Legend (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Mystic Quest Legend (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rMysticQuestLegendGermanyRomInfo, rMysticQuestLegendGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNageLibreSeijakunoSuishinJapanRomDesc[] = {
	{ "Nage Libre - Seijaku no Suishin (Japan).sfc",          1572864, 0xa98f24e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNageLibreSeijakunoSuishinJapan)
STD_ROM_FN(rNageLibreSeijakunoSuishinJapan)

struct BurnDriver BurnDrvrNageLibreSeijakunoSuishinJapan = {
	"Nage Libre - Seijaku no Suishin (Japan)", NULL, NULL, "1986",
	"Nage Libre - Seijaku no Suishin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nage Libre - Seijaku no Suishin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNageLibreSeijakunoSuishinJapanRomInfo, rNageLibreSeijakunoSuishinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNakajimaSatoruKanshuuF1Hero94JapanRomDesc[] = {
	{ "Nakajima Satoru Kanshuu F-1 Hero '94 (Japan).sfc",          1048576, 0xc708db00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNakajimaSatoruKanshuuF1Hero94Japan)
STD_ROM_FN(rNakajimaSatoruKanshuuF1Hero94Japan)

struct BurnDriver BurnDrvrNakajimaSatoruKanshuuF1Hero94Japan = {
	"Nakajima Satoru Kanshuu F-1 Hero '94 (Japan)", NULL, NULL, "1986",
	"Nakajima Satoru Kanshuu F-1 Hero '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nakajima Satoru Kanshuu F-1 Hero '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNakajimaSatoruKanshuuF1Hero94JapanRomInfo, rNakajimaSatoruKanshuuF1Hero94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNakajimaSatoruKanshuuSuperF1HeroJapanRomDesc[] = {
	{ "Nakajima Satoru Kanshuu Super F-1 Hero (Japan).sfc",          1048576, 0xd7d6a0e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNakajimaSatoruKanshuuSuperF1HeroJapan)
STD_ROM_FN(rNakajimaSatoruKanshuuSuperF1HeroJapan)

struct BurnDriver BurnDrvrNakajimaSatoruKanshuuSuperF1HeroJapan = {
	"Nakajima Satoru Kanshuu Super F-1 Hero (Japan)", NULL, NULL, "1986",
	"Nakajima Satoru Kanshuu Super F-1 Hero (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nakajima Satoru Kanshuu Super F-1 Hero (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNakajimaSatoruKanshuuSuperF1HeroJapanRomInfo, rNakajimaSatoruKanshuuSuperF1HeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNakanoKouichiKanshuuKeirinOuJapanRomDesc[] = {
	{ "Nakano Kouichi Kanshuu Keirin Ou (Japan).sfc",          524288, 0xd90d7c95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNakanoKouichiKanshuuKeirinOuJapan)
STD_ROM_FN(rNakanoKouichiKanshuuKeirinOuJapan)

struct BurnDriver BurnDrvrNakanoKouichiKanshuuKeirinOuJapan = {
	"Nakano Kouichi Kanshuu Keirin Ou (Japan)", NULL, NULL, "1986",
	"Nakano Kouichi Kanshuu Keirin Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nakano Kouichi Kanshuu Keirin Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNakanoKouichiKanshuuKeirinOuJapanRomInfo, rNakanoKouichiKanshuuKeirinOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNakinoRyuuMahjongHishoudenJapanRomDesc[] = {
	{ "Naki no Ryuu - Mahjong Hishouden (Japan).sfc",          1048576, 0xcf2c0800, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNakinoRyuuMahjongHishoudenJapan)
STD_ROM_FN(rNakinoRyuuMahjongHishoudenJapan)

struct BurnDriver BurnDrvrNakinoRyuuMahjongHishoudenJapan = {
	"Naki no Ryuu - Mahjong Hishouden (Japan)", NULL, NULL, "1986",
	"Naki no Ryuu - Mahjong Hishouden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Naki no Ryuu - Mahjong Hishouden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNakinoRyuuMahjongHishoudenJapanRomInfo, rNakinoRyuuMahjongHishoudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNamcotOpenJapanRomDesc[] = {
	{ "Namcot Open (Japan).sfc",          1048576, 0x894ae07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNamcotOpenJapan)
STD_ROM_FN(rNamcotOpenJapan)

struct BurnDriver BurnDrvrNamcotOpenJapan = {
	"Namcot Open (Japan)", NULL, NULL, "1986",
	"Namcot Open (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Namcot Open (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNamcotOpenJapanRomInfo, rNamcotOpenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNangokuShounenPapuwakunJapanRomDesc[] = {
	{ "Nangoku Shounen Papuwa-kun (Japan).sfc",          1048576, 0x8bda9255, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNangokuShounenPapuwakunJapan)
STD_ROM_FN(rNangokuShounenPapuwakunJapan)

struct BurnDriver BurnDrvrNangokuShounenPapuwakunJapan = {
	"Nangoku Shounen Papuwa-kun (Japan)", NULL, NULL, "1986",
	"Nangoku Shounen Papuwa-kun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nangoku Shounen Papuwa-kun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNangokuShounenPapuwakunJapanRomInfo, rNangokuShounenPapuwakunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNaruhodoTheWorldJapanRomDesc[] = {
	{ "Naruhodo! The World (Japan).sfc",          1572864, 0x6460fbbe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNaruhodoTheWorldJapan)
STD_ROM_FN(rNaruhodoTheWorldJapan)

struct BurnDriver BurnDrvrNaruhodoTheWorldJapan = {
	"Naruhodo! The World (Japan)", NULL, NULL, "1986",
	"Naruhodo! The World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Naruhodo! The World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNaruhodoTheWorldJapanRomInfo, rNaruhodoTheWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNatsukiCrisisBattleJapanRomDesc[] = {
	{ "Natsuki Crisis Battle (Japan).sfc",          2621440, 0x97727818, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNatsukiCrisisBattleJapan)
STD_ROM_FN(rNatsukiCrisisBattleJapan)

struct BurnDriver BurnDrvrNatsukiCrisisBattleJapan = {
	"Natsuki Crisis Battle (Japan)", NULL, NULL, "1986",
	"Natsuki Crisis Battle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Natsuki Crisis Battle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNatsukiCrisisBattleJapanRomInfo, rNatsukiCrisisBattleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNatsumeChampionshipWrestlingUSARomDesc[] = {
	{ "Natsume Championship Wrestling (USA).sfc",          2097152, 0xd4dc20e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNatsumeChampionshipWrestlingUSA)
STD_ROM_FN(rNatsumeChampionshipWrestlingUSA)

struct BurnDriver BurnDrvrNatsumeChampionshipWrestlingUSA = {
	"Natsume Championship Wrestling (USA)", NULL, NULL, "1986",
	"Natsume Championship Wrestling (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Natsume Championship Wrestling (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNatsumeChampionshipWrestlingUSARomInfo, rNatsumeChampionshipWrestlingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAAllStarChallengeEuropeRomDesc[] = {
	{ "NBA All-Star Challenge (Europe).sfc",          1048576, 0xb5693b18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAAllStarChallengeEurope)
STD_ROM_FN(rNBAAllStarChallengeEurope)

struct BurnDriver BurnDrvrNBAAllStarChallengeEurope = {
	"NBA All-Star Challenge (Europe)", NULL, NULL, "1986",
	"NBA All-Star Challenge (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA All-Star Challenge (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAAllStarChallengeEuropeRomInfo, rNBAAllStarChallengeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAAllStarChallengeJapanRomDesc[] = {
	{ "NBA All-Star Challenge (Japan).sfc",          1048576, 0xe5014292, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAAllStarChallengeJapan)
STD_ROM_FN(rNBAAllStarChallengeJapan)

struct BurnDriver BurnDrvrNBAAllStarChallengeJapan = {
	"NBA All-Star Challenge (Japan)", NULL, NULL, "1986",
	"NBA All-Star Challenge (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA All-Star Challenge (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAAllStarChallengeJapanRomInfo, rNBAAllStarChallengeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAAllStarChallengeUSARomDesc[] = {
	{ "NBA All-Star Challenge (USA).sfc",          1048576, 0xa905a565, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAAllStarChallengeUSA)
STD_ROM_FN(rNBAAllStarChallengeUSA)

struct BurnDriver BurnDrvrNBAAllStarChallengeUSA = {
	"NBA All-Star Challenge (USA)", NULL, NULL, "1986",
	"NBA All-Star Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA All-Star Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAAllStarChallengeUSARomInfo, rNBAAllStarChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAGivenGoEuropeRomDesc[] = {
	{ "NBA Give 'n Go (Europe).sfc",          2097152, 0xe52b9af6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAGivenGoEurope)
STD_ROM_FN(rNBAGivenGoEurope)

struct BurnDriver BurnDrvrNBAGivenGoEurope = {
	"NBA Give 'n Go (Europe)", NULL, NULL, "1986",
	"NBA Give 'n Go (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Give 'n Go (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAGivenGoEuropeRomInfo, rNBAGivenGoEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAGivenGoUSARomDesc[] = {
	{ "NBA Give 'n Go (USA).sfc",          2097152, 0x68c8b643, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAGivenGoUSA)
STD_ROM_FN(rNBAGivenGoUSA)

struct BurnDriver BurnDrvrNBAGivenGoUSA = {
	"NBA Give 'n Go (USA)", NULL, NULL, "1986",
	"NBA Give 'n Go (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Give 'n Go (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAGivenGoUSARomInfo, rNBAGivenGoUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAHangTimeEuropeRomDesc[] = {
	{ "NBA Hang Time (Europe).sfc",          3145728, 0xf1fe37a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAHangTimeEurope)
STD_ROM_FN(rNBAHangTimeEurope)

struct BurnDriver BurnDrvrNBAHangTimeEurope = {
	"NBA Hang Time (Europe)", NULL, NULL, "1986",
	"NBA Hang Time (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Hang Time (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAHangTimeEuropeRomInfo, rNBAHangTimeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAHangTimeUSARomDesc[] = {
	{ "NBA Hang Time (USA).sfc",          3145728, 0x262ce76b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAHangTimeUSA)
STD_ROM_FN(rNBAHangTimeUSA)

struct BurnDriver BurnDrvrNBAHangTimeUSA = {
	"NBA Hang Time (USA)", NULL, NULL, "1986",
	"NBA Hang Time (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Hang Time (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAHangTimeUSARomInfo, rNBAHangTimeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamEuropeRev1RomDesc[] = {
	{ "NBA Jam (Europe) (Rev 1).sfc",          2097152, 0xfa9a577a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamEuropeRev1)
STD_ROM_FN(rNBAJamEuropeRev1)

struct BurnDriver BurnDrvrNBAJamEuropeRev1 = {
	"NBA Jam (Europe) (Rev 1)", NULL, NULL, "1986",
	"NBA Jam (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamEuropeRev1RomInfo, rNBAJamEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamEuropeRomDesc[] = {
	{ "NBA Jam (Europe).sfc",          2097152, 0x2b8e81c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamEurope)
STD_ROM_FN(rNBAJamEurope)

struct BurnDriver BurnDrvrNBAJamEurope = {
	"NBA Jam (Europe)", NULL, NULL, "1986",
	"NBA Jam (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamEuropeRomInfo, rNBAJamEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamJapanRomDesc[] = {
	{ "NBA Jam (Japan).sfc",          2097152, 0x118b162e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamJapan)
STD_ROM_FN(rNBAJamJapan)

struct BurnDriver BurnDrvrNBAJamJapan = {
	"NBA Jam (Japan)", NULL, NULL, "1986",
	"NBA Jam (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamJapanRomInfo, rNBAJamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamUSARev1RomDesc[] = {
	{ "NBA Jam (USA) (Rev 1).sfc",          2097152, 0x8f42cae7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamUSARev1)
STD_ROM_FN(rNBAJamUSARev1)

struct BurnDriver BurnDrvrNBAJamUSARev1 = {
	"NBA Jam (USA) (Rev 1)", NULL, NULL, "1986",
	"NBA Jam (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamUSARev1RomInfo, rNBAJamUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamUSARomDesc[] = {
	{ "NBA Jam (USA).sfc",          2097152, 0x43f1c013, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamUSA)
STD_ROM_FN(rNBAJamUSA)

struct BurnDriver BurnDrvrNBAJamUSA = {
	"NBA Jam (USA)", NULL, NULL, "1986",
	"NBA Jam (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamUSARomInfo, rNBAJamUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamTournamentEditionEuropeRomDesc[] = {
	{ "NBA Jam - Tournament Edition (Europe).sfc",          3145728, 0xd48c8041, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamTournamentEditionEurope)
STD_ROM_FN(rNBAJamTournamentEditionEurope)

struct BurnDriver BurnDrvrNBAJamTournamentEditionEurope = {
	"NBA Jam - Tournament Edition (Europe)", NULL, NULL, "1986",
	"NBA Jam - Tournament Edition (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam - Tournament Edition (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamTournamentEditionEuropeRomInfo, rNBAJamTournamentEditionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamTournamentEditionJapanRomDesc[] = {
	{ "NBA Jam - Tournament Edition (Japan).sfc",          3145728, 0x3c169224, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamTournamentEditionJapan)
STD_ROM_FN(rNBAJamTournamentEditionJapan)

struct BurnDriver BurnDrvrNBAJamTournamentEditionJapan = {
	"NBA Jam - Tournament Edition (Japan)", NULL, NULL, "1986",
	"NBA Jam - Tournament Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam - Tournament Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamTournamentEditionJapanRomInfo, rNBAJamTournamentEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamTournamentEditionUSABetaRomDesc[] = {
	{ "NBA Jam - Tournament Edition (USA) (Beta).sfc",          3145728, 0x8d7b1828, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamTournamentEditionUSABeta)
STD_ROM_FN(rNBAJamTournamentEditionUSABeta)

struct BurnDriver BurnDrvrNBAJamTournamentEditionUSABeta = {
	"NBA Jam - Tournament Edition (USA) (Beta)", NULL, NULL, "1986",
	"NBA Jam - Tournament Edition (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam - Tournament Edition (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamTournamentEditionUSABetaRomInfo, rNBAJamTournamentEditionUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJamTournamentEditionUSARomDesc[] = {
	{ "NBA Jam - Tournament Edition (USA).sfc",          3145728, 0x1fbc1ddb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJamTournamentEditionUSA)
STD_ROM_FN(rNBAJamTournamentEditionUSA)

struct BurnDriver BurnDrvrNBAJamTournamentEditionUSA = {
	"NBA Jam - Tournament Edition (USA)", NULL, NULL, "1986",
	"NBA Jam - Tournament Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jam - Tournament Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJamTournamentEditionUSARomInfo, rNBAJamTournamentEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAJikkyouBasketWinningDunkJapanRomDesc[] = {
	{ "NBA Jikkyou Basket - Winning Dunk (Japan).sfc",          3145728, 0x7ecaa194, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAJikkyouBasketWinningDunkJapan)
STD_ROM_FN(rNBAJikkyouBasketWinningDunkJapan)

struct BurnDriver BurnDrvrNBAJikkyouBasketWinningDunkJapan = {
	"NBA Jikkyou Basket - Winning Dunk (Japan)", NULL, NULL, "1986",
	"NBA Jikkyou Basket - Winning Dunk (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Jikkyou Basket - Winning Dunk (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAJikkyouBasketWinningDunkJapanRomInfo, rNBAJikkyouBasketWinningDunkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive95EuropeRomDesc[] = {
	{ "NBA Live 95 (Europe).sfc",          1572864, 0x56fdbb8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive95Europe)
STD_ROM_FN(rNBALive95Europe)

struct BurnDriver BurnDrvrNBALive95Europe = {
	"NBA Live 95 (Europe)", NULL, NULL, "1986",
	"NBA Live 95 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 95 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive95EuropeRomInfo, rNBALive95EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive95JapanRomDesc[] = {
	{ "NBA Live 95 (Japan).sfc",          1572864, 0x500f57d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive95Japan)
STD_ROM_FN(rNBALive95Japan)

struct BurnDriver BurnDrvrNBALive95Japan = {
	"NBA Live 95 (Japan)", NULL, NULL, "1986",
	"NBA Live 95 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 95 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive95JapanRomInfo, rNBALive95JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive95USARomDesc[] = {
	{ "NBA Live 95 (USA).sfc",          1572864, 0x1cd2393d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive95USA)
STD_ROM_FN(rNBALive95USA)

struct BurnDriver BurnDrvrNBALive95USA = {
	"NBA Live 95 (USA)", NULL, NULL, "1986",
	"NBA Live 95 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 95 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive95USARomInfo, rNBALive95USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive96EuropeRomDesc[] = {
	{ "NBA Live 96 (Europe).sfc",          1572864, 0x17689c62, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive96Europe)
STD_ROM_FN(rNBALive96Europe)

struct BurnDriver BurnDrvrNBALive96Europe = {
	"NBA Live 96 (Europe)", NULL, NULL, "1986",
	"NBA Live 96 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 96 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive96EuropeRomInfo, rNBALive96EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive96USARomDesc[] = {
	{ "NBA Live 96 (USA).sfc",          1572864, 0x42a6495, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive96USA)
STD_ROM_FN(rNBALive96USA)

struct BurnDriver BurnDrvrNBALive96USA = {
	"NBA Live 96 (USA)", NULL, NULL, "1986",
	"NBA Live 96 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 96 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive96USARomInfo, rNBALive96USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive97EuropeRomDesc[] = {
	{ "NBA Live 97 (Europe).sfc",          2097152, 0x2c680c99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive97Europe)
STD_ROM_FN(rNBALive97Europe)

struct BurnDriver BurnDrvrNBALive97Europe = {
	"NBA Live 97 (Europe)", NULL, NULL, "1986",
	"NBA Live 97 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 97 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive97EuropeRomInfo, rNBALive97EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive97USARomDesc[] = {
	{ "NBA Live 97 (USA).sfc",          2097152, 0x5115b8e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive97USA)
STD_ROM_FN(rNBALive97USA)

struct BurnDriver BurnDrvrNBALive97USA = {
	"NBA Live 97 (USA)", NULL, NULL, "1986",
	"NBA Live 97 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 97 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive97USARomInfo, rNBALive97USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBALive98USARomDesc[] = {
	{ "NBA Live 98 (USA).sfc",          2097152, 0x514bfcb5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBALive98USA)
STD_ROM_FN(rNBALive98USA)

struct BurnDriver BurnDrvrNBALive98USA = {
	"NBA Live 98 (USA)", NULL, NULL, "1986",
	"NBA Live 98 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Live 98 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBALive98USARomInfo, rNBALive98USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAProBasketball94BullsvsSunsJapanRomDesc[] = {
	{ "NBA Pro Basketball '94 - Bulls vs Suns (Japan).sfc",          1048576, 0x573c8a65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAProBasketball94BullsvsSunsJapan)
STD_ROM_FN(rNBAProBasketball94BullsvsSunsJapan)

struct BurnDriver BurnDrvrNBAProBasketball94BullsvsSunsJapan = {
	"NBA Pro Basketball '94 - Bulls vs Suns (Japan)", NULL, NULL, "1986",
	"NBA Pro Basketball '94 - Bulls vs Suns (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Pro Basketball '94 - Bulls vs Suns (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAProBasketball94BullsvsSunsJapanRomInfo, rNBAProBasketball94BullsvsSunsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAProBasketballBullsvsBlazersJapanRomDesc[] = {
	{ "NBA Pro Basketball - Bulls vs Blazers (Japan).sfc",          1048576, 0xc5148840, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAProBasketballBullsvsBlazersJapan)
STD_ROM_FN(rNBAProBasketballBullsvsBlazersJapan)

struct BurnDriver BurnDrvrNBAProBasketballBullsvsBlazersJapan = {
	"NBA Pro Basketball - Bulls vs Blazers (Japan)", NULL, NULL, "1986",
	"NBA Pro Basketball - Bulls vs Blazers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Pro Basketball - Bulls vs Blazers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAProBasketballBullsvsBlazersJapanRomInfo, rNBAProBasketballBullsvsBlazersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAShowdownUSABetaRomDesc[] = {
	{ "NBA Showdown (USA) (Beta).sfc",          1048576, 0x8f3c36ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAShowdownUSABeta)
STD_ROM_FN(rNBAShowdownUSABeta)

struct BurnDriver BurnDrvrNBAShowdownUSABeta = {
	"NBA Showdown (USA) (Beta)", NULL, NULL, "1986",
	"NBA Showdown (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Showdown (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAShowdownUSABetaRomInfo, rNBAShowdownUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNBAShowdownUSARomDesc[] = {
	{ "NBA Showdown (USA).sfc",          1048576, 0x65746f02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNBAShowdownUSA)
STD_ROM_FN(rNBAShowdownUSA)

struct BurnDriver BurnDrvrNBAShowdownUSA = {
	"NBA Showdown (USA)", NULL, NULL, "1986",
	"NBA Showdown (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NBA Showdown (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNBAShowdownUSARomInfo, rNBAShowdownUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNCAABasketballUSABetaRomDesc[] = {
	{ "NCAA Basketball (USA) (Beta).sfc",          1048576, 0x25c43074, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNCAABasketballUSABeta)
STD_ROM_FN(rNCAABasketballUSABeta)

struct BurnDriver BurnDrvrNCAABasketballUSABeta = {
	"NCAA Basketball (USA) (Beta)", NULL, NULL, "1986",
	"NCAA Basketball (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NCAA Basketball (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNCAABasketballUSABetaRomInfo, rNCAABasketballUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNCAABasketballUSARev1RomDesc[] = {
	{ "NCAA Basketball (USA) (Rev 1).sfc",          1048576, 0x200370a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNCAABasketballUSARev1)
STD_ROM_FN(rNCAABasketballUSARev1)

struct BurnDriver BurnDrvrNCAABasketballUSARev1 = {
	"NCAA Basketball (USA) (Rev 1)", NULL, NULL, "1986",
	"NCAA Basketball (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"NCAA Basketball (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNCAABasketballUSARev1RomInfo, rNCAABasketballUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNCAABasketballUSARomDesc[] = {
	{ "NCAA Basketball (USA).sfc",          1048576, 0x8d4c2300, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNCAABasketballUSA)
STD_ROM_FN(rNCAABasketballUSA)

struct BurnDriver BurnDrvrNCAABasketballUSA = {
	"NCAA Basketball (USA)", NULL, NULL, "1986",
	"NCAA Basketball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NCAA Basketball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNCAABasketballUSARomInfo, rNCAABasketballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNCAAFinalFourBasketballUSARomDesc[] = {
	{ "NCAA Final Four Basketball (USA).sfc",          1572864, 0xb07cfa91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNCAAFinalFourBasketballUSA)
STD_ROM_FN(rNCAAFinalFourBasketballUSA)

struct BurnDriver BurnDrvrNCAAFinalFourBasketballUSA = {
	"NCAA Final Four Basketball (USA)", NULL, NULL, "1986",
	"NCAA Final Four Basketball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NCAA Final Four Basketball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNCAAFinalFourBasketballUSARomInfo, rNCAAFinalFourBasketballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNCAAFootballUSARomDesc[] = {
	{ "NCAA Football (USA).sfc",          1048576, 0x2641c12a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNCAAFootballUSA)
STD_ROM_FN(rNCAAFootballUSA)

struct BurnDriver BurnDrvrNCAAFootballUSA = {
	"NCAA Football (USA)", NULL, NULL, "1986",
	"NCAA Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NCAA Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNCAAFootballUSARomInfo, rNCAAFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNekketsuTairikuBurningHeroesJapanRomDesc[] = {
	{ "Nekketsu Tairiku Burning Heroes (Japan).sfc",          2097152, 0xda105a27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNekketsuTairikuBurningHeroesJapan)
STD_ROM_FN(rNekketsuTairikuBurningHeroesJapan)

struct BurnDriver BurnDrvrNekketsuTairikuBurningHeroesJapan = {
	"Nekketsu Tairiku Burning Heroes (Japan)", NULL, NULL, "1986",
	"Nekketsu Tairiku Burning Heroes (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nekketsu Tairiku Burning Heroes (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNekketsuTairikuBurningHeroesJapanRomInfo, rNekketsuTairikuBurningHeroesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNetworkQRallyUSAProtoRomDesc[] = {
	{ "Network Q Rally (USA) (Proto).sfc",          1048576, 0x5b5f152f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNetworkQRallyUSAProto)
STD_ROM_FN(rNetworkQRallyUSAProto)

struct BurnDriver BurnDrvrNetworkQRallyUSAProto = {
	"Network Q Rally (USA) (Proto)", NULL, NULL, "1986",
	"Network Q Rally (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Network Q Rally (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNetworkQRallyUSAProtoRomInfo, rNetworkQRallyUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNeugierUmitoKazenoKodouJapanRomDesc[] = {
	{ "Neugier - Umi to Kaze no Kodou (Japan).sfc",          1048576, 0x7f0ddccf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNeugierUmitoKazenoKodouJapan)
STD_ROM_FN(rNeugierUmitoKazenoKodouJapan)

struct BurnDriver BurnDrvrNeugierUmitoKazenoKodouJapan = {
	"Neugier - Umi to Kaze no Kodou (Japan)", NULL, NULL, "1986",
	"Neugier - Umi to Kaze no Kodou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Neugier - Umi to Kaze no Kodou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNeugierUmitoKazenoKodouJapanRomInfo, rNeugierUmitoKazenoKodouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationDevilsCourseJapanSampleRomDesc[] = {
	{ "New 3D Golf Simulation - Devil's Course (Japan) (Sample).sfc",          524288, 0xe983b63a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationDevilsCourseJapanSample)
STD_ROM_FN(rNew3DGolfSimulationDevilsCourseJapanSample)

struct BurnDriver BurnDrvrNew3DGolfSimulationDevilsCourseJapanSample = {
	"New 3D Golf Simulation - Devil's Course (Japan) (Sample)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Devil's Course (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Devil's Course (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationDevilsCourseJapanSampleRomInfo, rNew3DGolfSimulationDevilsCourseJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationDevilsCourseJapanRomDesc[] = {
	{ "New 3D Golf Simulation - Devil's Course (Japan).sfc",          1048576, 0x640d734f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationDevilsCourseJapan)
STD_ROM_FN(rNew3DGolfSimulationDevilsCourseJapan)

struct BurnDriver BurnDrvrNew3DGolfSimulationDevilsCourseJapan = {
	"New 3D Golf Simulation - Devil's Course (Japan)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Devil's Course (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Devil's Course (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationDevilsCourseJapanRomInfo, rNew3DGolfSimulationDevilsCourseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationHarukanaruAugustaJapanRev1RomDesc[] = {
	{ "New 3D Golf Simulation - Harukanaru Augusta (Japan) (Rev 1).sfc",          1048576, 0xd7e41218, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationHarukanaruAugustaJapanRev1)
STD_ROM_FN(rNew3DGolfSimulationHarukanaruAugustaJapanRev1)

struct BurnDriver BurnDrvrNew3DGolfSimulationHarukanaruAugustaJapanRev1 = {
	"New 3D Golf Simulation - Harukanaru Augusta (Japan) (Rev 1)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Harukanaru Augusta (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Harukanaru Augusta (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationHarukanaruAugustaJapanRev1RomInfo, rNew3DGolfSimulationHarukanaruAugustaJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationHarukanaruAugustaJapanRomDesc[] = {
	{ "New 3D Golf Simulation - Harukanaru Augusta (Japan).sfc",          1048576, 0xb4fd7aff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationHarukanaruAugustaJapan)
STD_ROM_FN(rNew3DGolfSimulationHarukanaruAugustaJapan)

struct BurnDriver BurnDrvrNew3DGolfSimulationHarukanaruAugustaJapan = {
	"New 3D Golf Simulation - Harukanaru Augusta (Japan)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Harukanaru Augusta (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Harukanaru Augusta (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationHarukanaruAugustaJapanRomInfo, rNew3DGolfSimulationHarukanaruAugustaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationPebbleBeachnoHatouJapanRomDesc[] = {
	{ "New 3D Golf Simulation - Pebble Beach no Hatou (Japan).sfc",          1048576, 0xe8a7d379, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationPebbleBeachnoHatouJapan)
STD_ROM_FN(rNew3DGolfSimulationPebbleBeachnoHatouJapan)

struct BurnDriver BurnDrvrNew3DGolfSimulationPebbleBeachnoHatouJapan = {
	"New 3D Golf Simulation - Pebble Beach no Hatou (Japan)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Pebble Beach no Hatou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Pebble Beach no Hatou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationPebbleBeachnoHatouJapanRomInfo, rNew3DGolfSimulationPebbleBeachnoHatouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNew3DGolfSimulationWaialaenoKisekiJapanRomDesc[] = {
	{ "New 3D Golf Simulation - Waialae no Kiseki (Japan).sfc",          1048576, 0x8bafca10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNew3DGolfSimulationWaialaenoKisekiJapan)
STD_ROM_FN(rNew3DGolfSimulationWaialaenoKisekiJapan)

struct BurnDriver BurnDrvrNew3DGolfSimulationWaialaenoKisekiJapan = {
	"New 3D Golf Simulation - Waialae no Kiseki (Japan)", NULL, NULL, "1986",
	"New 3D Golf Simulation - Waialae no Kiseki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"New 3D Golf Simulation - Waialae no Kiseki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNew3DGolfSimulationWaialaenoKisekiJapanRomInfo, rNew3DGolfSimulationWaialaenoKisekiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNewYattermanNandaiKandaiYajirobeeJapanRomDesc[] = {
	{ "New Yatterman - Nandai Kandai Yajirobee (Japan).sfc",          1572864, 0xfacc2423, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNewYattermanNandaiKandaiYajirobeeJapan)
STD_ROM_FN(rNewYattermanNandaiKandaiYajirobeeJapan)

struct BurnDriver BurnDrvrNewYattermanNandaiKandaiYajirobeeJapan = {
	"New Yatterman - Nandai Kandai Yajirobee (Japan)", NULL, NULL, "1986",
	"New Yatterman - Nandai Kandai Yajirobee (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"New Yatterman - Nandai Kandai Yajirobee (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNewYattermanNandaiKandaiYajirobeeJapanRomInfo, rNewYattermanNandaiKandaiYajirobeeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNewmanHaasIndyCarfeaturingNigelMansellEuropeRomDesc[] = {
	{ "Newman-Haas IndyCar featuring Nigel Mansell (Europe).sfc",          2097152, 0x595684af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNewmanHaasIndyCarfeaturingNigelMansellEurope)
STD_ROM_FN(rNewmanHaasIndyCarfeaturingNigelMansellEurope)

struct BurnDriver BurnDrvrNewmanHaasIndyCarfeaturingNigelMansellEurope = {
	"Newman-Haas IndyCar featuring Nigel Mansell (Europe)", NULL, NULL, "1986",
	"Newman-Haas IndyCar featuring Nigel Mansell (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Newman-Haas IndyCar featuring Nigel Mansell (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNewmanHaasIndyCarfeaturingNigelMansellEuropeRomInfo, rNewmanHaasIndyCarfeaturingNigelMansellEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNewmanHaasIndyCarfeaturingNigelMansellJapanRomDesc[] = {
	{ "Newman-Haas IndyCar featuring Nigel Mansell (Japan).sfc",          2097152, 0x546062c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNewmanHaasIndyCarfeaturingNigelMansellJapan)
STD_ROM_FN(rNewmanHaasIndyCarfeaturingNigelMansellJapan)

struct BurnDriver BurnDrvrNewmanHaasIndyCarfeaturingNigelMansellJapan = {
	"Newman-Haas IndyCar featuring Nigel Mansell (Japan)", NULL, NULL, "1986",
	"Newman-Haas IndyCar featuring Nigel Mansell (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Newman-Haas IndyCar featuring Nigel Mansell (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNewmanHaasIndyCarfeaturingNigelMansellJapanRomInfo, rNewmanHaasIndyCarfeaturingNigelMansellJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNewmanHaasIndyCarfeaturingNigelMansellUSARomDesc[] = {
	{ "Newman-Haas IndyCar featuring Nigel Mansell (USA).sfc",          2097152, 0xa0f80c02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNewmanHaasIndyCarfeaturingNigelMansellUSA)
STD_ROM_FN(rNewmanHaasIndyCarfeaturingNigelMansellUSA)

struct BurnDriver BurnDrvrNewmanHaasIndyCarfeaturingNigelMansellUSA = {
	"Newman-Haas IndyCar featuring Nigel Mansell (USA)", NULL, NULL, "1986",
	"Newman-Haas IndyCar featuring Nigel Mansell (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Newman-Haas IndyCar featuring Nigel Mansell (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNewmanHaasIndyCarfeaturingNigelMansellUSARomInfo, rNewmanHaasIndyCarfeaturingNigelMansellUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLFootballEuropeProtoRomDesc[] = {
	{ "NFL Football (Europe) (Proto).sfc",          2097152, 0x126e876f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLFootballEuropeProto)
STD_ROM_FN(rNFLFootballEuropeProto)

struct BurnDriver BurnDrvrNFLFootballEuropeProto = {
	"NFL Football (Europe) (Proto)", NULL, NULL, "1986",
	"NFL Football (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Football (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLFootballEuropeProtoRomInfo, rNFLFootballEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLFootballEuropeRomDesc[] = {
	{ "NFL Football (Europe).sfc",          1048576, 0x5ee9d7e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLFootballEurope)
STD_ROM_FN(rNFLFootballEurope)

struct BurnDriver BurnDrvrNFLFootballEurope = {
	"NFL Football (Europe)", NULL, NULL, "1986",
	"NFL Football (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Football (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLFootballEuropeRomInfo, rNFLFootballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLFootballJapanRomDesc[] = {
	{ "NFL Football (Japan).sfc",          1048576, 0xa4b1dd93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLFootballJapan)
STD_ROM_FN(rNFLFootballJapan)

struct BurnDriver BurnDrvrNFLFootballJapan = {
	"NFL Football (Japan)", NULL, NULL, "1986",
	"NFL Football (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Football (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLFootballJapanRomInfo, rNFLFootballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLFootballUSARomDesc[] = {
	{ "NFL Football (USA).sfc",          1048576, 0xadb7731b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLFootballUSA)
STD_ROM_FN(rNFLFootballUSA)

struct BurnDriver BurnDrvrNFLFootballUSA = {
	"NFL Football (USA)", NULL, NULL, "1986",
	"NFL Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLFootballUSARomInfo, rNFLFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLProFootball94JapanRomDesc[] = {
	{ "NFL Pro Football '94 (Japan).sfc",          1048576, 0x1e4b3858, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLProFootball94Japan)
STD_ROM_FN(rNFLProFootball94Japan)

struct BurnDriver BurnDrvrNFLProFootball94Japan = {
	"NFL Pro Football '94 (Japan)", NULL, NULL, "1986",
	"NFL Pro Football '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Pro Football '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLProFootball94JapanRomInfo, rNFLProFootball94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClub95JapanRomDesc[] = {
	{ "NFL Quarterback Club '95 (Japan).sfc",          3145728, 0x1c036b4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClub95Japan)
STD_ROM_FN(rNFLQuarterbackClub95Japan)

struct BurnDriver BurnDrvrNFLQuarterbackClub95Japan = {
	"NFL Quarterback Club '95 (Japan)", NULL, NULL, "1986",
	"NFL Quarterback Club '95 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club '95 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClub95JapanRomInfo, rNFLQuarterbackClub95JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClubEuropeRomDesc[] = {
	{ "NFL Quarterback Club (Europe).sfc",          3145728, 0x87bc35af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClubEurope)
STD_ROM_FN(rNFLQuarterbackClubEurope)

struct BurnDriver BurnDrvrNFLQuarterbackClubEurope = {
	"NFL Quarterback Club (Europe)", NULL, NULL, "1986",
	"NFL Quarterback Club (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClubEuropeRomInfo, rNFLQuarterbackClubEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClubUSABetaRomDesc[] = {
	{ "NFL Quarterback Club (USA) (Beta).sfc",          3145728, 0x78d10e07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClubUSABeta)
STD_ROM_FN(rNFLQuarterbackClubUSABeta)

struct BurnDriver BurnDrvrNFLQuarterbackClubUSABeta = {
	"NFL Quarterback Club (USA) (Beta)", NULL, NULL, "1986",
	"NFL Quarterback Club (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClubUSABetaRomInfo, rNFLQuarterbackClubUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClubUSARomDesc[] = {
	{ "NFL Quarterback Club (USA).sfc",          3145728, 0x79f16421, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClubUSA)
STD_ROM_FN(rNFLQuarterbackClubUSA)

struct BurnDriver BurnDrvrNFLQuarterbackClubUSA = {
	"NFL Quarterback Club (USA)", NULL, NULL, "1986",
	"NFL Quarterback Club (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClubUSARomInfo, rNFLQuarterbackClubUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClub96EuropeRomDesc[] = {
	{ "NFL Quarterback Club 96 (Europe).sfc",          3145728, 0x9708abe3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClub96Europe)
STD_ROM_FN(rNFLQuarterbackClub96Europe)

struct BurnDriver BurnDrvrNFLQuarterbackClub96Europe = {
	"NFL Quarterback Club 96 (Europe)", NULL, NULL, "1986",
	"NFL Quarterback Club 96 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club 96 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClub96EuropeRomInfo, rNFLQuarterbackClub96EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClub96JapanRomDesc[] = {
	{ "NFL Quarterback Club 96 (Japan).sfc",          3145728, 0x3a4c0de6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClub96Japan)
STD_ROM_FN(rNFLQuarterbackClub96Japan)

struct BurnDriver BurnDrvrNFLQuarterbackClub96Japan = {
	"NFL Quarterback Club 96 (Japan)", NULL, NULL, "1986",
	"NFL Quarterback Club 96 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club 96 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClub96JapanRomInfo, rNFLQuarterbackClub96JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClub96USABetaRomDesc[] = {
	{ "NFL Quarterback Club 96 (USA) (Beta).sfc",          3145728, 0xb87abc7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClub96USABeta)
STD_ROM_FN(rNFLQuarterbackClub96USABeta)

struct BurnDriver BurnDrvrNFLQuarterbackClub96USABeta = {
	"NFL Quarterback Club 96 (USA) (Beta)", NULL, NULL, "1986",
	"NFL Quarterback Club 96 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club 96 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClub96USABetaRomInfo, rNFLQuarterbackClub96USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNFLQuarterbackClub96USARomDesc[] = {
	{ "NFL Quarterback Club 96 (USA).sfc",          3145728, 0xe557689f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNFLQuarterbackClub96USA)
STD_ROM_FN(rNFLQuarterbackClub96USA)

struct BurnDriver BurnDrvrNFLQuarterbackClub96USA = {
	"NFL Quarterback Club 96 (USA)", NULL, NULL, "1986",
	"NFL Quarterback Club 96 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NFL Quarterback Club 96 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNFLQuarterbackClub96USARomInfo, rNFLQuarterbackClub96USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL94EuropeRomDesc[] = {
	{ "NHL '94 (Europe).sfc",          1048576, 0x208fbf59, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL94Europe)
STD_ROM_FN(rNHL94Europe)

struct BurnDriver BurnDrvrNHL94Europe = {
	"NHL '94 (Europe)", NULL, NULL, "1986",
	"NHL '94 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '94 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL94EuropeRomInfo, rNHL94EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL94USABetaRomDesc[] = {
	{ "NHL '94 (USA) (Beta).sfc",          1048576, 0xff0c74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL94USABeta)
STD_ROM_FN(rNHL94USABeta)

struct BurnDriver BurnDrvrNHL94USABeta = {
	"NHL '94 (USA) (Beta)", NULL, NULL, "1986",
	"NHL '94 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '94 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL94USABetaRomInfo, rNHL94USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL94USARomDesc[] = {
	{ "NHL '94 (USA).sfc",          1048576, 0x42212a77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL94USA)
STD_ROM_FN(rNHL94USA)

struct BurnDriver BurnDrvrNHL94USA = {
	"NHL '94 (USA)", NULL, NULL, "1986",
	"NHL '94 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '94 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL94USARomInfo, rNHL94USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL95EuropeRomDesc[] = {
	{ "NHL '95 (Europe).sfc",          1048576, 0x6930b67a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL95Europe)
STD_ROM_FN(rNHL95Europe)

struct BurnDriver BurnDrvrNHL95Europe = {
	"NHL '95 (Europe)", NULL, NULL, "1986",
	"NHL '95 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '95 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL95EuropeRomInfo, rNHL95EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL95USARomDesc[] = {
	{ "NHL '95 (USA).sfc",          1048576, 0x2e9b1463, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL95USA)
STD_ROM_FN(rNHL95USA)

struct BurnDriver BurnDrvrNHL95USA = {
	"NHL '95 (USA)", NULL, NULL, "1986",
	"NHL '95 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '95 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL95USARomInfo, rNHL95USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL96EuropeRomDesc[] = {
	{ "NHL '96 (Europe).sfc",          1572864, 0x148b2734, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL96Europe)
STD_ROM_FN(rNHL96Europe)

struct BurnDriver BurnDrvrNHL96Europe = {
	"NHL '96 (Europe)", NULL, NULL, "1986",
	"NHL '96 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '96 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL96EuropeRomInfo, rNHL96EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL96USARomDesc[] = {
	{ "NHL '96 (USA).sfc",          1572864, 0xb6c6e7f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL96USA)
STD_ROM_FN(rNHL96USA)

struct BurnDriver BurnDrvrNHL96USA = {
	"NHL '96 (USA)", NULL, NULL, "1986",
	"NHL '96 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '96 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL96USARomInfo, rNHL96USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL97EuropeRev1RomDesc[] = {
	{ "NHL '97 (Europe) (Rev 1).sfc",          1572864, 0x1a53b7a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL97EuropeRev1)
STD_ROM_FN(rNHL97EuropeRev1)

struct BurnDriver BurnDrvrNHL97EuropeRev1 = {
	"NHL '97 (Europe) (Rev 1)", NULL, NULL, "1986",
	"NHL '97 (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '97 (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL97EuropeRev1RomInfo, rNHL97EuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL97EuropeRomDesc[] = {
	{ "NHL '97 (Europe).sfc",          1572864, 0x313b9622, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL97Europe)
STD_ROM_FN(rNHL97Europe)

struct BurnDriver BurnDrvrNHL97Europe = {
	"NHL '97 (Europe)", NULL, NULL, "1986",
	"NHL '97 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '97 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL97EuropeRomInfo, rNHL97EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL97USABetaRomDesc[] = {
	{ "NHL '97 (USA) (Beta).sfc",          1572864, 0x91da8d5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL97USABeta)
STD_ROM_FN(rNHL97USABeta)

struct BurnDriver BurnDrvrNHL97USABeta = {
	"NHL '97 (USA) (Beta)", NULL, NULL, "1986",
	"NHL '97 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '97 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL97USABetaRomInfo, rNHL97USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL97USARomDesc[] = {
	{ "NHL '97 (USA).sfc",          1572864, 0x6badb74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL97USA)
STD_ROM_FN(rNHL97USA)

struct BurnDriver BurnDrvrNHL97USA = {
	"NHL '97 (USA)", NULL, NULL, "1986",
	"NHL '97 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '97 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL97USARomInfo, rNHL97USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHL98USARomDesc[] = {
	{ "NHL '98 (USA).sfc",          2097152, 0x3cad2d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHL98USA)
STD_ROM_FN(rNHL98USA)

struct BurnDriver BurnDrvrNHL98USA = {
	"NHL '98 (USA)", NULL, NULL, "1986",
	"NHL '98 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL '98 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHL98USARomInfo, rNHL98USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHLProHockey94JapanRomDesc[] = {
	{ "NHL Pro Hockey '94 (Japan).sfc",          1048576, 0xbc37d603, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHLProHockey94Japan)
STD_ROM_FN(rNHLProHockey94Japan)

struct BurnDriver BurnDrvrNHLProHockey94Japan = {
	"NHL Pro Hockey '94 (Japan)", NULL, NULL, "1986",
	"NHL Pro Hockey '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL Pro Hockey '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHLProHockey94JapanRomInfo, rNHLProHockey94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHLStanleyCupUSAEnFrRomDesc[] = {
	{ "NHL Stanley Cup (USA) (En,Fr).sfc",          1048576, 0x584ce502, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHLStanleyCupUSAEnFr)
STD_ROM_FN(rNHLStanleyCupUSAEnFr)

struct BurnDriver BurnDrvrNHLStanleyCupUSAEnFr = {
	"NHL Stanley Cup (USA) (En,Fr)", NULL, NULL, "1986",
	"NHL Stanley Cup (USA) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHL Stanley Cup (USA) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHLStanleyCupUSAEnFrRomInfo, rNHLStanleyCupUSAEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHLPAHockey93EuropeRomDesc[] = {
	{ "NHLPA Hockey '93 (Europe).sfc",          524288, 0xad70faf2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHLPAHockey93Europe)
STD_ROM_FN(rNHLPAHockey93Europe)

struct BurnDriver BurnDrvrNHLPAHockey93Europe = {
	"NHLPA Hockey '93 (Europe)", NULL, NULL, "1986",
	"NHLPA Hockey '93 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHLPA Hockey '93 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHLPAHockey93EuropeRomInfo, rNHLPAHockey93EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNHLPAHockey93USARomDesc[] = {
	{ "NHLPA Hockey '93 (USA).sfc",          524288, 0xc858eac4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNHLPAHockey93USA)
STD_ROM_FN(rNHLPAHockey93USA)

struct BurnDriver BurnDrvrNHLPAHockey93USA = {
	"NHLPA Hockey '93 (USA)", NULL, NULL, "1986",
	"NHLPA Hockey '93 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"NHLPA Hockey '93 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNHLPAHockey93USARomInfo, rNHLPAHockey93USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNicedeShotJapanRomDesc[] = {
	{ "Nice de Shot (Japan).sfc",          1572864, 0x47abb4df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNicedeShotJapan)
STD_ROM_FN(rNicedeShotJapan)

struct BurnDriver BurnDrvrNicedeShotJapan = {
	"Nice de Shot (Japan)", NULL, NULL, "1986",
	"Nice de Shot (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nice de Shot (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNicedeShotJapanRomInfo, rNicedeShotJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNichibutsuArcadeClassicsJapanRomDesc[] = {
	{ "Nichibutsu Arcade Classics (Japan).sfc",          524288, 0x2839940e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNichibutsuArcadeClassicsJapan)
STD_ROM_FN(rNichibutsuArcadeClassicsJapan)

struct BurnDriver BurnDrvrNichibutsuArcadeClassicsJapan = {
	"Nichibutsu Arcade Classics (Japan)", NULL, NULL, "1986",
	"Nichibutsu Arcade Classics (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nichibutsu Arcade Classics (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNichibutsuArcadeClassicsJapanRomInfo, rNichibutsuArcadeClassicsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNichibutsuArcadeClassics2HeiankyouAlienJapanRomDesc[] = {
	{ "Nichibutsu Arcade Classics 2 - Heiankyou Alien (Japan).sfc",          524288, 0x65717023, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNichibutsuArcadeClassics2HeiankyouAlienJapan)
STD_ROM_FN(rNichibutsuArcadeClassics2HeiankyouAlienJapan)

struct BurnDriver BurnDrvrNichibutsuArcadeClassics2HeiankyouAlienJapan = {
	"Nichibutsu Arcade Classics 2 - Heiankyou Alien (Japan)", NULL, NULL, "1986",
	"Nichibutsu Arcade Classics 2 - Heiankyou Alien (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nichibutsu Arcade Classics 2 - Heiankyou Alien (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNichibutsuArcadeClassics2HeiankyouAlienJapanRomInfo, rNichibutsuArcadeClassics2HeiankyouAlienJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNichibutsuCollection1JapanRomDesc[] = {
	{ "Nichibutsu Collection 1 (Japan).sfc",          2097152, 0xa8a85c55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNichibutsuCollection1Japan)
STD_ROM_FN(rNichibutsuCollection1Japan)

struct BurnDriver BurnDrvrNichibutsuCollection1Japan = {
	"Nichibutsu Collection 1 (Japan)", NULL, NULL, "1986",
	"Nichibutsu Collection 1 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nichibutsu Collection 1 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNichibutsuCollection1JapanRomInfo, rNichibutsuCollection1JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNichibutsuCollection2JapanRomDesc[] = {
	{ "Nichibutsu Collection 2 (Japan).sfc",          1572864, 0x5dd9af58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNichibutsuCollection2Japan)
STD_ROM_FN(rNichibutsuCollection2Japan)

struct BurnDriver BurnDrvrNichibutsuCollection2Japan = {
	"Nichibutsu Collection 2 (Japan)", NULL, NULL, "1986",
	"Nichibutsu Collection 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nichibutsu Collection 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNichibutsuCollection2JapanRomInfo, rNichibutsuCollection2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNickelodeonGUTSUSARomDesc[] = {
	{ "Nickelodeon GUTS (USA).sfc",          1572864, 0x233fec8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNickelodeonGUTSUSA)
STD_ROM_FN(rNickelodeonGUTSUSA)

struct BurnDriver BurnDrvrNickelodeonGUTSUSA = {
	"Nickelodeon GUTS (USA)", NULL, NULL, "1986",
	"Nickelodeon GUTS (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nickelodeon GUTS (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNickelodeonGUTSUSARomInfo, rNickelodeonGUTSUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNigelMansellF1ChallengeJapanRomDesc[] = {
	{ "Nigel Mansell F-1 Challenge (Japan).sfc",          1048576, 0x40b0c585, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNigelMansellF1ChallengeJapan)
STD_ROM_FN(rNigelMansellF1ChallengeJapan)

struct BurnDriver BurnDrvrNigelMansellF1ChallengeJapan = {
	"Nigel Mansell F-1 Challenge (Japan)", NULL, NULL, "1986",
	"Nigel Mansell F-1 Challenge (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nigel Mansell F-1 Challenge (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNigelMansellF1ChallengeJapanRomInfo, rNigelMansellF1ChallengeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNigelMansellsWorldChampionshipRacingEuropeGremlinGraphicsRomDesc[] = {
	{ "Nigel Mansell's World Championship Racing (Europe) (Gremlin Graphics).sfc",          1048576, 0x83eb5296, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNigelMansellsWorldChampionshipRacingEuropeGremlinGraphics)
STD_ROM_FN(rNigelMansellsWorldChampionshipRacingEuropeGremlinGraphics)

struct BurnDriver BurnDrvrNigelMansellsWorldChampionshipRacingEuropeGremlinGraphics = {
	"Nigel Mansell's World Championship Racing (Europe) (Gremlin Graphics)", NULL, NULL, "1986",
	"Nigel Mansell's World Championship Racing (Europe) (Gremlin Graphics)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nigel Mansell's World Championship Racing (Europe) (Gremlin Graphics)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNigelMansellsWorldChampionshipRacingEuropeGremlinGraphicsRomInfo, rNigelMansellsWorldChampionshipRacingEuropeGremlinGraphicsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNigelMansellsWorldChampionshipRacingEuropeRev1RomDesc[] = {
	{ "Nigel Mansell's World Championship Racing (Europe) (Rev 1).sfc",          1048576, 0xc65e0e5b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNigelMansellsWorldChampionshipRacingEuropeRev1)
STD_ROM_FN(rNigelMansellsWorldChampionshipRacingEuropeRev1)

struct BurnDriver BurnDrvrNigelMansellsWorldChampionshipRacingEuropeRev1 = {
	"Nigel Mansell's World Championship Racing (Europe) (Rev 1)", NULL, NULL, "1986",
	"Nigel Mansell's World Championship Racing (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nigel Mansell's World Championship Racing (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNigelMansellsWorldChampionshipRacingEuropeRev1RomInfo, rNigelMansellsWorldChampionshipRacingEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNigelMansellsWorldChampionshipRacingEuropeRomDesc[] = {
	{ "Nigel Mansell's World Championship Racing (Europe).sfc",          1048576, 0xfc23e228, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNigelMansellsWorldChampionshipRacingEurope)
STD_ROM_FN(rNigelMansellsWorldChampionshipRacingEurope)

struct BurnDriver BurnDrvrNigelMansellsWorldChampionshipRacingEurope = {
	"Nigel Mansell's World Championship Racing (Europe)", NULL, NULL, "1986",
	"Nigel Mansell's World Championship Racing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nigel Mansell's World Championship Racing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNigelMansellsWorldChampionshipRacingEuropeRomInfo, rNigelMansellsWorldChampionshipRacingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNigelMansellsWorldChampionshipRacingUSARomDesc[] = {
	{ "Nigel Mansell's World Championship Racing (USA).sfc",          1048576, 0x162252e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNigelMansellsWorldChampionshipRacingUSA)
STD_ROM_FN(rNigelMansellsWorldChampionshipRacingUSA)

struct BurnDriver BurnDrvrNigelMansellsWorldChampionshipRacingUSA = {
	"Nigel Mansell's World Championship Racing (USA)", NULL, NULL, "1986",
	"Nigel Mansell's World Championship Racing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nigel Mansell's World Championship Racing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNigelMansellsWorldChampionshipRacingUSARomInfo, rNigelMansellsWorldChampionshipRacingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNightmareBustersEuropeProtoRomDesc[] = {
	{ "Nightmare Busters (Europe) (Proto).sfc",          1048576, 0x5327c524, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNightmareBustersEuropeProto)
STD_ROM_FN(rNightmareBustersEuropeProto)

struct BurnDriver BurnDrvrNightmareBustersEuropeProto = {
	"Nightmare Busters (Europe) (Proto)", NULL, NULL, "1986",
	"Nightmare Busters (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nightmare Busters (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNightmareBustersEuropeProtoRomInfo, rNightmareBustersEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNinjaGaidenTrilogyUSARomDesc[] = {
	{ "Ninja Gaiden Trilogy (USA).sfc",          1572864, 0x66fe797, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNinjaGaidenTrilogyUSA)
STD_ROM_FN(rNinjaGaidenTrilogyUSA)

struct BurnDriver BurnDrvrNinjaGaidenTrilogyUSA = {
	"Ninja Gaiden Trilogy (USA)", NULL, NULL, "1986",
	"Ninja Gaiden Trilogy (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ninja Gaiden Trilogy (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNinjaGaidenTrilogyUSARomInfo, rNinjaGaidenTrilogyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNinjaRyuukendenTomoeJapanRomDesc[] = {
	{ "Ninja Ryuukenden Tomoe (Japan).sfc",          1572864, 0x5995cf46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNinjaRyuukendenTomoeJapan)
STD_ROM_FN(rNinjaRyuukendenTomoeJapan)

struct BurnDriver BurnDrvrNinjaRyuukendenTomoeJapan = {
	"Ninja Ryuukenden Tomoe (Japan)", NULL, NULL, "1986",
	"Ninja Ryuukenden Tomoe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ninja Ryuukenden Tomoe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNinjaRyuukendenTomoeJapanRomInfo, rNinjaRyuukendenTomoeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNinjawarriorsAgainTheJapanRomDesc[] = {
	{ "Ninjawarriors Again, The (Japan).sfc",          1572864, 0x3bc037b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNinjawarriorsAgainTheJapan)
STD_ROM_FN(rNinjawarriorsAgainTheJapan)

struct BurnDriver BurnDrvrNinjawarriorsAgainTheJapan = {
	"Ninjawarriors Again, The (Japan)", NULL, NULL, "1986",
	"Ninjawarriors Again, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ninjawarriors Again, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNinjawarriorsAgainTheJapanRomInfo, rNinjawarriorsAgainTheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNinjawarriorsTheUSARomDesc[] = {
	{ "Ninjawarriors, The (USA).sfc",          1572864, 0x7537d8d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNinjawarriorsTheUSA)
STD_ROM_FN(rNinjawarriorsTheUSA)

struct BurnDriver BurnDrvrNinjawarriorsTheUSA = {
	"Ninjawarriors, The (USA)", NULL, NULL, "1986",
	"Ninjawarriors, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ninjawarriors, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNinjawarriorsTheUSARomInfo, rNinjawarriorsTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNinjawarriorsTheTheNewGenerationEuropeRomDesc[] = {
	{ "Ninjawarriors, The - The New Generation (Europe).sfc",          1572864, 0x733764d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNinjawarriorsTheTheNewGenerationEurope)
STD_ROM_FN(rNinjawarriorsTheTheNewGenerationEurope)

struct BurnDriver BurnDrvrNinjawarriorsTheTheNewGenerationEurope = {
	"Ninjawarriors, The - The New Generation (Europe)", NULL, NULL, "1986",
	"Ninjawarriors, The - The New Generation (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ninjawarriors, The - The New Generation (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNinjawarriorsTheTheNewGenerationEuropeRomInfo, rNinjawarriorsTheTheNewGenerationEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintamaRantarouJapanRomDesc[] = {
	{ "Nintama Rantarou (Japan).sfc",          1572864, 0x359f02af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintamaRantarouJapan)
STD_ROM_FN(rNintamaRantarouJapan)

struct BurnDriver BurnDrvrNintamaRantarouJapan = {
	"Nintama Rantarou (Japan)", NULL, NULL, "1986",
	"Nintama Rantarou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintama Rantarou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintamaRantarouJapanRomInfo, rNintamaRantarouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintamaRantarou2JapanBSRomDesc[] = {
	{ "Nintama Rantarou 2 (Japan) (BS).sfc",          1048576, 0xdc9db257, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintamaRantarou2JapanBS)
STD_ROM_FN(rNintamaRantarou2JapanBS)

struct BurnDriver BurnDrvrNintamaRantarou2JapanBS = {
	"Nintama Rantarou 2 (Japan) (BS)", NULL, NULL, "1986",
	"Nintama Rantarou 2 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintama Rantarou 2 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintamaRantarou2JapanBSRomInfo, rNintamaRantarou2JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintamaRantarou2JapanRomDesc[] = {
	{ "Nintama Rantarou 2 (Japan).sfc",          1048576, 0x78a066f1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintamaRantarou2Japan)
STD_ROM_FN(rNintamaRantarou2Japan)

struct BurnDriver BurnDrvrNintamaRantarou2Japan = {
	"Nintama Rantarou 2 (Japan)", NULL, NULL, "1986",
	"Nintama Rantarou 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintama Rantarou 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintamaRantarou2JapanRomInfo, rNintamaRantarou2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintamaRantarou3JapanRomDesc[] = {
	{ "Nintama Rantarou 3 (Japan).sfc",          1048576, 0x9ed8f6b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintamaRantarou3Japan)
STD_ROM_FN(rNintamaRantarou3Japan)

struct BurnDriver BurnDrvrNintamaRantarou3Japan = {
	"Nintama Rantarou 3 (Japan)", NULL, NULL, "1986",
	"Nintama Rantarou 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintama Rantarou 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintamaRantarou3JapanRomInfo, rNintamaRantarou3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintamaRantarouSpecialJapanRomDesc[] = {
	{ "Nintama Rantarou Special (Japan).sfc",          524288, 0x70a6029a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintamaRantarouSpecialJapan)
STD_ROM_FN(rNintamaRantarouSpecialJapan)

struct BurnDriver BurnDrvrNintamaRantarouSpecialJapan = {
	"Nintama Rantarou Special (Japan)", NULL, NULL, "1986",
	"Nintama Rantarou Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintama Rantarou Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintamaRantarouSpecialJapanRomInfo, rNintamaRantarouSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintendoPowerMagazine107JapanBSRomDesc[] = {
	{ "Nintendo Power Magazine 107 (Japan) (BS).sfc",          524288, 0x1622eb2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintendoPowerMagazine107JapanBS)
STD_ROM_FN(rNintendoPowerMagazine107JapanBS)

struct BurnDriver BurnDrvrNintendoPowerMagazine107JapanBS = {
	"Nintendo Power Magazine 107 (Japan) (BS)", NULL, NULL, "1986",
	"Nintendo Power Magazine 107 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintendo Power Magazine 107 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintendoPowerMagazine107JapanBSRomInfo, rNintendoPowerMagazine107JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintendoPowerMenuProgramJapanNPRomDesc[] = {
	{ "Nintendo Power Menu Program (Japan) (NP).sfc",          524288, 0x65fe9a35, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintendoPowerMenuProgramJapanNP)
STD_ROM_FN(rNintendoPowerMenuProgramJapanNP)

struct BurnDriver BurnDrvrNintendoPowerMenuProgramJapanNP = {
	"Nintendo Power Menu Program (Japan) (NP)", NULL, NULL, "1986",
	"Nintendo Power Menu Program (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintendo Power Menu Program (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintendoPowerMenuProgramJapanNPRomInfo, rNintendoPowerMenuProgramJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintendoPowerMenuProgramJapanRev1NPRomDesc[] = {
	{ "Nintendo Power Menu Program (Japan) (Rev 1) (NP).sfc",          524288, 0x9f2a7ca7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintendoPowerMenuProgramJapanRev1NP)
STD_ROM_FN(rNintendoPowerMenuProgramJapanRev1NP)

struct BurnDriver BurnDrvrNintendoPowerMenuProgramJapanRev1NP = {
	"Nintendo Power Menu Program (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Nintendo Power Menu Program (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintendo Power Menu Program (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintendoPowerMenuProgramJapanRev1NPRomInfo, rNintendoPowerMenuProgramJapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNintendoScope6EuropeRomDesc[] = {
	{ "Nintendo Scope 6 (Europe).sfc",          1048576, 0xb1859ca4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNintendoScope6Europe)
STD_ROM_FN(rNintendoScope6Europe)

struct BurnDriver BurnDrvrNintendoScope6Europe = {
	"Nintendo Scope 6 (Europe)", NULL, NULL, "1986",
	"Nintendo Scope 6 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nintendo Scope 6 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNintendoScope6EuropeRomInfo, rNintendoScope6EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNishijinPachinko3JapanRomDesc[] = {
	{ "Nishijin Pachinko 3 (Japan).sfc",          1310720, 0x7d149029, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNishijinPachinko3Japan)
STD_ROM_FN(rNishijinPachinko3Japan)

struct BurnDriver BurnDrvrNishijinPachinko3Japan = {
	"Nishijin Pachinko 3 (Japan)", NULL, NULL, "1986",
	"Nishijin Pachinko 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nishijin Pachinko 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNishijinPachinko3JapanRomInfo, rNishijinPachinko3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNishijinPachinkoMonogatariJapanRomDesc[] = {
	{ "Nishijin Pachinko Monogatari (Japan).sfc",          1048576, 0x13648b68, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNishijinPachinkoMonogatariJapan)
STD_ROM_FN(rNishijinPachinkoMonogatariJapan)

struct BurnDriver BurnDrvrNishijinPachinkoMonogatariJapan = {
	"Nishijin Pachinko Monogatari (Japan)", NULL, NULL, "1986",
	"Nishijin Pachinko Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nishijin Pachinko Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNishijinPachinkoMonogatariJapanRomInfo, rNishijinPachinkoMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNishijinPachinkoMonogatari2JapanRomDesc[] = {
	{ "Nishijin Pachinko Monogatari 2 (Japan).sfc",          2097152, 0x3da9bb8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNishijinPachinkoMonogatari2Japan)
STD_ROM_FN(rNishijinPachinkoMonogatari2Japan)

struct BurnDriver BurnDrvrNishijinPachinkoMonogatari2Japan = {
	"Nishijin Pachinko Monogatari 2 (Japan)", NULL, NULL, "1986",
	"Nishijin Pachinko Monogatari 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nishijin Pachinko Monogatari 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNishijinPachinkoMonogatari2JapanRomInfo, rNishijinPachinkoMonogatari2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNitropunksMightHeadsJapanRomDesc[] = {
	{ "Nitropunks - Might Heads (Japan).sfc",          1048576, 0x5d8426e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNitropunksMightHeadsJapan)
STD_ROM_FN(rNitropunksMightHeadsJapan)

struct BurnDriver BurnDrvrNitropunksMightHeadsJapan = {
	"Nitropunks - Might Heads (Japan)", NULL, NULL, "1986",
	"Nitropunks - Might Heads (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nitropunks - Might Heads (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNitropunksMightHeadsJapanRomInfo, rNitropunksMightHeadsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNoEscapeUSARomDesc[] = {
	{ "No Escape (USA).sfc",          2097152, 0xc1082880, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNoEscapeUSA)
STD_ROM_FN(rNoEscapeUSA)

struct BurnDriver BurnDrvrNoEscapeUSA = {
	"No Escape (USA)", NULL, NULL, "1986",
	"No Escape (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"No Escape (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNoEscapeUSARomInfo, rNoEscapeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNobunaganoYabouHaoudenJapanRev1RomDesc[] = {
	{ "Nobunaga no Yabou - Haouden (Japan) (Rev 1).sfc",          2097152, 0x7e91d654, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNobunaganoYabouHaoudenJapanRev1)
STD_ROM_FN(rNobunaganoYabouHaoudenJapanRev1)

struct BurnDriver BurnDrvrNobunaganoYabouHaoudenJapanRev1 = {
	"Nobunaga no Yabou - Haouden (Japan) (Rev 1)", NULL, NULL, "1986",
	"Nobunaga no Yabou - Haouden (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nobunaga no Yabou - Haouden (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNobunaganoYabouHaoudenJapanRev1RomInfo, rNobunaganoYabouHaoudenJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNobunaganoYabouHaoudenJapanRomDesc[] = {
	{ "Nobunaga no Yabou - Haouden (Japan).sfc",          2097152, 0x928504a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNobunaganoYabouHaoudenJapan)
STD_ROM_FN(rNobunaganoYabouHaoudenJapan)

struct BurnDriver BurnDrvrNobunaganoYabouHaoudenJapan = {
	"Nobunaga no Yabou - Haouden (Japan)", NULL, NULL, "1986",
	"Nobunaga no Yabou - Haouden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nobunaga no Yabou - Haouden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNobunaganoYabouHaoudenJapanRomInfo, rNobunaganoYabouHaoudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNobunaganoYabouTenshoukiJapanRomDesc[] = {
	{ "Nobunaga no Yabou - Tenshouki (Japan).sfc",          3145728, 0xb190d1ea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNobunaganoYabouTenshoukiJapan)
STD_ROM_FN(rNobunaganoYabouTenshoukiJapan)

struct BurnDriver BurnDrvrNobunaganoYabouTenshoukiJapan = {
	"Nobunaga no Yabou - Tenshouki (Japan)", NULL, NULL, "1986",
	"Nobunaga no Yabou - Tenshouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nobunaga no Yabou - Tenshouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNobunaganoYabouTenshoukiJapanRomInfo, rNobunaganoYabouTenshoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNobunagasAmbitionUSARomDesc[] = {
	{ "Nobunaga's Ambition (USA).sfc",          524288, 0x49da3583, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNobunagasAmbitionUSA)
STD_ROM_FN(rNobunagasAmbitionUSA)

struct BurnDriver BurnDrvrNobunagasAmbitionUSA = {
	"Nobunaga's Ambition (USA)", NULL, NULL, "1986",
	"Nobunaga's Ambition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nobunaga's Ambition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNobunagasAmbitionUSARomInfo, rNobunagasAmbitionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNobunagasAmbitionLordofDarknessUSARomDesc[] = {
	{ "Nobunaga's Ambition - Lord of Darkness (USA).sfc",          1048576, 0x4d7b39cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNobunagasAmbitionLordofDarknessUSA)
STD_ROM_FN(rNobunagasAmbitionLordofDarknessUSA)

struct BurnDriver BurnDrvrNobunagasAmbitionLordofDarknessUSA = {
	"Nobunaga's Ambition - Lord of Darkness (USA)", NULL, NULL, "1986",
	"Nobunaga's Ambition - Lord of Darkness (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nobunaga's Ambition - Lord of Darkness (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNobunagasAmbitionLordofDarknessUSARomInfo, rNobunagasAmbitionLordofDarknessUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNolanRyansBaseballUSARomDesc[] = {
	{ "Nolan Ryan's Baseball (USA).sfc",          524288, 0x1919baff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNolanRyansBaseballUSA)
STD_ROM_FN(rNolanRyansBaseballUSA)

struct BurnDriver BurnDrvrNolanRyansBaseballUSA = {
	"Nolan Ryan's Baseball (USA)", NULL, NULL, "1986",
	"Nolan Ryan's Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nolan Ryan's Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNolanRyansBaseballUSARomInfo, rNolanRyansBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNomarkBakuHaitouShijouSaikyounoJanshitachiJapanRomDesc[] = {
	{ "Nomark Baku Haitou - Shijou Saikyou no Janshi-tachi (Japan).sfc",          1572864, 0x41dffe15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNomarkBakuHaitouShijouSaikyounoJanshitachiJapan)
STD_ROM_FN(rNomarkBakuHaitouShijouSaikyounoJanshitachiJapan)

struct BurnDriver BurnDrvrNomarkBakuHaitouShijouSaikyounoJanshitachiJapan = {
	"Nomark Baku Haitou - Shijou Saikyou no Janshi-tachi (Japan)", NULL, NULL, "1986",
	"Nomark Baku Haitou - Shijou Saikyou no Janshi-tachi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nomark Baku Haitou - Shijou Saikyou no Janshi-tachi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNomarkBakuHaitouShijouSaikyounoJanshitachiJapanRomInfo, rNomarkBakuHaitouShijouSaikyounoJanshitachiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNontantoIsshoKurukuruPuzzleJapanRomDesc[] = {
	{ "Nontan to Issho - Kurukuru Puzzle (Japan).sfc",          524288, 0xde346477, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNontantoIsshoKurukuruPuzzleJapan)
STD_ROM_FN(rNontantoIsshoKurukuruPuzzleJapan)

struct BurnDriver BurnDrvrNontantoIsshoKurukuruPuzzleJapan = {
	"Nontan to Issho - Kurukuru Puzzle (Japan)", NULL, NULL, "1986",
	"Nontan to Issho - Kurukuru Puzzle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nontan to Issho - Kurukuru Puzzle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNontantoIsshoKurukuruPuzzleJapanRomInfo, rNontantoIsshoKurukuruPuzzleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNosferatuJapanRomDesc[] = {
	{ "Nosferatu (Japan).sfc",          2097152, 0x2c5df175, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNosferatuJapan)
STD_ROM_FN(rNosferatuJapan)

struct BurnDriver BurnDrvrNosferatuJapan = {
	"Nosferatu (Japan)", NULL, NULL, "1986",
	"Nosferatu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nosferatu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNosferatuJapanRomInfo, rNosferatuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNosferatuUSARomDesc[] = {
	{ "Nosferatu (USA).sfc",          2097152, 0xde762764, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNosferatuUSA)
STD_ROM_FN(rNosferatuUSA)

struct BurnDriver BurnDrvrNosferatuUSA = {
	"Nosferatu (USA)", NULL, NULL, "1986",
	"Nosferatu (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Nosferatu (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNosferatuUSARomInfo, rNosferatuUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rNumbersParadiseJapanRomDesc[] = {
	{ "Numbers Paradise (Japan).sfc",          524288, 0x612a07f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rNumbersParadiseJapan)
STD_ROM_FN(rNumbersParadiseJapan)

struct BurnDriver BurnDrvrNumbersParadiseJapan = {
	"Numbers Paradise (Japan)", NULL, NULL, "1986",
	"Numbers Paradise (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Numbers Paradise (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rNumbersParadiseJapanRomInfo, rNumbersParadiseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOchannoOekakiLogicJapanRomDesc[] = {
	{ "O-chan no Oekaki Logic (Japan).sfc",          524288, 0x9a5f2955, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOchannoOekakiLogicJapan)
STD_ROM_FN(rOchannoOekakiLogicJapan)

struct BurnDriver BurnDrvrOchannoOekakiLogicJapan = {
	"O-chan no Oekaki Logic (Japan)", NULL, NULL, "1986",
	"O-chan no Oekaki Logic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"O-chan no Oekaki Logic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOchannoOekakiLogicJapanRomInfo, rOchannoOekakiLogicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rObitusUSARomDesc[] = {
	{ "Obitus (USA).sfc",          1048576, 0x7c495b36, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rObitusUSA)
STD_ROM_FN(rObitusUSA)

struct BurnDriver BurnDrvrObitusUSA = {
	"Obitus (USA)", NULL, NULL, "1986",
	"Obitus (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Obitus (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rObitusUSARomInfo, rObitusUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOdaNobunagaHaounoGundanJapanRomDesc[] = {
	{ "Oda Nobunaga - Haou no Gundan (Japan).sfc",          1048576, 0xf7d2fbc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOdaNobunagaHaounoGundanJapan)
STD_ROM_FN(rOdaNobunagaHaounoGundanJapan)

struct BurnDriver BurnDrvrOdaNobunagaHaounoGundanJapan = {
	"Oda Nobunaga - Haou no Gundan (Japan)", NULL, NULL, "1986",
	"Oda Nobunaga - Haou no Gundan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oda Nobunaga - Haou no Gundan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOdaNobunagaHaounoGundanJapanRomInfo, rOdaNobunagaHaounoGundanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOdekakeLesterLelelenoLeJapanRomDesc[] = {
	{ "Odekake Lester - Lelele no Le (^^; (Japan).sfc",          1048576, 0x8d89a8e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOdekakeLesterLelelenoLeJapan)
STD_ROM_FN(rOdekakeLesterLelelenoLeJapan)

struct BurnDriver BurnDrvrOdekakeLesterLelelenoLeJapan = {
	"Odekake Lester - Lelele no Le (^^; (Japan)", NULL, NULL, "1986",
	"Odekake Lester - Lelele no Le (^^; (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Odekake Lester - Lelele no Le (^^; (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOdekakeLesterLelelenoLeJapanRomInfo, rOdekakeLesterLelelenoLeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOekakiLogicJapanNPRomDesc[] = {
	{ "Oekaki Logic (Japan) (NP).sfc",          524288, 0x39a0c010, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOekakiLogicJapanNP)
STD_ROM_FN(rOekakiLogicJapanNP)

struct BurnDriver BurnDrvrOekakiLogicJapanNP = {
	"Oekaki Logic (Japan) (NP)", NULL, NULL, "1986",
	"Oekaki Logic (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oekaki Logic (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOekakiLogicJapanNPRomInfo, rOekakiLogicJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOekakiLogic2JapanNPRomDesc[] = {
	{ "Oekaki Logic 2 (Japan) (NP).sfc",          524288, 0x4b32c8aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOekakiLogic2JapanNP)
STD_ROM_FN(rOekakiLogic2JapanNP)

struct BurnDriver BurnDrvrOekakiLogic2JapanNP = {
	"Oekaki Logic 2 (Japan) (NP)", NULL, NULL, "1986",
	"Oekaki Logic 2 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oekaki Logic 2 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOekakiLogic2JapanNPRomInfo, rOekakiLogic2JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOgreBattleTheMarchoftheBlackQueenUSARomDesc[] = {
	{ "Ogre Battle - The March of the Black Queen (USA).sfc",          1572864, 0xacfdb7b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOgreBattleTheMarchoftheBlackQueenUSA)
STD_ROM_FN(rOgreBattleTheMarchoftheBlackQueenUSA)

struct BurnDriver BurnDrvrOgreBattleTheMarchoftheBlackQueenUSA = {
	"Ogre Battle - The March of the Black Queen (USA)", NULL, NULL, "1986",
	"Ogre Battle - The March of the Black Queen (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ogre Battle - The March of the Black Queen (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOgreBattleTheMarchoftheBlackQueenUSARomInfo, rOgreBattleTheMarchoftheBlackQueenUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapanRomDesc[] = {
	{ "Okamoto Ayako to Match Play Golf - Ko Olina Golf Club in Hawaii (Japan).sfc",          1048576, 0xe6c805a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapan)
STD_ROM_FN(rOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapan)

struct BurnDriver BurnDrvrOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapan = {
	"Okamoto Ayako to Match Play Golf - Ko Olina Golf Club in Hawaii (Japan)", NULL, NULL, "1986",
	"Okamoto Ayako to Match Play Golf - Ko Olina Golf Club in Hawaii (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Okamoto Ayako to Match Play Golf - Ko Olina Golf Club in Hawaii (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapanRomInfo, rOkamotoAyakotoMatchPlayGolfKoOlinaGolfClubinHawaiiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOlivianoMysteryJapanRomDesc[] = {
	{ "Olivia no Mystery (Japan).sfc",          1048576, 0xdfde2aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOlivianoMysteryJapan)
STD_ROM_FN(rOlivianoMysteryJapan)

struct BurnDriver BurnDrvrOlivianoMysteryJapan = {
	"Olivia no Mystery (Japan)", NULL, NULL, "1986",
	"Olivia no Mystery (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Olivia no Mystery (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOlivianoMysteryJapanRomInfo, rOlivianoMysteryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOlympicSummerGamesEuropeRomDesc[] = {
	{ "Olympic Summer Games (Europe).sfc",          2097152, 0x3ed21333, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOlympicSummerGamesEurope)
STD_ROM_FN(rOlympicSummerGamesEurope)

struct BurnDriver BurnDrvrOlympicSummerGamesEurope = {
	"Olympic Summer Games (Europe)", NULL, NULL, "1986",
	"Olympic Summer Games (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Olympic Summer Games (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOlympicSummerGamesEuropeRomInfo, rOlympicSummerGamesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOlympicSummerGamesUSARomDesc[] = {
	{ "Olympic Summer Games (USA).sfc",          2097152, 0x6b882d11, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOlympicSummerGamesUSA)
STD_ROM_FN(rOlympicSummerGamesUSA)

struct BurnDriver BurnDrvrOlympicSummerGamesUSA = {
	"Olympic Summer Games (USA)", NULL, NULL, "1986",
	"Olympic Summer Games (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Olympic Summer Games (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOlympicSummerGamesUSARomInfo, rOlympicSummerGamesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOntheBallEuropeRomDesc[] = {
	{ "On the Ball (Europe).sfc",          1048576, 0xb577815d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOntheBallEurope)
STD_ROM_FN(rOntheBallEurope)

struct BurnDriver BurnDrvrOntheBallEurope = {
	"On the Ball (Europe)", NULL, NULL, "1986",
	"On the Ball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"On the Ball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOntheBallEuropeRomInfo, rOntheBallEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOntheBallUSARomDesc[] = {
	{ "On the Ball (USA).sfc",          1048576, 0x50ad3fe8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOntheBallUSA)
STD_ROM_FN(rOntheBallUSA)

struct BurnDriver BurnDrvrOntheBallUSA = {
	"On the Ball (USA)", NULL, NULL, "1986",
	"On the Ball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"On the Ball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOntheBallUSARomInfo, rOntheBallUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOngakuTsukuruKanadeeruJapanRomDesc[] = {
	{ "Ongaku Tsukuru Kanadeeru (Japan).sfc",          1048576, 0xc79c123f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOngakuTsukuruKanadeeruJapan)
STD_ROM_FN(rOngakuTsukuruKanadeeruJapan)

struct BurnDriver BurnDrvrOngakuTsukuruKanadeeruJapan = {
	"Ongaku Tsukuru Kanadeeru (Japan)", NULL, NULL, "1986",
	"Ongaku Tsukuru Kanadeeru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ongaku Tsukuru Kanadeeru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOngakuTsukuruKanadeeruJapanRomInfo, rOngakuTsukuruKanadeeruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapanRomDesc[] = {
	{ "Onizuka Katsuya Super Virtual Boxing - Shin Kentou Ou Densetsu (Japan).sfc",          1048576, 0xf0c936e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapan)
STD_ROM_FN(rOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapan)

struct BurnDriver BurnDrvrOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapan = {
	"Onizuka Katsuya Super Virtual Boxing - Shin Kentou Ou Densetsu (Japan)", NULL, NULL, "1986",
	"Onizuka Katsuya Super Virtual Boxing - Shin Kentou Ou Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Onizuka Katsuya Super Virtual Boxing - Shin Kentou Ou Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapanRomInfo, rOnizukaKatsuyaSuperVirtualBoxingShinKentouOuDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOomonoBlackBassFishingJinzoukoHenJapanRomDesc[] = {
	{ "Oomono Black Bass Fishing - Jinzouko Hen (Japan).sfc",          2097152, 0xcd2a1a67, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOomonoBlackBassFishingJinzoukoHenJapan)
STD_ROM_FN(rOomonoBlackBassFishingJinzoukoHenJapan)

struct BurnDriver BurnDrvrOomonoBlackBassFishingJinzoukoHenJapan = {
	"Oomono Black Bass Fishing - Jinzouko Hen (Japan)", NULL, NULL, "1986",
	"Oomono Black Bass Fishing - Jinzouko Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oomono Black Bass Fishing - Jinzouko Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOomonoBlackBassFishingJinzoukoHenJapanRomInfo, rOomonoBlackBassFishingJinzoukoHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOonitaAtsushiFMWJapanBetaRomDesc[] = {
	{ "Oonita Atsushi FMW (Japan) (Beta).sfc",          1572864, 0x55581328, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOonitaAtsushiFMWJapanBeta)
STD_ROM_FN(rOonitaAtsushiFMWJapanBeta)

struct BurnDriver BurnDrvrOonitaAtsushiFMWJapanBeta = {
	"Oonita Atsushi FMW (Japan) (Beta)", NULL, NULL, "1986",
	"Oonita Atsushi FMW (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oonita Atsushi FMW (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOonitaAtsushiFMWJapanBetaRomInfo, rOonitaAtsushiFMWJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOonitaAtsushiFMWJapanRomDesc[] = {
	{ "Oonita Atsushi FMW (Japan).sfc",          1572864, 0x88b2da36, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOonitaAtsushiFMWJapan)
STD_ROM_FN(rOonitaAtsushiFMWJapan)

struct BurnDriver BurnDrvrOonitaAtsushiFMWJapan = {
	"Oonita Atsushi FMW (Japan)", NULL, NULL, "1986",
	"Oonita Atsushi FMW (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oonita Atsushi FMW (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOonitaAtsushiFMWJapanRomInfo, rOonitaAtsushiFMWJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOozumouSpiritsJapanRomDesc[] = {
	{ "Oozumou Spirits (Japan).sfc",          1048576, 0xf78b76e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOozumouSpiritsJapan)
STD_ROM_FN(rOozumouSpiritsJapan)

struct BurnDriver BurnDrvrOozumouSpiritsJapan = {
	"Oozumou Spirits (Japan)", NULL, NULL, "1986",
	"Oozumou Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oozumou Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOozumouSpiritsJapanRomInfo, rOozumouSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOperationEuropePathtoVictory193945USARomDesc[] = {
	{ "Operation Europe - Path to Victory 1939-45 (USA).sfc",          1310720, 0xf84c2bb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOperationEuropePathtoVictory193945USA)
STD_ROM_FN(rOperationEuropePathtoVictory193945USA)

struct BurnDriver BurnDrvrOperationEuropePathtoVictory193945USA = {
	"Operation Europe - Path to Victory 1939-45 (USA)", NULL, NULL, "1986",
	"Operation Europe - Path to Victory 1939-45 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Operation Europe - Path to Victory 1939-45 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOperationEuropePathtoVictory193945USARomInfo, rOperationEuropePathtoVictory193945USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOperationLogicBombEuropeRomDesc[] = {
	{ "Operation Logic Bomb (Europe).sfc",          1048576, 0xf956136, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOperationLogicBombEurope)
STD_ROM_FN(rOperationLogicBombEurope)

struct BurnDriver BurnDrvrOperationLogicBombEurope = {
	"Operation Logic Bomb (Europe)", NULL, NULL, "1986",
	"Operation Logic Bomb (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Operation Logic Bomb (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOperationLogicBombEuropeRomInfo, rOperationLogicBombEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOperationLogicBombUSARomDesc[] = {
	{ "Operation Logic Bomb (USA).sfc",          1048576, 0x65bbe8b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOperationLogicBombUSA)
STD_ROM_FN(rOperationLogicBombUSA)

struct BurnDriver BurnDrvrOperationLogicBombUSA = {
	"Operation Logic Bomb (USA)", NULL, NULL, "1986",
	"Operation Logic Bomb (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Operation Logic Bomb (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOperationLogicBombUSARomInfo, rOperationLogicBombUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOperationStarfi5hEuropeRomDesc[] = {
	{ "Operation Starfi5h (Europe).sfc",          2097152, 0x9d3e313f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOperationStarfi5hEurope)
STD_ROM_FN(rOperationStarfi5hEurope)

struct BurnDriver BurnDrvrOperationStarfi5hEurope = {
	"Operation Starfi5h (Europe)", NULL, NULL, "1986",
	"Operation Starfi5h (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Operation Starfi5h (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOperationStarfi5hEuropeRomInfo, rOperationStarfi5hEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOperationThunderboltUSARomDesc[] = {
	{ "Operation Thunderbolt (USA).sfc",          1310720, 0x3042b049, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOperationThunderboltUSA)
STD_ROM_FN(rOperationThunderboltUSA)

struct BurnDriver BurnDrvrOperationThunderboltUSA = {
	"Operation Thunderbolt (USA)", NULL, NULL, "1986",
	"Operation Thunderbolt (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Operation Thunderbolt (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOperationThunderboltUSARomInfo, rOperationThunderboltUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOragaLandShusaiBestFarmerShuukakusaiJapanSampleRomDesc[] = {
	{ "Oraga Land Shusai - Best Farmer Shuukakusai (Japan) (Sample).sfc",          524288, 0x27ced447, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOragaLandShusaiBestFarmerShuukakusaiJapanSample)
STD_ROM_FN(rOragaLandShusaiBestFarmerShuukakusaiJapanSample)

struct BurnDriver BurnDrvrOragaLandShusaiBestFarmerShuukakusaiJapanSample = {
	"Oraga Land Shusai - Best Farmer Shuukakusai (Japan) (Sample)", NULL, NULL, "1986",
	"Oraga Land Shusai - Best Farmer Shuukakusai (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oraga Land Shusai - Best Farmer Shuukakusai (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOragaLandShusaiBestFarmerShuukakusaiJapanSampleRomInfo, rOragaLandShusaiBestFarmerShuukakusaiJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOragaLandShusaiBestFarmerShuukakusaiJapanRomDesc[] = {
	{ "Oraga Land Shusai - Best Farmer Shuukakusai (Japan).sfc",          524288, 0x32a4612f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOragaLandShusaiBestFarmerShuukakusaiJapan)
STD_ROM_FN(rOragaLandShusaiBestFarmerShuukakusaiJapan)

struct BurnDriver BurnDrvrOragaLandShusaiBestFarmerShuukakusaiJapan = {
	"Oraga Land Shusai - Best Farmer Shuukakusai (Japan)", NULL, NULL, "1986",
	"Oraga Land Shusai - Best Farmer Shuukakusai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oraga Land Shusai - Best Farmer Shuukakusai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOragaLandShusaiBestFarmerShuukakusaiJapanRomInfo, rOragaLandShusaiBestFarmerShuukakusaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOscarEuropeRomDesc[] = {
	{ "Oscar (Europe).sfc",          524288, 0xb458fdbc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOscarEurope)
STD_ROM_FN(rOscarEurope)

struct BurnDriver BurnDrvrOscarEurope = {
	"Oscar (Europe)", NULL, NULL, "1986",
	"Oscar (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oscar (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOscarEuropeRomInfo, rOscarEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOscarUSARomDesc[] = {
	{ "Oscar (USA).sfc",          524288, 0xcdf463c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOscarUSA)
STD_ROM_FN(rOscarUSA)

struct BurnDriver BurnDrvrOscarUSA = {
	"Oscar (USA)", NULL, NULL, "1986",
	"Oscar (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Oscar (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOscarUSARomInfo, rOscarUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOssuKaratebuJapanRomDesc[] = {
	{ "Ossu!! Karate-bu (Japan).sfc",          2621440, 0xb4ecd206, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOssuKaratebuJapan)
STD_ROM_FN(rOssuKaratebuJapan)

struct BurnDriver BurnDrvrOssuKaratebuJapan = {
	"Ossu!! Karate-bu (Japan)", NULL, NULL, "1986",
	"Ossu!! Karate-bu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ossu!! Karate-bu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOssuKaratebuJapanRomInfo, rOssuKaratebuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOthelloWorldJapanRomDesc[] = {
	{ "Othello World (Japan).sfc",          1048576, 0x1345ed19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOthelloWorldJapan)
STD_ROM_FN(rOthelloWorldJapan)

struct BurnDriver BurnDrvrOthelloWorldJapan = {
	"Othello World (Japan)", NULL, NULL, "1986",
	"Othello World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Othello World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOthelloWorldJapanRomInfo, rOthelloWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOtobokeNinjaColosseumJapanRomDesc[] = {
	{ "Otoboke Ninja Colosseum (Japan).sfc",          1048576, 0xade02a40, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOtobokeNinjaColosseumJapan)
STD_ROM_FN(rOtobokeNinjaColosseumJapan)

struct BurnDriver BurnDrvrOtobokeNinjaColosseumJapan = {
	"Otoboke Ninja Colosseum (Japan)", NULL, NULL, "1986",
	"Otoboke Ninja Colosseum (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Otoboke Ninja Colosseum (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOtobokeNinjaColosseumJapanRomInfo, rOtobokeNinjaColosseumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOtogirisouJapanRomDesc[] = {
	{ "Otogirisou (Japan).sfc",          1048576, 0x8e4befd0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOtogirisouJapan)
STD_ROM_FN(rOtogirisouJapan)

struct BurnDriver BurnDrvrOtogirisouJapan = {
	"Otogirisou (Japan)", NULL, NULL, "1986",
	"Otogirisou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Otogirisou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOtogirisouJapanRomInfo, rOtogirisouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOutofThisWorldUSABetaRomDesc[] = {
	{ "Out of This World (USA) (Beta).sfc",          1048576, 0xcc665b17, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOutofThisWorldUSABeta)
STD_ROM_FN(rOutofThisWorldUSABeta)

struct BurnDriver BurnDrvrOutofThisWorldUSABeta = {
	"Out of This World (USA) (Beta)", NULL, NULL, "1986",
	"Out of This World (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Out of This World (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOutofThisWorldUSABetaRomInfo, rOutofThisWorldUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOutofThisWorldUSARomDesc[] = {
	{ "Out of This World (USA).sfc",          1048576, 0x5f40a869, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOutofThisWorldUSA)
STD_ROM_FN(rOutofThisWorldUSA)

struct BurnDriver BurnDrvrOutofThisWorldUSA = {
	"Out of This World (USA)", NULL, NULL, "1986",
	"Out of This World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Out of This World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOutofThisWorldUSARomInfo, rOutofThisWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOuttoLunchEuropeRomDesc[] = {
	{ "Out to Lunch (Europe).sfc",          1048576, 0xa9764a20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOuttoLunchEurope)
STD_ROM_FN(rOuttoLunchEurope)

struct BurnDriver BurnDrvrOuttoLunchEurope = {
	"Out to Lunch (Europe)", NULL, NULL, "1986",
	"Out to Lunch (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Out to Lunch (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOuttoLunchEuropeRomInfo, rOuttoLunchEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOuttoLunchUSARomDesc[] = {
	{ "Out to Lunch (USA).sfc",          1048576, 0x3d0c8974, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOuttoLunchUSA)
STD_ROM_FN(rOuttoLunchUSA)

struct BurnDriver BurnDrvrOuttoLunchUSA = {
	"Out to Lunch (USA)", NULL, NULL, "1986",
	"Out to Lunch (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Out to Lunch (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOuttoLunchUSARomInfo, rOuttoLunchUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOuterWorldJapanRomDesc[] = {
	{ "Outer World (Japan).sfc",          1048576, 0x8d004dbb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOuterWorldJapan)
STD_ROM_FN(rOuterWorldJapan)

struct BurnDriver BurnDrvrOuterWorldJapan = {
	"Outer World (Japan)", NULL, NULL, "1986",
	"Outer World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Outer World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOuterWorldJapanRomInfo, rOuterWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOutlanderEuropeRomDesc[] = {
	{ "Outlander (Europe).sfc",          1048576, 0x5822a4e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOutlanderEurope)
STD_ROM_FN(rOutlanderEurope)

struct BurnDriver BurnDrvrOutlanderEurope = {
	"Outlander (Europe)", NULL, NULL, "1986",
	"Outlander (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Outlander (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOutlanderEuropeRomInfo, rOutlanderEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rOutlanderUSARomDesc[] = {
	{ "Outlander (USA).sfc",          1048576, 0xa978b36f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rOutlanderUSA)
STD_ROM_FN(rOutlanderUSA)

struct BurnDriver BurnDrvrOutlanderUSA = {
	"Outlander (USA)", NULL, NULL, "1986",
	"Outlander (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Outlander (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rOutlanderUSARomInfo, rOutlanderUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPManJapanRomDesc[] = {
	{ "P-Man (Japan).sfc",          1048576, 0xc4f299b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPManJapan)
STD_ROM_FN(rPManJapan)

struct BurnDriver BurnDrvrPManJapan = {
	"P-Man (Japan)", NULL, NULL, "1986",
	"P-Man (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"P-Man (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPManJapanRomInfo, rPManJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPTOPacificTheaterofOperationsUSARomDesc[] = {
	{ "P.T.O. - Pacific Theater of Operations (USA).sfc",          1310720, 0xe51bbac8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPTOPacificTheaterofOperationsUSA)
STD_ROM_FN(rPTOPacificTheaterofOperationsUSA)

struct BurnDriver BurnDrvrPTOPacificTheaterofOperationsUSA = {
	"P.T.O. - Pacific Theater of Operations (USA)", NULL, NULL, "1986",
	"P.T.O. - Pacific Theater of Operations (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"P.T.O. - Pacific Theater of Operations (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPTOPacificTheaterofOperationsUSARomInfo, rPTOPacificTheaterofOperationsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPTOIIPacificTheaterofOperationsUSARomDesc[] = {
	{ "P.T.O. II - Pacific Theater of Operations (USA).sfc",          3145728, 0xa614d268, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPTOIIPacificTheaterofOperationsUSA)
STD_ROM_FN(rPTOIIPacificTheaterofOperationsUSA)

struct BurnDriver BurnDrvrPTOIIPacificTheaterofOperationsUSA = {
	"P.T.O. II - Pacific Theater of Operations (USA)", NULL, NULL, "1986",
	"P.T.O. II - Pacific Theater of Operations (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"P.T.O. II - Pacific Theater of Operations (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPTOIIPacificTheaterofOperationsUSARomInfo, rPTOIIPacificTheaterofOperationsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacAttackEuropeRomDesc[] = {
	{ "Pac-Attack (Europe).sfc",          524288, 0x79941300, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacAttackEurope)
STD_ROM_FN(rPacAttackEurope)

struct BurnDriver BurnDrvrPacAttackEurope = {
	"Pac-Attack (Europe)", NULL, NULL, "1986",
	"Pac-Attack (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Attack (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacAttackEuropeRomInfo, rPacAttackEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacAttackUSARomDesc[] = {
	{ "Pac-Attack (USA).sfc",          524288, 0x191b1a19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacAttackUSA)
STD_ROM_FN(rPacAttackUSA)

struct BurnDriver BurnDrvrPacAttackUSA = {
	"Pac-Attack (USA)", NULL, NULL, "1986",
	"Pac-Attack (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Attack (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacAttackUSARomInfo, rPacAttackUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacinTimeEuropeBetaRomDesc[] = {
	{ "Pac-in-Time (Europe) (Beta).sfc",          1048576, 0x98af5de4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacinTimeEuropeBeta)
STD_ROM_FN(rPacinTimeEuropeBeta)

struct BurnDriver BurnDrvrPacinTimeEuropeBeta = {
	"Pac-in-Time (Europe) (Beta)", NULL, NULL, "1986",
	"Pac-in-Time (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-in-Time (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacinTimeEuropeBetaRomInfo, rPacinTimeEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacinTimeEuropeRomDesc[] = {
	{ "Pac-in-Time (Europe).sfc",          1048576, 0x348be5ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacinTimeEurope)
STD_ROM_FN(rPacinTimeEurope)

struct BurnDriver BurnDrvrPacinTimeEurope = {
	"Pac-in-Time (Europe)", NULL, NULL, "1986",
	"Pac-in-Time (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-in-Time (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacinTimeEuropeRomInfo, rPacinTimeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacinTimeJapanRomDesc[] = {
	{ "Pac-in-Time (Japan).sfc",          1048576, 0xbb6b3b1f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacinTimeJapan)
STD_ROM_FN(rPacinTimeJapan)

struct BurnDriver BurnDrvrPacinTimeJapan = {
	"Pac-in-Time (Japan)", NULL, NULL, "1986",
	"Pac-in-Time (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-in-Time (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacinTimeJapanRomInfo, rPacinTimeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacinTimeUSARomDesc[] = {
	{ "Pac-in-Time (USA).sfc",          1048576, 0x44375368, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacinTimeUSA)
STD_ROM_FN(rPacinTimeUSA)

struct BurnDriver BurnDrvrPacinTimeUSA = {
	"Pac-in-Time (USA)", NULL, NULL, "1986",
	"Pac-in-Time (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-in-Time (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacinTimeUSARomInfo, rPacinTimeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacMan2TheNewAdventuresEuropeRomDesc[] = {
	{ "Pac-Man 2 - The New Adventures (Europe).sfc",          1572864, 0x51c8a0eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacMan2TheNewAdventuresEurope)
STD_ROM_FN(rPacMan2TheNewAdventuresEurope)

struct BurnDriver BurnDrvrPacMan2TheNewAdventuresEurope = {
	"Pac-Man 2 - The New Adventures (Europe)", NULL, NULL, "1986",
	"Pac-Man 2 - The New Adventures (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Man 2 - The New Adventures (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacMan2TheNewAdventuresEuropeRomInfo, rPacMan2TheNewAdventuresEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacMan2TheNewAdventuresFranceRomDesc[] = {
	{ "Pac-Man 2 - The New Adventures (France).sfc",          1572864, 0x30478a49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacMan2TheNewAdventuresFrance)
STD_ROM_FN(rPacMan2TheNewAdventuresFrance)

struct BurnDriver BurnDrvrPacMan2TheNewAdventuresFrance = {
	"Pac-Man 2 - The New Adventures (France)", NULL, NULL, "1986",
	"Pac-Man 2 - The New Adventures (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Man 2 - The New Adventures (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacMan2TheNewAdventuresFranceRomInfo, rPacMan2TheNewAdventuresFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacMan2TheNewAdventuresGermanyRomDesc[] = {
	{ "Pac-Man 2 - The New Adventures (Germany).sfc",          1572864, 0xdf6a092d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacMan2TheNewAdventuresGermany)
STD_ROM_FN(rPacMan2TheNewAdventuresGermany)

struct BurnDriver BurnDrvrPacMan2TheNewAdventuresGermany = {
	"Pac-Man 2 - The New Adventures (Germany)", NULL, NULL, "1986",
	"Pac-Man 2 - The New Adventures (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Man 2 - The New Adventures (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacMan2TheNewAdventuresGermanyRomInfo, rPacMan2TheNewAdventuresGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPacMan2TheNewAdventuresUSARomDesc[] = {
	{ "Pac-Man 2 - The New Adventures (USA).sfc",          1572864, 0x9fc62bcc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPacMan2TheNewAdventuresUSA)
STD_ROM_FN(rPacMan2TheNewAdventuresUSA)

struct BurnDriver BurnDrvrPacMan2TheNewAdventuresUSA = {
	"Pac-Man 2 - The New Adventures (USA)", NULL, NULL, "1986",
	"Pac-Man 2 - The New Adventures (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pac-Man 2 - The New Adventures (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPacMan2TheNewAdventuresUSARomInfo, rPacMan2TheNewAdventuresUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotGamblerJapanRomDesc[] = {
	{ "Pachi-Slot Gambler (Japan).sfc",          1048576, 0xb0c89ec1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotGamblerJapan)
STD_ROM_FN(rPachiSlotGamblerJapan)

struct BurnDriver BurnDrvrPachiSlotGamblerJapan = {
	"Pachi-Slot Gambler (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Gambler (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Gambler (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotGamblerJapanRomInfo, rPachiSlotGamblerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1JapanRomDesc[] = {
	{ "Pachi-Slot Kanzen Kouryaku - Universal Shindai Nyuuka Volume 1 (Japan).sfc",          524288, 0xa9c26ca1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1Japan)
STD_ROM_FN(rPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1Japan)

struct BurnDriver BurnDrvrPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1Japan = {
	"Pachi-Slot Kanzen Kouryaku - Universal Shindai Nyuuka Volume 1 (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Kanzen Kouryaku - Universal Shindai Nyuuka Volume 1 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Kanzen Kouryaku - Universal Shindai Nyuuka Volume 1 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1JapanRomInfo, rPachiSlotKanzenKouryakuUniversalShindaiNyuukaVolume1JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotKenkyuuJapanRomDesc[] = {
	{ "Pachi-Slot Kenkyuu (Japan).sfc",          524288, 0xd5bd100, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotKenkyuuJapan)
STD_ROM_FN(rPachiSlotKenkyuuJapan)

struct BurnDriver BurnDrvrPachiSlotKenkyuuJapan = {
	"Pachi-Slot Kenkyuu (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Kenkyuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Kenkyuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotKenkyuuJapanRomInfo, rPachiSlotKenkyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotLandPachipachiCoinnoDensetsuJapanRomDesc[] = {
	{ "Pachi-Slot Land - Pachipachi Coin no Densetsu (Japan).sfc",          524288, 0xba2dd0bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotLandPachipachiCoinnoDensetsuJapan)
STD_ROM_FN(rPachiSlotLandPachipachiCoinnoDensetsuJapan)

struct BurnDriver BurnDrvrPachiSlotLandPachipachiCoinnoDensetsuJapan = {
	"Pachi-Slot Land - Pachipachi Coin no Densetsu (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Land - Pachipachi Coin no Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Land - Pachipachi Coin no Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotLandPachipachiCoinnoDensetsuJapanRomInfo, rPachiSlotLandPachipachiCoinnoDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotLoveStoryJapanRomDesc[] = {
	{ "Pachi-Slot Love Story (Japan).sfc",          1048576, 0x8aed15dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotLoveStoryJapan)
STD_ROM_FN(rPachiSlotLoveStoryJapan)

struct BurnDriver BurnDrvrPachiSlotLoveStoryJapan = {
	"Pachi-Slot Love Story (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Love Story (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Love Story (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotLoveStoryJapanRomInfo, rPachiSlotLoveStoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotMonogatariPALKougyouSpecialJapanRomDesc[] = {
	{ "Pachi-Slot Monogatari - PAL Kougyou Special (Japan).sfc",          1310720, 0x9eb5c153, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotMonogatariPALKougyouSpecialJapan)
STD_ROM_FN(rPachiSlotMonogatariPALKougyouSpecialJapan)

struct BurnDriver BurnDrvrPachiSlotMonogatariPALKougyouSpecialJapan = {
	"Pachi-Slot Monogatari - PAL Kougyou Special (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Monogatari - PAL Kougyou Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Monogatari - PAL Kougyou Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotMonogatariPALKougyouSpecialJapanRomInfo, rPachiSlotMonogatariPALKougyouSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiSlotMonogatariUniversalSpecialJapanRomDesc[] = {
	{ "Pachi-Slot Monogatari - Universal Special (Japan).sfc",          1048576, 0xe47e4ab2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiSlotMonogatariUniversalSpecialJapan)
STD_ROM_FN(rPachiSlotMonogatariUniversalSpecialJapan)

struct BurnDriver BurnDrvrPachiSlotMonogatariUniversalSpecialJapan = {
	"Pachi-Slot Monogatari - Universal Special (Japan)", NULL, NULL, "1986",
	"Pachi-Slot Monogatari - Universal Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachi-Slot Monogatari - Universal Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiSlotMonogatariUniversalSpecialJapanRomInfo, rPachiSlotMonogatariUniversalSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoChallengerJapanRomDesc[] = {
	{ "Pachinko Challenger (Japan).sfc",          1048576, 0xbf543bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoChallengerJapan)
STD_ROM_FN(rPachinkoChallengerJapan)

struct BurnDriver BurnDrvrPachinkoChallengerJapan = {
	"Pachinko Challenger (Japan)", NULL, NULL, "1986",
	"Pachinko Challenger (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Challenger (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoChallengerJapanRomInfo, rPachinkoChallengerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoFanShouriSengenJapanRomDesc[] = {
	{ "Pachinko Fan - Shouri Sengen (Japan).sfc",          1048576, 0x4f560dca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoFanShouriSengenJapan)
STD_ROM_FN(rPachinkoFanShouriSengenJapan)

struct BurnDriver BurnDrvrPachinkoFanShouriSengenJapan = {
	"Pachinko Fan - Shouri Sengen (Japan)", NULL, NULL, "1986",
	"Pachinko Fan - Shouri Sengen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Fan - Shouri Sengen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoFanShouriSengenJapanRomInfo, rPachinkoFanShouriSengenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoMaruhiHisshouhouJapanRomDesc[] = {
	{ "Pachinko Maruhi Hisshouhou (Japan).sfc",          1048576, 0xf7047c67, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoMaruhiHisshouhouJapan)
STD_ROM_FN(rPachinkoMaruhiHisshouhouJapan)

struct BurnDriver BurnDrvrPachinkoMaruhiHisshouhouJapan = {
	"Pachinko Maruhi Hisshouhou (Japan)", NULL, NULL, "1986",
	"Pachinko Maruhi Hisshouhou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Maruhi Hisshouhou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoMaruhiHisshouhouJapanRomInfo, rPachinkoMaruhiHisshouhouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoMonogatariPachiSlotmoArudeyoJapanRomDesc[] = {
	{ "Pachinko Monogatari - Pachi-Slot mo Aru deyo!! (Japan).sfc",          1048576, 0x6c901862, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoMonogatariPachiSlotmoArudeyoJapan)
STD_ROM_FN(rPachinkoMonogatariPachiSlotmoArudeyoJapan)

struct BurnDriver BurnDrvrPachinkoMonogatariPachiSlotmoArudeyoJapan = {
	"Pachinko Monogatari - Pachi-Slot mo Aru deyo!! (Japan)", NULL, NULL, "1986",
	"Pachinko Monogatari - Pachi-Slot mo Aru deyo!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Monogatari - Pachi-Slot mo Aru deyo!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoMonogatariPachiSlotmoArudeyoJapanRomInfo, rPachinkoMonogatariPachiSlotmoArudeyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoMonogatari2NagoyaShachihokonoTeiouJapanRomDesc[] = {
	{ "Pachinko Monogatari 2 - Nagoya Shachihoko no Teiou (Japan).sfc",          1572864, 0xb8b25f4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoMonogatari2NagoyaShachihokonoTeiouJapan)
STD_ROM_FN(rPachinkoMonogatari2NagoyaShachihokonoTeiouJapan)

struct BurnDriver BurnDrvrPachinkoMonogatari2NagoyaShachihokonoTeiouJapan = {
	"Pachinko Monogatari 2 - Nagoya Shachihoko no Teiou (Japan)", NULL, NULL, "1986",
	"Pachinko Monogatari 2 - Nagoya Shachihoko no Teiou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Monogatari 2 - Nagoya Shachihoko no Teiou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoMonogatari2NagoyaShachihokonoTeiouJapanRomInfo, rPachinkoMonogatari2NagoyaShachihokonoTeiouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoRenchanTengokuSuperCRSpecialJapanRomDesc[] = {
	{ "Pachinko Ren-chan Tengoku - Super CR Special (Japan).sfc",          524288, 0x12c80bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoRenchanTengokuSuperCRSpecialJapan)
STD_ROM_FN(rPachinkoRenchanTengokuSuperCRSpecialJapan)

struct BurnDriver BurnDrvrPachinkoRenchanTengokuSuperCRSpecialJapan = {
	"Pachinko Ren-chan Tengoku - Super CR Special (Japan)", NULL, NULL, "1986",
	"Pachinko Ren-chan Tengoku - Super CR Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Ren-chan Tengoku - Super CR Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoRenchanTengokuSuperCRSpecialJapanRomInfo, rPachinkoRenchanTengokuSuperCRSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoTetsujinNanabanShoubuJapanRomDesc[] = {
	{ "Pachinko Tetsujin - Nanaban Shoubu (Japan).sfc",          1572864, 0xa1ebb364, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoTetsujinNanabanShoubuJapan)
STD_ROM_FN(rPachinkoTetsujinNanabanShoubuJapan)

struct BurnDriver BurnDrvrPachinkoTetsujinNanabanShoubuJapan = {
	"Pachinko Tetsujin - Nanaban Shoubu (Japan)", NULL, NULL, "1986",
	"Pachinko Tetsujin - Nanaban Shoubu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Tetsujin - Nanaban Shoubu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoTetsujinNanabanShoubuJapanRomInfo, rPachinkoTetsujinNanabanShoubuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoWarsJapanRomDesc[] = {
	{ "Pachinko Wars (Japan).sfc",          1048576, 0x8ce8a4eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoWarsJapan)
STD_ROM_FN(rPachinkoWarsJapan)

struct BurnDriver BurnDrvrPachinkoWarsJapan = {
	"Pachinko Wars (Japan)", NULL, NULL, "1986",
	"Pachinko Wars (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Wars (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoWarsJapanRomInfo, rPachinkoWarsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachinkoWarsIIJapanRomDesc[] = {
	{ "Pachinko Wars II (Japan).sfc",          1048576, 0x8c765da9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachinkoWarsIIJapan)
STD_ROM_FN(rPachinkoWarsIIJapan)

struct BurnDriver BurnDrvrPachinkoWarsIIJapan = {
	"Pachinko Wars II (Japan)", NULL, NULL, "1986",
	"Pachinko Wars II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachinko Wars II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachinkoWarsIIJapanRomInfo, rPachinkoWarsIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiokunSpecialJapanRomDesc[] = {
	{ "Pachio-kun Special (Japan).sfc",          1048576, 0x34ff17b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiokunSpecialJapan)
STD_ROM_FN(rPachiokunSpecialJapan)

struct BurnDriver BurnDrvrPachiokunSpecialJapan = {
	"Pachio-kun Special (Japan)", NULL, NULL, "1986",
	"Pachio-kun Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachio-kun Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiokunSpecialJapanRomInfo, rPachiokunSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiokunSpecial2JapanRomDesc[] = {
	{ "Pachio-kun Special 2 (Japan).sfc",          1048576, 0x8f163dc1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiokunSpecial2Japan)
STD_ROM_FN(rPachiokunSpecial2Japan)

struct BurnDriver BurnDrvrPachiokunSpecial2Japan = {
	"Pachio-kun Special 2 (Japan)", NULL, NULL, "1986",
	"Pachio-kun Special 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachio-kun Special 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiokunSpecial2JapanRomInfo, rPachiokunSpecial2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPachiokunSpecial3JapanRomDesc[] = {
	{ "Pachio-kun Special 3 (Japan).sfc",          1048576, 0x3449de71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPachiokunSpecial3Japan)
STD_ROM_FN(rPachiokunSpecial3Japan)

struct BurnDriver BurnDrvrPachiokunSpecial3Japan = {
	"Pachio-kun Special 3 (Japan)", NULL, NULL, "1986",
	"Pachio-kun Special 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pachio-kun Special 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPachiokunSpecial3JapanRomInfo, rPachiokunSpecial3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPackyMarlonUSAEnFrEsRomDesc[] = {
	{ "Packy & Marlon (USA) (En,Fr,Es).sfc",          1048576, 0xbab26e9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPackyMarlonUSAEnFrEs)
STD_ROM_FN(rPackyMarlonUSAEnFrEs)

struct BurnDriver BurnDrvrPackyMarlonUSAEnFrEs = {
	"Packy & Marlon (USA) (En,Fr,Es)", NULL, NULL, "1986",
	"Packy & Marlon (USA) (En,Fr,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Packy & Marlon (USA) (En,Fr,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPackyMarlonUSAEnFrEsRomInfo, rPackyMarlonUSAEnFrEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPagemasterTheEuropeRomDesc[] = {
	{ "Pagemaster, The (Europe).sfc",          2097152, 0x3c42a7b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPagemasterTheEurope)
STD_ROM_FN(rPagemasterTheEurope)

struct BurnDriver BurnDrvrPagemasterTheEurope = {
	"Pagemaster, The (Europe)", NULL, NULL, "1986",
	"Pagemaster, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pagemaster, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPagemasterTheEuropeRomInfo, rPagemasterTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPagemasterTheUSABetaRomDesc[] = {
	{ "Pagemaster, The (USA) (Beta).sfc",          2097152, 0x6f2c46c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPagemasterTheUSABeta)
STD_ROM_FN(rPagemasterTheUSABeta)

struct BurnDriver BurnDrvrPagemasterTheUSABeta = {
	"Pagemaster, The (USA) (Beta)", NULL, NULL, "1986",
	"Pagemaster, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pagemaster, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPagemasterTheUSABetaRomInfo, rPagemasterTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPagemasterTheUSARomDesc[] = {
	{ "Pagemaster, The (USA).sfc",          2097152, 0x26c38eee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPagemasterTheUSA)
STD_ROM_FN(rPagemasterTheUSA)

struct BurnDriver BurnDrvrPagemasterTheUSA = {
	"Pagemaster, The (USA)", NULL, NULL, "1986",
	"Pagemaster, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pagemaster, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPagemasterTheUSARomInfo, rPagemasterTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPaladinsQuestUSARomDesc[] = {
	{ "Paladin's Quest (USA).sfc",          1572864, 0x37fe8126, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPaladinsQuestUSA)
STD_ROM_FN(rPaladinsQuestUSA)

struct BurnDriver BurnDrvrPaladinsQuestUSA = {
	"Paladin's Quest (USA)", NULL, NULL, "1986",
	"Paladin's Quest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Paladin's Quest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPaladinsQuestUSARomInfo, rPaladinsQuestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPaneldePonJapanRomDesc[] = {
	{ "Panel de Pon (Japan).sfc",          1048576, 0x14d70786, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPaneldePonJapan)
STD_ROM_FN(rPaneldePonJapan)

struct BurnDriver BurnDrvrPaneldePonJapan = {
	"Panel de Pon (Japan)", NULL, NULL, "1986",
	"Panel de Pon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Panel de Pon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPaneldePonJapanRomInfo, rPaneldePonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPaneldePonEvent98JapanBSRomDesc[] = {
	{ "Panel de Pon - Event '98 (Japan) (BS).sfc",          1048576, 0x36b0cf6c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPaneldePonEvent98JapanBS)
STD_ROM_FN(rPaneldePonEvent98JapanBS)

struct BurnDriver BurnDrvrPaneldePonEvent98JapanBS = {
	"Panel de Pon - Event '98 (Japan) (BS)", NULL, NULL, "1986",
	"Panel de Pon - Event '98 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Panel de Pon - Event '98 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPaneldePonEvent98JapanBSRomInfo, rPaneldePonEvent98JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPanicinNakayoshiWorldJapanRomDesc[] = {
	{ "Panic in Nakayoshi World (Japan).sfc",          524288, 0x7ac3c0c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPanicinNakayoshiWorldJapan)
STD_ROM_FN(rPanicinNakayoshiWorldJapan)

struct BurnDriver BurnDrvrPanicinNakayoshiWorldJapan = {
	"Panic in Nakayoshi World (Japan)", NULL, NULL, "1986",
	"Panic in Nakayoshi World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Panic in Nakayoshi World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPanicinNakayoshiWorldJapanRomInfo, rPanicinNakayoshiWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPaperboy2EuropeRomDesc[] = {
	{ "Paperboy 2 (Europe).sfc",          524288, 0x282611cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPaperboy2Europe)
STD_ROM_FN(rPaperboy2Europe)

struct BurnDriver BurnDrvrPaperboy2Europe = {
	"Paperboy 2 (Europe)", NULL, NULL, "1986",
	"Paperboy 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Paperboy 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPaperboy2EuropeRomInfo, rPaperboy2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPaperboy2USARomDesc[] = {
	{ "Paperboy 2 (USA).sfc",          524288, 0xc85aa66a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPaperboy2USA)
STD_ROM_FN(rPaperboy2USA)

struct BurnDriver BurnDrvrPaperboy2USA = {
	"Paperboy 2 (USA)", NULL, NULL, "1986",
	"Paperboy 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Paperboy 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPaperboy2USARomInfo, rPaperboy2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParameROMCassetteVol4JapanUnlRomDesc[] = {
	{ "Parame ROM Cassette Vol. 4 (Japan) (Unl).sfc",          262144, 0x9a30c538, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParameROMCassetteVol4JapanUnl)
STD_ROM_FN(rParameROMCassetteVol4JapanUnl)

struct BurnDriver BurnDrvrParameROMCassetteVol4JapanUnl = {
	"Parame ROM Cassette Vol. 4 (Japan) (Unl)", NULL, NULL, "1986",
	"Parame ROM Cassette Vol. 4 (Japan) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parame ROM Cassette Vol. 4 (Japan) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParameROMCassetteVol4JapanUnlRomInfo, rParameROMCassetteVol4JapanUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParameROMCassetteVol5JapanUnlRomDesc[] = {
	{ "Parame ROM Cassette Vol. 5 (Japan) (Unl).sfc",          262144, 0x69150d4c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParameROMCassetteVol5JapanUnl)
STD_ROM_FN(rParameROMCassetteVol5JapanUnl)

struct BurnDriver BurnDrvrParameROMCassetteVol5JapanUnl = {
	"Parame ROM Cassette Vol. 5 (Japan) (Unl)", NULL, NULL, "1986",
	"Parame ROM Cassette Vol. 5 (Japan) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parame ROM Cassette Vol. 5 (Japan) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParameROMCassetteVol5JapanUnlRomInfo, rParameROMCassetteVol5JapanUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMiniPachinkoJikkiSimulationGameJapanRev1RomDesc[] = {
	{ "Parlor! Mini - Pachinko Jikki Simulation Game (Japan) (Rev 1).sfc",          1048576, 0xe43e135, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMiniPachinkoJikkiSimulationGameJapanRev1)
STD_ROM_FN(rParlorMiniPachinkoJikkiSimulationGameJapanRev1)

struct BurnDriver BurnDrvrParlorMiniPachinkoJikkiSimulationGameJapanRev1 = {
	"Parlor! Mini - Pachinko Jikki Simulation Game (Japan) (Rev 1)", NULL, NULL, "1986",
	"Parlor! Mini - Pachinko Jikki Simulation Game (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini - Pachinko Jikki Simulation Game (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMiniPachinkoJikkiSimulationGameJapanRev1RomInfo, rParlorMiniPachinkoJikkiSimulationGameJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMiniPachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x836e5194, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMiniPachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMiniPachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMiniPachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMiniPachinkoJikkiSimulationGameJapanRomInfo, rParlorMiniPachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini2PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 2 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x30fc693d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini2PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini2PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini2PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 2 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 2 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 2 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini2PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini2PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini3PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 3 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x55b93658, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini3PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini3PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini3PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 3 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 3 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 3 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini3PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini3PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini4PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 4 - Pachinko Jikki Simulation Game (Japan).sfc",          1572864, 0x1513acb8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini4PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini4PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini4PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 4 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 4 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 4 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini4PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini4PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini5PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 5 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x3571f873, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini5PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini5PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini5PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 5 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 5 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 5 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini5PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini5PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini6PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 6 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x18b6820b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini6PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini6PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini6PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 6 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 6 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 6 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini6PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini6PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorMini7PachinkoJikkiSimulationGameJapanRomDesc[] = {
	{ "Parlor! Mini 7 - Pachinko Jikki Simulation Game (Japan).sfc",          1048576, 0x54e92c91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorMini7PachinkoJikkiSimulationGameJapan)
STD_ROM_FN(rParlorMini7PachinkoJikkiSimulationGameJapan)

struct BurnDriver BurnDrvrParlorMini7PachinkoJikkiSimulationGameJapan = {
	"Parlor! Mini 7 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, "1986",
	"Parlor! Mini 7 - Pachinko Jikki Simulation Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Mini 7 - Pachinko Jikki Simulation Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorMini7PachinkoJikkiSimulationGameJapanRomInfo, rParlorMini7PachinkoJikkiSimulationGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorParlorJapanRomDesc[] = {
	{ "Parlor! Parlor! (Japan).sfc",          2097152, 0x2ea12170, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorParlorJapan)
STD_ROM_FN(rParlorParlorJapan)

struct BurnDriver BurnDrvrParlorParlorJapan = {
	"Parlor! Parlor! (Japan)", NULL, NULL, "1986",
	"Parlor! Parlor! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Parlor! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorParlorJapanRomInfo, rParlorParlorJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorParlor2JapanRomDesc[] = {
	{ "Parlor! Parlor! 2 (Japan).sfc",          2097152, 0x5d73187, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorParlor2Japan)
STD_ROM_FN(rParlorParlor2Japan)

struct BurnDriver BurnDrvrParlorParlor2Japan = {
	"Parlor! Parlor! 2 (Japan)", NULL, NULL, "1986",
	"Parlor! Parlor! 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Parlor! 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorParlor2JapanRomInfo, rParlorParlor2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorParlor3JapanRomDesc[] = {
	{ "Parlor! Parlor! 3 (Japan).sfc",          2621440, 0x5699582c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorParlor3Japan)
STD_ROM_FN(rParlorParlor3Japan)

struct BurnDriver BurnDrvrParlorParlor3Japan = {
	"Parlor! Parlor! 3 (Japan)", NULL, NULL, "1986",
	"Parlor! Parlor! 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Parlor! 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorParlor3JapanRomInfo, rParlorParlor3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorParlor5JapanRomDesc[] = {
	{ "Parlor! Parlor! 5 (Japan).sfc",          1572864, 0xfe6c5da7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorParlor5Japan)
STD_ROM_FN(rParlorParlor5Japan)

struct BurnDriver BurnDrvrParlorParlor5Japan = {
	"Parlor! Parlor! 5 (Japan)", NULL, NULL, "1986",
	"Parlor! Parlor! 5 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Parlor! 5 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorParlor5JapanRomInfo, rParlorParlor5JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParlorParlorIVCRJapanRomDesc[] = {
	{ "Parlor! Parlor! IV CR (Japan).sfc",          2097152, 0xf6d7210f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParlorParlorIVCRJapan)
STD_ROM_FN(rParlorParlorIVCRJapan)

struct BurnDriver BurnDrvrParlorParlorIVCRJapan = {
	"Parlor! Parlor! IV CR (Japan)", NULL, NULL, "1986",
	"Parlor! Parlor! IV CR (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parlor! Parlor! IV CR (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParlorParlorIVCRJapanRomInfo, rParlorParlorIVCRJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParodiusNonSenseFantasyEuropeRomDesc[] = {
	{ "Parodius - Non-Sense Fantasy (Europe).sfc",          1048576, 0x6ffa308c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParodiusNonSenseFantasyEurope)
STD_ROM_FN(rParodiusNonSenseFantasyEurope)

struct BurnDriver BurnDrvrParodiusNonSenseFantasyEurope = {
	"Parodius - Non-Sense Fantasy (Europe)", NULL, NULL, "1986",
	"Parodius - Non-Sense Fantasy (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parodius - Non-Sense Fantasy (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParodiusNonSenseFantasyEuropeRomInfo, rParodiusNonSenseFantasyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rParodiusdaShinwakaraOwaraieJapanRomDesc[] = {
	{ "Parodius da! - Shinwa kara Owarai e (Japan).sfc",          1048576, 0x876dfd97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rParodiusdaShinwakaraOwaraieJapan)
STD_ROM_FN(rParodiusdaShinwakaraOwaraieJapan)

struct BurnDriver BurnDrvrParodiusdaShinwakaraOwaraieJapan = {
	"Parodius da! - Shinwa kara Owarai e (Japan)", NULL, NULL, "1986",
	"Parodius da! - Shinwa kara Owarai e (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Parodius da! - Shinwa kara Owarai e (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rParodiusdaShinwakaraOwaraieJapanRomInfo, rParodiusdaShinwakaraOwaraieJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPeaceKeepersTheUSARomDesc[] = {
	{ "Peace Keepers, The (USA).sfc",          2097152, 0x8071e5db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPeaceKeepersTheUSA)
STD_ROM_FN(rPeaceKeepersTheUSA)

struct BurnDriver BurnDrvrPeaceKeepersTheUSA = {
	"Peace Keepers, The (USA)", NULL, NULL, "1986",
	"Peace Keepers, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Peace Keepers, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPeaceKeepersTheUSARomInfo, rPeaceKeepersTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPebbleBeachnoHatouNewTournamentEditionJapanRomDesc[] = {
	{ "Pebble Beach no Hatou New - Tournament Edition (Japan).sfc",          2097152, 0xb6fb2f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPebbleBeachnoHatouNewTournamentEditionJapan)
STD_ROM_FN(rPebbleBeachnoHatouNewTournamentEditionJapan)

struct BurnDriver BurnDrvrPebbleBeachnoHatouNewTournamentEditionJapan = {
	"Pebble Beach no Hatou New - Tournament Edition (Japan)", NULL, NULL, "1986",
	"Pebble Beach no Hatou New - Tournament Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pebble Beach no Hatou New - Tournament Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPebbleBeachnoHatouNewTournamentEditionJapanRomInfo, rPebbleBeachnoHatouNewTournamentEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGAEuropeanTourEuropeRomDesc[] = {
	{ "PGA European Tour (Europe).sfc",          1048576, 0xbe94e60d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGAEuropeanTourEurope)
STD_ROM_FN(rPGAEuropeanTourEurope)

struct BurnDriver BurnDrvrPGAEuropeanTourEurope = {
	"PGA European Tour (Europe)", NULL, NULL, "1986",
	"PGA European Tour (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA European Tour (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGAEuropeanTourEuropeRomInfo, rPGAEuropeanTourEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGAEuropeanTourUSARomDesc[] = {
	{ "PGA European Tour (USA).sfc",          1048576, 0x914f2ea3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGAEuropeanTourUSA)
STD_ROM_FN(rPGAEuropeanTourUSA)

struct BurnDriver BurnDrvrPGAEuropeanTourUSA = {
	"PGA European Tour (USA)", NULL, NULL, "1986",
	"PGA European Tour (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA European Tour (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGAEuropeanTourUSARomInfo, rPGAEuropeanTourUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGATour96EuropeRomDesc[] = {
	{ "PGA Tour 96 (Europe).sfc",          2097152, 0xc5ac2e72, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGATour96Europe)
STD_ROM_FN(rPGATour96Europe)

struct BurnDriver BurnDrvrPGATour96Europe = {
	"PGA Tour 96 (Europe)", NULL, NULL, "1986",
	"PGA Tour 96 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA Tour 96 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGATour96EuropeRomInfo, rPGATour96EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGATour96USARomDesc[] = {
	{ "PGA Tour 96 (USA).sfc",          2097152, 0xbc5df071, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGATour96USA)
STD_ROM_FN(rPGATour96USA)

struct BurnDriver BurnDrvrPGATour96USA = {
	"PGA Tour 96 (USA)", NULL, NULL, "1986",
	"PGA Tour 96 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA Tour 96 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGATour96USARomInfo, rPGATour96USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGATourGolfEuropeRomDesc[] = {
	{ "PGA Tour Golf (Europe).sfc",          524288, 0x5daf9dbd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGATourGolfEurope)
STD_ROM_FN(rPGATourGolfEurope)

struct BurnDriver BurnDrvrPGATourGolfEurope = {
	"PGA Tour Golf (Europe)", NULL, NULL, "1986",
	"PGA Tour Golf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA Tour Golf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGATourGolfEuropeRomInfo, rPGATourGolfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGATourGolfJapanRomDesc[] = {
	{ "PGA Tour Golf (Japan).sfc",          524288, 0x8a2d377e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGATourGolfJapan)
STD_ROM_FN(rPGATourGolfJapan)

struct BurnDriver BurnDrvrPGATourGolfJapan = {
	"PGA Tour Golf (Japan)", NULL, NULL, "1986",
	"PGA Tour Golf (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA Tour Golf (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGATourGolfJapanRomInfo, rPGATourGolfJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPGATourGolfUSARomDesc[] = {
	{ "PGA Tour Golf (USA).sfc",          524288, 0xb6566944, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPGATourGolfUSA)
STD_ROM_FN(rPGATourGolfUSA)

struct BurnDriver BurnDrvrPGATourGolfUSA = {
	"PGA Tour Golf (USA)", NULL, NULL, "1986",
	"PGA Tour Golf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"PGA Tour Golf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPGATourGolfUSARomInfo, rPGATourGolfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhalanxTheEnforceFighterA144EuropeRomDesc[] = {
	{ "Phalanx - The Enforce Fighter A-144 (Europe).sfc",          1048576, 0x1fd515d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhalanxTheEnforceFighterA144Europe)
STD_ROM_FN(rPhalanxTheEnforceFighterA144Europe)

struct BurnDriver BurnDrvrPhalanxTheEnforceFighterA144Europe = {
	"Phalanx - The Enforce Fighter A-144 (Europe)", NULL, NULL, "1986",
	"Phalanx - The Enforce Fighter A-144 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phalanx - The Enforce Fighter A-144 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhalanxTheEnforceFighterA144EuropeRomInfo, rPhalanxTheEnforceFighterA144EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhalanxTheEnforceFighterA144JapanRomDesc[] = {
	{ "Phalanx - The Enforce Fighter A-144 (Japan).sfc",          1048576, 0x561aeb8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhalanxTheEnforceFighterA144Japan)
STD_ROM_FN(rPhalanxTheEnforceFighterA144Japan)

struct BurnDriver BurnDrvrPhalanxTheEnforceFighterA144Japan = {
	"Phalanx - The Enforce Fighter A-144 (Japan)", NULL, NULL, "1986",
	"Phalanx - The Enforce Fighter A-144 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phalanx - The Enforce Fighter A-144 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhalanxTheEnforceFighterA144JapanRomInfo, rPhalanxTheEnforceFighterA144JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhalanxTheEnforceFighterA144USABetaRomDesc[] = {
	{ "Phalanx - The Enforce Fighter A-144 (USA) (Beta).sfc",          1048576, 0xb1a32fe2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhalanxTheEnforceFighterA144USABeta)
STD_ROM_FN(rPhalanxTheEnforceFighterA144USABeta)

struct BurnDriver BurnDrvrPhalanxTheEnforceFighterA144USABeta = {
	"Phalanx - The Enforce Fighter A-144 (USA) (Beta)", NULL, NULL, "1986",
	"Phalanx - The Enforce Fighter A-144 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phalanx - The Enforce Fighter A-144 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhalanxTheEnforceFighterA144USABetaRomInfo, rPhalanxTheEnforceFighterA144USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhalanxTheEnforceFighterA144USARomDesc[] = {
	{ "Phalanx - The Enforce Fighter A-144 (USA).sfc",          1048576, 0xdc90a8ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhalanxTheEnforceFighterA144USA)
STD_ROM_FN(rPhalanxTheEnforceFighterA144USA)

struct BurnDriver BurnDrvrPhalanxTheEnforceFighterA144USA = {
	"Phalanx - The Enforce Fighter A-144 (USA)", NULL, NULL, "1986",
	"Phalanx - The Enforce Fighter A-144 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phalanx - The Enforce Fighter A-144 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhalanxTheEnforceFighterA144USARomInfo, rPhalanxTheEnforceFighterA144USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhantom2040EuropeEnFrDeRomDesc[] = {
	{ "Phantom 2040 (Europe) (En,Fr,De).sfc",          2097152, 0x14252650, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhantom2040EuropeEnFrDe)
STD_ROM_FN(rPhantom2040EuropeEnFrDe)

struct BurnDriver BurnDrvrPhantom2040EuropeEnFrDe = {
	"Phantom 2040 (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Phantom 2040 (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phantom 2040 (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhantom2040EuropeEnFrDeRomInfo, rPhantom2040EuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhantom2040USABetaRomDesc[] = {
	{ "Phantom 2040 (USA) (Beta).sfc",          2097152, 0xd498f1d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhantom2040USABeta)
STD_ROM_FN(rPhantom2040USABeta)

struct BurnDriver BurnDrvrPhantom2040USABeta = {
	"Phantom 2040 (USA) (Beta)", NULL, NULL, "1986",
	"Phantom 2040 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phantom 2040 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhantom2040USABetaRomInfo, rPhantom2040USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPhantom2040USARomDesc[] = {
	{ "Phantom 2040 (USA).sfc",          2097152, 0x35e8fb28, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPhantom2040USA)
STD_ROM_FN(rPhantom2040USA)

struct BurnDriver BurnDrvrPhantom2040USA = {
	"Phantom 2040 (USA)", NULL, NULL, "1986",
	"Phantom 2040 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Phantom 2040 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPhantom2040USARomInfo, rPhantom2040USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicachuWorldUnlRomDesc[] = {
	{ "Picachu (World) (Unl).sfc",          2097152, 0x892c6765, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicachuWorldUnl)
STD_ROM_FN(rPicachuWorldUnl)

struct BurnDriver BurnDrvrPicachuWorldUnl = {
	"Picachu (World) (Unl)", NULL, NULL, "1986",
	"Picachu (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picachu (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicachuWorldUnlRomInfo, rPicachuWorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol1JapanNPRomDesc[] = {
	{ "Picross NP Vol. 1 (Japan) (NP).sfc",          1048576, 0x73f484a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol1JapanNP)
STD_ROM_FN(rPicrossNPVol1JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol1JapanNP = {
	"Picross NP Vol. 1 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 1 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 1 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol1JapanNPRomInfo, rPicrossNPVol1JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol2JapanNPRomDesc[] = {
	{ "Picross NP Vol. 2 (Japan) (NP).sfc",          1048576, 0xca8be5e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol2JapanNP)
STD_ROM_FN(rPicrossNPVol2JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol2JapanNP = {
	"Picross NP Vol. 2 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 2 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 2 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol2JapanNPRomInfo, rPicrossNPVol2JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol2JapanRev1NPRomDesc[] = {
	{ "Picross NP Vol. 2 (Japan) (Rev 1) (NP).sfc",          1048576, 0x1df8a75c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol2JapanRev1NP)
STD_ROM_FN(rPicrossNPVol2JapanRev1NP)

struct BurnDriver BurnDrvrPicrossNPVol2JapanRev1NP = {
	"Picross NP Vol. 2 (Japan) (Rev 1) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 2 (Japan) (Rev 1) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 2 (Japan) (Rev 1) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol2JapanRev1NPRomInfo, rPicrossNPVol2JapanRev1NPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol3JapanNPRomDesc[] = {
	{ "Picross NP Vol. 3 (Japan) (NP).sfc",          1048576, 0x23fc2bfc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol3JapanNP)
STD_ROM_FN(rPicrossNPVol3JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol3JapanNP = {
	"Picross NP Vol. 3 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 3 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 3 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol3JapanNPRomInfo, rPicrossNPVol3JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol4JapanNPRomDesc[] = {
	{ "Picross NP Vol. 4 (Japan) (NP).sfc",          1048576, 0xd2b32081, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol4JapanNP)
STD_ROM_FN(rPicrossNPVol4JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol4JapanNP = {
	"Picross NP Vol. 4 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 4 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 4 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol4JapanNPRomInfo, rPicrossNPVol4JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol5JapanNPRomDesc[] = {
	{ "Picross NP Vol. 5 (Japan) (NP).sfc",          1048576, 0xc0fbd6b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol5JapanNP)
STD_ROM_FN(rPicrossNPVol5JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol5JapanNP = {
	"Picross NP Vol. 5 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 5 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 5 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol5JapanNPRomInfo, rPicrossNPVol5JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol6JapanNPRomDesc[] = {
	{ "Picross NP Vol. 6 (Japan) (NP).sfc",          1572864, 0xda52dbc2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol6JapanNP)
STD_ROM_FN(rPicrossNPVol6JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol6JapanNP = {
	"Picross NP Vol. 6 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 6 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 6 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol6JapanNPRomInfo, rPicrossNPVol6JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol7JapanNPRomDesc[] = {
	{ "Picross NP Vol. 7 (Japan) (NP).sfc",          1572864, 0x3fab702d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol7JapanNP)
STD_ROM_FN(rPicrossNPVol7JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol7JapanNP = {
	"Picross NP Vol. 7 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 7 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 7 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol7JapanNPRomInfo, rPicrossNPVol7JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPicrossNPVol8JapanNPRomDesc[] = {
	{ "Picross NP Vol. 8 (Japan) (NP).sfc",          1572864, 0xa473148c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPicrossNPVol8JapanNP)
STD_ROM_FN(rPicrossNPVol8JapanNP)

struct BurnDriver BurnDrvrPicrossNPVol8JapanNP = {
	"Picross NP Vol. 8 (Japan) (NP)", NULL, NULL, "1986",
	"Picross NP Vol. 8 (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Picross NP Vol. 8 (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPicrossNPVol8JapanNPRomInfo, rPicrossNPVol8JapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPiecesUSARomDesc[] = {
	{ "Pieces (USA).sfc",          1048576, 0xbb6c3c54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPiecesUSA)
STD_ROM_FN(rPiecesUSA)

struct BurnDriver BurnDrvrPiecesUSA = {
	"Pieces (USA)", NULL, NULL, "1986",
	"Pieces (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pieces (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPiecesUSARomInfo, rPiecesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPikiinyaJapanRomDesc[] = {
	{ "Pikiinya! (Japan).sfc",          2097152, 0x9fe1b94a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPikiinyaJapan)
STD_ROM_FN(rPikiinyaJapan)

struct BurnDriver BurnDrvrPikiinyaJapan = {
	"Pikiinya! (Japan)", NULL, NULL, "1986",
	"Pikiinya! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pikiinya! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPikiinyaJapanRomInfo, rPikiinyaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPilotwingsEuropeRomDesc[] = {
	{ "Pilotwings (Europe).sfc",          524288, 0xdef45776, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPilotwingsEurope)
STD_ROM_FN(rPilotwingsEurope)

struct BurnDriver BurnDrvrPilotwingsEurope = {
	"Pilotwings (Europe)", NULL, NULL, "1986",
	"Pilotwings (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pilotwings (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPilotwingsEuropeRomInfo, rPilotwingsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPilotwingsJapanRomDesc[] = {
	{ "Pilotwings (Japan).sfc",          524288, 0x77871727, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPilotwingsJapan)
STD_ROM_FN(rPilotwingsJapan)

struct BurnDriver BurnDrvrPilotwingsJapan = {
	"Pilotwings (Japan)", NULL, NULL, "1986",
	"Pilotwings (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pilotwings (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPilotwingsJapanRomInfo, rPilotwingsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPilotwingsUSARomDesc[] = {
	{ "Pilotwings (USA).sfc",          524288, 0x266c44ed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPilotwingsUSA)
STD_ROM_FN(rPilotwingsUSA)

struct BurnDriver BurnDrvrPilotwingsUSA = {
	"Pilotwings (USA)", NULL, NULL, "1986",
	"Pilotwings (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pilotwings (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPilotwingsUSARomInfo, rPilotwingsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballDreamsEuropeBetaRomDesc[] = {
	{ "Pinball Dreams (Europe) (Beta).sfc",          1048576, 0xc8cca577, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballDreamsEuropeBeta)
STD_ROM_FN(rPinballDreamsEuropeBeta)

struct BurnDriver BurnDrvrPinballDreamsEuropeBeta = {
	"Pinball Dreams (Europe) (Beta)", NULL, NULL, "1986",
	"Pinball Dreams (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Dreams (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballDreamsEuropeBetaRomInfo, rPinballDreamsEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballDreamsEuropeRomDesc[] = {
	{ "Pinball Dreams (Europe).sfc",          1048576, 0x4c922f36, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballDreamsEurope)
STD_ROM_FN(rPinballDreamsEurope)

struct BurnDriver BurnDrvrPinballDreamsEurope = {
	"Pinball Dreams (Europe)", NULL, NULL, "1986",
	"Pinball Dreams (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Dreams (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballDreamsEuropeRomInfo, rPinballDreamsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballDreamsUSARomDesc[] = {
	{ "Pinball Dreams (USA).sfc",          1048576, 0x81107ce2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballDreamsUSA)
STD_ROM_FN(rPinballDreamsUSA)

struct BurnDriver BurnDrvrPinballDreamsUSA = {
	"Pinball Dreams (USA)", NULL, NULL, "1986",
	"Pinball Dreams (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Dreams (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballDreamsUSARomInfo, rPinballDreamsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballFantasiesEuropeRomDesc[] = {
	{ "Pinball Fantasies (Europe).sfc",          1048576, 0x2a8f0e3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballFantasiesEurope)
STD_ROM_FN(rPinballFantasiesEurope)

struct BurnDriver BurnDrvrPinballFantasiesEurope = {
	"Pinball Fantasies (Europe)", NULL, NULL, "1986",
	"Pinball Fantasies (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Fantasies (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballFantasiesEuropeRomInfo, rPinballFantasiesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballFantasiesUSARomDesc[] = {
	{ "Pinball Fantasies (USA).sfc",          1048576, 0x822ad378, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballFantasiesUSA)
STD_ROM_FN(rPinballFantasiesUSA)

struct BurnDriver BurnDrvrPinballFantasiesUSA = {
	"Pinball Fantasies (USA)", NULL, NULL, "1986",
	"Pinball Fantasies (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Fantasies (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballFantasiesUSARomInfo, rPinballFantasiesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinballPinballJapanRomDesc[] = {
	{ "Pinball Pinball (Japan).sfc",          1048576, 0x9bf79a7d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinballPinballJapan)
STD_ROM_FN(rPinballPinballJapan)

struct BurnDriver BurnDrvrPinballPinballJapan = {
	"Pinball Pinball (Japan)", NULL, NULL, "1986",
	"Pinball Pinball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinball Pinball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinballPinballJapanRomInfo, rPinballPinballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinkGoestoHollywoodEuropeRomDesc[] = {
	{ "Pink Goes to Hollywood (Europe).sfc",          1048576, 0x94da9bd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinkGoestoHollywoodEurope)
STD_ROM_FN(rPinkGoestoHollywoodEurope)

struct BurnDriver BurnDrvrPinkGoestoHollywoodEurope = {
	"Pink Goes to Hollywood (Europe)", NULL, NULL, "1986",
	"Pink Goes to Hollywood (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pink Goes to Hollywood (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinkGoestoHollywoodEuropeRomInfo, rPinkGoestoHollywoodEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinkGoestoHollywoodUSARomDesc[] = {
	{ "Pink Goes to Hollywood (USA).sfc",          1048576, 0x8bae9438, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinkGoestoHollywoodUSA)
STD_ROM_FN(rPinkGoestoHollywoodUSA)

struct BurnDriver BurnDrvrPinkGoestoHollywoodUSA = {
	"Pink Goes to Hollywood (USA)", NULL, NULL, "1986",
	"Pink Goes to Hollywood (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pink Goes to Hollywood (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinkGoestoHollywoodUSARomInfo, rPinkGoestoHollywoodUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinkPantherJapanRomDesc[] = {
	{ "Pink Panther (Japan).sfc",          1048576, 0xd1b3812, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinkPantherJapan)
STD_ROM_FN(rPinkPantherJapan)

struct BurnDriver BurnDrvrPinkPantherJapan = {
	"Pink Panther (Japan)", NULL, NULL, "1986",
	"Pink Panther (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pink Panther (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinkPantherJapanRomInfo, rPinkPantherJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinocchioEuropeRomDesc[] = {
	{ "Pinocchio (Europe).sfc",          3145728, 0x2832c824, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinocchioEurope)
STD_ROM_FN(rPinocchioEurope)

struct BurnDriver BurnDrvrPinocchioEurope = {
	"Pinocchio (Europe)", NULL, NULL, "1986",
	"Pinocchio (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinocchio (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinocchioEuropeRomInfo, rPinocchioEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinocchioJapanRomDesc[] = {
	{ "Pinocchio (Japan).sfc",          3145728, 0xd9f5a47a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinocchioJapan)
STD_ROM_FN(rPinocchioJapan)

struct BurnDriver BurnDrvrPinocchioJapan = {
	"Pinocchio (Japan)", NULL, NULL, "1986",
	"Pinocchio (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinocchio (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinocchioJapanRomInfo, rPinocchioJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPinocchioUSARomDesc[] = {
	{ "Pinocchio (USA).sfc",          3145728, 0xfad8fd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPinocchioUSA)
STD_ROM_FN(rPinocchioUSA)

struct BurnDriver BurnDrvrPinocchioUSA = {
	"Pinocchio (USA)", NULL, NULL, "1986",
	"Pinocchio (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pinocchio (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPinocchioUSARomInfo, rPinocchioUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPipeDreamJapanRomDesc[] = {
	{ "Pipe Dream (Japan).sfc",          524288, 0xaf2a3dfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPipeDreamJapan)
STD_ROM_FN(rPipeDreamJapan)

struct BurnDriver BurnDrvrPipeDreamJapan = {
	"Pipe Dream (Japan)", NULL, NULL, "1986",
	"Pipe Dream (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pipe Dream (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPipeDreamJapanRomInfo, rPipeDreamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPiratesofDarkWaterTheEuropeRomDesc[] = {
	{ "Pirates of Dark Water, The (Europe).sfc",          1048576, 0x4c4782b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPiratesofDarkWaterTheEurope)
STD_ROM_FN(rPiratesofDarkWaterTheEurope)

struct BurnDriver BurnDrvrPiratesofDarkWaterTheEurope = {
	"Pirates of Dark Water, The (Europe)", NULL, NULL, "1986",
	"Pirates of Dark Water, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pirates of Dark Water, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPiratesofDarkWaterTheEuropeRomInfo, rPiratesofDarkWaterTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPiratesofDarkWaterTheUSABetaRomDesc[] = {
	{ "Pirates of Dark Water, The (USA) (Beta).sfc",          1048576, 0x2bb26c4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPiratesofDarkWaterTheUSABeta)
STD_ROM_FN(rPiratesofDarkWaterTheUSABeta)

struct BurnDriver BurnDrvrPiratesofDarkWaterTheUSABeta = {
	"Pirates of Dark Water, The (USA) (Beta)", NULL, NULL, "1986",
	"Pirates of Dark Water, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pirates of Dark Water, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPiratesofDarkWaterTheUSABetaRomInfo, rPiratesofDarkWaterTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPiratesofDarkWaterTheUSARomDesc[] = {
	{ "Pirates of Dark Water, The (USA).sfc",          1048576, 0x7ca0ca4d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPiratesofDarkWaterTheUSA)
STD_ROM_FN(rPiratesofDarkWaterTheUSA)

struct BurnDriver BurnDrvrPiratesofDarkWaterTheUSA = {
	"Pirates of Dark Water, The (USA)", NULL, NULL, "1986",
	"Pirates of Dark Water, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pirates of Dark Water, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPiratesofDarkWaterTheUSARomInfo, rPiratesofDarkWaterTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitFighterEuropeRomDesc[] = {
	{ "Pit-Fighter (Europe).sfc",          524288, 0xb3cd103e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitFighterEurope)
STD_ROM_FN(rPitFighterEurope)

struct BurnDriver BurnDrvrPitFighterEurope = {
	"Pit-Fighter (Europe)", NULL, NULL, "1986",
	"Pit-Fighter (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pit-Fighter (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitFighterEuropeRomInfo, rPitFighterEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitFighterUSARomDesc[] = {
	{ "Pit-Fighter (USA).sfc",          524288, 0x9fab69fc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitFighterUSA)
STD_ROM_FN(rPitFighterUSA)

struct BurnDriver BurnDrvrPitFighterUSA = {
	"Pit-Fighter (USA)", NULL, NULL, "1986",
	"Pit-Fighter (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pit-Fighter (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitFighterUSARomInfo, rPitFighterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitfallMayanoDaiboukenJapanRomDesc[] = {
	{ "Pitfall - Maya no Daibouken (Japan).sfc",          2097152, 0xa81f9778, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitfallMayanoDaiboukenJapan)
STD_ROM_FN(rPitfallMayanoDaiboukenJapan)

struct BurnDriver BurnDrvrPitfallMayanoDaiboukenJapan = {
	"Pitfall - Maya no Daibouken (Japan)", NULL, NULL, "1986",
	"Pitfall - Maya no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pitfall - Maya no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitfallMayanoDaiboukenJapanRomInfo, rPitfallMayanoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitfallTheMayanAdventureEuropeRomDesc[] = {
	{ "Pitfall - The Mayan Adventure (Europe).sfc",          2097152, 0x7e9bc944, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitfallTheMayanAdventureEurope)
STD_ROM_FN(rPitfallTheMayanAdventureEurope)

struct BurnDriver BurnDrvrPitfallTheMayanAdventureEurope = {
	"Pitfall - The Mayan Adventure (Europe)", NULL, NULL, "1986",
	"Pitfall - The Mayan Adventure (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pitfall - The Mayan Adventure (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitfallTheMayanAdventureEuropeRomInfo, rPitfallTheMayanAdventureEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitfallTheMayanAdventureUSABetaRomDesc[] = {
	{ "Pitfall - The Mayan Adventure (USA) (Beta).sfc",          2097152, 0xb10b8804, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitfallTheMayanAdventureUSABeta)
STD_ROM_FN(rPitfallTheMayanAdventureUSABeta)

struct BurnDriver BurnDrvrPitfallTheMayanAdventureUSABeta = {
	"Pitfall - The Mayan Adventure (USA) (Beta)", NULL, NULL, "1986",
	"Pitfall - The Mayan Adventure (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pitfall - The Mayan Adventure (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitfallTheMayanAdventureUSABetaRomInfo, rPitfallTheMayanAdventureUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPitfallTheMayanAdventureUSARomDesc[] = {
	{ "Pitfall - The Mayan Adventure (USA).sfc",          2097152, 0x3e67d38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPitfallTheMayanAdventureUSA)
STD_ROM_FN(rPitfallTheMayanAdventureUSA)

struct BurnDriver BurnDrvrPitfallTheMayanAdventureUSA = {
	"Pitfall - The Mayan Adventure (USA)", NULL, NULL, "1986",
	"Pitfall - The Mayan Adventure (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pitfall - The Mayan Adventure (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPitfallTheMayanAdventureUSARomInfo, rPitfallTheMayanAdventureUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlanetsChampTG3000TheJapanRomDesc[] = {
	{ "Planet's Champ TG 3000, The (Japan).sfc",          1048576, 0xb9b9df06, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlanetsChampTG3000TheJapan)
STD_ROM_FN(rPlanetsChampTG3000TheJapan)

struct BurnDriver BurnDrvrPlanetsChampTG3000TheJapan = {
	"Planet's Champ TG 3000, The (Japan)", NULL, NULL, "1986",
	"Planet's Champ TG 3000, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Planet's Champ TG 3000, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlanetsChampTG3000TheJapanRomInfo, rPlanetsChampTG3000TheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlokEuropeRomDesc[] = {
	{ "Plok! (Europe).sfc",          1048576, 0x26f2c19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlokEurope)
STD_ROM_FN(rPlokEurope)

struct BurnDriver BurnDrvrPlokEurope = {
	"Plok! (Europe)", NULL, NULL, "1986",
	"Plok! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Plok! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlokEuropeRomInfo, rPlokEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlokFranceEnFrRomDesc[] = {
	{ "Plok! (France) (En,Fr).sfc",          1048576, 0xe5e84e18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlokFranceEnFr)
STD_ROM_FN(rPlokFranceEnFr)

struct BurnDriver BurnDrvrPlokFranceEnFr = {
	"Plok! (France) (En,Fr)", NULL, NULL, "1986",
	"Plok! (France) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Plok! (France) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlokFranceEnFrRomInfo, rPlokFranceEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlokGermanyRomDesc[] = {
	{ "Plok! (Germany).sfc",          1048576, 0xedc2befd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlokGermany)
STD_ROM_FN(rPlokGermany)

struct BurnDriver BurnDrvrPlokGermany = {
	"Plok! (Germany)", NULL, NULL, "1986",
	"Plok! (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Plok! (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlokGermanyRomInfo, rPlokGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlokJapanRomDesc[] = {
	{ "Plok! (Japan).sfc",          1048576, 0x57dcd2a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlokJapan)
STD_ROM_FN(rPlokJapan)

struct BurnDriver BurnDrvrPlokJapan = {
	"Plok! (Japan)", NULL, NULL, "1986",
	"Plok! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Plok! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlokJapanRomInfo, rPlokJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPlokUSARomDesc[] = {
	{ "Plok! (USA).sfc",          1048576, 0xbbd678f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPlokUSA)
STD_ROM_FN(rPlokUSA)

struct BurnDriver BurnDrvrPlokUSA = {
	"Plok! (USA)", NULL, NULL, "1986",
	"Plok! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Plok! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPlokUSARomInfo, rPlokUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRockyEuropeSampleRomDesc[] = {
	{ "Pocky & Rocky (Europe) (Sample).sfc",          1048576, 0x99f8d70b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRockyEuropeSample)
STD_ROM_FN(rPockyRockyEuropeSample)

struct BurnDriver BurnDrvrPockyRockyEuropeSample = {
	"Pocky & Rocky (Europe) (Sample)", NULL, NULL, "1986",
	"Pocky & Rocky (Europe) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky (Europe) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRockyEuropeSampleRomInfo, rPockyRockyEuropeSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRockyEuropeRomDesc[] = {
	{ "Pocky & Rocky (Europe).sfc",          1048576, 0xb3f491c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRockyEurope)
STD_ROM_FN(rPockyRockyEurope)

struct BurnDriver BurnDrvrPockyRockyEurope = {
	"Pocky & Rocky (Europe)", NULL, NULL, "1986",
	"Pocky & Rocky (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRockyEuropeRomInfo, rPockyRockyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRockyUSARomDesc[] = {
	{ "Pocky & Rocky (USA).sfc",          1048576, 0x2b0e7ea3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRockyUSA)
STD_ROM_FN(rPockyRockyUSA)

struct BurnDriver BurnDrvrPockyRockyUSA = {
	"Pocky & Rocky (USA)", NULL, NULL, "1986",
	"Pocky & Rocky (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRockyUSARomInfo, rPockyRockyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRocky2EuropeRomDesc[] = {
	{ "Pocky & Rocky 2 (Europe).sfc",          1572864, 0x226929cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRocky2Europe)
STD_ROM_FN(rPockyRocky2Europe)

struct BurnDriver BurnDrvrPockyRocky2Europe = {
	"Pocky & Rocky 2 (Europe)", NULL, NULL, "1986",
	"Pocky & Rocky 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRocky2EuropeRomInfo, rPockyRocky2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRocky2USABetaRomDesc[] = {
	{ "Pocky & Rocky 2 (USA) (Beta).sfc",          1572864, 0x3b94b032, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRocky2USABeta)
STD_ROM_FN(rPockyRocky2USABeta)

struct BurnDriver BurnDrvrPockyRocky2USABeta = {
	"Pocky & Rocky 2 (USA) (Beta)", NULL, NULL, "1986",
	"Pocky & Rocky 2 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky 2 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRocky2USABetaRomInfo, rPockyRocky2USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPockyRocky2USARomDesc[] = {
	{ "Pocky & Rocky 2 (USA).sfc",          1572864, 0xfc00bb1b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPockyRocky2USA)
STD_ROM_FN(rPockyRocky2USA)

struct BurnDriver BurnDrvrPockyRocky2USA = {
	"Pocky & Rocky 2 (USA)", NULL, NULL, "1986",
	"Pocky & Rocky 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pocky & Rocky 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPockyRocky2USARomInfo, rPockyRocky2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPoiPoiNinjaWorldJapanSTRomDesc[] = {
	{ "Poi Poi Ninja World (Japan) (ST).sfc",          524288, 0x32b2b3dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPoiPoiNinjaWorldJapanST)
STD_ROM_FN(rPoiPoiNinjaWorldJapanST)

struct BurnDriver BurnDrvrPoiPoiNinjaWorldJapanST = {
	"Poi Poi Ninja World (Japan) (ST)", NULL, NULL, "1986",
	"Poi Poi Ninja World (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"Poi Poi Ninja World (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPoiPoiNinjaWorldJapanSTRomInfo, rPoiPoiNinjaWorldJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPokekameMagazineJapanBSRomDesc[] = {
	{ "Pokekame Magazine (Japan) (BS).sfc",          1048576, 0x2a6c5ec6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPokekameMagazineJapanBS)
STD_ROM_FN(rPokekameMagazineJapanBS)

struct BurnDriver BurnDrvrPokekameMagazineJapanBS = {
	"Pokekame Magazine (Japan) (BS)", NULL, NULL, "1986",
	"Pokekame Magazine (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pokekame Magazine (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPokekameMagazineJapanBSRomInfo, rPokekameMagazineJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPokemonStadiumWorldUnlRomDesc[] = {
	{ "Pokemon Stadium (World) (Unl).sfc",          2097152, 0xf863c642, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPokemonStadiumWorldUnl)
STD_ROM_FN(rPokemonStadiumWorldUnl)

struct BurnDriver BurnDrvrPokemonStadiumWorldUnl = {
	"Pokemon Stadium (World) (Unl)", NULL, NULL, "1986",
	"Pokemon Stadium (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pokemon Stadium (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPokemonStadiumWorldUnlRomInfo, rPokemonStadiumWorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPokoNyanHenpokorinAdventureJapanRomDesc[] = {
	{ "Poko Nyan! - Henpokorin Adventure (Japan).sfc",          1048576, 0xd16810cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPokoNyanHenpokorinAdventureJapan)
STD_ROM_FN(rPokoNyanHenpokorinAdventureJapan)

struct BurnDriver BurnDrvrPokoNyanHenpokorinAdventureJapan = {
	"Poko Nyan! - Henpokorin Adventure (Japan)", NULL, NULL, "1986",
	"Poko Nyan! - Henpokorin Adventure (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Poko Nyan! - Henpokorin Adventure (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPokoNyanHenpokorinAdventureJapanRomInfo, rPokoNyanHenpokorinAdventureJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopnTwinBeeEuropeRomDesc[] = {
	{ "Pop'n TwinBee (Europe).sfc",          1048576, 0x588a9707, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopnTwinBeeEurope)
STD_ROM_FN(rPopnTwinBeeEurope)

struct BurnDriver BurnDrvrPopnTwinBeeEurope = {
	"Pop'n TwinBee (Europe)", NULL, NULL, "1986",
	"Pop'n TwinBee (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pop'n TwinBee (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopnTwinBeeEuropeRomInfo, rPopnTwinBeeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopnTwinBeeJapanSampleRomDesc[] = {
	{ "Pop'n TwinBee (Japan) (Sample).sfc",          1048576, 0xfdd56eb2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopnTwinBeeJapanSample)
STD_ROM_FN(rPopnTwinBeeJapanSample)

struct BurnDriver BurnDrvrPopnTwinBeeJapanSample = {
	"Pop'n TwinBee (Japan) (Sample)", NULL, NULL, "1986",
	"Pop'n TwinBee (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pop'n TwinBee (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopnTwinBeeJapanSampleRomInfo, rPopnTwinBeeJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopnTwinBeeJapanRomDesc[] = {
	{ "Pop'n TwinBee (Japan).sfc",          1048576, 0xee13e32d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopnTwinBeeJapan)
STD_ROM_FN(rPopnTwinBeeJapan)

struct BurnDriver BurnDrvrPopnTwinBeeJapan = {
	"Pop'n TwinBee (Japan)", NULL, NULL, "1986",
	"Pop'n TwinBee (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pop'n TwinBee (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopnTwinBeeJapanRomInfo, rPopnTwinBeeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopnTwinBeeRainbowBellAdventuresEuropeRomDesc[] = {
	{ "Pop'n TwinBee - Rainbow Bell Adventures (Europe).sfc",          1048576, 0x91a03035, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopnTwinBeeRainbowBellAdventuresEurope)
STD_ROM_FN(rPopnTwinBeeRainbowBellAdventuresEurope)

struct BurnDriver BurnDrvrPopnTwinBeeRainbowBellAdventuresEurope = {
	"Pop'n TwinBee - Rainbow Bell Adventures (Europe)", NULL, NULL, "1986",
	"Pop'n TwinBee - Rainbow Bell Adventures (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pop'n TwinBee - Rainbow Bell Adventures (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopnTwinBeeRainbowBellAdventuresEuropeRomInfo, rPopnTwinBeeRainbowBellAdventuresEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopnTwinBeeRainbowBellAdventuresGermanyRomDesc[] = {
	{ "Pop'n TwinBee - Rainbow Bell Adventures (Germany).sfc",          1048576, 0xd56d74b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopnTwinBeeRainbowBellAdventuresGermany)
STD_ROM_FN(rPopnTwinBeeRainbowBellAdventuresGermany)

struct BurnDriver BurnDrvrPopnTwinBeeRainbowBellAdventuresGermany = {
	"Pop'n TwinBee - Rainbow Bell Adventures (Germany)", NULL, NULL, "1986",
	"Pop'n TwinBee - Rainbow Bell Adventures (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pop'n TwinBee - Rainbow Bell Adventures (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopnTwinBeeRainbowBellAdventuresGermanyRomInfo, rPopnTwinBeeRainbowBellAdventuresGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopeyeIjiwaruMajoSeaHagnoMakiJapanRomDesc[] = {
	{ "Popeye - Ijiwaru Majo Sea Hag no Maki (Japan).sfc",          1572864, 0xf9171003, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopeyeIjiwaruMajoSeaHagnoMakiJapan)
STD_ROM_FN(rPopeyeIjiwaruMajoSeaHagnoMakiJapan)

struct BurnDriver BurnDrvrPopeyeIjiwaruMajoSeaHagnoMakiJapan = {
	"Popeye - Ijiwaru Majo Sea Hag no Maki (Japan)", NULL, NULL, "1986",
	"Popeye - Ijiwaru Majo Sea Hag no Maki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Popeye - Ijiwaru Majo Sea Hag no Maki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopeyeIjiwaruMajoSeaHagnoMakiJapanRomInfo, rPopeyeIjiwaruMajoSeaHagnoMakiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopfulMailJapanRomDesc[] = {
	{ "Popful Mail (Japan).sfc",          1048576, 0x88e5bcdf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopfulMailJapan)
STD_ROM_FN(rPopfulMailJapan)

struct BurnDriver BurnDrvrPopfulMailJapan = {
	"Popful Mail (Japan)", NULL, NULL, "1986",
	"Popful Mail (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Popful Mail (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopfulMailJapanRomInfo, rPopfulMailJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopoittoHeberekeJapanRomDesc[] = {
	{ "Popoitto Hebereke (Japan).sfc",          524288, 0xe333354a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopoittoHeberekeJapan)
STD_ROM_FN(rPopoittoHeberekeJapan)

struct BurnDriver BurnDrvrPopoittoHeberekeJapan = {
	"Popoitto Hebereke (Japan)", NULL, NULL, "1986",
	"Popoitto Hebereke (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Popoitto Hebereke (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopoittoHeberekeJapanRomInfo, rPopoittoHeberekeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousEuropeRomDesc[] = {
	{ "Populous (Europe).sfc",          524288, 0xfe88a713, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousEurope)
STD_ROM_FN(rPopulousEurope)

struct BurnDriver BurnDrvrPopulousEurope = {
	"Populous (Europe)", NULL, NULL, "1986",
	"Populous (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousEuropeRomInfo, rPopulousEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousJapanRomDesc[] = {
	{ "Populous (Japan).sfc",          524288, 0x191e1ce3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousJapan)
STD_ROM_FN(rPopulousJapan)

struct BurnDriver BurnDrvrPopulousJapan = {
	"Populous (Japan)", NULL, NULL, "1986",
	"Populous (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousJapanRomInfo, rPopulousJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousUSARomDesc[] = {
	{ "Populous (USA).sfc",          524288, 0x2df4aa0f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousUSA)
STD_ROM_FN(rPopulousUSA)

struct BurnDriver BurnDrvrPopulousUSA = {
	"Populous (USA)", NULL, NULL, "1986",
	"Populous (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousUSARomInfo, rPopulousUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousIITrialsoftheOlympianGodsEuropeRomDesc[] = {
	{ "Populous II - Trials of the Olympian Gods (Europe).sfc",          1048576, 0x6c28cc39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousIITrialsoftheOlympianGodsEurope)
STD_ROM_FN(rPopulousIITrialsoftheOlympianGodsEurope)

struct BurnDriver BurnDrvrPopulousIITrialsoftheOlympianGodsEurope = {
	"Populous II - Trials of the Olympian Gods (Europe)", NULL, NULL, "1986",
	"Populous II - Trials of the Olympian Gods (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous II - Trials of the Olympian Gods (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousIITrialsoftheOlympianGodsEuropeRomInfo, rPopulousIITrialsoftheOlympianGodsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousIITrialsoftheOlympianGodsGermanyRomDesc[] = {
	{ "Populous II - Trials of the Olympian Gods (Germany).sfc",          1048576, 0xc5dae9b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousIITrialsoftheOlympianGodsGermany)
STD_ROM_FN(rPopulousIITrialsoftheOlympianGodsGermany)

struct BurnDriver BurnDrvrPopulousIITrialsoftheOlympianGodsGermany = {
	"Populous II - Trials of the Olympian Gods (Germany)", NULL, NULL, "1986",
	"Populous II - Trials of the Olympian Gods (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous II - Trials of the Olympian Gods (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousIITrialsoftheOlympianGodsGermanyRomInfo, rPopulousIITrialsoftheOlympianGodsGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPopulousIITrialsoftheOlympianGodsJapanRomDesc[] = {
	{ "Populous II - Trials of the Olympian Gods (Japan).sfc",          1310720, 0xa0235c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPopulousIITrialsoftheOlympianGodsJapan)
STD_ROM_FN(rPopulousIITrialsoftheOlympianGodsJapan)

struct BurnDriver BurnDrvrPopulousIITrialsoftheOlympianGodsJapan = {
	"Populous II - Trials of the Olympian Gods (Japan)", NULL, NULL, "1986",
	"Populous II - Trials of the Olympian Gods (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Populous II - Trials of the Olympian Gods (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPopulousIITrialsoftheOlympianGodsJapanRomInfo, rPopulousIITrialsoftheOlympianGodsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPorkyPigsHauntedHolidayEuropeRomDesc[] = {
	{ "Porky Pig's Haunted Holiday (Europe).sfc",          2097152, 0x7107b229, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPorkyPigsHauntedHolidayEurope)
STD_ROM_FN(rPorkyPigsHauntedHolidayEurope)

struct BurnDriver BurnDrvrPorkyPigsHauntedHolidayEurope = {
	"Porky Pig's Haunted Holiday (Europe)", NULL, NULL, "1986",
	"Porky Pig's Haunted Holiday (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Porky Pig's Haunted Holiday (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPorkyPigsHauntedHolidayEuropeRomInfo, rPorkyPigsHauntedHolidayEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPorkyPigsHauntedHolidayUSASunsoftRomDesc[] = {
	{ "Porky Pig's Haunted Holiday (USA) (Sunsoft).sfc",          2097152, 0x9699e23c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPorkyPigsHauntedHolidayUSASunsoft)
STD_ROM_FN(rPorkyPigsHauntedHolidayUSASunsoft)

struct BurnDriver BurnDrvrPorkyPigsHauntedHolidayUSASunsoft = {
	"Porky Pig's Haunted Holiday (USA) (Sunsoft)", NULL, NULL, "1986",
	"Porky Pig's Haunted Holiday (USA) (Sunsoft)\0", NULL, "Nintendo", "Miscellaneous",
	L"Porky Pig's Haunted Holiday (USA) (Sunsoft)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPorkyPigsHauntedHolidayUSASunsoftRomInfo, rPorkyPigsHauntedHolidayUSASunsoftRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPorkyPigsHauntedHolidayUSARomDesc[] = {
	{ "Porky Pig's Haunted Holiday (USA).sfc",          2097152, 0xf09e91a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPorkyPigsHauntedHolidayUSA)
STD_ROM_FN(rPorkyPigsHauntedHolidayUSA)

struct BurnDriver BurnDrvrPorkyPigsHauntedHolidayUSA = {
	"Porky Pig's Haunted Holiday (USA)", NULL, NULL, "1986",
	"Porky Pig's Haunted Holiday (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Porky Pig's Haunted Holiday (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPorkyPigsHauntedHolidayUSARomInfo, rPorkyPigsHauntedHolidayUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerAthleteJapanRomDesc[] = {
	{ "Power Athlete (Japan).sfc",          1048576, 0xe9066acb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerAthleteJapan)
STD_ROM_FN(rPowerAthleteJapan)

struct BurnDriver BurnDrvrPowerAthleteJapan = {
	"Power Athlete (Japan)", NULL, NULL, "1986",
	"Power Athlete (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Athlete (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerAthleteJapanRomInfo, rPowerAthleteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerDriveEuropeEnFrDeEsPtRomDesc[] = {
	{ "Power Drive (Europe) (En,Fr,De,Es,Pt).sfc",          1048576, 0xbfdca70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerDriveEuropeEnFrDeEsPt)
STD_ROM_FN(rPowerDriveEuropeEnFrDeEsPt)

struct BurnDriver BurnDrvrPowerDriveEuropeEnFrDeEsPt = {
	"Power Drive (Europe) (En,Fr,De,Es,Pt)", NULL, NULL, "1986",
	"Power Drive (Europe) (En,Fr,De,Es,Pt)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Drive (Europe) (En,Fr,De,Es,Pt)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerDriveEuropeEnFrDeEsPtRomInfo, rPowerDriveEuropeEnFrDeEsPtRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerInstinctUSABetaRomDesc[] = {
	{ "Power Instinct (USA) (Beta).sfc",          2621440, 0x5f6e06ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerInstinctUSABeta)
STD_ROM_FN(rPowerInstinctUSABeta)

struct BurnDriver BurnDrvrPowerInstinctUSABeta = {
	"Power Instinct (USA) (Beta)", NULL, NULL, "1986",
	"Power Instinct (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Instinct (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerInstinctUSABetaRomInfo, rPowerInstinctUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerInstinctUSARomDesc[] = {
	{ "Power Instinct (USA).sfc",          2621440, 0xcb8a4f8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerInstinctUSA)
STD_ROM_FN(rPowerInstinctUSA)

struct BurnDriver BurnDrvrPowerInstinctUSA = {
	"Power Instinct (USA)", NULL, NULL, "1986",
	"Power Instinct (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Instinct (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerInstinctUSARomInfo, rPowerInstinctUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerLodeRunnerJapanNPRomDesc[] = {
	{ "Power Lode Runner (Japan) (NP).sfc",          1572864, 0xdfc1d7dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerLodeRunnerJapanNP)
STD_ROM_FN(rPowerLodeRunnerJapanNP)

struct BurnDriver BurnDrvrPowerLodeRunnerJapanNP = {
	"Power Lode Runner (Japan) (NP)", NULL, NULL, "1986",
	"Power Lode Runner (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Lode Runner (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerLodeRunnerJapanNPRomInfo, rPowerLodeRunnerJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerMovesUSARomDesc[] = {
	{ "Power Moves (USA).sfc",          1048576, 0xc2e094b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerMovesUSA)
STD_ROM_FN(rPowerMovesUSA)

struct BurnDriver BurnDrvrPowerMovesUSA = {
	"Power Moves (USA)", NULL, NULL, "1986",
	"Power Moves (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Moves (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerMovesUSARomInfo, rPowerMovesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPoweroftheHiredJapanRomDesc[] = {
	{ "Power of the Hired (Japan).sfc",          1572864, 0xcf276c80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPoweroftheHiredJapan)
STD_ROM_FN(rPoweroftheHiredJapan)

struct BurnDriver BurnDrvrPoweroftheHiredJapan = {
	"Power of the Hired (Japan)", NULL, NULL, "1986",
	"Power of the Hired (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power of the Hired (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPoweroftheHiredJapanRomInfo, rPoweroftheHiredJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerPiggsoftheDarkAgeEuropeBetaRomDesc[] = {
	{ "Power Piggs of the Dark Age (Europe) (Beta).sfc",          1048576, 0x81da4b6a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerPiggsoftheDarkAgeEuropeBeta)
STD_ROM_FN(rPowerPiggsoftheDarkAgeEuropeBeta)

struct BurnDriver BurnDrvrPowerPiggsoftheDarkAgeEuropeBeta = {
	"Power Piggs of the Dark Age (Europe) (Beta)", NULL, NULL, "1986",
	"Power Piggs of the Dark Age (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Piggs of the Dark Age (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerPiggsoftheDarkAgeEuropeBetaRomInfo, rPowerPiggsoftheDarkAgeEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerPiggsoftheDarkAgeEuropeRomDesc[] = {
	{ "Power Piggs of the Dark Age (Europe).sfc",          1048576, 0x87afc187, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerPiggsoftheDarkAgeEurope)
STD_ROM_FN(rPowerPiggsoftheDarkAgeEurope)

struct BurnDriver BurnDrvrPowerPiggsoftheDarkAgeEurope = {
	"Power Piggs of the Dark Age (Europe)", NULL, NULL, "1986",
	"Power Piggs of the Dark Age (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Piggs of the Dark Age (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerPiggsoftheDarkAgeEuropeRomInfo, rPowerPiggsoftheDarkAgeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerPiggsoftheDarkAgeUSARomDesc[] = {
	{ "Power Piggs of the Dark Age (USA).sfc",          1048576, 0xe945530d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerPiggsoftheDarkAgeUSA)
STD_ROM_FN(rPowerPiggsoftheDarkAgeUSA)

struct BurnDriver BurnDrvrPowerPiggsoftheDarkAgeUSA = {
	"Power Piggs of the Dark Age (USA)", NULL, NULL, "1986",
	"Power Piggs of the Dark Age (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Piggs of the Dark Age (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerPiggsoftheDarkAgeUSARomInfo, rPowerPiggsoftheDarkAgeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerRangersZeoBattleRacersEuropeRomDesc[] = {
	{ "Power Rangers Zeo - Battle Racers (Europe).sfc",          1048576, 0x6aa46cfc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerRangersZeoBattleRacersEurope)
STD_ROM_FN(rPowerRangersZeoBattleRacersEurope)

struct BurnDriver BurnDrvrPowerRangersZeoBattleRacersEurope = {
	"Power Rangers Zeo - Battle Racers (Europe)", NULL, NULL, "1986",
	"Power Rangers Zeo - Battle Racers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Rangers Zeo - Battle Racers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerRangersZeoBattleRacersEuropeRomInfo, rPowerRangersZeoBattleRacersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerRangersZeoBattleRacersUSARomDesc[] = {
	{ "Power Rangers Zeo - Battle Racers (USA).sfc",          1048576, 0x389300cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerRangersZeoBattleRacersUSA)
STD_ROM_FN(rPowerRangersZeoBattleRacersUSA)

struct BurnDriver BurnDrvrPowerRangersZeoBattleRacersUSA = {
	"Power Rangers Zeo - Battle Racers (USA)", NULL, NULL, "1986",
	"Power Rangers Zeo - Battle Racers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Rangers Zeo - Battle Racers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerRangersZeoBattleRacersUSARomInfo, rPowerRangersZeoBattleRacersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerSlideEuropeProto19940412RomDesc[] = {
	{ "Power Slide (Europe) (Proto) (1994-04-12).sfc",          524288, 0x65ce3729, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerSlideEuropeProto19940412)
STD_ROM_FN(rPowerSlideEuropeProto19940412)

struct BurnDriver BurnDrvrPowerSlideEuropeProto19940412 = {
	"Power Slide (Europe) (Proto) (1994-04-12)", NULL, NULL, "1986",
	"Power Slide (Europe) (Proto) (1994-04-12)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Slide (Europe) (Proto) (1994-04-12)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerSlideEuropeProto19940412RomInfo, rPowerSlideEuropeProto19940412RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerSoukobanJapanRomDesc[] = {
	{ "Power Soukoban (Japan).sfc",          1048576, 0x39fbaa1e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerSoukobanJapan)
STD_ROM_FN(rPowerSoukobanJapan)

struct BurnDriver BurnDrvrPowerSoukobanJapan = {
	"Power Soukoban (Japan)", NULL, NULL, "1986",
	"Power Soukoban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Power Soukoban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerSoukobanJapanRomInfo, rPowerSoukobanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerMongerEuropeRomDesc[] = {
	{ "PowerMonger (Europe).sfc",          1048576, 0xbc06f982, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerMongerEurope)
STD_ROM_FN(rPowerMongerEurope)

struct BurnDriver BurnDrvrPowerMongerEurope = {
	"PowerMonger (Europe)", NULL, NULL, "1986",
	"PowerMonger (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"PowerMonger (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerMongerEuropeRomInfo, rPowerMongerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPowerMongerMashounoBouryakuJapanRomDesc[] = {
	{ "PowerMonger - Mashou no Bouryaku (Japan).sfc",          1048576, 0x3e14376b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPowerMongerMashounoBouryakuJapan)
STD_ROM_FN(rPowerMongerMashounoBouryakuJapan)

struct BurnDriver BurnDrvrPowerMongerMashounoBouryakuJapan = {
	"PowerMonger - Mashou no Bouryaku (Japan)", NULL, NULL, "1986",
	"PowerMonger - Mashou no Bouryaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"PowerMonger - Mashou no Bouryaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPowerMongerMashounoBouryakuJapanRomInfo, rPowerMongerMashounoBouryakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrehistorikManEuropeEnFrDeRomDesc[] = {
	{ "Prehistorik Man (Europe) (En,Fr,De).sfc",          1048576, 0xb0e4e48a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrehistorikManEuropeEnFrDe)
STD_ROM_FN(rPrehistorikManEuropeEnFrDe)

struct BurnDriver BurnDrvrPrehistorikManEuropeEnFrDe = {
	"Prehistorik Man (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Prehistorik Man (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prehistorik Man (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrehistorikManEuropeEnFrDeRomInfo, rPrehistorikManEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrehistorikManUSARomDesc[] = {
	{ "Prehistorik Man (USA).sfc",          1048576, 0xcb4f87bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrehistorikManUSA)
STD_ROM_FN(rPrehistorikManUSA)

struct BurnDriver BurnDrvrPrehistorikManUSA = {
	"Prehistorik Man (USA)", NULL, NULL, "1986",
	"Prehistorik Man (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prehistorik Man (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrehistorikManUSARomInfo, rPrehistorikManUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrimalRageEuropeRomDesc[] = {
	{ "Primal Rage (Europe).sfc",          3145728, 0x75eef329, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrimalRageEurope)
STD_ROM_FN(rPrimalRageEurope)

struct BurnDriver BurnDrvrPrimalRageEurope = {
	"Primal Rage (Europe)", NULL, NULL, "1986",
	"Primal Rage (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Primal Rage (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrimalRageEuropeRomInfo, rPrimalRageEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrimalRageUSABetaRomDesc[] = {
	{ "Primal Rage (USA) (Beta).sfc",          3145728, 0x227fbe4d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrimalRageUSABeta)
STD_ROM_FN(rPrimalRageUSABeta)

struct BurnDriver BurnDrvrPrimalRageUSABeta = {
	"Primal Rage (USA) (Beta)", NULL, NULL, "1986",
	"Primal Rage (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Primal Rage (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrimalRageUSABetaRomInfo, rPrimalRageUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrimalRageUSARomDesc[] = {
	{ "Primal Rage (USA).sfc",          3145728, 0x3753e4b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrimalRageUSA)
STD_ROM_FN(rPrimalRageUSA)

struct BurnDriver BurnDrvrPrimalRageUSA = {
	"Primal Rage (USA)", NULL, NULL, "1986",
	"Primal Rage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Primal Rage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrimalRageUSARomInfo, rPrimalRageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrimeUSAProtoRomDesc[] = {
	{ "Prime (USA) (Proto).sfc",          2097152, 0x62abcc5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrimeUSAProto)
STD_ROM_FN(rPrimeUSAProto)

struct BurnDriver BurnDrvrPrimeUSAProto = {
	"Prime (USA) (Proto)", NULL, NULL, "1986",
	"Prime (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prime (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrimeUSAProtoRomInfo, rPrimeUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrinceofPersiaEuropeRomDesc[] = {
	{ "Prince of Persia (Europe).sfc",          1048576, 0x320562c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrinceofPersiaEurope)
STD_ROM_FN(rPrinceofPersiaEurope)

struct BurnDriver BurnDrvrPrinceofPersiaEurope = {
	"Prince of Persia (Europe)", NULL, NULL, "1986",
	"Prince of Persia (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prince of Persia (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrinceofPersiaEuropeRomInfo, rPrinceofPersiaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrinceofPersiaJapanRomDesc[] = {
	{ "Prince of Persia (Japan).sfc",          1048576, 0xcfc71e89, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrinceofPersiaJapan)
STD_ROM_FN(rPrinceofPersiaJapan)

struct BurnDriver BurnDrvrPrinceofPersiaJapan = {
	"Prince of Persia (Japan)", NULL, NULL, "1986",
	"Prince of Persia (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prince of Persia (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrinceofPersiaJapanRomInfo, rPrinceofPersiaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrinceofPersiaUSARomDesc[] = {
	{ "Prince of Persia (USA).sfc",          1048576, 0x891bb2bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrinceofPersiaUSA)
STD_ROM_FN(rPrinceofPersiaUSA)

struct BurnDriver BurnDrvrPrinceofPersiaUSA = {
	"Prince of Persia (USA)", NULL, NULL, "1986",
	"Prince of Persia (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prince of Persia (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrinceofPersiaUSARomInfo, rPrinceofPersiaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrinceofPersia2TheShadowTheFlameEuropeRomDesc[] = {
	{ "Prince of Persia 2 - The Shadow & The Flame (Europe).sfc",          2097152, 0x2d25a9e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrinceofPersia2TheShadowTheFlameEurope)
STD_ROM_FN(rPrinceofPersia2TheShadowTheFlameEurope)

struct BurnDriver BurnDrvrPrinceofPersia2TheShadowTheFlameEurope = {
	"Prince of Persia 2 - The Shadow & The Flame (Europe)", NULL, NULL, "1986",
	"Prince of Persia 2 - The Shadow & The Flame (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prince of Persia 2 - The Shadow & The Flame (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrinceofPersia2TheShadowTheFlameEuropeRomInfo, rPrinceofPersia2TheShadowTheFlameEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrinceofPersia2TheShadowTheFlameUSARomDesc[] = {
	{ "Prince of Persia 2 - The Shadow & The Flame (USA).sfc",          2097152, 0x50581d9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrinceofPersia2TheShadowTheFlameUSA)
STD_ROM_FN(rPrinceofPersia2TheShadowTheFlameUSA)

struct BurnDriver BurnDrvrPrinceofPersia2TheShadowTheFlameUSA = {
	"Prince of Persia 2 - The Shadow & The Flame (USA)", NULL, NULL, "1986",
	"Prince of Persia 2 - The Shadow & The Flame (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Prince of Persia 2 - The Shadow & The Flame (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrinceofPersia2TheShadowTheFlameUSARomInfo, rPrinceofPersia2TheShadowTheFlameUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrincessMakerLegendofAnotherWorldJapanRomDesc[] = {
	{ "Princess Maker - Legend of Another World (Japan).sfc",          2097152, 0x67187bc9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrincessMakerLegendofAnotherWorldJapan)
STD_ROM_FN(rPrincessMakerLegendofAnotherWorldJapan)

struct BurnDriver BurnDrvrPrincessMakerLegendofAnotherWorldJapan = {
	"Princess Maker - Legend of Another World (Japan)", NULL, NULL, "1986",
	"Princess Maker - Legend of Another World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Princess Maker - Legend of Another World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrincessMakerLegendofAnotherWorldJapanRomInfo, rPrincessMakerLegendofAnotherWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPrincessMinervaJapanRomDesc[] = {
	{ "Princess Minerva (Japan).sfc",          2097152, 0x213368d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPrincessMinervaJapan)
STD_ROM_FN(rPrincessMinervaJapan)

struct BurnDriver BurnDrvrPrincessMinervaJapan = {
	"Princess Minerva (Japan)", NULL, NULL, "1986",
	"Princess Minerva (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Princess Minerva (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPrincessMinervaJapanRomInfo, rPrincessMinervaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProActionReplayEuropeUnlbRomDesc[] = {
	{ "Pro Action Replay (Europe) (Unl) [b].sfc",          32768, 0x81a67556, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProActionReplayEuropeUnlb)
STD_ROM_FN(rProActionReplayEuropeUnlb)

struct BurnDriver BurnDrvrProActionReplayEuropeUnlb = {
	"Pro Action Replay (Europe) (Unl) [b]", NULL, NULL, "1986",
	"Pro Action Replay (Europe) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Action Replay (Europe) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProActionReplayEuropeUnlbRomInfo, rProActionReplayEuropeUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProActionReplayMK2EuropeUnlbRomDesc[] = {
	{ "Pro Action Replay MK2 (Europe) (Unl) [b].sfc",          32768, 0x83b1d39e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProActionReplayMK2EuropeUnlb)
STD_ROM_FN(rProActionReplayMK2EuropeUnlb)

struct BurnDriver BurnDrvrProActionReplayMK2EuropeUnlb = {
	"Pro Action Replay MK2 (Europe) (Unl) [b]", NULL, NULL, "1986",
	"Pro Action Replay MK2 (Europe) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Action Replay MK2 (Europe) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProActionReplayMK2EuropeUnlbRomInfo, rProActionReplayMK2EuropeUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProActionReplayMK2Europev11UnlbRomDesc[] = {
	{ "Pro Action Replay MK2 (Europe) (v1.1) (Unl) [b].sfc",          32768, 0x70d6b036, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProActionReplayMK2Europev11Unlb)
STD_ROM_FN(rProActionReplayMK2Europev11Unlb)

struct BurnDriver BurnDrvrProActionReplayMK2Europev11Unlb = {
	"Pro Action Replay MK2 (Europe) (v1.1) (Unl) [b]", NULL, NULL, "1986",
	"Pro Action Replay MK2 (Europe) (v1.1) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Action Replay MK2 (Europe) (v1.1) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProActionReplayMK2Europev11UnlbRomInfo, rProActionReplayMK2Europev11UnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProActionReplayMK3EuropeUnlRomDesc[] = {
	{ "Pro Action Replay MK3 (Europe) (Unl).sfc",          131072, 0xd7f770a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProActionReplayMK3EuropeUnl)
STD_ROM_FN(rProActionReplayMK3EuropeUnl)

struct BurnDriver BurnDrvrProActionReplayMK3EuropeUnl = {
	"Pro Action Replay MK3 (Europe) (Unl)", NULL, NULL, "1986",
	"Pro Action Replay MK3 (Europe) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Action Replay MK3 (Europe) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProActionReplayMK3EuropeUnlRomInfo, rProActionReplayMK3EuropeUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProFootball93JapanRomDesc[] = {
	{ "Pro Football '93 (Japan).sfc",          1048576, 0x44a0de9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProFootball93Japan)
STD_ROM_FN(rProFootball93Japan)

struct BurnDriver BurnDrvrProFootball93Japan = {
	"Pro Football '93 (Japan)", NULL, NULL, "1986",
	"Pro Football '93 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Football '93 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProFootball93JapanRomInfo, rProFootball93JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProFootballJapanRomDesc[] = {
	{ "Pro Football (Japan).sfc",          524288, 0xd07cfdcb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProFootballJapan)
STD_ROM_FN(rProFootballJapan)

struct BurnDriver BurnDrvrProFootballJapan = {
	"Pro Football (Japan)", NULL, NULL, "1986",
	"Pro Football (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Football (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProFootballJapanRomInfo, rProFootballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProKishiJinseiSimulationShouginoHanamichiJapanRomDesc[] = {
	{ "Pro Kishi Jinsei Simulation - Shougi no Hanamichi (Japan).sfc",          1048576, 0xd10439d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProKishiJinseiSimulationShouginoHanamichiJapan)
STD_ROM_FN(rProKishiJinseiSimulationShouginoHanamichiJapan)

struct BurnDriver BurnDrvrProKishiJinseiSimulationShouginoHanamichiJapan = {
	"Pro Kishi Jinsei Simulation - Shougi no Hanamichi (Japan)", NULL, NULL, "1986",
	"Pro Kishi Jinsei Simulation - Shougi no Hanamichi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Kishi Jinsei Simulation - Shougi no Hanamichi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProKishiJinseiSimulationShouginoHanamichiJapanRomInfo, rProKishiJinseiSimulationShouginoHanamichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongKiwameJapanRomDesc[] = {
	{ "Pro Mahjong Kiwame (Japan).sfc",          524288, 0x1210816b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongKiwameJapan)
STD_ROM_FN(rProMahjongKiwameJapan)

struct BurnDriver BurnDrvrProMahjongKiwameJapan = {
	"Pro Mahjong Kiwame (Japan)", NULL, NULL, "1986",
	"Pro Mahjong Kiwame (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Kiwame (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongKiwameJapanRomInfo, rProMahjongKiwameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongKiwameIIJapanRev1RomDesc[] = {
	{ "Pro Mahjong Kiwame II (Japan) (Rev 1).sfc",          524288, 0x2142a484, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongKiwameIIJapanRev1)
STD_ROM_FN(rProMahjongKiwameIIJapanRev1)

struct BurnDriver BurnDrvrProMahjongKiwameIIJapanRev1 = {
	"Pro Mahjong Kiwame II (Japan) (Rev 1)", NULL, NULL, "1986",
	"Pro Mahjong Kiwame II (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Kiwame II (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongKiwameIIJapanRev1RomInfo, rProMahjongKiwameIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongKiwameIIJapanRomDesc[] = {
	{ "Pro Mahjong Kiwame II (Japan).sfc",          524288, 0xc06dc507, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongKiwameIIJapan)
STD_ROM_FN(rProMahjongKiwameIIJapan)

struct BurnDriver BurnDrvrProMahjongKiwameIIJapan = {
	"Pro Mahjong Kiwame II (Japan)", NULL, NULL, "1986",
	"Pro Mahjong Kiwame II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Kiwame II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongKiwameIIJapanRomInfo, rProMahjongKiwameIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongKiwameIIIJapanRomDesc[] = {
	{ "Pro Mahjong Kiwame III (Japan).sfc",          1048576, 0xcf05dfce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongKiwameIIIJapan)
STD_ROM_FN(rProMahjongKiwameIIIJapan)

struct BurnDriver BurnDrvrProMahjongKiwameIIIJapan = {
	"Pro Mahjong Kiwame III (Japan)", NULL, NULL, "1986",
	"Pro Mahjong Kiwame III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Kiwame III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongKiwameIIIJapanRomInfo, rProMahjongKiwameIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongTsuwamonoJapanRenkabanRomDesc[] = {
	{ "Pro Mahjong Tsuwamono (Japan) (Renkaban).sfc",          524288, 0xca1b24b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongTsuwamonoJapanRenkaban)
STD_ROM_FN(rProMahjongTsuwamonoJapanRenkaban)

struct BurnDriver BurnDrvrProMahjongTsuwamonoJapanRenkaban = {
	"Pro Mahjong Tsuwamono (Japan) (Renkaban)", NULL, NULL, "1986",
	"Pro Mahjong Tsuwamono (Japan) (Renkaban)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Tsuwamono (Japan) (Renkaban)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongTsuwamonoJapanRenkabanRomInfo, rProMahjongTsuwamonoJapanRenkabanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProMahjongTsuwamonoJapanRomDesc[] = {
	{ "Pro Mahjong Tsuwamono (Japan).sfc",          524288, 0x263dae53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProMahjongTsuwamonoJapan)
STD_ROM_FN(rProMahjongTsuwamonoJapan)

struct BurnDriver BurnDrvrProMahjongTsuwamonoJapan = {
	"Pro Mahjong Tsuwamono (Japan)", NULL, NULL, "1986",
	"Pro Mahjong Tsuwamono (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Mahjong Tsuwamono (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProMahjongTsuwamonoJapanRomInfo, rProMahjongTsuwamonoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProQuarterbackUSARomDesc[] = {
	{ "Pro Quarterback (USA).sfc",          1048576, 0x6910626d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProQuarterbackUSA)
STD_ROM_FN(rProQuarterbackUSA)

struct BurnDriver BurnDrvrProQuarterbackUSA = {
	"Pro Quarterback (USA)", NULL, NULL, "1986",
	"Pro Quarterback (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Quarterback (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProQuarterbackUSARomInfo, rProQuarterbackUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProSoccerJapanRomDesc[] = {
	{ "Pro Soccer (Japan).sfc",          524288, 0xa1981915, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProSoccerJapan)
STD_ROM_FN(rProSoccerJapan)

struct BurnDriver BurnDrvrProSoccerJapan = {
	"Pro Soccer (Japan)", NULL, NULL, "1986",
	"Pro Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProSoccerJapanRomInfo, rProSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProSportHockeyUSARomDesc[] = {
	{ "Pro Sport Hockey (USA).sfc",          1048576, 0xa9cc0a74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProSportHockeyUSA)
STD_ROM_FN(rProSportHockeyUSA)

struct BurnDriver BurnDrvrProSportHockeyUSA = {
	"Pro Sport Hockey (USA)", NULL, NULL, "1986",
	"Pro Sport Hockey (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Sport Hockey (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProSportHockeyUSARomInfo, rProSportHockeyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProYakyuuNettouPuzzleStadiumJapanBetaRomDesc[] = {
	{ "Pro Yakyuu Nettou Puzzle Stadium (Japan) (Beta).sfc",          1048576, 0x5a4d7167, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProYakyuuNettouPuzzleStadiumJapanBeta)
STD_ROM_FN(rProYakyuuNettouPuzzleStadiumJapanBeta)

struct BurnDriver BurnDrvrProYakyuuNettouPuzzleStadiumJapanBeta = {
	"Pro Yakyuu Nettou Puzzle Stadium (Japan) (Beta)", NULL, NULL, "1986",
	"Pro Yakyuu Nettou Puzzle Stadium (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Yakyuu Nettou Puzzle Stadium (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProYakyuuNettouPuzzleStadiumJapanBetaRomInfo, rProYakyuuNettouPuzzleStadiumJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProYakyuuNettouPuzzleStadiumJapanRomDesc[] = {
	{ "Pro Yakyuu Nettou Puzzle Stadium (Japan).sfc",          524288, 0x81c8eb4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProYakyuuNettouPuzzleStadiumJapan)
STD_ROM_FN(rProYakyuuNettouPuzzleStadiumJapan)

struct BurnDriver BurnDrvrProYakyuuNettouPuzzleStadiumJapan = {
	"Pro Yakyuu Nettou Puzzle Stadium (Japan)", NULL, NULL, "1986",
	"Pro Yakyuu Nettou Puzzle Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Yakyuu Nettou Puzzle Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProYakyuuNettouPuzzleStadiumJapanRomInfo, rProYakyuuNettouPuzzleStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rProYakyuuStarJapanRomDesc[] = {
	{ "Pro Yakyuu Star (Japan).sfc",          1048576, 0xc1cba41c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rProYakyuuStarJapan)
STD_ROM_FN(rProYakyuuStarJapan)

struct BurnDriver BurnDrvrProYakyuuStarJapan = {
	"Pro Yakyuu Star (Japan)", NULL, NULL, "1986",
	"Pro Yakyuu Star (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Pro Yakyuu Star (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rProYakyuuStarJapanRomInfo, rProYakyuuStarJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPsychoDreamJapanRomDesc[] = {
	{ "Psycho Dream (Japan).sfc",          1048576, 0x5c145e98, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPsychoDreamJapan)
STD_ROM_FN(rPsychoDreamJapan)

struct BurnDriver BurnDrvrPsychoDreamJapan = {
	"Psycho Dream (Japan)", NULL, NULL, "1986",
	"Psycho Dream (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Psycho Dream (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPsychoDreamJapanRomInfo, rPsychoDreamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPushOverEuropeEnFrDeEsRomDesc[] = {
	{ "Push-Over (Europe) (En,Fr,De,Es).sfc",          524288, 0x6a4347ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPushOverEuropeEnFrDeEs)
STD_ROM_FN(rPushOverEuropeEnFrDeEs)

struct BurnDriver BurnDrvrPushOverEuropeEnFrDeEs = {
	"Push-Over (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Push-Over (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Push-Over (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPushOverEuropeEnFrDeEsRomInfo, rPushOverEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPushOverUSAEnFrDeEsBetaRomDesc[] = {
	{ "Push-Over (USA) (En,Fr,De,Es) (Beta).sfc",          1048576, 0xc34465a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPushOverUSAEnFrDeEsBeta)
STD_ROM_FN(rPushOverUSAEnFrDeEsBeta)

struct BurnDriver BurnDrvrPushOverUSAEnFrDeEsBeta = {
	"Push-Over (USA) (En,Fr,De,Es) (Beta)", NULL, NULL, "1986",
	"Push-Over (USA) (En,Fr,De,Es) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Push-Over (USA) (En,Fr,De,Es) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPushOverUSAEnFrDeEsBetaRomInfo, rPushOverUSAEnFrDeEsBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPushOverUSARomDesc[] = {
	{ "Push-Over (USA).sfc",          524288, 0xfa06d5f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPushOverUSA)
STD_ROM_FN(rPushOverUSA)

struct BurnDriver BurnDrvrPushOverUSA = {
	"Push-Over (USA)", NULL, NULL, "1986",
	"Push-Over (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Push-Over (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPushOverUSARomInfo, rPushOverUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuttyMoonJapanRomDesc[] = {
	{ "Putty Moon (Japan).sfc",          1048576, 0xadfc4165, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuttyMoonJapan)
STD_ROM_FN(rPuttyMoonJapan)

struct BurnDriver BurnDrvrPuttyMoonJapan = {
	"Putty Moon (Japan)", NULL, NULL, "1986",
	"Putty Moon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Putty Moon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuttyMoonJapanRomInfo, rPuttyMoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuttySquadEuropeRomDesc[] = {
	{ "Putty Squad (Europe).sfc",          1572864, 0xc061f0a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuttySquadEurope)
STD_ROM_FN(rPuttySquadEurope)

struct BurnDriver BurnDrvrPuttySquadEurope = {
	"Putty Squad (Europe)", NULL, NULL, "1986",
	"Putty Squad (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Putty Squad (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuttySquadEuropeRomInfo, rPuttySquadEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuzzleBobbleJapanRomDesc[] = {
	{ "Puzzle Bobble (Japan).sfc",          524288, 0x96bd588b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuzzleBobbleJapan)
STD_ROM_FN(rPuzzleBobbleJapan)

struct BurnDriver BurnDrvrPuzzleBobbleJapan = {
	"Puzzle Bobble (Japan)", NULL, NULL, "1986",
	"Puzzle Bobble (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Puzzle Bobble (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuzzleBobbleJapanRomInfo, rPuzzleBobbleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuzzleBobbleBustAMoveEuropeRomDesc[] = {
	{ "Puzzle Bobble - Bust-A-Move (Europe).sfc",          524288, 0xc5d1ddb3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuzzleBobbleBustAMoveEurope)
STD_ROM_FN(rPuzzleBobbleBustAMoveEurope)

struct BurnDriver BurnDrvrPuzzleBobbleBustAMoveEurope = {
	"Puzzle Bobble - Bust-A-Move (Europe)", NULL, NULL, "1986",
	"Puzzle Bobble - Bust-A-Move (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Puzzle Bobble - Bust-A-Move (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuzzleBobbleBustAMoveEuropeRomInfo, rPuzzleBobbleBustAMoveEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapanRomDesc[] = {
	{ "Puzzle Nintama Rantarou - Ninjutsu Gakuen Puzzle Taikai no Dan (Japan).sfc",          524288, 0x23670c9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapan)
STD_ROM_FN(rPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapan)

struct BurnDriver BurnDrvrPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapan = {
	"Puzzle Nintama Rantarou - Ninjutsu Gakuen Puzzle Taikai no Dan (Japan)", NULL, NULL, "1986",
	"Puzzle Nintama Rantarou - Ninjutsu Gakuen Puzzle Taikai no Dan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Puzzle Nintama Rantarou - Ninjutsu Gakuen Puzzle Taikai no Dan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapanRomInfo, rPuzzleNintamaRantarouNinjutsuGakuenPuzzleTaikainoDanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rPuzzlenDesuJapanRomDesc[] = {
	{ "Puzzle'n Desu! (Japan).sfc",          1048576, 0x689a7a79, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rPuzzlenDesuJapan)
STD_ROM_FN(rPuzzlenDesuJapan)

struct BurnDriver BurnDrvrPuzzlenDesuJapan = {
	"Puzzle'n Desu! (Japan)", NULL, NULL, "1986",
	"Puzzle'n Desu! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Puzzle'n Desu! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rPuzzlenDesuJapanRomInfo, rPuzzlenDesuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rQbert3JapanRomDesc[] = {
	{ "Q-bert 3 (Japan).sfc",          524288, 0xea3bc44e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rQbert3Japan)
STD_ROM_FN(rQbert3Japan)

struct BurnDriver BurnDrvrQbert3Japan = {
	"Q-bert 3 (Japan)", NULL, NULL, "1986",
	"Q-bert 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Q-bert 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rQbert3JapanRomInfo, rQbert3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rQbert3USARomDesc[] = {
	{ "Q-bert 3 (USA).sfc",          524288, 0x694cbfe4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rQbert3USA)
STD_ROM_FN(rQbert3USA)

struct BurnDriver BurnDrvrQbert3USA = {
	"Q-bert 3 (USA)", NULL, NULL, "1986",
	"Q-bert 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Q-bert 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rQbert3USARomInfo, rQbert3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRTypeIIITheThirdLightningEuropeBetaRomDesc[] = {
	{ "R-Type III - The Third Lightning (Europe) (Beta).sfc",          2097152, 0x2a5f8d8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRTypeIIITheThirdLightningEuropeBeta)
STD_ROM_FN(rRTypeIIITheThirdLightningEuropeBeta)

struct BurnDriver BurnDrvrRTypeIIITheThirdLightningEuropeBeta = {
	"R-Type III - The Third Lightning (Europe) (Beta)", NULL, NULL, "1986",
	"R-Type III - The Third Lightning (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"R-Type III - The Third Lightning (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRTypeIIITheThirdLightningEuropeBetaRomInfo, rRTypeIIITheThirdLightningEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRTypeIIITheThirdLightningEuropeRomDesc[] = {
	{ "R-Type III - The Third Lightning (Europe).sfc",          2097152, 0x5a183e62, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRTypeIIITheThirdLightningEurope)
STD_ROM_FN(rRTypeIIITheThirdLightningEurope)

struct BurnDriver BurnDrvrRTypeIIITheThirdLightningEurope = {
	"R-Type III - The Third Lightning (Europe)", NULL, NULL, "1986",
	"R-Type III - The Third Lightning (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"R-Type III - The Third Lightning (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRTypeIIITheThirdLightningEuropeRomInfo, rRTypeIIITheThirdLightningEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRTypeIIITheThirdLightningJapanRomDesc[] = {
	{ "R-Type III - The Third Lightning (Japan).sfc",          2097152, 0x1e1ff9fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRTypeIIITheThirdLightningJapan)
STD_ROM_FN(rRTypeIIITheThirdLightningJapan)

struct BurnDriver BurnDrvrRTypeIIITheThirdLightningJapan = {
	"R-Type III - The Third Lightning (Japan)", NULL, NULL, "1986",
	"R-Type III - The Third Lightning (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"R-Type III - The Third Lightning (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRTypeIIITheThirdLightningJapanRomInfo, rRTypeIIITheThirdLightningJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRTypeIIITheThirdLightningUSARomDesc[] = {
	{ "R-Type III - The Third Lightning (USA).sfc",          2097152, 0x642b656b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRTypeIIITheThirdLightningUSA)
STD_ROM_FN(rRTypeIIITheThirdLightningUSA)

struct BurnDriver BurnDrvrRTypeIIITheThirdLightningUSA = {
	"R-Type III - The Third Lightning (USA)", NULL, NULL, "1986",
	"R-Type III - The Third Lightning (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"R-Type III - The Third Lightning (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRTypeIIITheThirdLightningUSARomInfo, rRTypeIIITheThirdLightningUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRPMRacingJapanRomDesc[] = {
	{ "R.P.M. Racing (Japan).sfc",          524288, 0x35fcd374, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRPMRacingJapan)
STD_ROM_FN(rRPMRacingJapan)

struct BurnDriver BurnDrvrRPMRacingJapan = {
	"R.P.M. Racing (Japan)", NULL, NULL, "1986",
	"R.P.M. Racing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"R.P.M. Racing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRPMRacingJapanRomInfo, rRPMRacingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRPMRacingUSARomDesc[] = {
	{ "R.P.M. Racing (USA).sfc",          524288, 0xf7933734, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRPMRacingUSA)
STD_ROM_FN(rRPMRacingUSA)

struct BurnDriver BurnDrvrRPMRacingUSA = {
	"R.P.M. Racing (USA)", NULL, NULL, "1986",
	"R.P.M. Racing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"R.P.M. Racing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRPMRacingUSARomInfo, rRPMRacingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRaceDrivinEuropeRomDesc[] = {
	{ "Race Drivin' (Europe).sfc",          524288, 0x12cb0a54, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRaceDrivinEurope)
STD_ROM_FN(rRaceDrivinEurope)

struct BurnDriver BurnDrvrRaceDrivinEurope = {
	"Race Drivin' (Europe)", NULL, NULL, "1986",
	"Race Drivin' (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Race Drivin' (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRaceDrivinEuropeRomInfo, rRaceDrivinEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRaceDrivinUSARomDesc[] = {
	{ "Race Drivin' (USA).sfc",          524288, 0xc5bab870, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRaceDrivinUSA)
STD_ROM_FN(rRaceDrivinUSA)

struct BurnDriver BurnDrvrRaceDrivinUSA = {
	"Race Drivin' (USA)", NULL, NULL, "1986",
	"Race Drivin' (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Race Drivin' (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRaceDrivinUSARomInfo, rRaceDrivinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRadicalDreamersNusumeNaiHousekiJapanBSRomDesc[] = {
	{ "Radical Dreamers - Nusume Nai Houseki (Japan) (BS).sfc",          1048576, 0xbe3048b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRadicalDreamersNusumeNaiHousekiJapanBS)
STD_ROM_FN(rRadicalDreamersNusumeNaiHousekiJapanBS)

struct BurnDriver BurnDrvrRadicalDreamersNusumeNaiHousekiJapanBS = {
	"Radical Dreamers - Nusume Nai Houseki (Japan) (BS)", NULL, NULL, "1986",
	"Radical Dreamers - Nusume Nai Houseki (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Radical Dreamers - Nusume Nai Houseki (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRadicalDreamersNusumeNaiHousekiJapanBSRomInfo, rRadicalDreamersNusumeNaiHousekiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRadicalRexEuropeRomDesc[] = {
	{ "Radical Rex (Europe).sfc",          1048576, 0x5065b197, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRadicalRexEurope)
STD_ROM_FN(rRadicalRexEurope)

struct BurnDriver BurnDrvrRadicalRexEurope = {
	"Radical Rex (Europe)", NULL, NULL, "1986",
	"Radical Rex (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Radical Rex (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRadicalRexEuropeRomInfo, rRadicalRexEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRadicalRexUSABetaRomDesc[] = {
	{ "Radical Rex (USA) (Beta).sfc",          1048576, 0x9b5d585d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRadicalRexUSABeta)
STD_ROM_FN(rRadicalRexUSABeta)

struct BurnDriver BurnDrvrRadicalRexUSABeta = {
	"Radical Rex (USA) (Beta)", NULL, NULL, "1986",
	"Radical Rex (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Radical Rex (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRadicalRexUSABetaRomInfo, rRadicalRexUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRadicalRexUSARomDesc[] = {
	{ "Radical Rex (USA).sfc",          1048576, 0xe2b8da18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRadicalRexUSA)
STD_ROM_FN(rRadicalRexUSA)

struct BurnDriver BurnDrvrRadicalRexUSA = {
	"Radical Rex (USA)", NULL, NULL, "1986",
	"Radical Rex (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Radical Rex (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRadicalRexUSARomInfo, rRadicalRexUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRaidenDensetsuJapanRomDesc[] = {
	{ "Raiden Densetsu (Japan).sfc",          1048576, 0xc352d27f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRaidenDensetsuJapan)
STD_ROM_FN(rRaidenDensetsuJapan)

struct BurnDriver BurnDrvrRaidenDensetsuJapan = {
	"Raiden Densetsu (Japan)", NULL, NULL, "1986",
	"Raiden Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Raiden Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRaidenDensetsuJapanRomInfo, rRaidenDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRaidenTradUSARomDesc[] = {
	{ "Raiden Trad (USA).sfc",          1048576, 0x2ce6c96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRaidenTradUSA)
STD_ROM_FN(rRaidenTradUSA)

struct BurnDriver BurnDrvrRaidenTradUSA = {
	"Raiden Trad (USA)", NULL, NULL, "1986",
	"Raiden Trad (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Raiden Trad (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRaidenTradUSARomInfo, rRaidenTradUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRamosRuynoWorldWideSoccerJapanRomDesc[] = {
	{ "Ramos Ruy no World Wide Soccer (Japan).sfc",          1048576, 0x906d505e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRamosRuynoWorldWideSoccerJapan)
STD_ROM_FN(rRamosRuynoWorldWideSoccerJapan)

struct BurnDriver BurnDrvrRamosRuynoWorldWideSoccerJapan = {
	"Ramos Ruy no World Wide Soccer (Japan)", NULL, NULL, "1986",
	"Ramos Ruy no World Wide Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ramos Ruy no World Wide Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRamosRuynoWorldWideSoccerJapanRomInfo, rRamosRuynoWorldWideSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRampartUSARomDesc[] = {
	{ "Rampart (USA).sfc",          524288, 0xaed8892a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRampartUSA)
STD_ROM_FN(rRampartUSA)

struct BurnDriver BurnDrvrRampartUSA = {
	"Rampart (USA)", NULL, NULL, "1986",
	"Rampart (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rampart (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRampartUSARomInfo, rRampartUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12EuropeBetaRomDesc[] = {
	{ "Ranma 1-2 (Europe) (Beta).sfc",          1572864, 0x9264e9a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12EuropeBeta)
STD_ROM_FN(rRanma12EuropeBeta)

struct BurnDriver BurnDrvrRanma12EuropeBeta = {
	"Ranma 1-2 (Europe) (Beta)", NULL, NULL, "1986",
	"Ranma 1-2 (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12EuropeBetaRomInfo, rRanma12EuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12EuropeRomDesc[] = {
	{ "Ranma 1-2 (Europe).sfc",          1572864, 0xe6c51ff7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12Europe)
STD_ROM_FN(rRanma12Europe)

struct BurnDriver BurnDrvrRanma12Europe = {
	"Ranma 1-2 (Europe)", NULL, NULL, "1986",
	"Ranma 1-2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12EuropeRomInfo, rRanma12EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12FranceRomDesc[] = {
	{ "Ranma 1-2 (France).sfc",          1572864, 0x3fe1854a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12France)
STD_ROM_FN(rRanma12France)

struct BurnDriver BurnDrvrRanma12France = {
	"Ranma 1-2 (France)", NULL, NULL, "1986",
	"Ranma 1-2 (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12FranceRomInfo, rRanma12FranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12AkanekodanTekiHihouJapanRomDesc[] = {
	{ "Ranma 1-2 - Akanekodan Teki Hihou (Japan).sfc",          1572864, 0xb473f453, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12AkanekodanTekiHihouJapan)
STD_ROM_FN(rRanma12AkanekodanTekiHihouJapan)

struct BurnDriver BurnDrvrRanma12AkanekodanTekiHihouJapan = {
	"Ranma 1-2 - Akanekodan Teki Hihou (Japan)", NULL, NULL, "1986",
	"Ranma 1-2 - Akanekodan Teki Hihou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Akanekodan Teki Hihou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12AkanekodanTekiHihouJapanRomInfo, rRanma12AkanekodanTekiHihouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12BakuretsuRantouHenJapanRomDesc[] = {
	{ "Ranma 1-2 - Bakuretsu Rantou Hen (Japan).sfc",          1572864, 0x53b2615, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12BakuretsuRantouHenJapan)
STD_ROM_FN(rRanma12BakuretsuRantouHenJapan)

struct BurnDriver BurnDrvrRanma12BakuretsuRantouHenJapan = {
	"Ranma 1-2 - Bakuretsu Rantou Hen (Japan)", NULL, NULL, "1986",
	"Ranma 1-2 - Bakuretsu Rantou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Bakuretsu Rantou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12BakuretsuRantouHenJapanRomInfo, rRanma12BakuretsuRantouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12ChougiRanbuHenJapanRomDesc[] = {
	{ "Ranma 1-2 - Chougi Ranbu Hen (Japan).sfc",          2621440, 0xc552b1f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12ChougiRanbuHenJapan)
STD_ROM_FN(rRanma12ChougiRanbuHenJapan)

struct BurnDriver BurnDrvrRanma12ChougiRanbuHenJapan = {
	"Ranma 1-2 - Chougi Ranbu Hen (Japan)", NULL, NULL, "1986",
	"Ranma 1-2 - Chougi Ranbu Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Chougi Ranbu Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12ChougiRanbuHenJapanRomInfo, rRanma12ChougiRanbuHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12ChounaiGekitouHenJapanRomDesc[] = {
	{ "Ranma 1-2 - Chounai Gekitou Hen (Japan).sfc",          1048576, 0xe86e3c2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12ChounaiGekitouHenJapan)
STD_ROM_FN(rRanma12ChounaiGekitouHenJapan)

struct BurnDriver BurnDrvrRanma12ChounaiGekitouHenJapan = {
	"Ranma 1-2 - Chounai Gekitou Hen (Japan)", NULL, NULL, "1986",
	"Ranma 1-2 - Chounai Gekitou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Chounai Gekitou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12ChounaiGekitouHenJapanRomInfo, rRanma12ChounaiGekitouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12HardBattleUSARomDesc[] = {
	{ "Ranma 1-2 - Hard Battle (USA).sfc",          1572864, 0x8e4dadcd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12HardBattleUSA)
STD_ROM_FN(rRanma12HardBattleUSA)

struct BurnDriver BurnDrvrRanma12HardBattleUSA = {
	"Ranma 1-2 - Hard Battle (USA)", NULL, NULL, "1986",
	"Ranma 1-2 - Hard Battle (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Hard Battle (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12HardBattleUSARomInfo, rRanma12HardBattleUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRanma12OugiJaankenJapanRomDesc[] = {
	{ "Ranma 1-2 - Ougi Jaanken (Japan).sfc",          1048576, 0xa5dfa05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRanma12OugiJaankenJapan)
STD_ROM_FN(rRanma12OugiJaankenJapan)

struct BurnDriver BurnDrvrRanma12OugiJaankenJapan = {
	"Ranma 1-2 - Ougi Jaanken (Japan)", NULL, NULL, "1986",
	"Ranma 1-2 - Ougi Jaanken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ranma 1-2 - Ougi Jaanken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRanma12OugiJaankenJapanRomInfo, rRanma12OugiJaankenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRapBasketballUSAProtoRomDesc[] = {
	{ "Rap Basketball (USA) (Proto).sfc",          1048576, 0x3f0343a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRapBasketballUSAProto)
STD_ROM_FN(rRapBasketballUSAProto)

struct BurnDriver BurnDrvrRapBasketballUSAProto = {
	"Rap Basketball (USA) (Proto)", NULL, NULL, "1986",
	"Rap Basketball (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rap Basketball (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRapBasketballUSAProtoRomInfo, rRapBasketballUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRapJamVolumeOneUSAEnFrEsRomDesc[] = {
	{ "Rap Jam - Volume One (USA) (En,Fr,Es).sfc",          2097152, 0xadf4ffce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRapJamVolumeOneUSAEnFrEs)
STD_ROM_FN(rRapJamVolumeOneUSAEnFrEs)

struct BurnDriver BurnDrvrRapJamVolumeOneUSAEnFrEs = {
	"Rap Jam - Volume One (USA) (En,Fr,Es)", NULL, NULL, "1986",
	"Rap Jam - Volume One (USA) (En,Fr,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rap Jam - Volume One (USA) (En,Fr,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRapJamVolumeOneUSAEnFrEsRomInfo, rRapJamVolumeOneUSAEnFrEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRealmEuropeRomDesc[] = {
	{ "Realm (Europe).sfc",          1048576, 0x9be46820, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRealmEurope)
STD_ROM_FN(rRealmEurope)

struct BurnDriver BurnDrvrRealmEurope = {
	"Realm (Europe)", NULL, NULL, "1986",
	"Realm (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Realm (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRealmEuropeRomInfo, rRealmEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRealmUSARomDesc[] = {
	{ "Realm (USA).sfc",          1048576, 0x744ba5b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRealmUSA)
STD_ROM_FN(rRealmUSA)

struct BurnDriver BurnDrvrRealmUSA = {
	"Realm (USA)", NULL, NULL, "1986",
	"Realm (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Realm (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRealmUSARomInfo, rRealmUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRedlineF1RacerUSARomDesc[] = {
	{ "Redline F-1 Racer (USA).sfc",          1048576, 0xe5faadd2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRedlineF1RacerUSA)
STD_ROM_FN(rRedlineF1RacerUSA)

struct BurnDriver BurnDrvrRedlineF1RacerUSA = {
	"Redline F-1 Racer (USA)", NULL, NULL, "1986",
	"Redline F-1 Racer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Redline F-1 Racer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRedlineF1RacerUSARomInfo, rRedlineF1RacerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRejoiceArethaOukokunoKanataJapanRomDesc[] = {
	{ "Rejoice - Aretha Oukoku no Kanata (Japan).sfc",          2097152, 0xc2413bdd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRejoiceArethaOukokunoKanataJapan)
STD_ROM_FN(rRejoiceArethaOukokunoKanataJapan)

struct BurnDriver BurnDrvrRejoiceArethaOukokunoKanataJapan = {
	"Rejoice - Aretha Oukoku no Kanata (Japan)", NULL, NULL, "1986",
	"Rejoice - Aretha Oukoku no Kanata (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rejoice - Aretha Oukoku no Kanata (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRejoiceArethaOukokunoKanataJapanRomInfo, rRejoiceArethaOukokunoKanataJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rReliefPitcherUSABetaRomDesc[] = {
	{ "Relief Pitcher (USA) (Beta).sfc",          2097152, 0xcfed1ea8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rReliefPitcherUSABeta)
STD_ROM_FN(rReliefPitcherUSABeta)

struct BurnDriver BurnDrvrReliefPitcherUSABeta = {
	"Relief Pitcher (USA) (Beta)", NULL, NULL, "1986",
	"Relief Pitcher (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Relief Pitcher (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rReliefPitcherUSABetaRomInfo, rReliefPitcherUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rReliefPitcherUSARomDesc[] = {
	{ "Relief Pitcher (USA).sfc",          2097152, 0x2f48ff14, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rReliefPitcherUSA)
STD_ROM_FN(rReliefPitcherUSA)

struct BurnDriver BurnDrvrReliefPitcherUSA = {
	"Relief Pitcher (USA)", NULL, NULL, "1986",
	"Relief Pitcher (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Relief Pitcher (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rReliefPitcherUSARomInfo, rReliefPitcherUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheBuckeroosUSARomDesc[] = {
	{ "Ren & Stimpy Show, The - Buckeroos! (USA).sfc",          1048576, 0x672ebf39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheBuckeroosUSA)
STD_ROM_FN(rRenStimpyShowTheBuckeroosUSA)

struct BurnDriver BurnDrvrRenStimpyShowTheBuckeroosUSA = {
	"Ren & Stimpy Show, The - Buckeroos! (USA)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Buckeroos! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Buckeroos! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheBuckeroosUSARomInfo, rRenStimpyShowTheBuckeroosUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheFireDogsUSARomDesc[] = {
	{ "Ren & Stimpy Show, The - Fire Dogs (USA).sfc",          524288, 0xb472197, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheFireDogsUSA)
STD_ROM_FN(rRenStimpyShowTheFireDogsUSA)

struct BurnDriver BurnDrvrRenStimpyShowTheFireDogsUSA = {
	"Ren & Stimpy Show, The - Fire Dogs (USA)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Fire Dogs (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Fire Dogs (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheFireDogsUSARomInfo, rRenStimpyShowTheFireDogsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheTimeWarpEuropeRomDesc[] = {
	{ "Ren & Stimpy Show, The - Time Warp (Europe).sfc",          1310720, 0x5cbf87b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheTimeWarpEurope)
STD_ROM_FN(rRenStimpyShowTheTimeWarpEurope)

struct BurnDriver BurnDrvrRenStimpyShowTheTimeWarpEurope = {
	"Ren & Stimpy Show, The - Time Warp (Europe)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Time Warp (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Time Warp (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheTimeWarpEuropeRomInfo, rRenStimpyShowTheTimeWarpEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheTimeWarpUSARomDesc[] = {
	{ "Ren & Stimpy Show, The - Time Warp (USA).sfc",          1310720, 0xde8fe3e8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheTimeWarpUSA)
STD_ROM_FN(rRenStimpyShowTheTimeWarpUSA)

struct BurnDriver BurnDrvrRenStimpyShowTheTimeWarpUSA = {
	"Ren & Stimpy Show, The - Time Warp (USA)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Time Warp (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Time Warp (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheTimeWarpUSARomInfo, rRenStimpyShowTheTimeWarpUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheVeediotsEuropeRomDesc[] = {
	{ "Ren & Stimpy Show, The - Veediots! (Europe).sfc",          1048576, 0x6ddbb0d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheVeediotsEurope)
STD_ROM_FN(rRenStimpyShowTheVeediotsEurope)

struct BurnDriver BurnDrvrRenStimpyShowTheVeediotsEurope = {
	"Ren & Stimpy Show, The - Veediots! (Europe)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Veediots! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Veediots! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheVeediotsEuropeRomInfo, rRenStimpyShowTheVeediotsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenStimpyShowTheVeediotsUSARomDesc[] = {
	{ "Ren & Stimpy Show, The - Veediots! (USA).sfc",          1048576, 0xfd1c12a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenStimpyShowTheVeediotsUSA)
STD_ROM_FN(rRenStimpyShowTheVeediotsUSA)

struct BurnDriver BurnDrvrRenStimpyShowTheVeediotsUSA = {
	"Ren & Stimpy Show, The - Veediots! (USA)", NULL, NULL, "1986",
	"Ren & Stimpy Show, The - Veediots! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ren & Stimpy Show, The - Veediots! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenStimpyShowTheVeediotsUSARomInfo, rRenStimpyShowTheVeediotsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRenderingRangerR2JapanRomDesc[] = {
	{ "Rendering Ranger R2 (Japan).sfc",          2097152, 0x8fb5ac86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRenderingRangerR2Japan)
STD_ROM_FN(rRenderingRangerR2Japan)

struct BurnDriver BurnDrvrRenderingRangerR2Japan = {
	"Rendering Ranger R2 (Japan)", NULL, NULL, "1986",
	"Rendering Ranger R2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rendering Ranger R2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRenderingRangerR2JapanRomInfo, rRenderingRangerR2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rResArcanaDianaRayUranainoMeikyuuJapanRomDesc[] = {
	{ "Res Arcana - Diana Ray - Uranai no Meikyuu (Japan).sfc",          1048576, 0xe7637817, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rResArcanaDianaRayUranainoMeikyuuJapan)
STD_ROM_FN(rResArcanaDianaRayUranainoMeikyuuJapan)

struct BurnDriver BurnDrvrResArcanaDianaRayUranainoMeikyuuJapan = {
	"Res Arcana - Diana Ray - Uranai no Meikyuu (Japan)", NULL, NULL, "1986",
	"Res Arcana - Diana Ray - Uranai no Meikyuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Res Arcana - Diana Ray - Uranai no Meikyuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rResArcanaDianaRayUranainoMeikyuuJapanRomInfo, rResArcanaDianaRayUranainoMeikyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rReturnofDoubleDragonJapanRomDesc[] = {
	{ "Return of Double Dragon (Japan).sfc",          1048576, 0x10470b58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rReturnofDoubleDragonJapan)
STD_ROM_FN(rReturnofDoubleDragonJapan)

struct BurnDriver BurnDrvrReturnofDoubleDragonJapan = {
	"Return of Double Dragon (Japan)", NULL, NULL, "1986",
	"Return of Double Dragon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Return of Double Dragon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rReturnofDoubleDragonJapanRomInfo, rReturnofDoubleDragonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rReverseKidsJapanUnlRomDesc[] = {
	{ "Reverse Kids (Japan) (Unl).sfc",          524288, 0x3a426a4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rReverseKidsJapanUnl)
STD_ROM_FN(rReverseKidsJapanUnl)

struct BurnDriver BurnDrvrReverseKidsJapanUnl = {
	"Reverse Kids (Japan) (Unl)", NULL, NULL, "1986",
	"Reverse Kids (Japan) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Reverse Kids (Japan) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rReverseKidsJapanUnlRomInfo, rReverseKidsJapanUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRevolutionXEuropeRomDesc[] = {
	{ "Revolution X (Europe).sfc",          2097152, 0xf6b0eaa9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRevolutionXEurope)
STD_ROM_FN(rRevolutionXEurope)

struct BurnDriver BurnDrvrRevolutionXEurope = {
	"Revolution X (Europe)", NULL, NULL, "1986",
	"Revolution X (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Revolution X (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRevolutionXEuropeRomInfo, rRevolutionXEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRevolutionXGermanyRomDesc[] = {
	{ "Revolution X (Germany).sfc",          2097152, 0x59d0f587, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRevolutionXGermany)
STD_ROM_FN(rRevolutionXGermany)

struct BurnDriver BurnDrvrRevolutionXGermany = {
	"Revolution X (Germany)", NULL, NULL, "1986",
	"Revolution X (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Revolution X (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRevolutionXGermanyRomInfo, rRevolutionXGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRevolutionXJapanRomDesc[] = {
	{ "Revolution X (Japan).sfc",          2097152, 0xb5939fdc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRevolutionXJapan)
STD_ROM_FN(rRevolutionXJapan)

struct BurnDriver BurnDrvrRevolutionXJapan = {
	"Revolution X (Japan)", NULL, NULL, "1986",
	"Revolution X (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Revolution X (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRevolutionXJapanRomInfo, rRevolutionXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRevolutionXUSARomDesc[] = {
	{ "Revolution X (USA).sfc",          2097152, 0xdc5e7ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRevolutionXUSA)
STD_ROM_FN(rRevolutionXUSA)

struct BurnDriver BurnDrvrRevolutionXUSA = {
	"Revolution X (USA)", NULL, NULL, "1986",
	"Revolution X (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Revolution X (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRevolutionXUSARomInfo, rRevolutionXUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRexRonanExperimentalSurgeonUSAEnEsRomDesc[] = {
	{ "Rex Ronan - Experimental Surgeon (USA) (En,Es).sfc",          524288, 0x105ac679, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRexRonanExperimentalSurgeonUSAEnEs)
STD_ROM_FN(rRexRonanExperimentalSurgeonUSAEnEs)

struct BurnDriver BurnDrvrRexRonanExperimentalSurgeonUSAEnEs = {
	"Rex Ronan - Experimental Surgeon (USA) (En,Es)", NULL, NULL, "1986",
	"Rex Ronan - Experimental Surgeon (USA) (En,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rex Ronan - Experimental Surgeon (USA) (En,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRexRonanExperimentalSurgeonUSAEnEsRomInfo, rRexRonanExperimentalSurgeonUSAEnEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRHIRollerHockey95USAProtoRomDesc[] = {
	{ "RHI Roller Hockey '95 (USA) (Proto).sfc",          2097152, 0x67405d44, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRHIRollerHockey95USAProto)
STD_ROM_FN(rRHIRollerHockey95USAProto)

struct BurnDriver BurnDrvrRHIRollerHockey95USAProto = {
	"RHI Roller Hockey '95 (USA) (Proto)", NULL, NULL, "1986",
	"RHI Roller Hockey '95 (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"RHI Roller Hockey '95 (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRHIRollerHockey95USAProtoRomInfo, rRHIRollerHockey95USAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiddickBoweBoxingJapanRomDesc[] = {
	{ "Riddick Bowe Boxing (Japan).sfc",          524288, 0xa9a1836a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiddickBoweBoxingJapan)
STD_ROM_FN(rRiddickBoweBoxingJapan)

struct BurnDriver BurnDrvrRiddickBoweBoxingJapan = {
	"Riddick Bowe Boxing (Japan)", NULL, NULL, "1986",
	"Riddick Bowe Boxing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Riddick Bowe Boxing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiddickBoweBoxingJapanRomInfo, rRiddickBoweBoxingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiddickBoweBoxingUSARomDesc[] = {
	{ "Riddick Bowe Boxing (USA).sfc",          524288, 0xa967a041, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiddickBoweBoxingUSA)
STD_ROM_FN(rRiddickBoweBoxingUSA)

struct BurnDriver BurnDrvrRiddickBoweBoxingUSA = {
	"Riddick Bowe Boxing (USA)", NULL, NULL, "1986",
	"Riddick Bowe Boxing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Riddick Bowe Boxing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiddickBoweBoxingUSARomInfo, rRiddickBoweBoxingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRinKaihouKudannoIgoTaidouJapanRomDesc[] = {
	{ "Rin Kaihou Kudan no Igo Taidou (Japan).sfc",          1572864, 0xb56ec084, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRinKaihouKudannoIgoTaidouJapan)
STD_ROM_FN(rRinKaihouKudannoIgoTaidouJapan)

struct BurnDriver BurnDrvrRinKaihouKudannoIgoTaidouJapan = {
	"Rin Kaihou Kudan no Igo Taidou (Japan)", NULL, NULL, "1986",
	"Rin Kaihou Kudan no Igo Taidou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rin Kaihou Kudan no Igo Taidou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRinKaihouKudannoIgoTaidouJapanRomInfo, rRinKaihouKudannoIgoTaidouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRingniKakeroJapanNPRomDesc[] = {
	{ "Ring ni Kakero (Japan) (NP).sfc",          2621440, 0x503b5b86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRingniKakeroJapanNP)
STD_ROM_FN(rRingniKakeroJapanNP)

struct BurnDriver BurnDrvrRingniKakeroJapanNP = {
	"Ring ni Kakero (Japan) (NP)", NULL, NULL, "1986",
	"Ring ni Kakero (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ring ni Kakero (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRingniKakeroJapanNPRomInfo, rRingniKakeroJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiseofthePhoenixUSARomDesc[] = {
	{ "Rise of the Phoenix (USA).sfc",          1572864, 0x908b90b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiseofthePhoenixUSA)
STD_ROM_FN(rRiseofthePhoenixUSA)

struct BurnDriver BurnDrvrRiseofthePhoenixUSA = {
	"Rise of the Phoenix (USA)", NULL, NULL, "1986",
	"Rise of the Phoenix (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rise of the Phoenix (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiseofthePhoenixUSARomInfo, rRiseofthePhoenixUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiseoftheRobotsEuropeRomDesc[] = {
	{ "Rise of the Robots (Europe).sfc",          4194304, 0x8d4e7082, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiseoftheRobotsEurope)
STD_ROM_FN(rRiseoftheRobotsEurope)

struct BurnDriver BurnDrvrRiseoftheRobotsEurope = {
	"Rise of the Robots (Europe)", NULL, NULL, "1986",
	"Rise of the Robots (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rise of the Robots (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiseoftheRobotsEuropeRomInfo, rRiseoftheRobotsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiseoftheRobotsJapanRomDesc[] = {
	{ "Rise of the Robots (Japan).sfc",          4194304, 0x9f827a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiseoftheRobotsJapan)
STD_ROM_FN(rRiseoftheRobotsJapan)

struct BurnDriver BurnDrvrRiseoftheRobotsJapan = {
	"Rise of the Robots (Japan)", NULL, NULL, "1986",
	"Rise of the Robots (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rise of the Robots (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiseoftheRobotsJapanRomInfo, rRiseoftheRobotsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiseoftheRobotsUSABetaRomDesc[] = {
	{ "Rise of the Robots (USA) (Beta).sfc",          4194304, 0xbe1de31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiseoftheRobotsUSABeta)
STD_ROM_FN(rRiseoftheRobotsUSABeta)

struct BurnDriver BurnDrvrRiseoftheRobotsUSABeta = {
	"Rise of the Robots (USA) (Beta)", NULL, NULL, "1986",
	"Rise of the Robots (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rise of the Robots (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiseoftheRobotsUSABetaRomInfo, rRiseoftheRobotsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRiseoftheRobotsUSARomDesc[] = {
	{ "Rise of the Robots (USA).sfc",          4194304, 0x83ba0ac0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRiseoftheRobotsUSA)
STD_ROM_FN(rRiseoftheRobotsUSA)

struct BurnDriver BurnDrvrRiseoftheRobotsUSA = {
	"Rise of the Robots (USA)", NULL, NULL, "1986",
	"Rise of the Robots (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rise of the Robots (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRiseoftheRobotsUSARomInfo, rRiseoftheRobotsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRivalTurfEuropeRomDesc[] = {
	{ "Rival Turf (Europe).sfc",          1048576, 0xe8a6b3d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRivalTurfEurope)
STD_ROM_FN(rRivalTurfEurope)

struct BurnDriver BurnDrvrRivalTurfEurope = {
	"Rival Turf (Europe)", NULL, NULL, "1986",
	"Rival Turf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rival Turf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRivalTurfEuropeRomInfo, rRivalTurfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRivalTurfUSARomDesc[] = {
	{ "Rival Turf! (USA).sfc",          1048576, 0xca988f59, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRivalTurfUSA)
STD_ROM_FN(rRivalTurfUSA)

struct BurnDriver BurnDrvrRivalTurfUSA = {
	"Rival Turf! (USA)", NULL, NULL, "1986",
	"Rival Turf! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rival Turf! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRivalTurfUSARomInfo, rRivalTurfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRiot4WDEuropeRomDesc[] = {
	{ "Road Riot 4WD (Europe).sfc",          524288, 0xec43268, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRiot4WDEurope)
STD_ROM_FN(rRoadRiot4WDEurope)

struct BurnDriver BurnDrvrRoadRiot4WDEurope = {
	"Road Riot 4WD (Europe)", NULL, NULL, "1986",
	"Road Riot 4WD (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Riot 4WD (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRiot4WDEuropeRomInfo, rRoadRiot4WDEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRiot4WDUSABetaRomDesc[] = {
	{ "Road Riot 4WD (USA) (Beta).sfc",          524288, 0x4ca1a3b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRiot4WDUSABeta)
STD_ROM_FN(rRoadRiot4WDUSABeta)

struct BurnDriver BurnDrvrRoadRiot4WDUSABeta = {
	"Road Riot 4WD (USA) (Beta)", NULL, NULL, "1986",
	"Road Riot 4WD (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Riot 4WD (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRiot4WDUSABetaRomInfo, rRoadRiot4WDUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRiot4WDUSARomDesc[] = {
	{ "Road Riot 4WD (USA).sfc",          524288, 0x20367643, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRiot4WDUSA)
STD_ROM_FN(rRoadRiot4WDUSA)

struct BurnDriver BurnDrvrRoadRiot4WDUSA = {
	"Road Riot 4WD (USA)", NULL, NULL, "1986",
	"Road Riot 4WD (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Riot 4WD (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRiot4WDUSARomInfo, rRoadRiot4WDUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRunnerEuropeBetaRomDesc[] = {
	{ "Road Runner (Europe) (Beta).sfc",          1048576, 0x83ba85a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRunnerEuropeBeta)
STD_ROM_FN(rRoadRunnerEuropeBeta)

struct BurnDriver BurnDrvrRoadRunnerEuropeBeta = {
	"Road Runner (Europe) (Beta)", NULL, NULL, "1986",
	"Road Runner (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Runner (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRunnerEuropeBetaRomInfo, rRoadRunnerEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRunnerEuropeRomDesc[] = {
	{ "Road Runner (Europe).sfc",          1048576, 0xbb2b8e2e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRunnerEurope)
STD_ROM_FN(rRoadRunnerEurope)

struct BurnDriver BurnDrvrRoadRunnerEurope = {
	"Road Runner (Europe)", NULL, NULL, "1986",
	"Road Runner (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Runner (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRunnerEuropeRomInfo, rRoadRunnerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRunnervsWileECoyoteJapanRomDesc[] = {
	{ "Road Runner vs Wile E. Coyote (Japan).sfc",          1048576, 0x82399957, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRunnervsWileECoyoteJapan)
STD_ROM_FN(rRoadRunnervsWileECoyoteJapan)

struct BurnDriver BurnDrvrRoadRunnervsWileECoyoteJapan = {
	"Road Runner vs Wile E. Coyote (Japan)", NULL, NULL, "1986",
	"Road Runner vs Wile E. Coyote (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Runner vs Wile E. Coyote (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRunnervsWileECoyoteJapanRomInfo, rRoadRunnervsWileECoyoteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoadRunnersDeathValleyRallyUSARomDesc[] = {
	{ "Road Runner's Death Valley Rally (USA).sfc",          1048576, 0x5980d75d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoadRunnersDeathValleyRallyUSA)
STD_ROM_FN(rRoadRunnersDeathValleyRallyUSA)

struct BurnDriver BurnDrvrRoadRunnersDeathValleyRallyUSA = {
	"Road Runner's Death Valley Rally (USA)", NULL, NULL, "1986",
	"Road Runner's Death Valley Rally (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Road Runner's Death Valley Rally (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoadRunnersDeathValleyRallyUSARomInfo, rRoadRunnersDeathValleyRallyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoboCop3EuropeRomDesc[] = {
	{ "RoboCop 3 (Europe).sfc",          1048576, 0x5f2c7031, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoboCop3Europe)
STD_ROM_FN(rRoboCop3Europe)

struct BurnDriver BurnDrvrRoboCop3Europe = {
	"RoboCop 3 (Europe)", NULL, NULL, "1986",
	"RoboCop 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"RoboCop 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoboCop3EuropeRomInfo, rRoboCop3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoboCop3USARomDesc[] = {
	{ "RoboCop 3 (USA).sfc",          1048576, 0x3502f9b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoboCop3USA)
STD_ROM_FN(rRoboCop3USA)

struct BurnDriver BurnDrvrRoboCop3USA = {
	"RoboCop 3 (USA)", NULL, NULL, "1986",
	"RoboCop 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"RoboCop 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoboCop3USARomInfo, rRoboCop3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoboCopversusTheTerminatorEuropeRomDesc[] = {
	{ "RoboCop versus The Terminator (Europe).sfc",          1048576, 0xbeebef08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoboCopversusTheTerminatorEurope)
STD_ROM_FN(rRoboCopversusTheTerminatorEurope)

struct BurnDriver BurnDrvrRoboCopversusTheTerminatorEurope = {
	"RoboCop versus The Terminator (Europe)", NULL, NULL, "1986",
	"RoboCop versus The Terminator (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"RoboCop versus The Terminator (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoboCopversusTheTerminatorEuropeRomInfo, rRoboCopversusTheTerminatorEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoboCopversusTheTerminatorUSARomDesc[] = {
	{ "RoboCop versus The Terminator (USA).sfc",          1048576, 0xf5ab5d91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoboCopversusTheTerminatorUSA)
STD_ROM_FN(rRoboCopversusTheTerminatorUSA)

struct BurnDriver BurnDrvrRoboCopversusTheTerminatorUSA = {
	"RoboCop versus The Terminator (USA)", NULL, NULL, "1986",
	"RoboCop versus The Terminator (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"RoboCop versus The Terminator (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoboCopversusTheTerminatorUSARomInfo, rRoboCopversusTheTerminatorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRobotrekUSARomDesc[] = {
	{ "Robotrek (USA).sfc",          1572864, 0x7ad4aadc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRobotrekUSA)
STD_ROM_FN(rRobotrekUSA)

struct BurnDriver BurnDrvrRobotrekUSA = {
	"Robotrek (USA)", NULL, NULL, "1986",
	"Robotrek (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Robotrek (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRobotrekUSARomInfo, rRobotrekUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRocknRollRacingEuropeRomDesc[] = {
	{ "Rock n' Roll Racing (Europe).sfc",          1048576, 0xb02daf39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRocknRollRacingEurope)
STD_ROM_FN(rRocknRollRacingEurope)

struct BurnDriver BurnDrvrRocknRollRacingEurope = {
	"Rock n' Roll Racing (Europe)", NULL, NULL, "1986",
	"Rock n' Roll Racing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rock n' Roll Racing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRocknRollRacingEuropeRomInfo, rRocknRollRacingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRocknRollRacingJapanRomDesc[] = {
	{ "Rock n' Roll Racing (Japan).sfc",          1048576, 0xa206384c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRocknRollRacingJapan)
STD_ROM_FN(rRocknRollRacingJapan)

struct BurnDriver BurnDrvrRocknRollRacingJapan = {
	"Rock n' Roll Racing (Japan)", NULL, NULL, "1986",
	"Rock n' Roll Racing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rock n' Roll Racing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRocknRollRacingJapanRomInfo, rRocknRollRacingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRocknRollRacingUSABetaRomDesc[] = {
	{ "Rock n' Roll Racing (USA) (Beta).sfc",          1048576, 0xd9fafb8a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRocknRollRacingUSABeta)
STD_ROM_FN(rRocknRollRacingUSABeta)

struct BurnDriver BurnDrvrRocknRollRacingUSABeta = {
	"Rock n' Roll Racing (USA) (Beta)", NULL, NULL, "1986",
	"Rock n' Roll Racing (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rock n' Roll Racing (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRocknRollRacingUSABetaRomInfo, rRocknRollRacingUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRocknRollRacingUSARomDesc[] = {
	{ "Rock n' Roll Racing (USA).sfc",          1048576, 0x7d06f473, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRocknRollRacingUSA)
STD_ROM_FN(rRocknRollRacingUSA)

struct BurnDriver BurnDrvrRocknRollRacingUSA = {
	"Rock n' Roll Racing (USA)", NULL, NULL, "1986",
	"Rock n' Roll Racing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rock n' Roll Racing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRocknRollRacingUSARomInfo, rRocknRollRacingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRocketeerTheUSARomDesc[] = {
	{ "Rocketeer, The (USA).sfc",          1048576, 0x4c68a3c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRocketeerTheUSA)
STD_ROM_FN(rRocketeerTheUSA)

struct BurnDriver BurnDrvrRocketeerTheUSA = {
	"Rocketeer, The (USA)", NULL, NULL, "1986",
	"Rocketeer, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rocketeer, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRocketeerTheUSARomInfo, rRocketeerTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmanForteJapanRomDesc[] = {
	{ "Rockman & Forte (Japan).sfc",          4194304, 0x5047e0d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmanForteJapan)
STD_ROM_FN(rRockmanForteJapan)

struct BurnDriver BurnDrvrRockmanForteJapan = {
	"Rockman & Forte (Japan)", NULL, NULL, "1986",
	"Rockman & Forte (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman & Forte (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmanForteJapanRomInfo, rRockmanForteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockman7ShukumeinoTaiketsuJapanSampleRomDesc[] = {
	{ "Rockman 7 - Shukumei no Taiketsu! (Japan) (Sample).sfc",          2097152, 0xee05a1af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockman7ShukumeinoTaiketsuJapanSample)
STD_ROM_FN(rRockman7ShukumeinoTaiketsuJapanSample)

struct BurnDriver BurnDrvrRockman7ShukumeinoTaiketsuJapanSample = {
	"Rockman 7 - Shukumei no Taiketsu! (Japan) (Sample)", NULL, NULL, "1986",
	"Rockman 7 - Shukumei no Taiketsu! (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman 7 - Shukumei no Taiketsu! (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockman7ShukumeinoTaiketsuJapanSampleRomInfo, rRockman7ShukumeinoTaiketsuJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockman7ShukumeinoTaiketsuJapanRomDesc[] = {
	{ "Rockman 7 - Shukumei no Taiketsu! (Japan).sfc",          2097152, 0x31f18dda, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockman7ShukumeinoTaiketsuJapan)
STD_ROM_FN(rRockman7ShukumeinoTaiketsuJapan)

struct BurnDriver BurnDrvrRockman7ShukumeinoTaiketsuJapan = {
	"Rockman 7 - Shukumei no Taiketsu! (Japan)", NULL, NULL, "1986",
	"Rockman 7 - Shukumei no Taiketsu! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman 7 - Shukumei no Taiketsu! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockman7ShukumeinoTaiketsuJapanRomInfo, rRockman7ShukumeinoTaiketsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmanXJapanRev1RomDesc[] = {
	{ "Rockman X (Japan) (Rev 1).sfc",          1572864, 0x5584641e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmanXJapanRev1)
STD_ROM_FN(rRockmanXJapanRev1)

struct BurnDriver BurnDrvrRockmanXJapanRev1 = {
	"Rockman X (Japan) (Rev 1)", NULL, NULL, "1986",
	"Rockman X (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman X (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmanXJapanRev1RomInfo, rRockmanXJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmanXJapanRomDesc[] = {
	{ "Rockman X (Japan).sfc",          1572864, 0x6a1b6926, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmanXJapan)
STD_ROM_FN(rRockmanXJapan)

struct BurnDriver BurnDrvrRockmanXJapan = {
	"Rockman X (Japan)", NULL, NULL, "1986",
	"Rockman X (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman X (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmanXJapanRomInfo, rRockmanXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmanX2JapanRomDesc[] = {
	{ "Rockman X2 (Japan).sfc",          1572864, 0x299d7a89, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmanX2Japan)
STD_ROM_FN(rRockmanX2Japan)

struct BurnDriver BurnDrvrRockmanX2Japan = {
	"Rockman X2 (Japan)", NULL, NULL, "1986",
	"Rockman X2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman X2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmanX2JapanRomInfo, rRockmanX2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmanX3JapanRomDesc[] = {
	{ "Rockman X3 (Japan).sfc",          2097152, 0xe476912b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmanX3Japan)
STD_ROM_FN(rRockmanX3Japan)

struct BurnDriver BurnDrvrRockmanX3Japan = {
	"Rockman X3 (Japan)", NULL, NULL, "1986",
	"Rockman X3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman X3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmanX3JapanRomInfo, rRockmanX3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockmansSoccerJapanRomDesc[] = {
	{ "Rockman's Soccer (Japan).sfc",          1310720, 0xa3277c10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockmansSoccerJapan)
STD_ROM_FN(rRockmansSoccerJapan)

struct BurnDriver BurnDrvrRockmansSoccerJapan = {
	"Rockman's Soccer (Japan)", NULL, NULL, "1986",
	"Rockman's Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rockman's Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockmansSoccerJapanRomInfo, rRockmansSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockosModernLifeSpunkysDangerousDayUSARomDesc[] = {
	{ "Rocko's Modern Life - Spunky's Dangerous Day (USA).sfc",          1572864, 0x197b4cba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockosModernLifeSpunkysDangerousDayUSA)
STD_ROM_FN(rRockosModernLifeSpunkysDangerousDayUSA)

struct BurnDriver BurnDrvrRockosModernLifeSpunkysDangerousDayUSA = {
	"Rocko's Modern Life - Spunky's Dangerous Day (USA)", NULL, NULL, "1986",
	"Rocko's Modern Life - Spunky's Dangerous Day (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rocko's Modern Life - Spunky's Dangerous Day (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockosModernLifeSpunkysDangerousDayUSARomInfo, rRockosModernLifeSpunkysDangerousDayUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockyRodentEuropeProtoRomDesc[] = {
	{ "Rocky Rodent (Europe) (Proto).sfc",          1048576, 0xc7a0f949, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockyRodentEuropeProto)
STD_ROM_FN(rRockyRodentEuropeProto)

struct BurnDriver BurnDrvrRockyRodentEuropeProto = {
	"Rocky Rodent (Europe) (Proto)", NULL, NULL, "1986",
	"Rocky Rodent (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rocky Rodent (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockyRodentEuropeProtoRomInfo, rRockyRodentEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRockyRodentUSARomDesc[] = {
	{ "Rocky Rodent (USA).sfc",          1048576, 0xc81a7b07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRockyRodentUSA)
STD_ROM_FN(rRockyRodentUSA)

struct BurnDriver BurnDrvrRockyRodentUSA = {
	"Rocky Rodent (USA)", NULL, NULL, "1986",
	"Rocky Rodent (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rocky Rodent (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRockyRodentUSARomInfo, rRockyRodentUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRogerClemensMVPBaseballJapanRomDesc[] = {
	{ "Roger Clemens' MVP Baseball (Japan).sfc",          1048576, 0xc7daa598, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRogerClemensMVPBaseballJapan)
STD_ROM_FN(rRogerClemensMVPBaseballJapan)

struct BurnDriver BurnDrvrRogerClemensMVPBaseballJapan = {
	"Roger Clemens' MVP Baseball (Japan)", NULL, NULL, "1986",
	"Roger Clemens' MVP Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Roger Clemens' MVP Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRogerClemensMVPBaseballJapanRomInfo, rRogerClemensMVPBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRogerClemensMVPBaseballUSABetaRomDesc[] = {
	{ "Roger Clemens' MVP Baseball (USA) (Beta).sfc",          1048576, 0xf0ecdd92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRogerClemensMVPBaseballUSABeta)
STD_ROM_FN(rRogerClemensMVPBaseballUSABeta)

struct BurnDriver BurnDrvrRogerClemensMVPBaseballUSABeta = {
	"Roger Clemens' MVP Baseball (USA) (Beta)", NULL, NULL, "1986",
	"Roger Clemens' MVP Baseball (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Roger Clemens' MVP Baseball (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRogerClemensMVPBaseballUSABetaRomInfo, rRogerClemensMVPBaseballUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRogerClemensMVPBaseballUSARev1RomDesc[] = {
	{ "Roger Clemens' MVP Baseball (USA) (Rev 1).sfc",          1048576, 0xa012d1ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRogerClemensMVPBaseballUSARev1)
STD_ROM_FN(rRogerClemensMVPBaseballUSARev1)

struct BurnDriver BurnDrvrRogerClemensMVPBaseballUSARev1 = {
	"Roger Clemens' MVP Baseball (USA) (Rev 1)", NULL, NULL, "1986",
	"Roger Clemens' MVP Baseball (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Roger Clemens' MVP Baseball (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRogerClemensMVPBaseballUSARev1RomInfo, rRogerClemensMVPBaseballUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRogerClemensMVPBaseballUSARomDesc[] = {
	{ "Roger Clemens' MVP Baseball (USA).sfc",          1048576, 0x865dc1cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRogerClemensMVPBaseballUSA)
STD_ROM_FN(rRogerClemensMVPBaseballUSA)

struct BurnDriver BurnDrvrRogerClemensMVPBaseballUSA = {
	"Roger Clemens' MVP Baseball (USA)", NULL, NULL, "1986",
	"Roger Clemens' MVP Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Roger Clemens' MVP Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRogerClemensMVPBaseballUSARomInfo, rRogerClemensMVPBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRokudenashiBluesTaiketsuTokyoShitennouJapanRomDesc[] = {
	{ "Rokudenashi Blues - Taiketsu! Tokyo Shitennou (Japan).sfc",          1572864, 0x2c85ec10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRokudenashiBluesTaiketsuTokyoShitennouJapan)
STD_ROM_FN(rRokudenashiBluesTaiketsuTokyoShitennouJapan)

struct BurnDriver BurnDrvrRokudenashiBluesTaiketsuTokyoShitennouJapan = {
	"Rokudenashi Blues - Taiketsu! Tokyo Shitennou (Japan)", NULL, NULL, "1986",
	"Rokudenashi Blues - Taiketsu! Tokyo Shitennou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rokudenashi Blues - Taiketsu! Tokyo Shitennou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRokudenashiBluesTaiketsuTokyoShitennouJapanRomInfo, rRokudenashiBluesTaiketsuTokyoShitennouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomanceoftheThreeKingdomsIIUSARomDesc[] = {
	{ "Romance of the Three Kingdoms II (USA).sfc",          1048576, 0x8033574a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomanceoftheThreeKingdomsIIUSA)
STD_ROM_FN(rRomanceoftheThreeKingdomsIIUSA)

struct BurnDriver BurnDrvrRomanceoftheThreeKingdomsIIUSA = {
	"Romance of the Three Kingdoms II (USA)", NULL, NULL, "1986",
	"Romance of the Three Kingdoms II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romance of the Three Kingdoms II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomanceoftheThreeKingdomsIIUSARomInfo, rRomanceoftheThreeKingdomsIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomanceoftheThreeKingdomsIIIDragonofDestinyUSARomDesc[] = {
	{ "Romance of the Three Kingdoms III - Dragon of Destiny (USA).sfc",          1572864, 0x523b0d02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomanceoftheThreeKingdomsIIIDragonofDestinyUSA)
STD_ROM_FN(rRomanceoftheThreeKingdomsIIIDragonofDestinyUSA)

struct BurnDriver BurnDrvrRomanceoftheThreeKingdomsIIIDragonofDestinyUSA = {
	"Romance of the Three Kingdoms III - Dragon of Destiny (USA)", NULL, NULL, "1986",
	"Romance of the Three Kingdoms III - Dragon of Destiny (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romance of the Three Kingdoms III - Dragon of Destiny (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomanceoftheThreeKingdomsIIIDragonofDestinyUSARomInfo, rRomanceoftheThreeKingdomsIIIDragonofDestinyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomanceoftheThreeKingdomsIVWallofFireUSARomDesc[] = {
	{ "Romance of the Three Kingdoms IV - Wall of Fire (USA).sfc",          3145728, 0x82af5b69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomanceoftheThreeKingdomsIVWallofFireUSA)
STD_ROM_FN(rRomanceoftheThreeKingdomsIVWallofFireUSA)

struct BurnDriver BurnDrvrRomanceoftheThreeKingdomsIVWallofFireUSA = {
	"Romance of the Three Kingdoms IV - Wall of Fire (USA)", NULL, NULL, "1986",
	"Romance of the Three Kingdoms IV - Wall of Fire (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romance of the Three Kingdoms IV - Wall of Fire (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomanceoftheThreeKingdomsIVWallofFireUSARomInfo, rRomanceoftheThreeKingdomsIVWallofFireUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGaJapanRev1RomDesc[] = {
	{ "Romancing SaGa (Japan) (Rev 1).sfc",          1048576, 0x9684526d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGaJapanRev1)
STD_ROM_FN(rRomancingSaGaJapanRev1)

struct BurnDriver BurnDrvrRomancingSaGaJapanRev1 = {
	"Romancing SaGa (Japan) (Rev 1)", NULL, NULL, "1986",
	"Romancing SaGa (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGaJapanRev1RomInfo, rRomancingSaGaJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGaJapanRomDesc[] = {
	{ "Romancing SaGa (Japan).sfc",          1048576, 0xa6d82435, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGaJapan)
STD_ROM_FN(rRomancingSaGaJapan)

struct BurnDriver BurnDrvrRomancingSaGaJapan = {
	"Romancing SaGa (Japan)", NULL, NULL, "1986",
	"Romancing SaGa (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGaJapanRomInfo, rRomancingSaGaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGa2JapanRomDesc[] = {
	{ "Romancing SaGa 2 (Japan).sfc",          2097152, 0x54a585bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGa2Japan)
STD_ROM_FN(rRomancingSaGa2Japan)

struct BurnDriver BurnDrvrRomancingSaGa2Japan = {
	"Romancing SaGa 2 (Japan)", NULL, NULL, "1986",
	"Romancing SaGa 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGa2JapanRomInfo, rRomancingSaGa2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGa3JapanRev1RomDesc[] = {
	{ "Romancing SaGa 3 (Japan) (Rev 1).sfc",          4194304, 0x6c50c2cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGa3JapanRev1)
STD_ROM_FN(rRomancingSaGa3JapanRev1)

struct BurnDriver BurnDrvrRomancingSaGa3JapanRev1 = {
	"Romancing SaGa 3 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Romancing SaGa 3 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa 3 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGa3JapanRev1RomInfo, rRomancingSaGa3JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGa3JapanSampleRomDesc[] = {
	{ "Romancing SaGa 3 (Japan) (Sample).sfc",          4194304, 0xbbbe3253, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGa3JapanSample)
STD_ROM_FN(rRomancingSaGa3JapanSample)

struct BurnDriver BurnDrvrRomancingSaGa3JapanSample = {
	"Romancing SaGa 3 (Japan) (Sample)", NULL, NULL, "1986",
	"Romancing SaGa 3 (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa 3 (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGa3JapanSampleRomInfo, rRomancingSaGa3JapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRomancingSaGa3JapanRomDesc[] = {
	{ "Romancing SaGa 3 (Japan).sfc",          4194304, 0x5399bddb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRomancingSaGa3Japan)
STD_ROM_FN(rRomancingSaGa3Japan)

struct BurnDriver BurnDrvrRomancingSaGa3Japan = {
	"Romancing SaGa 3 (Japan)", NULL, NULL, "1986",
	"Romancing SaGa 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Romancing SaGa 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRomancingSaGa3JapanRomInfo, rRomancingSaGa3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRoyalConquestJapanRomDesc[] = {
	{ "Royal Conquest (Japan).sfc",          524288, 0xf60e933e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRoyalConquestJapan)
STD_ROM_FN(rRoyalConquestJapan)

struct BurnDriver BurnDrvrRoyalConquestJapan = {
	"Royal Conquest (Japan)", NULL, NULL, "1986",
	"Royal Conquest (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Royal Conquest (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRoyalConquestJapanRomInfo, rRoyalConquestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRPGTsukuruSuperDanteJapanRomDesc[] = {
	{ "RPG Tsukuru - Super Dante (Japan).sfc",          1048576, 0xe20870ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRPGTsukuruSuperDanteJapan)
STD_ROM_FN(rRPGTsukuruSuperDanteJapan)

struct BurnDriver BurnDrvrRPGTsukuruSuperDanteJapan = {
	"RPG Tsukuru - Super Dante (Japan)", NULL, NULL, "1986",
	"RPG Tsukuru - Super Dante (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"RPG Tsukuru - Super Dante (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRPGTsukuruSuperDanteJapanRomInfo, rRPGTsukuruSuperDanteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRPGTsukuru2JapanRomDesc[] = {
	{ "RPG Tsukuru 2 (Japan).sfc",          2097152, 0x675b6382, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRPGTsukuru2Japan)
STD_ROM_FN(rRPGTsukuru2Japan)

struct BurnDriver BurnDrvrRPGTsukuru2Japan = {
	"RPG Tsukuru 2 (Japan)", NULL, NULL, "1986",
	"RPG Tsukuru 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"RPG Tsukuru 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRPGTsukuru2JapanRomInfo, rRPGTsukuru2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRudranoHihouJapanRomDesc[] = {
	{ "Rudra no Hihou (Japan).sfc",          4194304, 0x5d8cb7ac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRudranoHihouJapan)
STD_ROM_FN(rRudranoHihouJapan)

struct BurnDriver BurnDrvrRudranoHihouJapan = {
	"Rudra no Hihou (Japan)", NULL, NULL, "1986",
	"Rudra no Hihou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rudra no Hihou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRudranoHihouJapanRomInfo, rRudranoHihouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRuinArmJapanRomDesc[] = {
	{ "Ruin Arm (Japan).sfc",          2621440, 0xc2acd40d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRuinArmJapan)
STD_ROM_FN(rRuinArmJapan)

struct BurnDriver BurnDrvrRuinArmJapan = {
	"Ruin Arm (Japan)", NULL, NULL, "1986",
	"Ruin Arm (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ruin Arm (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRuinArmJapanRomInfo, rRuinArmJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRunSaberEuropeRomDesc[] = {
	{ "Run Saber (Europe).sfc",          1048576, 0x2820f702, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRunSaberEurope)
STD_ROM_FN(rRunSaberEurope)

struct BurnDriver BurnDrvrRunSaberEurope = {
	"Run Saber (Europe)", NULL, NULL, "1986",
	"Run Saber (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Run Saber (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRunSaberEuropeRomInfo, rRunSaberEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRunSaberUSARomDesc[] = {
	{ "Run Saber (USA).sfc",          1048576, 0x8708e5bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRunSaberUSA)
STD_ROM_FN(rRunSaberUSA)

struct BurnDriver BurnDrvrRunSaberUSA = {
	"Run Saber (USA)", NULL, NULL, "1986",
	"Run Saber (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Run Saber (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRunSaberUSARomInfo, rRunSaberUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRushingBeatJapanRomDesc[] = {
	{ "Rushing Beat (Japan).sfc",          1048576, 0xa6f0693d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRushingBeatJapan)
STD_ROM_FN(rRushingBeatJapan)

struct BurnDriver BurnDrvrRushingBeatJapan = {
	"Rushing Beat (Japan)", NULL, NULL, "1986",
	"Rushing Beat (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rushing Beat (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRushingBeatJapanRomInfo, rRushingBeatJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRushingBeatRanFukuseiToshiJapanRomDesc[] = {
	{ "Rushing Beat Ran - Fukusei Toshi (Japan).sfc",          1572864, 0x8f35ebe0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRushingBeatRanFukuseiToshiJapan)
STD_ROM_FN(rRushingBeatRanFukuseiToshiJapan)

struct BurnDriver BurnDrvrRushingBeatRanFukuseiToshiJapan = {
	"Rushing Beat Ran - Fukusei Toshi (Japan)", NULL, NULL, "1986",
	"Rushing Beat Ran - Fukusei Toshi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rushing Beat Ran - Fukusei Toshi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRushingBeatRanFukuseiToshiJapanRomInfo, rRushingBeatRanFukuseiToshiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRushingBeatShuraJapanRomDesc[] = {
	{ "Rushing Beat Shura (Japan).sfc",          2097152, 0xa2e4c2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRushingBeatShuraJapan)
STD_ROM_FN(rRushingBeatShuraJapan)

struct BurnDriver BurnDrvrRushingBeatShuraJapan = {
	"Rushing Beat Shura (Japan)", NULL, NULL, "1986",
	"Rushing Beat Shura (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Rushing Beat Shura (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRushingBeatShuraJapanRomInfo, rRushingBeatShuraJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRyuukiHeidanDanzarbJapanRomDesc[] = {
	{ "Ryuuki Heidan Danzarb (Japan).sfc",          1048576, 0x454d7dcd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRyuukiHeidanDanzarbJapan)
STD_ROM_FN(rRyuukiHeidanDanzarbJapan)

struct BurnDriver BurnDrvrRyuukiHeidanDanzarbJapan = {
	"Ryuuki Heidan Danzarb (Japan)", NULL, NULL, "1986",
	"Ryuuki Heidan Danzarb (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ryuuki Heidan Danzarb (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRyuukiHeidanDanzarbJapanRomInfo, rRyuukiHeidanDanzarbJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRyuukonoKenJapanRomDesc[] = {
	{ "Ryuuko no Ken (Japan).sfc",          2097152, 0xdb2d9ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRyuukonoKenJapan)
STD_ROM_FN(rRyuukonoKenJapan)

struct BurnDriver BurnDrvrRyuukonoKenJapan = {
	"Ryuuko no Ken (Japan)", NULL, NULL, "1986",
	"Ryuuko no Ken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ryuuko no Ken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRyuukonoKenJapanRomInfo, rRyuukonoKenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rRyuukonoKen2JapanRomDesc[] = {
	{ "Ryuuko no Ken 2 (Japan).sfc",          4194304, 0x40019293, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rRyuukonoKen2Japan)
STD_ROM_FN(rRyuukonoKen2Japan)

struct BurnDriver BurnDrvrRyuukonoKen2Japan = {
	"Ryuuko no Ken 2 (Japan)", NULL, NULL, "1986",
	"Ryuuko no Ken 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ryuuko no Ken 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rRyuukonoKen2JapanRomInfo, rRyuukonoKen2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSaibaraRiekonoMahjongHouroukiJapanRomDesc[] = {
	{ "Saibara Rieko no Mahjong Hourouki (Japan).sfc",          524288, 0x42198d27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSaibaraRiekonoMahjongHouroukiJapan)
STD_ROM_FN(rSaibaraRiekonoMahjongHouroukiJapan)

struct BurnDriver BurnDrvrSaibaraRiekonoMahjongHouroukiJapan = {
	"Saibara Rieko no Mahjong Hourouki (Japan)", NULL, NULL, "1986",
	"Saibara Rieko no Mahjong Hourouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Saibara Rieko no Mahjong Hourouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSaibaraRiekonoMahjongHouroukiJapanRomInfo, rSaibaraRiekonoMahjongHouroukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSaikousokuShikouShougiMahjongJapanRomDesc[] = {
	{ "Saikousoku Shikou Shougi Mahjong (Japan).sfc",          524288, 0xa16cc0a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSaikousokuShikouShougiMahjongJapan)
STD_ROM_FN(rSaikousokuShikouShougiMahjongJapan)

struct BurnDriver BurnDrvrSaikousokuShikouShougiMahjongJapan = {
	"Saikousoku Shikou Shougi Mahjong (Japan)", NULL, NULL, "1986",
	"Saikousoku Shikou Shougi Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Saikousoku Shikou Shougi Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSaikousokuShikouShougiMahjongJapanRomInfo, rSaikousokuShikouShougiMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSaikyouTakadaNobuhikoJapanRomDesc[] = {
	{ "Saikyou - Takada Nobuhiko (Japan).sfc",          3145728, 0xf9cf0c56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSaikyouTakadaNobuhikoJapan)
STD_ROM_FN(rSaikyouTakadaNobuhikoJapan)

struct BurnDriver BurnDrvrSaikyouTakadaNobuhikoJapan = {
	"Saikyou - Takada Nobuhiko (Japan)", NULL, NULL, "1986",
	"Saikyou - Takada Nobuhiko (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Saikyou - Takada Nobuhiko (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSaikyouTakadaNobuhikoJapanRomInfo, rSaikyouTakadaNobuhikoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSailormoonFranceRomDesc[] = {
	{ "Sailormoon (France).sfc",          1572864, 0xcd89020d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSailormoonFrance)
STD_ROM_FN(rSailormoonFrance)

struct BurnDriver BurnDrvrSailormoonFrance = {
	"Sailormoon (France)", NULL, NULL, "1986",
	"Sailormoon (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sailormoon (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSailormoonFranceRomInfo, rSailormoonFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSakuraiShouichinoJankiryuuMahjongHisshouhouJapanRomDesc[] = {
	{ "Sakurai Shouichi no Jankiryuu Mahjong Hisshouhou (Japan).sfc",          1048576, 0xa8119995, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSakuraiShouichinoJankiryuuMahjongHisshouhouJapan)
STD_ROM_FN(rSakuraiShouichinoJankiryuuMahjongHisshouhouJapan)

struct BurnDriver BurnDrvrSakuraiShouichinoJankiryuuMahjongHisshouhouJapan = {
	"Sakurai Shouichi no Jankiryuu Mahjong Hisshouhou (Japan)", NULL, NULL, "1986",
	"Sakurai Shouichi no Jankiryuu Mahjong Hisshouhou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sakurai Shouichi no Jankiryuu Mahjong Hisshouhou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSakuraiShouichinoJankiryuuMahjongHisshouhouJapanRomInfo, rSakuraiShouichinoJankiryuuMahjongHisshouhouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSameGameJapanRomDesc[] = {
	{ "Same Game (Japan).sfc",          1048576, 0x133e1c5b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSameGameJapan)
STD_ROM_FN(rSameGameJapan)

struct BurnDriver BurnDrvrSameGameJapan = {
	"Same Game (Japan)", NULL, NULL, "1986",
	"Same Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Same Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSameGameJapanRomInfo, rSameGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSameGameCharaCassetteJapanBSROMRomDesc[] = {
	{ "Same Game - Chara Cassette (Japan) (BSROM).sfc",          524288, 0x4c3439c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSameGameCharaCassetteJapanBSROM)
STD_ROM_FN(rSameGameCharaCassetteJapanBSROM)

struct BurnDriver BurnDrvrSameGameCharaCassetteJapanBSROM = {
	"Same Game - Chara Cassette (Japan) (BSROM)", NULL, NULL, "1986",
	"Same Game - Chara Cassette (Japan) (BSROM)\0", NULL, "Nintendo", "Miscellaneous",
	L"Same Game - Chara Cassette (Japan) (BSROM)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSameGameCharaCassetteJapanBSROMRomInfo, rSameGameCharaCassetteJapanBSROMRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSameGameCharaDataShuuJapanBSROMRomDesc[] = {
	{ "Same Game - Chara Data Shuu (Japan) (BSROM).sfc",          524288, 0x12a80829, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSameGameCharaDataShuuJapanBSROM)
STD_ROM_FN(rSameGameCharaDataShuuJapanBSROM)

struct BurnDriver BurnDrvrSameGameCharaDataShuuJapanBSROM = {
	"Same Game - Chara Data Shuu (Japan) (BSROM)", NULL, NULL, "1986",
	"Same Game - Chara Data Shuu (Japan) (BSROM)\0", NULL, "Nintendo", "Miscellaneous",
	L"Same Game - Chara Data Shuu (Japan) (BSROM)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSameGameCharaDataShuuJapanBSROMRomInfo, rSameGameCharaDataShuuJapanBSROMRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSamsaraNaga2JapanRomDesc[] = {
	{ "Samsara Naga 2 (Japan).sfc",          1572864, 0xc1ffef17, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSamsaraNaga2Japan)
STD_ROM_FN(rSamsaraNaga2Japan)

struct BurnDriver BurnDrvrSamsaraNaga2Japan = {
	"Samsara Naga 2 (Japan)", NULL, NULL, "1986",
	"Samsara Naga 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Samsara Naga 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSamsaraNaga2JapanRomInfo, rSamsaraNaga2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSamuraiShodownEuropeRomDesc[] = {
	{ "Samurai Shodown (Europe).sfc",          4194304, 0xe0adf929, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSamuraiShodownEurope)
STD_ROM_FN(rSamuraiShodownEurope)

struct BurnDriver BurnDrvrSamuraiShodownEurope = {
	"Samurai Shodown (Europe)", NULL, NULL, "1986",
	"Samurai Shodown (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Samurai Shodown (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSamuraiShodownEuropeRomInfo, rSamuraiShodownEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSamuraiShodownUSARomDesc[] = {
	{ "Samurai Shodown (USA).sfc",          4194304, 0x2e614a53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSamuraiShodownUSA)
STD_ROM_FN(rSamuraiShodownUSA)

struct BurnDriver BurnDrvrSamuraiShodownUSA = {
	"Samurai Shodown (USA)", NULL, NULL, "1986",
	"Samurai Shodown (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Samurai Shodown (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSamuraiShodownUSARomInfo, rSamuraiShodownUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSamuraiSpiritsJapanBetaRomDesc[] = {
	{ "Samurai Spirits (Japan) (Beta).sfc",          4194304, 0x51bfa576, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSamuraiSpiritsJapanBeta)
STD_ROM_FN(rSamuraiSpiritsJapanBeta)

struct BurnDriver BurnDrvrSamuraiSpiritsJapanBeta = {
	"Samurai Spirits (Japan) (Beta)", NULL, NULL, "1986",
	"Samurai Spirits (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Samurai Spirits (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSamuraiSpiritsJapanBetaRomInfo, rSamuraiSpiritsJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSamuraiSpiritsJapanRomDesc[] = {
	{ "Samurai Spirits (Japan).sfc",          4194304, 0x7d3d39f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSamuraiSpiritsJapan)
STD_ROM_FN(rSamuraiSpiritsJapan)

struct BurnDriver BurnDrvrSamuraiSpiritsJapan = {
	"Samurai Spirits (Japan)", NULL, NULL, "1986",
	"Samurai Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Samurai Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSamuraiSpiritsJapanRomInfo, rSamuraiSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiEiketsudenJapanRomDesc[] = {
	{ "Sangokushi Eiketsuden (Japan).sfc",          3145728, 0x4c78d5ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiEiketsudenJapan)
STD_ROM_FN(rSangokushiEiketsudenJapan)

struct BurnDriver BurnDrvrSangokushiEiketsudenJapan = {
	"Sangokushi Eiketsuden (Japan)", NULL, NULL, "1986",
	"Sangokushi Eiketsuden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi Eiketsuden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiEiketsudenJapanRomInfo, rSangokushiEiketsudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiIIIHongKongRomDesc[] = {
	{ "Sangokushi III (Hong Kong).sfc",          1572864, 0x30d3a7f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiIIIHongKong)
STD_ROM_FN(rSangokushiIIIHongKong)

struct BurnDriver BurnDrvrSangokushiIIIHongKong = {
	"Sangokushi III (Hong Kong)", NULL, NULL, "1986",
	"Sangokushi III (Hong Kong)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi III (Hong Kong)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiIIIHongKongRomInfo, rSangokushiIIIHongKongRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiIIIJapanRev1RomDesc[] = {
	{ "Sangokushi III (Japan) (Rev 1).sfc",          1572864, 0xb4c69eda, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiIIIJapanRev1)
STD_ROM_FN(rSangokushiIIIJapanRev1)

struct BurnDriver BurnDrvrSangokushiIIIJapanRev1 = {
	"Sangokushi III (Japan) (Rev 1)", NULL, NULL, "1986",
	"Sangokushi III (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi III (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiIIIJapanRev1RomInfo, rSangokushiIIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiIIIJapanRomDesc[] = {
	{ "Sangokushi III (Japan).sfc",          1572864, 0xc70f20be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiIIIJapan)
STD_ROM_FN(rSangokushiIIIJapan)

struct BurnDriver BurnDrvrSangokushiIIIJapan = {
	"Sangokushi III (Japan)", NULL, NULL, "1986",
	"Sangokushi III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiIIIJapanRomInfo, rSangokushiIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiIVJapanRev1RomDesc[] = {
	{ "Sangokushi IV (Japan) (Rev 1).sfc",          3145728, 0x57674647, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiIVJapanRev1)
STD_ROM_FN(rSangokushiIVJapanRev1)

struct BurnDriver BurnDrvrSangokushiIVJapanRev1 = {
	"Sangokushi IV (Japan) (Rev 1)", NULL, NULL, "1986",
	"Sangokushi IV (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi IV (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiIVJapanRev1RomInfo, rSangokushiIVJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiIVJapanRomDesc[] = {
	{ "Sangokushi IV (Japan).sfc",          3145728, 0x3a92db1a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiIVJapan)
STD_ROM_FN(rSangokushiIVJapan)

struct BurnDriver BurnDrvrSangokushiIVJapan = {
	"Sangokushi IV (Japan)", NULL, NULL, "1986",
	"Sangokushi IV (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi IV (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiIVJapanRomInfo, rSangokushiIVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSangokushiSeishiTenbuSpiritsJapanRomDesc[] = {
	{ "Sangokushi Seishi - Tenbu Spirits (Japan).sfc",          1572864, 0xd09762fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSangokushiSeishiTenbuSpiritsJapan)
STD_ROM_FN(rSangokushiSeishiTenbuSpiritsJapan)

struct BurnDriver BurnDrvrSangokushiSeishiTenbuSpiritsJapan = {
	"Sangokushi Seishi - Tenbu Spirits (Japan)", NULL, NULL, "1986",
	"Sangokushi Seishi - Tenbu Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sangokushi Seishi - Tenbu Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSangokushiSeishiTenbuSpiritsJapanRomInfo, rSangokushiSeishiTenbuSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSankyoFeverFeverJapanRomDesc[] = {
	{ "Sankyo Fever! Fever! (Japan).sfc",          1048576, 0x4e9d205, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSankyoFeverFeverJapan)
STD_ROM_FN(rSankyoFeverFeverJapan)

struct BurnDriver BurnDrvrSankyoFeverFeverJapan = {
	"Sankyo Fever! Fever! (Japan)", NULL, NULL, "1986",
	"Sankyo Fever! Fever! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sankyo Fever! Fever! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSankyoFeverFeverJapanRomInfo, rSankyoFeverFeverJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSanrioShanghaiJapanRomDesc[] = {
	{ "Sanrio Shanghai (Japan).sfc",          524288, 0x4cbb22df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSanrioShanghaiJapan)
STD_ROM_FN(rSanrioShanghaiJapan)

struct BurnDriver BurnDrvrSanrioShanghaiJapan = {
	"Sanrio Shanghai (Japan)", NULL, NULL, "1986",
	"Sanrio Shanghai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sanrio Shanghai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSanrioShanghaiJapanRomInfo, rSanrioShanghaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSanrioWorldSmashBallJapanRomDesc[] = {
	{ "Sanrio World Smash Ball! (Japan).sfc",          262144, 0xe318416, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSanrioWorldSmashBallJapan)
STD_ROM_FN(rSanrioWorldSmashBallJapan)

struct BurnDriver BurnDrvrSanrioWorldSmashBallJapan = {
	"Sanrio World Smash Ball! (Japan)", NULL, NULL, "1986",
	"Sanrio World Smash Ball! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sanrio World Smash Ball! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSanrioWorldSmashBallJapanRomInfo, rSanrioWorldSmashBallJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSanspoFishingKeiryuuOuJapanRomDesc[] = {
	{ "Sanspo Fishing - Keiryuu Ou (Japan).sfc",          1310720, 0xc7eeb640, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSanspoFishingKeiryuuOuJapan)
STD_ROM_FN(rSanspoFishingKeiryuuOuJapan)

struct BurnDriver BurnDrvrSanspoFishingKeiryuuOuJapan = {
	"Sanspo Fishing - Keiryuu Ou (Japan)", NULL, NULL, "1986",
	"Sanspo Fishing - Keiryuu Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sanspo Fishing - Keiryuu Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSanspoFishingKeiryuuOuJapanRomInfo, rSanspoFishingKeiryuuOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSatellaWalker2SateBouoSukuidaseJapanBSRomDesc[] = {
	{ "Satella Walker 2 - Sate Bou o Sukuidase! (Japan) (BS).sfc",          1048576, 0x7c8d211c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSatellaWalker2SateBouoSukuidaseJapanBS)
STD_ROM_FN(rSatellaWalker2SateBouoSukuidaseJapanBS)

struct BurnDriver BurnDrvrSatellaWalker2SateBouoSukuidaseJapanBS = {
	"Satella Walker 2 - Sate Bou o Sukuidase! (Japan) (BS)", NULL, NULL, "1986",
	"Satella Walker 2 - Sate Bou o Sukuidase! (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Satella Walker 2 - Sate Bou o Sukuidase! (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSatellaWalker2SateBouoSukuidaseJapanBSRomInfo, rSatellaWalker2SateBouoSukuidaseJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSaturdayNightSlamMastersEuropeRomDesc[] = {
	{ "Saturday Night Slam Masters (Europe).sfc",          3145728, 0xa3876f76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSaturdayNightSlamMastersEurope)
STD_ROM_FN(rSaturdayNightSlamMastersEurope)

struct BurnDriver BurnDrvrSaturdayNightSlamMastersEurope = {
	"Saturday Night Slam Masters (Europe)", NULL, NULL, "1986",
	"Saturday Night Slam Masters (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Saturday Night Slam Masters (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSaturdayNightSlamMastersEuropeRomInfo, rSaturdayNightSlamMastersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSaturdayNightSlamMastersUSARomDesc[] = {
	{ "Saturday Night Slam Masters (USA).sfc",          3145728, 0x54161830, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSaturdayNightSlamMastersUSA)
STD_ROM_FN(rSaturdayNightSlamMastersUSA)

struct BurnDriver BurnDrvrSaturdayNightSlamMastersUSA = {
	"Saturday Night Slam Masters (USA)", NULL, NULL, "1986",
	"Saturday Night Slam Masters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Saturday Night Slam Masters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSaturdayNightSlamMastersUSARomInfo, rSaturdayNightSlamMastersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rScoobyDooMysteryUSARomDesc[] = {
	{ "Scooby-Doo Mystery (USA).sfc",          2097152, 0x98d7611e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rScoobyDooMysteryUSA)
STD_ROM_FN(rScoobyDooMysteryUSA)

struct BurnDriver BurnDrvrScoobyDooMysteryUSA = {
	"Scooby-Doo Mystery (USA)", NULL, NULL, "1986",
	"Scooby-Doo Mystery (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Scooby-Doo Mystery (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rScoobyDooMysteryUSARomInfo, rScoobyDooMysteryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDF1GrandPrixJapanSampleRomDesc[] = {
	{ "SD F-1 Grand Prix (Japan) (Sample).sfc",          2097152, 0xe846f7a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDF1GrandPrixJapanSample)
STD_ROM_FN(rSDF1GrandPrixJapanSample)

struct BurnDriver BurnDrvrSDF1GrandPrixJapanSample = {
	"SD F-1 Grand Prix (Japan) (Sample)", NULL, NULL, "1986",
	"SD F-1 Grand Prix (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD F-1 Grand Prix (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDF1GrandPrixJapanSampleRomInfo, rSDF1GrandPrixJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDF1GrandPrixJapanRomDesc[] = {
	{ "SD F-1 Grand Prix (Japan).sfc",          2097152, 0x2fee01ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDF1GrandPrixJapan)
STD_ROM_FN(rSDF1GrandPrixJapan)

struct BurnDriver BurnDrvrSDF1GrandPrixJapan = {
	"SD F-1 Grand Prix (Japan)", NULL, NULL, "1986",
	"SD F-1 Grand Prix (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD F-1 Grand Prix (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDF1GrandPrixJapanRomInfo, rSDF1GrandPrixJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamPowerFormationPuzzleJapanRomDesc[] = {
	{ "SD Gundam - Power Formation Puzzle (Japan).sfc",          1048576, 0x87e4476d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamPowerFormationPuzzleJapan)
STD_ROM_FN(rSDGundamPowerFormationPuzzleJapan)

struct BurnDriver BurnDrvrSDGundamPowerFormationPuzzleJapan = {
	"SD Gundam - Power Formation Puzzle (Japan)", NULL, NULL, "1986",
	"SD Gundam - Power Formation Puzzle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam - Power Formation Puzzle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamPowerFormationPuzzleJapanRomInfo, rSDGundamPowerFormationPuzzleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGNextJapanRomDesc[] = {
	{ "SD Gundam G Next (Japan).sfc",          1572864, 0x845e420d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGNextJapan)
STD_ROM_FN(rSDGundamGNextJapan)

struct BurnDriver BurnDrvrSDGundamGNextJapan = {
	"SD Gundam G Next (Japan)", NULL, NULL, "1986",
	"SD Gundam G Next (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam G Next (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGNextJapanRomInfo, rSDGundamGNextJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGNextUnitMapCollectionJapanBSROMRomDesc[] = {
	{ "SD Gundam G Next - Unit & Map Collection (Japan) (BSROM).sfc",          524288, 0x60b1b7e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGNextUnitMapCollectionJapanBSROM)
STD_ROM_FN(rSDGundamGNextUnitMapCollectionJapanBSROM)

struct BurnDriver BurnDrvrSDGundamGNextUnitMapCollectionJapanBSROM = {
	"SD Gundam G Next - Unit & Map Collection (Japan) (BSROM)", NULL, NULL, "1986",
	"SD Gundam G Next - Unit & Map Collection (Japan) (BSROM)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam G Next - Unit & Map Collection (Japan) (BSROM)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGNextUnitMapCollectionJapanBSROMRomInfo, rSDGundamGNextUnitMapCollectionJapanBSROMRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1RomDesc[] = {
	{ "SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan) (Rev 1).sfc",          1048576, 0xeee5fc3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1)
STD_ROM_FN(rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1)

struct BurnDriver BurnDrvrSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1 = {
	"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan) (Rev 1)", NULL, NULL, "1986",
	"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1RomInfo, rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRomDesc[] = {
	{ "SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan).sfc",          1048576, 0x17b698ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapan)
STD_ROM_FN(rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapan)

struct BurnDriver BurnDrvrSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapan = {
	"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan)", NULL, NULL, "1986",
	"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Gaiden - Knight Gundam Monogatari - Ooinaru Isan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRomInfo, rSDGundamGaidenKnightGundamMonogatariOoinaruIsanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGaiden2EntakunoKishiJapanRomDesc[] = {
	{ "SD Gundam Gaiden 2 - Entaku no Kishi (Japan).sfc",          1048576, 0x7fd50c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGaiden2EntakunoKishiJapan)
STD_ROM_FN(rSDGundamGaiden2EntakunoKishiJapan)

struct BurnDriver BurnDrvrSDGundamGaiden2EntakunoKishiJapan = {
	"SD Gundam Gaiden 2 - Entaku no Kishi (Japan)", NULL, NULL, "1986",
	"SD Gundam Gaiden 2 - Entaku no Kishi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Gaiden 2 - Entaku no Kishi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGaiden2EntakunoKishiJapanRomInfo, rSDGundamGaiden2EntakunoKishiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationAxisSenkiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Axis Senki (Japan) (ST).sfc",          524288, 0x72b4235f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationAxisSenkiJapanST)
STD_ROM_FN(rSDGundamGenerationAxisSenkiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationAxisSenkiJapanST = {
	"SD Gundam Generation - Axis Senki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Axis Senki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Axis Senki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationAxisSenkiJapanSTRomInfo, rSDGundamGenerationAxisSenkiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationBabyloniaKenkokuSenkiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Babylonia Kenkoku Senki (Japan) (ST).sfc",          524288, 0x792d884c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationBabyloniaKenkokuSenkiJapanST)
STD_ROM_FN(rSDGundamGenerationBabyloniaKenkokuSenkiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationBabyloniaKenkokuSenkiJapanST = {
	"SD Gundam Generation - Babylonia Kenkoku Senki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Babylonia Kenkoku Senki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Babylonia Kenkoku Senki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationBabyloniaKenkokuSenkiJapanSTRomInfo, rSDGundamGenerationBabyloniaKenkokuSenkiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationColonyKakutoukiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Colony Kakutouki (Japan) (ST).sfc",          524288, 0xc5dfa8fd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationColonyKakutoukiJapanST)
STD_ROM_FN(rSDGundamGenerationColonyKakutoukiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationColonyKakutoukiJapanST = {
	"SD Gundam Generation - Colony Kakutouki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Colony Kakutouki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Colony Kakutouki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationColonyKakutoukiJapanSTRomInfo, rSDGundamGenerationColonyKakutoukiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationGrypsSenkiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Gryps Senki (Japan) (ST).sfc",          524288, 0x48ecae44, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationGrypsSenkiJapanST)
STD_ROM_FN(rSDGundamGenerationGrypsSenkiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationGrypsSenkiJapanST = {
	"SD Gundam Generation - Gryps Senki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Gryps Senki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Gryps Senki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationGrypsSenkiJapanSTRomInfo, rSDGundamGenerationGrypsSenkiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationIchinenSensoukiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Ichinen Sensouki (Japan) (ST).sfc",          524288, 0xafd74dcb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationIchinenSensoukiJapanST)
STD_ROM_FN(rSDGundamGenerationIchinenSensoukiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationIchinenSensoukiJapanST = {
	"SD Gundam Generation - Ichinen Sensouki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Ichinen Sensouki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Ichinen Sensouki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationIchinenSensoukiJapanSTRomInfo, rSDGundamGenerationIchinenSensoukiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGenerationZanscareSenkiJapanSTRomDesc[] = {
	{ "SD Gundam Generation - Zanscare Senki (Japan) (ST).sfc",          524288, 0xefd3a865, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGenerationZanscareSenkiJapanST)
STD_ROM_FN(rSDGundamGenerationZanscareSenkiJapanST)

struct BurnDriver BurnDrvrSDGundamGenerationZanscareSenkiJapanST = {
	"SD Gundam Generation - Zanscare Senki (Japan) (ST)", NULL, NULL, "1986",
	"SD Gundam Generation - Zanscare Senki (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam Generation - Zanscare Senki (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGenerationZanscareSenkiJapanSTRomInfo, rSDGundamGenerationZanscareSenkiJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDGundamGXJapanRomDesc[] = {
	{ "SD Gundam GX (Japan).sfc",          1048576, 0x4dc3d903, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDGundamGXJapan)
STD_ROM_FN(rSDGundamGXJapan)

struct BurnDriver BurnDrvrSDGundamGXJapan = {
	"SD Gundam GX (Japan)", NULL, NULL, "1986",
	"SD Gundam GX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Gundam GX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDGundamGXJapanRomInfo, rSDGundamGXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDHiryuunoKenJapanRomDesc[] = {
	{ "SD Hiryuu no Ken (Japan).sfc",          2097152, 0x323438eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDHiryuunoKenJapan)
STD_ROM_FN(rSDHiryuunoKenJapan)

struct BurnDriver BurnDrvrSDHiryuunoKenJapan = {
	"SD Hiryuu no Ken (Japan)", NULL, NULL, "1986",
	"SD Hiryuu no Ken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Hiryuu no Ken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDHiryuunoKenJapanRomInfo, rSDHiryuunoKenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDKidouSenshiGundamVSakusenShidouJapanRomDesc[] = {
	{ "SD Kidou Senshi Gundam - V Sakusen Shidou (Japan).sfc",          524288, 0x7e1dc952, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDKidouSenshiGundamVSakusenShidouJapan)
STD_ROM_FN(rSDKidouSenshiGundamVSakusenShidouJapan)

struct BurnDriver BurnDrvrSDKidouSenshiGundamVSakusenShidouJapan = {
	"SD Kidou Senshi Gundam - V Sakusen Shidou (Japan)", NULL, NULL, "1986",
	"SD Kidou Senshi Gundam - V Sakusen Shidou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Kidou Senshi Gundam - V Sakusen Shidou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDKidouSenshiGundamVSakusenShidouJapanRomInfo, rSDKidouSenshiGundamVSakusenShidouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDKidouSenshiGundam2JapanRomDesc[] = {
	{ "SD Kidou Senshi Gundam 2 (Japan).sfc",          1048576, 0x3ddc7489, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDKidouSenshiGundam2Japan)
STD_ROM_FN(rSDKidouSenshiGundam2Japan)

struct BurnDriver BurnDrvrSDKidouSenshiGundam2Japan = {
	"SD Kidou Senshi Gundam 2 (Japan)", NULL, NULL, "1986",
	"SD Kidou Senshi Gundam 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Kidou Senshi Gundam 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDKidouSenshiGundam2JapanRomInfo, rSDKidouSenshiGundam2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDTheGreatBattleAratanaruChousenJapanRomDesc[] = {
	{ "SD The Great Battle - Aratanaru Chousen (Japan).sfc",          786432, 0x38726ec1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDTheGreatBattleAratanaruChousenJapan)
STD_ROM_FN(rSDTheGreatBattleAratanaruChousenJapan)

struct BurnDriver BurnDrvrSDTheGreatBattleAratanaruChousenJapan = {
	"SD The Great Battle - Aratanaru Chousen (Japan)", NULL, NULL, "1986",
	"SD The Great Battle - Aratanaru Chousen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD The Great Battle - Aratanaru Chousen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDTheGreatBattleAratanaruChousenJapanRomInfo, rSDTheGreatBattleAratanaruChousenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDUltraBattleSevenDensetsuJapanSTRomDesc[] = {
	{ "SD Ultra Battle - Seven Densetsu (Japan) (ST).sfc",          524288, 0x43ad5a45, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDUltraBattleSevenDensetsuJapanST)
STD_ROM_FN(rSDUltraBattleSevenDensetsuJapanST)

struct BurnDriver BurnDrvrSDUltraBattleSevenDensetsuJapanST = {
	"SD Ultra Battle - Seven Densetsu (Japan) (ST)", NULL, NULL, "1986",
	"SD Ultra Battle - Seven Densetsu (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Ultra Battle - Seven Densetsu (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDUltraBattleSevenDensetsuJapanSTRomInfo, rSDUltraBattleSevenDensetsuJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSDUltraBattleUltramanDensetsuJapanSTRomDesc[] = {
	{ "SD Ultra Battle - Ultraman Densetsu (Japan) (ST).sfc",          524288, 0x4939d14, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSDUltraBattleUltramanDensetsuJapanST)
STD_ROM_FN(rSDUltraBattleUltramanDensetsuJapanST)

struct BurnDriver BurnDrvrSDUltraBattleUltramanDensetsuJapanST = {
	"SD Ultra Battle - Ultraman Densetsu (Japan) (ST)", NULL, NULL, "1986",
	"SD Ultra Battle - Ultraman Densetsu (Japan) (ST)\0", NULL, "Nintendo", "Miscellaneous",
	L"SD Ultra Battle - Ultraman Densetsu (Japan) (ST)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSDUltraBattleUltramanDensetsuJapanSTRomInfo, rSDUltraBattleUltramanDensetsuJapanSTRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeaQuestDSVEuropeRomDesc[] = {
	{ "SeaQuest DSV (Europe).sfc",          2097152, 0xdca75893, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeaQuestDSVEurope)
STD_ROM_FN(rSeaQuestDSVEurope)

struct BurnDriver BurnDrvrSeaQuestDSVEurope = {
	"SeaQuest DSV (Europe)", NULL, NULL, "1986",
	"SeaQuest DSV (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"SeaQuest DSV (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeaQuestDSVEuropeRomInfo, rSeaQuestDSVEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeaQuestDSVUSARomDesc[] = {
	{ "SeaQuest DSV (USA).sfc",          2097152, 0xa6579e03, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeaQuestDSVUSA)
STD_ROM_FN(rSeaQuestDSVUSA)

struct BurnDriver BurnDrvrSeaQuestDSVUSA = {
	"SeaQuest DSV (USA)", NULL, NULL, "1986",
	"SeaQuest DSV (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SeaQuest DSV (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeaQuestDSVUSARomInfo, rSeaQuestDSVUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofEvermoreEuropeRomDesc[] = {
	{ "Secret of Evermore (Europe).sfc",          3145728, 0xe168d085, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofEvermoreEurope)
STD_ROM_FN(rSecretofEvermoreEurope)

struct BurnDriver BurnDrvrSecretofEvermoreEurope = {
	"Secret of Evermore (Europe)", NULL, NULL, "1986",
	"Secret of Evermore (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Evermore (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofEvermoreEuropeRomInfo, rSecretofEvermoreEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofEvermoreFranceRomDesc[] = {
	{ "Secret of Evermore (France).sfc",          3145728, 0x7425bb91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofEvermoreFrance)
STD_ROM_FN(rSecretofEvermoreFrance)

struct BurnDriver BurnDrvrSecretofEvermoreFrance = {
	"Secret of Evermore (France)", NULL, NULL, "1986",
	"Secret of Evermore (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Evermore (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofEvermoreFranceRomInfo, rSecretofEvermoreFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofEvermoreGermanyRomDesc[] = {
	{ "Secret of Evermore (Germany).sfc",          3145728, 0x27f60e77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofEvermoreGermany)
STD_ROM_FN(rSecretofEvermoreGermany)

struct BurnDriver BurnDrvrSecretofEvermoreGermany = {
	"Secret of Evermore (Germany)", NULL, NULL, "1986",
	"Secret of Evermore (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Evermore (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofEvermoreGermanyRomInfo, rSecretofEvermoreGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofEvermoreSpainRomDesc[] = {
	{ "Secret of Evermore (Spain).sfc",          3145728, 0x7bfe934f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofEvermoreSpain)
STD_ROM_FN(rSecretofEvermoreSpain)

struct BurnDriver BurnDrvrSecretofEvermoreSpain = {
	"Secret of Evermore (Spain)", NULL, NULL, "1986",
	"Secret of Evermore (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Evermore (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofEvermoreSpainRomInfo, rSecretofEvermoreSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofEvermoreUSARomDesc[] = {
	{ "Secret of Evermore (USA).sfc",          3145728, 0xa5c0045e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofEvermoreUSA)
STD_ROM_FN(rSecretofEvermoreUSA)

struct BurnDriver BurnDrvrSecretofEvermoreUSA = {
	"Secret of Evermore (USA)", NULL, NULL, "1986",
	"Secret of Evermore (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Evermore (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofEvermoreUSARomInfo, rSecretofEvermoreUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaEuropeRev1RomDesc[] = {
	{ "Secret of Mana (Europe) (Rev 1).sfc",          2097152, 0xde112322, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaEuropeRev1)
STD_ROM_FN(rSecretofManaEuropeRev1)

struct BurnDriver BurnDrvrSecretofManaEuropeRev1 = {
	"Secret of Mana (Europe) (Rev 1)", NULL, NULL, "1986",
	"Secret of Mana (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaEuropeRev1RomInfo, rSecretofManaEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaEuropeRomDesc[] = {
	{ "Secret of Mana (Europe).sfc",          2097152, 0xc5cb2f26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaEurope)
STD_ROM_FN(rSecretofManaEurope)

struct BurnDriver BurnDrvrSecretofManaEurope = {
	"Secret of Mana (Europe)", NULL, NULL, "1986",
	"Secret of Mana (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaEuropeRomInfo, rSecretofManaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaFranceRev1RomDesc[] = {
	{ "Secret of Mana (France) (Rev 1).sfc",          2097152, 0xe9334b9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaFranceRev1)
STD_ROM_FN(rSecretofManaFranceRev1)

struct BurnDriver BurnDrvrSecretofManaFranceRev1 = {
	"Secret of Mana (France) (Rev 1)", NULL, NULL, "1986",
	"Secret of Mana (France) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (France) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaFranceRev1RomInfo, rSecretofManaFranceRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaFranceRomDesc[] = {
	{ "Secret of Mana (France).sfc",          2097152, 0x6be4ca95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaFrance)
STD_ROM_FN(rSecretofManaFrance)

struct BurnDriver BurnDrvrSecretofManaFrance = {
	"Secret of Mana (France)", NULL, NULL, "1986",
	"Secret of Mana (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaFranceRomInfo, rSecretofManaFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaGermanyRomDesc[] = {
	{ "Secret of Mana (Germany).sfc",          2097152, 0xb069bb3a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaGermany)
STD_ROM_FN(rSecretofManaGermany)

struct BurnDriver BurnDrvrSecretofManaGermany = {
	"Secret of Mana (Germany)", NULL, NULL, "1986",
	"Secret of Mana (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaGermanyRomInfo, rSecretofManaGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSecretofManaUSARomDesc[] = {
	{ "Secret of Mana (USA).sfc",          2097152, 0xd0176b24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSecretofManaUSA)
STD_ROM_FN(rSecretofManaUSA)

struct BurnDriver BurnDrvrSecretofManaUSA = {
	"Secret of Mana (USA)", NULL, NULL, "1986",
	"Secret of Mana (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Secret of Mana (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSecretofManaUSARomInfo, rSecretofManaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeifukuDensetsuPrettyFighterJapanRomDesc[] = {
	{ "Seifuku Densetsu Pretty Fighter (Japan).sfc",          2097152, 0xa638bef1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeifukuDensetsuPrettyFighterJapan)
STD_ROM_FN(rSeifukuDensetsuPrettyFighterJapan)

struct BurnDriver BurnDrvrSeifukuDensetsuPrettyFighterJapan = {
	"Seifuku Densetsu Pretty Fighter (Japan)", NULL, NULL, "1986",
	"Seifuku Densetsu Pretty Fighter (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Seifuku Densetsu Pretty Fighter (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeifukuDensetsuPrettyFighterJapanRomInfo, rSeifukuDensetsuPrettyFighterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeijuuMadenBeastsBladesJapanRomDesc[] = {
	{ "Seijuu Maden Beasts & Blades (Japan).sfc",          2621440, 0xd0aea27c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeijuuMadenBeastsBladesJapan)
STD_ROM_FN(rSeijuuMadenBeastsBladesJapan)

struct BurnDriver BurnDrvrSeijuuMadenBeastsBladesJapan = {
	"Seijuu Maden Beasts & Blades (Japan)", NULL, NULL, "1986",
	"Seijuu Maden Beasts & Blades (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Seijuu Maden Beasts & Blades (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeijuuMadenBeastsBladesJapanRomInfo, rSeijuuMadenBeastsBladesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeikenDensetsu2JapanRomDesc[] = {
	{ "Seiken Densetsu 2 (Japan).sfc",          2097152, 0xb8049e3c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeikenDensetsu2Japan)
STD_ROM_FN(rSeikenDensetsu2Japan)

struct BurnDriver BurnDrvrSeikenDensetsu2Japan = {
	"Seiken Densetsu 2 (Japan)", NULL, NULL, "1986",
	"Seiken Densetsu 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Seiken Densetsu 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeikenDensetsu2JapanRomInfo, rSeikenDensetsu2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeikenDensetsu3JapanSampleRomDesc[] = {
	{ "Seiken Densetsu 3 (Japan) (Sample).sfc",          4194304, 0x4801e76a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeikenDensetsu3JapanSample)
STD_ROM_FN(rSeikenDensetsu3JapanSample)

struct BurnDriver BurnDrvrSeikenDensetsu3JapanSample = {
	"Seiken Densetsu 3 (Japan) (Sample)", NULL, NULL, "1986",
	"Seiken Densetsu 3 (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Seiken Densetsu 3 (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeikenDensetsu3JapanSampleRomInfo, rSeikenDensetsu3JapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeikenDensetsu3JapanRomDesc[] = {
	{ "Seiken Densetsu 3 (Japan).sfc",          4194304, 0x863ed0b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeikenDensetsu3Japan)
STD_ROM_FN(rSeikenDensetsu3Japan)

struct BurnDriver BurnDrvrSeikenDensetsu3Japan = {
	"Seiken Densetsu 3 (Japan)", NULL, NULL, "1986",
	"Seiken Densetsu 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Seiken Densetsu 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeikenDensetsu3JapanRomInfo, rSeikenDensetsu3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSengokuDenshouJapanRomDesc[] = {
	{ "Sengoku Denshou (Japan).sfc",          1048576, 0xc9d97b3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSengokuDenshouJapan)
STD_ROM_FN(rSengokuDenshouJapan)

struct BurnDriver BurnDrvrSengokuDenshouJapan = {
	"Sengoku Denshou (Japan)", NULL, NULL, "1986",
	"Sengoku Denshou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sengoku Denshou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSengokuDenshouJapanRomInfo, rSengokuDenshouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSengokunoHashaTenkafubuenoMichiJapanRomDesc[] = {
	{ "Sengoku no Hasha - Tenkafubu e no Michi (Japan).sfc",          2097152, 0x4b955941, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSengokunoHashaTenkafubuenoMichiJapan)
STD_ROM_FN(rSengokunoHashaTenkafubuenoMichiJapan)

struct BurnDriver BurnDrvrSengokunoHashaTenkafubuenoMichiJapan = {
	"Sengoku no Hasha - Tenkafubu e no Michi (Japan)", NULL, NULL, "1986",
	"Sengoku no Hasha - Tenkafubu e no Michi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sengoku no Hasha - Tenkafubu e no Michi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSengokunoHashaTenkafubuenoMichiJapanRomInfo, rSengokunoHashaTenkafubuenoMichiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSensibleSoccerEuropeanChampionsEuropeEnFrDeItBetaRomDesc[] = {
	{ "Sensible Soccer - European Champions (Europe) (En,Fr,De,It) (Beta).sfc",          524288, 0x4655c894, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSensibleSoccerEuropeanChampionsEuropeEnFrDeItBeta)
STD_ROM_FN(rSensibleSoccerEuropeanChampionsEuropeEnFrDeItBeta)

struct BurnDriver BurnDrvrSensibleSoccerEuropeanChampionsEuropeEnFrDeItBeta = {
	"Sensible Soccer - European Champions (Europe) (En,Fr,De,It) (Beta)", NULL, NULL, "1986",
	"Sensible Soccer - European Champions (Europe) (En,Fr,De,It) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sensible Soccer - European Champions (Europe) (En,Fr,De,It) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSensibleSoccerEuropeanChampionsEuropeEnFrDeItBetaRomInfo, rSensibleSoccerEuropeanChampionsEuropeEnFrDeItBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSensibleSoccerEuropeanChampionsEuropeEnFrDeItRomDesc[] = {
	{ "Sensible Soccer - European Champions (Europe) (En,Fr,De,It).sfc",          524288, 0xdcc702d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSensibleSoccerEuropeanChampionsEuropeEnFrDeIt)
STD_ROM_FN(rSensibleSoccerEuropeanChampionsEuropeEnFrDeIt)

struct BurnDriver BurnDrvrSensibleSoccerEuropeanChampionsEuropeEnFrDeIt = {
	"Sensible Soccer - European Champions (Europe) (En,Fr,De,It)", NULL, NULL, "1986",
	"Sensible Soccer - European Champions (Europe) (En,Fr,De,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sensible Soccer - European Champions (Europe) (En,Fr,De,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSensibleSoccerEuropeanChampionsEuropeEnFrDeItRomInfo, rSensibleSoccerEuropeanChampionsEuropeEnFrDeItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSeptentrionJapanRomDesc[] = {
	{ "Septentrion (Japan).sfc",          1048576, 0x6d8d580d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSeptentrionJapan)
STD_ROM_FN(rSeptentrionJapan)

struct BurnDriver BurnDrvrSeptentrionJapan = {
	"Septentrion (Japan)", NULL, NULL, "1986",
	"Septentrion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Septentrion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSeptentrionJapanRomInfo, rSeptentrionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSerizawaNobuonoBirdieTryJapanRomDesc[] = {
	{ "Serizawa Nobuo no Birdie Try (Japan).sfc",          1048576, 0x987a96d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSerizawaNobuonoBirdieTryJapan)
STD_ROM_FN(rSerizawaNobuonoBirdieTryJapan)

struct BurnDriver BurnDrvrSerizawaNobuonoBirdieTryJapan = {
	"Serizawa Nobuo no Birdie Try (Japan)", NULL, NULL, "1986",
	"Serizawa Nobuo no Birdie Try (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Serizawa Nobuo no Birdie Try (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSerizawaNobuonoBirdieTryJapanRomInfo, rSerizawaNobuonoBirdieTryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSgtSaundersCombatJapanRomDesc[] = {
	{ "Sgt. Saunders' Combat! (Japan).sfc",          1572864, 0xda5888c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSgtSaundersCombatJapan)
STD_ROM_FN(rSgtSaundersCombatJapan)

struct BurnDriver BurnDrvrSgtSaundersCombatJapan = {
	"Sgt. Saunders' Combat! (Japan)", NULL, NULL, "1986",
	"Sgt. Saunders' Combat! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sgt. Saunders' Combat! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSgtSaundersCombatJapanRomInfo, rSgtSaundersCombatJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowTheUSAProtoAlt1RomDesc[] = {
	{ "Shadow, The (USA) (Proto) (Alt 1).sfc",          2097152, 0x36894cc3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowTheUSAProtoAlt1)
STD_ROM_FN(rShadowTheUSAProtoAlt1)

struct BurnDriver BurnDrvrShadowTheUSAProtoAlt1 = {
	"Shadow, The (USA) (Proto) (Alt 1)", NULL, NULL, "1986",
	"Shadow, The (USA) (Proto) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadow, The (USA) (Proto) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowTheUSAProtoAlt1RomInfo, rShadowTheUSAProtoAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowTheUSAProtoRomDesc[] = {
	{ "Shadow, The (USA) (Proto).sfc",          2097152, 0x13380511, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowTheUSAProto)
STD_ROM_FN(rShadowTheUSAProto)

struct BurnDriver BurnDrvrShadowTheUSAProto = {
	"Shadow, The (USA) (Proto)", NULL, NULL, "1986",
	"Shadow, The (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadow, The (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowTheUSAProtoRomInfo, rShadowTheUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunEuropeRomDesc[] = {
	{ "Shadowrun (Europe).sfc",          1048576, 0x2af15f10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunEurope)
STD_ROM_FN(rShadowrunEurope)

struct BurnDriver BurnDrvrShadowrunEurope = {
	"Shadowrun (Europe)", NULL, NULL, "1986",
	"Shadowrun (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunEuropeRomInfo, rShadowrunEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunGermanyRomDesc[] = {
	{ "Shadowrun (Germany).sfc",          1048576, 0xe420e96f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunGermany)
STD_ROM_FN(rShadowrunGermany)

struct BurnDriver BurnDrvrShadowrunGermany = {
	"Shadowrun (Germany)", NULL, NULL, "1986",
	"Shadowrun (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunGermanyRomInfo, rShadowrunGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunJapanRomDesc[] = {
	{ "Shadowrun (Japan).sfc",          1310720, 0xefd4d741, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunJapan)
STD_ROM_FN(rShadowrunJapan)

struct BurnDriver BurnDrvrShadowrunJapan = {
	"Shadowrun (Japan)", NULL, NULL, "1986",
	"Shadowrun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunJapanRomInfo, rShadowrunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunSwedenRomDesc[] = {
	{ "Shadowrun (Sweden).sfc",          1048576, 0x30829d8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunSweden)
STD_ROM_FN(rShadowrunSweden)

struct BurnDriver BurnDrvrShadowrunSweden = {
	"Shadowrun (Sweden)", NULL, NULL, "1986",
	"Shadowrun (Sweden)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (Sweden)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunSwedenRomInfo, rShadowrunSwedenRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunUSABetaRomDesc[] = {
	{ "Shadowrun (USA) (Beta).sfc",          1048576, 0x85d4cda1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunUSABeta)
STD_ROM_FN(rShadowrunUSABeta)

struct BurnDriver BurnDrvrShadowrunUSABeta = {
	"Shadowrun (USA) (Beta)", NULL, NULL, "1986",
	"Shadowrun (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunUSABetaRomInfo, rShadowrunUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShadowrunUSARomDesc[] = {
	{ "Shadowrun (USA).sfc",          1048576, 0x3f34dff0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShadowrunUSA)
STD_ROM_FN(rShadowrunUSA)

struct BurnDriver BurnDrvrShadowrunUSA = {
	"Shadowrun (USA)", NULL, NULL, "1986",
	"Shadowrun (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shadowrun (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShadowrunUSARomInfo, rShadowrunUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiBanrinoChoujouJapanBSRomDesc[] = {
	{ "Shanghai - Banri no Choujou (Japan) (BS).sfc",          1048576, 0x60017697, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiBanrinoChoujouJapanBS)
STD_ROM_FN(rShanghaiBanrinoChoujouJapanBS)

struct BurnDriver BurnDrvrShanghaiBanrinoChoujouJapanBS = {
	"Shanghai - Banri no Choujou (Japan) (BS)", NULL, NULL, "1986",
	"Shanghai - Banri no Choujou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai - Banri no Choujou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiBanrinoChoujouJapanBSRomInfo, rShanghaiBanrinoChoujouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiBanrinoChoujouJapanRev1RomDesc[] = {
	{ "Shanghai - Banri no Choujou (Japan) (Rev 1).sfc",          1048576, 0x5956e946, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiBanrinoChoujouJapanRev1)
STD_ROM_FN(rShanghaiBanrinoChoujouJapanRev1)

struct BurnDriver BurnDrvrShanghaiBanrinoChoujouJapanRev1 = {
	"Shanghai - Banri no Choujou (Japan) (Rev 1)", NULL, NULL, "1986",
	"Shanghai - Banri no Choujou (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai - Banri no Choujou (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiBanrinoChoujouJapanRev1RomInfo, rShanghaiBanrinoChoujouJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiBanrinoChoujouJapanRomDesc[] = {
	{ "Shanghai - Banri no Choujou (Japan).sfc",          1048576, 0x5e21f557, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiBanrinoChoujouJapan)
STD_ROM_FN(rShanghaiBanrinoChoujouJapan)

struct BurnDriver BurnDrvrShanghaiBanrinoChoujouJapan = {
	"Shanghai - Banri no Choujou (Japan)", NULL, NULL, "1986",
	"Shanghai - Banri no Choujou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai - Banri no Choujou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiBanrinoChoujouJapanRomInfo, rShanghaiBanrinoChoujouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiIIDragonsEyeEuropeRomDesc[] = {
	{ "Shanghai II - Dragon's Eye (Europe).sfc",          1048576, 0x45c2f934, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiIIDragonsEyeEurope)
STD_ROM_FN(rShanghaiIIDragonsEyeEurope)

struct BurnDriver BurnDrvrShanghaiIIDragonsEyeEurope = {
	"Shanghai II - Dragon's Eye (Europe)", NULL, NULL, "1986",
	"Shanghai II - Dragon's Eye (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai II - Dragon's Eye (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiIIDragonsEyeEuropeRomInfo, rShanghaiIIDragonsEyeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiIIDragonsEyeUSARomDesc[] = {
	{ "Shanghai II - Dragon's Eye (USA).sfc",          1048576, 0x2fec70b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiIIDragonsEyeUSA)
STD_ROM_FN(rShanghaiIIDragonsEyeUSA)

struct BurnDriver BurnDrvrShanghaiIIDragonsEyeUSA = {
	"Shanghai II - Dragon's Eye (USA)", NULL, NULL, "1986",
	"Shanghai II - Dragon's Eye (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai II - Dragon's Eye (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiIIDragonsEyeUSARomInfo, rShanghaiIIDragonsEyeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShanghaiIIIJapanRomDesc[] = {
	{ "Shanghai III (Japan).sfc",          1048576, 0xdee271af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShanghaiIIIJapan)
STD_ROM_FN(rShanghaiIIIJapan)

struct BurnDriver BurnDrvrShanghaiIIIJapan = {
	"Shanghai III (Japan)", NULL, NULL, "1986",
	"Shanghai III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shanghai III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShanghaiIIIJapanRomInfo, rShanghaiIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShaqFuEuropeRomDesc[] = {
	{ "Shaq Fu (Europe).sfc",          2097152, 0xddd55e27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShaqFuEurope)
STD_ROM_FN(rShaqFuEurope)

struct BurnDriver BurnDrvrShaqFuEurope = {
	"Shaq Fu (Europe)", NULL, NULL, "1986",
	"Shaq Fu (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shaq Fu (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShaqFuEuropeRomInfo, rShaqFuEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShaqFuUSABetaRomDesc[] = {
	{ "Shaq Fu (USA) (Beta).sfc",          2097152, 0xe14b00ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShaqFuUSABeta)
STD_ROM_FN(rShaqFuUSABeta)

struct BurnDriver BurnDrvrShaqFuUSABeta = {
	"Shaq Fu (USA) (Beta)", NULL, NULL, "1986",
	"Shaq Fu (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shaq Fu (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShaqFuUSABetaRomInfo, rShaqFuUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShaqFuUSARomDesc[] = {
	{ "Shaq Fu (USA).sfc",          2097152, 0x52916c9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShaqFuUSA)
STD_ROM_FN(rShaqFuUSA)

struct BurnDriver BurnDrvrShaqFuUSA = {
	"Shaq Fu (USA)", NULL, NULL, "1986",
	"Shaq Fu (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shaq Fu (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShaqFuUSARomInfo, rShaqFuUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShichuusuimeigakuNyuumonShinTougenkyouJapanRomDesc[] = {
	{ "Shichuusuimeigaku Nyuumon - Shin Tougenkyou (Japan).sfc",          1572864, 0x52df0e2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShichuusuimeigakuNyuumonShinTougenkyouJapan)
STD_ROM_FN(rShichuusuimeigakuNyuumonShinTougenkyouJapan)

struct BurnDriver BurnDrvrShichuusuimeigakuNyuumonShinTougenkyouJapan = {
	"Shichuusuimeigaku Nyuumon - Shin Tougenkyou (Japan)", NULL, NULL, "1986",
	"Shichuusuimeigaku Nyuumon - Shin Tougenkyou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shichuusuimeigaku Nyuumon - Shin Tougenkyou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShichuusuimeigakuNyuumonShinTougenkyouJapanRomInfo, rShichuusuimeigakuNyuumonShinTougenkyouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShienTheBladeChaserJapanRomDesc[] = {
	{ "Shien - The Blade Chaser (Japan).sfc",          2097152, 0x17db8d06, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShienTheBladeChaserJapan)
STD_ROM_FN(rShienTheBladeChaserJapan)

struct BurnDriver BurnDrvrShienTheBladeChaserJapan = {
	"Shien - The Blade Chaser (Japan)", NULL, NULL, "1986",
	"Shien - The Blade Chaser (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shien - The Blade Chaser (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShienTheBladeChaserJapanRomInfo, rShienTheBladeChaserJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShiensRevengeUSABetaRomDesc[] = {
	{ "Shien's Revenge (USA) (Beta).sfc",          2097152, 0xc56d245f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShiensRevengeUSABeta)
STD_ROM_FN(rShiensRevengeUSABeta)

struct BurnDriver BurnDrvrShiensRevengeUSABeta = {
	"Shien's Revenge (USA) (Beta)", NULL, NULL, "1986",
	"Shien's Revenge (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shien's Revenge (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShiensRevengeUSABetaRomInfo, rShiensRevengeUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShiensRevengeUSARomDesc[] = {
	{ "Shien's Revenge (USA).sfc",          2097152, 0x5bb2e6c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShiensRevengeUSA)
STD_ROM_FN(rShiensRevengeUSA)

struct BurnDriver BurnDrvrShiensRevengeUSA = {
	"Shien's Revenge (USA)", NULL, NULL, "1986",
	"Shien's Revenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shien's Revenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShiensRevengeUSARomInfo, rShiensRevengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShijouSaikyouLeagueSerieAAceStrikerJapanRomDesc[] = {
	{ "Shijou Saikyou League Serie A - Ace Striker (Japan).sfc",          1572864, 0x1c73b9d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShijouSaikyouLeagueSerieAAceStrikerJapan)
STD_ROM_FN(rShijouSaikyouLeagueSerieAAceStrikerJapan)

struct BurnDriver BurnDrvrShijouSaikyouLeagueSerieAAceStrikerJapan = {
	"Shijou Saikyou League Serie A - Ace Striker (Japan)", NULL, NULL, "1986",
	"Shijou Saikyou League Serie A - Ace Striker (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shijou Saikyou League Serie A - Ace Striker (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShijouSaikyouLeagueSerieAAceStrikerJapanRomInfo, rShijouSaikyouLeagueSerieAAceStrikerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShijouSaikyounoQuizOuKetteisenSuperJapanRomDesc[] = {
	{ "Shijou Saikyou no Quiz Ou Ketteisen Super (Japan).sfc",          1048576, 0xe6b9a402, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShijouSaikyounoQuizOuKetteisenSuperJapan)
STD_ROM_FN(rShijouSaikyounoQuizOuKetteisenSuperJapan)

struct BurnDriver BurnDrvrShijouSaikyounoQuizOuKetteisenSuperJapan = {
	"Shijou Saikyou no Quiz Ou Ketteisen Super (Japan)", NULL, NULL, "1986",
	"Shijou Saikyou no Quiz Ou Ketteisen Super (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shijou Saikyou no Quiz Ou Ketteisen Super (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShijouSaikyounoQuizOuKetteisenSuperJapanRomInfo, rShijouSaikyounoQuizOuKetteisenSuperJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShikiEiyuudenJinryuuDensetsuJapanRomDesc[] = {
	{ "Shiki Eiyuuden - Jinryuu Densetsu (Japan).sfc",          1572864, 0x4c2bea69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShikiEiyuudenJinryuuDensetsuJapan)
STD_ROM_FN(rShikiEiyuudenJinryuuDensetsuJapan)

struct BurnDriver BurnDrvrShikiEiyuudenJinryuuDensetsuJapan = {
	"Shiki Eiyuuden - Jinryuu Densetsu (Japan)", NULL, NULL, "1986",
	"Shiki Eiyuuden - Jinryuu Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shiki Eiyuuden - Jinryuu Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShikiEiyuudenJinryuuDensetsuJapanRomInfo, rShikiEiyuudenJinryuuDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShimonoMasakinoFishingtoBassingJapanRomDesc[] = {
	{ "Shimono Masaki no Fishing to Bassing (Japan).sfc",          1048576, 0x42ffd2d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShimonoMasakinoFishingtoBassingJapan)
STD_ROM_FN(rShimonoMasakinoFishingtoBassingJapan)

struct BurnDriver BurnDrvrShimonoMasakinoFishingtoBassingJapan = {
	"Shimono Masaki no Fishing to Bassing (Japan)", NULL, NULL, "1986",
	"Shimono Masaki no Fishing to Bassing (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shimono Masaki no Fishing to Bassing (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShimonoMasakinoFishingtoBassingJapanRomInfo, rShimonoMasakinoFishingtoBassingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinIkkakusenkinJapanRomDesc[] = {
	{ "Shin Ikkakusenkin (Japan).sfc",          1048576, 0x70e5a2ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinIkkakusenkinJapan)
STD_ROM_FN(rShinIkkakusenkinJapan)

struct BurnDriver BurnDrvrShinIkkakusenkinJapan = {
	"Shin Ikkakusenkin (Japan)", NULL, NULL, "1986",
	"Shin Ikkakusenkin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Ikkakusenkin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinIkkakusenkinJapanRomInfo, rShinIkkakusenkinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinKidouSenkiGundamWEndlessDuelJapanRomDesc[] = {
	{ "Shin Kidou Senki Gundam W - Endless Duel (Japan).sfc",          2097152, 0xc0aecdca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinKidouSenkiGundamWEndlessDuelJapan)
STD_ROM_FN(rShinKidouSenkiGundamWEndlessDuelJapan)

struct BurnDriver BurnDrvrShinKidouSenkiGundamWEndlessDuelJapan = {
	"Shin Kidou Senki Gundam W - Endless Duel (Japan)", NULL, NULL, "1986",
	"Shin Kidou Senki Gundam W - Endless Duel (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Kidou Senki Gundam W - Endless Duel (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinKidouSenkiGundamWEndlessDuelJapanRomInfo, rShinKidouSenkiGundamWEndlessDuelJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMahjongJapanRomDesc[] = {
	{ "Shin Mahjong (Japan).sfc",          524288, 0xefa078f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMahjongJapan)
STD_ROM_FN(rShinMahjongJapan)

struct BurnDriver BurnDrvrShinMahjongJapan = {
	"Shin Mahjong (Japan)", NULL, NULL, "1986",
	"Shin Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMahjongJapanRomInfo, rShinMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMegamiTenseiJapanRev1RomDesc[] = {
	{ "Shin Megami Tensei (Japan) (Rev 1).sfc",          1572864, 0xa3d40a74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMegamiTenseiJapanRev1)
STD_ROM_FN(rShinMegamiTenseiJapanRev1)

struct BurnDriver BurnDrvrShinMegamiTenseiJapanRev1 = {
	"Shin Megami Tensei (Japan) (Rev 1)", NULL, NULL, "1986",
	"Shin Megami Tensei (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Megami Tensei (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMegamiTenseiJapanRev1RomInfo, rShinMegamiTenseiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMegamiTenseiJapanRomDesc[] = {
	{ "Shin Megami Tensei (Japan).sfc",          1572864, 0x90de2c78, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMegamiTenseiJapan)
STD_ROM_FN(rShinMegamiTenseiJapan)

struct BurnDriver BurnDrvrShinMegamiTenseiJapan = {
	"Shin Megami Tensei (Japan)", NULL, NULL, "1986",
	"Shin Megami Tensei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Megami Tensei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMegamiTenseiJapanRomInfo, rShinMegamiTenseiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMegamiTenseiifJapanRomDesc[] = {
	{ "Shin Megami Tensei if... (Japan).sfc",          2097152, 0x4dd73cba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMegamiTenseiifJapan)
STD_ROM_FN(rShinMegamiTenseiifJapan)

struct BurnDriver BurnDrvrShinMegamiTenseiifJapan = {
	"Shin Megami Tensei if... (Japan)", NULL, NULL, "1986",
	"Shin Megami Tensei if... (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Megami Tensei if... (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMegamiTenseiifJapanRomInfo, rShinMegamiTenseiifJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMegamiTenseiIIJapanRomDesc[] = {
	{ "Shin Megami Tensei II (Japan).sfc",          2097152, 0x20d31588, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMegamiTenseiIIJapan)
STD_ROM_FN(rShinMegamiTenseiIIJapan)

struct BurnDriver BurnDrvrShinMegamiTenseiIIJapan = {
	"Shin Megami Tensei II (Japan)", NULL, NULL, "1986",
	"Shin Megami Tensei II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Megami Tensei II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMegamiTenseiIIJapanRomInfo, rShinMegamiTenseiIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinMomotarouDensetsuJapanRomDesc[] = {
	{ "Shin Momotarou Densetsu (Japan).sfc",          2097152, 0x68aea5b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinMomotarouDensetsuJapan)
STD_ROM_FN(rShinMomotarouDensetsuJapan)

struct BurnDriver BurnDrvrShinMomotarouDensetsuJapan = {
	"Shin Momotarou Densetsu (Japan)", NULL, NULL, "1986",
	"Shin Momotarou Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Momotarou Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinMomotarouDensetsuJapanRomInfo, rShinMomotarouDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinNekketsuKouhaKuniotachinoBankaJapanRomDesc[] = {
	{ "Shin Nekketsu Kouha - Kunio-tachi no Banka (Japan).sfc",          2097152, 0x31be696c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinNekketsuKouhaKuniotachinoBankaJapan)
STD_ROM_FN(rShinNekketsuKouhaKuniotachinoBankaJapan)

struct BurnDriver BurnDrvrShinNekketsuKouhaKuniotachinoBankaJapan = {
	"Shin Nekketsu Kouha - Kunio-tachi no Banka (Japan)", NULL, NULL, "1986",
	"Shin Nekketsu Kouha - Kunio-tachi no Banka (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Nekketsu Kouha - Kunio-tachi no Banka (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinNekketsuKouhaKuniotachinoBankaJapanRomInfo, rShinNekketsuKouhaKuniotachinoBankaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapanRomDesc[] = {
	{ "Shin Nihon Pro Wrestling - Chou Senshi in Tokyo Dome - Fantastic Story (Japan).sfc",          2097152, 0x58da330c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapan)
STD_ROM_FN(rShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapan)

struct BurnDriver BurnDrvrShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapan = {
	"Shin Nihon Pro Wrestling - Chou Senshi in Tokyo Dome - Fantastic Story (Japan)", NULL, NULL, "1986",
	"Shin Nihon Pro Wrestling - Chou Senshi in Tokyo Dome - Fantastic Story (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Nihon Pro Wrestling - Chou Senshi in Tokyo Dome - Fantastic Story (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapanRomInfo, rShinNihonProWrestlingChouSenshiinTokyoDomeFantasticStoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapanRomDesc[] = {
	{ "Shin Nihon Pro Wrestling Kounin - '94 Battlefield in Tokyo Dome (Japan).sfc",          2621440, 0x6cbbd019, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapan)
STD_ROM_FN(rShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapan)

struct BurnDriver BurnDrvrShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapan = {
	"Shin Nihon Pro Wrestling Kounin - '94 Battlefield in Tokyo Dome (Japan)", NULL, NULL, "1986",
	"Shin Nihon Pro Wrestling Kounin - '94 Battlefield in Tokyo Dome (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Nihon Pro Wrestling Kounin - '94 Battlefield in Tokyo Dome (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapanRomInfo, rShinNihonProWrestlingKounin94BattlefieldinTokyoDomeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinNihonProWrestlingKounin95TokyoDomeBattle7JapanRomDesc[] = {
	{ "Shin Nihon Pro Wrestling Kounin - '95 Tokyo Dome Battle 7 (Japan).sfc",          3145728, 0xa467c220, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinNihonProWrestlingKounin95TokyoDomeBattle7Japan)
STD_ROM_FN(rShinNihonProWrestlingKounin95TokyoDomeBattle7Japan)

struct BurnDriver BurnDrvrShinNihonProWrestlingKounin95TokyoDomeBattle7Japan = {
	"Shin Nihon Pro Wrestling Kounin - '95 Tokyo Dome Battle 7 (Japan)", NULL, NULL, "1986",
	"Shin Nihon Pro Wrestling Kounin - '95 Tokyo Dome Battle 7 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Nihon Pro Wrestling Kounin - '95 Tokyo Dome Battle 7 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinNihonProWrestlingKounin95TokyoDomeBattle7JapanRomInfo, rShinNihonProWrestlingKounin95TokyoDomeBattle7JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinSDSengokudenDaishougunRetsudenJapanRomDesc[] = {
	{ "Shin SD Sengokuden - Daishougun Retsuden (Japan).sfc",          1572864, 0xec2ccaf6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinSDSengokudenDaishougunRetsudenJapan)
STD_ROM_FN(rShinSDSengokudenDaishougunRetsudenJapan)

struct BurnDriver BurnDrvrShinSDSengokudenDaishougunRetsudenJapan = {
	"Shin SD Sengokuden - Daishougun Retsuden (Japan)", NULL, NULL, "1986",
	"Shin SD Sengokuden - Daishougun Retsuden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin SD Sengokuden - Daishougun Retsuden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinSDSengokudenDaishougunRetsudenJapanRomInfo, rShinSDSengokudenDaishougunRetsudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinShougiClubJapanRomDesc[] = {
	{ "Shin Shougi Club (Japan).sfc",          524288, 0xe0273e0e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinShougiClubJapan)
STD_ROM_FN(rShinShougiClubJapan)

struct BurnDriver BurnDrvrShinShougiClubJapan = {
	"Shin Shougi Club (Japan)", NULL, NULL, "1986",
	"Shin Shougi Club (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Shougi Club (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinShougiClubJapanRomInfo, rShinShougiClubJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinStarTrekOoinaruIsanIFDnoNazooOeJapanRomDesc[] = {
	{ "Shin Star Trek - Ooinaru Isan IFD no Nazo o Oe (Japan).sfc",          2621440, 0x34f09544, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinStarTrekOoinaruIsanIFDnoNazooOeJapan)
STD_ROM_FN(rShinStarTrekOoinaruIsanIFDnoNazooOeJapan)

struct BurnDriver BurnDrvrShinStarTrekOoinaruIsanIFDnoNazooOeJapan = {
	"Shin Star Trek - Ooinaru Isan IFD no Nazo o Oe (Japan)", NULL, NULL, "1986",
	"Shin Star Trek - Ooinaru Isan IFD no Nazo o Oe (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shin Star Trek - Ooinaru Isan IFD no Nazo o Oe (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinStarTrekOoinaruIsanIFDnoNazooOeJapanRomInfo, rShinStarTrekOoinaruIsanIFDnoNazooOeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinchouKoukiJapanRomDesc[] = {
	{ "Shinchou Kouki (Japan).sfc",          1048576, 0x5e1b435a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinchouKoukiJapan)
STD_ROM_FN(rShinchouKoukiJapan)

struct BurnDriver BurnDrvrShinchouKoukiJapan = {
	"Shinchou Kouki (Japan)", NULL, NULL, "1986",
	"Shinchou Kouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinchou Kouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinchouKoukiJapanRomInfo, rShinchouKoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinriGame2TheMagicalTripJapanRomDesc[] = {
	{ "Shinri Game 2, The - Magical Trip (Japan).sfc",          1048576, 0x426fc1a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinriGame2TheMagicalTripJapan)
STD_ROM_FN(rShinriGame2TheMagicalTripJapan)

struct BurnDriver BurnDrvrShinriGame2TheMagicalTripJapan = {
	"Shinri Game 2, The - Magical Trip (Japan)", NULL, NULL, "1986",
	"Shinri Game 2, The - Magical Trip (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinri Game 2, The - Magical Trip (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinriGame2TheMagicalTripJapanRomInfo, rShinriGame2TheMagicalTripJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinriGame3TheJapanRomDesc[] = {
	{ "Shinri Game 3, The (Japan).sfc",          1048576, 0xb51d79b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinriGame3TheJapan)
STD_ROM_FN(rShinriGame3TheJapan)

struct BurnDriver BurnDrvrShinriGame3TheJapan = {
	"Shinri Game 3, The (Japan)", NULL, NULL, "1986",
	"Shinri Game 3, The (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinri Game 3, The (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinriGame3TheJapanRomInfo, rShinriGame3TheJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinriGameTheAkumanoKokorojiJapanRomDesc[] = {
	{ "Shinri Game, The - Akuma no Kokoroji (Japan).sfc",          1048576, 0x4ed29f52, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinriGameTheAkumanoKokorojiJapan)
STD_ROM_FN(rShinriGameTheAkumanoKokorojiJapan)

struct BurnDriver BurnDrvrShinriGameTheAkumanoKokorojiJapan = {
	"Shinri Game, The - Akuma no Kokoroji (Japan)", NULL, NULL, "1986",
	"Shinri Game, The - Akuma no Kokoroji (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinri Game, The - Akuma no Kokoroji (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinriGameTheAkumanoKokorojiJapanRomInfo, rShinriGameTheAkumanoKokorojiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinseikiGPXCyberFormulaJapanRomDesc[] = {
	{ "Shinseiki GPX Cyber Formula (Japan).sfc",          1048576, 0x403ac1c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinseikiGPXCyberFormulaJapan)
STD_ROM_FN(rShinseikiGPXCyberFormulaJapan)

struct BurnDriver BurnDrvrShinseikiGPXCyberFormulaJapan = {
	"Shinseiki GPX Cyber Formula (Japan)", NULL, NULL, "1986",
	"Shinseiki GPX Cyber Formula (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinseiki GPX Cyber Formula (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinseikiGPXCyberFormulaJapanRomInfo, rShinseikiGPXCyberFormulaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinseikiOdysselyaJapanRomDesc[] = {
	{ "Shinseiki Odysselya (Japan).sfc",          1572864, 0xb01ee410, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinseikiOdysselyaJapan)
STD_ROM_FN(rShinseikiOdysselyaJapan)

struct BurnDriver BurnDrvrShinseikiOdysselyaJapan = {
	"Shinseiki Odysselya (Japan)", NULL, NULL, "1986",
	"Shinseiki Odysselya (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinseiki Odysselya (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinseikiOdysselyaJapanRomInfo, rShinseikiOdysselyaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinseikiOdysselyaIIJapanRomDesc[] = {
	{ "Shinseiki Odysselya II (Japan).sfc",          3145728, 0xf253ec83, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinseikiOdysselyaIIJapan)
STD_ROM_FN(rShinseikiOdysselyaIIJapan)

struct BurnDriver BurnDrvrShinseikiOdysselyaIIJapan = {
	"Shinseiki Odysselya II (Japan)", NULL, NULL, "1986",
	"Shinseiki Odysselya II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinseiki Odysselya II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinseikiOdysselyaIIJapanRomInfo, rShinseikiOdysselyaIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShinzuiTaikyokuIgoGoSenninJapanRomDesc[] = {
	{ "Shinzui Taikyoku Igo - Go Sennin (Japan).sfc",          1048576, 0x13fcc999, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShinzuiTaikyokuIgoGoSenninJapan)
STD_ROM_FN(rShinzuiTaikyokuIgoGoSenninJapan)

struct BurnDriver BurnDrvrShinzuiTaikyokuIgoGoSenninJapan = {
	"Shinzui Taikyoku Igo - Go Sennin (Japan)", NULL, NULL, "1986",
	"Shinzui Taikyoku Igo - Go Sennin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shinzui Taikyoku Igo - Go Sennin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShinzuiTaikyokuIgoGoSenninJapanRomInfo, rShinzuiTaikyokuIgoGoSenninJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShiroiRingeTwinkleLittleStarJapanRomDesc[] = {
	{ "Shiroi Ring e - Twinkle Little Star (Japan).sfc",          1572864, 0x534824f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShiroiRingeTwinkleLittleStarJapan)
STD_ROM_FN(rShiroiRingeTwinkleLittleStarJapan)

struct BurnDriver BurnDrvrShiroiRingeTwinkleLittleStarJapan = {
	"Shiroi Ring e - Twinkle Little Star (Japan)", NULL, NULL, "1986",
	"Shiroi Ring e - Twinkle Little Star (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shiroi Ring e - Twinkle Little Star (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShiroiRingeTwinkleLittleStarJapanRomInfo, rShiroiRingeTwinkleLittleStarJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShodaiNekketsuKouhaKuniokunJapanRomDesc[] = {
	{ "Shodai Nekketsu Kouha Kunio-kun (Japan).sfc",          1048576, 0x56c05339, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShodaiNekketsuKouhaKuniokunJapan)
STD_ROM_FN(rShodaiNekketsuKouhaKuniokunJapan)

struct BurnDriver BurnDrvrShodaiNekketsuKouhaKuniokunJapan = {
	"Shodai Nekketsu Kouha Kunio-kun (Japan)", NULL, NULL, "1986",
	"Shodai Nekketsu Kouha Kunio-kun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shodai Nekketsu Kouha Kunio-kun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShodaiNekketsuKouhaKuniokunJapanRomInfo, rShodaiNekketsuKouhaKuniokunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShodanMoritaShougiJapanRomDesc[] = {
	{ "Shodan Morita Shougi (Japan).sfc",          524288, 0x899841e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShodanMoritaShougiJapan)
STD_ROM_FN(rShodanMoritaShougiJapan)

struct BurnDriver BurnDrvrShodanMoritaShougiJapan = {
	"Shodan Morita Shougi (Japan)", NULL, NULL, "1986",
	"Shodan Morita Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shodan Morita Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShodanMoritaShougiJapanRomInfo, rShodanMoritaShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShodaniNinteiShodanProMahjongJapanRomDesc[] = {
	{ "Shodani Nintei - Shodan Pro Mahjong (Japan).sfc",          524288, 0x7557c1b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShodaniNinteiShodanProMahjongJapan)
STD_ROM_FN(rShodaniNinteiShodanProMahjongJapan)

struct BurnDriver BurnDrvrShodaniNinteiShodanProMahjongJapan = {
	"Shodani Nintei - Shodan Pro Mahjong (Japan)", NULL, NULL, "1986",
	"Shodani Nintei - Shodan Pro Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shodani Nintei - Shodan Pro Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShodaniNinteiShodanProMahjongJapanRomInfo, rShodaniNinteiShodanProMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShougiClubJapanRomDesc[] = {
	{ "Shougi Club (Japan).sfc",          262144, 0xf9c79b45, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShougiClubJapan)
STD_ROM_FN(rShougiClubJapan)

struct BurnDriver BurnDrvrShougiClubJapan = {
	"Shougi Club (Japan)", NULL, NULL, "1986",
	"Shougi Club (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shougi Club (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShougiClubJapanRomInfo, rShougiClubJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShougiFuurinkazanJapanRomDesc[] = {
	{ "Shougi Fuurinkazan (Japan).sfc",          1048576, 0x3d456eed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShougiFuurinkazanJapan)
STD_ROM_FN(rShougiFuurinkazanJapan)

struct BurnDriver BurnDrvrShougiFuurinkazanJapan = {
	"Shougi Fuurinkazan (Japan)", NULL, NULL, "1986",
	"Shougi Fuurinkazan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shougi Fuurinkazan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShougiFuurinkazanJapanRomInfo, rShougiFuurinkazanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShougiSaikyouJapanRomDesc[] = {
	{ "Shougi Saikyou (Japan).sfc",          1048576, 0x12c42bc0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShougiSaikyouJapan)
STD_ROM_FN(rShougiSaikyouJapan)

struct BurnDriver BurnDrvrShougiSaikyouJapan = {
	"Shougi Saikyou (Japan)", NULL, NULL, "1986",
	"Shougi Saikyou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shougi Saikyou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShougiSaikyouJapanRomInfo, rShougiSaikyouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShougiSaikyouIIJissenTaikyokuHenJapanRomDesc[] = {
	{ "Shougi Saikyou II - Jissen Taikyoku Hen (Japan).sfc",          524288, 0xe57505d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShougiSaikyouIIJissenTaikyokuHenJapan)
STD_ROM_FN(rShougiSaikyouIIJissenTaikyokuHenJapan)

struct BurnDriver BurnDrvrShougiSaikyouIIJissenTaikyokuHenJapan = {
	"Shougi Saikyou II - Jissen Taikyoku Hen (Japan)", NULL, NULL, "1986",
	"Shougi Saikyou II - Jissen Taikyoku Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shougi Saikyou II - Jissen Taikyoku Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShougiSaikyouIIJissenTaikyokuHenJapanRomInfo, rShougiSaikyouIIJissenTaikyokuHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShougiZanmaiJapanRomDesc[] = {
	{ "Shougi Zanmai (Japan).sfc",          1048576, 0x3ba30cc5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShougiZanmaiJapan)
STD_ROM_FN(rShougiZanmaiJapan)

struct BurnDriver BurnDrvrShougiZanmaiJapan = {
	"Shougi Zanmai (Japan)", NULL, NULL, "1986",
	"Shougi Zanmai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shougi Zanmai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShougiZanmaiJapanRomInfo, rShougiZanmaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShounenAshibeGomachannoYuuenchiDaiboukenJapanRomDesc[] = {
	{ "Shounen Ashibe - Goma-chan no Yuuenchi Daibouken (Japan).sfc",          524288, 0xd01ab6a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShounenAshibeGomachannoYuuenchiDaiboukenJapan)
STD_ROM_FN(rShounenAshibeGomachannoYuuenchiDaiboukenJapan)

struct BurnDriver BurnDrvrShounenAshibeGomachannoYuuenchiDaiboukenJapan = {
	"Shounen Ashibe - Goma-chan no Yuuenchi Daibouken (Japan)", NULL, NULL, "1986",
	"Shounen Ashibe - Goma-chan no Yuuenchi Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shounen Ashibe - Goma-chan no Yuuenchi Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShounenAshibeGomachannoYuuenchiDaiboukenJapanRomInfo, rShounenAshibeGomachannoYuuenchiDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShounenNinjaSasukeJapanRomDesc[] = {
	{ "Shounen Ninja Sasuke (Japan).sfc",          1572864, 0xc2d10e95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShounenNinjaSasukeJapan)
STD_ROM_FN(rShounenNinjaSasukeJapan)

struct BurnDriver BurnDrvrShounenNinjaSasukeJapan = {
	"Shounen Ninja Sasuke (Japan)", NULL, NULL, "1986",
	"Shounen Ninja Sasuke (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shounen Ninja Sasuke (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShounenNinjaSasukeJapanRomInfo, rShounenNinjaSasukeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShouninyoTaishioIdakeJapanRomDesc[] = {
	{ "Shounin yo, Taishi o Idake!! (Japan).sfc",          1572864, 0x51227e94, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShouninyoTaishioIdakeJapan)
STD_ROM_FN(rShouninyoTaishioIdakeJapan)

struct BurnDriver BurnDrvrShouninyoTaishioIdakeJapan = {
	"Shounin yo, Taishi o Idake!! (Japan)", NULL, NULL, "1986",
	"Shounin yo, Taishi o Idake!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shounin yo, Taishi o Idake!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShouninyoTaishioIdakeJapanRomInfo, rShouninyoTaishioIdakeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rShuushokuGameJapanRomDesc[] = {
	{ "Shuushoku Game (Japan).sfc",          1572864, 0xe006d06e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rShuushokuGameJapan)
STD_ROM_FN(rShuushokuGameJapan)

struct BurnDriver BurnDrvrShuushokuGameJapan = {
	"Shuushoku Game (Japan)", NULL, NULL, "1986",
	"Shuushoku Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Shuushoku Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rShuushokuGameJapanRomInfo, rShuushokuGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSidePocketEuropeRomDesc[] = {
	{ "Side Pocket (Europe).sfc",          1048576, 0x3352a27c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSidePocketEurope)
STD_ROM_FN(rSidePocketEurope)

struct BurnDriver BurnDrvrSidePocketEurope = {
	"Side Pocket (Europe)", NULL, NULL, "1986",
	"Side Pocket (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Side Pocket (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSidePocketEuropeRomInfo, rSidePocketEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSidePocketJapanRomDesc[] = {
	{ "Side Pocket (Japan).sfc",          1048576, 0xe074268, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSidePocketJapan)
STD_ROM_FN(rSidePocketJapan)

struct BurnDriver BurnDrvrSidePocketJapan = {
	"Side Pocket (Japan)", NULL, NULL, "1986",
	"Side Pocket (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Side Pocket (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSidePocketJapanRomInfo, rSidePocketJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSidePocketUSARomDesc[] = {
	{ "Side Pocket (USA).sfc",          1048576, 0x597c2bfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSidePocketUSA)
STD_ROM_FN(rSidePocketUSA)

struct BurnDriver BurnDrvrSidePocketUSA = {
	"Side Pocket (USA)", NULL, NULL, "1986",
	"Side Pocket (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Side Pocket (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSidePocketUSARomInfo, rSidePocketUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSilvaSagaIITheLegendofLightandDarknessJapanRomDesc[] = {
	{ "Silva Saga II - The Legend of Light and Darkness (Japan).sfc",          2097152, 0x67e1756b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSilvaSagaIITheLegendofLightandDarknessJapan)
STD_ROM_FN(rSilvaSagaIITheLegendofLightandDarknessJapan)

struct BurnDriver BurnDrvrSilvaSagaIITheLegendofLightandDarknessJapan = {
	"Silva Saga II - The Legend of Light and Darkness (Japan)", NULL, NULL, "1986",
	"Silva Saga II - The Legend of Light and Darkness (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Silva Saga II - The Legend of Light and Darkness (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSilvaSagaIITheLegendofLightandDarknessJapanRomInfo, rSilvaSagaIITheLegendofLightandDarknessJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimAntJapanRomDesc[] = {
	{ "SimAnt (Japan).sfc",          1048576, 0x34b99a85, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimAntJapan)
STD_ROM_FN(rSimAntJapan)

struct BurnDriver BurnDrvrSimAntJapan = {
	"SimAnt (Japan)", NULL, NULL, "1986",
	"SimAnt (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimAnt (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimAntJapanRomInfo, rSimAntJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimAntUSABetaRomDesc[] = {
	{ "SimAnt (USA) (Beta).sfc",          1048576, 0x9d5feb20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimAntUSABeta)
STD_ROM_FN(rSimAntUSABeta)

struct BurnDriver BurnDrvrSimAntUSABeta = {
	"SimAnt (USA) (Beta)", NULL, NULL, "1986",
	"SimAnt (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimAnt (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimAntUSABetaRomInfo, rSimAntUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimAntUSARomDesc[] = {
	{ "SimAnt (USA).sfc",          1048576, 0xd08c05df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimAntUSA)
STD_ROM_FN(rSimAntUSA)

struct BurnDriver BurnDrvrSimAntUSA = {
	"SimAnt (USA)", NULL, NULL, "1986",
	"SimAnt (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimAnt (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimAntUSARomInfo, rSimAntUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityEuropeRomDesc[] = {
	{ "SimCity (Europe).sfc",          524288, 0x81d85180, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityEurope)
STD_ROM_FN(rSimCityEurope)

struct BurnDriver BurnDrvrSimCityEurope = {
	"SimCity (Europe)", NULL, NULL, "1986",
	"SimCity (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityEuropeRomInfo, rSimCityEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityFranceRomDesc[] = {
	{ "SimCity (France).sfc",          524288, 0x5d026339, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityFrance)
STD_ROM_FN(rSimCityFrance)

struct BurnDriver BurnDrvrSimCityFrance = {
	"SimCity (France)", NULL, NULL, "1986",
	"SimCity (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityFranceRomInfo, rSimCityFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityGermanyRomDesc[] = {
	{ "SimCity (Germany).sfc",          524288, 0x451e4708, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityGermany)
STD_ROM_FN(rSimCityGermany)

struct BurnDriver BurnDrvrSimCityGermany = {
	"SimCity (Germany)", NULL, NULL, "1986",
	"SimCity (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityGermanyRomInfo, rSimCityGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityJapanRomDesc[] = {
	{ "SimCity (Japan).sfc",          524288, 0xa39fd8d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityJapan)
STD_ROM_FN(rSimCityJapan)

struct BurnDriver BurnDrvrSimCityJapan = {
	"SimCity (Japan)", NULL, NULL, "1986",
	"SimCity (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityJapanRomInfo, rSimCityJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityUSARomDesc[] = {
	{ "SimCity (USA).sfc",          524288, 0x8aedd3a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityUSA)
STD_ROM_FN(rSimCityUSA)

struct BurnDriver BurnDrvrSimCityUSA = {
	"SimCity (USA)", NULL, NULL, "1986",
	"SimCity (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityUSARomInfo, rSimCityUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCity2000EuropeRomDesc[] = {
	{ "SimCity 2000 (Europe).sfc",          2097152, 0xa1c28940, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCity2000Europe)
STD_ROM_FN(rSimCity2000Europe)

struct BurnDriver BurnDrvrSimCity2000Europe = {
	"SimCity 2000 (Europe)", NULL, NULL, "1986",
	"SimCity 2000 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity 2000 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCity2000EuropeRomInfo, rSimCity2000EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCity2000JapanRomDesc[] = {
	{ "SimCity 2000 (Japan).sfc",          2097152, 0xb0e89cc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCity2000Japan)
STD_ROM_FN(rSimCity2000Japan)

struct BurnDriver BurnDrvrSimCity2000Japan = {
	"SimCity 2000 (Japan)", NULL, NULL, "1986",
	"SimCity 2000 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity 2000 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCity2000JapanRomInfo, rSimCity2000JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCity2000USARomDesc[] = {
	{ "SimCity 2000 (USA).sfc",          2097152, 0x2d5dc011, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCity2000USA)
STD_ROM_FN(rSimCity2000USA)

struct BurnDriver BurnDrvrSimCity2000USA = {
	"SimCity 2000 (USA)", NULL, NULL, "1986",
	"SimCity 2000 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity 2000 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCity2000USARomInfo, rSimCity2000USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimCityJrJapanRomDesc[] = {
	{ "SimCity Jr. (Japan).sfc",          2097152, 0x3503a0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimCityJrJapan)
STD_ROM_FN(rSimCityJrJapan)

struct BurnDriver BurnDrvrSimCityJrJapan = {
	"SimCity Jr. (Japan)", NULL, NULL, "1986",
	"SimCity Jr. (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimCity Jr. (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimCityJrJapanRomInfo, rSimCityJrJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimEarthTheLivingPlanetJapanRev1RomDesc[] = {
	{ "SimEarth - The Living Planet (Japan) (Rev 1).sfc",          786432, 0xdf2c57ae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimEarthTheLivingPlanetJapanRev1)
STD_ROM_FN(rSimEarthTheLivingPlanetJapanRev1)

struct BurnDriver BurnDrvrSimEarthTheLivingPlanetJapanRev1 = {
	"SimEarth - The Living Planet (Japan) (Rev 1)", NULL, NULL, "1986",
	"SimEarth - The Living Planet (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimEarth - The Living Planet (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimEarthTheLivingPlanetJapanRev1RomInfo, rSimEarthTheLivingPlanetJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimEarthTheLivingPlanetJapanRomDesc[] = {
	{ "SimEarth - The Living Planet (Japan).sfc",          786432, 0xe4b45fa6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimEarthTheLivingPlanetJapan)
STD_ROM_FN(rSimEarthTheLivingPlanetJapan)

struct BurnDriver BurnDrvrSimEarthTheLivingPlanetJapan = {
	"SimEarth - The Living Planet (Japan)", NULL, NULL, "1986",
	"SimEarth - The Living Planet (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimEarth - The Living Planet (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimEarthTheLivingPlanetJapanRomInfo, rSimEarthTheLivingPlanetJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimEarthTheLivingPlanetUSARomDesc[] = {
	{ "SimEarth - The Living Planet (USA).sfc",          1048576, 0x7fa5b218, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimEarthTheLivingPlanetUSA)
STD_ROM_FN(rSimEarthTheLivingPlanetUSA)

struct BurnDriver BurnDrvrSimEarthTheLivingPlanetUSA = {
	"SimEarth - The Living Planet (USA)", NULL, NULL, "1986",
	"SimEarth - The Living Planet (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SimEarth - The Living Planet (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimEarthTheLivingPlanetUSARomInfo, rSimEarthTheLivingPlanetUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimpsonsTheBartnoFushiginaYumenoDaiboukenJapanRomDesc[] = {
	{ "Simpsons, The - Bart no Fushigi na Yume no Daibouken (Japan).sfc",          1048576, 0x6598790a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimpsonsTheBartnoFushiginaYumenoDaiboukenJapan)
STD_ROM_FN(rSimpsonsTheBartnoFushiginaYumenoDaiboukenJapan)

struct BurnDriver BurnDrvrSimpsonsTheBartnoFushiginaYumenoDaiboukenJapan = {
	"Simpsons, The - Bart no Fushigi na Yume no Daibouken (Japan)", NULL, NULL, "1986",
	"Simpsons, The - Bart no Fushigi na Yume no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Simpsons, The - Bart no Fushigi na Yume no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimpsonsTheBartnoFushiginaYumenoDaiboukenJapanRomInfo, rSimpsonsTheBartnoFushiginaYumenoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimpsonsTheBartsNightmareEuropeRomDesc[] = {
	{ "Simpsons, The - Bart's Nightmare (Europe).sfc",          1048576, 0x87328a40, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimpsonsTheBartsNightmareEurope)
STD_ROM_FN(rSimpsonsTheBartsNightmareEurope)

struct BurnDriver BurnDrvrSimpsonsTheBartsNightmareEurope = {
	"Simpsons, The - Bart's Nightmare (Europe)", NULL, NULL, "1986",
	"Simpsons, The - Bart's Nightmare (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Simpsons, The - Bart's Nightmare (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimpsonsTheBartsNightmareEuropeRomInfo, rSimpsonsTheBartsNightmareEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimpsonsTheBartsNightmareUSARomDesc[] = {
	{ "Simpsons, The - Bart's Nightmare (USA).sfc",          1048576, 0xed1c03c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimpsonsTheBartsNightmareUSA)
STD_ROM_FN(rSimpsonsTheBartsNightmareUSA)

struct BurnDriver BurnDrvrSimpsonsTheBartsNightmareUSA = {
	"Simpsons, The - Bart's Nightmare (USA)", NULL, NULL, "1986",
	"Simpsons, The - Bart's Nightmare (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Simpsons, The - Bart's Nightmare (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimpsonsTheBartsNightmareUSARomInfo, rSimpsonsTheBartsNightmareUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSimulationProYakyuuJapanRomDesc[] = {
	{ "Simulation Pro Yakyuu (Japan).sfc",          2097152, 0x24c9b924, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSimulationProYakyuuJapan)
STD_ROM_FN(rSimulationProYakyuuJapan)

struct BurnDriver BurnDrvrSimulationProYakyuuJapan = {
	"Simulation Pro Yakyuu (Japan)", NULL, NULL, "1986",
	"Simulation Pro Yakyuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Simulation Pro Yakyuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSimulationProYakyuuJapanRomInfo, rSimulationProYakyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSinkorSwimEuropeRomDesc[] = {
	{ "Sink or Swim (Europe).sfc",          524288, 0xcf824401, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSinkorSwimEurope)
STD_ROM_FN(rSinkorSwimEurope)

struct BurnDriver BurnDrvrSinkorSwimEurope = {
	"Sink or Swim (Europe)", NULL, NULL, "1986",
	"Sink or Swim (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sink or Swim (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSinkorSwimEuropeRomInfo, rSinkorSwimEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSinkorSwimUSARomDesc[] = {
	{ "Sink or Swim (USA).sfc",          524288, 0xdd329f85, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSinkorSwimUSA)
STD_ROM_FN(rSinkorSwimUSA)

struct BurnDriver BurnDrvrSinkorSwimUSA = {
	"Sink or Swim (USA)", NULL, NULL, "1986",
	"Sink or Swim (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sink or Swim (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSinkorSwimUSARomInfo, rSinkorSwimUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkiParadisewithSnowboardJapanRomDesc[] = {
	{ "Ski Paradise with Snowboard (Japan).sfc",          1048576, 0xdbb603d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkiParadisewithSnowboardJapan)
STD_ROM_FN(rSkiParadisewithSnowboardJapan)

struct BurnDriver BurnDrvrSkiParadisewithSnowboardJapan = {
	"Ski Paradise with Snowboard (Japan)", NULL, NULL, "1986",
	"Ski Paradise with Snowboard (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ski Paradise with Snowboard (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkiParadisewithSnowboardJapanRomInfo, rSkiParadisewithSnowboardJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkuljaggerRevoltoftheWesticansUSABetaRomDesc[] = {
	{ "Skuljagger - Revolt of the Westicans (USA) (Beta).sfc",          524288, 0xf320424a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkuljaggerRevoltoftheWesticansUSABeta)
STD_ROM_FN(rSkuljaggerRevoltoftheWesticansUSABeta)

struct BurnDriver BurnDrvrSkuljaggerRevoltoftheWesticansUSABeta = {
	"Skuljagger - Revolt of the Westicans (USA) (Beta)", NULL, NULL, "1986",
	"Skuljagger - Revolt of the Westicans (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skuljagger - Revolt of the Westicans (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkuljaggerRevoltoftheWesticansUSABetaRomInfo, rSkuljaggerRevoltoftheWesticansUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkuljaggerRevoltoftheWesticansUSARomDesc[] = {
	{ "Skuljagger - Revolt of the Westicans (USA).sfc",          524288, 0xe58a6d01, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkuljaggerRevoltoftheWesticansUSA)
STD_ROM_FN(rSkuljaggerRevoltoftheWesticansUSA)

struct BurnDriver BurnDrvrSkuljaggerRevoltoftheWesticansUSA = {
	"Skuljagger - Revolt of the Westicans (USA)", NULL, NULL, "1986",
	"Skuljagger - Revolt of the Westicans (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skuljagger - Revolt of the Westicans (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkuljaggerRevoltoftheWesticansUSARomInfo, rSkuljaggerRevoltoftheWesticansUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkyMissionJapanRomDesc[] = {
	{ "Sky Mission (Japan).sfc",          524288, 0x866a769, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkyMissionJapan)
STD_ROM_FN(rSkyMissionJapan)

struct BurnDriver BurnDrvrSkyMissionJapan = {
	"Sky Mission (Japan)", NULL, NULL, "1986",
	"Sky Mission (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sky Mission (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkyMissionJapanRomInfo, rSkyMissionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkyblazerEuropeRomDesc[] = {
	{ "Skyblazer (Europe).sfc",          1048576, 0x4a25d0c8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkyblazerEurope)
STD_ROM_FN(rSkyblazerEurope)

struct BurnDriver BurnDrvrSkyblazerEurope = {
	"Skyblazer (Europe)", NULL, NULL, "1986",
	"Skyblazer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skyblazer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkyblazerEuropeRomInfo, rSkyblazerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkyblazerUSABetaAlt1RomDesc[] = {
	{ "Skyblazer (USA) (Beta) (Alt 1).sfc",          1048576, 0x1594a363, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkyblazerUSABetaAlt1)
STD_ROM_FN(rSkyblazerUSABetaAlt1)

struct BurnDriver BurnDrvrSkyblazerUSABetaAlt1 = {
	"Skyblazer (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Skyblazer (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skyblazer (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkyblazerUSABetaAlt1RomInfo, rSkyblazerUSABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkyblazerUSABetaRomDesc[] = {
	{ "Skyblazer (USA) (Beta).sfc",          1048576, 0xcef3e26c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkyblazerUSABeta)
STD_ROM_FN(rSkyblazerUSABeta)

struct BurnDriver BurnDrvrSkyblazerUSABeta = {
	"Skyblazer (USA) (Beta)", NULL, NULL, "1986",
	"Skyblazer (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skyblazer (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkyblazerUSABetaRomInfo, rSkyblazerUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSkyblazerUSARomDesc[] = {
	{ "Skyblazer (USA).sfc",          1048576, 0xf13b00b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSkyblazerUSA)
STD_ROM_FN(rSkyblazerUSA)

struct BurnDriver BurnDrvrSkyblazerUSA = {
	"Skyblazer (USA)", NULL, NULL, "1986",
	"Skyblazer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Skyblazer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSkyblazerUSARomInfo, rSkyblazerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSlapStickJapanRomDesc[] = {
	{ "Slap Stick (Japan).sfc",          1572864, 0x53fb163b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSlapStickJapan)
STD_ROM_FN(rSlapStickJapan)

struct BurnDriver BurnDrvrSlapStickJapan = {
	"Slap Stick (Japan)", NULL, NULL, "1986",
	"Slap Stick (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Slap Stick (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSlapStickJapanRomInfo, rSlapStickJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSlayersJapanRomDesc[] = {
	{ "Slayers (Japan).sfc",          1572864, 0xb610445, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSlayersJapan)
STD_ROM_FN(rSlayersJapan)

struct BurnDriver BurnDrvrSlayersJapan = {
	"Slayers (Japan)", NULL, NULL, "1986",
	"Slayers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Slayers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSlayersJapanRomInfo, rSlayersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi (Japan) (Unl) [b].sfc",          1048576, 0xd12d3529, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiJapanUnlb = {
	"SM Choukyoushi Hitomi (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiJapanUnlbRomInfo, rSMChoukyoushiHitomiJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiBangaiHenJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi - Bangai Hen (Japan) (Unl) [b].sfc",          524288, 0xe7a659e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiBangaiHenJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiBangaiHenJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiBangaiHenJapanUnlb = {
	"SM Choukyoushi Hitomi - Bangai Hen (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi - Bangai Hen (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi - Bangai Hen (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiBangaiHenJapanUnlbRomInfo, rSMChoukyoushiHitomiBangaiHenJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi - Bangai Hen 2 - Maki no Love Love Panic (Japan) (Unl) [b].sfc",          524288, 0x504f733, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlb = {
	"SM Choukyoushi Hitomi - Bangai Hen 2 - Maki no Love Love Panic (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi - Bangai Hen 2 - Maki no Love Love Panic (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi - Bangai Hen 2 - Maki no Love Love Panic (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlbRomInfo, rSMChoukyoushiHitomiBangaiHen2MakinoLoveLovePanicJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiTestVersionJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi - Test Version (Japan) (Unl) [b].sfc",          524288, 0x1cfc5feb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiTestVersionJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiTestVersionJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiTestVersionJapanUnlb = {
	"SM Choukyoushi Hitomi - Test Version (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi - Test Version (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi - Test Version (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiTestVersionJapanUnlbRomInfo, rSMChoukyoushiHitomiTestVersionJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol2JapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 2 (Japan) (Unl) [b].sfc",          1048576, 0x4a55cfb8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol2JapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol2JapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol2JapanUnlb = {
	"SM Choukyoushi Hitomi Vol. 2 (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 2 (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 2 (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol2JapanUnlbRomInfo, rSMChoukyoushiHitomiVol2JapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol2TrialVersionJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 2 - Trial Version (Japan) (Unl) [b].sfc",          524288, 0x29e1efbf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol2TrialVersionJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol2TrialVersionJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol2TrialVersionJapanUnlb = {
	"SM Choukyoushi Hitomi Vol. 2 - Trial Version (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 2 - Trial Version (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 2 - Trial Version (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol2TrialVersionJapanUnlbRomInfo, rSMChoukyoushiHitomiVol2TrialVersionJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol2RemixJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 2 Remix (Japan) (Unl) [b].sfc",          524288, 0x4b280dfa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol2RemixJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol2RemixJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol2RemixJapanUnlb = {
	"SM Choukyoushi Hitomi Vol. 2 Remix (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 2 Remix (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 2 Remix (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol2RemixJapanUnlbRomInfo, rSMChoukyoushiHitomiVol2RemixJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol3JapanAlt1UnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 3 (Japan) (Alt 1) (Unl) [b].sfc",          1048576, 0x92e6d22f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol3JapanAlt1Unlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol3JapanAlt1Unlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol3JapanAlt1Unlb = {
	"SM Choukyoushi Hitomi Vol. 3 (Japan) (Alt 1) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 3 (Japan) (Alt 1) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 3 (Japan) (Alt 1) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol3JapanAlt1UnlbRomInfo, rSMChoukyoushiHitomiVol3JapanAlt1UnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol3JapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 3 (Japan) (Unl) [b].sfc",          1048576, 0x1156cac6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol3JapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol3JapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol3JapanUnlb = {
	"SM Choukyoushi Hitomi Vol. 3 (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 3 (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 3 (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol3JapanUnlbRomInfo, rSMChoukyoushiHitomiVol3JapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSMChoukyoushiHitomiVol3TestVersionJapanUnlbRomDesc[] = {
	{ "SM Choukyoushi Hitomi Vol. 3 - Test Version (Japan) (Unl) [b].sfc",          524288, 0xb3be5f84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSMChoukyoushiHitomiVol3TestVersionJapanUnlb)
STD_ROM_FN(rSMChoukyoushiHitomiVol3TestVersionJapanUnlb)

struct BurnDriver BurnDrvrSMChoukyoushiHitomiVol3TestVersionJapanUnlb = {
	"SM Choukyoushi Hitomi Vol. 3 - Test Version (Japan) (Unl) [b]", NULL, NULL, "1986",
	"SM Choukyoushi Hitomi Vol. 3 - Test Version (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"SM Choukyoushi Hitomi Vol. 3 - Test Version (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSMChoukyoushiHitomiVol3TestVersionJapanUnlbRomInfo, rSMChoukyoushiHitomiVol3TestVersionJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmartBallUSARomDesc[] = {
	{ "Smart Ball (USA).sfc",          1048576, 0x3cfe77ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmartBallUSA)
STD_ROM_FN(rSmartBallUSA)

struct BurnDriver BurnDrvrSmartBallUSA = {
	"Smart Ball (USA)", NULL, NULL, "1986",
	"Smart Ball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smart Ball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmartBallUSARomInfo, rSmartBallUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmashTVJapanRomDesc[] = {
	{ "Smash T.V. (Japan).sfc",          524288, 0x3147ad34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmashTVJapan)
STD_ROM_FN(rSmashTVJapan)

struct BurnDriver BurnDrvrSmashTVJapan = {
	"Smash T.V. (Japan)", NULL, NULL, "1986",
	"Smash T.V. (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smash T.V. (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmashTVJapanRomInfo, rSmashTVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmashTennisEuropeBetaRomDesc[] = {
	{ "Smash Tennis (Europe) (Beta).sfc",          1048576, 0x3ccba79c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmashTennisEuropeBeta)
STD_ROM_FN(rSmashTennisEuropeBeta)

struct BurnDriver BurnDrvrSmashTennisEuropeBeta = {
	"Smash Tennis (Europe) (Beta)", NULL, NULL, "1986",
	"Smash Tennis (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smash Tennis (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmashTennisEuropeBetaRomInfo, rSmashTennisEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmashTennisEuropeRomDesc[] = {
	{ "Smash Tennis (Europe).sfc",          1048576, 0x6f7d1745, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmashTennisEurope)
STD_ROM_FN(rSmashTennisEurope)

struct BurnDriver BurnDrvrSmashTennisEurope = {
	"Smash Tennis (Europe)", NULL, NULL, "1986",
	"Smash Tennis (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smash Tennis (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmashTennisEuropeRomInfo, rSmashTennisEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmurfsTraveltheWorldTheEuropeEnFrDeEsRomDesc[] = {
	{ "Smurfs Travel the World, The (Europe) (En,Fr,De,Es).sfc",          1310720, 0x22947169, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmurfsTraveltheWorldTheEuropeEnFrDeEs)
STD_ROM_FN(rSmurfsTraveltheWorldTheEuropeEnFrDeEs)

struct BurnDriver BurnDrvrSmurfsTraveltheWorldTheEuropeEnFrDeEs = {
	"Smurfs Travel the World, The (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Smurfs Travel the World, The (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smurfs Travel the World, The (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmurfsTraveltheWorldTheEuropeEnFrDeEsRomInfo, rSmurfsTraveltheWorldTheEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSmurfsTheEuropeEnFrDeEsItRomDesc[] = {
	{ "Smurfs, The (Europe) (En,Fr,De,Es,It).sfc",          1048576, 0x2ae148d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSmurfsTheEuropeEnFrDeEsIt)
STD_ROM_FN(rSmurfsTheEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrSmurfsTheEuropeEnFrDeEsIt = {
	"Smurfs, The (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Smurfs, The (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Smurfs, The (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSmurfsTheEuropeEnFrDeEsItRomInfo, rSmurfsTheEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSnoopyConcertJapanRomDesc[] = {
	{ "Snoopy Concert (Japan).sfc",          2097152, 0x3836a202, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSnoopyConcertJapan)
STD_ROM_FN(rSnoopyConcertJapan)

struct BurnDriver BurnDrvrSnoopyConcertJapan = {
	"Snoopy Concert (Japan)", NULL, NULL, "1986",
	"Snoopy Concert (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Snoopy Concert (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSnoopyConcertJapanRomInfo, rSnoopyConcertJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSnowWhiteinHappilyEverAfterUSARomDesc[] = {
	{ "Snow White in Happily Ever After (USA).sfc",          1048576, 0xd68d1ab3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSnowWhiteinHappilyEverAfterUSA)
STD_ROM_FN(rSnowWhiteinHappilyEverAfterUSA)

struct BurnDriver BurnDrvrSnowWhiteinHappilyEverAfterUSA = {
	"Snow White in Happily Ever After (USA)", NULL, NULL, "1986",
	"Snow White in Happily Ever After (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Snow White in Happily Ever After (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSnowWhiteinHappilyEverAfterUSARomInfo, rSnowWhiteinHappilyEverAfterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoccerKidEuropeEnFrDeEsItRomDesc[] = {
	{ "Soccer Kid (Europe) (En,Fr,De,Es,It).sfc",          1310720, 0x2a9966c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoccerKidEuropeEnFrDeEsIt)
STD_ROM_FN(rSoccerKidEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrSoccerKidEuropeEnFrDeEsIt = {
	"Soccer Kid (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Soccer Kid (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soccer Kid (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoccerKidEuropeEnFrDeEsItRomInfo, rSoccerKidEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoccerKidJapanBetaRomDesc[] = {
	{ "Soccer Kid (Japan) (Beta).sfc",          1572864, 0xd2938bdf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoccerKidJapanBeta)
STD_ROM_FN(rSoccerKidJapanBeta)

struct BurnDriver BurnDrvrSoccerKidJapanBeta = {
	"Soccer Kid (Japan) (Beta)", NULL, NULL, "1986",
	"Soccer Kid (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soccer Kid (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoccerKidJapanBetaRomInfo, rSoccerKidJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoccerKidJapanRomDesc[] = {
	{ "Soccer Kid (Japan).sfc",          1310720, 0xa39c674e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoccerKidJapan)
STD_ROM_FN(rSoccerKidJapan)

struct BurnDriver BurnDrvrSoccerKidJapan = {
	"Soccer Kid (Japan)", NULL, NULL, "1986",
	"Soccer Kid (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soccer Kid (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoccerKidJapanRomInfo, rSoccerKidJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoccerShootoutEuropeRomDesc[] = {
	{ "Soccer Shootout (Europe).sfc",          1572864, 0xbbcd16f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoccerShootoutEurope)
STD_ROM_FN(rSoccerShootoutEurope)

struct BurnDriver BurnDrvrSoccerShootoutEurope = {
	"Soccer Shootout (Europe)", NULL, NULL, "1986",
	"Soccer Shootout (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soccer Shootout (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoccerShootoutEuropeRomInfo, rSoccerShootoutEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoldiersofFortuneUSARomDesc[] = {
	{ "Soldiers of Fortune (USA).sfc",          1572864, 0xcf719a93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoldiersofFortuneUSA)
STD_ROM_FN(rSoldiersofFortuneUSA)

struct BurnDriver BurnDrvrSoldiersofFortuneUSA = {
	"Soldiers of Fortune (USA)", NULL, NULL, "1986",
	"Soldiers of Fortune (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soldiers of Fortune (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoldiersofFortuneUSARomInfo, rSoldiersofFortuneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSolidRunnerJapanRomDesc[] = {
	{ "Solid Runner (Japan).sfc",          3145728, 0xb907bb27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSolidRunnerJapan)
STD_ROM_FN(rSolidRunnerJapan)

struct BurnDriver BurnDrvrSolidRunnerJapan = {
	"Solid Runner (Japan)", NULL, NULL, "1986",
	"Solid Runner (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Solid Runner (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSolidRunnerJapanRomInfo, rSolidRunnerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSolsticeIIJapanBeta19930303RomDesc[] = {
	{ "Solstice II (Japan) (Beta) (1993-03-03).sfc",          1048576, 0x37c2ec0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSolsticeIIJapanBeta19930303)
STD_ROM_FN(rSolsticeIIJapanBeta19930303)

struct BurnDriver BurnDrvrSolsticeIIJapanBeta19930303 = {
	"Solstice II (Japan) (Beta) (1993-03-03)", NULL, NULL, "1986",
	"Solstice II (Japan) (Beta) (1993-03-03)\0", NULL, "Nintendo", "Miscellaneous",
	L"Solstice II (Japan) (Beta) (1993-03-03)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSolsticeIIJapanBeta19930303RomInfo, rSolsticeIIJapanBeta19930303RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSolsticeIIJapanRomDesc[] = {
	{ "Solstice II (Japan).sfc",          1048576, 0x21d280f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSolsticeIIJapan)
STD_ROM_FN(rSolsticeIIJapan)

struct BurnDriver BurnDrvrSolsticeIIJapan = {
	"Solstice II (Japan)", NULL, NULL, "1986",
	"Solstice II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Solstice II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSolsticeIIJapanRomInfo, rSolsticeIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSongMasterJapanRomDesc[] = {
	{ "Song Master (Japan).sfc",          1048576, 0x4fa5fc25, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSongMasterJapan)
STD_ROM_FN(rSongMasterJapan)

struct BurnDriver BurnDrvrSongMasterJapan = {
	"Song Master (Japan)", NULL, NULL, "1986",
	"Song Master (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Song Master (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSongMasterJapanRomInfo, rSongMasterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicBlastManEuropeRomDesc[] = {
	{ "Sonic Blast Man (Europe).sfc",          1048576, 0x5441f25b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicBlastManEurope)
STD_ROM_FN(rSonicBlastManEurope)

struct BurnDriver BurnDrvrSonicBlastManEurope = {
	"Sonic Blast Man (Europe)", NULL, NULL, "1986",
	"Sonic Blast Man (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Blast Man (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicBlastManEuropeRomInfo, rSonicBlastManEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicBlastManJapanRomDesc[] = {
	{ "Sonic Blast Man (Japan).sfc",          1048576, 0xbe523800, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicBlastManJapan)
STD_ROM_FN(rSonicBlastManJapan)

struct BurnDriver BurnDrvrSonicBlastManJapan = {
	"Sonic Blast Man (Japan)", NULL, NULL, "1986",
	"Sonic Blast Man (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Blast Man (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicBlastManJapanRomInfo, rSonicBlastManJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicBlastManUSARomDesc[] = {
	{ "Sonic Blast Man (USA).sfc",          1048576, 0x8886396e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicBlastManUSA)
STD_ROM_FN(rSonicBlastManUSA)

struct BurnDriver BurnDrvrSonicBlastManUSA = {
	"Sonic Blast Man (USA)", NULL, NULL, "1986",
	"Sonic Blast Man (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Blast Man (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicBlastManUSARomInfo, rSonicBlastManUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicBlastManIIJapanRomDesc[] = {
	{ "Sonic Blast Man II (Japan).sfc",          1572864, 0xe7df3216, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicBlastManIIJapan)
STD_ROM_FN(rSonicBlastManIIJapan)

struct BurnDriver BurnDrvrSonicBlastManIIJapan = {
	"Sonic Blast Man II (Japan)", NULL, NULL, "1986",
	"Sonic Blast Man II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Blast Man II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicBlastManIIJapanRomInfo, rSonicBlastManIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicBlastManIIUSARomDesc[] = {
	{ "Sonic Blast Man II (USA).sfc",          1572864, 0x24229a34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicBlastManIIUSA)
STD_ROM_FN(rSonicBlastManIIUSA)

struct BurnDriver BurnDrvrSonicBlastManIIUSA = {
	"Sonic Blast Man II (USA)", NULL, NULL, "1986",
	"Sonic Blast Man II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Blast Man II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicBlastManIIUSARomInfo, rSonicBlastManIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonictheHedgehog4WorldUnlbRomDesc[] = {
	{ "Sonic the Hedgehog 4 (World) (Unl) [b].sfc",          1048576, 0x6b9c71a9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonictheHedgehog4WorldUnlb)
STD_ROM_FN(rSonictheHedgehog4WorldUnlb)

struct BurnDriver BurnDrvrSonictheHedgehog4WorldUnlb = {
	"Sonic the Hedgehog 4 (World) (Unl) [b]", NULL, NULL, "1986",
	"Sonic the Hedgehog 4 (World) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic the Hedgehog 4 (World) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonictheHedgehog4WorldUnlbRomInfo, rSonictheHedgehog4WorldUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSonicWingsJapanRomDesc[] = {
	{ "Sonic Wings (Japan).sfc",          1310720, 0xcfe75bcb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSonicWingsJapan)
STD_ROM_FN(rSonicWingsJapan)

struct BurnDriver BurnDrvrSonicWingsJapan = {
	"Sonic Wings (Japan)", NULL, NULL, "1986",
	"Sonic Wings (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sonic Wings (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSonicWingsJapanRomInfo, rSonicWingsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapanRomDesc[] = {
	{ "Soreyuke Ebisumaru Karakuri Meiro - Kieta Goemon no Nazo!! (Japan).sfc",          1048576, 0x885fb1b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapan)
STD_ROM_FN(rSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapan)

struct BurnDriver BurnDrvrSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapan = {
	"Soreyuke Ebisumaru Karakuri Meiro - Kieta Goemon no Nazo!! (Japan)", NULL, NULL, "1986",
	"Soreyuke Ebisumaru Karakuri Meiro - Kieta Goemon no Nazo!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soreyuke Ebisumaru Karakuri Meiro - Kieta Goemon no Nazo!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapanRomInfo, rSoreyukeEbisumaruKarakuriMeiroKietaGoemonnoNazoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSOSUSARomDesc[] = {
	{ "SOS (USA).sfc",          1048576, 0x9ae53f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSOSUSA)
STD_ROM_FN(rSOSUSA)

struct BurnDriver BurnDrvrSOSUSA = {
	"SOS (USA)", NULL, NULL, "1986",
	"SOS (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SOS (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSOSUSARomInfo, rSOSUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSotsugyouBangaiHenNeeMahjongShiyoJapanRomDesc[] = {
	{ "Sotsugyou Bangai Hen - Nee Mahjong Shiyo! (Japan).sfc",          1048576, 0xd44ceb2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSotsugyouBangaiHenNeeMahjongShiyoJapan)
STD_ROM_FN(rSotsugyouBangaiHenNeeMahjongShiyoJapan)

struct BurnDriver BurnDrvrSotsugyouBangaiHenNeeMahjongShiyoJapan = {
	"Sotsugyou Bangai Hen - Nee Mahjong Shiyo! (Japan)", NULL, NULL, "1986",
	"Sotsugyou Bangai Hen - Nee Mahjong Shiyo! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sotsugyou Bangai Hen - Nee Mahjong Shiyo! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSotsugyouBangaiHenNeeMahjongShiyoJapanRomInfo, rSotsugyouBangaiHenNeeMahjongShiyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSougouKakutougiAstralBoutJapanRomDesc[] = {
	{ "Sougou Kakutougi - Astral Bout (Japan).sfc",          1048576, 0xe87bd7ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSougouKakutougiAstralBoutJapan)
STD_ROM_FN(rSougouKakutougiAstralBoutJapan)

struct BurnDriver BurnDrvrSougouKakutougiAstralBoutJapan = {
	"Sougou Kakutougi - Astral Bout (Japan)", NULL, NULL, "1986",
	"Sougou Kakutougi - Astral Bout (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sougou Kakutougi - Astral Bout (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSougouKakutougiAstralBoutJapanRomInfo, rSougouKakutougiAstralBoutJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSougouKakutougiAstralBout2TheTotalFightersJapanRomDesc[] = {
	{ "Sougou Kakutougi - Astral Bout 2 - The Total Fighters (Japan).sfc",          1572864, 0xac212c51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSougouKakutougiAstralBout2TheTotalFightersJapan)
STD_ROM_FN(rSougouKakutougiAstralBout2TheTotalFightersJapan)

struct BurnDriver BurnDrvrSougouKakutougiAstralBout2TheTotalFightersJapan = {
	"Sougou Kakutougi - Astral Bout 2 - The Total Fighters (Japan)", NULL, NULL, "1986",
	"Sougou Kakutougi - Astral Bout 2 - The Total Fighters (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sougou Kakutougi - Astral Bout 2 - The Total Fighters (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSougouKakutougiAstralBout2TheTotalFightersJapanRomInfo, rSougouKakutougiAstralBout2TheTotalFightersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSougouKakutougiRingsAstralBout3JapanRomDesc[] = {
	{ "Sougou Kakutougi Rings - Astral Bout 3 (Japan).sfc",          2097152, 0x3f09a8d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSougouKakutougiRingsAstralBout3Japan)
STD_ROM_FN(rSougouKakutougiRingsAstralBout3Japan)

struct BurnDriver BurnDrvrSougouKakutougiRingsAstralBout3Japan = {
	"Sougou Kakutougi Rings - Astral Bout 3 (Japan)", NULL, NULL, "1986",
	"Sougou Kakutougi Rings - Astral Bout 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sougou Kakutougi Rings - Astral Bout 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSougouKakutougiRingsAstralBout3JapanRomInfo, rSougouKakutougiRingsAstralBout3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoukouKiheiVotomsTheBattlingRoadJapanRomDesc[] = {
	{ "Soukou Kihei Votoms - The Battling Road (Japan).sfc",          1048576, 0xc00f0bc9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoukouKiheiVotomsTheBattlingRoadJapan)
STD_ROM_FN(rSoukouKiheiVotomsTheBattlingRoadJapan)

struct BurnDriver BurnDrvrSoukouKiheiVotomsTheBattlingRoadJapan = {
	"Soukou Kihei Votoms - The Battling Road (Japan)", NULL, NULL, "1986",
	"Soukou Kihei Votoms - The Battling Road (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soukou Kihei Votoms - The Battling Road (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoukouKiheiVotomsTheBattlingRoadJapanRomInfo, rSoukouKiheiVotomsTheBattlingRoadJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulSwordJapanRomDesc[] = {
	{ "Soul & Sword (Japan).sfc",          1572864, 0xf9792194, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulSwordJapan)
STD_ROM_FN(rSoulSwordJapan)

struct BurnDriver BurnDrvrSoulSwordJapan = {
	"Soul & Sword (Japan)", NULL, NULL, "1986",
	"Soul & Sword (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul & Sword (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulSwordJapanRomInfo, rSoulSwordJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBladeWorldUnlRomDesc[] = {
	{ "Soul Blade (World) (Unl).sfc",          3145728, 0xc97d1d7b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBladeWorldUnl)
STD_ROM_FN(rSoulBladeWorldUnl)

struct BurnDriver BurnDrvrSoulBladeWorldUnl = {
	"Soul Blade (World) (Unl)", NULL, NULL, "1986",
	"Soul Blade (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blade (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBladeWorldUnlRomInfo, rSoulBladeWorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBladerJapanRomDesc[] = {
	{ "Soul Blader (Japan).sfc",          1048576, 0xcd6dbc1c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBladerJapan)
STD_ROM_FN(rSoulBladerJapan)

struct BurnDriver BurnDrvrSoulBladerJapan = {
	"Soul Blader (Japan)", NULL, NULL, "1986",
	"Soul Blader (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blader (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBladerJapanRomInfo, rSoulBladerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBlazerEuropeRomDesc[] = {
	{ "Soul Blazer (Europe).sfc",          1048576, 0x54370191, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBlazerEurope)
STD_ROM_FN(rSoulBlazerEurope)

struct BurnDriver BurnDrvrSoulBlazerEurope = {
	"Soul Blazer (Europe)", NULL, NULL, "1986",
	"Soul Blazer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blazer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBlazerEuropeRomInfo, rSoulBlazerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBlazerFranceRomDesc[] = {
	{ "Soul Blazer (France).sfc",          1048576, 0x20157693, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBlazerFrance)
STD_ROM_FN(rSoulBlazerFrance)

struct BurnDriver BurnDrvrSoulBlazerFrance = {
	"Soul Blazer (France)", NULL, NULL, "1986",
	"Soul Blazer (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blazer (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBlazerFranceRomInfo, rSoulBlazerFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBlazerGermanyRomDesc[] = {
	{ "Soul Blazer (Germany).sfc",          1048576, 0xfe28d2c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBlazerGermany)
STD_ROM_FN(rSoulBlazerGermany)

struct BurnDriver BurnDrvrSoulBlazerGermany = {
	"Soul Blazer (Germany)", NULL, NULL, "1986",
	"Soul Blazer (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blazer (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBlazerGermanyRomInfo, rSoulBlazerGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoulBlazerUSARomDesc[] = {
	{ "Soul Blazer (USA).sfc",          1048576, 0x31b965db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoulBlazerUSA)
STD_ROM_FN(rSoulBlazerUSA)

struct BurnDriver BurnDrvrSoulBlazerUSA = {
	"Soul Blazer (USA)", NULL, NULL, "1986",
	"Soul Blazer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Soul Blazer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoulBlazerUSARomInfo, rSoulBlazerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSoundNovelTsukuruJapanRomDesc[] = {
	{ "Sound Novel Tsukuru (Japan).sfc",          3145728, 0x5ebf7246, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSoundNovelTsukuruJapan)
STD_ROM_FN(rSoundNovelTsukuruJapan)

struct BurnDriver BurnDrvrSoundNovelTsukuruJapan = {
	"Sound Novel Tsukuru (Japan)", NULL, NULL, "1986",
	"Sound Novel Tsukuru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sound Novel Tsukuru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSoundNovelTsukuruJapanRomInfo, rSoundNovelTsukuruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSousaSentaiWappersMission01JapanBSRomDesc[] = {
	{ "Sousa Sentai Wappers - Mission 01 (Japan) (BS).sfc",          1048576, 0xfec3d721, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSousaSentaiWappersMission01JapanBS)
STD_ROM_FN(rSousaSentaiWappersMission01JapanBS)

struct BurnDriver BurnDrvrSousaSentaiWappersMission01JapanBS = {
	"Sousa Sentai Wappers - Mission 01 (Japan) (BS)", NULL, NULL, "1986",
	"Sousa Sentai Wappers - Mission 01 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sousa Sentai Wappers - Mission 01 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSousaSentaiWappersMission01JapanBSRomInfo, rSousaSentaiWappersMission01JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSousaSentaiWappersMission02JapanBSRomDesc[] = {
	{ "Sousa Sentai Wappers - Mission 02 (Japan) (BS).sfc",          1048576, 0xa619c58d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSousaSentaiWappersMission02JapanBS)
STD_ROM_FN(rSousaSentaiWappersMission02JapanBS)

struct BurnDriver BurnDrvrSousaSentaiWappersMission02JapanBS = {
	"Sousa Sentai Wappers - Mission 02 (Japan) (BS)", NULL, NULL, "1986",
	"Sousa Sentai Wappers - Mission 02 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sousa Sentai Wappers - Mission 02 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSousaSentaiWappersMission02JapanBSRomInfo, rSousaSentaiWappersMission02JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSousaSentaiWappersSoushuuhenJapanBSRomDesc[] = {
	{ "Sousa Sentai Wappers - Soushuuhen (Japan) (BS).sfc",          1048576, 0xb423023, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSousaSentaiWappersSoushuuhenJapanBS)
STD_ROM_FN(rSousaSentaiWappersSoushuuhenJapanBS)

struct BurnDriver BurnDrvrSousaSentaiWappersSoushuuhenJapanBS = {
	"Sousa Sentai Wappers - Soushuuhen (Japan) (BS)", NULL, NULL, "1986",
	"Sousa Sentai Wappers - Soushuuhen (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sousa Sentai Wappers - Soushuuhen (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSousaSentaiWappersSoushuuhenJapanBSRomInfo, rSousaSentaiWappersSoushuuhenJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceAceEuropeRomDesc[] = {
	{ "Space Ace (Europe).sfc",          1048576, 0xce74ec97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceAceEurope)
STD_ROM_FN(rSpaceAceEurope)

struct BurnDriver BurnDrvrSpaceAceEurope = {
	"Space Ace (Europe)", NULL, NULL, "1986",
	"Space Ace (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Ace (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceAceEuropeRomInfo, rSpaceAceEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceAceJapanRomDesc[] = {
	{ "Space Ace (Japan).sfc",          1048576, 0x62904e35, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceAceJapan)
STD_ROM_FN(rSpaceAceJapan)

struct BurnDriver BurnDrvrSpaceAceJapan = {
	"Space Ace (Japan)", NULL, NULL, "1986",
	"Space Ace (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Ace (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceAceJapanRomInfo, rSpaceAceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceAceUSABetaRomDesc[] = {
	{ "Space Ace (USA) (Beta).sfc",          1048576, 0xb5a55546, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceAceUSABeta)
STD_ROM_FN(rSpaceAceUSABeta)

struct BurnDriver BurnDrvrSpaceAceUSABeta = {
	"Space Ace (USA) (Beta)", NULL, NULL, "1986",
	"Space Ace (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Ace (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceAceUSABetaRomInfo, rSpaceAceUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceAceUSARomDesc[] = {
	{ "Space Ace (USA).sfc",          1048576, 0xf4bb0888, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceAceUSA)
STD_ROM_FN(rSpaceAceUSA)

struct BurnDriver BurnDrvrSpaceAceUSA = {
	"Space Ace (USA)", NULL, NULL, "1986",
	"Space Ace (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Ace (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceAceUSARomInfo, rSpaceAceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceBazookaJapanRomDesc[] = {
	{ "Space Bazooka (Japan).sfc",          1048576, 0xf2dd3be4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceBazookaJapan)
STD_ROM_FN(rSpaceBazookaJapan)

struct BurnDriver BurnDrvrSpaceBazookaJapan = {
	"Space Bazooka (Japan)", NULL, NULL, "1986",
	"Space Bazooka (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Bazooka (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceBazookaJapanRomInfo, rSpaceBazookaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceFootballOneonOneUSARomDesc[] = {
	{ "Space Football - One on One (USA).sfc",          524288, 0x55dcf09e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceFootballOneonOneUSA)
STD_ROM_FN(rSpaceFootballOneonOneUSA)

struct BurnDriver BurnDrvrSpaceFootballOneonOneUSA = {
	"Space Football - One on One (USA)", NULL, NULL, "1986",
	"Space Football - One on One (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Football - One on One (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceFootballOneonOneUSARomInfo, rSpaceFootballOneonOneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceFunkyBOBJapanRomDesc[] = {
	{ "Space Funky B.O.B. (Japan).sfc",          1048576, 0x5abfbe21, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceFunkyBOBJapan)
STD_ROM_FN(rSpaceFunkyBOBJapan)

struct BurnDriver BurnDrvrSpaceFunkyBOBJapan = {
	"Space Funky B.O.B. (Japan)", NULL, NULL, "1986",
	"Space Funky B.O.B. (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Funky B.O.B. (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceFunkyBOBJapanRomInfo, rSpaceFunkyBOBJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceInvadersTheOriginalGameEuropeRomDesc[] = {
	{ "Space Invaders - The Original Game (Europe).sfc",          262144, 0x6b62625a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceInvadersTheOriginalGameEurope)
STD_ROM_FN(rSpaceInvadersTheOriginalGameEurope)

struct BurnDriver BurnDrvrSpaceInvadersTheOriginalGameEurope = {
	"Space Invaders - The Original Game (Europe)", NULL, NULL, "1986",
	"Space Invaders - The Original Game (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Invaders - The Original Game (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceInvadersTheOriginalGameEuropeRomInfo, rSpaceInvadersTheOriginalGameEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceInvadersTheOriginalGameJapanRomDesc[] = {
	{ "Space Invaders - The Original Game (Japan).sfc",          262144, 0x7fafcd0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceInvadersTheOriginalGameJapan)
STD_ROM_FN(rSpaceInvadersTheOriginalGameJapan)

struct BurnDriver BurnDrvrSpaceInvadersTheOriginalGameJapan = {
	"Space Invaders - The Original Game (Japan)", NULL, NULL, "1986",
	"Space Invaders - The Original Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Invaders - The Original Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceInvadersTheOriginalGameJapanRomInfo, rSpaceInvadersTheOriginalGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceInvadersTheOriginalGameUSARomDesc[] = {
	{ "Space Invaders - The Original Game (USA).sfc",          262144, 0xcaf035f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceInvadersTheOriginalGameUSA)
STD_ROM_FN(rSpaceInvadersTheOriginalGameUSA)

struct BurnDriver BurnDrvrSpaceInvadersTheOriginalGameUSA = {
	"Space Invaders - The Original Game (USA)", NULL, NULL, "1986",
	"Space Invaders - The Original Game (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Invaders - The Original Game (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceInvadersTheOriginalGameUSARomInfo, rSpaceInvadersTheOriginalGameUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpaceMegaforceUSARomDesc[] = {
	{ "Space Megaforce (USA).sfc",          1048576, 0x11202781, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpaceMegaforceUSA)
STD_ROM_FN(rSpaceMegaforceUSA)

struct BurnDriver BurnDrvrSpaceMegaforceUSA = {
	"Space Megaforce (USA)", NULL, NULL, "1986",
	"Space Megaforce (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Space Megaforce (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpaceMegaforceUSARomInfo, rSpaceMegaforceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpankysQuestEuropeRomDesc[] = {
	{ "Spanky's Quest (Europe).sfc",          524288, 0x7317705e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpankysQuestEurope)
STD_ROM_FN(rSpankysQuestEurope)

struct BurnDriver BurnDrvrSpankysQuestEurope = {
	"Spanky's Quest (Europe)", NULL, NULL, "1986",
	"Spanky's Quest (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spanky's Quest (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpankysQuestEuropeRomInfo, rSpankysQuestEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpankysQuestUSARomDesc[] = {
	{ "Spanky's Quest (USA).sfc",          524288, 0xca68c5c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpankysQuestUSA)
STD_ROM_FN(rSpankysQuestUSA)

struct BurnDriver BurnDrvrSpankysQuestUSA = {
	"Spanky's Quest (USA)", NULL, NULL, "1986",
	"Spanky's Quest (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spanky's Quest (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpankysQuestUSARomInfo, rSpankysQuestUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSparkWorldJapanRomDesc[] = {
	{ "Spark World (Japan).sfc",          524288, 0x4cc4f40c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSparkWorldJapan)
STD_ROM_FN(rSparkWorldJapan)

struct BurnDriver BurnDrvrSparkWorldJapan = {
	"Spark World (Japan)", NULL, NULL, "1986",
	"Spark World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spark World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSparkWorldJapanRomInfo, rSparkWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSparksterEuropeRomDesc[] = {
	{ "Sparkster (Europe).sfc",          1048576, 0xf43c155c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSparksterEurope)
STD_ROM_FN(rSparksterEurope)

struct BurnDriver BurnDrvrSparksterEurope = {
	"Sparkster (Europe)", NULL, NULL, "1986",
	"Sparkster (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sparkster (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSparksterEuropeRomInfo, rSparksterEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSparksterJapanRomDesc[] = {
	{ "Sparkster (Japan).sfc",          1048576, 0xf5a2a976, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSparksterJapan)
STD_ROM_FN(rSparksterJapan)

struct BurnDriver BurnDrvrSparksterJapan = {
	"Sparkster (Japan)", NULL, NULL, "1986",
	"Sparkster (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sparkster (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSparksterJapanRomInfo, rSparksterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSparksterUSARomDesc[] = {
	{ "Sparkster (USA).sfc",          1048576, 0x40d11c94, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSparksterUSA)
STD_ROM_FN(rSparksterUSA)

struct BurnDriver BurnDrvrSparksterUSA = {
	"Sparkster (USA)", NULL, NULL, "1986",
	"Sparkster (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sparkster (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSparksterUSARomInfo, rSparksterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpawnEuropeRomDesc[] = {
	{ "Spawn (Europe).sfc",          3145728, 0xca0b84f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpawnEurope)
STD_ROM_FN(rSpawnEurope)

struct BurnDriver BurnDrvrSpawnEurope = {
	"Spawn (Europe)", NULL, NULL, "1986",
	"Spawn (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spawn (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpawnEuropeRomInfo, rSpawnEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpawnUSARomDesc[] = {
	{ "Spawn (USA).sfc",          3145728, 0x4e1dafd0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpawnUSA)
STD_ROM_FN(rSpawnUSA)

struct BurnDriver BurnDrvrSpawnUSA = {
	"Spawn (USA)", NULL, NULL, "1986",
	"Spawn (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spawn (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpawnUSARomInfo, rSpawnUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpecialTeeShotJapanBSRomDesc[] = {
	{ "Special Tee Shot (Japan) (BS).sfc",          1048576, 0x2703f38e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpecialTeeShotJapanBS)
STD_ROM_FN(rSpecialTeeShotJapanBS)

struct BurnDriver BurnDrvrSpecialTeeShotJapanBS = {
	"Special Tee Shot (Japan) (BS)", NULL, NULL, "1986",
	"Special Tee Shot (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Special Tee Shot (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpecialTeeShotJapanBSRomInfo, rSpecialTeeShotJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpectreEuropeRomDesc[] = {
	{ "Spectre (Europe).sfc",          1048576, 0xc029c0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpectreEurope)
STD_ROM_FN(rSpectreEurope)

struct BurnDriver BurnDrvrSpectreEurope = {
	"Spectre (Europe)", NULL, NULL, "1986",
	"Spectre (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spectre (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpectreEuropeRomInfo, rSpectreEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpectreUSARomDesc[] = {
	{ "Spectre (USA).sfc",          1048576, 0xade6e0d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpectreUSA)
STD_ROM_FN(rSpectreUSA)

struct BurnDriver BurnDrvrSpectreUSA = {
	"Spectre (USA)", NULL, NULL, "1986",
	"Spectre (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spectre (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpectreUSARomInfo, rSpectreUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpeedRacerinMyMostDangerousAdventuresUSARomDesc[] = {
	{ "Speed Racer in My Most Dangerous Adventures (USA).sfc",          2097152, 0xaa44287c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpeedRacerinMyMostDangerousAdventuresUSA)
STD_ROM_FN(rSpeedRacerinMyMostDangerousAdventuresUSA)

struct BurnDriver BurnDrvrSpeedRacerinMyMostDangerousAdventuresUSA = {
	"Speed Racer in My Most Dangerous Adventures (USA)", NULL, NULL, "1986",
	"Speed Racer in My Most Dangerous Adventures (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Speed Racer in My Most Dangerous Adventures (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpeedRacerinMyMostDangerousAdventuresUSARomInfo, rSpeedRacerinMyMostDangerousAdventuresUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpeedyGonzalesLosGatosBandidosUSARev1RomDesc[] = {
	{ "Speedy Gonzales - Los Gatos Bandidos (USA) (Rev 1).sfc",          1048576, 0xcb0653d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpeedyGonzalesLosGatosBandidosUSARev1)
STD_ROM_FN(rSpeedyGonzalesLosGatosBandidosUSARev1)

struct BurnDriver BurnDrvrSpeedyGonzalesLosGatosBandidosUSARev1 = {
	"Speedy Gonzales - Los Gatos Bandidos (USA) (Rev 1)", NULL, NULL, "1986",
	"Speedy Gonzales - Los Gatos Bandidos (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Speedy Gonzales - Los Gatos Bandidos (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpeedyGonzalesLosGatosBandidosUSARev1RomInfo, rSpeedyGonzalesLosGatosBandidosUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpeedyGonzalesLosGatosBandidosUSARomDesc[] = {
	{ "Speedy Gonzales - Los Gatos Bandidos (USA).sfc",          1048576, 0xe2dbad76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpeedyGonzalesLosGatosBandidosUSA)
STD_ROM_FN(rSpeedyGonzalesLosGatosBandidosUSA)

struct BurnDriver BurnDrvrSpeedyGonzalesLosGatosBandidosUSA = {
	"Speedy Gonzales - Los Gatos Bandidos (USA)", NULL, NULL, "1986",
	"Speedy Gonzales - Los Gatos Bandidos (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Speedy Gonzales - Los Gatos Bandidos (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpeedyGonzalesLosGatosBandidosUSARomInfo, rSpeedyGonzalesLosGatosBandidosUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpeedyGonzalesinLosGatosBandidosEuropeProtoRomDesc[] = {
	{ "Speedy Gonzales in Los Gatos Bandidos (Europe) (Proto).sfc",          1048576, 0xefe9e087, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpeedyGonzalesinLosGatosBandidosEuropeProto)
STD_ROM_FN(rSpeedyGonzalesinLosGatosBandidosEuropeProto)

struct BurnDriver BurnDrvrSpeedyGonzalesinLosGatosBandidosEuropeProto = {
	"Speedy Gonzales in Los Gatos Bandidos (Europe) (Proto)", NULL, NULL, "1986",
	"Speedy Gonzales in Los Gatos Bandidos (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Speedy Gonzales in Los Gatos Bandidos (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpeedyGonzalesinLosGatosBandidosEuropeProtoRomInfo, rSpeedyGonzalesinLosGatosBandidosEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpeedyGonzalesinLosGatosBandidosUSABetaRomDesc[] = {
	{ "Speedy Gonzales in Los Gatos Bandidos (USA) (Beta).sfc",          1048576, 0xe44f42ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpeedyGonzalesinLosGatosBandidosUSABeta)
STD_ROM_FN(rSpeedyGonzalesinLosGatosBandidosUSABeta)

struct BurnDriver BurnDrvrSpeedyGonzalesinLosGatosBandidosUSABeta = {
	"Speedy Gonzales in Los Gatos Bandidos (USA) (Beta)", NULL, NULL, "1986",
	"Speedy Gonzales in Los Gatos Bandidos (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Speedy Gonzales in Los Gatos Bandidos (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpeedyGonzalesinLosGatosBandidosUSABetaRomInfo, rSpeedyGonzalesinLosGatosBandidosUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpellCraftUSAProtoRomDesc[] = {
	{ "SpellCraft (USA) (Proto).sfc",          1048576, 0x3daea8a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpellCraftUSAProto)
STD_ROM_FN(rSpellCraftUSAProto)

struct BurnDriver BurnDrvrSpellCraftUSAProto = {
	"SpellCraft (USA) (Proto)", NULL, NULL, "1986",
	"SpellCraft (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"SpellCraft (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpellCraftUSAProtoRomInfo, rSpellCraftUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManEuropeRomDesc[] = {
	{ "Spider-Man (Europe).sfc",          2097152, 0x2c52d37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManEurope)
STD_ROM_FN(rSpiderManEurope)

struct BurnDriver BurnDrvrSpiderManEurope = {
	"Spider-Man (Europe)", NULL, NULL, "1986",
	"Spider-Man (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManEuropeRomInfo, rSpiderManEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManUSABetaRomDesc[] = {
	{ "Spider-Man (USA) (Beta).sfc",          1572864, 0xdc57fc0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManUSABeta)
STD_ROM_FN(rSpiderManUSABeta)

struct BurnDriver BurnDrvrSpiderManUSABeta = {
	"Spider-Man (USA) (Beta)", NULL, NULL, "1986",
	"Spider-Man (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManUSABetaRomInfo, rSpiderManUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManUSARomDesc[] = {
	{ "Spider-Man (USA).sfc",          2097152, 0xc99e174e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManUSA)
STD_ROM_FN(rSpiderManUSA)

struct BurnDriver BurnDrvrSpiderManUSA = {
	"Spider-Man (USA)", NULL, NULL, "1986",
	"Spider-Man (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManUSARomInfo, rSpiderManUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManandtheXMeninArcadesRevengeUSABetabRomDesc[] = {
	{ "Spider-Man and the X-Men in Arcade's Revenge (USA) (Beta) [b].sfc",          1048576, 0x6fd2cd8c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManandtheXMeninArcadesRevengeUSABetab)
STD_ROM_FN(rSpiderManandtheXMeninArcadesRevengeUSABetab)

struct BurnDriver BurnDrvrSpiderManandtheXMeninArcadesRevengeUSABetab = {
	"Spider-Man and the X-Men in Arcade's Revenge (USA) (Beta) [b]", NULL, NULL, "1986",
	"Spider-Man and the X-Men in Arcade's Revenge (USA) (Beta) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man and the X-Men in Arcade's Revenge (USA) (Beta) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManandtheXMeninArcadesRevengeUSABetabRomInfo, rSpiderManandtheXMeninArcadesRevengeUSABetabRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManVenomMaximumCarnageEuropeRomDesc[] = {
	{ "Spider-Man-Venom - Maximum Carnage (Europe).sfc",          2097152, 0xd2b0d5fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManVenomMaximumCarnageEurope)
STD_ROM_FN(rSpiderManVenomMaximumCarnageEurope)

struct BurnDriver BurnDrvrSpiderManVenomMaximumCarnageEurope = {
	"Spider-Man-Venom - Maximum Carnage (Europe)", NULL, NULL, "1986",
	"Spider-Man-Venom - Maximum Carnage (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man-Venom - Maximum Carnage (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManVenomMaximumCarnageEuropeRomInfo, rSpiderManVenomMaximumCarnageEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManVenomMaximumCarnageUSARomDesc[] = {
	{ "Spider-Man-Venom - Maximum Carnage (USA).sfc",          2097152, 0x7ef2bb0c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManVenomMaximumCarnageUSA)
STD_ROM_FN(rSpiderManVenomMaximumCarnageUSA)

struct BurnDriver BurnDrvrSpiderManVenomMaximumCarnageUSA = {
	"Spider-Man-Venom - Maximum Carnage (USA)", NULL, NULL, "1986",
	"Spider-Man-Venom - Maximum Carnage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man-Venom - Maximum Carnage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManVenomMaximumCarnageUSARomInfo, rSpiderManVenomMaximumCarnageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManXMenArcadesRevengeEuropeRomDesc[] = {
	{ "Spider-Man-X-Men - Arcade's Revenge (Europe).sfc",          1048576, 0xd679058d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManXMenArcadesRevengeEurope)
STD_ROM_FN(rSpiderManXMenArcadesRevengeEurope)

struct BurnDriver BurnDrvrSpiderManXMenArcadesRevengeEurope = {
	"Spider-Man-X-Men - Arcade's Revenge (Europe)", NULL, NULL, "1986",
	"Spider-Man-X-Men - Arcade's Revenge (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man-X-Men - Arcade's Revenge (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManXMenArcadesRevengeEuropeRomInfo, rSpiderManXMenArcadesRevengeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpiderManXMenArcadesRevengeUSARomDesc[] = {
	{ "Spider-Man-X-Men - Arcade's Revenge (USA).sfc",          1048576, 0xae878ccb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpiderManXMenArcadesRevengeUSA)
STD_ROM_FN(rSpiderManXMenArcadesRevengeUSA)

struct BurnDriver BurnDrvrSpiderManXMenArcadesRevengeUSA = {
	"Spider-Man-X-Men - Arcade's Revenge (USA)", NULL, NULL, "1986",
	"Spider-Man-X-Men - Arcade's Revenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spider-Man-X-Men - Arcade's Revenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpiderManXMenArcadesRevengeUSARomInfo, rSpiderManXMenArcadesRevengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpindizzyWorldsEuropeRomDesc[] = {
	{ "Spindizzy Worlds (Europe).sfc",          1048576, 0x4ffdc221, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpindizzyWorldsEurope)
STD_ROM_FN(rSpindizzyWorldsEurope)

struct BurnDriver BurnDrvrSpindizzyWorldsEurope = {
	"Spindizzy Worlds (Europe)", NULL, NULL, "1986",
	"Spindizzy Worlds (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spindizzy Worlds (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpindizzyWorldsEuropeRomInfo, rSpindizzyWorldsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpindizzyWorldsJapanRomDesc[] = {
	{ "Spindizzy Worlds (Japan).sfc",          1048576, 0x8f5b2404, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpindizzyWorldsJapan)
STD_ROM_FN(rSpindizzyWorldsJapan)

struct BurnDriver BurnDrvrSpindizzyWorldsJapan = {
	"Spindizzy Worlds (Japan)", NULL, NULL, "1986",
	"Spindizzy Worlds (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spindizzy Worlds (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpindizzyWorldsJapanRomInfo, rSpindizzyWorldsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpindizzyWorldsUSARomDesc[] = {
	{ "Spindizzy Worlds (USA).sfc",          1048576, 0x52b68163, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpindizzyWorldsUSA)
STD_ROM_FN(rSpindizzyWorldsUSA)

struct BurnDriver BurnDrvrSpindizzyWorldsUSA = {
	"Spindizzy Worlds (USA)", NULL, NULL, "1986",
	"Spindizzy Worlds (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spindizzy Worlds (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpindizzyWorldsUSARomInfo, rSpindizzyWorldsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSpirouEuropeEnFrDeEsRomDesc[] = {
	{ "Spirou (Europe) (En,Fr,De,Es).sfc",          1310720, 0x797e2e82, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSpirouEuropeEnFrDeEs)
STD_ROM_FN(rSpirouEuropeEnFrDeEs)

struct BurnDriver BurnDrvrSpirouEuropeEnFrDeEs = {
	"Spirou (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Spirou (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spirou (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSpirouEuropeEnFrDeEsRomInfo, rSpirouEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSportingNewsPowerBaseballTheUSARomDesc[] = {
	{ "Sporting News Power Baseball, The (USA).sfc",          1048576, 0x315af696, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSportingNewsPowerBaseballTheUSA)
STD_ROM_FN(rSportingNewsPowerBaseballTheUSA)

struct BurnDriver BurnDrvrSportingNewsPowerBaseballTheUSA = {
	"Sporting News Power Baseball, The (USA)", NULL, NULL, "1986",
	"Sporting News Power Baseball, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sporting News Power Baseball, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSportingNewsPowerBaseballTheUSARomInfo, rSportingNewsPowerBaseballTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSportsIllustratedChampionshipFootballBaseballUSABetaRomDesc[] = {
	{ "Sports Illustrated Championship Football & Baseball (USA) (Beta).sfc",          2097152, 0xed9aa0e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSportsIllustratedChampionshipFootballBaseballUSABeta)
STD_ROM_FN(rSportsIllustratedChampionshipFootballBaseballUSABeta)

struct BurnDriver BurnDrvrSportsIllustratedChampionshipFootballBaseballUSABeta = {
	"Sports Illustrated Championship Football & Baseball (USA) (Beta)", NULL, NULL, "1986",
	"Sports Illustrated Championship Football & Baseball (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sports Illustrated Championship Football & Baseball (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSportsIllustratedChampionshipFootballBaseballUSABetaRomInfo, rSportsIllustratedChampionshipFootballBaseballUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSportsIllustratedChampionshipFootballBaseballUSARomDesc[] = {
	{ "Sports Illustrated Championship Football & Baseball (USA).sfc",          2097152, 0xd4874966, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSportsIllustratedChampionshipFootballBaseballUSA)
STD_ROM_FN(rSportsIllustratedChampionshipFootballBaseballUSA)

struct BurnDriver BurnDrvrSportsIllustratedChampionshipFootballBaseballUSA = {
	"Sports Illustrated Championship Football & Baseball (USA)", NULL, NULL, "1986",
	"Sports Illustrated Championship Football & Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sports Illustrated Championship Football & Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSportsIllustratedChampionshipFootballBaseballUSARomInfo, rSportsIllustratedChampionshipFootballBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSprigganPoweredJapanRomDesc[] = {
	{ "Spriggan Powered (Japan).sfc",          1048576, 0x3f83f67c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSprigganPoweredJapan)
STD_ROM_FN(rSprigganPoweredJapan)

struct BurnDriver BurnDrvrSprigganPoweredJapan = {
	"Spriggan Powered (Japan)", NULL, NULL, "1986",
	"Spriggan Powered (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spriggan Powered (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSprigganPoweredJapanRomInfo, rSprigganPoweredJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSprigganPoweredBSPreludeJapanBSRomDesc[] = {
	{ "Spriggan Powered BS - Prelude (Japan) (BS).sfc",          1048576, 0x29b7cf34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSprigganPoweredBSPreludeJapanBS)
STD_ROM_FN(rSprigganPoweredBSPreludeJapanBS)

struct BurnDriver BurnDrvrSprigganPoweredBSPreludeJapanBS = {
	"Spriggan Powered BS - Prelude (Japan) (BS)", NULL, NULL, "1986",
	"Spriggan Powered BS - Prelude (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Spriggan Powered BS - Prelude (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSprigganPoweredBSPreludeJapanBSRomInfo, rSprigganPoweredBSPreludeJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSprinterMonogatariMezaseIkkakusenkinJapanRomDesc[] = {
	{ "Sprinter Monogatari - Mezase!! Ikkakusenkin (Japan).sfc",          1572864, 0x411f4d0a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSprinterMonogatariMezaseIkkakusenkinJapan)
STD_ROM_FN(rSprinterMonogatariMezaseIkkakusenkinJapan)

struct BurnDriver BurnDrvrSprinterMonogatariMezaseIkkakusenkinJapan = {
	"Sprinter Monogatari - Mezase!! Ikkakusenkin (Japan)", NULL, NULL, "1986",
	"Sprinter Monogatari - Mezase!! Ikkakusenkin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sprinter Monogatari - Mezase!! Ikkakusenkin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSprinterMonogatariMezaseIkkakusenkinJapanRomInfo, rSprinterMonogatariMezaseIkkakusenkinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStAndrewsEikoutoRekishinoOldCourseJapanRomDesc[] = {
	{ "St. Andrews - Eikou to Rekishi no Old Course (Japan).sfc",          1572864, 0xceaaadc2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStAndrewsEikoutoRekishinoOldCourseJapan)
STD_ROM_FN(rStAndrewsEikoutoRekishinoOldCourseJapan)

struct BurnDriver BurnDrvrStAndrewsEikoutoRekishinoOldCourseJapan = {
	"St. Andrews - Eikou to Rekishi no Old Course (Japan)", NULL, NULL, "1986",
	"St. Andrews - Eikou to Rekishi no Old Course (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"St. Andrews - Eikou to Rekishi no Old Course (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStAndrewsEikoutoRekishinoOldCourseJapanRomInfo, rStAndrewsEikoutoRekishinoOldCourseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStableStarKyuushaMonogatariJapanRomDesc[] = {
	{ "Stable Star - Kyuusha Monogatari (Japan).sfc",          4194304, 0x1dc14e8b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStableStarKyuushaMonogatariJapan)
STD_ROM_FN(rStableStarKyuushaMonogatariJapan)

struct BurnDriver BurnDrvrStableStarKyuushaMonogatariJapan = {
	"Stable Star - Kyuusha Monogatari (Japan)", NULL, NULL, "1986",
	"Stable Star - Kyuusha Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stable Star - Kyuusha Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStableStarKyuushaMonogatariJapanRomInfo, rStableStarKyuushaMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFoxJapanRomDesc[] = {
	{ "Star Fox (Japan).sfc",          1048576, 0x41a60b3f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFoxJapan)
STD_ROM_FN(rStarFoxJapan)

struct BurnDriver BurnDrvrStarFoxJapan = {
	"Star Fox (Japan)", NULL, NULL, "1986",
	"Star Fox (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFoxJapanRomInfo, rStarFoxJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFoxUSARev2RomDesc[] = {
	{ "Star Fox (USA) (Rev 2).sfc",          1048576, 0x8fc4e6d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFoxUSARev2)
STD_ROM_FN(rStarFoxUSARev2)

struct BurnDriver BurnDrvrStarFoxUSARev2 = {
	"Star Fox (USA) (Rev 2)", NULL, NULL, "1986",
	"Star Fox (USA) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox (USA) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFoxUSARev2RomInfo, rStarFoxUSARev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFoxUSASuperWeekendCompetitionRomDesc[] = {
	{ "Star Fox (USA) (Super Weekend Competition).sfc",          1048576, 0xcd1f04b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFoxUSASuperWeekendCompetition)
STD_ROM_FN(rStarFoxUSASuperWeekendCompetition)

struct BurnDriver BurnDrvrStarFoxUSASuperWeekendCompetition = {
	"Star Fox (USA) (Super Weekend Competition)", NULL, NULL, "1986",
	"Star Fox (USA) (Super Weekend Competition)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox (USA) (Super Weekend Competition)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFoxUSASuperWeekendCompetitionRomInfo, rStarFoxUSASuperWeekendCompetitionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFoxUSARomDesc[] = {
	{ "Star Fox (USA).sfc",          1048576, 0xbae0941, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFoxUSA)
STD_ROM_FN(rStarFoxUSA)

struct BurnDriver BurnDrvrStarFoxUSA = {
	"Star Fox (USA)", NULL, NULL, "1986",
	"Star Fox (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFoxUSARomInfo, rStarFoxUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFox2JapanProtoAlt1RomDesc[] = {
	{ "Star Fox 2 (Japan) (Proto) (Alt 1).sfc",          1048576, 0x79f3433d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFox2JapanProtoAlt1)
STD_ROM_FN(rStarFox2JapanProtoAlt1)

struct BurnDriver BurnDrvrStarFox2JapanProtoAlt1 = {
	"Star Fox 2 (Japan) (Proto) (Alt 1)", NULL, NULL, "1986",
	"Star Fox 2 (Japan) (Proto) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox 2 (Japan) (Proto) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFox2JapanProtoAlt1RomInfo, rStarFox2JapanProtoAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarFox2JapanProtoRomDesc[] = {
	{ "Star Fox 2 (Japan) (Proto).sfc",          945507, 0x70d7ad50, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarFox2JapanProto)
STD_ROM_FN(rStarFox2JapanProto)

struct BurnDriver BurnDrvrStarFox2JapanProto = {
	"Star Fox 2 (Japan) (Proto)", NULL, NULL, "1986",
	"Star Fox 2 (Japan) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Fox 2 (Japan) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarFox2JapanProtoRomInfo, rStarFox2JapanProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarOceanJapanRomDesc[] = {
	{ "Star Ocean (Japan).sfc",          6291456, 0x3dbdfdbf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarOceanJapan)
STD_ROM_FN(rStarOceanJapan)

struct BurnDriver BurnDrvrStarOceanJapan = {
	"Star Ocean (Japan)", NULL, NULL, "1986",
	"Star Ocean (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Ocean (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarOceanJapanRomInfo, rStarOceanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekDeepSpaceNineCrossroadsofTimeEuropeRomDesc[] = {
	{ "Star Trek - Deep Space Nine - Crossroads of Time (Europe).sfc",          1048576, 0x75bff780, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekDeepSpaceNineCrossroadsofTimeEurope)
STD_ROM_FN(rStarTrekDeepSpaceNineCrossroadsofTimeEurope)

struct BurnDriver BurnDrvrStarTrekDeepSpaceNineCrossroadsofTimeEurope = {
	"Star Trek - Deep Space Nine - Crossroads of Time (Europe)", NULL, NULL, "1986",
	"Star Trek - Deep Space Nine - Crossroads of Time (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Deep Space Nine - Crossroads of Time (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekDeepSpaceNineCrossroadsofTimeEuropeRomInfo, rStarTrekDeepSpaceNineCrossroadsofTimeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekDeepSpaceNineCrossroadsofTimeUSABetaRomDesc[] = {
	{ "Star Trek - Deep Space Nine - Crossroads of Time (USA) (Beta).sfc",          1572864, 0x7c149cff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekDeepSpaceNineCrossroadsofTimeUSABeta)
STD_ROM_FN(rStarTrekDeepSpaceNineCrossroadsofTimeUSABeta)

struct BurnDriver BurnDrvrStarTrekDeepSpaceNineCrossroadsofTimeUSABeta = {
	"Star Trek - Deep Space Nine - Crossroads of Time (USA) (Beta)", NULL, NULL, "1986",
	"Star Trek - Deep Space Nine - Crossroads of Time (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Deep Space Nine - Crossroads of Time (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekDeepSpaceNineCrossroadsofTimeUSABetaRomInfo, rStarTrekDeepSpaceNineCrossroadsofTimeUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekDeepSpaceNineCrossroadsofTimeUSARomDesc[] = {
	{ "Star Trek - Deep Space Nine - Crossroads of Time (USA).sfc",          1048576, 0x9a245fa3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekDeepSpaceNineCrossroadsofTimeUSA)
STD_ROM_FN(rStarTrekDeepSpaceNineCrossroadsofTimeUSA)

struct BurnDriver BurnDrvrStarTrekDeepSpaceNineCrossroadsofTimeUSA = {
	"Star Trek - Deep Space Nine - Crossroads of Time (USA)", NULL, NULL, "1986",
	"Star Trek - Deep Space Nine - Crossroads of Time (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Deep Space Nine - Crossroads of Time (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekDeepSpaceNineCrossroadsofTimeUSARomInfo, rStarTrekDeepSpaceNineCrossroadsofTimeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekStarfleetAcademyStarshipBridgeSimulatorEuropeRomDesc[] = {
	{ "Star Trek - Starfleet Academy - Starship Bridge Simulator (Europe).sfc",          1048576, 0x7c07e4a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekStarfleetAcademyStarshipBridgeSimulatorEurope)
STD_ROM_FN(rStarTrekStarfleetAcademyStarshipBridgeSimulatorEurope)

struct BurnDriver BurnDrvrStarTrekStarfleetAcademyStarshipBridgeSimulatorEurope = {
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (Europe)", NULL, NULL, "1986",
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Starfleet Academy - Starship Bridge Simulator (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekStarfleetAcademyStarshipBridgeSimulatorEuropeRomInfo, rStarTrekStarfleetAcademyStarshipBridgeSimulatorEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekStarfleetAcademyStarshipBridgeSimulatorGermanyRomDesc[] = {
	{ "Star Trek - Starfleet Academy - Starship Bridge Simulator (Germany).sfc",          1048576, 0xcb2738bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekStarfleetAcademyStarshipBridgeSimulatorGermany)
STD_ROM_FN(rStarTrekStarfleetAcademyStarshipBridgeSimulatorGermany)

struct BurnDriver BurnDrvrStarTrekStarfleetAcademyStarshipBridgeSimulatorGermany = {
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (Germany)", NULL, NULL, "1986",
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Starfleet Academy - Starship Bridge Simulator (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekStarfleetAcademyStarshipBridgeSimulatorGermanyRomInfo, rStarTrekStarfleetAcademyStarshipBridgeSimulatorGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekStarfleetAcademyStarshipBridgeSimulatorUSARomDesc[] = {
	{ "Star Trek - Starfleet Academy - Starship Bridge Simulator (USA).sfc",          1048576, 0x2db38d24, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekStarfleetAcademyStarshipBridgeSimulatorUSA)
STD_ROM_FN(rStarTrekStarfleetAcademyStarshipBridgeSimulatorUSA)

struct BurnDriver BurnDrvrStarTrekStarfleetAcademyStarshipBridgeSimulatorUSA = {
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (USA)", NULL, NULL, "1986",
	"Star Trek - Starfleet Academy - Starship Bridge Simulator (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - Starfleet Academy - Starship Bridge Simulator (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekStarfleetAcademyStarshipBridgeSimulatorUSARomInfo, rStarTrekStarfleetAcademyStarshipBridgeSimulatorUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekTheNextGenerationFuturesPastEuropeRomDesc[] = {
	{ "Star Trek - The Next Generation - Future's Past (Europe).sfc",          2097152, 0xd1a1f7e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekTheNextGenerationFuturesPastEurope)
STD_ROM_FN(rStarTrekTheNextGenerationFuturesPastEurope)

struct BurnDriver BurnDrvrStarTrekTheNextGenerationFuturesPastEurope = {
	"Star Trek - The Next Generation - Future's Past (Europe)", NULL, NULL, "1986",
	"Star Trek - The Next Generation - Future's Past (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - The Next Generation - Future's Past (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekTheNextGenerationFuturesPastEuropeRomInfo, rStarTrekTheNextGenerationFuturesPastEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarTrekTheNextGenerationFuturesPastUSARomDesc[] = {
	{ "Star Trek - The Next Generation - Future's Past (USA).sfc",          2097152, 0x8de80428, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarTrekTheNextGenerationFuturesPastUSA)
STD_ROM_FN(rStarTrekTheNextGenerationFuturesPastUSA)

struct BurnDriver BurnDrvrStarTrekTheNextGenerationFuturesPastUSA = {
	"Star Trek - The Next Generation - Future's Past (USA)", NULL, NULL, "1986",
	"Star Trek - The Next Generation - Future's Past (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Star Trek - The Next Generation - Future's Past (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarTrekTheNextGenerationFuturesPastUSARomInfo, rStarTrekTheNextGenerationFuturesPastUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStardustSuplexJapanRomDesc[] = {
	{ "Stardust Suplex (Japan).sfc",          2621440, 0xada27d91, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStardustSuplexJapan)
STD_ROM_FN(rStardustSuplexJapan)

struct BurnDriver BurnDrvrStardustSuplexJapan = {
	"Stardust Suplex (Japan)", NULL, NULL, "1986",
	"Stardust Suplex (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stardust Suplex (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStardustSuplexJapanRomInfo, rStardustSuplexJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStargateEuropeEnFrDeRomDesc[] = {
	{ "Stargate (Europe) (En,Fr,De).sfc",          2097152, 0xaf4d4439, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStargateEuropeEnFrDe)
STD_ROM_FN(rStargateEuropeEnFrDe)

struct BurnDriver BurnDrvrStargateEuropeEnFrDe = {
	"Stargate (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Stargate (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stargate (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStargateEuropeEnFrDeRomInfo, rStargateEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStargateJapanRomDesc[] = {
	{ "Stargate (Japan).sfc",          2097152, 0x24bbddf8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStargateJapan)
STD_ROM_FN(rStargateJapan)

struct BurnDriver BurnDrvrStargateJapan = {
	"Stargate (Japan)", NULL, NULL, "1986",
	"Stargate (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stargate (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStargateJapanRomInfo, rStargateJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStargateUSABetaRomDesc[] = {
	{ "Stargate (USA) (Beta).sfc",          2097152, 0x2bb45263, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStargateUSABeta)
STD_ROM_FN(rStargateUSABeta)

struct BurnDriver BurnDrvrStargateUSABeta = {
	"Stargate (USA) (Beta)", NULL, NULL, "1986",
	"Stargate (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stargate (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStargateUSABetaRomInfo, rStargateUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStargateUSARomDesc[] = {
	{ "Stargate (USA).sfc",          2097152, 0x526ce576, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStargateUSA)
STD_ROM_FN(rStargateUSA)

struct BurnDriver BurnDrvrStargateUSA = {
	"Stargate (USA)", NULL, NULL, "1986",
	"Stargate (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stargate (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStargateUSARomInfo, rStargateUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarwingEuropeRev1RomDesc[] = {
	{ "Starwing (Europe) (Rev 1).sfc",          1048576, 0xba64da2b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarwingEuropeRev1)
STD_ROM_FN(rStarwingEuropeRev1)

struct BurnDriver BurnDrvrStarwingEuropeRev1 = {
	"Starwing (Europe) (Rev 1)", NULL, NULL, "1986",
	"Starwing (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Starwing (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarwingEuropeRev1RomInfo, rStarwingEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarwingEuropeSuperWeekendCompetitionRomDesc[] = {
	{ "Starwing (Europe) (Super Weekend Competition).sfc",          1048576, 0x17c8fe56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarwingEuropeSuperWeekendCompetition)
STD_ROM_FN(rStarwingEuropeSuperWeekendCompetition)

struct BurnDriver BurnDrvrStarwingEuropeSuperWeekendCompetition = {
	"Starwing (Europe) (Super Weekend Competition)", NULL, NULL, "1986",
	"Starwing (Europe) (Super Weekend Competition)\0", NULL, "Nintendo", "Miscellaneous",
	L"Starwing (Europe) (Super Weekend Competition)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarwingEuropeSuperWeekendCompetitionRomInfo, rStarwingEuropeSuperWeekendCompetitionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarwingEuropeRomDesc[] = {
	{ "Starwing (Europe).sfc",          1048576, 0x865f1a71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarwingEurope)
STD_ROM_FN(rStarwingEurope)

struct BurnDriver BurnDrvrStarwingEurope = {
	"Starwing (Europe)", NULL, NULL, "1986",
	"Starwing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Starwing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarwingEuropeRomInfo, rStarwingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarwingGermanyCompetitionEditionRomDesc[] = {
	{ "Starwing (Germany) (Competition Edition).sfc",          1048576, 0xb25f606a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarwingGermanyCompetitionEdition)
STD_ROM_FN(rStarwingGermanyCompetitionEdition)

struct BurnDriver BurnDrvrStarwingGermanyCompetitionEdition = {
	"Starwing (Germany) (Competition Edition)", NULL, NULL, "1986",
	"Starwing (Germany) (Competition Edition)\0", NULL, "Nintendo", "Miscellaneous",
	L"Starwing (Germany) (Competition Edition)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarwingGermanyCompetitionEditionRomInfo, rStarwingGermanyCompetitionEditionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStarwingGermanyRomDesc[] = {
	{ "Starwing (Germany).sfc",          1048576, 0xb48ca238, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStarwingGermany)
STD_ROM_FN(rStarwingGermany)

struct BurnDriver BurnDrvrStarwingGermany = {
	"Starwing (Germany)", NULL, NULL, "1986",
	"Starwing (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Starwing (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStarwingGermanyRomInfo, rStarwingGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStealthJapanRomDesc[] = {
	{ "Stealth (Japan).sfc",          1048576, 0xe0b197ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStealthJapan)
STD_ROM_FN(rStealthJapan)

struct BurnDriver BurnDrvrStealthJapan = {
	"Stealth (Japan)", NULL, NULL, "1986",
	"Stealth (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stealth (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStealthJapanRomInfo, rStealthJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSteelTalonsUSARomDesc[] = {
	{ "Steel Talons (USA).sfc",          524288, 0x4ea9f93f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSteelTalonsUSA)
STD_ROM_FN(rSteelTalonsUSA)

struct BurnDriver BurnDrvrSteelTalonsUSA = {
	"Steel Talons (USA)", NULL, NULL, "1986",
	"Steel Talons (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Steel Talons (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSteelTalonsUSARomInfo, rSteelTalonsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSterlingSharpeEnd2EndUSARomDesc[] = {
	{ "Sterling Sharpe - End 2 End (USA).sfc",          1048576, 0x70d9c906, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSterlingSharpeEnd2EndUSA)
STD_ROM_FN(rSterlingSharpeEnd2EndUSA)

struct BurnDriver BurnDrvrSterlingSharpeEnd2EndUSA = {
	"Sterling Sharpe - End 2 End (USA)", NULL, NULL, "1986",
	"Sterling Sharpe - End 2 End (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sterling Sharpe - End 2 End (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSterlingSharpeEnd2EndUSARomInfo, rSterlingSharpeEnd2EndUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStevenSeagalIsTheFinalOptionUSAProtoRomDesc[] = {
	{ "Steven Seagal Is The Final Option (USA) (Proto).sfc",          2097152, 0x59e83aaf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStevenSeagalIsTheFinalOptionUSAProto)
STD_ROM_FN(rStevenSeagalIsTheFinalOptionUSAProto)

struct BurnDriver BurnDrvrStevenSeagalIsTheFinalOptionUSAProto = {
	"Steven Seagal Is The Final Option (USA) (Proto)", NULL, NULL, "1986",
	"Steven Seagal Is The Final Option (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Steven Seagal Is The Final Option (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStevenSeagalIsTheFinalOptionUSAProtoRomInfo, rStevenSeagalIsTheFinalOptionUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStoneProtectorsJapanRomDesc[] = {
	{ "Stone Protectors (Japan).sfc",          2097152, 0xff47c49e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStoneProtectorsJapan)
STD_ROM_FN(rStoneProtectorsJapan)

struct BurnDriver BurnDrvrStoneProtectorsJapan = {
	"Stone Protectors (Japan)", NULL, NULL, "1986",
	"Stone Protectors (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stone Protectors (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStoneProtectorsJapanRomInfo, rStoneProtectorsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStoneProtectorsUSARomDesc[] = {
	{ "Stone Protectors (USA).sfc",          2097152, 0xa7e58592, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStoneProtectorsUSA)
STD_ROM_FN(rStoneProtectorsUSA)

struct BurnDriver BurnDrvrStoneProtectorsUSA = {
	"Stone Protectors (USA)", NULL, NULL, "1986",
	"Stone Protectors (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stone Protectors (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStoneProtectorsUSARomInfo, rStoneProtectorsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetCombatEuropeRomDesc[] = {
	{ "Street Combat (Europe).sfc",          1048576, 0x4a4c657e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetCombatEurope)
STD_ROM_FN(rStreetCombatEurope)

struct BurnDriver BurnDrvrStreetCombatEurope = {
	"Street Combat (Europe)", NULL, NULL, "1986",
	"Street Combat (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Combat (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetCombatEuropeRomInfo, rStreetCombatEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetCombatUSARomDesc[] = {
	{ "Street Combat (USA).sfc",          1048576, 0x1969bbd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetCombatUSA)
STD_ROM_FN(rStreetCombatUSA)

struct BurnDriver BurnDrvrStreetCombatUSA = {
	"Street Combat (USA)", NULL, NULL, "1986",
	"Street Combat (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Combat (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetCombatUSARomInfo, rStreetCombatUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterAlpha2EuropeRomDesc[] = {
	{ "Street Fighter Alpha 2 (Europe).sfc",          4194304, 0x2f109101, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterAlpha2Europe)
STD_ROM_FN(rStreetFighterAlpha2Europe)

struct BurnDriver BurnDrvrStreetFighterAlpha2Europe = {
	"Street Fighter Alpha 2 (Europe)", NULL, NULL, "1986",
	"Street Fighter Alpha 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter Alpha 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterAlpha2EuropeRomInfo, rStreetFighterAlpha2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterAlpha2USARomDesc[] = {
	{ "Street Fighter Alpha 2 (USA).sfc",          4194304, 0x9c59ddff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterAlpha2USA)
STD_ROM_FN(rStreetFighterAlpha2USA)

struct BurnDriver BurnDrvrStreetFighterAlpha2USA = {
	"Street Fighter Alpha 2 (USA)", NULL, NULL, "1986",
	"Street Fighter Alpha 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter Alpha 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterAlpha2USARomInfo, rStreetFighterAlpha2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterEXWorldUnlRomDesc[] = {
	{ "Street Fighter EX (World) (Unl).sfc",          2097152, 0xdad59b9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterEXWorldUnl)
STD_ROM_FN(rStreetFighterEXWorldUnl)

struct BurnDriver BurnDrvrStreetFighterEXWorldUnl = {
	"Street Fighter EX (World) (Unl)", NULL, NULL, "1986",
	"Street Fighter EX (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter EX (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterEXWorldUnlRomInfo, rStreetFighterEXWorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIIEuropeRomDesc[] = {
	{ "Street Fighter II (Europe).sfc",          2097152, 0x8b93f566, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIIEurope)
STD_ROM_FN(rStreetFighterIIEurope)

struct BurnDriver BurnDrvrStreetFighterIIEurope = {
	"Street Fighter II (Europe)", NULL, NULL, "1986",
	"Street Fighter II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIIEuropeRomInfo, rStreetFighterIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIIJapanRomDesc[] = {
	{ "Street Fighter II (Japan).sfc",          2097152, 0x5556c5c9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIIJapan)
STD_ROM_FN(rStreetFighterIIJapan)

struct BurnDriver BurnDrvrStreetFighterIIJapan = {
	"Street Fighter II (Japan)", NULL, NULL, "1986",
	"Street Fighter II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIIJapanRomInfo, rStreetFighterIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIIUSARomDesc[] = {
	{ "Street Fighter II (USA).sfc",          2097152, 0xbc3dcd9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIIUSA)
STD_ROM_FN(rStreetFighterIIUSA)

struct BurnDriver BurnDrvrStreetFighterIIUSA = {
	"Street Fighter II (USA)", NULL, NULL, "1986",
	"Street Fighter II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIIUSARomInfo, rStreetFighterIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIITurboEuropeRev1RomDesc[] = {
	{ "Street Fighter II Turbo (Europe) (Rev 1).sfc",          2621440, 0xabbc185d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIITurboEuropeRev1)
STD_ROM_FN(rStreetFighterIITurboEuropeRev1)

struct BurnDriver BurnDrvrStreetFighterIITurboEuropeRev1 = {
	"Street Fighter II Turbo (Europe) (Rev 1)", NULL, NULL, "1986",
	"Street Fighter II Turbo (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II Turbo (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIITurboEuropeRev1RomInfo, rStreetFighterIITurboEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIITurboEuropeRomDesc[] = {
	{ "Street Fighter II Turbo (Europe).sfc",          2621440, 0xa3ee22e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIITurboEurope)
STD_ROM_FN(rStreetFighterIITurboEurope)

struct BurnDriver BurnDrvrStreetFighterIITurboEurope = {
	"Street Fighter II Turbo (Europe)", NULL, NULL, "1986",
	"Street Fighter II Turbo (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II Turbo (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIITurboEuropeRomInfo, rStreetFighterIITurboEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIITurboJapanRomDesc[] = {
	{ "Street Fighter II Turbo (Japan).sfc",          2621440, 0x364087e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIITurboJapan)
STD_ROM_FN(rStreetFighterIITurboJapan)

struct BurnDriver BurnDrvrStreetFighterIITurboJapan = {
	"Street Fighter II Turbo (Japan)", NULL, NULL, "1986",
	"Street Fighter II Turbo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II Turbo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIITurboJapanRomInfo, rStreetFighterIITurboJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterIITurboUSARomDesc[] = {
	{ "Street Fighter II Turbo (USA).sfc",          2621440, 0xa45cadd6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterIITurboUSA)
STD_ROM_FN(rStreetFighterIITurboUSA)

struct BurnDriver BurnDrvrStreetFighterIITurboUSA = {
	"Street Fighter II Turbo (USA)", NULL, NULL, "1986",
	"Street Fighter II Turbo (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter II Turbo (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterIITurboUSARomInfo, rStreetFighterIITurboUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetFighterZero2JapanRomDesc[] = {
	{ "Street Fighter Zero 2 (Japan).sfc",          4194304, 0x7455a7cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetFighterZero2Japan)
STD_ROM_FN(rStreetFighterZero2Japan)

struct BurnDriver BurnDrvrStreetFighterZero2Japan = {
	"Street Fighter Zero 2 (Japan)", NULL, NULL, "1986",
	"Street Fighter Zero 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Fighter Zero 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetFighterZero2JapanRomInfo, rStreetFighterZero2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetHockey95USABetaRomDesc[] = {
	{ "Street Hockey '95 (USA) (Beta).sfc",          3145728, 0x29296976, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetHockey95USABeta)
STD_ROM_FN(rStreetHockey95USABeta)

struct BurnDriver BurnDrvrStreetHockey95USABeta = {
	"Street Hockey '95 (USA) (Beta)", NULL, NULL, "1986",
	"Street Hockey '95 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Hockey '95 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetHockey95USABetaRomInfo, rStreetHockey95USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetHockey95USARomDesc[] = {
	{ "Street Hockey '95 (USA).sfc",          3145728, 0x97357a1b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetHockey95USA)
STD_ROM_FN(rStreetHockey95USA)

struct BurnDriver BurnDrvrStreetHockey95USA = {
	"Street Hockey '95 (USA)", NULL, NULL, "1986",
	"Street Hockey '95 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Hockey '95 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetHockey95USARomInfo, rStreetHockey95USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetRacerEuropeRev1RomDesc[] = {
	{ "Street Racer (Europe) (Rev 1).sfc",          1048576, 0x2ae69849, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetRacerEuropeRev1)
STD_ROM_FN(rStreetRacerEuropeRev1)

struct BurnDriver BurnDrvrStreetRacerEuropeRev1 = {
	"Street Racer (Europe) (Rev 1)", NULL, NULL, "1986",
	"Street Racer (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Racer (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetRacerEuropeRev1RomInfo, rStreetRacerEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetRacerEuropeRomDesc[] = {
	{ "Street Racer (Europe).sfc",          1048576, 0xe013d5b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetRacerEurope)
STD_ROM_FN(rStreetRacerEurope)

struct BurnDriver BurnDrvrStreetRacerEurope = {
	"Street Racer (Europe)", NULL, NULL, "1986",
	"Street Racer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Racer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetRacerEuropeRomInfo, rStreetRacerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetRacerJapanRomDesc[] = {
	{ "Street Racer (Japan).sfc",          1048576, 0xd1c1f675, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetRacerJapan)
STD_ROM_FN(rStreetRacerJapan)

struct BurnDriver BurnDrvrStreetRacerJapan = {
	"Street Racer (Japan)", NULL, NULL, "1986",
	"Street Racer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Racer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetRacerJapanRomInfo, rStreetRacerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetRacerUSABetaRomDesc[] = {
	{ "Street Racer (USA) (Beta).sfc",          1048576, 0x1934f184, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetRacerUSABeta)
STD_ROM_FN(rStreetRacerUSABeta)

struct BurnDriver BurnDrvrStreetRacerUSABeta = {
	"Street Racer (USA) (Beta)", NULL, NULL, "1986",
	"Street Racer (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Racer (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetRacerUSABetaRomInfo, rStreetRacerUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStreetRacerUSARomDesc[] = {
	{ "Street Racer (USA).sfc",          1048576, 0x63e8b7d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStreetRacerUSA)
STD_ROM_FN(rStreetRacerUSA)

struct BurnDriver BurnDrvrStreetRacerUSA = {
	"Street Racer (USA)", NULL, NULL, "1986",
	"Street Racer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Street Racer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStreetRacerUSARomInfo, rStreetRacerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStrikeGunnerSTGJapanRomDesc[] = {
	{ "Strike Gunner S.T.G (Japan).sfc",          1048576, 0xae2b4567, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStrikeGunnerSTGJapan)
STD_ROM_FN(rStrikeGunnerSTGJapan)

struct BurnDriver BurnDrvrStrikeGunnerSTGJapan = {
	"Strike Gunner S.T.G (Japan)", NULL, NULL, "1986",
	"Strike Gunner S.T.G (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Strike Gunner S.T.G (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStrikeGunnerSTGJapanRomInfo, rStrikeGunnerSTGJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStrikeGunnerSTGUSARomDesc[] = {
	{ "Strike Gunner S.T.G (USA).sfc",          1048576, 0xd054e288, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStrikeGunnerSTGUSA)
STD_ROM_FN(rStrikeGunnerSTGUSA)

struct BurnDriver BurnDrvrStrikeGunnerSTGUSA = {
	"Strike Gunner S.T.G (USA)", NULL, NULL, "1986",
	"Strike Gunner S.T.G (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Strike Gunner S.T.G (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStrikeGunnerSTGUSARomInfo, rStrikeGunnerSTGUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStrikerEuropeEnFrDeEsItNlSvBetaRomDesc[] = {
	{ "Striker (Europe) (En,Fr,De,Es,It,Nl,Sv) (Beta).sfc",          524288, 0x89ac1eaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStrikerEuropeEnFrDeEsItNlSvBeta)
STD_ROM_FN(rStrikerEuropeEnFrDeEsItNlSvBeta)

struct BurnDriver BurnDrvrStrikerEuropeEnFrDeEsItNlSvBeta = {
	"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv) (Beta)", NULL, NULL, "1986",
	"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStrikerEuropeEnFrDeEsItNlSvBetaRomInfo, rStrikerEuropeEnFrDeEsItNlSvBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStrikerEuropeEnFrDeEsItNlSvRomDesc[] = {
	{ "Striker (Europe) (En,Fr,De,Es,It,Nl,Sv).sfc",          524288, 0x60b2d4a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStrikerEuropeEnFrDeEsItNlSv)
STD_ROM_FN(rStrikerEuropeEnFrDeEsItNlSv)

struct BurnDriver BurnDrvrStrikerEuropeEnFrDeEsItNlSv = {
	"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, "1986",
	"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"Striker (Europe) (En,Fr,De,Es,It,Nl,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStrikerEuropeEnFrDeEsItNlSvRomInfo, rStrikerEuropeEnFrDeEsItNlSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStuntRaceFXEuropeRomDesc[] = {
	{ "Stunt Race FX (Europe).sfc",          1048576, 0x24935769, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStuntRaceFXEurope)
STD_ROM_FN(rStuntRaceFXEurope)

struct BurnDriver BurnDrvrStuntRaceFXEurope = {
	"Stunt Race FX (Europe)", NULL, NULL, "1986",
	"Stunt Race FX (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stunt Race FX (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStuntRaceFXEuropeRomInfo, rStuntRaceFXEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rStuntRaceFXUSARev1RomDesc[] = {
	{ "Stunt Race FX (USA) (Rev 1).sfc",          1048576, 0x380c2635, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rStuntRaceFXUSARev1)
STD_ROM_FN(rStuntRaceFXUSARev1)

struct BurnDriver BurnDrvrStuntRaceFXUSARev1 = {
	"Stunt Race FX (USA) (Rev 1)", NULL, NULL, "1986",
	"Stunt Race FX (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Stunt Race FX (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rStuntRaceFXUSARev1RomInfo, rStuntRaceFXUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSufamiTurboJapanRomDesc[] = {
	{ "Sufami Turbo (Japan).sfc",          262144, 0x9b4ca911, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSufamiTurboJapan)
STD_ROM_FN(rSufamiTurboJapan)

struct BurnDriver BurnDrvrSufamiTurboJapan = {
	"Sufami Turbo (Japan)", NULL, NULL, "1986",
	"Sufami Turbo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sufami Turbo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSufamiTurboJapanRomInfo, rSufamiTurboJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSugoiHeberekeJapanRomDesc[] = {
	{ "Sugoi Hebereke (Japan).sfc",          1310720, 0x72123ef0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSugoiHeberekeJapan)
STD_ROM_FN(rSugoiHeberekeJapan)

struct BurnDriver BurnDrvrSugoiHeberekeJapan = {
	"Sugoi Hebereke (Japan)", NULL, NULL, "1986",
	"Sugoi Hebereke (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sugoi Hebereke (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSugoiHeberekeJapanRomInfo, rSugoiHeberekeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSugoroQuestDicenicsJapanRomDesc[] = {
	{ "Sugoro Quest++ - Dicenics (Japan).sfc",          2097152, 0x366c84f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSugoroQuestDicenicsJapan)
STD_ROM_FN(rSugoroQuestDicenicsJapan)

struct BurnDriver BurnDrvrSugoroQuestDicenicsJapan = {
	"Sugoro Quest++ - Dicenics (Japan)", NULL, NULL, "1986",
	"Sugoro Quest++ - Dicenics (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sugoro Quest++ - Dicenics (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSugoroQuestDicenicsJapanRomInfo, rSugoroQuestDicenicsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSugorokuGingaSenkiJapanRomDesc[] = {
	{ "Sugoroku Ginga Senki (Japan).sfc",          1048576, 0xea0c55bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSugorokuGingaSenkiJapan)
STD_ROM_FN(rSugorokuGingaSenkiJapan)

struct BurnDriver BurnDrvrSugorokuGingaSenkiJapan = {
	"Sugoroku Ginga Senki (Japan)", NULL, NULL, "1986",
	"Sugoroku Ginga Senki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sugoroku Ginga Senki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSugorokuGingaSenkiJapanRomInfo, rSugorokuGingaSenkiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSunsetRidersEuropeRomDesc[] = {
	{ "Sunset Riders (Europe).sfc",          1048576, 0x64edfc5d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSunsetRidersEurope)
STD_ROM_FN(rSunsetRidersEurope)

struct BurnDriver BurnDrvrSunsetRidersEurope = {
	"Sunset Riders (Europe)", NULL, NULL, "1986",
	"Sunset Riders (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sunset Riders (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSunsetRidersEuropeRomInfo, rSunsetRidersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSunsetRidersUSARomDesc[] = {
	{ "Sunset Riders (USA).sfc",          1048576, 0x52ada404, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSunsetRidersUSA)
STD_ROM_FN(rSunsetRidersUSA)

struct BurnDriver BurnDrvrSunsetRidersUSA = {
	"Sunset Riders (USA)", NULL, NULL, "1986",
	"Sunset Riders (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sunset Riders (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSunsetRidersUSARomInfo, rSunsetRidersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSupapoonJapanRomDesc[] = {
	{ "Supapoon (Japan).sfc",          524288, 0x6d971e71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSupapoonJapan)
STD_ROM_FN(rSupapoonJapan)

struct BurnDriver BurnDrvrSupapoonJapan = {
	"Supapoon (Japan)", NULL, NULL, "1986",
	"Supapoon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Supapoon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSupapoonJapanRomInfo, rSupapoonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSupapoonDXJapanRomDesc[] = {
	{ "Supapoon DX (Japan).sfc",          1048576, 0xbe52c486, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSupapoonDXJapan)
STD_ROM_FN(rSupapoonDXJapan)

struct BurnDriver BurnDrvrSupapoonDXJapan = {
	"Supapoon DX (Japan)", NULL, NULL, "1986",
	"Supapoon DX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Supapoon DX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSupapoonDXJapanRomInfo, rSupapoonDXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuper3DBaseballJapanRomDesc[] = {
	{ "Super 3D Baseball (Japan).sfc",          1572864, 0x304123c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuper3DBaseballJapan)
STD_ROM_FN(rSuper3DBaseballJapan)

struct BurnDriver BurnDrvrSuper3DBaseballJapan = {
	"Super 3D Baseball (Japan)", NULL, NULL, "1986",
	"Super 3D Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super 3D Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuper3DBaseballJapanRomInfo, rSuper3DBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuper4WDTheBajaJapanRomDesc[] = {
	{ "Super 4WD - The Baja (Japan).sfc",          1048576, 0xc6b67138, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuper4WDTheBajaJapan)
STD_ROM_FN(rSuper4WDTheBajaJapan)

struct BurnDriver BurnDrvrSuper4WDTheBajaJapan = {
	"Super 4WD - The Baja (Japan)", NULL, NULL, "1986",
	"Super 4WD - The Baja (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super 4WD - The Baja (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuper4WDTheBajaJapanRomInfo, rSuper4WDTheBajaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuper8USAUnlRomDesc[] = {
	{ "Super 8 (USA) (Unl).sfc",          8192, 0xdfbac4f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuper8USAUnl)
STD_ROM_FN(rSuper8USAUnl)

struct BurnDriver BurnDrvrSuper8USAUnl = {
	"Super 8 (USA) (Unl)", NULL, NULL, "1986",
	"Super 8 (USA) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super 8 (USA) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuper8USAUnlRomInfo, rSuper8USAUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAdventureIslandEuropeRomDesc[] = {
	{ "Super Adventure Island (Europe).sfc",          1048576, 0x9a8618d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAdventureIslandEurope)
STD_ROM_FN(rSuperAdventureIslandEurope)

struct BurnDriver BurnDrvrSuperAdventureIslandEurope = {
	"Super Adventure Island (Europe)", NULL, NULL, "1986",
	"Super Adventure Island (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Adventure Island (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAdventureIslandEuropeRomInfo, rSuperAdventureIslandEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAdventureIslandUSARomDesc[] = {
	{ "Super Adventure Island (USA).sfc",          1048576, 0xdcd46848, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAdventureIslandUSA)
STD_ROM_FN(rSuperAdventureIslandUSA)

struct BurnDriver BurnDrvrSuperAdventureIslandUSA = {
	"Super Adventure Island (USA)", NULL, NULL, "1986",
	"Super Adventure Island (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Adventure Island (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAdventureIslandUSARomInfo, rSuperAdventureIslandUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAdventureIslandIIEuropeRomDesc[] = {
	{ "Super Adventure Island II (Europe).sfc",          1572864, 0x64c6297b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAdventureIslandIIEurope)
STD_ROM_FN(rSuperAdventureIslandIIEurope)

struct BurnDriver BurnDrvrSuperAdventureIslandIIEurope = {
	"Super Adventure Island II (Europe)", NULL, NULL, "1986",
	"Super Adventure Island II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Adventure Island II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAdventureIslandIIEuropeRomInfo, rSuperAdventureIslandIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAdventureIslandIIUSARomDesc[] = {
	{ "Super Adventure Island II (USA).sfc",          1572864, 0x52fe16fd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAdventureIslandIIUSA)
STD_ROM_FN(rSuperAdventureIslandIIUSA)

struct BurnDriver BurnDrvrSuperAdventureIslandIIUSA = {
	"Super Adventure Island II (USA)", NULL, NULL, "1986",
	"Super Adventure Island II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Adventure Island II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAdventureIslandIIUSARomInfo, rSuperAdventureIslandIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAirDiverEuropeRomDesc[] = {
	{ "Super Air Diver (Europe).sfc",          524288, 0xb57c764, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAirDiverEurope)
STD_ROM_FN(rSuperAirDiverEurope)

struct BurnDriver BurnDrvrSuperAirDiverEurope = {
	"Super Air Diver (Europe)", NULL, NULL, "1986",
	"Super Air Diver (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Air Diver (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAirDiverEuropeRomInfo, rSuperAirDiverEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAirDiverJapanRomDesc[] = {
	{ "Super Air Diver (Japan).sfc",          524288, 0x971e74ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAirDiverJapan)
STD_ROM_FN(rSuperAirDiverJapan)

struct BurnDriver BurnDrvrSuperAirDiverJapan = {
	"Super Air Diver (Japan)", NULL, NULL, "1986",
	"Super Air Diver (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Air Diver (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAirDiverJapanRomInfo, rSuperAirDiverJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAirDiver2JapanRomDesc[] = {
	{ "Super Air Diver 2 (Japan).sfc",          1310720, 0xa6ad6b0f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAirDiver2Japan)
STD_ROM_FN(rSuperAirDiver2Japan)

struct BurnDriver BurnDrvrSuperAirDiver2Japan = {
	"Super Air Diver 2 (Japan)", NULL, NULL, "1986",
	"Super Air Diver 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Air Diver 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAirDiver2JapanRomInfo, rSuperAirDiver2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAlesteEuropeRomDesc[] = {
	{ "Super Aleste (Europe).sfc",          1048576, 0xe02f9206, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAlesteEurope)
STD_ROM_FN(rSuperAlesteEurope)

struct BurnDriver BurnDrvrSuperAlesteEurope = {
	"Super Aleste (Europe)", NULL, NULL, "1986",
	"Super Aleste (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Aleste (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAlesteEuropeRomInfo, rSuperAlesteEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAlesteJapanRomDesc[] = {
	{ "Super Aleste (Japan).sfc",          1048576, 0x94d28ff9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAlesteJapan)
STD_ROM_FN(rSuperAlesteJapan)

struct BurnDriver BurnDrvrSuperAlesteJapan = {
	"Super Aleste (Japan)", NULL, NULL, "1986",
	"Super Aleste (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Aleste (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAlesteJapanRomInfo, rSuperAlesteJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAlfredChickenUSARomDesc[] = {
	{ "Super Alfred Chicken (USA).sfc",          1048576, 0xf21c5a9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAlfredChickenUSA)
STD_ROM_FN(rSuperAlfredChickenUSA)

struct BurnDriver BurnDrvrSuperAlfredChickenUSA = {
	"Super Alfred Chicken (USA)", NULL, NULL, "1986",
	"Super Alfred Chicken (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Alfred Chicken (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAlfredChickenUSARomInfo, rSuperAlfredChickenUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAokiOokamitoShirokiMejikaGenchouHishiJapanRomDesc[] = {
	{ "Super Aoki Ookami to Shiroki Mejika - Genchou Hishi (Japan).sfc",          1572864, 0xd1dff807, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAokiOokamitoShirokiMejikaGenchouHishiJapan)
STD_ROM_FN(rSuperAokiOokamitoShirokiMejikaGenchouHishiJapan)

struct BurnDriver BurnDrvrSuperAokiOokamitoShirokiMejikaGenchouHishiJapan = {
	"Super Aoki Ookami to Shiroki Mejika - Genchou Hishi (Japan)", NULL, NULL, "1986",
	"Super Aoki Ookami to Shiroki Mejika - Genchou Hishi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Aoki Ookami to Shiroki Mejika - Genchou Hishi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAokiOokamitoShirokiMejikaGenchouHishiJapanRomInfo, rSuperAokiOokamitoShirokiMejikaGenchouHishiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAquaticGamesStarringtheAquabatsTheUSABetaRomDesc[] = {
	{ "Super Aquatic Games Starring the Aquabats, The (USA) (Beta).sfc",          524288, 0x249dffd6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAquaticGamesStarringtheAquabatsTheUSABeta)
STD_ROM_FN(rSuperAquaticGamesStarringtheAquabatsTheUSABeta)

struct BurnDriver BurnDrvrSuperAquaticGamesStarringtheAquabatsTheUSABeta = {
	"Super Aquatic Games Starring the Aquabats, The (USA) (Beta)", NULL, NULL, "1986",
	"Super Aquatic Games Starring the Aquabats, The (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Aquatic Games Starring the Aquabats, The (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAquaticGamesStarringtheAquabatsTheUSABetaRomInfo, rSuperAquaticGamesStarringtheAquabatsTheUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperAquaticGamesStarringtheAquabatsTheUSARomDesc[] = {
	{ "Super Aquatic Games Starring the Aquabats, The (USA).sfc",          524288, 0x2a5ddac0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperAquaticGamesStarringtheAquabatsTheUSA)
STD_ROM_FN(rSuperAquaticGamesStarringtheAquabatsTheUSA)

struct BurnDriver BurnDrvrSuperAquaticGamesStarringtheAquabatsTheUSA = {
	"Super Aquatic Games Starring the Aquabats, The (USA)", NULL, NULL, "1986",
	"Super Aquatic Games Starring the Aquabats, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Aquatic Games Starring the Aquabats, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperAquaticGamesStarringtheAquabatsTheUSARomInfo, rSuperAquaticGamesStarringtheAquabatsTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBCKidEuropeRomDesc[] = {
	{ "Super B.C. Kid (Europe).sfc",          1572864, 0x5615d5ed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBCKidEurope)
STD_ROM_FN(rSuperBCKidEurope)

struct BurnDriver BurnDrvrSuperBCKidEurope = {
	"Super B.C. Kid (Europe)", NULL, NULL, "1986",
	"Super B.C. Kid (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super B.C. Kid (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBCKidEuropeRomInfo, rSuperBCKidEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBacktotheFuturePartIIJapanRomDesc[] = {
	{ "Super Back to the Future Part II (Japan).sfc",          1048576, 0xb367d0b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBacktotheFuturePartIIJapan)
STD_ROM_FN(rSuperBacktotheFuturePartIIJapan)

struct BurnDriver BurnDrvrSuperBacktotheFuturePartIIJapan = {
	"Super Back to the Future Part II (Japan)", NULL, NULL, "1986",
	"Super Back to the Future Part II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Back to the Future Part II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBacktotheFuturePartIIJapanRomInfo, rSuperBacktotheFuturePartIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBakenOu95JapanRomDesc[] = {
	{ "Super Baken Ou '95 (Japan).sfc",          1048576, 0xe611a4dc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBakenOu95Japan)
STD_ROM_FN(rSuperBakenOu95Japan)

struct BurnDriver BurnDrvrSuperBakenOu95Japan = {
	"Super Baken Ou '95 (Japan)", NULL, NULL, "1986",
	"Super Baken Ou '95 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Baken Ou '95 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBakenOu95JapanRomInfo, rSuperBakenOu95JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBaseballSimulator1000USARomDesc[] = {
	{ "Super Baseball Simulator 1.000 (USA).sfc",          524288, 0xaa760fec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBaseballSimulator1000USA)
STD_ROM_FN(rSuperBaseballSimulator1000USA)

struct BurnDriver BurnDrvrSuperBaseballSimulator1000USA = {
	"Super Baseball Simulator 1.000 (USA)", NULL, NULL, "1986",
	"Super Baseball Simulator 1.000 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Baseball Simulator 1.000 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBaseballSimulator1000USARomInfo, rSuperBaseballSimulator1000USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBasesLoadedUSARomDesc[] = {
	{ "Super Bases Loaded (USA).sfc",          1048576, 0x6b971f1e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBasesLoadedUSA)
STD_ROM_FN(rSuperBasesLoadedUSA)

struct BurnDriver BurnDrvrSuperBasesLoadedUSA = {
	"Super Bases Loaded (USA)", NULL, NULL, "1986",
	"Super Bases Loaded (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bases Loaded (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBasesLoadedUSARomInfo, rSuperBasesLoadedUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBasesLoaded3LicensetoStealUSARev1bRomDesc[] = {
	{ "Super Bases Loaded 3 - License to Steal (USA) (Rev 1) [b].sfc",          2097152, 0x24a5a70f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBasesLoaded3LicensetoStealUSARev1b)
STD_ROM_FN(rSuperBasesLoaded3LicensetoStealUSARev1b)

struct BurnDriver BurnDrvrSuperBasesLoaded3LicensetoStealUSARev1b = {
	"Super Bases Loaded 3 - License to Steal (USA) (Rev 1) [b]", NULL, NULL, "1986",
	"Super Bases Loaded 3 - License to Steal (USA) (Rev 1) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bases Loaded 3 - License to Steal (USA) (Rev 1) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBasesLoaded3LicensetoStealUSARev1bRomInfo, rSuperBasesLoaded3LicensetoStealUSARev1bRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBasesLoaded3LicensetoStealUSARomDesc[] = {
	{ "Super Bases Loaded 3 - License to Steal (USA).sfc",          2097152, 0xf0540d1b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBasesLoaded3LicensetoStealUSA)
STD_ROM_FN(rSuperBasesLoaded3LicensetoStealUSA)

struct BurnDriver BurnDrvrSuperBasesLoaded3LicensetoStealUSA = {
	"Super Bases Loaded 3 - License to Steal (USA)", NULL, NULL, "1986",
	"Super Bases Loaded 3 - License to Steal (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bases Loaded 3 - License to Steal (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBasesLoaded3LicensetoStealUSARomInfo, rSuperBasesLoaded3LicensetoStealUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBasesLoadedIIUSARomDesc[] = {
	{ "Super Bases Loaded II (USA).sfc",          1572864, 0xe14128ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBasesLoadedIIUSA)
STD_ROM_FN(rSuperBasesLoadedIIUSA)

struct BurnDriver BurnDrvrSuperBasesLoadedIIUSA = {
	"Super Bases Loaded II (USA)", NULL, NULL, "1986",
	"Super Bases Loaded II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bases Loaded II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBasesLoadedIIUSARomInfo, rSuperBasesLoadedIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBatterUpUSARomDesc[] = {
	{ "Super Batter Up (USA).sfc",          1048576, 0x5896c854, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBatterUpUSA)
STD_ROM_FN(rSuperBatterUpUSA)

struct BurnDriver BurnDrvrSuperBatterUpUSA = {
	"Super Batter Up (USA)", NULL, NULL, "1986",
	"Super Batter Up (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Batter Up (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBatterUpUSARomInfo, rSuperBatterUpUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattleshipEuropeRomDesc[] = {
	{ "Super Battleship (Europe).sfc",          524288, 0x9c365cae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattleshipEurope)
STD_ROM_FN(rSuperBattleshipEurope)

struct BurnDriver BurnDrvrSuperBattleshipEurope = {
	"Super Battleship (Europe)", NULL, NULL, "1986",
	"Super Battleship (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battleship (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattleshipEuropeRomInfo, rSuperBattleshipEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattleshipUSARomDesc[] = {
	{ "Super Battleship (USA).sfc",          524288, 0x6fcea1a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattleshipUSA)
STD_ROM_FN(rSuperBattleshipUSA)

struct BurnDriver BurnDrvrSuperBattleshipUSA = {
	"Super Battleship (USA)", NULL, NULL, "1986",
	"Super Battleship (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battleship (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattleshipUSARomInfo, rSuperBattleshipUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletankEuropeRomDesc[] = {
	{ "Super Battletank (Europe).sfc",          524288, 0xfe7de9ce, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletankEurope)
STD_ROM_FN(rSuperBattletankEurope)

struct BurnDriver BurnDrvrSuperBattletankEurope = {
	"Super Battletank (Europe)", NULL, NULL, "1986",
	"Super Battletank (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletankEuropeRomInfo, rSuperBattletankEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletankJapanRomDesc[] = {
	{ "Super Battletank (Japan).sfc",          524288, 0xc53b82cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletankJapan)
STD_ROM_FN(rSuperBattletankJapan)

struct BurnDriver BurnDrvrSuperBattletankJapan = {
	"Super Battletank (Japan)", NULL, NULL, "1986",
	"Super Battletank (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletankJapanRomInfo, rSuperBattletankJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletankWarintheGulfUSARev1RomDesc[] = {
	{ "Super Battletank - War in the Gulf (USA) (Rev 1).sfc",          524288, 0x77811b34, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletankWarintheGulfUSARev1)
STD_ROM_FN(rSuperBattletankWarintheGulfUSARev1)

struct BurnDriver BurnDrvrSuperBattletankWarintheGulfUSARev1 = {
	"Super Battletank - War in the Gulf (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Battletank - War in the Gulf (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank - War in the Gulf (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletankWarintheGulfUSARev1RomInfo, rSuperBattletankWarintheGulfUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletankWarintheGulfUSARomDesc[] = {
	{ "Super Battletank - War in the Gulf (USA).sfc",          524288, 0x2ce0c852, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletankWarintheGulfUSA)
STD_ROM_FN(rSuperBattletankWarintheGulfUSA)

struct BurnDriver BurnDrvrSuperBattletankWarintheGulfUSA = {
	"Super Battletank - War in the Gulf (USA)", NULL, NULL, "1986",
	"Super Battletank - War in the Gulf (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank - War in the Gulf (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletankWarintheGulfUSARomInfo, rSuperBattletankWarintheGulfUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletank2EuropeRomDesc[] = {
	{ "Super Battletank 2 (Europe).sfc",          2097152, 0x198ffcdb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletank2Europe)
STD_ROM_FN(rSuperBattletank2Europe)

struct BurnDriver BurnDrvrSuperBattletank2Europe = {
	"Super Battletank 2 (Europe)", NULL, NULL, "1986",
	"Super Battletank 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletank2EuropeRomInfo, rSuperBattletank2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletank2JapanRomDesc[] = {
	{ "Super Battletank 2 (Japan).sfc",          2097152, 0x8321c8cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletank2Japan)
STD_ROM_FN(rSuperBattletank2Japan)

struct BurnDriver BurnDrvrSuperBattletank2Japan = {
	"Super Battletank 2 (Japan)", NULL, NULL, "1986",
	"Super Battletank 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletank2JapanRomInfo, rSuperBattletank2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletank2SpainRomDesc[] = {
	{ "Super Battletank 2 (Spain).sfc",          2097152, 0xd3802a47, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletank2Spain)
STD_ROM_FN(rSuperBattletank2Spain)

struct BurnDriver BurnDrvrSuperBattletank2Spain = {
	"Super Battletank 2 (Spain)", NULL, NULL, "1986",
	"Super Battletank 2 (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank 2 (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletank2SpainRomInfo, rSuperBattletank2SpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBattletank2USARomDesc[] = {
	{ "Super Battletank 2 (USA).sfc",          2097152, 0x70a292d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBattletank2USA)
STD_ROM_FN(rSuperBattletank2USA)

struct BurnDriver BurnDrvrSuperBattletank2USA = {
	"Super Battletank 2 (USA)", NULL, NULL, "1986",
	"Super Battletank 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Battletank 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBattletank2USARomInfo, rSuperBattletank2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBikkurimanJapanRomDesc[] = {
	{ "Super Bikkuriman (Japan).sfc",          1048576, 0xb367b8b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBikkurimanJapan)
STD_ROM_FN(rSuperBikkurimanJapan)

struct BurnDriver BurnDrvrSuperBikkurimanJapan = {
	"Super Bikkuriman (Japan)", NULL, NULL, "1986",
	"Super Bikkuriman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bikkuriman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBikkurimanJapanRomInfo, rSuperBikkurimanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBilliardChampionshipPoolJapanRomDesc[] = {
	{ "Super Billiard - Championship Pool (Japan).sfc",          1048576, 0xf7031d41, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBilliardChampionshipPoolJapan)
STD_ROM_FN(rSuperBilliardChampionshipPoolJapan)

struct BurnDriver BurnDrvrSuperBilliardChampionshipPoolJapan = {
	"Super Billiard - Championship Pool (Japan)", NULL, NULL, "1986",
	"Super Billiard - Championship Pool (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Billiard - Championship Pool (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBilliardChampionshipPoolJapanRomInfo, rSuperBilliardChampionshipPoolJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBirdieRushJapanRomDesc[] = {
	{ "Super Birdie Rush (Japan).sfc",          1048576, 0xb854df10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBirdieRushJapan)
STD_ROM_FN(rSuperBirdieRushJapan)

struct BurnDriver BurnDrvrSuperBirdieRushJapan = {
	"Super Birdie Rush (Japan)", NULL, NULL, "1986",
	"Super Birdie Rush (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Birdie Rush (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBirdieRushJapanRomInfo, rSuperBirdieRushJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBlackBassJapanRomDesc[] = {
	{ "Super Black Bass (Japan).sfc",          1048576, 0x89f2712c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBlackBassJapan)
STD_ROM_FN(rSuperBlackBassJapan)

struct BurnDriver BurnDrvrSuperBlackBassJapan = {
	"Super Black Bass (Japan)", NULL, NULL, "1986",
	"Super Black Bass (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Black Bass (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBlackBassJapanRomInfo, rSuperBlackBassJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBlackBassUSARomDesc[] = {
	{ "Super Black Bass (USA).sfc",          1048576, 0x57d9fd61, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBlackBassUSA)
STD_ROM_FN(rSuperBlackBassUSA)

struct BurnDriver BurnDrvrSuperBlackBassUSA = {
	"Super Black Bass (USA)", NULL, NULL, "1986",
	"Super Black Bass (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Black Bass (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBlackBassUSARomInfo, rSuperBlackBassUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBlackBass2JapanRomDesc[] = {
	{ "Super Black Bass 2 (Japan).sfc",          2097152, 0x9572e3ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBlackBass2Japan)
STD_ROM_FN(rSuperBlackBass2Japan)

struct BurnDriver BurnDrvrSuperBlackBass2Japan = {
	"Super Black Bass 2 (Japan)", NULL, NULL, "1986",
	"Super Black Bass 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Black Bass 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBlackBass2JapanRomInfo, rSuperBlackBass2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBlackBass3JapanRev1RomDesc[] = {
	{ "Super Black Bass 3 (Japan) (Rev 1).sfc",          4194304, 0x97ae0df4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBlackBass3JapanRev1)
STD_ROM_FN(rSuperBlackBass3JapanRev1)

struct BurnDriver BurnDrvrSuperBlackBass3JapanRev1 = {
	"Super Black Bass 3 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Black Bass 3 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Black Bass 3 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBlackBass3JapanRev1RomInfo, rSuperBlackBass3JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBlackBass3JapanRomDesc[] = {
	{ "Super Black Bass 3 (Japan).sfc",          4194304, 0xec9104db, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBlackBass3Japan)
STD_ROM_FN(rSuperBlackBass3Japan)

struct BurnDriver BurnDrvrSuperBlackBass3Japan = {
	"Super Black Bass 3 (Japan)", NULL, NULL, "1986",
	"Super Black Bass 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Black Bass 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBlackBass3JapanRomInfo, rSuperBlackBass3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBombermanEuropeRomDesc[] = {
	{ "Super Bomberman (Europe).sfc",          524288, 0x678501f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBombermanEurope)
STD_ROM_FN(rSuperBombermanEurope)

struct BurnDriver BurnDrvrSuperBombermanEurope = {
	"Super Bomberman (Europe)", NULL, NULL, "1986",
	"Super Bomberman (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBombermanEuropeRomInfo, rSuperBombermanEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBombermanJapanRomDesc[] = {
	{ "Super Bomberman (Japan).sfc",          524288, 0x7989891a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBombermanJapan)
STD_ROM_FN(rSuperBombermanJapan)

struct BurnDriver BurnDrvrSuperBombermanJapan = {
	"Super Bomberman (Japan)", NULL, NULL, "1986",
	"Super Bomberman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBombermanJapanRomInfo, rSuperBombermanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBombermanUSARomDesc[] = {
	{ "Super Bomberman (USA).sfc",          524288, 0x63a8e2c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBombermanUSA)
STD_ROM_FN(rSuperBombermanUSA)

struct BurnDriver BurnDrvrSuperBombermanUSA = {
	"Super Bomberman (USA)", NULL, NULL, "1986",
	"Super Bomberman (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBombermanUSARomInfo, rSuperBombermanUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBombermanPanicBomberWJapanRomDesc[] = {
	{ "Super Bomberman - Panic Bomber W (Japan).sfc",          1048576, 0xfc633ecb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBombermanPanicBomberWJapan)
STD_ROM_FN(rSuperBombermanPanicBomberWJapan)

struct BurnDriver BurnDrvrSuperBombermanPanicBomberWJapan = {
	"Super Bomberman - Panic Bomber W (Japan)", NULL, NULL, "1986",
	"Super Bomberman - Panic Bomber W (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman - Panic Bomber W (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBombermanPanicBomberWJapanRomInfo, rSuperBombermanPanicBomberWJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman2EuropeRomDesc[] = {
	{ "Super Bomberman 2 (Europe).sfc",          1048576, 0xc60a4191, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman2Europe)
STD_ROM_FN(rSuperBomberman2Europe)

struct BurnDriver BurnDrvrSuperBomberman2Europe = {
	"Super Bomberman 2 (Europe)", NULL, NULL, "1986",
	"Super Bomberman 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman2EuropeRomInfo, rSuperBomberman2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman2JapanCaravanYouTaikenbanRomDesc[] = {
	{ "Super Bomberman 2 (Japan) (Caravan You Taikenban).sfc",          1048576, 0x2aa1ddf8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman2JapanCaravanYouTaikenban)
STD_ROM_FN(rSuperBomberman2JapanCaravanYouTaikenban)

struct BurnDriver BurnDrvrSuperBomberman2JapanCaravanYouTaikenban = {
	"Super Bomberman 2 (Japan) (Caravan You Taikenban)", NULL, NULL, "1986",
	"Super Bomberman 2 (Japan) (Caravan You Taikenban)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 2 (Japan) (Caravan You Taikenban)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman2JapanCaravanYouTaikenbanRomInfo, rSuperBomberman2JapanCaravanYouTaikenbanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman2JapanRomDesc[] = {
	{ "Super Bomberman 2 (Japan).sfc",          1048576, 0xfb259f4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman2Japan)
STD_ROM_FN(rSuperBomberman2Japan)

struct BurnDriver BurnDrvrSuperBomberman2Japan = {
	"Super Bomberman 2 (Japan)", NULL, NULL, "1986",
	"Super Bomberman 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman2JapanRomInfo, rSuperBomberman2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman2USARomDesc[] = {
	{ "Super Bomberman 2 (USA).sfc",          1048576, 0x9c1f11e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman2USA)
STD_ROM_FN(rSuperBomberman2USA)

struct BurnDriver BurnDrvrSuperBomberman2USA = {
	"Super Bomberman 2 (USA)", NULL, NULL, "1986",
	"Super Bomberman 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman2USARomInfo, rSuperBomberman2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman3EuropeRomDesc[] = {
	{ "Super Bomberman 3 (Europe).sfc",          1572864, 0xa096a6e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman3Europe)
STD_ROM_FN(rSuperBomberman3Europe)

struct BurnDriver BurnDrvrSuperBomberman3Europe = {
	"Super Bomberman 3 (Europe)", NULL, NULL, "1986",
	"Super Bomberman 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman3EuropeRomInfo, rSuperBomberman3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman3JapanBetaRomDesc[] = {
	{ "Super Bomberman 3 (Japan) (Beta).sfc",          1572864, 0x2fa245, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman3JapanBeta)
STD_ROM_FN(rSuperBomberman3JapanBeta)

struct BurnDriver BurnDrvrSuperBomberman3JapanBeta = {
	"Super Bomberman 3 (Japan) (Beta)", NULL, NULL, "1986",
	"Super Bomberman 3 (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 3 (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman3JapanBetaRomInfo, rSuperBomberman3JapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman3JapanRomDesc[] = {
	{ "Super Bomberman 3 (Japan).sfc",          1572864, 0x9ecb0fe6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman3Japan)
STD_ROM_FN(rSuperBomberman3Japan)

struct BurnDriver BurnDrvrSuperBomberman3Japan = {
	"Super Bomberman 3 (Japan)", NULL, NULL, "1986",
	"Super Bomberman 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman3JapanRomInfo, rSuperBomberman3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman4JapanRomDesc[] = {
	{ "Super Bomberman 4 (Japan).sfc",          2097152, 0x3bbaeb19, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman4Japan)
STD_ROM_FN(rSuperBomberman4Japan)

struct BurnDriver BurnDrvrSuperBomberman4Japan = {
	"Super Bomberman 4 (Japan)", NULL, NULL, "1986",
	"Super Bomberman 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman4JapanRomInfo, rSuperBomberman4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman5JapanCaravanEventBanRomDesc[] = {
	{ "Super Bomberman 5 (Japan) (Caravan Event Ban).sfc",          2097152, 0x4590ae9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman5JapanCaravanEventBan)
STD_ROM_FN(rSuperBomberman5JapanCaravanEventBan)

struct BurnDriver BurnDrvrSuperBomberman5JapanCaravanEventBan = {
	"Super Bomberman 5 (Japan) (Caravan Event Ban)", NULL, NULL, "1986",
	"Super Bomberman 5 (Japan) (Caravan Event Ban)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 5 (Japan) (Caravan Event Ban)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman5JapanCaravanEventBanRomInfo, rSuperBomberman5JapanCaravanEventBanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomberman5JapanRomDesc[] = {
	{ "Super Bomberman 5 (Japan).sfc",          2097152, 0x6b1f0f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomberman5Japan)
STD_ROM_FN(rSuperBomberman5Japan)

struct BurnDriver BurnDrvrSuperBomberman5Japan = {
	"Super Bomberman 5 (Japan)", NULL, NULL, "1986",
	"Super Bomberman 5 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bomberman 5 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomberman5JapanRomInfo, rSuperBomberman5JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBomblissJapanRomDesc[] = {
	{ "Super Bombliss (Japan).sfc",          524288, 0x84f95868, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBomblissJapan)
STD_ROM_FN(rSuperBomblissJapan)

struct BurnDriver BurnDrvrSuperBomblissJapan = {
	"Super Bombliss (Japan)", NULL, NULL, "1986",
	"Super Bombliss (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bombliss (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBomblissJapanRomInfo, rSuperBomblissJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBonkUSARomDesc[] = {
	{ "Super Bonk (USA).sfc",          1572864, 0x5688b581, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBonkUSA)
STD_ROM_FN(rSuperBonkUSA)

struct BurnDriver BurnDrvrSuperBonkUSA = {
	"Super Bonk (USA)", NULL, NULL, "1986",
	"Super Bonk (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bonk (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBonkUSARomInfo, rSuperBonkUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBowlingJapanRomDesc[] = {
	{ "Super Bowling (Japan).sfc",          524288, 0x383bc5d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBowlingJapan)
STD_ROM_FN(rSuperBowlingJapan)

struct BurnDriver BurnDrvrSuperBowlingJapan = {
	"Super Bowling (Japan)", NULL, NULL, "1986",
	"Super Bowling (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bowling (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBowlingJapanRomInfo, rSuperBowlingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBowlingUSARomDesc[] = {
	{ "Super Bowling (USA).sfc",          524288, 0x94945b50, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBowlingUSA)
STD_ROM_FN(rSuperBowlingUSA)

struct BurnDriver BurnDrvrSuperBowlingUSA = {
	"Super Bowling (USA)", NULL, NULL, "1986",
	"Super Bowling (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Bowling (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBowlingUSARomInfo, rSuperBowlingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBusterBrosUSABetaRomDesc[] = {
	{ "Super Buster Bros. (USA) (Beta).sfc",          524288, 0x3c3c2562, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBusterBrosUSABeta)
STD_ROM_FN(rSuperBusterBrosUSABeta)

struct BurnDriver BurnDrvrSuperBusterBrosUSABeta = {
	"Super Buster Bros. (USA) (Beta)", NULL, NULL, "1986",
	"Super Buster Bros. (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Buster Bros. (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBusterBrosUSABetaRomInfo, rSuperBusterBrosUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBusterBrosUSARev1RomDesc[] = {
	{ "Super Buster Bros. (USA) (Rev 1).sfc",          524288, 0x9526d1aa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBusterBrosUSARev1)
STD_ROM_FN(rSuperBusterBrosUSARev1)

struct BurnDriver BurnDrvrSuperBusterBrosUSARev1 = {
	"Super Buster Bros. (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Buster Bros. (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Buster Bros. (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBusterBrosUSARev1RomInfo, rSuperBusterBrosUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperBusterBrosUSARomDesc[] = {
	{ "Super Buster Bros. (USA).sfc",          524288, 0xc86872d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperBusterBrosUSA)
STD_ROM_FN(rSuperBusterBrosUSA)

struct BurnDriver BurnDrvrSuperBusterBrosUSA = {
	"Super Buster Bros. (USA)", NULL, NULL, "1986",
	"Super Buster Bros. (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Buster Bros. (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperBusterBrosUSARomInfo, rSuperBusterBrosUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCaesarsPalaceUSABetaRomDesc[] = {
	{ "Super Caesars Palace (USA) (Beta).sfc",          524288, 0x88eb3131, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCaesarsPalaceUSABeta)
STD_ROM_FN(rSuperCaesarsPalaceUSABeta)

struct BurnDriver BurnDrvrSuperCaesarsPalaceUSABeta = {
	"Super Caesars Palace (USA) (Beta)", NULL, NULL, "1986",
	"Super Caesars Palace (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Caesars Palace (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCaesarsPalaceUSABetaRomInfo, rSuperCaesarsPalaceUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCaesarsPalaceUSARomDesc[] = {
	{ "Super Caesars Palace (USA).sfc",          524288, 0xa2381221, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCaesarsPalaceUSA)
STD_ROM_FN(rSuperCaesarsPalaceUSA)

struct BurnDriver BurnDrvrSuperCaesarsPalaceUSA = {
	"Super Caesars Palace (USA)", NULL, NULL, "1986",
	"Super Caesars Palace (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Caesars Palace (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCaesarsPalaceUSARomInfo, rSuperCaesarsPalaceUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCasinoCaesarsPalaceJapanRev1RomDesc[] = {
	{ "Super Casino - Caesars Palace (Japan) (Rev 1).sfc",          524288, 0x53193b87, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCasinoCaesarsPalaceJapanRev1)
STD_ROM_FN(rSuperCasinoCaesarsPalaceJapanRev1)

struct BurnDriver BurnDrvrSuperCasinoCaesarsPalaceJapanRev1 = {
	"Super Casino - Caesars Palace (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Casino - Caesars Palace (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Casino - Caesars Palace (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCasinoCaesarsPalaceJapanRev1RomInfo, rSuperCasinoCaesarsPalaceJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCasinoCaesarsPalaceJapanRomDesc[] = {
	{ "Super Casino - Caesars Palace (Japan).sfc",          524288, 0x6f9632d7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCasinoCaesarsPalaceJapan)
STD_ROM_FN(rSuperCasinoCaesarsPalaceJapan)

struct BurnDriver BurnDrvrSuperCasinoCaesarsPalaceJapan = {
	"Super Casino - Caesars Palace (Japan)", NULL, NULL, "1986",
	"Super Casino - Caesars Palace (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Casino - Caesars Palace (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCasinoCaesarsPalaceJapanRomInfo, rSuperCasinoCaesarsPalaceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCasino2JapanRomDesc[] = {
	{ "Super Casino 2 (Japan).sfc",          524288, 0xcc306f93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCasino2Japan)
STD_ROM_FN(rSuperCasino2Japan)

struct BurnDriver BurnDrvrSuperCasino2Japan = {
	"Super Casino 2 (Japan)", NULL, NULL, "1986",
	"Super Casino 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Casino 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCasino2JapanRomInfo, rSuperCasino2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCastlesJapanRomDesc[] = {
	{ "Super Castles (Japan).sfc",          1048576, 0xff1c41c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCastlesJapan)
STD_ROM_FN(rSuperCastlesJapan)

struct BurnDriver BurnDrvrSuperCastlesJapan = {
	"Super Castles (Japan)", NULL, NULL, "1986",
	"Super Castles (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Castles (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCastlesJapanRomInfo, rSuperCastlesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCastlevaniaIVEuropeRomDesc[] = {
	{ "Super Castlevania IV (Europe).sfc",          1048576, 0x5d40cb37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCastlevaniaIVEurope)
STD_ROM_FN(rSuperCastlevaniaIVEurope)

struct BurnDriver BurnDrvrSuperCastlevaniaIVEurope = {
	"Super Castlevania IV (Europe)", NULL, NULL, "1986",
	"Super Castlevania IV (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Castlevania IV (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCastlevaniaIVEuropeRomInfo, rSuperCastlevaniaIVEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCastlevaniaIVUSARomDesc[] = {
	{ "Super Castlevania IV (USA).sfc",          1048576, 0xb64ffb12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCastlevaniaIVUSA)
STD_ROM_FN(rSuperCastlevaniaIVUSA)

struct BurnDriver BurnDrvrSuperCastlevaniaIVUSA = {
	"Super Castlevania IV (USA)", NULL, NULL, "1986",
	"Super Castlevania IV (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Castlevania IV (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCastlevaniaIVUSARomInfo, rSuperCastlevaniaIVUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChaseHQEuropeRomDesc[] = {
	{ "Super Chase H.Q. (Europe).sfc",          1048576, 0x1211c80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChaseHQEurope)
STD_ROM_FN(rSuperChaseHQEurope)

struct BurnDriver BurnDrvrSuperChaseHQEurope = {
	"Super Chase H.Q. (Europe)", NULL, NULL, "1986",
	"Super Chase H.Q. (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chase H.Q. (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChaseHQEuropeRomInfo, rSuperChaseHQEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChaseHQUSARomDesc[] = {
	{ "Super Chase H.Q. (USA).sfc",          1048576, 0x6ef3b9c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChaseHQUSA)
STD_ROM_FN(rSuperChaseHQUSA)

struct BurnDriver BurnDrvrSuperChaseHQUSA = {
	"Super Chase H.Q. (USA)", NULL, NULL, "1986",
	"Super Chase H.Q. (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chase H.Q. (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChaseHQUSARomInfo, rSuperChaseHQUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChineseFighterJapanRomDesc[] = {
	{ "Super Chinese Fighter (Japan).sfc",          2097152, 0x84767959, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChineseFighterJapan)
STD_ROM_FN(rSuperChineseFighterJapan)

struct BurnDriver BurnDrvrSuperChineseFighterJapan = {
	"Super Chinese Fighter (Japan)", NULL, NULL, "1986",
	"Super Chinese Fighter (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chinese Fighter (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChineseFighterJapanRomInfo, rSuperChineseFighterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChineseWorldJapanRomDesc[] = {
	{ "Super Chinese World (Japan).sfc",          1048576, 0x52fff0bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChineseWorldJapan)
STD_ROM_FN(rSuperChineseWorldJapan)

struct BurnDriver BurnDrvrSuperChineseWorldJapan = {
	"Super Chinese World (Japan)", NULL, NULL, "1986",
	"Super Chinese World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chinese World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChineseWorldJapanRomInfo, rSuperChineseWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChineseWorld2UchuuIchibutouTaikaiJapanSampleRomDesc[] = {
	{ "Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan) (Sample).sfc",          2097152, 0x28bd0dbf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChineseWorld2UchuuIchibutouTaikaiJapanSample)
STD_ROM_FN(rSuperChineseWorld2UchuuIchibutouTaikaiJapanSample)

struct BurnDriver BurnDrvrSuperChineseWorld2UchuuIchibutouTaikaiJapanSample = {
	"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan) (Sample)", NULL, NULL, "1986",
	"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChineseWorld2UchuuIchibutouTaikaiJapanSampleRomInfo, rSuperChineseWorld2UchuuIchibutouTaikaiJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChineseWorld2UchuuIchibutouTaikaiJapanRomDesc[] = {
	{ "Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan).sfc",          2097152, 0x77dafbb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChineseWorld2UchuuIchibutouTaikaiJapan)
STD_ROM_FN(rSuperChineseWorld2UchuuIchibutouTaikaiJapan)

struct BurnDriver BurnDrvrSuperChineseWorld2UchuuIchibutouTaikaiJapan = {
	"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan)", NULL, NULL, "1986",
	"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chinese World 2 - Uchuu Ichibutou Taikai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChineseWorld2UchuuIchibutouTaikaiJapanRomInfo, rSuperChineseWorld2UchuuIchibutouTaikaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperChineseWorld3ChouJigenDaisakusenJapanRomDesc[] = {
	{ "Super Chinese World 3 - Chou Jigen Daisakusen (Japan).sfc",          1572864, 0x758a0322, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperChineseWorld3ChouJigenDaisakusenJapan)
STD_ROM_FN(rSuperChineseWorld3ChouJigenDaisakusenJapan)

struct BurnDriver BurnDrvrSuperChineseWorld3ChouJigenDaisakusenJapan = {
	"Super Chinese World 3 - Chou Jigen Daisakusen (Japan)", NULL, NULL, "1986",
	"Super Chinese World 3 - Chou Jigen Daisakusen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Chinese World 3 - Chou Jigen Daisakusen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperChineseWorld3ChouJigenDaisakusenJapanRomInfo, rSuperChineseWorld3ChouJigenDaisakusenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperConflictTheMideastEuropeRomDesc[] = {
	{ "Super Conflict - The Mideast (Europe).sfc",          1048576, 0xa699604, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperConflictTheMideastEurope)
STD_ROM_FN(rSuperConflictTheMideastEurope)

struct BurnDriver BurnDrvrSuperConflictTheMideastEurope = {
	"Super Conflict - The Mideast (Europe)", NULL, NULL, "1986",
	"Super Conflict - The Mideast (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Conflict - The Mideast (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperConflictTheMideastEuropeRomInfo, rSuperConflictTheMideastEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperConflictTheMideastUSARomDesc[] = {
	{ "Super Conflict - The Mideast (USA).sfc",          1048576, 0xf254d5cf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperConflictTheMideastUSA)
STD_ROM_FN(rSuperConflictTheMideastUSA)

struct BurnDriver BurnDrvrSuperConflictTheMideastUSA = {
	"Super Conflict - The Mideast (USA)", NULL, NULL, "1986",
	"Super Conflict - The Mideast (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Conflict - The Mideast (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperConflictTheMideastUSARomInfo, rSuperConflictTheMideastUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCopaBrazilEsPtRomDesc[] = {
	{ "Super Copa (Brazil) (Es,Pt).sfc",          1048576, 0x49e53877, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCopaBrazilEsPt)
STD_ROM_FN(rSuperCopaBrazilEsPt)

struct BurnDriver BurnDrvrSuperCopaBrazilEsPt = {
	"Super Copa (Brazil) (Es,Pt)", NULL, NULL, "1986",
	"Super Copa (Brazil) (Es,Pt)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Copa (Brazil) (Es,Pt)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCopaBrazilEsPtRomInfo, rSuperCopaBrazilEsPtRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperCupSoccerJapanRomDesc[] = {
	{ "Super Cup Soccer (Japan).sfc",          1048576, 0x14a03974, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperCupSoccerJapan)
STD_ROM_FN(rSuperCupSoccerJapan)

struct BurnDriver BurnDrvrSuperCupSoccerJapan = {
	"Super Cup Soccer (Japan)", NULL, NULL, "1986",
	"Super Cup Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Cup Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperCupSoccerJapanRomInfo, rSuperCupSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDaikoukaiJidaiJapanRomDesc[] = {
	{ "Super Daikoukai Jidai (Japan).sfc",          1048576, 0x641cb02b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDaikoukaiJidaiJapan)
STD_ROM_FN(rSuperDaikoukaiJidaiJapan)

struct BurnDriver BurnDrvrSuperDaikoukaiJidaiJapan = {
	"Super Daikoukai Jidai (Japan)", NULL, NULL, "1986",
	"Super Daikoukai Jidai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Daikoukai Jidai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDaikoukaiJidaiJapanRomInfo, rSuperDaikoukaiJidaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDanyFranceBetaRomDesc[] = {
	{ "Super Dany (France) (Beta).sfc",          1048576, 0x3d1b4c77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDanyFranceBeta)
STD_ROM_FN(rSuperDanyFranceBeta)

struct BurnDriver BurnDrvrSuperDanyFranceBeta = {
	"Super Dany (France) (Beta)", NULL, NULL, "1986",
	"Super Dany (France) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dany (France) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDanyFranceBetaRomInfo, rSuperDanyFranceBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDanyFranceRomDesc[] = {
	{ "Super Dany (France).sfc",          1048576, 0xf578f67, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDanyFrance)
STD_ROM_FN(rSuperDanyFrance)

struct BurnDriver BurnDrvrSuperDanyFrance = {
	"Super Dany (France)", NULL, NULL, "1986",
	"Super Dany (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dany (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDanyFranceRomInfo, rSuperDanyFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDogfightJapanRomDesc[] = {
	{ "Super Dogfight (Japan).sfc",          2097152, 0x2f5d822d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDogfightJapan)
STD_ROM_FN(rSuperDogfightJapan)

struct BurnDriver BurnDrvrSuperDogfightJapan = {
	"Super Dogfight (Japan)", NULL, NULL, "1986",
	"Super Dogfight (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dogfight (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDogfightJapanRomInfo, rSuperDogfightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKongJapanRev1RomDesc[] = {
	{ "Super Donkey Kong (Japan) (Rev 1).sfc",          4194304, 0x3adef543, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKongJapanRev1)
STD_ROM_FN(rSuperDonkeyKongJapanRev1)

struct BurnDriver BurnDrvrSuperDonkeyKongJapanRev1 = {
	"Super Donkey Kong (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Donkey Kong (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKongJapanRev1RomInfo, rSuperDonkeyKongJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKongJapanRomDesc[] = {
	{ "Super Donkey Kong (Japan).sfc",          4194304, 0x50f2d1bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKongJapan)
STD_ROM_FN(rSuperDonkeyKongJapan)

struct BurnDriver BurnDrvrSuperDonkeyKongJapan = {
	"Super Donkey Kong (Japan)", NULL, NULL, "1986",
	"Super Donkey Kong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKongJapanRomInfo, rSuperDonkeyKongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKong2DixieDiddyJapanRev1RomDesc[] = {
	{ "Super Donkey Kong 2 - Dixie & Diddy (Japan) (Rev 1).sfc",          4194304, 0x46079c0f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKong2DixieDiddyJapanRev1)
STD_ROM_FN(rSuperDonkeyKong2DixieDiddyJapanRev1)

struct BurnDriver BurnDrvrSuperDonkeyKong2DixieDiddyJapanRev1 = {
	"Super Donkey Kong 2 - Dixie & Diddy (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Donkey Kong 2 - Dixie & Diddy (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong 2 - Dixie & Diddy (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKong2DixieDiddyJapanRev1RomInfo, rSuperDonkeyKong2DixieDiddyJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKong2DixieDiddyJapanRomDesc[] = {
	{ "Super Donkey Kong 2 - Dixie & Diddy (Japan).sfc",          4194304, 0xa0be8e71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKong2DixieDiddyJapan)
STD_ROM_FN(rSuperDonkeyKong2DixieDiddyJapan)

struct BurnDriver BurnDrvrSuperDonkeyKong2DixieDiddyJapan = {
	"Super Donkey Kong 2 - Dixie & Diddy (Japan)", NULL, NULL, "1986",
	"Super Donkey Kong 2 - Dixie & Diddy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong 2 - Dixie & Diddy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKong2DixieDiddyJapanRomInfo, rSuperDonkeyKong2DixieDiddyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKong3NazonoKremstouJapanRev1RomDesc[] = {
	{ "Super Donkey Kong 3 - Nazo no Krems-tou (Japan) (Rev 1).sfc",          4194304, 0x5b337fb6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKong3NazonoKremstouJapanRev1)
STD_ROM_FN(rSuperDonkeyKong3NazonoKremstouJapanRev1)

struct BurnDriver BurnDrvrSuperDonkeyKong3NazonoKremstouJapanRev1 = {
	"Super Donkey Kong 3 - Nazo no Krems-tou (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Donkey Kong 3 - Nazo no Krems-tou (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong 3 - Nazo no Krems-tou (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKong3NazonoKremstouJapanRev1RomInfo, rSuperDonkeyKong3NazonoKremstouJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDonkeyKong3NazonoKremstouJapanRomDesc[] = {
	{ "Super Donkey Kong 3 - Nazo no Krems-tou (Japan).sfc",          4194304, 0xf712928, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDonkeyKong3NazonoKremstouJapan)
STD_ROM_FN(rSuperDonkeyKong3NazonoKremstouJapan)

struct BurnDriver BurnDrvrSuperDonkeyKong3NazonoKremstouJapan = {
	"Super Donkey Kong 3 - Nazo no Krems-tou (Japan)", NULL, NULL, "1986",
	"Super Donkey Kong 3 - Nazo no Krems-tou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Donkey Kong 3 - Nazo no Krems-tou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDonkeyKong3NazonoKremstouJapanRomInfo, rSuperDonkeyKong3NazonoKremstouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDoubleDragonEuropeBetaRomDesc[] = {
	{ "Super Double Dragon (Europe) (Beta).sfc",          1048576, 0x1064e0e0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDoubleDragonEuropeBeta)
STD_ROM_FN(rSuperDoubleDragonEuropeBeta)

struct BurnDriver BurnDrvrSuperDoubleDragonEuropeBeta = {
	"Super Double Dragon (Europe) (Beta)", NULL, NULL, "1986",
	"Super Double Dragon (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Double Dragon (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDoubleDragonEuropeBetaRomInfo, rSuperDoubleDragonEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDoubleDragonEuropeRomDesc[] = {
	{ "Super Double Dragon (Europe).sfc",          1048576, 0xb3f6009b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDoubleDragonEurope)
STD_ROM_FN(rSuperDoubleDragonEurope)

struct BurnDriver BurnDrvrSuperDoubleDragonEurope = {
	"Super Double Dragon (Europe)", NULL, NULL, "1986",
	"Super Double Dragon (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Double Dragon (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDoubleDragonEuropeRomInfo, rSuperDoubleDragonEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDoubleDragonUSARomDesc[] = {
	{ "Super Double Dragon (USA).sfc",          1048576, 0x9ed12a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDoubleDragonUSA)
STD_ROM_FN(rSuperDoubleDragonUSA)

struct BurnDriver BurnDrvrSuperDoubleDragonUSA = {
	"Super Double Dragon (USA)", NULL, NULL, "1986",
	"Super Double Dragon (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Double Dragon (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDoubleDragonUSARomInfo, rSuperDoubleDragonUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDoubleYakumanJapanRomDesc[] = {
	{ "Super Double Yakuman (Japan).sfc",          524288, 0x16cca911, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDoubleYakumanJapan)
STD_ROM_FN(rSuperDoubleYakumanJapan)

struct BurnDriver BurnDrvrSuperDoubleYakumanJapan = {
	"Super Double Yakuman (Japan)", NULL, NULL, "1986",
	"Super Double Yakuman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Double Yakuman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDoubleYakumanJapanRomInfo, rSuperDoubleYakumanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDoubleYakumanIIJapanRomDesc[] = {
	{ "Super Double Yakuman II (Japan).sfc",          524288, 0xe70aa119, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDoubleYakumanIIJapan)
STD_ROM_FN(rSuperDoubleYakumanIIJapan)

struct BurnDriver BurnDrvrSuperDoubleYakumanIIJapan = {
	"Super Double Yakuman II (Japan)", NULL, NULL, "1986",
	"Super Double Yakuman II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Double Yakuman II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDoubleYakumanIIJapanRomInfo, rSuperDoubleYakumanIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDrakkhenJapanRomDesc[] = {
	{ "Super Drakkhen (Japan).sfc",          2097152, 0x2c4e6b8f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDrakkhenJapan)
STD_ROM_FN(rSuperDrakkhenJapan)

struct BurnDriver BurnDrvrSuperDrakkhenJapan = {
	"Super Drakkhen (Japan)", NULL, NULL, "1986",
	"Super Drakkhen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Drakkhen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDrakkhenJapanRomInfo, rSuperDrakkhenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDriftOutWorldRallyChampionshipsJapanRomDesc[] = {
	{ "Super Drift Out - World Rally Championships (Japan).sfc",          2097152, 0xec8c1cca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDriftOutWorldRallyChampionshipsJapan)
STD_ROM_FN(rSuperDriftOutWorldRallyChampionshipsJapan)

struct BurnDriver BurnDrvrSuperDriftOutWorldRallyChampionshipsJapan = {
	"Super Drift Out - World Rally Championships (Japan)", NULL, NULL, "1986",
	"Super Drift Out - World Rally Championships (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Drift Out - World Rally Championships (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDriftOutWorldRallyChampionshipsJapanRomInfo, rSuperDriftOutWorldRallyChampionshipsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDropzoneEuropeRomDesc[] = {
	{ "Super Dropzone (Europe).sfc",          1048576, 0xe1ccce49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDropzoneEurope)
STD_ROM_FN(rSuperDropzoneEurope)

struct BurnDriver BurnDrvrSuperDropzoneEurope = {
	"Super Dropzone (Europe)", NULL, NULL, "1986",
	"Super Dropzone (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dropzone (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDropzoneEuropeRomInfo, rSuperDropzoneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDunkShotJapanRomDesc[] = {
	{ "Super Dunk Shot (Japan).sfc",          1048576, 0x4674e469, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDunkShotJapan)
STD_ROM_FN(rSuperDunkShotJapan)

struct BurnDriver BurnDrvrSuperDunkShotJapan = {
	"Super Dunk Shot (Japan)", NULL, NULL, "1986",
	"Super Dunk Shot (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dunk Shot (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDunkShotJapanRomInfo, rSuperDunkShotJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperDunkStarJapanRomDesc[] = {
	{ "Super Dunk Star (Japan).sfc",          1048576, 0x2d391540, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperDunkStarJapan)
STD_ROM_FN(rSuperDunkStarJapan)

struct BurnDriver BurnDrvrSuperDunkStarJapan = {
	"Super Dunk Star (Japan)", NULL, NULL, "1986",
	"Super Dunk Star (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Dunk Star (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperDunkStarJapanRomInfo, rSuperDunkStarJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperEDFJapanBSRomDesc[] = {
	{ "Super E.D.F. (Japan) (BS).sfc",          1048576, 0xf6aa6c8d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperEDFJapanBS)
STD_ROM_FN(rSuperEDFJapanBS)

struct BurnDriver BurnDrvrSuperEDFJapanBS = {
	"Super E.D.F. (Japan) (BS)", NULL, NULL, "1986",
	"Super E.D.F. (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super E.D.F. (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperEDFJapanBSRomInfo, rSuperEDFJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperEDFJapanRomDesc[] = {
	{ "Super E.D.F. (Japan).sfc",          1048576, 0x3e631524, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperEDFJapan)
STD_ROM_FN(rSuperEDFJapan)

struct BurnDriver BurnDrvrSuperEDFJapan = {
	"Super E.D.F. (Japan)", NULL, NULL, "1986",
	"Super E.D.F. (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super E.D.F. (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperEDFJapanRomInfo, rSuperEDFJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperF1CircusJapanRomDesc[] = {
	{ "Super F1 Circus (Japan).sfc",          1048576, 0x7c94c86c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperF1CircusJapan)
STD_ROM_FN(rSuperF1CircusJapan)

struct BurnDriver BurnDrvrSuperF1CircusJapan = {
	"Super F1 Circus (Japan)", NULL, NULL, "1986",
	"Super F1 Circus (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super F1 Circus (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperF1CircusJapanRomInfo, rSuperF1CircusJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperF1Circus2JapanRomDesc[] = {
	{ "Super F1 Circus 2 (Japan).sfc",          1572864, 0xab53000, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperF1Circus2Japan)
STD_ROM_FN(rSuperF1Circus2Japan)

struct BurnDriver BurnDrvrSuperF1Circus2Japan = {
	"Super F1 Circus 2 (Japan)", NULL, NULL, "1986",
	"Super F1 Circus 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super F1 Circus 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperF1Circus2JapanRomInfo, rSuperF1Circus2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperF1Circus3JapanRomDesc[] = {
	{ "Super F1 Circus 3 (Japan).sfc",          2097152, 0x26ef22cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperF1Circus3Japan)
STD_ROM_FN(rSuperF1Circus3Japan)

struct BurnDriver BurnDrvrSuperF1Circus3Japan = {
	"Super F1 Circus 3 (Japan)", NULL, NULL, "1986",
	"Super F1 Circus 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super F1 Circus 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperF1Circus3JapanRomInfo, rSuperF1Circus3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperF1CircusGaidenJapanRomDesc[] = {
	{ "Super F1 Circus Gaiden (Japan).sfc",          1310720, 0x6b8ac3b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperF1CircusGaidenJapan)
STD_ROM_FN(rSuperF1CircusGaidenJapan)

struct BurnDriver BurnDrvrSuperF1CircusGaidenJapan = {
	"Super F1 Circus Gaiden (Japan)", NULL, NULL, "1986",
	"Super F1 Circus Gaiden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super F1 Circus Gaiden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperF1CircusGaidenJapanRomInfo, rSuperF1CircusGaidenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperF1CircusLimitedJapanRomDesc[] = {
	{ "Super F1 Circus Limited (Japan).sfc",          1048576, 0x47270f1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperF1CircusLimitedJapan)
STD_ROM_FN(rSuperF1CircusLimitedJapan)

struct BurnDriver BurnDrvrSuperF1CircusLimitedJapan = {
	"Super F1 Circus Limited (Japan)", NULL, NULL, "1986",
	"Super F1 Circus Limited (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super F1 Circus Limited (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperF1CircusLimitedJapanRomInfo, rSuperF1CircusLimitedJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamicomWarsJapanNPRomDesc[] = {
	{ "Super Famicom Wars (Japan) (NP).sfc",          2097152, 0xd6eacbea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamicomWarsJapanNP)
STD_ROM_FN(rSuperFamicomWarsJapanNP)

struct BurnDriver BurnDrvrSuperFamicomWarsJapanNP = {
	"Super Famicom Wars (Japan) (NP)", NULL, NULL, "1986",
	"Super Famicom Wars (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famicom Wars (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamicomWarsJapanNPRomInfo, rSuperFamicomWarsJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamicomWarsBSBanTsukinowajimaJapanBSRomDesc[] = {
	{ "Super Famicom Wars - BS Ban - Tsukinowa-jima (Japan) (BS).sfc",          1048576, 0x513e71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamicomWarsBSBanTsukinowajimaJapanBS)
STD_ROM_FN(rSuperFamicomWarsBSBanTsukinowajimaJapanBS)

struct BurnDriver BurnDrvrSuperFamicomWarsBSBanTsukinowajimaJapanBS = {
	"Super Famicom Wars - BS Ban - Tsukinowa-jima (Japan) (BS)", NULL, NULL, "1986",
	"Super Famicom Wars - BS Ban - Tsukinowa-jima (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famicom Wars - BS Ban - Tsukinowa-jima (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamicomWarsBSBanTsukinowajimaJapanBSRomInfo, rSuperFamicomWarsBSBanTsukinowajimaJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamilyCircuitJapanRomDesc[] = {
	{ "Super Family Circuit (Japan).sfc",          1048576, 0xdc82850e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamilyCircuitJapan)
STD_ROM_FN(rSuperFamilyCircuitJapan)

struct BurnDriver BurnDrvrSuperFamilyCircuitJapan = {
	"Super Family Circuit (Japan)", NULL, NULL, "1986",
	"Super Family Circuit (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Family Circuit (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamilyCircuitJapanRomInfo, rSuperFamilyCircuitJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamilyGelaendeJapanNPRomDesc[] = {
	{ "Super Family Gelaende (Japan) (NP).sfc",          2097152, 0xca99dfcf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamilyGelaendeJapanNP)
STD_ROM_FN(rSuperFamilyGelaendeJapanNP)

struct BurnDriver BurnDrvrSuperFamilyGelaendeJapanNP = {
	"Super Family Gelaende (Japan) (NP)", NULL, NULL, "1986",
	"Super Family Gelaende (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Family Gelaende (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamilyGelaendeJapanNPRomInfo, rSuperFamilyGelaendeJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamilyTennisJapanRomDesc[] = {
	{ "Super Family Tennis (Japan).sfc",          1048576, 0x2bcbff26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamilyTennisJapan)
STD_ROM_FN(rSuperFamilyTennisJapan)

struct BurnDriver BurnDrvrSuperFamilyTennisJapan = {
	"Super Family Tennis (Japan)", NULL, NULL, "1986",
	"Super Family Tennis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Family Tennis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamilyTennisJapanRomInfo, rSuperFamilyTennisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamistaJapanRomDesc[] = {
	{ "Super Famista (Japan).sfc",          1048576, 0x72d49e26, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamistaJapan)
STD_ROM_FN(rSuperFamistaJapan)

struct BurnDriver BurnDrvrSuperFamistaJapan = {
	"Super Famista (Japan)", NULL, NULL, "1986",
	"Super Famista (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamistaJapanRomInfo, rSuperFamistaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamista2JapanRomDesc[] = {
	{ "Super Famista 2 (Japan).sfc",          1048576, 0xc4dfd188, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamista2Japan)
STD_ROM_FN(rSuperFamista2Japan)

struct BurnDriver BurnDrvrSuperFamista2Japan = {
	"Super Famista 2 (Japan)", NULL, NULL, "1986",
	"Super Famista 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamista2JapanRomInfo, rSuperFamista2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamista3JapanRomDesc[] = {
	{ "Super Famista 3 (Japan).sfc",          1048576, 0xb933d0ee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamista3Japan)
STD_ROM_FN(rSuperFamista3Japan)

struct BurnDriver BurnDrvrSuperFamista3Japan = {
	"Super Famista 3 (Japan)", NULL, NULL, "1986",
	"Super Famista 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamista3JapanRomInfo, rSuperFamista3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamista4JapanRev1RomDesc[] = {
	{ "Super Famista 4 (Japan) (Rev 1).sfc",          2097152, 0x8ea0de90, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamista4JapanRev1)
STD_ROM_FN(rSuperFamista4JapanRev1)

struct BurnDriver BurnDrvrSuperFamista4JapanRev1 = {
	"Super Famista 4 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Famista 4 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista 4 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamista4JapanRev1RomInfo, rSuperFamista4JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamista4JapanRomDesc[] = {
	{ "Super Famista 4 (Japan).sfc",          2097152, 0x7c20accb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamista4Japan)
STD_ROM_FN(rSuperFamista4Japan)

struct BurnDriver BurnDrvrSuperFamista4Japan = {
	"Super Famista 4 (Japan)", NULL, NULL, "1986",
	"Super Famista 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamista4JapanRomInfo, rSuperFamista4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFamista5JapanRomDesc[] = {
	{ "Super Famista 5 (Japan).sfc",          2621440, 0x27aa431c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFamista5Japan)
STD_ROM_FN(rSuperFamista5Japan)

struct BurnDriver BurnDrvrSuperFamista5Japan = {
	"Super Famista 5 (Japan)", NULL, NULL, "1986",
	"Super Famista 5 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Famista 5 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFamista5JapanRomInfo, rSuperFamista5JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFinalMatchTennisJapanRomDesc[] = {
	{ "Super Final Match Tennis (Japan).sfc",          1048576, 0x4f0b96fa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFinalMatchTennisJapan)
STD_ROM_FN(rSuperFinalMatchTennisJapan)

struct BurnDriver BurnDrvrSuperFinalMatchTennisJapan = {
	"Super Final Match Tennis (Japan)", NULL, NULL, "1986",
	"Super Final Match Tennis (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Final Match Tennis (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFinalMatchTennisJapanRomInfo, rSuperFinalMatchTennisJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling (Japan).sfc",          1048576, 0xdb71bf4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingJapan)
STD_ROM_FN(rSuperFireProWrestlingJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingJapan = {
	"Super Fire Pro Wrestling (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingJapanRomInfo, rSuperFireProWrestlingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingQueensSpecialJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling - Queen's Special (Japan).sfc",          3145728, 0x3227f1b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingQueensSpecialJapan)
STD_ROM_FN(rSuperFireProWrestlingQueensSpecialJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingQueensSpecialJapan = {
	"Super Fire Pro Wrestling - Queen's Special (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling - Queen's Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling - Queen's Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingQueensSpecialJapanRomInfo, rSuperFireProWrestlingQueensSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestling2JapanRomDesc[] = {
	{ "Super Fire Pro Wrestling 2 (Japan).sfc",          1048576, 0x8fac5efd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestling2Japan)
STD_ROM_FN(rSuperFireProWrestling2Japan)

struct BurnDriver BurnDrvrSuperFireProWrestling2Japan = {
	"Super Fire Pro Wrestling 2 (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestling2JapanRomInfo, rSuperFireProWrestling2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingIIIEasyTypeJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling III - Easy Type (Japan).sfc",          1572864, 0x93f778af, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingIIIEasyTypeJapan)
STD_ROM_FN(rSuperFireProWrestlingIIIEasyTypeJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingIIIEasyTypeJapan = {
	"Super Fire Pro Wrestling III - Easy Type (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling III - Easy Type (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling III - Easy Type (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingIIIEasyTypeJapanRomInfo, rSuperFireProWrestlingIIIEasyTypeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingIIIFinalBoutJapanRev1RomDesc[] = {
	{ "Super Fire Pro Wrestling III - Final Bout (Japan) (Rev 1).sfc",          1572864, 0x978dc1ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingIIIFinalBoutJapanRev1)
STD_ROM_FN(rSuperFireProWrestlingIIIFinalBoutJapanRev1)

struct BurnDriver BurnDrvrSuperFireProWrestlingIIIFinalBoutJapanRev1 = {
	"Super Fire Pro Wrestling III - Final Bout (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling III - Final Bout (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling III - Final Bout (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingIIIFinalBoutJapanRev1RomInfo, rSuperFireProWrestlingIIIFinalBoutJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingIIIFinalBoutJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling III - Final Bout (Japan).sfc",          1572864, 0x4dfb9072, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingIIIFinalBoutJapan)
STD_ROM_FN(rSuperFireProWrestlingIIIFinalBoutJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingIIIFinalBoutJapan = {
	"Super Fire Pro Wrestling III - Final Bout (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling III - Final Bout (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling III - Final Bout (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingIIIFinalBoutJapanRomInfo, rSuperFireProWrestlingIIIFinalBoutJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingSpecialJapanRev1RomDesc[] = {
	{ "Super Fire Pro Wrestling Special (Japan) (Rev 1).sfc",          4194304, 0x1a13435c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingSpecialJapanRev1)
STD_ROM_FN(rSuperFireProWrestlingSpecialJapanRev1)

struct BurnDriver BurnDrvrSuperFireProWrestlingSpecialJapanRev1 = {
	"Super Fire Pro Wrestling Special (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling Special (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling Special (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingSpecialJapanRev1RomInfo, rSuperFireProWrestlingSpecialJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingSpecialJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling Special (Japan).sfc",          4194304, 0xe279ebe3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingSpecialJapan)
STD_ROM_FN(rSuperFireProWrestlingSpecialJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingSpecialJapan = {
	"Super Fire Pro Wrestling Special (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling Special (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling Special (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingSpecialJapanRomInfo, rSuperFireProWrestlingSpecialJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingXJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling X (Japan).sfc",          4194304, 0x959db484, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingXJapan)
STD_ROM_FN(rSuperFireProWrestlingXJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingXJapan = {
	"Super Fire Pro Wrestling X (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling X (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling X (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingXJapanRomInfo, rSuperFireProWrestlingXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFireProWrestlingXPremiumJapanRomDesc[] = {
	{ "Super Fire Pro Wrestling X Premium (Japan).sfc",          4194304, 0x82de1380, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFireProWrestlingXPremiumJapan)
STD_ROM_FN(rSuperFireProWrestlingXPremiumJapan)

struct BurnDriver BurnDrvrSuperFireProWrestlingXPremiumJapan = {
	"Super Fire Pro Wrestling X Premium (Japan)", NULL, NULL, "1986",
	"Super Fire Pro Wrestling X Premium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fire Pro Wrestling X Premium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFireProWrestlingXPremiumJapanRomInfo, rSuperFireProWrestlingXPremiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFishingBigFightJapanRomDesc[] = {
	{ "Super Fishing Big Fight (Japan).sfc",          1572864, 0x1ac48969, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFishingBigFightJapan)
STD_ROM_FN(rSuperFishingBigFightJapan)

struct BurnDriver BurnDrvrSuperFishingBigFightJapan = {
	"Super Fishing Big Fight (Japan)", NULL, NULL, "1986",
	"Super Fishing Big Fight (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Fishing Big Fight (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFishingBigFightJapanRomInfo, rSuperFishingBigFightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccerJapanRomDesc[] = {
	{ "Super Formation Soccer (Japan).sfc",          524288, 0x265afe97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccerJapan)
STD_ROM_FN(rSuperFormationSoccerJapan)

struct BurnDriver BurnDrvrSuperFormationSoccerJapan = {
	"Super Formation Soccer (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccerJapanRomInfo, rSuperFormationSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccer94WorldCupEditionJapanRomDesc[] = {
	{ "Super Formation Soccer 94 - World Cup Edition (Japan).sfc",          1048576, 0xd547c5d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccer94WorldCupEditionJapan)
STD_ROM_FN(rSuperFormationSoccer94WorldCupEditionJapan)

struct BurnDriver BurnDrvrSuperFormationSoccer94WorldCupEditionJapan = {
	"Super Formation Soccer 94 - World Cup Edition (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer 94 - World Cup Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer 94 - World Cup Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccer94WorldCupEditionJapanRomInfo, rSuperFormationSoccer94WorldCupEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccer94WorldCupFinalDataJapanRomDesc[] = {
	{ "Super Formation Soccer 94 - World Cup Final Data (Japan).sfc",          1048576, 0xbf1f2e16, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccer94WorldCupFinalDataJapan)
STD_ROM_FN(rSuperFormationSoccer94WorldCupFinalDataJapan)

struct BurnDriver BurnDrvrSuperFormationSoccer94WorldCupFinalDataJapan = {
	"Super Formation Soccer 94 - World Cup Final Data (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer 94 - World Cup Final Data (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer 94 - World Cup Final Data (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccer94WorldCupFinalDataJapanRomInfo, rSuperFormationSoccer94WorldCupFinalDataJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersionRomDesc[] = {
	{ "Super Formation Soccer 95 della Serie A (Japan) (UCC Xaqua Version).sfc",          1572864, 0x1cf83bc2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersion)
STD_ROM_FN(rSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersion)

struct BurnDriver BurnDrvrSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersion = {
	"Super Formation Soccer 95 della Serie A (Japan) (UCC Xaqua Version)", NULL, NULL, "1986",
	"Super Formation Soccer 95 della Serie A (Japan) (UCC Xaqua Version)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer 95 della Serie A (Japan) (UCC Xaqua Version)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersionRomInfo, rSuperFormationSoccer95dellaSerieAJapanUCCXaquaVersionRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccer95dellaSerieAJapanRomDesc[] = {
	{ "Super Formation Soccer 95 della Serie A (Japan).sfc",          1572864, 0x798352bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccer95dellaSerieAJapan)
STD_ROM_FN(rSuperFormationSoccer95dellaSerieAJapan)

struct BurnDriver BurnDrvrSuperFormationSoccer95dellaSerieAJapan = {
	"Super Formation Soccer 95 della Serie A (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer 95 della Serie A (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer 95 della Serie A (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccer95dellaSerieAJapanRomInfo, rSuperFormationSoccer95dellaSerieAJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccer96WorldClubEditionJapanRomDesc[] = {
	{ "Super Formation Soccer 96 - World Club Edition (Japan).sfc",          1572864, 0xf42272cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccer96WorldClubEditionJapan)
STD_ROM_FN(rSuperFormationSoccer96WorldClubEditionJapan)

struct BurnDriver BurnDrvrSuperFormationSoccer96WorldClubEditionJapan = {
	"Super Formation Soccer 96 - World Club Edition (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer 96 - World Club Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer 96 - World Club Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccer96WorldClubEditionJapanRomInfo, rSuperFormationSoccer96WorldClubEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFormationSoccerIIJapanRomDesc[] = {
	{ "Super Formation Soccer II (Japan).sfc",          524288, 0x74c75074, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFormationSoccerIIJapan)
STD_ROM_FN(rSuperFormationSoccerIIJapan)

struct BurnDriver BurnDrvrSuperFormationSoccerIIJapan = {
	"Super Formation Soccer II (Japan)", NULL, NULL, "1986",
	"Super Formation Soccer II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Formation Soccer II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFormationSoccerIIJapanRomInfo, rSuperFormationSoccerIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperFullMetalEuropeItSvProtoRomDesc[] = {
	{ "Super Full Metal (Europe) (It,Sv) (Proto).sfc",          524288, 0x32a810a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperFullMetalEuropeItSvProto)
STD_ROM_FN(rSuperFullMetalEuropeItSvProto)

struct BurnDriver BurnDrvrSuperFullMetalEuropeItSvProto = {
	"Super Full Metal (Europe) (It,Sv) (Proto)", NULL, NULL, "1986",
	"Super Full Metal (Europe) (It,Sv) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Full Metal (Europe) (It,Sv) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperFullMetalEuropeItSvProtoRomInfo, rSuperFullMetalEuropeItSvProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGachaponWorldSDGundamXJapanRomDesc[] = {
	{ "Super Gachapon World - SD Gundam X (Japan).sfc",          1048576, 0x8bfcb5a3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGachaponWorldSDGundamXJapan)
STD_ROM_FN(rSuperGachaponWorldSDGundamXJapan)

struct BurnDriver BurnDrvrSuperGachaponWorldSDGundamXJapan = {
	"Super Gachapon World - SD Gundam X (Japan)", NULL, NULL, "1986",
	"Super Gachapon World - SD Gundam X (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gachapon World - SD Gundam X (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGachaponWorldSDGundamXJapanRomInfo, rSuperGachaponWorldSDGundamXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGameBoyJapanRomDesc[] = {
	{ "Super Game Boy (Japan).sfc",          262144, 0x2e35edbb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGameBoyJapan)
STD_ROM_FN(rSuperGameBoyJapan)

struct BurnDriver BurnDrvrSuperGameBoyJapan = {
	"Super Game Boy (Japan)", NULL, NULL, "1986",
	"Super Game Boy (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Game Boy (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGameBoyJapanRomInfo, rSuperGameBoyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGameBoyJapanUSARev1RomDesc[] = {
	{ "Super Game Boy (Japan, USA) (Rev 1).sfc",          262144, 0x27a03c98, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGameBoyJapanUSARev1)
STD_ROM_FN(rSuperGameBoyJapanUSARev1)

struct BurnDriver BurnDrvrSuperGameBoyJapanUSARev1 = {
	"Super Game Boy (Japan, USA) (Rev 1)", NULL, NULL, "1986",
	"Super Game Boy (Japan, USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Game Boy (Japan, USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGameBoyJapanUSARev1RomInfo, rSuperGameBoyJapanUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGameBoyWorldRev2RomDesc[] = {
	{ "Super Game Boy (World) (Rev 2).sfc",          262144, 0x8a4a174f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGameBoyWorldRev2)
STD_ROM_FN(rSuperGameBoyWorldRev2)

struct BurnDriver BurnDrvrSuperGameBoyWorldRev2 = {
	"Super Game Boy (World) (Rev 2)", NULL, NULL, "1986",
	"Super Game Boy (World) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Game Boy (World) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGameBoyWorldRev2RomInfo, rSuperGameBoyWorldRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGameBoy2JapanRomDesc[] = {
	{ "Super Game Boy 2 (Japan).sfc",          524288, 0xcb176e45, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGameBoy2Japan)
STD_ROM_FN(rSuperGameBoy2Japan)

struct BurnDriver BurnDrvrSuperGameBoy2Japan = {
	"Super Game Boy 2 (Japan)", NULL, NULL, "1986",
	"Super Game Boy 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Game Boy 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGameBoy2JapanRomInfo, rSuperGameBoy2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGenjinJapanRomDesc[] = {
	{ "Super Genjin (Japan).sfc",          1572864, 0xb24af648, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGenjinJapan)
STD_ROM_FN(rSuperGenjinJapan)

struct BurnDriver BurnDrvrSuperGenjinJapan = {
	"Super Genjin (Japan)", NULL, NULL, "1986",
	"Super Genjin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Genjin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGenjinJapanRomInfo, rSuperGenjinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGenjin2JapanRomDesc[] = {
	{ "Super Genjin 2 (Japan).sfc",          1572864, 0xc5d12427, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGenjin2Japan)
STD_ROM_FN(rSuperGenjin2Japan)

struct BurnDriver BurnDrvrSuperGenjin2Japan = {
	"Super Genjin 2 (Japan)", NULL, NULL, "1986",
	"Super Genjin 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Genjin 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGenjin2JapanRomInfo, rSuperGenjin2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGhoulsnGhostsEuropeRomDesc[] = {
	{ "Super Ghouls'n Ghosts (Europe).sfc",          1048576, 0xa00bc05e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGhoulsnGhostsEurope)
STD_ROM_FN(rSuperGhoulsnGhostsEurope)

struct BurnDriver BurnDrvrSuperGhoulsnGhostsEurope = {
	"Super Ghouls'n Ghosts (Europe)", NULL, NULL, "1986",
	"Super Ghouls'n Ghosts (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ghouls'n Ghosts (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGhoulsnGhostsEuropeRomInfo, rSuperGhoulsnGhostsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGhoulsnGhostsUSARomDesc[] = {
	{ "Super Ghouls'n Ghosts (USA).sfc",          1048576, 0x6aaba901, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGhoulsnGhostsUSA)
STD_ROM_FN(rSuperGhoulsnGhostsUSA)

struct BurnDriver BurnDrvrSuperGhoulsnGhostsUSA = {
	"Super Ghouls'n Ghosts (USA)", NULL, NULL, "1986",
	"Super Ghouls'n Ghosts (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ghouls'n Ghosts (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGhoulsnGhostsUSARomInfo, rSuperGhoulsnGhostsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGoalEuropeRomDesc[] = {
	{ "Super Goal! (Europe).sfc",          1048576, 0xbb624450, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGoalEurope)
STD_ROM_FN(rSuperGoalEurope)

struct BurnDriver BurnDrvrSuperGoalEurope = {
	"Super Goal! (Europe)", NULL, NULL, "1986",
	"Super Goal! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Goal! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGoalEuropeRomInfo, rSuperGoalEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGoal2USARomDesc[] = {
	{ "Super Goal! 2 (USA).sfc",          524288, 0xc5829306, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGoal2USA)
STD_ROM_FN(rSuperGoal2USA)

struct BurnDriver BurnDrvrSuperGoal2USA = {
	"Super Goal! 2 (USA)", NULL, NULL, "1986",
	"Super Goal! 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Goal! 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGoal2USARomInfo, rSuperGoal2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGodzillaJapanRev1RomDesc[] = {
	{ "Super Godzilla (Japan) (Rev 1).sfc",          1572864, 0x47ec317e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGodzillaJapanRev1)
STD_ROM_FN(rSuperGodzillaJapanRev1)

struct BurnDriver BurnDrvrSuperGodzillaJapanRev1 = {
	"Super Godzilla (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Godzilla (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Godzilla (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGodzillaJapanRev1RomInfo, rSuperGodzillaJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGodzillaJapanRomDesc[] = {
	{ "Super Godzilla (Japan).sfc",          1572864, 0x56d63328, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGodzillaJapan)
STD_ROM_FN(rSuperGodzillaJapan)

struct BurnDriver BurnDrvrSuperGodzillaJapan = {
	"Super Godzilla (Japan)", NULL, NULL, "1986",
	"Super Godzilla (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Godzilla (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGodzillaJapanRomInfo, rSuperGodzillaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGodzillaUSARomDesc[] = {
	{ "Super Godzilla (USA).sfc",          1572864, 0x6a187c70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGodzillaUSA)
STD_ROM_FN(rSuperGodzillaUSA)

struct BurnDriver BurnDrvrSuperGodzillaUSA = {
	"Super Godzilla (USA)", NULL, NULL, "1986",
	"Super Godzilla (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Godzilla (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGodzillaUSARomInfo, rSuperGodzillaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGomokuNarabeRenjuJapanRomDesc[] = {
	{ "Super Gomoku Narabe - Renju (Japan).sfc",          524288, 0x5621000d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGomokuNarabeRenjuJapan)
STD_ROM_FN(rSuperGomokuNarabeRenjuJapan)

struct BurnDriver BurnDrvrSuperGomokuNarabeRenjuJapan = {
	"Super Gomoku Narabe - Renju (Japan)", NULL, NULL, "1986",
	"Super Gomoku Narabe - Renju (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gomoku Narabe - Renju (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGomokuNarabeRenjuJapanRomInfo, rSuperGomokuNarabeRenjuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGomokuShougiJousekiKenkyuuHenJapanRomDesc[] = {
	{ "Super Gomoku Shougi - Jouseki Kenkyuu Hen (Japan).sfc",          1048576, 0x54833287, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGomokuShougiJousekiKenkyuuHenJapan)
STD_ROM_FN(rSuperGomokuShougiJousekiKenkyuuHenJapan)

struct BurnDriver BurnDrvrSuperGomokuShougiJousekiKenkyuuHenJapan = {
	"Super Gomoku Shougi - Jouseki Kenkyuu Hen (Japan)", NULL, NULL, "1986",
	"Super Gomoku Shougi - Jouseki Kenkyuu Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gomoku Shougi - Jouseki Kenkyuu Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGomokuShougiJousekiKenkyuuHenJapanRomInfo, rSuperGomokuShougiJousekiKenkyuuHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGussunOyoyoJapanSampleRomDesc[] = {
	{ "Super Gussun Oyoyo (Japan) (Sample).sfc",          1572864, 0x8477c613, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGussunOyoyoJapanSample)
STD_ROM_FN(rSuperGussunOyoyoJapanSample)

struct BurnDriver BurnDrvrSuperGussunOyoyoJapanSample = {
	"Super Gussun Oyoyo (Japan) (Sample)", NULL, NULL, "1986",
	"Super Gussun Oyoyo (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gussun Oyoyo (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGussunOyoyoJapanSampleRomInfo, rSuperGussunOyoyoJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGussunOyoyoJapanRomDesc[] = {
	{ "Super Gussun Oyoyo (Japan).sfc",          1572864, 0xbc405def, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGussunOyoyoJapan)
STD_ROM_FN(rSuperGussunOyoyoJapan)

struct BurnDriver BurnDrvrSuperGussunOyoyoJapan = {
	"Super Gussun Oyoyo (Japan)", NULL, NULL, "1986",
	"Super Gussun Oyoyo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gussun Oyoyo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGussunOyoyoJapanRomInfo, rSuperGussunOyoyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperGussunOyoyo2JapanRomDesc[] = {
	{ "Super Gussun Oyoyo 2 (Japan).sfc",          1310720, 0x244cf4df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperGussunOyoyo2Japan)
STD_ROM_FN(rSuperGussunOyoyo2Japan)

struct BurnDriver BurnDrvrSuperGussunOyoyo2Japan = {
	"Super Gussun Oyoyo 2 (Japan)", NULL, NULL, "1986",
	"Super Gussun Oyoyo 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Gussun Oyoyo 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperGussunOyoyo2JapanRomInfo, rSuperGussunOyoyo2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHQCriminalChaserJapanRomDesc[] = {
	{ "Super H.Q. - Criminal Chaser (Japan).sfc",          1048576, 0xbf252997, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHQCriminalChaserJapan)
STD_ROM_FN(rSuperHQCriminalChaserJapan)

struct BurnDriver BurnDrvrSuperHQCriminalChaserJapan = {
	"Super H.Q. - Criminal Chaser (Japan)", NULL, NULL, "1986",
	"Super H.Q. - Criminal Chaser (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super H.Q. - Criminal Chaser (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHQCriminalChaserJapanRomInfo, rSuperHQCriminalChaserJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHanafudaJapanRomDesc[] = {
	{ "Super Hanafuda (Japan).sfc",          524288, 0xf2dd4ebf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHanafudaJapan)
STD_ROM_FN(rSuperHanafudaJapan)

struct BurnDriver BurnDrvrSuperHanafudaJapan = {
	"Super Hanafuda (Japan)", NULL, NULL, "1986",
	"Super Hanafuda (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Hanafuda (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHanafudaJapanRomInfo, rSuperHanafudaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHanafuda2JapanRomDesc[] = {
	{ "Super Hanafuda 2 (Japan).sfc",          1048576, 0x6f12c3d5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHanafuda2Japan)
STD_ROM_FN(rSuperHanafuda2Japan)

struct BurnDriver BurnDrvrSuperHanafuda2Japan = {
	"Super Hanafuda 2 (Japan)", NULL, NULL, "1986",
	"Super Hanafuda 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Hanafuda 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHanafuda2JapanRomInfo, rSuperHanafuda2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHighImpactJapanRomDesc[] = {
	{ "Super High Impact (Japan).sfc",          1048576, 0xda8a5ad5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHighImpactJapan)
STD_ROM_FN(rSuperHighImpactJapan)

struct BurnDriver BurnDrvrSuperHighImpactJapan = {
	"Super High Impact (Japan)", NULL, NULL, "1986",
	"Super High Impact (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super High Impact (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHighImpactJapanRomInfo, rSuperHighImpactJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHighImpactUSABetaRomDesc[] = {
	{ "Super High Impact (USA) (Beta).sfc",          1048576, 0x6c771cbd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHighImpactUSABeta)
STD_ROM_FN(rSuperHighImpactUSABeta)

struct BurnDriver BurnDrvrSuperHighImpactUSABeta = {
	"Super High Impact (USA) (Beta)", NULL, NULL, "1986",
	"Super High Impact (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super High Impact (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHighImpactUSABetaRomInfo, rSuperHighImpactUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHighImpactUSARomDesc[] = {
	{ "Super High Impact (USA).sfc",          1048576, 0x2eed70fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHighImpactUSA)
STD_ROM_FN(rSuperHighImpactUSA)

struct BurnDriver BurnDrvrSuperHighImpactUSA = {
	"Super High Impact (USA)", NULL, NULL, "1986",
	"Super High Impact (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super High Impact (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHighImpactUSARomInfo, rSuperHighImpactUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHockey94JapanRomDesc[] = {
	{ "Super Hockey '94 (Japan).sfc",          1048576, 0xa3890d4f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHockey94Japan)
STD_ROM_FN(rSuperHockey94Japan)

struct BurnDriver BurnDrvrSuperHockey94Japan = {
	"Super Hockey '94 (Japan)", NULL, NULL, "1986",
	"Super Hockey '94 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Hockey '94 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHockey94JapanRomInfo, rSuperHockey94JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHockeyEuropeRomDesc[] = {
	{ "Super Hockey (Europe).sfc",          1048576, 0x781514e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHockeyEurope)
STD_ROM_FN(rSuperHockeyEurope)

struct BurnDriver BurnDrvrSuperHockeyEurope = {
	"Super Hockey (Europe)", NULL, NULL, "1986",
	"Super Hockey (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Hockey (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHockeyEuropeRomInfo, rSuperHockeyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHockeyFranceEnFrRomDesc[] = {
	{ "Super Hockey (France) (En,Fr).sfc",          1048576, 0xc9cf2601, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHockeyFranceEnFr)
STD_ROM_FN(rSuperHockeyFranceEnFr)

struct BurnDriver BurnDrvrSuperHockeyFranceEnFr = {
	"Super Hockey (France) (En,Fr)", NULL, NULL, "1986",
	"Super Hockey (France) (En,Fr)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Hockey (France) (En,Fr)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHockeyFranceEnFrRomInfo, rSuperHockeyFranceEnFrRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperHonmeiGISeihaJapanRomDesc[] = {
	{ "Super Honmei - GI Seiha (Japan).sfc",          1572864, 0x7ceb9f66, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperHonmeiGISeihaJapan)
STD_ROM_FN(rSuperHonmeiGISeihaJapan)

struct BurnDriver BurnDrvrSuperHonmeiGISeihaJapan = {
	"Super Honmei - GI Seiha (Japan)", NULL, NULL, "1986",
	"Super Honmei - GI Seiha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Honmei - GI Seiha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperHonmeiGISeihaJapanRomInfo, rSuperHonmeiGISeihaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperIceHockeyEuropeRomDesc[] = {
	{ "Super Ice Hockey (Europe).sfc",          1048576, 0xfb1d16c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperIceHockeyEurope)
STD_ROM_FN(rSuperIceHockeyEurope)

struct BurnDriver BurnDrvrSuperIceHockeyEurope = {
	"Super Ice Hockey (Europe)", NULL, NULL, "1986",
	"Super Ice Hockey (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ice Hockey (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperIceHockeyEuropeRomInfo, rSuperIceHockeyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperIgoGoOuJapanRomDesc[] = {
	{ "Super Igo - Go Ou (Japan).sfc",          524288, 0x4ac5623d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperIgoGoOuJapan)
STD_ROM_FN(rSuperIgoGoOuJapan)

struct BurnDriver BurnDrvrSuperIgoGoOuJapan = {
	"Super Igo - Go Ou (Japan)", NULL, NULL, "1986",
	"Super Igo - Go Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Igo - Go Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperIgoGoOuJapanRomInfo, rSuperIgoGoOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperIndyChampJapanRomDesc[] = {
	{ "Super Indy Champ (Japan).sfc",          1048576, 0x6b321db6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperIndyChampJapan)
STD_ROM_FN(rSuperIndyChampJapan)

struct BurnDriver BurnDrvrSuperIndyChampJapan = {
	"Super Indy Champ (Japan)", NULL, NULL, "1986",
	"Super Indy Champ (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Indy Champ (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperIndyChampJapanRomInfo, rSuperIndyChampJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperInindouDatouNobunagaJapanRomDesc[] = {
	{ "Super Inindou - Datou Nobunaga (Japan).sfc",          1310720, 0x7bc8cd39, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperInindouDatouNobunagaJapan)
STD_ROM_FN(rSuperInindouDatouNobunagaJapan)

struct BurnDriver BurnDrvrSuperInindouDatouNobunagaJapan = {
	"Super Inindou - Datou Nobunaga (Japan)", NULL, NULL, "1986",
	"Super Inindou - Datou Nobunaga (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Inindou - Datou Nobunaga (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperInindouDatouNobunagaJapanRomInfo, rSuperInindouDatouNobunagaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperInternationalCricketEuropeBetaRomDesc[] = {
	{ "Super International Cricket (Europe) (Beta).sfc",          1048576, 0x2e9985bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperInternationalCricketEuropeBeta)
STD_ROM_FN(rSuperInternationalCricketEuropeBeta)

struct BurnDriver BurnDrvrSuperInternationalCricketEuropeBeta = {
	"Super International Cricket (Europe) (Beta)", NULL, NULL, "1986",
	"Super International Cricket (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super International Cricket (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperInternationalCricketEuropeBetaRomInfo, rSuperInternationalCricketEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperInternationalCricketEuropeRomDesc[] = {
	{ "Super International Cricket (Europe).sfc",          1048576, 0x89cd72b0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperInternationalCricketEurope)
STD_ROM_FN(rSuperInternationalCricketEurope)

struct BurnDriver BurnDrvrSuperInternationalCricketEurope = {
	"Super International Cricket (Europe)", NULL, NULL, "1986",
	"Super International Cricket (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super International Cricket (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperInternationalCricketEuropeRomInfo, rSuperInternationalCricketEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJamesPondUSABetaRomDesc[] = {
	{ "Super James Pond (USA) (Beta).sfc",          524288, 0xed91c23f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJamesPondUSABeta)
STD_ROM_FN(rSuperJamesPondUSABeta)

struct BurnDriver BurnDrvrSuperJamesPondUSABeta = {
	"Super James Pond (USA) (Beta)", NULL, NULL, "1986",
	"Super James Pond (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super James Pond (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJamesPondUSABetaRomInfo, rSuperJamesPondUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJamesPondUSARomDesc[] = {
	{ "Super James Pond (USA).sfc",          524288, 0xd7c34122, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJamesPondUSA)
STD_ROM_FN(rSuperJamesPondUSA)

struct BurnDriver BurnDrvrSuperJamesPondUSA = {
	"Super James Pond (USA)", NULL, NULL, "1986",
	"Super James Pond (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super James Pond (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJamesPondUSARomInfo, rSuperJamesPondUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJamesPondIIEuropeRomDesc[] = {
	{ "Super James Pond II (Europe).sfc",          524288, 0x8edb44ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJamesPondIIEurope)
STD_ROM_FN(rSuperJamesPondIIEurope)

struct BurnDriver BurnDrvrSuperJamesPondIIEurope = {
	"Super James Pond II (Europe)", NULL, NULL, "1986",
	"Super James Pond II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super James Pond II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJamesPondIIEuropeRomInfo, rSuperJamesPondIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJamesPondIIJapanRomDesc[] = {
	{ "Super James Pond II (Japan).sfc",          1048576, 0x1b2c3a47, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJamesPondIIJapan)
STD_ROM_FN(rSuperJamesPondIIJapan)

struct BurnDriver BurnDrvrSuperJamesPondIIJapan = {
	"Super James Pond II (Japan)", NULL, NULL, "1986",
	"Super James Pond II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super James Pond II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJamesPondIIJapanRomInfo, rSuperJamesPondIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJangouJapanRomDesc[] = {
	{ "Super Jangou (Japan).sfc",          1048576, 0xff6c80c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJangouJapan)
STD_ROM_FN(rSuperJangouJapan)

struct BurnDriver BurnDrvrSuperJangouJapan = {
	"Super Jangou (Japan)", NULL, NULL, "1986",
	"Super Jangou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Jangou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJangouJapanRomInfo, rSuperJangouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJinseiGameJapanRev1RomDesc[] = {
	{ "Super Jinsei Game (Japan) (Rev 1).sfc",          1310720, 0x5b1837be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJinseiGameJapanRev1)
STD_ROM_FN(rSuperJinseiGameJapanRev1)

struct BurnDriver BurnDrvrSuperJinseiGameJapanRev1 = {
	"Super Jinsei Game (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Jinsei Game (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Jinsei Game (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJinseiGameJapanRev1RomInfo, rSuperJinseiGameJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJinseiGameJapanRomDesc[] = {
	{ "Super Jinsei Game (Japan).sfc",          1310720, 0xf3b6a9ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJinseiGameJapan)
STD_ROM_FN(rSuperJinseiGameJapan)

struct BurnDriver BurnDrvrSuperJinseiGameJapan = {
	"Super Jinsei Game (Japan)", NULL, NULL, "1986",
	"Super Jinsei Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Jinsei Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJinseiGameJapanRomInfo, rSuperJinseiGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJinseiGame2JapanRomDesc[] = {
	{ "Super Jinsei Game 2 (Japan).sfc",          1310720, 0x7d924c99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJinseiGame2Japan)
STD_ROM_FN(rSuperJinseiGame2Japan)

struct BurnDriver BurnDrvrSuperJinseiGame2Japan = {
	"Super Jinsei Game 2 (Japan)", NULL, NULL, "1986",
	"Super Jinsei Game 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Jinsei Game 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJinseiGame2JapanRomInfo, rSuperJinseiGame2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperJinseiGame3JapanRomDesc[] = {
	{ "Super Jinsei Game 3 (Japan).sfc",          2097152, 0x688382b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperJinseiGame3Japan)
STD_ROM_FN(rSuperJinseiGame3Japan)

struct BurnDriver BurnDrvrSuperJinseiGame3Japan = {
	"Super Jinsei Game 3 (Japan)", NULL, NULL, "1986",
	"Super Jinsei Game 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Jinsei Game 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperJinseiGame3JapanRomInfo, rSuperJinseiGame3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKeibaJapanRomDesc[] = {
	{ "Super Keiba (Japan).sfc",          1048576, 0x41f92e6f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKeibaJapan)
STD_ROM_FN(rSuperKeibaJapan)

struct BurnDriver BurnDrvrSuperKeibaJapan = {
	"Super Keiba (Japan)", NULL, NULL, "1986",
	"Super Keiba (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Keiba (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKeibaJapanRomInfo, rSuperKeibaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKeiba2JapanRomDesc[] = {
	{ "Super Keiba 2 (Japan).sfc",          1572864, 0x48529fb3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKeiba2Japan)
STD_ROM_FN(rSuperKeiba2Japan)

struct BurnDriver BurnDrvrSuperKeiba2Japan = {
	"Super Keiba 2 (Japan)", NULL, NULL, "1986",
	"Super Keiba 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Keiba 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKeiba2JapanRomInfo, rSuperKeiba2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKeirinJapanRomDesc[] = {
	{ "Super Keirin (Japan).sfc",          1572864, 0x6e20b5f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKeirinJapan)
STD_ROM_FN(rSuperKeirinJapan)

struct BurnDriver BurnDrvrSuperKeirinJapan = {
	"Super Keirin (Japan)", NULL, NULL, "1986",
	"Super Keirin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Keirin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKeirinJapanRomInfo, rSuperKeirinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKickBoxingBestoftheBestJapanRomDesc[] = {
	{ "Super Kick Boxing - Best of the Best (Japan).sfc",          1048576, 0x4ee4de37, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKickBoxingBestoftheBestJapan)
STD_ROM_FN(rSuperKickBoxingBestoftheBestJapan)

struct BurnDriver BurnDrvrSuperKickBoxingBestoftheBestJapan = {
	"Super Kick Boxing - Best of the Best (Japan)", NULL, NULL, "1986",
	"Super Kick Boxing - Best of the Best (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kick Boxing - Best of the Best (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKickBoxingBestoftheBestJapanRomInfo, rSuperKickBoxingBestoftheBestJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKickOffJapanRomDesc[] = {
	{ "Super Kick Off (Japan).sfc",          524288, 0x70afd634, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKickOffJapan)
STD_ROM_FN(rSuperKickOffJapan)

struct BurnDriver BurnDrvrSuperKickOffJapan = {
	"Super Kick Off (Japan)", NULL, NULL, "1986",
	"Super Kick Off (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kick Off (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKickOffJapanRomInfo, rSuperKickOffJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKoukouYakyuuIkkyuuNyuukonJapanRomDesc[] = {
	{ "Super Koukou Yakyuu - Ikkyuu Nyuukon (Japan).sfc",          1048576, 0xc38bb5bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKoukouYakyuuIkkyuuNyuukonJapan)
STD_ROM_FN(rSuperKoukouYakyuuIkkyuuNyuukonJapan)

struct BurnDriver BurnDrvrSuperKoukouYakyuuIkkyuuNyuukonJapan = {
	"Super Koukou Yakyuu - Ikkyuu Nyuukon (Japan)", NULL, NULL, "1986",
	"Super Koukou Yakyuu - Ikkyuu Nyuukon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Koukou Yakyuu - Ikkyuu Nyuukon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKoukouYakyuuIkkyuuNyuukonJapanRomInfo, rSuperKoukouYakyuuIkkyuuNyuukonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyousoubaKazenoSylphidJapanRomDesc[] = {
	{ "Super Kyousouba - Kaze no Sylphid (Japan).sfc",          1048576, 0x60305047, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyousoubaKazenoSylphidJapan)
STD_ROM_FN(rSuperKyousoubaKazenoSylphidJapan)

struct BurnDriver BurnDrvrSuperKyousoubaKazenoSylphidJapan = {
	"Super Kyousouba - Kaze no Sylphid (Japan)", NULL, NULL, "1986",
	"Super Kyousouba - Kaze no Sylphid (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyousouba - Kaze no Sylphid (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyousoubaKazenoSylphidJapanRomInfo, rSuperKyousoubaKazenoSylphidJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyouteiJapanRev1RomDesc[] = {
	{ "Super Kyoutei (Japan) (Rev 1).sfc",          1310720, 0x593c10b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyouteiJapanRev1)
STD_ROM_FN(rSuperKyouteiJapanRev1)

struct BurnDriver BurnDrvrSuperKyouteiJapanRev1 = {
	"Super Kyoutei (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Kyoutei (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyoutei (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyouteiJapanRev1RomInfo, rSuperKyouteiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyouteiJapanRomDesc[] = {
	{ "Super Kyoutei (Japan).sfc",          1310720, 0xc6fe7f3a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyouteiJapan)
STD_ROM_FN(rSuperKyouteiJapan)

struct BurnDriver BurnDrvrSuperKyouteiJapan = {
	"Super Kyoutei (Japan)", NULL, NULL, "1986",
	"Super Kyoutei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyoutei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyouteiJapanRomInfo, rSuperKyouteiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyoutei2JapanRomDesc[] = {
	{ "Super Kyoutei 2 (Japan).sfc",          1048576, 0xb269dea3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyoutei2Japan)
STD_ROM_FN(rSuperKyoutei2Japan)

struct BurnDriver BurnDrvrSuperKyoutei2Japan = {
	"Super Kyoutei 2 (Japan)", NULL, NULL, "1986",
	"Super Kyoutei 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyoutei 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyoutei2JapanRomInfo, rSuperKyoutei2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyuukyokuHarikiriStadiumJapanRomDesc[] = {
	{ "Super Kyuukyoku Harikiri Stadium (Japan).sfc",          1572864, 0xa83ab04d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyuukyokuHarikiriStadiumJapan)
STD_ROM_FN(rSuperKyuukyokuHarikiriStadiumJapan)

struct BurnDriver BurnDrvrSuperKyuukyokuHarikiriStadiumJapan = {
	"Super Kyuukyoku Harikiri Stadium (Japan)", NULL, NULL, "1986",
	"Super Kyuukyoku Harikiri Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyuukyoku Harikiri Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyuukyokuHarikiriStadiumJapanRomInfo, rSuperKyuukyokuHarikiriStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperKyuukyokuHarikiriStadium2JapanRomDesc[] = {
	{ "Super Kyuukyoku Harikiri Stadium 2 (Japan).sfc",          1572864, 0x5da55692, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperKyuukyokuHarikiriStadium2Japan)
STD_ROM_FN(rSuperKyuukyokuHarikiriStadium2Japan)

struct BurnDriver BurnDrvrSuperKyuukyokuHarikiriStadium2Japan = {
	"Super Kyuukyoku Harikiri Stadium 2 (Japan)", NULL, NULL, "1986",
	"Super Kyuukyoku Harikiri Stadium 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Kyuukyoku Harikiri Stadium 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperKyuukyokuHarikiriStadium2JapanRomInfo, rSuperKyuukyokuHarikiriStadium2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperLinearballJapanRomDesc[] = {
	{ "Super Linearball (Japan).sfc",          524288, 0x689ac35c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperLinearballJapan)
STD_ROM_FN(rSuperLinearballJapan)

struct BurnDriver BurnDrvrSuperLinearballJapan = {
	"Super Linearball (Japan)", NULL, NULL, "1986",
	"Super Linearball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Linearball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperLinearballJapanRomInfo, rSuperLinearballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperLoopzJapanRomDesc[] = {
	{ "Super Loopz (Japan).sfc",          524288, 0x49601821, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperLoopzJapan)
STD_ROM_FN(rSuperLoopzJapan)

struct BurnDriver BurnDrvrSuperLoopzJapan = {
	"Super Loopz (Japan)", NULL, NULL, "1986",
	"Super Loopz (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Loopz (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperLoopzJapanRomInfo, rSuperLoopzJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMadChampJapanRomDesc[] = {
	{ "Super Mad Champ (Japan).sfc",          1572864, 0xb65b532f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMadChampJapan)
STD_ROM_FN(rSuperMadChampJapan)

struct BurnDriver BurnDrvrSuperMadChampJapan = {
	"Super Mad Champ (Japan)", NULL, NULL, "1986",
	"Super Mad Champ (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mad Champ (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMadChampJapanRomInfo, rSuperMadChampJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongJapanRomDesc[] = {
	{ "Super Mahjong (Japan).sfc",          524288, 0x3df04e29, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongJapan)
STD_ROM_FN(rSuperMahjongJapan)

struct BurnDriver BurnDrvrSuperMahjongJapan = {
	"Super Mahjong (Japan)", NULL, NULL, "1986",
	"Super Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongJapanRomInfo, rSuperMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjong2Honkaku4ninUchiJapanRev1RomDesc[] = {
	{ "Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan) (Rev 1).sfc",          524288, 0x6b23e2e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjong2Honkaku4ninUchiJapanRev1)
STD_ROM_FN(rSuperMahjong2Honkaku4ninUchiJapanRev1)

struct BurnDriver BurnDrvrSuperMahjong2Honkaku4ninUchiJapanRev1 = {
	"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjong2Honkaku4ninUchiJapanRev1RomInfo, rSuperMahjong2Honkaku4ninUchiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjong2Honkaku4ninUchiJapanRomDesc[] = {
	{ "Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan).sfc",          524288, 0x1a2a8732, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjong2Honkaku4ninUchiJapan)
STD_ROM_FN(rSuperMahjong2Honkaku4ninUchiJapan)

struct BurnDriver BurnDrvrSuperMahjong2Honkaku4ninUchiJapan = {
	"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan)", NULL, NULL, "1986",
	"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong 2 - Honkaku 4-nin Uchi! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjong2Honkaku4ninUchiJapanRomInfo, rSuperMahjong2Honkaku4ninUchiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjong3KarakuchiJapanRomDesc[] = {
	{ "Super Mahjong 3 - Karakuchi (Japan).sfc",          1048576, 0xfe691648, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjong3KarakuchiJapan)
STD_ROM_FN(rSuperMahjong3KarakuchiJapan)

struct BurnDriver BurnDrvrSuperMahjong3KarakuchiJapan = {
	"Super Mahjong 3 - Karakuchi (Japan)", NULL, NULL, "1986",
	"Super Mahjong 3 - Karakuchi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong 3 - Karakuchi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjong3KarakuchiJapanRomInfo, rSuperMahjong3KarakuchiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongTaikaiJapanBSRomDesc[] = {
	{ "Super Mahjong Taikai (Japan) (BS).sfc",          524288, 0x8eb00b71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongTaikaiJapanBS)
STD_ROM_FN(rSuperMahjongTaikaiJapanBS)

struct BurnDriver BurnDrvrSuperMahjongTaikaiJapanBS = {
	"Super Mahjong Taikai (Japan) (BS)", NULL, NULL, "1986",
	"Super Mahjong Taikai (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong Taikai (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongTaikaiJapanBSRomInfo, rSuperMahjongTaikaiJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongTaikaiJapanRev1RomDesc[] = {
	{ "Super Mahjong Taikai (Japan) (Rev 1).sfc",          524288, 0x224f2944, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongTaikaiJapanRev1)
STD_ROM_FN(rSuperMahjongTaikaiJapanRev1)

struct BurnDriver BurnDrvrSuperMahjongTaikaiJapanRev1 = {
	"Super Mahjong Taikai (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Mahjong Taikai (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong Taikai (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongTaikaiJapanRev1RomInfo, rSuperMahjongTaikaiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongTaikaiJapanRev2RomDesc[] = {
	{ "Super Mahjong Taikai (Japan) (Rev 2).sfc",          524288, 0x91a6d452, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongTaikaiJapanRev2)
STD_ROM_FN(rSuperMahjongTaikaiJapanRev2)

struct BurnDriver BurnDrvrSuperMahjongTaikaiJapanRev2 = {
	"Super Mahjong Taikai (Japan) (Rev 2)", NULL, NULL, "1986",
	"Super Mahjong Taikai (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong Taikai (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongTaikaiJapanRev2RomInfo, rSuperMahjongTaikaiJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongTaikaiJapanRev3RomDesc[] = {
	{ "Super Mahjong Taikai (Japan) (Rev 3).sfc",          524288, 0xf748d9a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongTaikaiJapanRev3)
STD_ROM_FN(rSuperMahjongTaikaiJapanRev3)

struct BurnDriver BurnDrvrSuperMahjongTaikaiJapanRev3 = {
	"Super Mahjong Taikai (Japan) (Rev 3)", NULL, NULL, "1986",
	"Super Mahjong Taikai (Japan) (Rev 3)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong Taikai (Japan) (Rev 3)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongTaikaiJapanRev3RomInfo, rSuperMahjongTaikaiJapanRev3RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMahjongTaikaiJapanRomDesc[] = {
	{ "Super Mahjong Taikai (Japan).sfc",          524288, 0x2a2cccf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMahjongTaikaiJapan)
STD_ROM_FN(rSuperMahjongTaikaiJapan)

struct BurnDriver BurnDrvrSuperMahjongTaikaiJapan = {
	"Super Mahjong Taikai (Japan)", NULL, NULL, "1986",
	"Super Mahjong Taikai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mahjong Taikai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMahjongTaikaiJapanRomInfo, rSuperMahjongTaikaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioYossyIslandJapanRev1RomDesc[] = {
	{ "Super Mario - Yossy Island (Japan) (Rev 1).sfc",          2097152, 0xf66698b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioYossyIslandJapanRev1)
STD_ROM_FN(rSuperMarioYossyIslandJapanRev1)

struct BurnDriver BurnDrvrSuperMarioYossyIslandJapanRev1 = {
	"Super Mario - Yossy Island (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Mario - Yossy Island (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario - Yossy Island (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioYossyIslandJapanRev1RomInfo, rSuperMarioYossyIslandJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioYossyIslandJapanRev2RomDesc[] = {
	{ "Super Mario - Yossy Island (Japan) (Rev 2).sfc",          2097152, 0xf1063fad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioYossyIslandJapanRev2)
STD_ROM_FN(rSuperMarioYossyIslandJapanRev2)

struct BurnDriver BurnDrvrSuperMarioYossyIslandJapanRev2 = {
	"Super Mario - Yossy Island (Japan) (Rev 2)", NULL, NULL, "1986",
	"Super Mario - Yossy Island (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario - Yossy Island (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioYossyIslandJapanRev2RomInfo, rSuperMarioYossyIslandJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioYossyIslandJapanRomDesc[] = {
	{ "Super Mario - Yossy Island (Japan).sfc",          2097152, 0x343e0dfb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioYossyIslandJapan)
STD_ROM_FN(rSuperMarioYossyIslandJapan)

struct BurnDriver BurnDrvrSuperMarioYossyIslandJapan = {
	"Super Mario - Yossy Island (Japan)", NULL, NULL, "1986",
	"Super Mario - Yossy Island (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario - Yossy Island (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioYossyIslandJapanRomInfo, rSuperMarioYossyIslandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioAllStarsEuropeRomDesc[] = {
	{ "Super Mario All-Stars (Europe).sfc",          2097152, 0x925ffa69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioAllStarsEurope)
STD_ROM_FN(rSuperMarioAllStarsEurope)

struct BurnDriver BurnDrvrSuperMarioAllStarsEurope = {
	"Super Mario All-Stars (Europe)", NULL, NULL, "1986",
	"Super Mario All-Stars (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario All-Stars (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioAllStarsEuropeRomInfo, rSuperMarioAllStarsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioAllStarsUSARomDesc[] = {
	{ "Super Mario All-Stars (USA).sfc",          2097152, 0x925637c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioAllStarsUSA)
STD_ROM_FN(rSuperMarioAllStarsUSA)

struct BurnDriver BurnDrvrSuperMarioAllStarsUSA = {
	"Super Mario All-Stars (USA)", NULL, NULL, "1986",
	"Super Mario All-Stars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario All-Stars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioAllStarsUSARomInfo, rSuperMarioAllStarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioAllStarsSuperMarioWorldEuropeRomDesc[] = {
	{ "Super Mario All-Stars + Super Mario World (Europe).sfc",          2621440, 0x303205d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioAllStarsSuperMarioWorldEurope)
STD_ROM_FN(rSuperMarioAllStarsSuperMarioWorldEurope)

struct BurnDriver BurnDrvrSuperMarioAllStarsSuperMarioWorldEurope = {
	"Super Mario All-Stars + Super Mario World (Europe)", NULL, NULL, "1986",
	"Super Mario All-Stars + Super Mario World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario All-Stars + Super Mario World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioAllStarsSuperMarioWorldEuropeRomInfo, rSuperMarioAllStarsSuperMarioWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioAllStarsSuperMarioWorldUSARomDesc[] = {
	{ "Super Mario All-Stars + Super Mario World (USA).sfc",          2621440, 0xf84305b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioAllStarsSuperMarioWorldUSA)
STD_ROM_FN(rSuperMarioAllStarsSuperMarioWorldUSA)

struct BurnDriver BurnDrvrSuperMarioAllStarsSuperMarioWorldUSA = {
	"Super Mario All-Stars + Super Mario World (USA)", NULL, NULL, "1986",
	"Super Mario All-Stars + Super Mario World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario All-Stars + Super Mario World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioAllStarsSuperMarioWorldUSARomInfo, rSuperMarioAllStarsSuperMarioWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioCollectionJapanRev1RomDesc[] = {
	{ "Super Mario Collection (Japan) (Rev 1).sfc",          2097152, 0x91b28d56, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioCollectionJapanRev1)
STD_ROM_FN(rSuperMarioCollectionJapanRev1)

struct BurnDriver BurnDrvrSuperMarioCollectionJapanRev1 = {
	"Super Mario Collection (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Mario Collection (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario Collection (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioCollectionJapanRev1RomInfo, rSuperMarioCollectionJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioCollectionJapanRomDesc[] = {
	{ "Super Mario Collection (Japan).sfc",          2097152, 0x232bb5b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioCollectionJapan)
STD_ROM_FN(rSuperMarioCollectionJapan)

struct BurnDriver BurnDrvrSuperMarioCollectionJapan = {
	"Super Mario Collection (Japan)", NULL, NULL, "1986",
	"Super Mario Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioCollectionJapanRomInfo, rSuperMarioCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioKartEuropeRomDesc[] = {
	{ "Super Mario Kart (Europe).sfc",          524288, 0x56410e5e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioKartEurope)
STD_ROM_FN(rSuperMarioKartEurope)

struct BurnDriver BurnDrvrSuperMarioKartEurope = {
	"Super Mario Kart (Europe)", NULL, NULL, "1986",
	"Super Mario Kart (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario Kart (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioKartEuropeRomInfo, rSuperMarioKartEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioKartJapanRomDesc[] = {
	{ "Super Mario Kart (Japan).sfc",          524288, 0xc8002453, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioKartJapan)
STD_ROM_FN(rSuperMarioKartJapan)

struct BurnDriver BurnDrvrSuperMarioKartJapan = {
	"Super Mario Kart (Japan)", NULL, NULL, "1986",
	"Super Mario Kart (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario Kart (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioKartJapanRomInfo, rSuperMarioKartJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioKartUSARomDesc[] = {
	{ "Super Mario Kart (USA).sfc",          524288, 0xcd80db86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioKartUSA)
STD_ROM_FN(rSuperMarioKartUSA)

struct BurnDriver BurnDrvrSuperMarioKartUSA = {
	"Super Mario Kart (USA)", NULL, NULL, "1986",
	"Super Mario Kart (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario Kart (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioKartUSARomInfo, rSuperMarioKartUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioRPGJapanRomDesc[] = {
	{ "Super Mario RPG (Japan).sfc",          4194304, 0x5527071e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioRPGJapan)
STD_ROM_FN(rSuperMarioRPGJapan)

struct BurnDriver BurnDrvrSuperMarioRPGJapan = {
	"Super Mario RPG (Japan)", NULL, NULL, "1986",
	"Super Mario RPG (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario RPG (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioRPGJapanRomInfo, rSuperMarioRPGJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioRPGLegendoftheSevenStarsUSARomDesc[] = {
	{ "Super Mario RPG - Legend of the Seven Stars (USA).sfc",          4194304, 0x1b8a0625, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioRPGLegendoftheSevenStarsUSA)
STD_ROM_FN(rSuperMarioRPGLegendoftheSevenStarsUSA)

struct BurnDriver BurnDrvrSuperMarioRPGLegendoftheSevenStarsUSA = {
	"Super Mario RPG - Legend of the Seven Stars (USA)", NULL, NULL, "1986",
	"Super Mario RPG - Legend of the Seven Stars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario RPG - Legend of the Seven Stars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioRPGLegendoftheSevenStarsUSARomInfo, rSuperMarioRPGLegendoftheSevenStarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorldEuropeRev1RomDesc[] = {
	{ "Super Mario World (Europe) (Rev 1).sfc",          524288, 0xb47f5f20, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorldEuropeRev1)
STD_ROM_FN(rSuperMarioWorldEuropeRev1)

struct BurnDriver BurnDrvrSuperMarioWorldEuropeRev1 = {
	"Super Mario World (Europe) (Rev 1)", NULL, NULL, "1986",
	"Super Mario World (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorldEuropeRev1RomInfo, rSuperMarioWorldEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorldEuropeRomDesc[] = {
	{ "Super Mario World (Europe).sfc",          524288, 0x3c41070f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorldEurope)
STD_ROM_FN(rSuperMarioWorldEurope)

struct BurnDriver BurnDrvrSuperMarioWorldEurope = {
	"Super Mario World (Europe)", NULL, NULL, "1986",
	"Super Mario World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorldEuropeRomInfo, rSuperMarioWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorldJapanRomDesc[] = {
	{ "Super Mario World (Japan).sfc",          524288, 0xec0ddac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorldJapan)
STD_ROM_FN(rSuperMarioWorldJapan)

struct BurnDriver BurnDrvrSuperMarioWorldJapan = {
	"Super Mario World (Japan)", NULL, NULL, "1986",
	"Super Mario World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorldJapanRomInfo, rSuperMarioWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorldUSARomDesc[] = {
	{ "Super Mario World (USA).sfc",          524288, 0xb19ed489, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorldUSA)
STD_ROM_FN(rSuperMarioWorldUSA)

struct BurnDriver BurnDrvrSuperMarioWorldUSA = {
	"Super Mario World (USA)", NULL, NULL, "1986",
	"Super Mario World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorldUSARomInfo, rSuperMarioWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1RomDesc[] = {
	{ "Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De) (Rev 1).sfc",          2097152, 0x7e01ef9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1)
STD_ROM_FN(rSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1)

struct BurnDriver BurnDrvrSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1 = {
	"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De) (Rev 1)", NULL, NULL, "1986",
	"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1RomInfo, rSuperMarioWorld2YoshisIslandEuropeEnFrDeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorld2YoshisIslandEuropeEnFrDeRomDesc[] = {
	{ "Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De).sfc",          2097152, 0x857980b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorld2YoshisIslandEuropeEnFrDe)
STD_ROM_FN(rSuperMarioWorld2YoshisIslandEuropeEnFrDe)

struct BurnDriver BurnDrvrSuperMarioWorld2YoshisIslandEuropeEnFrDe = {
	"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World 2 - Yoshi's Island (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorld2YoshisIslandEuropeEnFrDeRomInfo, rSuperMarioWorld2YoshisIslandEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorld2YoshisIslandUSARev1RomDesc[] = {
	{ "Super Mario World 2 - Yoshi's Island (USA) (Rev 1).sfc",          2097152, 0xcf98ddaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorld2YoshisIslandUSARev1)
STD_ROM_FN(rSuperMarioWorld2YoshisIslandUSARev1)

struct BurnDriver BurnDrvrSuperMarioWorld2YoshisIslandUSARev1 = {
	"Super Mario World 2 - Yoshi's Island (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Mario World 2 - Yoshi's Island (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World 2 - Yoshi's Island (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorld2YoshisIslandUSARev1RomInfo, rSuperMarioWorld2YoshisIslandUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMarioWorld2YoshisIslandUSARomDesc[] = {
	{ "Super Mario World 2 - Yoshi's Island (USA).sfc",          2097152, 0xd138f224, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMarioWorld2YoshisIslandUSA)
STD_ROM_FN(rSuperMarioWorld2YoshisIslandUSA)

struct BurnDriver BurnDrvrSuperMarioWorld2YoshisIslandUSA = {
	"Super Mario World 2 - Yoshi's Island (USA)", NULL, NULL, "1986",
	"Super Mario World 2 - Yoshi's Island (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Mario World 2 - Yoshi's Island (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMarioWorld2YoshisIslandUSARomInfo, rSuperMarioWorld2YoshisIslandUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMetroidEuropeEnFrDeRomDesc[] = {
	{ "Super Metroid (Europe) (En,Fr,De).sfc",          3145728, 0xad2cbf9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMetroidEuropeEnFrDe)
STD_ROM_FN(rSuperMetroidEuropeEnFrDe)

struct BurnDriver BurnDrvrSuperMetroidEuropeEnFrDe = {
	"Super Metroid (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Super Metroid (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Metroid (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMetroidEuropeEnFrDeRomInfo, rSuperMetroidEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMetroidJapanUSAEnJaRomDesc[] = {
	{ "Super Metroid (Japan, USA) (En,Ja).sfc",          3145728, 0xd63ed5f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMetroidJapanUSAEnJa)
STD_ROM_FN(rSuperMetroidJapanUSAEnJa)

struct BurnDriver BurnDrvrSuperMetroidJapanUSAEnJa = {
	"Super Metroid (Japan, USA) (En,Ja)", NULL, NULL, "1986",
	"Super Metroid (Japan, USA) (En,Ja)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Metroid (Japan, USA) (En,Ja)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMetroidJapanUSAEnJaRomInfo, rSuperMetroidJapanUSAEnJaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMoeroProYakyuuJapanRomDesc[] = {
	{ "Super Moero!! Pro Yakyuu (Japan).sfc",          1572864, 0xda5ad200, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMoeroProYakyuuJapan)
STD_ROM_FN(rSuperMoeroProYakyuuJapan)

struct BurnDriver BurnDrvrSuperMoeroProYakyuuJapan = {
	"Super Moero!! Pro Yakyuu (Japan)", NULL, NULL, "1986",
	"Super Moero!! Pro Yakyuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Moero!! Pro Yakyuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMoeroProYakyuuJapanRomInfo, rSuperMoeroProYakyuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuDXJapanJrNishiNihonPresentsRomDesc[] = {
	{ "Super Momotarou Dentetsu DX (Japan) (Jr Nishi-Nihon Presents).sfc",          2097152, 0x46239d31, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuDXJapanJrNishiNihonPresents)
STD_ROM_FN(rSuperMomotarouDentetsuDXJapanJrNishiNihonPresents)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuDXJapanJrNishiNihonPresents = {
	"Super Momotarou Dentetsu DX (Japan) (Jr Nishi-Nihon Presents)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu DX (Japan) (Jr Nishi-Nihon Presents)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu DX (Japan) (Jr Nishi-Nihon Presents)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuDXJapanJrNishiNihonPresentsRomInfo, rSuperMomotarouDentetsuDXJapanJrNishiNihonPresentsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuDXJapanRomDesc[] = {
	{ "Super Momotarou Dentetsu DX (Japan).sfc",          2097152, 0x1c0c3d81, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuDXJapan)
STD_ROM_FN(rSuperMomotarouDentetsuDXJapan)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuDXJapan = {
	"Super Momotarou Dentetsu DX (Japan)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu DX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu DX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuDXJapanRomInfo, rSuperMomotarouDentetsuDXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuIIJapanRomDesc[] = {
	{ "Super Momotarou Dentetsu II (Japan).sfc",          1048576, 0x277ad4a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuIIJapan)
STD_ROM_FN(rSuperMomotarouDentetsuIIJapan)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuIIJapan = {
	"Super Momotarou Dentetsu II (Japan)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuIIJapanRomInfo, rSuperMomotarouDentetsuIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuIIIJapanRev1RomDesc[] = {
	{ "Super Momotarou Dentetsu III (Japan) (Rev 1).sfc",          1048576, 0x8587eb6e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuIIIJapanRev1)
STD_ROM_FN(rSuperMomotarouDentetsuIIIJapanRev1)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuIIIJapanRev1 = {
	"Super Momotarou Dentetsu III (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu III (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu III (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuIIIJapanRev1RomInfo, rSuperMomotarouDentetsuIIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuIIIJapanRev2RomDesc[] = {
	{ "Super Momotarou Dentetsu III (Japan) (Rev 2).sfc",          1048576, 0x9b9f3f71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuIIIJapanRev2)
STD_ROM_FN(rSuperMomotarouDentetsuIIIJapanRev2)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuIIIJapanRev2 = {
	"Super Momotarou Dentetsu III (Japan) (Rev 2)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu III (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu III (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuIIIJapanRev2RomInfo, rSuperMomotarouDentetsuIIIJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMomotarouDentetsuIIIJapanRomDesc[] = {
	{ "Super Momotarou Dentetsu III (Japan).sfc",          1048576, 0xf787cb9a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMomotarouDentetsuIIIJapan)
STD_ROM_FN(rSuperMomotarouDentetsuIIIJapan)

struct BurnDriver BurnDrvrSuperMomotarouDentetsuIIIJapan = {
	"Super Momotarou Dentetsu III (Japan)", NULL, NULL, "1986",
	"Super Momotarou Dentetsu III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Momotarou Dentetsu III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMomotarouDentetsuIIIJapanRomInfo, rSuperMomotarouDentetsuIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperMorphEuropeRomDesc[] = {
	{ "Super Morph (Europe).sfc",          1048576, 0x388f6daa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperMorphEurope)
STD_ROM_FN(rSuperMorphEurope)

struct BurnDriver BurnDrvrSuperMorphEurope = {
	"Super Morph (Europe)", NULL, NULL, "1986",
	"Super Morph (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Morph (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperMorphEuropeRomInfo, rSuperMorphEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNaxatOpenGolfdeShoubudaDorabocchanJapanRomDesc[] = {
	{ "Super Naxat Open - Golf de Shoubu da Dorabocchan (Japan).sfc",          1048576, 0x86aa8a10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNaxatOpenGolfdeShoubudaDorabocchanJapan)
STD_ROM_FN(rSuperNaxatOpenGolfdeShoubudaDorabocchanJapan)

struct BurnDriver BurnDrvrSuperNaxatOpenGolfdeShoubudaDorabocchanJapan = {
	"Super Naxat Open - Golf de Shoubu da Dorabocchan (Japan)", NULL, NULL, "1986",
	"Super Naxat Open - Golf de Shoubu da Dorabocchan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Naxat Open - Golf de Shoubu da Dorabocchan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNaxatOpenGolfdeShoubudaDorabocchanJapanRomInfo, rSuperNaxatOpenGolfdeShoubudaDorabocchanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNazoPuyoRuluenoRouxJapanRomDesc[] = {
	{ "Super Nazo Puyo - Rulue no Roux (Japan).sfc",          1048576, 0xba1dba22, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNazoPuyoRuluenoRouxJapan)
STD_ROM_FN(rSuperNazoPuyoRuluenoRouxJapan)

struct BurnDriver BurnDrvrSuperNazoPuyoRuluenoRouxJapan = {
	"Super Nazo Puyo - Rulue no Roux (Japan)", NULL, NULL, "1986",
	"Super Nazo Puyo - Rulue no Roux (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nazo Puyo - Rulue no Roux (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNazoPuyoRuluenoRouxJapanRomInfo, rSuperNazoPuyoRuluenoRouxJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapanRomDesc[] = {
	{ "Super Nazo Puyo Tsuu - Rulue no Tetsuwan Hanjouki (Japan).sfc",          1572864, 0xd8c0e0be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapan)
STD_ROM_FN(rSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapan)

struct BurnDriver BurnDrvrSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapan = {
	"Super Nazo Puyo Tsuu - Rulue no Tetsuwan Hanjouki (Japan)", NULL, NULL, "1986",
	"Super Nazo Puyo Tsuu - Rulue no Tetsuwan Hanjouki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nazo Puyo Tsuu - Rulue no Tetsuwan Hanjouki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapanRomInfo, rSuperNazoPuyoTsuuRuluenoTetsuwanHanjoukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNichibutsuMahjongJapanRomDesc[] = {
	{ "Super Nichibutsu Mahjong (Japan).sfc",          1048576, 0xd36aa90c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNichibutsuMahjongJapan)
STD_ROM_FN(rSuperNichibutsuMahjongJapan)

struct BurnDriver BurnDrvrSuperNichibutsuMahjongJapan = {
	"Super Nichibutsu Mahjong (Japan)", NULL, NULL, "1986",
	"Super Nichibutsu Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nichibutsu Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNichibutsuMahjongJapanRomInfo, rSuperNichibutsuMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNichibutsuMahjong2ZenkokuSeihaHenJapanRomDesc[] = {
	{ "Super Nichibutsu Mahjong 2 - Zenkoku Seiha Hen (Japan).sfc",          2097152, 0x36f6378f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNichibutsuMahjong2ZenkokuSeihaHenJapan)
STD_ROM_FN(rSuperNichibutsuMahjong2ZenkokuSeihaHenJapan)

struct BurnDriver BurnDrvrSuperNichibutsuMahjong2ZenkokuSeihaHenJapan = {
	"Super Nichibutsu Mahjong 2 - Zenkoku Seiha Hen (Japan)", NULL, NULL, "1986",
	"Super Nichibutsu Mahjong 2 - Zenkoku Seiha Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nichibutsu Mahjong 2 - Zenkoku Seiha Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNichibutsuMahjong2ZenkokuSeihaHenJapanRomInfo, rSuperNichibutsuMahjong2ZenkokuSeihaHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNichibutsuMahjong3YoshimotoGekijouHenJapanRomDesc[] = {
	{ "Super Nichibutsu Mahjong 3 - Yoshimoto Gekijou Hen (Japan).sfc",          2097152, 0xc8779b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNichibutsuMahjong3YoshimotoGekijouHenJapan)
STD_ROM_FN(rSuperNichibutsuMahjong3YoshimotoGekijouHenJapan)

struct BurnDriver BurnDrvrSuperNichibutsuMahjong3YoshimotoGekijouHenJapan = {
	"Super Nichibutsu Mahjong 3 - Yoshimoto Gekijou Hen (Japan)", NULL, NULL, "1986",
	"Super Nichibutsu Mahjong 3 - Yoshimoto Gekijou Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nichibutsu Mahjong 3 - Yoshimoto Gekijou Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNichibutsuMahjong3YoshimotoGekijouHenJapanRomInfo, rSuperNichibutsuMahjong3YoshimotoGekijouHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNichibutsuMahjong4KisokenkyuuHenJapanRomDesc[] = {
	{ "Super Nichibutsu Mahjong 4 - Kisokenkyuu Hen (Japan).sfc",          1048576, 0x385e4860, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNichibutsuMahjong4KisokenkyuuHenJapan)
STD_ROM_FN(rSuperNichibutsuMahjong4KisokenkyuuHenJapan)

struct BurnDriver BurnDrvrSuperNichibutsuMahjong4KisokenkyuuHenJapan = {
	"Super Nichibutsu Mahjong 4 - Kisokenkyuu Hen (Japan)", NULL, NULL, "1986",
	"Super Nichibutsu Mahjong 4 - Kisokenkyuu Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nichibutsu Mahjong 4 - Kisokenkyuu Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNichibutsuMahjong4KisokenkyuuHenJapanRomInfo, rSuperNichibutsuMahjong4KisokenkyuuHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNinjaBoyUSARomDesc[] = {
	{ "Super Ninja Boy (USA).sfc",          1048576, 0x6bcbba10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNinjaBoyUSA)
STD_ROM_FN(rSuperNinjaBoyUSA)

struct BurnDriver BurnDrvrSuperNinjaBoyUSA = {
	"Super Ninja Boy (USA)", NULL, NULL, "1986",
	"Super Ninja Boy (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ninja Boy (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNinjaBoyUSARomInfo, rSuperNinjaBoyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNinjakunJapanBSRomDesc[] = {
	{ "Super Ninja-kun (Japan) (BS).sfc",          1048576, 0xbb06514e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNinjakunJapanBS)
STD_ROM_FN(rSuperNinjakunJapanBS)

struct BurnDriver BurnDrvrSuperNinjakunJapanBS = {
	"Super Ninja-kun (Japan) (BS)", NULL, NULL, "1986",
	"Super Ninja-kun (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ninja-kun (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNinjakunJapanBSRomInfo, rSuperNinjakunJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNinjakunJapanRomDesc[] = {
	{ "Super Ninja-kun (Japan).sfc",          1048576, 0xa94fcca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNinjakunJapan)
STD_ROM_FN(rSuperNinjakunJapan)

struct BurnDriver BurnDrvrSuperNinjakunJapan = {
	"Super Ninja-kun (Japan)", NULL, NULL, "1986",
	"Super Ninja-kun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ninja-kun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNinjakunJapanRomInfo, rSuperNinjakunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNoahsArk3DUSAUnlRomDesc[] = {
	{ "Super Noah's Ark 3D (USA) (Unl).sfc",          1048576, 0xa2315a14, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNoahsArk3DUSAUnl)
STD_ROM_FN(rSuperNoahsArk3DUSAUnl)

struct BurnDriver BurnDrvrSuperNoahsArk3DUSAUnl = {
	"Super Noah's Ark 3D (USA) (Unl)", NULL, NULL, "1986",
	"Super Noah's Ark 3D (USA) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Noah's Ark 3D (USA) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNoahsArk3DUSAUnlRomInfo, rSuperNoahsArk3DUSAUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNobunaganoYabouBushouFuuunrokuJapanRev1RomDesc[] = {
	{ "Super Nobunaga no Yabou - Bushou Fuuunroku (Japan) (Rev 1).sfc",          1048576, 0xe42ca25a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNobunaganoYabouBushouFuuunrokuJapanRev1)
STD_ROM_FN(rSuperNobunaganoYabouBushouFuuunrokuJapanRev1)

struct BurnDriver BurnDrvrSuperNobunaganoYabouBushouFuuunrokuJapanRev1 = {
	"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNobunaganoYabouBushouFuuunrokuJapanRev1RomInfo, rSuperNobunaganoYabouBushouFuuunrokuJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNobunaganoYabouBushouFuuunrokuJapanRomDesc[] = {
	{ "Super Nobunaga no Yabou - Bushou Fuuunroku (Japan).sfc",          1048576, 0x686f5a90, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNobunaganoYabouBushouFuuunrokuJapan)
STD_ROM_FN(rSuperNobunaganoYabouBushouFuuunrokuJapan)

struct BurnDriver BurnDrvrSuperNobunaganoYabouBushouFuuunrokuJapan = {
	"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan)", NULL, NULL, "1986",
	"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nobunaga no Yabou - Bushou Fuuunroku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNobunaganoYabouBushouFuuunrokuJapanRomInfo, rSuperNobunaganoYabouBushouFuuunrokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNobunaganoYabouZenkokuBanJapanRomDesc[] = {
	{ "Super Nobunaga no Yabou - Zenkoku Ban (Japan).sfc",          524288, 0xa644416f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNobunaganoYabouZenkokuBanJapan)
STD_ROM_FN(rSuperNobunaganoYabouZenkokuBanJapan)

struct BurnDriver BurnDrvrSuperNobunaganoYabouZenkokuBanJapan = {
	"Super Nobunaga no Yabou - Zenkoku Ban (Japan)", NULL, NULL, "1986",
	"Super Nobunaga no Yabou - Zenkoku Ban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nobunaga no Yabou - Zenkoku Ban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNobunaganoYabouZenkokuBanJapanRomInfo, rSuperNobunaganoYabouZenkokuBanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperNovaUSARomDesc[] = {
	{ "Super Nova (USA).sfc",          1048576, 0x460def25, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperNovaUSA)
STD_ROM_FN(rSuperNovaUSA)

struct BurnDriver BurnDrvrSuperNovaUSA = {
	"Super Nova (USA)", NULL, NULL, "1986",
	"Super Nova (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Nova (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperNovaUSARomInfo, rSuperNovaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOffRoadEuropeRomDesc[] = {
	{ "Super Off Road (Europe).sfc",          524288, 0xc6373743, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOffRoadEurope)
STD_ROM_FN(rSuperOffRoadEurope)

struct BurnDriver BurnDrvrSuperOffRoadEurope = {
	"Super Off Road (Europe)", NULL, NULL, "1986",
	"Super Off Road (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Off Road (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOffRoadEuropeRomInfo, rSuperOffRoadEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOffRoadJapanRomDesc[] = {
	{ "Super Off Road (Japan).sfc",          524288, 0x3104478a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOffRoadJapan)
STD_ROM_FN(rSuperOffRoadJapan)

struct BurnDriver BurnDrvrSuperOffRoadJapan = {
	"Super Off Road (Japan)", NULL, NULL, "1986",
	"Super Off Road (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Off Road (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOffRoadJapanRomInfo, rSuperOffRoadJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOffRoadUSARomDesc[] = {
	{ "Super Off Road (USA).sfc",          524288, 0xfe263383, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOffRoadUSA)
STD_ROM_FN(rSuperOffRoadUSA)

struct BurnDriver BurnDrvrSuperOffRoadUSA = {
	"Super Off Road (USA)", NULL, NULL, "1986",
	"Super Off Road (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Off Road (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOffRoadUSARomInfo, rSuperOffRoadUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOffRoadTheBajaUSABetaRomDesc[] = {
	{ "Super Off Road - The Baja (USA) (Beta).sfc",          1048576, 0x55558173, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOffRoadTheBajaUSABeta)
STD_ROM_FN(rSuperOffRoadTheBajaUSABeta)

struct BurnDriver BurnDrvrSuperOffRoadTheBajaUSABeta = {
	"Super Off Road - The Baja (USA) (Beta)", NULL, NULL, "1986",
	"Super Off Road - The Baja (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Off Road - The Baja (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOffRoadTheBajaUSABetaRomInfo, rSuperOffRoadTheBajaUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOffRoadTheBajaUSARomDesc[] = {
	{ "Super Off Road - The Baja (USA).sfc",          1048576, 0xcb483ead, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOffRoadTheBajaUSA)
STD_ROM_FN(rSuperOffRoadTheBajaUSA)

struct BurnDriver BurnDrvrSuperOffRoadTheBajaUSA = {
	"Super Off Road - The Baja (USA)", NULL, NULL, "1986",
	"Super Off Road - The Baja (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Off Road - The Baja (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOffRoadTheBajaUSARomInfo, rSuperOffRoadTheBajaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOkumanchoujaGameJapanRomDesc[] = {
	{ "Super Okumanchouja Game (Japan).sfc",          1048576, 0x4998a9d6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOkumanchoujaGameJapan)
STD_ROM_FN(rSuperOkumanchoujaGameJapan)

struct BurnDriver BurnDrvrSuperOkumanchoujaGameJapan = {
	"Super Okumanchouja Game (Japan)", NULL, NULL, "1986",
	"Super Okumanchouja Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Okumanchouja Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOkumanchoujaGameJapanRomInfo, rSuperOkumanchoujaGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperOozumouNessenOoichibanJapanRomDesc[] = {
	{ "Super Oozumou - Nessen Ooichiban (Japan).sfc",          1048576, 0x91617bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperOozumouNessenOoichibanJapan)
STD_ROM_FN(rSuperOozumouNessenOoichibanJapan)

struct BurnDriver BurnDrvrSuperOozumouNessenOoichibanJapan = {
	"Super Oozumou - Nessen Ooichiban (Japan)", NULL, NULL, "1986",
	"Super Oozumou - Nessen Ooichiban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Oozumou - Nessen Ooichiban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperOozumouNessenOoichibanJapanRomInfo, rSuperOozumouNessenOoichibanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPachiSlotMahjongJapanRomDesc[] = {
	{ "Super Pachi-Slot Mahjong (Japan).sfc",          1048576, 0x2051315b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPachiSlotMahjongJapan)
STD_ROM_FN(rSuperPachiSlotMahjongJapan)

struct BurnDriver BurnDrvrSuperPachiSlotMahjongJapan = {
	"Super Pachi-Slot Mahjong (Japan)", NULL, NULL, "1986",
	"Super Pachi-Slot Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pachi-Slot Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPachiSlotMahjongJapanRomInfo, rSuperPachiSlotMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPachinkoTaisenJapanRomDesc[] = {
	{ "Super Pachinko Taisen (Japan).sfc",          524288, 0xed959cc9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPachinkoTaisenJapan)
STD_ROM_FN(rSuperPachinkoTaisenJapan)

struct BurnDriver BurnDrvrSuperPachinkoTaisenJapan = {
	"Super Pachinko Taisen (Japan)", NULL, NULL, "1986",
	"Super Pachinko Taisen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pachinko Taisen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPachinkoTaisenJapanRomInfo, rSuperPachinkoTaisenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPangEuropeRomDesc[] = {
	{ "Super Pang (Europe).sfc",          524288, 0x3644cacc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPangEurope)
STD_ROM_FN(rSuperPangEurope)

struct BurnDriver BurnDrvrSuperPangEurope = {
	"Super Pang (Europe)", NULL, NULL, "1986",
	"Super Pang (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pang (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPangEuropeRomInfo, rSuperPangEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPangJapanRomDesc[] = {
	{ "Super Pang (Japan).sfc",          524288, 0xca54f001, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPangJapan)
STD_ROM_FN(rSuperPangJapan)

struct BurnDriver BurnDrvrSuperPangJapan = {
	"Super Pang (Japan)", NULL, NULL, "1986",
	"Super Pang (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pang (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPangJapanRomInfo, rSuperPangJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballBehindtheMaskEuropeRomDesc[] = {
	{ "Super Pinball - Behind the Mask (Europe).sfc",          1048576, 0x3bcb5d70, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballBehindtheMaskEurope)
STD_ROM_FN(rSuperPinballBehindtheMaskEurope)

struct BurnDriver BurnDrvrSuperPinballBehindtheMaskEurope = {
	"Super Pinball - Behind the Mask (Europe)", NULL, NULL, "1986",
	"Super Pinball - Behind the Mask (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball - Behind the Mask (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballBehindtheMaskEuropeRomInfo, rSuperPinballBehindtheMaskEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballBehindtheMaskJapanBetaRomDesc[] = {
	{ "Super Pinball - Behind the Mask (Japan) (Beta).sfc",          1048576, 0x352eeb38, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballBehindtheMaskJapanBeta)
STD_ROM_FN(rSuperPinballBehindtheMaskJapanBeta)

struct BurnDriver BurnDrvrSuperPinballBehindtheMaskJapanBeta = {
	"Super Pinball - Behind the Mask (Japan) (Beta)", NULL, NULL, "1986",
	"Super Pinball - Behind the Mask (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball - Behind the Mask (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballBehindtheMaskJapanBetaRomInfo, rSuperPinballBehindtheMaskJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballBehindtheMaskJapanRomDesc[] = {
	{ "Super Pinball - Behind the Mask (Japan).sfc",          1048576, 0x4f92f83c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballBehindtheMaskJapan)
STD_ROM_FN(rSuperPinballBehindtheMaskJapan)

struct BurnDriver BurnDrvrSuperPinballBehindtheMaskJapan = {
	"Super Pinball - Behind the Mask (Japan)", NULL, NULL, "1986",
	"Super Pinball - Behind the Mask (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball - Behind the Mask (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballBehindtheMaskJapanRomInfo, rSuperPinballBehindtheMaskJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballBehindtheMaskUSARev1RomDesc[] = {
	{ "Super Pinball - Behind the Mask (USA) (Rev 1).sfc",          1048576, 0x8463a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballBehindtheMaskUSARev1)
STD_ROM_FN(rSuperPinballBehindtheMaskUSARev1)

struct BurnDriver BurnDrvrSuperPinballBehindtheMaskUSARev1 = {
	"Super Pinball - Behind the Mask (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Pinball - Behind the Mask (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball - Behind the Mask (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballBehindtheMaskUSARev1RomInfo, rSuperPinballBehindtheMaskUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballBehindtheMaskUSARomDesc[] = {
	{ "Super Pinball - Behind the Mask (USA).sfc",          1048576, 0xa183192e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballBehindtheMaskUSA)
STD_ROM_FN(rSuperPinballBehindtheMaskUSA)

struct BurnDriver BurnDrvrSuperPinballBehindtheMaskUSA = {
	"Super Pinball - Behind the Mask (USA)", NULL, NULL, "1986",
	"Super Pinball - Behind the Mask (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball - Behind the Mask (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballBehindtheMaskUSARomInfo, rSuperPinballBehindtheMaskUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPinballIITheAmazingOdysseyJapanRomDesc[] = {
	{ "Super Pinball II - The Amazing Odyssey (Japan).sfc",          1572864, 0xb5117ecf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPinballIITheAmazingOdysseyJapan)
STD_ROM_FN(rSuperPinballIITheAmazingOdysseyJapan)

struct BurnDriver BurnDrvrSuperPinballIITheAmazingOdysseyJapan = {
	"Super Pinball II - The Amazing Odyssey (Japan)", NULL, NULL, "1986",
	"Super Pinball II - The Amazing Odyssey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Pinball II - The Amazing Odyssey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPinballIITheAmazingOdysseyJapanRomInfo, rSuperPinballIITheAmazingOdysseyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPlayActionFootballUSARomDesc[] = {
	{ "Super Play Action Football (USA).sfc",          1048576, 0xf359a60, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPlayActionFootballUSA)
STD_ROM_FN(rSuperPlayActionFootballUSA)

struct BurnDriver BurnDrvrSuperPlayActionFootballUSA = {
	"Super Play Action Football (USA)", NULL, NULL, "1986",
	"Super Play Action Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Play Action Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPlayActionFootballUSARomInfo, rSuperPlayActionFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPowerLeagueJapanRomDesc[] = {
	{ "Super Power League (Japan).sfc",          1572864, 0x56f3a65a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPowerLeagueJapan)
STD_ROM_FN(rSuperPowerLeagueJapan)

struct BurnDriver BurnDrvrSuperPowerLeagueJapan = {
	"Super Power League (Japan)", NULL, NULL, "1986",
	"Super Power League (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Power League (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPowerLeagueJapanRomInfo, rSuperPowerLeagueJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPowerLeague2JapanRev1RomDesc[] = {
	{ "Super Power League 2 (Japan) (Rev 1).sfc",          2097152, 0x9e6a60e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPowerLeague2JapanRev1)
STD_ROM_FN(rSuperPowerLeague2JapanRev1)

struct BurnDriver BurnDrvrSuperPowerLeague2JapanRev1 = {
	"Super Power League 2 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Power League 2 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Power League 2 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPowerLeague2JapanRev1RomInfo, rSuperPowerLeague2JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPowerLeague2JapanRomDesc[] = {
	{ "Super Power League 2 (Japan).sfc",          2097152, 0xe5539e76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPowerLeague2Japan)
STD_ROM_FN(rSuperPowerLeague2Japan)

struct BurnDriver BurnDrvrSuperPowerLeague2Japan = {
	"Super Power League 2 (Japan)", NULL, NULL, "1986",
	"Super Power League 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Power League 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPowerLeague2JapanRomInfo, rSuperPowerLeague2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPowerLeague3JapanRomDesc[] = {
	{ "Super Power League 3 (Japan).sfc",          2621440, 0xb90696d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPowerLeague3Japan)
STD_ROM_FN(rSuperPowerLeague3Japan)

struct BurnDriver BurnDrvrSuperPowerLeague3Japan = {
	"Super Power League 3 (Japan)", NULL, NULL, "1986",
	"Super Power League 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Power League 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPowerLeague3JapanRomInfo, rSuperPowerLeague3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPowerLeague4JapanRomDesc[] = {
	{ "Super Power League 4 (Japan).sfc",          2097152, 0xc07f099d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPowerLeague4Japan)
STD_ROM_FN(rSuperPowerLeague4Japan)

struct BurnDriver BurnDrvrSuperPowerLeague4Japan = {
	"Super Power League 4 (Japan)", NULL, NULL, "1986",
	"Super Power League 4 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Power League 4 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPowerLeague4JapanRomInfo, rSuperPowerLeague4JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperProbotectorAlienRebelsEuropeRomDesc[] = {
	{ "Super Probotector - Alien Rebels (Europe).sfc",          1048576, 0x420bd975, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperProbotectorAlienRebelsEurope)
STD_ROM_FN(rSuperProbotectorAlienRebelsEurope)

struct BurnDriver BurnDrvrSuperProbotectorAlienRebelsEurope = {
	"Super Probotector - Alien Rebels (Europe)", NULL, NULL, "1986",
	"Super Probotector - Alien Rebels (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Probotector - Alien Rebels (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperProbotectorAlienRebelsEuropeRomInfo, rSuperProbotectorAlienRebelsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperProfessionalBaseballJapanRomDesc[] = {
	{ "Super Professional Baseball (Japan).sfc",          1048576, 0xea0bfa66, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperProfessionalBaseballJapan)
STD_ROM_FN(rSuperProfessionalBaseballJapan)

struct BurnDriver BurnDrvrSuperProfessionalBaseballJapan = {
	"Super Professional Baseball (Japan)", NULL, NULL, "1986",
	"Super Professional Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Professional Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperProfessionalBaseballJapanRomInfo, rSuperProfessionalBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperProfessionalBaseballIIJapanRomDesc[] = {
	{ "Super Professional Baseball II (Japan).sfc",          1048576, 0x29b6a6f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperProfessionalBaseballIIJapan)
STD_ROM_FN(rSuperProfessionalBaseballIIJapan)

struct BurnDriver BurnDrvrSuperProfessionalBaseballIIJapan = {
	"Super Professional Baseball II (Japan)", NULL, NULL, "1986",
	"Super Professional Baseball II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Professional Baseball II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperProfessionalBaseballIIJapanRomInfo, rSuperProfessionalBaseballIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPunchOutEuropeRomDesc[] = {
	{ "Super Punch-Out!! (Europe).sfc",          2097152, 0xc6906f5f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPunchOutEurope)
STD_ROM_FN(rSuperPunchOutEurope)

struct BurnDriver BurnDrvrSuperPunchOutEurope = {
	"Super Punch-Out!! (Europe)", NULL, NULL, "1986",
	"Super Punch-Out!! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Punch-Out!! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPunchOutEuropeRomInfo, rSuperPunchOutEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPunchOutJapanNPRomDesc[] = {
	{ "Super Punch-Out!! (Japan) (NP).sfc",          2097152, 0xb5d92af4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPunchOutJapanNP)
STD_ROM_FN(rSuperPunchOutJapanNP)

struct BurnDriver BurnDrvrSuperPunchOutJapanNP = {
	"Super Punch-Out!! (Japan) (NP)", NULL, NULL, "1986",
	"Super Punch-Out!! (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Punch-Out!! (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPunchOutJapanNPRomInfo, rSuperPunchOutJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPunchOutUSARomDesc[] = {
	{ "Super Punch-Out!! (USA).sfc",          2097152, 0xe2f92f84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPunchOutUSA)
STD_ROM_FN(rSuperPunchOutUSA)

struct BurnDriver BurnDrvrSuperPunchOutUSA = {
	"Super Punch-Out!! (USA)", NULL, NULL, "1986",
	"Super Punch-Out!! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Punch-Out!! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPunchOutUSARomInfo, rSuperPunchOutUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuttyEuropeBetabRomDesc[] = {
	{ "Super Putty (Europe) (Beta) [b].sfc",          1048576, 0x2f2a86a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuttyEuropeBetab)
STD_ROM_FN(rSuperPuttyEuropeBetab)

struct BurnDriver BurnDrvrSuperPuttyEuropeBetab = {
	"Super Putty (Europe) (Beta) [b]", NULL, NULL, "1986",
	"Super Putty (Europe) (Beta) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Putty (Europe) (Beta) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuttyEuropeBetabRomInfo, rSuperPuttyEuropeBetabRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuttyEuropeRomDesc[] = {
	{ "Super Putty (Europe).sfc",          1048576, 0x94fd16a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuttyEurope)
STD_ROM_FN(rSuperPuttyEurope)

struct BurnDriver BurnDrvrSuperPuttyEurope = {
	"Super Putty (Europe)", NULL, NULL, "1986",
	"Super Putty (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Putty (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuttyEuropeRomInfo, rSuperPuttyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuttyUSARomDesc[] = {
	{ "Super Putty (USA).sfc",          1048576, 0x746087c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuttyUSA)
STD_ROM_FN(rSuperPuttyUSA)

struct BurnDriver BurnDrvrSuperPuttyUSA = {
	"Super Putty (USA)", NULL, NULL, "1986",
	"Super Putty (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Putty (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuttyUSARomInfo, rSuperPuttyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuyoPuyoJapanRev1RomDesc[] = {
	{ "Super Puyo Puyo (Japan) (Rev 1).sfc",          1048576, 0x9b386875, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuyoPuyoJapanRev1)
STD_ROM_FN(rSuperPuyoPuyoJapanRev1)

struct BurnDriver BurnDrvrSuperPuyoPuyoJapanRev1 = {
	"Super Puyo Puyo (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Puyo Puyo (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Puyo Puyo (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuyoPuyoJapanRev1RomInfo, rSuperPuyoPuyoJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuyoPuyoJapanRev2RomDesc[] = {
	{ "Super Puyo Puyo (Japan) (Rev 2).sfc",          1048576, 0x3addba0b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuyoPuyoJapanRev2)
STD_ROM_FN(rSuperPuyoPuyoJapanRev2)

struct BurnDriver BurnDrvrSuperPuyoPuyoJapanRev2 = {
	"Super Puyo Puyo (Japan) (Rev 2)", NULL, NULL, "1986",
	"Super Puyo Puyo (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Puyo Puyo (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuyoPuyoJapanRev2RomInfo, rSuperPuyoPuyoJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuyoPuyoJapanRomDesc[] = {
	{ "Super Puyo Puyo (Japan).sfc",          1048576, 0xc5a482bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuyoPuyoJapan)
STD_ROM_FN(rSuperPuyoPuyoJapan)

struct BurnDriver BurnDrvrSuperPuyoPuyoJapan = {
	"Super Puyo Puyo (Japan)", NULL, NULL, "1986",
	"Super Puyo Puyo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Puyo Puyo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuyoPuyoJapanRomInfo, rSuperPuyoPuyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuyoPuyoTsuuJapanRomDesc[] = {
	{ "Super Puyo Puyo Tsuu (Japan).sfc",          2097152, 0x271e1f3f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuyoPuyoTsuuJapan)
STD_ROM_FN(rSuperPuyoPuyoTsuuJapan)

struct BurnDriver BurnDrvrSuperPuyoPuyoTsuuJapan = {
	"Super Puyo Puyo Tsuu (Japan)", NULL, NULL, "1986",
	"Super Puyo Puyo Tsuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Puyo Puyo Tsuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuyoPuyoTsuuJapanRomInfo, rSuperPuyoPuyoTsuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPuyoPuyoTsuuRemixJapanRomDesc[] = {
	{ "Super Puyo Puyo Tsuu Remix (Japan).sfc",          2097152, 0x61f903f8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPuyoPuyoTsuuRemixJapan)
STD_ROM_FN(rSuperPuyoPuyoTsuuRemixJapan)

struct BurnDriver BurnDrvrSuperPuyoPuyoTsuuRemixJapan = {
	"Super Puyo Puyo Tsuu Remix (Japan)", NULL, NULL, "1986",
	"Super Puyo Puyo Tsuu Remix (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Puyo Puyo Tsuu Remix (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPuyoPuyoTsuuRemixJapanRomInfo, rSuperPuyoPuyoTsuuRemixJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRTypeEuropeRomDesc[] = {
	{ "Super R-Type (Europe).sfc",          1048576, 0x1631740d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRTypeEurope)
STD_ROM_FN(rSuperRTypeEurope)

struct BurnDriver BurnDrvrSuperRTypeEurope = {
	"Super R-Type (Europe)", NULL, NULL, "1986",
	"Super R-Type (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super R-Type (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRTypeEuropeRomInfo, rSuperRTypeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRTypeJapanRomDesc[] = {
	{ "Super R-Type (Japan).sfc",          1048576, 0x4e872c8b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRTypeJapan)
STD_ROM_FN(rSuperRTypeJapan)

struct BurnDriver BurnDrvrSuperRTypeJapan = {
	"Super R-Type (Japan)", NULL, NULL, "1986",
	"Super R-Type (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super R-Type (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRTypeJapanRomInfo, rSuperRTypeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRTypeUSARomDesc[] = {
	{ "Super R-Type (USA).sfc",          1048576, 0x8b22c830, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRTypeUSA)
STD_ROM_FN(rSuperRTypeUSA)

struct BurnDriver BurnDrvrSuperRTypeUSA = {
	"Super R-Type (USA)", NULL, NULL, "1986",
	"Super R-Type (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super R-Type (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRTypeUSARomInfo, rSuperRTypeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRBIBaseballUSARomDesc[] = {
	{ "Super R.B.I. Baseball (USA).sfc",          1048576, 0x31db6cfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRBIBaseballUSA)
STD_ROM_FN(rSuperRBIBaseballUSA)

struct BurnDriver BurnDrvrSuperRBIBaseballUSA = {
	"Super R.B.I. Baseball (USA)", NULL, NULL, "1986",
	"Super R.B.I. Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super R.B.I. Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRBIBaseballUSARomInfo, rSuperRBIBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRealMahjongPIVJapanRomDesc[] = {
	{ "Super Real Mahjong PIV (Japan).sfc",          2097152, 0x85555436, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRealMahjongPIVJapan)
STD_ROM_FN(rSuperRealMahjongPIVJapan)

struct BurnDriver BurnDrvrSuperRealMahjongPIVJapan = {
	"Super Real Mahjong PIV (Japan)", NULL, NULL, "1986",
	"Super Real Mahjong PIV (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Real Mahjong PIV (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRealMahjongPIVJapanRomInfo, rSuperRealMahjongPIVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRealMahjongPVParadiseAllStar4ninUchiJapanRomDesc[] = {
	{ "Super Real Mahjong PV Paradise - All-Star 4-nin Uchi (Japan).sfc",          1572864, 0xf9df0081, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRealMahjongPVParadiseAllStar4ninUchiJapan)
STD_ROM_FN(rSuperRealMahjongPVParadiseAllStar4ninUchiJapan)

struct BurnDriver BurnDrvrSuperRealMahjongPVParadiseAllStar4ninUchiJapan = {
	"Super Real Mahjong PV Paradise - All-Star 4-nin Uchi (Japan)", NULL, NULL, "1986",
	"Super Real Mahjong PV Paradise - All-Star 4-nin Uchi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Real Mahjong PV Paradise - All-Star 4-nin Uchi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRealMahjongPVParadiseAllStar4ninUchiJapanRomInfo, rSuperRealMahjongPVParadiseAllStar4ninUchiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRobotTaisenEXJapanRomDesc[] = {
	{ "Super Robot Taisen EX (Japan).sfc",          1572864, 0x239621a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRobotTaisenEXJapan)
STD_ROM_FN(rSuperRobotTaisenEXJapan)

struct BurnDriver BurnDrvrSuperRobotTaisenEXJapan = {
	"Super Robot Taisen EX (Japan)", NULL, NULL, "1986",
	"Super Robot Taisen EX (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Robot Taisen EX (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRobotTaisenEXJapanRomInfo, rSuperRobotTaisenEXJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapanRomDesc[] = {
	{ "Super Robot Taisen Gaiden - Masou Kishin - The Lord of Elemental (Japan).sfc",          3145728, 0xebadc924, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapan)
STD_ROM_FN(rSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapan)

struct BurnDriver BurnDrvrSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapan = {
	"Super Robot Taisen Gaiden - Masou Kishin - The Lord of Elemental (Japan)", NULL, NULL, "1986",
	"Super Robot Taisen Gaiden - Masou Kishin - The Lord of Elemental (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Robot Taisen Gaiden - Masou Kishin - The Lord of Elemental (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapanRomInfo, rSuperRobotTaisenGaidenMasouKishinTheLordofElementalJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRoyalBloodJapanRomDesc[] = {
	{ "Super Royal Blood (Japan).sfc",          1048576, 0x12340705, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRoyalBloodJapan)
STD_ROM_FN(rSuperRoyalBloodJapan)

struct BurnDriver BurnDrvrSuperRoyalBloodJapan = {
	"Super Royal Blood (Japan)", NULL, NULL, "1986",
	"Super Royal Blood (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Royal Blood (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRoyalBloodJapanRomInfo, rSuperRoyalBloodJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperRugbyJapanRomDesc[] = {
	{ "Super Rugby (Japan).sfc",          1048576, 0x757ad630, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperRugbyJapan)
STD_ROM_FN(rSuperRugbyJapan)

struct BurnDriver BurnDrvrSuperRugbyJapan = {
	"Super Rugby (Japan)", NULL, NULL, "1986",
	"Super Rugby (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Rugby (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperRugbyJapanRomInfo, rSuperRugbyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSangokushiJapanRomDesc[] = {
	{ "Super Sangokushi (Japan).sfc",          1048576, 0xb3788ad7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSangokushiJapan)
STD_ROM_FN(rSuperSangokushiJapan)

struct BurnDriver BurnDrvrSuperSangokushiJapan = {
	"Super Sangokushi (Japan)", NULL, NULL, "1986",
	"Super Sangokushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Sangokushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSangokushiJapanRomInfo, rSuperSangokushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSangokushiIIJapanRev1RomDesc[] = {
	{ "Super Sangokushi II (Japan) (Rev 1).sfc",          1048576, 0xb8a87909, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSangokushiIIJapanRev1)
STD_ROM_FN(rSuperSangokushiIIJapanRev1)

struct BurnDriver BurnDrvrSuperSangokushiIIJapanRev1 = {
	"Super Sangokushi II (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Sangokushi II (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Sangokushi II (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSangokushiIIJapanRev1RomInfo, rSuperSangokushiIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSangokushiIIJapanRomDesc[] = {
	{ "Super Sangokushi II (Japan).sfc",          1048576, 0xeea5dc1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSangokushiIIJapan)
STD_ROM_FN(rSuperSangokushiIIJapan)

struct BurnDriver BurnDrvrSuperSangokushiIIJapan = {
	"Super Sangokushi II (Japan)", NULL, NULL, "1986",
	"Super Sangokushi II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Sangokushi II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSangokushiIIJapanRomInfo, rSuperSangokushiIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperScope6JapanRomDesc[] = {
	{ "Super Scope 6 (Japan).sfc",          1048576, 0x7887f968, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperScope6Japan)
STD_ROM_FN(rSuperScope6Japan)

struct BurnDriver BurnDrvrSuperScope6Japan = {
	"Super Scope 6 (Japan)", NULL, NULL, "1986",
	"Super Scope 6 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Scope 6 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperScope6JapanRomInfo, rSuperScope6JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperScope6USARomDesc[] = {
	{ "Super Scope 6 (USA).sfc",          1048576, 0xb141ea99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperScope6USA)
STD_ROM_FN(rSuperScope6USA)

struct BurnDriver BurnDrvrSuperScope6USA = {
	"Super Scope 6 (USA)", NULL, NULL, "1986",
	"Super Scope 6 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Scope 6 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperScope6USARomInfo, rSuperScope6USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperShadowoftheBeastUSAProtoRomDesc[] = {
	{ "Super Shadow of the Beast (USA) (Proto).sfc",          1048576, 0xbeadfd61, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperShadowoftheBeastUSAProto)
STD_ROM_FN(rSuperShadowoftheBeastUSAProto)

struct BurnDriver BurnDrvrSuperShadowoftheBeastUSAProto = {
	"Super Shadow of the Beast (USA) (Proto)", NULL, NULL, "1986",
	"Super Shadow of the Beast (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Shadow of the Beast (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperShadowoftheBeastUSAProtoRomInfo, rSuperShadowoftheBeastUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperShanghaiDragonsEyeJapanRomDesc[] = {
	{ "Super Shanghai - Dragon's Eye (Japan).sfc",          1048576, 0x6f95d27e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperShanghaiDragonsEyeJapan)
STD_ROM_FN(rSuperShanghaiDragonsEyeJapan)

struct BurnDriver BurnDrvrSuperShanghaiDragonsEyeJapan = {
	"Super Shanghai - Dragon's Eye (Japan)", NULL, NULL, "1986",
	"Super Shanghai - Dragon's Eye (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Shanghai - Dragon's Eye (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperShanghaiDragonsEyeJapanRomInfo, rSuperShanghaiDragonsEyeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperShougiJapanRomDesc[] = {
	{ "Super Shougi (Japan).sfc",          1048576, 0x3769daa8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperShougiJapan)
STD_ROM_FN(rSuperShougiJapan)

struct BurnDriver BurnDrvrSuperShougiJapan = {
	"Super Shougi (Japan)", NULL, NULL, "1986",
	"Super Shougi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Shougi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperShougiJapanRomInfo, rSuperShougiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperShougi2JapanRomDesc[] = {
	{ "Super Shougi 2 (Japan).sfc",          1572864, 0xef8a2138, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperShougi2Japan)
STD_ROM_FN(rSuperShougi2Japan)

struct BurnDriver BurnDrvrSuperShougi2Japan = {
	"Super Shougi 2 (Japan)", NULL, NULL, "1986",
	"Super Shougi 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Shougi 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperShougi2JapanRomInfo, rSuperShougi2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperShougi3KitaiheiJapanRomDesc[] = {
	{ "Super Shougi 3 - Kitaihei (Japan).sfc",          1572864, 0x323c6265, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperShougi3KitaiheiJapan)
STD_ROM_FN(rSuperShougi3KitaiheiJapan)

struct BurnDriver BurnDrvrSuperShougi3KitaiheiJapan = {
	"Super Shougi 3 - Kitaihei (Japan)", NULL, NULL, "1986",
	"Super Shougi 3 - Kitaihei (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Shougi 3 - Kitaihei (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperShougi3KitaiheiJapanRomInfo, rSuperShougi3KitaiheiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSlamDunkUSARomDesc[] = {
	{ "Super Slam Dunk (USA).sfc",          1048576, 0x3effc9e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSlamDunkUSA)
STD_ROM_FN(rSuperSlamDunkUSA)

struct BurnDriver BurnDrvrSuperSlamDunkUSA = {
	"Super Slam Dunk (USA)", NULL, NULL, "1986",
	"Super Slam Dunk (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Slam Dunk (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSlamDunkUSARomInfo, rSuperSlamDunkUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSlapShotJapanRomDesc[] = {
	{ "Super Slap Shot (Japan).sfc",          524288, 0x403c692d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSlapShotJapan)
STD_ROM_FN(rSuperSlapShotJapan)

struct BurnDriver BurnDrvrSuperSlapShotJapan = {
	"Super Slap Shot (Japan)", NULL, NULL, "1986",
	"Super Slap Shot (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Slap Shot (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSlapShotJapanRomInfo, rSuperSlapShotJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSlapShotUSARomDesc[] = {
	{ "Super Slap Shot (USA).sfc",          524288, 0x7355c9b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSlapShotUSA)
STD_ROM_FN(rSuperSlapShotUSA)

struct BurnDriver BurnDrvrSuperSlapShotUSA = {
	"Super Slap Shot (USA)", NULL, NULL, "1986",
	"Super Slap Shot (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Slap Shot (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSlapShotUSARomInfo, rSuperSlapShotUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSmashTVEuropeRomDesc[] = {
	{ "Super Smash T.V. (Europe).sfc",          524288, 0x9a502573, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSmashTVEurope)
STD_ROM_FN(rSuperSmashTVEurope)

struct BurnDriver BurnDrvrSuperSmashTVEurope = {
	"Super Smash T.V. (Europe)", NULL, NULL, "1986",
	"Super Smash T.V. (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Smash T.V. (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSmashTVEuropeRomInfo, rSuperSmashTVEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSmashTVUSARomDesc[] = {
	{ "Super Smash T.V. (USA).sfc",          524288, 0x2d0b20d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSmashTVUSA)
STD_ROM_FN(rSuperSmashTVUSA)

struct BurnDriver BurnDrvrSuperSmashTVUSA = {
	"Super Smash T.V. (USA)", NULL, NULL, "1986",
	"Super Smash T.V. (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Smash T.V. (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSmashTVUSARomInfo, rSuperSmashTVUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSnakeyJapanRomDesc[] = {
	{ "Super Snakey (Japan).sfc",          524288, 0x5ec69fad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSnakeyJapan)
STD_ROM_FN(rSuperSnakeyJapan)

struct BurnDriver BurnDrvrSuperSnakeyJapan = {
	"Super Snakey (Japan)", NULL, NULL, "1986",
	"Super Snakey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Snakey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSnakeyJapanRomInfo, rSuperSnakeyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSoccerEuropeRomDesc[] = {
	{ "Super Soccer (Europe).sfc",          524288, 0x442c47cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSoccerEurope)
STD_ROM_FN(rSuperSoccerEurope)

struct BurnDriver BurnDrvrSuperSoccerEurope = {
	"Super Soccer (Europe)", NULL, NULL, "1986",
	"Super Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSoccerEuropeRomInfo, rSuperSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSoccerUSARomDesc[] = {
	{ "Super Soccer (USA).sfc",          524288, 0x4fd164d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSoccerUSA)
STD_ROM_FN(rSuperSoccerUSA)

struct BurnDriver BurnDrvrSuperSoccerUSA = {
	"Super Soccer (USA)", NULL, NULL, "1986",
	"Super Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSoccerUSARomInfo, rSuperSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSoccerChampUSARomDesc[] = {
	{ "Super Soccer Champ (USA).sfc",          524288, 0xb31d35a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSoccerChampUSA)
STD_ROM_FN(rSuperSoccerChampUSA)

struct BurnDriver BurnDrvrSuperSoccerChampUSA = {
	"Super Soccer Champ (USA)", NULL, NULL, "1986",
	"Super Soccer Champ (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Soccer Champ (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSoccerChampUSARomInfo, rSuperSoccerChampUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSolitaireEuropeEnFrDeEsItProtoRomDesc[] = {
	{ "Super Solitaire (Europe) (En,Fr,De,Es,It) (Proto).sfc",          524288, 0x933228f3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSolitaireEuropeEnFrDeEsItProto)
STD_ROM_FN(rSuperSolitaireEuropeEnFrDeEsItProto)

struct BurnDriver BurnDrvrSuperSolitaireEuropeEnFrDeEsItProto = {
	"Super Solitaire (Europe) (En,Fr,De,Es,It) (Proto)", NULL, NULL, "1986",
	"Super Solitaire (Europe) (En,Fr,De,Es,It) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Solitaire (Europe) (En,Fr,De,Es,It) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSolitaireEuropeEnFrDeEsItProtoRomInfo, rSuperSolitaireEuropeEnFrDeEsItProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSolitaireUSAEnFrDeEsItRomDesc[] = {
	{ "Super Solitaire (USA) (En,Fr,De,Es,It).sfc",          524288, 0xc8e80d55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSolitaireUSAEnFrDeEsIt)
STD_ROM_FN(rSuperSolitaireUSAEnFrDeEsIt)

struct BurnDriver BurnDrvrSuperSolitaireUSAEnFrDeEsIt = {
	"Super Solitaire (USA) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Super Solitaire (USA) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Solitaire (USA) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSolitaireUSAEnFrDeEsItRomInfo, rSuperSolitaireUSAEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSoukobanJapanRomDesc[] = {
	{ "Super Soukoban (Japan).sfc",          524288, 0xa9f78e92, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSoukobanJapan)
STD_ROM_FN(rSuperSoukobanJapan)

struct BurnDriver BurnDrvrSuperSoukobanJapan = {
	"Super Soukoban (Japan)", NULL, NULL, "1986",
	"Super Soukoban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Soukoban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSoukobanJapanRomInfo, rSuperSoukobanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStadiumJapanRomDesc[] = {
	{ "Super Stadium (Japan).sfc",          1048576, 0x3b018618, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStadiumJapan)
STD_ROM_FN(rSuperStadiumJapan)

struct BurnDriver BurnDrvrSuperStadiumJapan = {
	"Super Stadium (Japan)", NULL, NULL, "1986",
	"Super Stadium (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Stadium (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStadiumJapanRomInfo, rSuperStadiumJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsEuropeRev1RomDesc[] = {
	{ "Super Star Wars (Europe) (Rev 1).sfc",          1048576, 0x55926be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsEuropeRev1)
STD_ROM_FN(rSuperStarWarsEuropeRev1)

struct BurnDriver BurnDrvrSuperStarWarsEuropeRev1 = {
	"Super Star Wars (Europe) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsEuropeRev1RomInfo, rSuperStarWarsEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsEuropeRomDesc[] = {
	{ "Super Star Wars (Europe).sfc",          1048576, 0xf63ec912, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsEurope)
STD_ROM_FN(rSuperStarWarsEurope)

struct BurnDriver BurnDrvrSuperStarWarsEurope = {
	"Super Star Wars (Europe)", NULL, NULL, "1986",
	"Super Star Wars (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsEuropeRomInfo, rSuperStarWarsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsJapanRomDesc[] = {
	{ "Super Star Wars (Japan).sfc",          1048576, 0x99cb2058, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsJapan)
STD_ROM_FN(rSuperStarWarsJapan)

struct BurnDriver BurnDrvrSuperStarWarsJapan = {
	"Super Star Wars (Japan)", NULL, NULL, "1986",
	"Super Star Wars (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsJapanRomInfo, rSuperStarWarsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsUSABetaRomDesc[] = {
	{ "Super Star Wars (USA) (Beta).sfc",          1048576, 0x23665f74, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsUSABeta)
STD_ROM_FN(rSuperStarWarsUSABeta)

struct BurnDriver BurnDrvrSuperStarWarsUSABeta = {
	"Super Star Wars (USA) (Beta)", NULL, NULL, "1986",
	"Super Star Wars (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsUSABetaRomInfo, rSuperStarWarsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsUSARev1RomDesc[] = {
	{ "Super Star Wars (USA) (Rev 1).sfc",          1048576, 0xbe47f6c6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsUSARev1)
STD_ROM_FN(rSuperStarWarsUSARev1)

struct BurnDriver BurnDrvrSuperStarWarsUSARev1 = {
	"Super Star Wars (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsUSARev1RomInfo, rSuperStarWarsUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsUSARomDesc[] = {
	{ "Super Star Wars (USA).sfc",          1048576, 0xacbcae7c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsUSA)
STD_ROM_FN(rSuperStarWarsUSA)

struct BurnDriver BurnDrvrSuperStarWarsUSA = {
	"Super Star Wars (USA)", NULL, NULL, "1986",
	"Super Star Wars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsUSARomInfo, rSuperStarWarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsJedinoFukushuuJapanRomDesc[] = {
	{ "Super Star Wars - Jedi no Fukushuu (Japan).sfc",          2097152, 0xd21c6e7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsJedinoFukushuuJapan)
STD_ROM_FN(rSuperStarWarsJedinoFukushuuJapan)

struct BurnDriver BurnDrvrSuperStarWarsJedinoFukushuuJapan = {
	"Super Star Wars - Jedi no Fukushuu (Japan)", NULL, NULL, "1986",
	"Super Star Wars - Jedi no Fukushuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Jedi no Fukushuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsJedinoFukushuuJapanRomInfo, rSuperStarWarsJedinoFukushuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsReturnoftheJediEuropeRev1RomDesc[] = {
	{ "Super Star Wars - Return of the Jedi (Europe) (Rev 1).sfc",          2097152, 0xa79c7e7f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsReturnoftheJediEuropeRev1)
STD_ROM_FN(rSuperStarWarsReturnoftheJediEuropeRev1)

struct BurnDriver BurnDrvrSuperStarWarsReturnoftheJediEuropeRev1 = {
	"Super Star Wars - Return of the Jedi (Europe) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars - Return of the Jedi (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Return of the Jedi (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsReturnoftheJediEuropeRev1RomInfo, rSuperStarWarsReturnoftheJediEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsReturnoftheJediEuropeRomDesc[] = {
	{ "Super Star Wars - Return of the Jedi (Europe).sfc",          2097152, 0x20ca165, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsReturnoftheJediEurope)
STD_ROM_FN(rSuperStarWarsReturnoftheJediEurope)

struct BurnDriver BurnDrvrSuperStarWarsReturnoftheJediEurope = {
	"Super Star Wars - Return of the Jedi (Europe)", NULL, NULL, "1986",
	"Super Star Wars - Return of the Jedi (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Return of the Jedi (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsReturnoftheJediEuropeRomInfo, rSuperStarWarsReturnoftheJediEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsReturnoftheJediUSARev1RomDesc[] = {
	{ "Super Star Wars - Return of the Jedi (USA) (Rev 1).sfc",          2097152, 0x4a5f30d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsReturnoftheJediUSARev1)
STD_ROM_FN(rSuperStarWarsReturnoftheJediUSARev1)

struct BurnDriver BurnDrvrSuperStarWarsReturnoftheJediUSARev1 = {
	"Super Star Wars - Return of the Jedi (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars - Return of the Jedi (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Return of the Jedi (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsReturnoftheJediUSARev1RomInfo, rSuperStarWarsReturnoftheJediUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsReturnoftheJediUSARomDesc[] = {
	{ "Super Star Wars - Return of the Jedi (USA).sfc",          2097152, 0xc709ec69, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsReturnoftheJediUSA)
STD_ROM_FN(rSuperStarWarsReturnoftheJediUSA)

struct BurnDriver BurnDrvrSuperStarWarsReturnoftheJediUSA = {
	"Super Star Wars - Return of the Jedi (USA)", NULL, NULL, "1986",
	"Super Star Wars - Return of the Jedi (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Return of the Jedi (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsReturnoftheJediUSARomInfo, rSuperStarWarsReturnoftheJediUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTeikokunoGyakushuuJapanRomDesc[] = {
	{ "Super Star Wars - Teikoku no Gyakushuu (Japan).sfc",          1572864, 0x5da6b44, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTeikokunoGyakushuuJapan)
STD_ROM_FN(rSuperStarWarsTeikokunoGyakushuuJapan)

struct BurnDriver BurnDrvrSuperStarWarsTeikokunoGyakushuuJapan = {
	"Super Star Wars - Teikoku no Gyakushuu (Japan)", NULL, NULL, "1986",
	"Super Star Wars - Teikoku no Gyakushuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - Teikoku no Gyakushuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTeikokunoGyakushuuJapanRomInfo, rSuperStarWarsTeikokunoGyakushuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTheEmpireStrikesBackEuropeBetaRomDesc[] = {
	{ "Super Star Wars - The Empire Strikes Back (Europe) (Beta).sfc",          1572864, 0x101d2dfa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTheEmpireStrikesBackEuropeBeta)
STD_ROM_FN(rSuperStarWarsTheEmpireStrikesBackEuropeBeta)

struct BurnDriver BurnDrvrSuperStarWarsTheEmpireStrikesBackEuropeBeta = {
	"Super Star Wars - The Empire Strikes Back (Europe) (Beta)", NULL, NULL, "1986",
	"Super Star Wars - The Empire Strikes Back (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - The Empire Strikes Back (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTheEmpireStrikesBackEuropeBetaRomInfo, rSuperStarWarsTheEmpireStrikesBackEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTheEmpireStrikesBackEuropeRev1RomDesc[] = {
	{ "Super Star Wars - The Empire Strikes Back (Europe) (Rev 1).sfc",          1572864, 0xd308aa3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTheEmpireStrikesBackEuropeRev1)
STD_ROM_FN(rSuperStarWarsTheEmpireStrikesBackEuropeRev1)

struct BurnDriver BurnDrvrSuperStarWarsTheEmpireStrikesBackEuropeRev1 = {
	"Super Star Wars - The Empire Strikes Back (Europe) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars - The Empire Strikes Back (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - The Empire Strikes Back (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTheEmpireStrikesBackEuropeRev1RomInfo, rSuperStarWarsTheEmpireStrikesBackEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTheEmpireStrikesBackEuropeRomDesc[] = {
	{ "Super Star Wars - The Empire Strikes Back (Europe).sfc",          1572864, 0x5bfdcd6c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTheEmpireStrikesBackEurope)
STD_ROM_FN(rSuperStarWarsTheEmpireStrikesBackEurope)

struct BurnDriver BurnDrvrSuperStarWarsTheEmpireStrikesBackEurope = {
	"Super Star Wars - The Empire Strikes Back (Europe)", NULL, NULL, "1986",
	"Super Star Wars - The Empire Strikes Back (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - The Empire Strikes Back (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTheEmpireStrikesBackEuropeRomInfo, rSuperStarWarsTheEmpireStrikesBackEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTheEmpireStrikesBackUSARev1RomDesc[] = {
	{ "Super Star Wars - The Empire Strikes Back (USA) (Rev 1).sfc",          1572864, 0x1e7ea62c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTheEmpireStrikesBackUSARev1)
STD_ROM_FN(rSuperStarWarsTheEmpireStrikesBackUSARev1)

struct BurnDriver BurnDrvrSuperStarWarsTheEmpireStrikesBackUSARev1 = {
	"Super Star Wars - The Empire Strikes Back (USA) (Rev 1)", NULL, NULL, "1986",
	"Super Star Wars - The Empire Strikes Back (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - The Empire Strikes Back (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTheEmpireStrikesBackUSARev1RomInfo, rSuperStarWarsTheEmpireStrikesBackUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStarWarsTheEmpireStrikesBackUSARomDesc[] = {
	{ "Super Star Wars - The Empire Strikes Back (USA).sfc",          1572864, 0xf45b15be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStarWarsTheEmpireStrikesBackUSA)
STD_ROM_FN(rSuperStarWarsTheEmpireStrikesBackUSA)

struct BurnDriver BurnDrvrSuperStarWarsTheEmpireStrikesBackUSA = {
	"Super Star Wars - The Empire Strikes Back (USA)", NULL, NULL, "1986",
	"Super Star Wars - The Empire Strikes Back (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Star Wars - The Empire Strikes Back (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStarWarsTheEmpireStrikesBackUSARomInfo, rSuperStarWarsTheEmpireStrikesBackUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStreetFighterIIEuropeRomDesc[] = {
	{ "Super Street Fighter II (Europe).sfc",          4194304, 0x6d86bfb0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStreetFighterIIEurope)
STD_ROM_FN(rSuperStreetFighterIIEurope)

struct BurnDriver BurnDrvrSuperStreetFighterIIEurope = {
	"Super Street Fighter II (Europe)", NULL, NULL, "1986",
	"Super Street Fighter II (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Street Fighter II (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStreetFighterIIEuropeRomInfo, rSuperStreetFighterIIEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStreetFighterIIUSARomDesc[] = {
	{ "Super Street Fighter II (USA).sfc",          4194304, 0xf16d5ce9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStreetFighterIIUSA)
STD_ROM_FN(rSuperStreetFighterIIUSA)

struct BurnDriver BurnDrvrSuperStreetFighterIIUSA = {
	"Super Street Fighter II (USA)", NULL, NULL, "1986",
	"Super Street Fighter II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Street Fighter II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStreetFighterIIUSARomInfo, rSuperStreetFighterIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStreetFighterIITheNewChallengersJapanRomDesc[] = {
	{ "Super Street Fighter II - The New Challengers (Japan).sfc",          4194304, 0x26ca246b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStreetFighterIITheNewChallengersJapan)
STD_ROM_FN(rSuperStreetFighterIITheNewChallengersJapan)

struct BurnDriver BurnDrvrSuperStreetFighterIITheNewChallengersJapan = {
	"Super Street Fighter II - The New Challengers (Japan)", NULL, NULL, "1986",
	"Super Street Fighter II - The New Challengers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Street Fighter II - The New Challengers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStreetFighterIITheNewChallengersJapanRomInfo, rSuperStreetFighterIITheNewChallengersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStrikeEagleEuropeEnFrDeEsItRomDesc[] = {
	{ "Super Strike Eagle (Europe) (En,Fr,De,Es,It).sfc",          1048576, 0x3abab85b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStrikeEagleEuropeEnFrDeEsIt)
STD_ROM_FN(rSuperStrikeEagleEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrSuperStrikeEagleEuropeEnFrDeEsIt = {
	"Super Strike Eagle (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Super Strike Eagle (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Strike Eagle (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStrikeEagleEuropeEnFrDeEsItRomInfo, rSuperStrikeEagleEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStrikeEagleUSARomDesc[] = {
	{ "Super Strike Eagle (USA).sfc",          1048576, 0xecf79841, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStrikeEagleUSA)
STD_ROM_FN(rSuperStrikeEagleUSA)

struct BurnDriver BurnDrvrSuperStrikeEagleUSA = {
	"Super Strike Eagle (USA)", NULL, NULL, "1986",
	"Super Strike Eagle (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Strike Eagle (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStrikeEagleUSARomInfo, rSuperStrikeEagleUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperStrikeGunnerEuropeRomDesc[] = {
	{ "Super Strike Gunner (Europe).sfc",          1048576, 0xf74acb48, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperStrikeGunnerEurope)
STD_ROM_FN(rSuperStrikeGunnerEurope)

struct BurnDriver BurnDrvrSuperStrikeGunnerEurope = {
	"Super Strike Gunner (Europe)", NULL, NULL, "1986",
	"Super Strike Gunner (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Strike Gunner (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperStrikeGunnerEuropeRomInfo, rSuperStrikeGunnerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSWIVEuropeRomDesc[] = {
	{ "Super SWIV (Europe).sfc",          1048576, 0xb6d94361, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSWIVEurope)
STD_ROM_FN(rSuperSWIVEurope)

struct BurnDriver BurnDrvrSuperSWIVEurope = {
	"Super SWIV (Europe)", NULL, NULL, "1986",
	"Super SWIV (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super SWIV (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSWIVEuropeRomInfo, rSuperSWIVEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperSWIVJapanRomDesc[] = {
	{ "Super SWIV (Japan).sfc",          1048576, 0x70f28a6d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperSWIVJapan)
STD_ROM_FN(rSuperSWIVJapan)

struct BurnDriver BurnDrvrSuperSWIVJapan = {
	"Super SWIV (Japan)", NULL, NULL, "1986",
	"Super SWIV (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super SWIV (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperSWIVJapanRomInfo, rSuperSWIVJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTekkyuuFightJapanRomDesc[] = {
	{ "Super Tekkyuu Fight! (Japan).sfc",          1310720, 0x5be4a7e3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTekkyuuFightJapan)
STD_ROM_FN(rSuperTekkyuuFightJapan)

struct BurnDriver BurnDrvrSuperTekkyuuFightJapan = {
	"Super Tekkyuu Fight! (Japan)", NULL, NULL, "1986",
	"Super Tekkyuu Fight! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tekkyuu Fight! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTekkyuuFightJapanRomInfo, rSuperTekkyuuFightJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTennisEuropeRev1RomDesc[] = {
	{ "Super Tennis (Europe) (Rev 1).sfc",          524288, 0xcdb03bfb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTennisEuropeRev1)
STD_ROM_FN(rSuperTennisEuropeRev1)

struct BurnDriver BurnDrvrSuperTennisEuropeRev1 = {
	"Super Tennis (Europe) (Rev 1)", NULL, NULL, "1986",
	"Super Tennis (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tennis (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTennisEuropeRev1RomInfo, rSuperTennisEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTennisEuropeRomDesc[] = {
	{ "Super Tennis (Europe).sfc",          524288, 0xe31fdef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTennisEurope)
STD_ROM_FN(rSuperTennisEurope)

struct BurnDriver BurnDrvrSuperTennisEurope = {
	"Super Tennis (Europe)", NULL, NULL, "1986",
	"Super Tennis (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tennis (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTennisEuropeRomInfo, rSuperTennisEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTennisUSARomDesc[] = {
	{ "Super Tennis (USA).sfc",          524288, 0x8d383776, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTennisUSA)
STD_ROM_FN(rSuperTennisUSA)

struct BurnDriver BurnDrvrSuperTennisUSA = {
	"Super Tennis (USA)", NULL, NULL, "1986",
	"Super Tennis (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tennis (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTennisUSARomInfo, rSuperTennisUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTennisWorldCircuitJapanRomDesc[] = {
	{ "Super Tennis - World Circuit (Japan).sfc",          524288, 0x57bf1d3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTennisWorldCircuitJapan)
STD_ROM_FN(rSuperTennisWorldCircuitJapan)

struct BurnDriver BurnDrvrSuperTennisWorldCircuitJapan = {
	"Super Tennis - World Circuit (Japan)", NULL, NULL, "1986",
	"Super Tennis - World Circuit (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tennis - World Circuit (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTennisWorldCircuitJapanRomInfo, rSuperTennisWorldCircuitJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTetris2BomblissJapanGenteibanRomDesc[] = {
	{ "Super Tetris 2 + Bombliss (Japan) (Genteiban).sfc",          1048576, 0xc709b922, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTetris2BomblissJapanGenteiban)
STD_ROM_FN(rSuperTetris2BomblissJapanGenteiban)

struct BurnDriver BurnDrvrSuperTetris2BomblissJapanGenteiban = {
	"Super Tetris 2 + Bombliss (Japan) (Genteiban)", NULL, NULL, "1986",
	"Super Tetris 2 + Bombliss (Japan) (Genteiban)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tetris 2 + Bombliss (Japan) (Genteiban)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTetris2BomblissJapanGenteibanRomInfo, rSuperTetris2BomblissJapanGenteibanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTetris2BomblissJapanRev1RomDesc[] = {
	{ "Super Tetris 2 + Bombliss (Japan) (Rev 1).sfc",          1048576, 0x4ae93c10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTetris2BomblissJapanRev1)
STD_ROM_FN(rSuperTetris2BomblissJapanRev1)

struct BurnDriver BurnDrvrSuperTetris2BomblissJapanRev1 = {
	"Super Tetris 2 + Bombliss (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Tetris 2 + Bombliss (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tetris 2 + Bombliss (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTetris2BomblissJapanRev1RomInfo, rSuperTetris2BomblissJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTetris2BomblissJapanRomDesc[] = {
	{ "Super Tetris 2 + Bombliss (Japan).sfc",          1048576, 0x8ae5e443, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTetris2BomblissJapan)
STD_ROM_FN(rSuperTetris2BomblissJapan)

struct BurnDriver BurnDrvrSuperTetris2BomblissJapan = {
	"Super Tetris 2 + Bombliss (Japan)", NULL, NULL, "1986",
	"Super Tetris 2 + Bombliss (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tetris 2 + Bombliss (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTetris2BomblissJapanRomInfo, rSuperTetris2BomblissJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTetris3JapanRomDesc[] = {
	{ "Super Tetris 3 (Japan).sfc",          1048576, 0x329024c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTetris3Japan)
STD_ROM_FN(rSuperTetris3Japan)

struct BurnDriver BurnDrvrSuperTetris3Japan = {
	"Super Tetris 3 (Japan)", NULL, NULL, "1986",
	"Super Tetris 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tetris 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTetris3JapanRomInfo, rSuperTetris3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrollIslandsEuropeRomDesc[] = {
	{ "Super Troll Islands (Europe).sfc",          524288, 0x943328ba, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrollIslandsEurope)
STD_ROM_FN(rSuperTrollIslandsEurope)

struct BurnDriver BurnDrvrSuperTrollIslandsEurope = {
	"Super Troll Islands (Europe)", NULL, NULL, "1986",
	"Super Troll Islands (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Troll Islands (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrollIslandsEuropeRomInfo, rSuperTrollIslandsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrollIslandsUSABetaRomDesc[] = {
	{ "Super Troll Islands (USA) (Beta).sfc",          524288, 0xc61a7b88, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrollIslandsUSABeta)
STD_ROM_FN(rSuperTrollIslandsUSABeta)

struct BurnDriver BurnDrvrSuperTrollIslandsUSABeta = {
	"Super Troll Islands (USA) (Beta)", NULL, NULL, "1986",
	"Super Troll Islands (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Troll Islands (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrollIslandsUSABetaRomInfo, rSuperTrollIslandsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrollIslandsUSARomDesc[] = {
	{ "Super Troll Islands (USA).sfc",          524288, 0xf9690be9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrollIslandsUSA)
STD_ROM_FN(rSuperTrollIslandsUSA)

struct BurnDriver BurnDrvrSuperTrollIslandsUSA = {
	"Super Troll Islands (USA)", NULL, NULL, "1986",
	"Super Troll Islands (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Troll Islands (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrollIslandsUSARomInfo, rSuperTrollIslandsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrollIslandsShiawaseoAgeruJapanRomDesc[] = {
	{ "Super Troll Islands - Shiawase o Ageru (Japan).sfc",          524288, 0xe556565a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrollIslandsShiawaseoAgeruJapan)
STD_ROM_FN(rSuperTrollIslandsShiawaseoAgeruJapan)

struct BurnDriver BurnDrvrSuperTrollIslandsShiawaseoAgeruJapan = {
	"Super Troll Islands - Shiawase o Ageru (Japan)", NULL, NULL, "1986",
	"Super Troll Islands - Shiawase o Ageru (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Troll Islands - Shiawase o Ageru (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrollIslandsShiawaseoAgeruJapanRomInfo, rSuperTrollIslandsShiawaseoAgeruJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrumpCollectionJapanRomDesc[] = {
	{ "Super Trump Collection (Japan).sfc",          524288, 0xbb9f8083, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrumpCollectionJapan)
STD_ROM_FN(rSuperTrumpCollectionJapan)

struct BurnDriver BurnDrvrSuperTrumpCollectionJapan = {
	"Super Trump Collection (Japan)", NULL, NULL, "1986",
	"Super Trump Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Trump Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrumpCollectionJapanRomInfo, rSuperTrumpCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTrumpCollection2JapanRomDesc[] = {
	{ "Super Trump Collection 2 (Japan).sfc",          524288, 0x22711fc8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTrumpCollection2Japan)
STD_ROM_FN(rSuperTrumpCollection2Japan)

struct BurnDriver BurnDrvrSuperTrumpCollection2Japan = {
	"Super Trump Collection 2 (Japan)", NULL, NULL, "1986",
	"Super Trump Collection 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Trump Collection 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTrumpCollection2JapanRomInfo, rSuperTrumpCollection2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTsumeshougi1000JapanBSRomDesc[] = {
	{ "Super Tsumeshougi 1000 (Japan) (BS).sfc",          524288, 0x6ba3738c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTsumeshougi1000JapanBS)
STD_ROM_FN(rSuperTsumeshougi1000JapanBS)

struct BurnDriver BurnDrvrSuperTsumeshougi1000JapanBS = {
	"Super Tsumeshougi 1000 (Japan) (BS)", NULL, NULL, "1986",
	"Super Tsumeshougi 1000 (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tsumeshougi 1000 (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTsumeshougi1000JapanBSRomInfo, rSuperTsumeshougi1000JapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTsumeshougi1000JapanRomDesc[] = {
	{ "Super Tsumeshougi 1000 (Japan).sfc",          524288, 0xf9ae2b76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTsumeshougi1000Japan)
STD_ROM_FN(rSuperTsumeshougi1000Japan)

struct BurnDriver BurnDrvrSuperTsumeshougi1000Japan = {
	"Super Tsumeshougi 1000 (Japan)", NULL, NULL, "1986",
	"Super Tsumeshougi 1000 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Tsumeshougi 1000 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTsumeshougi1000JapanRomInfo, rSuperTsumeshougi1000JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurricanEuropeRomDesc[] = {
	{ "Super Turrican (Europe).sfc",          524288, 0xd0a1bf12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurricanEurope)
STD_ROM_FN(rSuperTurricanEurope)

struct BurnDriver BurnDrvrSuperTurricanEurope = {
	"Super Turrican (Europe)", NULL, NULL, "1986",
	"Super Turrican (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurricanEuropeRomInfo, rSuperTurricanEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurricanJapanRomDesc[] = {
	{ "Super Turrican (Japan).sfc",          524288, 0x7ec892f0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurricanJapan)
STD_ROM_FN(rSuperTurricanJapan)

struct BurnDriver BurnDrvrSuperTurricanJapan = {
	"Super Turrican (Japan)", NULL, NULL, "1986",
	"Super Turrican (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurricanJapanRomInfo, rSuperTurricanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurricanUSARomDesc[] = {
	{ "Super Turrican (USA).sfc",          524288, 0x3a7e8215, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurricanUSA)
STD_ROM_FN(rSuperTurricanUSA)

struct BurnDriver BurnDrvrSuperTurricanUSA = {
	"Super Turrican (USA)", NULL, NULL, "1986",
	"Super Turrican (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurricanUSARomInfo, rSuperTurricanUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurrican2EuropeRomDesc[] = {
	{ "Super Turrican 2 (Europe).sfc",          2097152, 0xaf821fd0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurrican2Europe)
STD_ROM_FN(rSuperTurrican2Europe)

struct BurnDriver BurnDrvrSuperTurrican2Europe = {
	"Super Turrican 2 (Europe)", NULL, NULL, "1986",
	"Super Turrican 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurrican2EuropeRomInfo, rSuperTurrican2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurrican2USABetaAlt1RomDesc[] = {
	{ "Super Turrican 2 (USA) (Beta) (Alt 1).sfc",          2097152, 0x5e550e27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurrican2USABetaAlt1)
STD_ROM_FN(rSuperTurrican2USABetaAlt1)

struct BurnDriver BurnDrvrSuperTurrican2USABetaAlt1 = {
	"Super Turrican 2 (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Super Turrican 2 (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican 2 (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurrican2USABetaAlt1RomInfo, rSuperTurrican2USABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurrican2USABetaRomDesc[] = {
	{ "Super Turrican 2 (USA) (Beta).sfc",          1048576, 0x691314bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurrican2USABeta)
STD_ROM_FN(rSuperTurrican2USABeta)

struct BurnDriver BurnDrvrSuperTurrican2USABeta = {
	"Super Turrican 2 (USA) (Beta)", NULL, NULL, "1986",
	"Super Turrican 2 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican 2 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurrican2USABetaRomInfo, rSuperTurrican2USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperTurrican2USARomDesc[] = {
	{ "Super Turrican 2 (USA).sfc",          2097152, 0xd2ffabac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperTurrican2USA)
STD_ROM_FN(rSuperTurrican2USA)

struct BurnDriver BurnDrvrSuperTurrican2USA = {
	"Super Turrican 2 (USA)", NULL, NULL, "1986",
	"Super Turrican 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Turrican 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperTurrican2USARomInfo, rSuperTurrican2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperUltraBaseballJapanRomDesc[] = {
	{ "Super Ultra Baseball (Japan).sfc",          524288, 0x90a9ea48, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperUltraBaseballJapan)
STD_ROM_FN(rSuperUltraBaseballJapan)

struct BurnDriver BurnDrvrSuperUltraBaseballJapan = {
	"Super Ultra Baseball (Japan)", NULL, NULL, "1986",
	"Super Ultra Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ultra Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperUltraBaseballJapanRomInfo, rSuperUltraBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperUltraBaseball2JapanRomDesc[] = {
	{ "Super Ultra Baseball 2 (Japan).sfc",          524288, 0xffe37adf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperUltraBaseball2Japan)
STD_ROM_FN(rSuperUltraBaseball2Japan)

struct BurnDriver BurnDrvrSuperUltraBaseball2Japan = {
	"Super Ultra Baseball 2 (Japan)", NULL, NULL, "1986",
	"Super Ultra Baseball 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Ultra Baseball 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperUltraBaseball2JapanRomInfo, rSuperUltraBaseball2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperUnoJapanRev1RomDesc[] = {
	{ "Super Uno (Japan) (Rev 1).sfc",          1048576, 0xaa0a7c43, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperUnoJapanRev1)
STD_ROM_FN(rSuperUnoJapanRev1)

struct BurnDriver BurnDrvrSuperUnoJapanRev1 = {
	"Super Uno (Japan) (Rev 1)", NULL, NULL, "1986",
	"Super Uno (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Uno (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperUnoJapanRev1RomInfo, rSuperUnoJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperUnoJapanRomDesc[] = {
	{ "Super Uno (Japan).sfc",          1048576, 0x61441201, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperUnoJapan)
STD_ROM_FN(rSuperUnoJapan)

struct BurnDriver BurnDrvrSuperUnoJapan = {
	"Super Uno (Japan)", NULL, NULL, "1986",
	"Super Uno (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Uno (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperUnoJapanRomInfo, rSuperUnoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperValisAkakiTsukinoOtomeJapanRomDesc[] = {
	{ "Super Valis - Akaki Tsuki no Otome (Japan).sfc",          1048576, 0xe46c1112, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperValisAkakiTsukinoOtomeJapan)
STD_ROM_FN(rSuperValisAkakiTsukinoOtomeJapan)

struct BurnDriver BurnDrvrSuperValisAkakiTsukinoOtomeJapan = {
	"Super Valis - Akaki Tsuki no Otome (Japan)", NULL, NULL, "1986",
	"Super Valis - Akaki Tsuki no Otome (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Valis - Akaki Tsuki no Otome (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperValisAkakiTsukinoOtomeJapanRomInfo, rSuperValisAkakiTsukinoOtomeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperValisIVUSARomDesc[] = {
	{ "Super Valis IV (USA).sfc",          1048576, 0x29e8ac9f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperValisIVUSA)
STD_ROM_FN(rSuperValisIVUSA)

struct BurnDriver BurnDrvrSuperValisIVUSA = {
	"Super Valis IV (USA)", NULL, NULL, "1986",
	"Super Valis IV (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Valis IV (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperValisIVUSARomInfo, rSuperValisIVUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperVariableGeoJapanRomDesc[] = {
	{ "Super Variable Geo (Japan).sfc",          3145728, 0xde3262e7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperVariableGeoJapan)
STD_ROM_FN(rSuperVariableGeoJapan)

struct BurnDriver BurnDrvrSuperVariableGeoJapan = {
	"Super Variable Geo (Japan)", NULL, NULL, "1986",
	"Super Variable Geo (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Variable Geo (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperVariableGeoJapanRomInfo, rSuperVariableGeoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperVolleyIIJapanBSRomDesc[] = {
	{ "Super Volley II (Japan) (BS).sfc",          1048576, 0x515588a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperVolleyIIJapanBS)
STD_ROM_FN(rSuperVolleyIIJapanBS)

struct BurnDriver BurnDrvrSuperVolleyIIJapanBS = {
	"Super Volley II (Japan) (BS)", NULL, NULL, "1986",
	"Super Volley II (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Volley II (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperVolleyIIJapanBSRomInfo, rSuperVolleyIIJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperVolleyIIJapanRomDesc[] = {
	{ "Super Volley II (Japan).sfc",          1048576, 0x4a0c88ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperVolleyIIJapan)
STD_ROM_FN(rSuperVolleyIIJapan)

struct BurnDriver BurnDrvrSuperVolleyIIJapan = {
	"Super Volley II (Japan)", NULL, NULL, "1986",
	"Super Volley II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Volley II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperVolleyIIJapanRomInfo, rSuperVolleyIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperWagyanLandJapanRomDesc[] = {
	{ "Super Wagyan Land (Japan).sfc",          1048576, 0x612b9b65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperWagyanLandJapan)
STD_ROM_FN(rSuperWagyanLandJapan)

struct BurnDriver BurnDrvrSuperWagyanLandJapan = {
	"Super Wagyan Land (Japan)", NULL, NULL, "1986",
	"Super Wagyan Land (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Wagyan Land (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperWagyanLandJapanRomInfo, rSuperWagyanLandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperWagyanLand2JapanRomDesc[] = {
	{ "Super Wagyan Land 2 (Japan).sfc",          1048576, 0xd5063ae0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperWagyanLand2Japan)
STD_ROM_FN(rSuperWagyanLand2Japan)

struct BurnDriver BurnDrvrSuperWagyanLand2Japan = {
	"Super Wagyan Land 2 (Japan)", NULL, NULL, "1986",
	"Super Wagyan Land 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Wagyan Land 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperWagyanLand2JapanRomInfo, rSuperWagyanLand2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperWidgetEuropeRomDesc[] = {
	{ "Super Widget (Europe).sfc",          1048576, 0x1f7ce2a8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperWidgetEurope)
STD_ROM_FN(rSuperWidgetEurope)

struct BurnDriver BurnDrvrSuperWidgetEurope = {
	"Super Widget (Europe)", NULL, NULL, "1986",
	"Super Widget (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Widget (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperWidgetEuropeRomInfo, rSuperWidgetEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperWidgetUSARomDesc[] = {
	{ "Super Widget (USA).sfc",          1048576, 0x7dd199ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperWidgetUSA)
STD_ROM_FN(rSuperWidgetUSA)

struct BurnDriver BurnDrvrSuperWidgetUSA = {
	"Super Widget (USA)", NULL, NULL, "1986",
	"Super Widget (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Widget (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperWidgetUSARomInfo, rSuperWidgetUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperWrestleAngelsJapanRomDesc[] = {
	{ "Super Wrestle Angels (Japan).sfc",          1572864, 0xb697f8a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperWrestleAngelsJapan)
STD_ROM_FN(rSuperWrestleAngelsJapan)

struct BurnDriver BurnDrvrSuperWrestleAngelsJapan = {
	"Super Wrestle Angels (Japan)", NULL, NULL, "1986",
	"Super Wrestle Angels (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Wrestle Angels (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperWrestleAngelsJapanRomInfo, rSuperWrestleAngelsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperXTerminator2SasukeJapanUnlbRomDesc[] = {
	{ "Super X-Terminator 2 Sasuke (Japan) (Unl) [b].sfc",          32768, 0x5f75ce9e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperXTerminator2SasukeJapanUnlb)
STD_ROM_FN(rSuperXTerminator2SasukeJapanUnlb)

struct BurnDriver BurnDrvrSuperXTerminator2SasukeJapanUnlb = {
	"Super X-Terminator 2 Sasuke (Japan) (Unl) [b]", NULL, NULL, "1986",
	"Super X-Terminator 2 Sasuke (Japan) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Super X-Terminator 2 Sasuke (Japan) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperXTerminator2SasukeJapanUnlbRomInfo, rSuperXTerminator2SasukeJapanUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperYakyuudouJapanRomDesc[] = {
	{ "Super Yakyuudou (Japan).sfc",          1572864, 0x24020e16, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperYakyuudouJapan)
STD_ROM_FN(rSuperYakyuudouJapan)

struct BurnDriver BurnDrvrSuperYakyuudouJapan = {
	"Super Yakyuudou (Japan)", NULL, NULL, "1986",
	"Super Yakyuudou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Yakyuudou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperYakyuudouJapanRomInfo, rSuperYakyuudouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperZuganHakotenjoukaranoShoutaijouJapanRomDesc[] = {
	{ "Super Zugan - Hakotenjou kara no Shoutaijou (Japan).sfc",          1048576, 0x17e2de82, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperZuganHakotenjoukaranoShoutaijouJapan)
STD_ROM_FN(rSuperZuganHakotenjoukaranoShoutaijouJapan)

struct BurnDriver BurnDrvrSuperZuganHakotenjoukaranoShoutaijouJapan = {
	"Super Zugan - Hakotenjou kara no Shoutaijou (Japan)", NULL, NULL, "1986",
	"Super Zugan - Hakotenjou kara no Shoutaijou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Zugan - Hakotenjou kara no Shoutaijou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperZuganHakotenjoukaranoShoutaijouJapanRomInfo, rSuperZuganHakotenjoukaranoShoutaijouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperZugan2TsukanpoFighterJapanRomDesc[] = {
	{ "Super Zugan 2 - Tsukanpo Fighter (Japan).sfc",          1572864, 0x8679beb8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperZugan2TsukanpoFighterJapan)
STD_ROM_FN(rSuperZugan2TsukanpoFighterJapan)

struct BurnDriver BurnDrvrSuperZugan2TsukanpoFighterJapan = {
	"Super Zugan 2 - Tsukanpo Fighter (Japan)", NULL, NULL, "1986",
	"Super Zugan 2 - Tsukanpo Fighter (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super Zugan 2 - Tsukanpo Fighter (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperZugan2TsukanpoFighterJapanRomInfo, rSuperZugan2TsukanpoFighterJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuperPachinkoJapanRomDesc[] = {
	{ "Super!! Pachinko (Japan).sfc",          1048576, 0x410d9f0a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuperPachinkoJapan)
STD_ROM_FN(rSuperPachinkoJapan)

struct BurnDriver BurnDrvrSuperPachinkoJapan = {
	"Super!! Pachinko (Japan)", NULL, NULL, "1986",
	"Super!! Pachinko (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Super!! Pachinko (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuperPachinkoJapanRomInfo, rSuperPachinkoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutobasuYarouShowJapanRomDesc[] = {
	{ "Sutobasu Yarou Show (Japan).sfc",          1048576, 0xa953a1de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutobasuYarouShowJapan)
STD_ROM_FN(rSutobasuYarouShowJapan)

struct BurnDriver BurnDrvrSutobasuYarouShowJapan = {
	"Sutobasu Yarou Show (Japan)", NULL, NULL, "1986",
	"Sutobasu Yarou Show (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutobasu Yarou Show (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutobasuYarouShowJapanRomInfo, rSutobasuYarouShowJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutteHakkunJapanRomDesc[] = {
	{ "Sutte Hakkun (Japan).sfc",          3145728, 0xdc173550, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutteHakkunJapan)
STD_ROM_FN(rSutteHakkunJapan)

struct BurnDriver BurnDrvrSutteHakkunJapan = {
	"Sutte Hakkun (Japan)", NULL, NULL, "1986",
	"Sutte Hakkun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutte Hakkun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutteHakkunJapanRomInfo, rSutteHakkunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutteHakkun98EventVersionJapanBSRomDesc[] = {
	{ "Sutte Hakkun - 98 Event Version (Japan) (BS).sfc",          1048576, 0x948b7f8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutteHakkun98EventVersionJapanBS)
STD_ROM_FN(rSutteHakkun98EventVersionJapanBS)

struct BurnDriver BurnDrvrSutteHakkun98EventVersionJapanBS = {
	"Sutte Hakkun - 98 Event Version (Japan) (BS)", NULL, NULL, "1986",
	"Sutte Hakkun - 98 Event Version (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutte Hakkun - 98 Event Version (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutteHakkun98EventVersionJapanBSRomInfo, rSutteHakkun98EventVersionJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutteHakkunBSVersion2Japanxxxx0603BSRomDesc[] = {
	{ "Sutte Hakkun - BS Version 2 (Japan) (xxxx-06-03) (BS).sfc",          1048576, 0xa387fe08, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutteHakkunBSVersion2Japanxxxx0603BS)
STD_ROM_FN(rSutteHakkunBSVersion2Japanxxxx0603BS)

struct BurnDriver BurnDrvrSutteHakkunBSVersion2Japanxxxx0603BS = {
	"Sutte Hakkun - BS Version 2 (Japan) (xxxx-06-03) (BS)", NULL, NULL, "1986",
	"Sutte Hakkun - BS Version 2 (Japan) (xxxx-06-03) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutte Hakkun - BS Version 2 (Japan) (xxxx-06-03) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutteHakkunBSVersion2Japanxxxx0603BSRomInfo, rSutteHakkunBSVersion2Japanxxxx0603BSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutteHakkunBSVersion2Japanxxxx1008BSRomDesc[] = {
	{ "Sutte Hakkun - BS Version 2 (Japan) (xxxx-10-08) (BS).sfc",          1048576, 0xa224c713, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutteHakkunBSVersion2Japanxxxx1008BS)
STD_ROM_FN(rSutteHakkunBSVersion2Japanxxxx1008BS)

struct BurnDriver BurnDrvrSutteHakkunBSVersion2Japanxxxx1008BS = {
	"Sutte Hakkun - BS Version 2 (Japan) (xxxx-10-08) (BS)", NULL, NULL, "1986",
	"Sutte Hakkun - BS Version 2 (Japan) (xxxx-10-08) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutte Hakkun - BS Version 2 (Japan) (xxxx-10-08) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutteHakkunBSVersion2Japanxxxx1008BSRomInfo, rSutteHakkunBSVersion2Japanxxxx1008BSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSutteHakkunEventVersionJapanBSRomDesc[] = {
	{ "Sutte Hakkun - Event Version (Japan) (BS).sfc",          1048576, 0x4f6c48d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSutteHakkunEventVersionJapanBS)
STD_ROM_FN(rSutteHakkunEventVersionJapanBS)

struct BurnDriver BurnDrvrSutteHakkunEventVersionJapanBS = {
	"Sutte Hakkun - Event Version (Japan) (BS)", NULL, NULL, "1986",
	"Sutte Hakkun - Event Version (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sutte Hakkun - Event Version (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSutteHakkunEventVersionJapanBSRomInfo, rSutteHakkunEventVersionJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuzuka8HoursJapanRomDesc[] = {
	{ "Suzuka 8 Hours (Japan).sfc",          1048576, 0xb846b00d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuzuka8HoursJapan)
STD_ROM_FN(rSuzuka8HoursJapan)

struct BurnDriver BurnDrvrSuzuka8HoursJapan = {
	"Suzuka 8 Hours (Japan)", NULL, NULL, "1986",
	"Suzuka 8 Hours (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Suzuka 8 Hours (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuzuka8HoursJapanRomInfo, rSuzuka8HoursJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuzuka8HoursUSARomDesc[] = {
	{ "Suzuka 8 Hours (USA).sfc",          1048576, 0x54740b9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuzuka8HoursUSA)
STD_ROM_FN(rSuzuka8HoursUSA)

struct BurnDriver BurnDrvrSuzuka8HoursUSA = {
	"Suzuka 8 Hours (USA)", NULL, NULL, "1986",
	"Suzuka 8 Hours (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Suzuka 8 Hours (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuzuka8HoursUSARomInfo, rSuzuka8HoursUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSuzukiAgurinoF1SuperDrivingJapanRomDesc[] = {
	{ "Suzuki Aguri no F-1 Super Driving (Japan).sfc",          1048576, 0x75bdc895, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSuzukiAgurinoF1SuperDrivingJapan)
STD_ROM_FN(rSuzukiAgurinoF1SuperDrivingJapan)

struct BurnDriver BurnDrvrSuzukiAgurinoF1SuperDrivingJapan = {
	"Suzuki Aguri no F-1 Super Driving (Japan)", NULL, NULL, "1986",
	"Suzuki Aguri no F-1 Super Driving (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Suzuki Aguri no F-1 Super Driving (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSuzukiAgurinoF1SuperDrivingJapanRomInfo, rSuzukiAgurinoF1SuperDrivingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSWATKatsTheRadicalSquadronUSARomDesc[] = {
	{ "SWAT Kats - The Radical Squadron (USA).sfc",          2097152, 0xea2a23fb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSWATKatsTheRadicalSquadronUSA)
STD_ROM_FN(rSWATKatsTheRadicalSquadronUSA)

struct BurnDriver BurnDrvrSWATKatsTheRadicalSquadronUSA = {
	"SWAT Kats - The Radical Squadron (USA)", NULL, NULL, "1986",
	"SWAT Kats - The Radical Squadron (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"SWAT Kats - The Radical Squadron (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSWATKatsTheRadicalSquadronUSARomInfo, rSWATKatsTheRadicalSquadronUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSwordManiacJapanRomDesc[] = {
	{ "Sword Maniac (Japan).sfc",          1048576, 0xa7295784, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSwordManiacJapan)
STD_ROM_FN(rSwordManiacJapan)

struct BurnDriver BurnDrvrSwordManiacJapan = {
	"Sword Maniac (Japan)", NULL, NULL, "1986",
	"Sword Maniac (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sword Maniac (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSwordManiacJapanRomInfo, rSwordManiacJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSwordWorldSFCJapanRomDesc[] = {
	{ "Sword World SFC (Japan).sfc",          1572864, 0xb4e8a680, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSwordWorldSFCJapan)
STD_ROM_FN(rSwordWorldSFCJapan)

struct BurnDriver BurnDrvrSwordWorldSFCJapan = {
	"Sword World SFC (Japan)", NULL, NULL, "1986",
	"Sword World SFC (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sword World SFC (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSwordWorldSFCJapanRomInfo, rSwordWorldSFCJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSwordWorldSFC2InishienoKyojinDensetsuJapanRomDesc[] = {
	{ "Sword World SFC 2 - Inishie no Kyojin Densetsu (Japan).sfc",          2097152, 0x571aef10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSwordWorldSFC2InishienoKyojinDensetsuJapan)
STD_ROM_FN(rSwordWorldSFC2InishienoKyojinDensetsuJapan)

struct BurnDriver BurnDrvrSwordWorldSFC2InishienoKyojinDensetsuJapan = {
	"Sword World SFC 2 - Inishie no Kyojin Densetsu (Japan)", NULL, NULL, "1986",
	"Sword World SFC 2 - Inishie no Kyojin Densetsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sword World SFC 2 - Inishie no Kyojin Densetsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSwordWorldSFC2InishienoKyojinDensetsuJapanRomInfo, rSwordWorldSFC2InishienoKyojinDensetsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSylvesterandTweetyUSAProtoRomDesc[] = {
	{ "Sylvester and Tweety (USA) (Proto).sfc",          2097152, 0x8556f5a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSylvesterandTweetyUSAProto)
STD_ROM_FN(rSylvesterandTweetyUSAProto)

struct BurnDriver BurnDrvrSylvesterandTweetyUSAProto = {
	"Sylvester and Tweety (USA) (Proto)", NULL, NULL, "1986",
	"Sylvester and Tweety (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Sylvester and Tweety (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSylvesterandTweetyUSAProtoRomInfo, rSylvesterandTweetyUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyndicateEuropeEnFrDeBetaRomDesc[] = {
	{ "Syndicate (Europe) (En,Fr,De) (Beta).sfc",          1048576, 0x181cae99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyndicateEuropeEnFrDeBeta)
STD_ROM_FN(rSyndicateEuropeEnFrDeBeta)

struct BurnDriver BurnDrvrSyndicateEuropeEnFrDeBeta = {
	"Syndicate (Europe) (En,Fr,De) (Beta)", NULL, NULL, "1986",
	"Syndicate (Europe) (En,Fr,De) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syndicate (Europe) (En,Fr,De) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyndicateEuropeEnFrDeBetaRomInfo, rSyndicateEuropeEnFrDeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyndicateEuropeEnFrDeRomDesc[] = {
	{ "Syndicate (Europe) (En,Fr,De).sfc",          1048576, 0xfd851819, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyndicateEuropeEnFrDe)
STD_ROM_FN(rSyndicateEuropeEnFrDe)

struct BurnDriver BurnDrvrSyndicateEuropeEnFrDe = {
	"Syndicate (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Syndicate (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syndicate (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyndicateEuropeEnFrDeRomInfo, rSyndicateEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyndicateJapanRomDesc[] = {
	{ "Syndicate (Japan).sfc",          1048576, 0x63c52dc4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyndicateJapan)
STD_ROM_FN(rSyndicateJapan)

struct BurnDriver BurnDrvrSyndicateJapan = {
	"Syndicate (Japan)", NULL, NULL, "1986",
	"Syndicate (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syndicate (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyndicateJapanRomInfo, rSyndicateJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyndicateUSARomDesc[] = {
	{ "Syndicate (USA).sfc",          1048576, 0xd74570d3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyndicateUSA)
STD_ROM_FN(rSyndicateUSA)

struct BurnDriver BurnDrvrSyndicateUSA = {
	"Syndicate (USA)", NULL, NULL, "1986",
	"Syndicate (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syndicate (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyndicateUSARomInfo, rSyndicateUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyvalionEuropeBetaRomDesc[] = {
	{ "Syvalion (Europe) (Beta).sfc",          1048576, 0xbe122755, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyvalionEuropeBeta)
STD_ROM_FN(rSyvalionEuropeBeta)

struct BurnDriver BurnDrvrSyvalionEuropeBeta = {
	"Syvalion (Europe) (Beta)", NULL, NULL, "1986",
	"Syvalion (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syvalion (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyvalionEuropeBetaRomInfo, rSyvalionEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyvalionEuropeRomDesc[] = {
	{ "Syvalion (Europe).sfc",          1048576, 0xf1884ecb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyvalionEurope)
STD_ROM_FN(rSyvalionEurope)

struct BurnDriver BurnDrvrSyvalionEurope = {
	"Syvalion (Europe)", NULL, NULL, "1986",
	"Syvalion (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syvalion (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyvalionEuropeRomInfo, rSyvalionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rSyvalionJapanRomDesc[] = {
	{ "Syvalion (Japan).sfc",          1048576, 0x75ff74f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rSyvalionJapan)
STD_ROM_FN(rSyvalionJapan)

struct BurnDriver BurnDrvrSyvalionJapan = {
	"Syvalion (Japan)", NULL, NULL, "1986",
	"Syvalion (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Syvalion (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rSyvalionJapanRomInfo, rSyvalionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rT2TheArcadeGameEuropeRomDesc[] = {
	{ "T2 - The Arcade Game (Europe).sfc",          1048576, 0x32633fa6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rT2TheArcadeGameEurope)
STD_ROM_FN(rT2TheArcadeGameEurope)

struct BurnDriver BurnDrvrT2TheArcadeGameEurope = {
	"T2 - The Arcade Game (Europe)", NULL, NULL, "1986",
	"T2 - The Arcade Game (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"T2 - The Arcade Game (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rT2TheArcadeGameEuropeRomInfo, rT2TheArcadeGameEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rT2TheArcadeGameJapanRomDesc[] = {
	{ "T2 - The Arcade Game (Japan).sfc",          1048576, 0xcb5409ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rT2TheArcadeGameJapan)
STD_ROM_FN(rT2TheArcadeGameJapan)

struct BurnDriver BurnDrvrT2TheArcadeGameJapan = {
	"T2 - The Arcade Game (Japan)", NULL, NULL, "1986",
	"T2 - The Arcade Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"T2 - The Arcade Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rT2TheArcadeGameJapanRomInfo, rT2TheArcadeGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rT2TheArcadeGameUSARomDesc[] = {
	{ "T2 - The Arcade Game (USA).sfc",          1048576, 0x5dc6b9fe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rT2TheArcadeGameUSA)
STD_ROM_FN(rT2TheArcadeGameUSA)

struct BurnDriver BurnDrvrT2TheArcadeGameUSA = {
	"T2 - The Arcade Game (USA)", NULL, NULL, "1986",
	"T2 - The Arcade Game (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"T2 - The Arcade Game (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rT2TheArcadeGameUSARomInfo, rT2TheArcadeGameUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTableGameDaishuugouJapanRomDesc[] = {
	{ "Table Game Daishuugou!! (Japan).sfc",          1048576, 0x661e791e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTableGameDaishuugouJapan)
STD_ROM_FN(rTableGameDaishuugouJapan)

struct BurnDriver BurnDrvrTableGameDaishuugouJapan = {
	"Table Game Daishuugou!! (Japan)", NULL, NULL, "1986",
	"Table Game Daishuugou!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Table Game Daishuugou!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTableGameDaishuugouJapanRomInfo, rTableGameDaishuugouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTacticalSoccerJapanRomDesc[] = {
	{ "Tactical Soccer (Japan).sfc",          1572864, 0x74d96359, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTacticalSoccerJapan)
STD_ROM_FN(rTacticalSoccerJapan)

struct BurnDriver BurnDrvrTacticalSoccerJapan = {
	"Tactical Soccer (Japan)", NULL, NULL, "1986",
	"Tactical Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tactical Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTacticalSoccerJapanRomInfo, rTacticalSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTacticsOgreLetUsClingTogetherJapanRev1RomDesc[] = {
	{ "Tactics Ogre - Let Us Cling Together (Japan) (Rev 1).sfc",          3145728, 0x271e1d07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTacticsOgreLetUsClingTogetherJapanRev1)
STD_ROM_FN(rTacticsOgreLetUsClingTogetherJapanRev1)

struct BurnDriver BurnDrvrTacticsOgreLetUsClingTogetherJapanRev1 = {
	"Tactics Ogre - Let Us Cling Together (Japan) (Rev 1)", NULL, NULL, "1986",
	"Tactics Ogre - Let Us Cling Together (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tactics Ogre - Let Us Cling Together (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTacticsOgreLetUsClingTogetherJapanRev1RomInfo, rTacticsOgreLetUsClingTogetherJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTacticsOgreLetUsClingTogetherJapanRev2RomDesc[] = {
	{ "Tactics Ogre - Let Us Cling Together (Japan) (Rev 2).sfc",          3145728, 0x12f0a699, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTacticsOgreLetUsClingTogetherJapanRev2)
STD_ROM_FN(rTacticsOgreLetUsClingTogetherJapanRev2)

struct BurnDriver BurnDrvrTacticsOgreLetUsClingTogetherJapanRev2 = {
	"Tactics Ogre - Let Us Cling Together (Japan) (Rev 2)", NULL, NULL, "1986",
	"Tactics Ogre - Let Us Cling Together (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tactics Ogre - Let Us Cling Together (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTacticsOgreLetUsClingTogetherJapanRev2RomInfo, rTacticsOgreLetUsClingTogetherJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTacticsOgreLetUsClingTogetherJapanRomDesc[] = {
	{ "Tactics Ogre - Let Us Cling Together (Japan).sfc",          3145728, 0xdaf285a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTacticsOgreLetUsClingTogetherJapan)
STD_ROM_FN(rTacticsOgreLetUsClingTogetherJapan)

struct BurnDriver BurnDrvrTacticsOgreLetUsClingTogetherJapan = {
	"Tactics Ogre - Let Us Cling Together (Japan)", NULL, NULL, "1986",
	"Tactics Ogre - Let Us Cling Together (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tactics Ogre - Let Us Cling Together (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTacticsOgreLetUsClingTogetherJapanRomInfo, rTacticsOgreLetUsClingTogetherJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTadaimaYuushaBoshuuchuuOkawariJapanRomDesc[] = {
	{ "Tadaima Yuusha Boshuuchuu Okawari (Japan).sfc",          2097152, 0x1bdeb829, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTadaimaYuushaBoshuuchuuOkawariJapan)
STD_ROM_FN(rTadaimaYuushaBoshuuchuuOkawariJapan)

struct BurnDriver BurnDrvrTadaimaYuushaBoshuuchuuOkawariJapan = {
	"Tadaima Yuusha Boshuuchuu Okawari (Japan)", NULL, NULL, "1986",
	"Tadaima Yuusha Boshuuchuu Okawari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tadaima Yuusha Boshuuchuu Okawari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTadaimaYuushaBoshuuchuuOkawariJapanRomInfo, rTadaimaYuushaBoshuuchuuOkawariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaekwonDoJapanJaKoRomDesc[] = {
	{ "Taekwon-Do (Japan) (Ja,Ko).sfc",          1048576, 0x93f29dde, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaekwonDoJapanJaKo)
STD_ROM_FN(rTaekwonDoJapanJaKo)

struct BurnDriver BurnDrvrTaekwonDoJapanJaKo = {
	"Taekwon-Do (Japan) (Ja,Ko)", NULL, NULL, "1986",
	"Taekwon-Do (Japan) (Ja,Ko)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taekwon-Do (Japan) (Ja,Ko)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaekwonDoJapanJaKoRomInfo, rTaekwonDoJapanJaKoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaekwonDoKoreaRomDesc[] = {
	{ "Taekwon-Do (Korea).sfc",          1048576, 0xd20d7701, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaekwonDoKorea)
STD_ROM_FN(rTaekwonDoKorea)

struct BurnDriver BurnDrvrTaekwonDoKorea = {
	"Taekwon-Do (Korea)", NULL, NULL, "1986",
	"Taekwon-Do (Korea)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taekwon-Do (Korea)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaekwonDoKoreaRomInfo, rTaekwonDoKoreaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaiketsuBrassNumbersJapanRomDesc[] = {
	{ "Taiketsu!! Brass Numbers (Japan).sfc",          1048576, 0x27815b78, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaiketsuBrassNumbersJapan)
STD_ROM_FN(rTaiketsuBrassNumbersJapan)

struct BurnDriver BurnDrvrTaiketsuBrassNumbersJapan = {
	"Taiketsu!! Brass Numbers (Japan)", NULL, NULL, "1986",
	"Taiketsu!! Brass Numbers (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taiketsu!! Brass Numbers (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaiketsuBrassNumbersJapanRomInfo, rTaiketsuBrassNumbersJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaikouRisshidenJapanRomDesc[] = {
	{ "Taikou Risshiden (Japan).sfc",          1572864, 0xa2a0f40f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaikouRisshidenJapan)
STD_ROM_FN(rTaikouRisshidenJapan)

struct BurnDriver BurnDrvrTaikouRisshidenJapan = {
	"Taikou Risshiden (Japan)", NULL, NULL, "1986",
	"Taikou Risshiden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taikou Risshiden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaikouRisshidenJapanRomInfo, rTaikouRisshidenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaikyokuIgoGoliathJapanRomDesc[] = {
	{ "Taikyoku Igo - Goliath (Japan).sfc",          1048576, 0x1afec9c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaikyokuIgoGoliathJapan)
STD_ROM_FN(rTaikyokuIgoGoliathJapan)

struct BurnDriver BurnDrvrTaikyokuIgoGoliathJapan = {
	"Taikyoku Igo - Goliath (Japan)", NULL, NULL, "1986",
	"Taikyoku Igo - Goliath (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taikyoku Igo - Goliath (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaikyokuIgoGoliathJapanRomInfo, rTaikyokuIgoGoliathJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaikyokuIgoIdatenJapanRomDesc[] = {
	{ "Taikyoku Igo - Idaten (Japan).sfc",          1048576, 0xb5db72b6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaikyokuIgoIdatenJapan)
STD_ROM_FN(rTaikyokuIgoIdatenJapan)

struct BurnDriver BurnDrvrTaikyokuIgoIdatenJapan = {
	"Taikyoku Igo - Idaten (Japan)", NULL, NULL, "1986",
	"Taikyoku Igo - Idaten (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taikyoku Igo - Idaten (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaikyokuIgoIdatenJapanRomInfo, rTaikyokuIgoIdatenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlbRomDesc[] = {
	{ "Taiwan 16 Mahjong II - Horoscope Girls Edition (Hong Kong) (Unl) [b].sfc",          524288, 0x561bbd96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlb)
STD_ROM_FN(rTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlb)

struct BurnDriver BurnDrvrTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlb = {
	"Taiwan 16 Mahjong II - Horoscope Girls Edition (Hong Kong) (Unl) [b]", NULL, NULL, "1986",
	"Taiwan 16 Mahjong II - Horoscope Girls Edition (Hong Kong) (Unl) [b]\0", NULL, "Nintendo", "Miscellaneous",
	L"Taiwan 16 Mahjong II - Horoscope Girls Edition (Hong Kong) (Unl) [b]", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlbRomInfo, rTaiwan16MahjongIIHoroscopeGirlsEditionHongKongUnlbRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakahashiMeijinnoDaiboukenjimaJapanRomDesc[] = {
	{ "Takahashi Meijin no Daibouken-jima (Japan).sfc",          1048576, 0x37c0ae76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakahashiMeijinnoDaiboukenjimaJapan)
STD_ROM_FN(rTakahashiMeijinnoDaiboukenjimaJapan)

struct BurnDriver BurnDrvrTakahashiMeijinnoDaiboukenjimaJapan = {
	"Takahashi Meijin no Daibouken-jima (Japan)", NULL, NULL, "1986",
	"Takahashi Meijin no Daibouken-jima (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Takahashi Meijin no Daibouken-jima (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakahashiMeijinnoDaiboukenjimaJapanRomInfo, rTakahashiMeijinnoDaiboukenjimaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakahashiMeijinnoDaiboukenjimaIIJapanRomDesc[] = {
	{ "Takahashi Meijin no Daibouken-jima II (Japan).sfc",          1572864, 0x1c71451c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakahashiMeijinnoDaiboukenjimaIIJapan)
STD_ROM_FN(rTakahashiMeijinnoDaiboukenjimaIIJapan)

struct BurnDriver BurnDrvrTakahashiMeijinnoDaiboukenjimaIIJapan = {
	"Takahashi Meijin no Daibouken-jima II (Japan)", NULL, NULL, "1986",
	"Takahashi Meijin no Daibouken-jima II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Takahashi Meijin no Daibouken-jima II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakahashiMeijinnoDaiboukenjimaIIJapanRomInfo, rTakahashiMeijinnoDaiboukenjimaIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakeYutakaGIMemoryJapanRomDesc[] = {
	{ "Take Yutaka GI Memory (Japan).sfc",          3145728, 0x21a9925d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakeYutakaGIMemoryJapan)
STD_ROM_FN(rTakeYutakaGIMemoryJapan)

struct BurnDriver BurnDrvrTakeYutakaGIMemoryJapan = {
	"Take Yutaka GI Memory (Japan)", NULL, NULL, "1986",
	"Take Yutaka GI Memory (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Take Yutaka GI Memory (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakeYutakaGIMemoryJapanRomInfo, rTakeYutakaGIMemoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakedaNobuhironoSuperCupSoccerJapanRomDesc[] = {
	{ "Takeda Nobuhiro no Super Cup Soccer (Japan).sfc",          524288, 0x1bb2a0a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakedaNobuhironoSuperCupSoccerJapan)
STD_ROM_FN(rTakedaNobuhironoSuperCupSoccerJapan)

struct BurnDriver BurnDrvrTakedaNobuhironoSuperCupSoccerJapan = {
	"Takeda Nobuhiro no Super Cup Soccer (Japan)", NULL, NULL, "1986",
	"Takeda Nobuhiro no Super Cup Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Takeda Nobuhiro no Super Cup Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakedaNobuhironoSuperCupSoccerJapanRomInfo, rTakedaNobuhironoSuperCupSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakedaNobuhironoSuperLeagueSoccerJapanRomDesc[] = {
	{ "Takeda Nobuhiro no Super League Soccer (Japan).sfc",          1048576, 0x383face4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakedaNobuhironoSuperLeagueSoccerJapan)
STD_ROM_FN(rTakedaNobuhironoSuperLeagueSoccerJapan)

struct BurnDriver BurnDrvrTakedaNobuhironoSuperLeagueSoccerJapan = {
	"Takeda Nobuhiro no Super League Soccer (Japan)", NULL, NULL, "1986",
	"Takeda Nobuhiro no Super League Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Takeda Nobuhiro no Super League Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakedaNobuhironoSuperLeagueSoccerJapanRomInfo, rTakedaNobuhironoSuperLeagueSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTakemiyaMasakiKudannoIgoTaishouJapanRomDesc[] = {
	{ "Takemiya Masaki Kudan no Igo Taishou (Japan).sfc",          524288, 0x639022ab, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTakemiyaMasakiKudannoIgoTaishouJapan)
STD_ROM_FN(rTakemiyaMasakiKudannoIgoTaishouJapan)

struct BurnDriver BurnDrvrTakemiyaMasakiKudannoIgoTaishouJapan = {
	"Takemiya Masaki Kudan no Igo Taishou (Japan)", NULL, NULL, "1986",
	"Takemiya Masaki Kudan no Igo Taishou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Takemiya Masaki Kudan no Igo Taishou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTakemiyaMasakiKudannoIgoTaishouJapanRomInfo, rTakemiyaMasakiKudannoIgoTaishouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTalesofPhantasiaJapanRomDesc[] = {
	{ "Tales of Phantasia (Japan).sfc",          6291456, 0xe9946b84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTalesofPhantasiaJapan)
STD_ROM_FN(rTalesofPhantasiaJapan)

struct BurnDriver BurnDrvrTalesofPhantasiaJapan = {
	"Tales of Phantasia (Japan)", NULL, NULL, "1986",
	"Tales of Phantasia (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tales of Phantasia (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTalesofPhantasiaJapanRomInfo, rTalesofPhantasiaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTamagotchTownJapanNPRomDesc[] = {
	{ "Tamagotch Town (Japan) (NP).sfc",          1048576, 0x2c877794, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTamagotchTownJapanNP)
STD_ROM_FN(rTamagotchTownJapanNP)

struct BurnDriver BurnDrvrTamagotchTownJapanNP = {
	"Tamagotch Town (Japan) (NP)", NULL, NULL, "1986",
	"Tamagotch Town (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tamagotch Town (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTamagotchTownJapanNPRomInfo, rTamagotchTownJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTarotMysteryJapanRomDesc[] = {
	{ "Tarot Mystery (Japan).sfc",          1048576, 0x3ce00f85, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTarotMysteryJapan)
STD_ROM_FN(rTarotMysteryJapan)

struct BurnDriver BurnDrvrTarotMysteryJapan = {
	"Tarot Mystery (Japan)", NULL, NULL, "1986",
	"Tarot Mystery (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tarot Mystery (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTarotMysteryJapanRomInfo, rTarotMysteryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTatakaeGenshijin2RookienoBoukenJapanRomDesc[] = {
	{ "Tatakae Genshijin 2 - Rookie no Bouken (Japan).sfc",          524288, 0x689cbf05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTatakaeGenshijin2RookienoBoukenJapan)
STD_ROM_FN(rTatakaeGenshijin2RookienoBoukenJapan)

struct BurnDriver BurnDrvrTatakaeGenshijin2RookienoBoukenJapan = {
	"Tatakae Genshijin 2 - Rookie no Bouken (Japan)", NULL, NULL, "1986",
	"Tatakae Genshijin 2 - Rookie no Bouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tatakae Genshijin 2 - Rookie no Bouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTatakaeGenshijin2RookienoBoukenJapanRomInfo, rTatakaeGenshijin2RookienoBoukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTatakaeGenshijin3ShuyakuwaYappariJoeMacJapanRomDesc[] = {
	{ "Tatakae Genshijin 3 - Shuyaku wa Yappari Joe & Mac (Japan).sfc",          1048576, 0xa0a9f044, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTatakaeGenshijin3ShuyakuwaYappariJoeMacJapan)
STD_ROM_FN(rTatakaeGenshijin3ShuyakuwaYappariJoeMacJapan)

struct BurnDriver BurnDrvrTatakaeGenshijin3ShuyakuwaYappariJoeMacJapan = {
	"Tatakae Genshijin 3 - Shuyaku wa Yappari Joe & Mac (Japan)", NULL, NULL, "1986",
	"Tatakae Genshijin 3 - Shuyaku wa Yappari Joe & Mac (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tatakae Genshijin 3 - Shuyaku wa Yappari Joe & Mac (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTatakaeGenshijin3ShuyakuwaYappariJoeMacJapanRomInfo, rTatakaeGenshijin3ShuyakuwaYappariJoeMacJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTazManiaEuropeRomDesc[] = {
	{ "Taz-Mania (Europe).sfc",          1048576, 0x4937a4f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTazManiaEurope)
STD_ROM_FN(rTazManiaEurope)

struct BurnDriver BurnDrvrTazManiaEurope = {
	"Taz-Mania (Europe)", NULL, NULL, "1986",
	"Taz-Mania (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taz-Mania (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTazManiaEuropeRomInfo, rTazManiaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTazManiaUSABetaRomDesc[] = {
	{ "Taz-Mania (USA) (Beta).sfc",          1048576, 0x5a5bd63c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTazManiaUSABeta)
STD_ROM_FN(rTazManiaUSABeta)

struct BurnDriver BurnDrvrTazManiaUSABeta = {
	"Taz-Mania (USA) (Beta)", NULL, NULL, "1986",
	"Taz-Mania (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taz-Mania (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTazManiaUSABetaRomInfo, rTazManiaUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTazManiaUSARev1RomDesc[] = {
	{ "Taz-Mania (USA) (Rev 1).sfc",          1048576, 0xb17230ae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTazManiaUSARev1)
STD_ROM_FN(rTazManiaUSARev1)

struct BurnDriver BurnDrvrTazManiaUSARev1 = {
	"Taz-Mania (USA) (Rev 1)", NULL, NULL, "1986",
	"Taz-Mania (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taz-Mania (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTazManiaUSARev1RomInfo, rTazManiaUSARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTazManiaUSARomDesc[] = {
	{ "Taz-Mania (USA).sfc",          1048576, 0x6cc571f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTazManiaUSA)
STD_ROM_FN(rTazManiaUSA)

struct BurnDriver BurnDrvrTazManiaUSA = {
	"Taz-Mania (USA)", NULL, NULL, "1986",
	"Taz-Mania (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Taz-Mania (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTazManiaUSARomInfo, rTazManiaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSecretoftheStarsUSABetaRomDesc[] = {
	{ "Tecmo Secret of the Stars (USA) (Beta).sfc",          1048576, 0x421d2c18, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSecretoftheStarsUSABeta)
STD_ROM_FN(rTecmoSecretoftheStarsUSABeta)

struct BurnDriver BurnDrvrTecmoSecretoftheStarsUSABeta = {
	"Tecmo Secret of the Stars (USA) (Beta)", NULL, NULL, "1986",
	"Tecmo Secret of the Stars (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Secret of the Stars (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSecretoftheStarsUSABetaRomInfo, rTecmoSecretoftheStarsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSecretoftheStarsUSARomDesc[] = {
	{ "Tecmo Secret of the Stars (USA).sfc",          1572864, 0xef968ed1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSecretoftheStarsUSA)
STD_ROM_FN(rTecmoSecretoftheStarsUSA)

struct BurnDriver BurnDrvrTecmoSecretoftheStarsUSA = {
	"Tecmo Secret of the Stars (USA)", NULL, NULL, "1986",
	"Tecmo Secret of the Stars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Secret of the Stars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSecretoftheStarsUSARomInfo, rTecmoSecretoftheStarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBaseballJapanRomDesc[] = {
	{ "Tecmo Super Baseball (Japan).sfc",          1572864, 0x2f98db3e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBaseballJapan)
STD_ROM_FN(rTecmoSuperBaseballJapan)

struct BurnDriver BurnDrvrTecmoSuperBaseballJapan = {
	"Tecmo Super Baseball (Japan)", NULL, NULL, "1986",
	"Tecmo Super Baseball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Baseball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBaseballJapanRomInfo, rTecmoSuperBaseballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBaseballUSABetaRomDesc[] = {
	{ "Tecmo Super Baseball (USA) (Beta).sfc",          1572864, 0x24d4af5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBaseballUSABeta)
STD_ROM_FN(rTecmoSuperBaseballUSABeta)

struct BurnDriver BurnDrvrTecmoSuperBaseballUSABeta = {
	"Tecmo Super Baseball (USA) (Beta)", NULL, NULL, "1986",
	"Tecmo Super Baseball (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Baseball (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBaseballUSABetaRomInfo, rTecmoSuperBaseballUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBaseballUSARomDesc[] = {
	{ "Tecmo Super Baseball (USA).sfc",          1572864, 0xe302d853, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBaseballUSA)
STD_ROM_FN(rTecmoSuperBaseballUSA)

struct BurnDriver BurnDrvrTecmoSuperBaseballUSA = {
	"Tecmo Super Baseball (USA)", NULL, NULL, "1986",
	"Tecmo Super Baseball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Baseball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBaseballUSARomInfo, rTecmoSuperBaseballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlJapanRomDesc[] = {
	{ "Tecmo Super Bowl (Japan).sfc",          1572864, 0xc7d84893, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlJapan)
STD_ROM_FN(rTecmoSuperBowlJapan)

struct BurnDriver BurnDrvrTecmoSuperBowlJapan = {
	"Tecmo Super Bowl (Japan)", NULL, NULL, "1986",
	"Tecmo Super Bowl (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlJapanRomInfo, rTecmoSuperBowlJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlUSABetaRomDesc[] = {
	{ "Tecmo Super Bowl (USA) (Beta).sfc",          1572864, 0xf8e691d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlUSABeta)
STD_ROM_FN(rTecmoSuperBowlUSABeta)

struct BurnDriver BurnDrvrTecmoSuperBowlUSABeta = {
	"Tecmo Super Bowl (USA) (Beta)", NULL, NULL, "1986",
	"Tecmo Super Bowl (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlUSABetaRomInfo, rTecmoSuperBowlUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlUSARomDesc[] = {
	{ "Tecmo Super Bowl (USA).sfc",          1572864, 0xcde3746b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlUSA)
STD_ROM_FN(rTecmoSuperBowlUSA)

struct BurnDriver BurnDrvrTecmoSuperBowlUSA = {
	"Tecmo Super Bowl (USA)", NULL, NULL, "1986",
	"Tecmo Super Bowl (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlUSARomInfo, rTecmoSuperBowlUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlIISpecialEditionJapanRomDesc[] = {
	{ "Tecmo Super Bowl II - Special Edition (Japan).sfc",          2097152, 0x5acd46ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlIISpecialEditionJapan)
STD_ROM_FN(rTecmoSuperBowlIISpecialEditionJapan)

struct BurnDriver BurnDrvrTecmoSuperBowlIISpecialEditionJapan = {
	"Tecmo Super Bowl II - Special Edition (Japan)", NULL, NULL, "1986",
	"Tecmo Super Bowl II - Special Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl II - Special Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlIISpecialEditionJapanRomInfo, rTecmoSuperBowlIISpecialEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlIISpecialEditionUSARomDesc[] = {
	{ "Tecmo Super Bowl II - Special Edition (USA).sfc",          2097152, 0xd67d507b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlIISpecialEditionUSA)
STD_ROM_FN(rTecmoSuperBowlIISpecialEditionUSA)

struct BurnDriver BurnDrvrTecmoSuperBowlIISpecialEditionUSA = {
	"Tecmo Super Bowl II - Special Edition (USA)", NULL, NULL, "1986",
	"Tecmo Super Bowl II - Special Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl II - Special Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlIISpecialEditionUSARomInfo, rTecmoSuperBowlIISpecialEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlIIIFinalEditionJapanRomDesc[] = {
	{ "Tecmo Super Bowl III - Final Edition (Japan).sfc",          2097152, 0xf06c34e3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlIIIFinalEditionJapan)
STD_ROM_FN(rTecmoSuperBowlIIIFinalEditionJapan)

struct BurnDriver BurnDrvrTecmoSuperBowlIIIFinalEditionJapan = {
	"Tecmo Super Bowl III - Final Edition (Japan)", NULL, NULL, "1986",
	"Tecmo Super Bowl III - Final Edition (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl III - Final Edition (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlIIIFinalEditionJapanRomInfo, rTecmoSuperBowlIIIFinalEditionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperBowlIIIFinalEditionUSARomDesc[] = {
	{ "Tecmo Super Bowl III - Final Edition (USA).sfc",          2097152, 0x8ef1411f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperBowlIIIFinalEditionUSA)
STD_ROM_FN(rTecmoSuperBowlIIIFinalEditionUSA)

struct BurnDriver BurnDrvrTecmoSuperBowlIIIFinalEditionUSA = {
	"Tecmo Super Bowl III - Final Edition (USA)", NULL, NULL, "1986",
	"Tecmo Super Bowl III - Final Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super Bowl III - Final Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperBowlIIIFinalEditionUSARomInfo, rTecmoSuperBowlIIIFinalEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperNBABasketballAustraliaRomDesc[] = {
	{ "Tecmo Super NBA Basketball (Australia).sfc",          1048576, 0x1b1c3dd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperNBABasketballAustralia)
STD_ROM_FN(rTecmoSuperNBABasketballAustralia)

struct BurnDriver BurnDrvrTecmoSuperNBABasketballAustralia = {
	"Tecmo Super NBA Basketball (Australia)", NULL, NULL, "1986",
	"Tecmo Super NBA Basketball (Australia)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super NBA Basketball (Australia)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperNBABasketballAustraliaRomInfo, rTecmoSuperNBABasketballAustraliaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperNBABasketballEuropeRomDesc[] = {
	{ "Tecmo Super NBA Basketball (Europe).sfc",          1048576, 0xaea63622, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperNBABasketballEurope)
STD_ROM_FN(rTecmoSuperNBABasketballEurope)

struct BurnDriver BurnDrvrTecmoSuperNBABasketballEurope = {
	"Tecmo Super NBA Basketball (Europe)", NULL, NULL, "1986",
	"Tecmo Super NBA Basketball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super NBA Basketball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperNBABasketballEuropeRomInfo, rTecmoSuperNBABasketballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperNBABasketballJapanRev1RomDesc[] = {
	{ "Tecmo Super NBA Basketball (Japan) (Rev 1).sfc",          1048576, 0x538717b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperNBABasketballJapanRev1)
STD_ROM_FN(rTecmoSuperNBABasketballJapanRev1)

struct BurnDriver BurnDrvrTecmoSuperNBABasketballJapanRev1 = {
	"Tecmo Super NBA Basketball (Japan) (Rev 1)", NULL, NULL, "1986",
	"Tecmo Super NBA Basketball (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super NBA Basketball (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperNBABasketballJapanRev1RomInfo, rTecmoSuperNBABasketballJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperNBABasketballJapanRomDesc[] = {
	{ "Tecmo Super NBA Basketball (Japan).sfc",          1048576, 0x3dfe85b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperNBABasketballJapan)
STD_ROM_FN(rTecmoSuperNBABasketballJapan)

struct BurnDriver BurnDrvrTecmoSuperNBABasketballJapan = {
	"Tecmo Super NBA Basketball (Japan)", NULL, NULL, "1986",
	"Tecmo Super NBA Basketball (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super NBA Basketball (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperNBABasketballJapanRomInfo, rTecmoSuperNBABasketballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTecmoSuperNBABasketballUSARomDesc[] = {
	{ "Tecmo Super NBA Basketball (USA).sfc",          1048576, 0x1b6f0b43, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTecmoSuperNBABasketballUSA)
STD_ROM_FN(rTecmoSuperNBABasketballUSA)

struct BurnDriver BurnDrvrTecmoSuperNBABasketballUSA = {
	"Tecmo Super NBA Basketball (USA)", NULL, NULL, "1986",
	"Tecmo Super NBA Basketball (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tecmo Super NBA Basketball (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTecmoSuperNBABasketballUSARomInfo, rTecmoSuperNBABasketballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantHeroTurtlesTournamentFightersEuropeRomDesc[] = {
	{ "Teenage Mutant Hero Turtles - Tournament Fighters (Europe).sfc",          2097152, 0xdda3124, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantHeroTurtlesTournamentFightersEurope)
STD_ROM_FN(rTeenageMutantHeroTurtlesTournamentFightersEurope)

struct BurnDriver BurnDrvrTeenageMutantHeroTurtlesTournamentFightersEurope = {
	"Teenage Mutant Hero Turtles - Tournament Fighters (Europe)", NULL, NULL, "1986",
	"Teenage Mutant Hero Turtles - Tournament Fighters (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Hero Turtles - Tournament Fighters (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantHeroTurtlesTournamentFightersEuropeRomInfo, rTeenageMutantHeroTurtlesTournamentFightersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantHeroTurtlesIVTurtlesinTimeEuropeRomDesc[] = {
	{ "Teenage Mutant Hero Turtles IV - Turtles in Time (Europe).sfc",          1048576, 0xb0a3441e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantHeroTurtlesIVTurtlesinTimeEurope)
STD_ROM_FN(rTeenageMutantHeroTurtlesIVTurtlesinTimeEurope)

struct BurnDriver BurnDrvrTeenageMutantHeroTurtlesIVTurtlesinTimeEurope = {
	"Teenage Mutant Hero Turtles IV - Turtles in Time (Europe)", NULL, NULL, "1986",
	"Teenage Mutant Hero Turtles IV - Turtles in Time (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Hero Turtles IV - Turtles in Time (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantHeroTurtlesIVTurtlesinTimeEuropeRomInfo, rTeenageMutantHeroTurtlesIVTurtlesinTimeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesMutantWarriorsJapanRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles - Mutant Warriors (Japan).sfc",          2097152, 0x7e97e194, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesMutantWarriorsJapan)
STD_ROM_FN(rTeenageMutantNinjaTurtlesMutantWarriorsJapan)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesMutantWarriorsJapan = {
	"Teenage Mutant Ninja Turtles - Mutant Warriors (Japan)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles - Mutant Warriors (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles - Mutant Warriors (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesMutantWarriorsJapanRomInfo, rTeenageMutantNinjaTurtlesMutantWarriorsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesTournamentFightersAustraliaRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles - Tournament Fighters (Australia).sfc",          2097152, 0x580026d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesTournamentFightersAustralia)
STD_ROM_FN(rTeenageMutantNinjaTurtlesTournamentFightersAustralia)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesTournamentFightersAustralia = {
	"Teenage Mutant Ninja Turtles - Tournament Fighters (Australia)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles - Tournament Fighters (Australia)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles - Tournament Fighters (Australia)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesTournamentFightersAustraliaRomInfo, rTeenageMutantNinjaTurtlesTournamentFightersAustraliaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesTournamentFightersUSABetaRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles - Tournament Fighters (USA) (Beta).sfc",          2097152, 0x63e37d86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesTournamentFightersUSABeta)
STD_ROM_FN(rTeenageMutantNinjaTurtlesTournamentFightersUSABeta)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesTournamentFightersUSABeta = {
	"Teenage Mutant Ninja Turtles - Tournament Fighters (USA) (Beta)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles - Tournament Fighters (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles - Tournament Fighters (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesTournamentFightersUSABetaRomInfo, rTeenageMutantNinjaTurtlesTournamentFightersUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesTournamentFightersUSARomDesc[] = {
	{ "Teenage Mutant Ninja Turtles - Tournament Fighters (USA).sfc",          2097152, 0xe2fe5dbf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesTournamentFightersUSA)
STD_ROM_FN(rTeenageMutantNinjaTurtlesTournamentFightersUSA)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesTournamentFightersUSA = {
	"Teenage Mutant Ninja Turtles - Tournament Fighters (USA)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles - Tournament Fighters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles - Tournament Fighters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesTournamentFightersUSARomInfo, rTeenageMutantNinjaTurtlesTournamentFightersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesTurtlesinTimeJapanRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles - Turtles in Time (Japan).sfc",          1048576, 0xbdba1b55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesTurtlesinTimeJapan)
STD_ROM_FN(rTeenageMutantNinjaTurtlesTurtlesinTimeJapan)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesTurtlesinTimeJapan = {
	"Teenage Mutant Ninja Turtles - Turtles in Time (Japan)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles - Turtles in Time (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles - Turtles in Time (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesTurtlesinTimeJapanRomInfo, rTeenageMutantNinjaTurtlesTurtlesinTimeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesIVTurtlesinTimeAustraliaRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles IV - Turtles in Time (Australia).sfc",          1048576, 0xb28f1b9d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesIVTurtlesinTimeAustralia)
STD_ROM_FN(rTeenageMutantNinjaTurtlesIVTurtlesinTimeAustralia)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesIVTurtlesinTimeAustralia = {
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (Australia)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (Australia)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles IV - Turtles in Time (Australia)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesIVTurtlesinTimeAustraliaRomInfo, rTeenageMutantNinjaTurtlesIVTurtlesinTimeAustraliaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABetaRomDesc[] = {
	{ "Teenage Mutant Ninja Turtles IV - Turtles in Time (USA) (Beta).sfc",          1048576, 0xa9fb97e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABeta)
STD_ROM_FN(rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABeta)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABeta = {
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA) (Beta)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABetaRomInfo, rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSARomDesc[] = {
	{ "Teenage Mutant Ninja Turtles IV - Turtles in Time (USA).sfc",          1048576, 0x5940bd99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSA)
STD_ROM_FN(rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSA)

struct BurnDriver BurnDrvrTeenageMutantNinjaTurtlesIVTurtlesinTimeUSA = {
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA)", NULL, NULL, "1986",
	"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teenage Mutant Ninja Turtles IV - Turtles in Time (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSARomInfo, rTeenageMutantNinjaTurtlesIVTurtlesinTimeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeitokunoKetsudanJapanRev1RomDesc[] = {
	{ "Teitoku no Ketsudan (Japan) (Rev 1).sfc",          1310720, 0x73aede7e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeitokunoKetsudanJapanRev1)
STD_ROM_FN(rTeitokunoKetsudanJapanRev1)

struct BurnDriver BurnDrvrTeitokunoKetsudanJapanRev1 = {
	"Teitoku no Ketsudan (Japan) (Rev 1)", NULL, NULL, "1986",
	"Teitoku no Ketsudan (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teitoku no Ketsudan (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeitokunoKetsudanJapanRev1RomInfo, rTeitokunoKetsudanJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeitokunoKetsudanJapanRomDesc[] = {
	{ "Teitoku no Ketsudan (Japan).sfc",          1310720, 0xaa507855, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeitokunoKetsudanJapan)
STD_ROM_FN(rTeitokunoKetsudanJapan)

struct BurnDriver BurnDrvrTeitokunoKetsudanJapan = {
	"Teitoku no Ketsudan (Japan)", NULL, NULL, "1986",
	"Teitoku no Ketsudan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teitoku no Ketsudan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeitokunoKetsudanJapanRomInfo, rTeitokunoKetsudanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeitokunoKetsudanIIJapanRev1RomDesc[] = {
	{ "Teitoku no Ketsudan II (Japan) (Rev 1).sfc",          3145728, 0xdafed69c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeitokunoKetsudanIIJapanRev1)
STD_ROM_FN(rTeitokunoKetsudanIIJapanRev1)

struct BurnDriver BurnDrvrTeitokunoKetsudanIIJapanRev1 = {
	"Teitoku no Ketsudan II (Japan) (Rev 1)", NULL, NULL, "1986",
	"Teitoku no Ketsudan II (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teitoku no Ketsudan II (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeitokunoKetsudanIIJapanRev1RomInfo, rTeitokunoKetsudanIIJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTeitokunoKetsudanIIJapanRomDesc[] = {
	{ "Teitoku no Ketsudan II (Japan).sfc",          3145728, 0xd71810e7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTeitokunoKetsudanIIJapan)
STD_ROM_FN(rTeitokunoKetsudanIIJapan)

struct BurnDriver BurnDrvrTeitokunoKetsudanIIJapan = {
	"Teitoku no Ketsudan II (Japan)", NULL, NULL, "1986",
	"Teitoku no Ketsudan II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Teitoku no Ketsudan II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTeitokunoKetsudanIIJapanRomInfo, rTeitokunoKetsudanIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTekichuuKeibaJukuJapanRomDesc[] = {
	{ "Tekichuu Keiba Juku (Japan).sfc",          1048576, 0x47e09fec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTekichuuKeibaJukuJapan)
STD_ROM_FN(rTekichuuKeibaJukuJapan)

struct BurnDriver BurnDrvrTekichuuKeibaJukuJapan = {
	"Tekichuu Keiba Juku (Japan)", NULL, NULL, "1986",
	"Tekichuu Keiba Juku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tekichuu Keiba Juku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTekichuuKeibaJukuJapanRomInfo, rTekichuuKeibaJukuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTekken2WorldUnlRomDesc[] = {
	{ "Tekken 2 (World) (Unl).sfc",          2097152, 0x66687ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTekken2WorldUnl)
STD_ROM_FN(rTekken2WorldUnl)

struct BurnDriver BurnDrvrTekken2WorldUnl = {
	"Tekken 2 (World) (Unl)", NULL, NULL, "1986",
	"Tekken 2 (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tekken 2 (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTekken2WorldUnlRomInfo, rTekken2WorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTenchiMuyouGameHenJapanRomDesc[] = {
	{ "Tenchi Muyou! - Game Hen (Japan).sfc",          2097152, 0x69d9caa9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTenchiMuyouGameHenJapan)
STD_ROM_FN(rTenchiMuyouGameHenJapan)

struct BurnDriver BurnDrvrTenchiMuyouGameHenJapan = {
	"Tenchi Muyou! - Game Hen (Japan)", NULL, NULL, "1986",
	"Tenchi Muyou! - Game Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tenchi Muyou! - Game Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTenchiMuyouGameHenJapanRomInfo, rTenchiMuyouGameHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTenchioKurauSangokushiGunyuudenJapanRomDesc[] = {
	{ "Tenchi o Kurau - Sangokushi Gunyuuden (Japan).sfc",          1572864, 0x4740c9e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTenchioKurauSangokushiGunyuudenJapan)
STD_ROM_FN(rTenchioKurauSangokushiGunyuudenJapan)

struct BurnDriver BurnDrvrTenchioKurauSangokushiGunyuudenJapan = {
	"Tenchi o Kurau - Sangokushi Gunyuuden (Japan)", NULL, NULL, "1986",
	"Tenchi o Kurau - Sangokushi Gunyuuden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tenchi o Kurau - Sangokushi Gunyuuden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTenchioKurauSangokushiGunyuudenJapanRomInfo, rTenchioKurauSangokushiGunyuudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTenchiSouzouJapanRomDesc[] = {
	{ "Tenchi Souzou (Japan).sfc",          4194304, 0x3cc7fdf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTenchiSouzouJapan)
STD_ROM_FN(rTenchiSouzouJapan)

struct BurnDriver BurnDrvrTenchiSouzouJapan = {
	"Tenchi Souzou (Japan)", NULL, NULL, "1986",
	"Tenchi Souzou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tenchi Souzou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTenchiSouzouJapanRomInfo, rTenchiSouzouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTengaiMakyouZeroJapanShounenJumpnoShouRomDesc[] = {
	{ "Tengai Makyou Zero (Japan) (Shounen Jump no Shou).sfc",          5242880, 0xbf8fef7a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTengaiMakyouZeroJapanShounenJumpnoShou)
STD_ROM_FN(rTengaiMakyouZeroJapanShounenJumpnoShou)

struct BurnDriver BurnDrvrTengaiMakyouZeroJapanShounenJumpnoShou = {
	"Tengai Makyou Zero (Japan) (Shounen Jump no Shou)", NULL, NULL, "1986",
	"Tengai Makyou Zero (Japan) (Shounen Jump no Shou)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tengai Makyou Zero (Japan) (Shounen Jump no Shou)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTengaiMakyouZeroJapanShounenJumpnoShouRomInfo, rTengaiMakyouZeroJapanShounenJumpnoShouRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTengaiMakyouZeroJapanRomDesc[] = {
	{ "Tengai Makyou Zero (Japan).sfc",          5242880, 0x1e327bd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTengaiMakyouZeroJapan)
STD_ROM_FN(rTengaiMakyouZeroJapan)

struct BurnDriver BurnDrvrTengaiMakyouZeroJapan = {
	"Tengai Makyou Zero (Japan)", NULL, NULL, "1986",
	"Tengai Makyou Zero (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tengai Makyou Zero (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTengaiMakyouZeroJapanRomInfo, rTengaiMakyouZeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTenryuuGenichirounoProWrestlingRevolutionJapanRomDesc[] = {
	{ "Tenryuu Genichirou no Pro Wrestling Revolution (Japan).sfc",          2097152, 0xd5fb8c83, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTenryuuGenichirounoProWrestlingRevolutionJapan)
STD_ROM_FN(rTenryuuGenichirounoProWrestlingRevolutionJapan)

struct BurnDriver BurnDrvrTenryuuGenichirounoProWrestlingRevolutionJapan = {
	"Tenryuu Genichirou no Pro Wrestling Revolution (Japan)", NULL, NULL, "1986",
	"Tenryuu Genichirou no Pro Wrestling Revolution (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tenryuu Genichirou no Pro Wrestling Revolution (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTenryuuGenichirounoProWrestlingRevolutionJapanRomInfo, rTenryuuGenichirounoProWrestlingRevolutionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTenshinoUtaShirokiTsubasanoInoriJapanRomDesc[] = {
	{ "Tenshi no Uta - Shiroki Tsubasa no Inori (Japan).sfc",          1572864, 0x6e030b96, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTenshinoUtaShirokiTsubasanoInoriJapan)
STD_ROM_FN(rTenshinoUtaShirokiTsubasanoInoriJapan)

struct BurnDriver BurnDrvrTenshinoUtaShirokiTsubasanoInoriJapan = {
	"Tenshi no Uta - Shiroki Tsubasa no Inori (Japan)", NULL, NULL, "1986",
	"Tenshi no Uta - Shiroki Tsubasa no Inori (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tenshi no Uta - Shiroki Tsubasa no Inori (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTenshinoUtaShirokiTsubasanoInoriJapanRomInfo, rTenshinoUtaShirokiTsubasanoInoriJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminator2JudgmentDayEuropeBetaRomDesc[] = {
	{ "Terminator 2 - Judgment Day (Europe) (Beta).sfc",          1048576, 0xac933465, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminator2JudgmentDayEuropeBeta)
STD_ROM_FN(rTerminator2JudgmentDayEuropeBeta)

struct BurnDriver BurnDrvrTerminator2JudgmentDayEuropeBeta = {
	"Terminator 2 - Judgment Day (Europe) (Beta)", NULL, NULL, "1986",
	"Terminator 2 - Judgment Day (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator 2 - Judgment Day (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminator2JudgmentDayEuropeBetaRomInfo, rTerminator2JudgmentDayEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminator2JudgmentDayEuropeRomDesc[] = {
	{ "Terminator 2 - Judgment Day (Europe).sfc",          1048576, 0x6ee8f433, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminator2JudgmentDayEurope)
STD_ROM_FN(rTerminator2JudgmentDayEurope)

struct BurnDriver BurnDrvrTerminator2JudgmentDayEurope = {
	"Terminator 2 - Judgment Day (Europe)", NULL, NULL, "1986",
	"Terminator 2 - Judgment Day (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator 2 - Judgment Day (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminator2JudgmentDayEuropeRomInfo, rTerminator2JudgmentDayEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminator2JudgmentDayUSARomDesc[] = {
	{ "Terminator 2 - Judgment Day (USA).sfc",          1048576, 0xf729b19e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminator2JudgmentDayUSA)
STD_ROM_FN(rTerminator2JudgmentDayUSA)

struct BurnDriver BurnDrvrTerminator2JudgmentDayUSA = {
	"Terminator 2 - Judgment Day (USA)", NULL, NULL, "1986",
	"Terminator 2 - Judgment Day (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator 2 - Judgment Day (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminator2JudgmentDayUSARomInfo, rTerminator2JudgmentDayUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminatorTheEuropeBetaRomDesc[] = {
	{ "Terminator, The (Europe) (Beta).sfc",          1048576, 0x6c853888, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminatorTheEuropeBeta)
STD_ROM_FN(rTerminatorTheEuropeBeta)

struct BurnDriver BurnDrvrTerminatorTheEuropeBeta = {
	"Terminator, The (Europe) (Beta)", NULL, NULL, "1986",
	"Terminator, The (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator, The (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminatorTheEuropeBetaRomInfo, rTerminatorTheEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminatorTheEuropeRomDesc[] = {
	{ "Terminator, The (Europe).sfc",          1048576, 0x151109f6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminatorTheEurope)
STD_ROM_FN(rTerminatorTheEurope)

struct BurnDriver BurnDrvrTerminatorTheEurope = {
	"Terminator, The (Europe)", NULL, NULL, "1986",
	"Terminator, The (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator, The (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminatorTheEuropeRomInfo, rTerminatorTheEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerminatorTheUSARomDesc[] = {
	{ "Terminator, The (USA).sfc",          1048576, 0xd71e6c3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerminatorTheUSA)
STD_ROM_FN(rTerminatorTheUSA)

struct BurnDriver BurnDrvrTerminatorTheUSA = {
	"Terminator, The (USA)", NULL, NULL, "1986",
	"Terminator, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terminator, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerminatorTheUSARomInfo, rTerminatorTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerranigmaEuropeRomDesc[] = {
	{ "Terranigma (Europe).sfc",          4194304, 0x974523ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerranigmaEurope)
STD_ROM_FN(rTerranigmaEurope)

struct BurnDriver BurnDrvrTerranigmaEurope = {
	"Terranigma (Europe)", NULL, NULL, "1986",
	"Terranigma (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terranigma (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerranigmaEuropeRomInfo, rTerranigmaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerranigmaFranceRomDesc[] = {
	{ "Terranigma (France).sfc",          4194304, 0x614a7090, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerranigmaFrance)
STD_ROM_FN(rTerranigmaFrance)

struct BurnDriver BurnDrvrTerranigmaFrance = {
	"Terranigma (France)", NULL, NULL, "1986",
	"Terranigma (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terranigma (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerranigmaFranceRomInfo, rTerranigmaFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerranigmaGermanyRev1RomDesc[] = {
	{ "Terranigma (Germany) (Rev 1).sfc",          4194304, 0x6fb8a4df, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerranigmaGermanyRev1)
STD_ROM_FN(rTerranigmaGermanyRev1)

struct BurnDriver BurnDrvrTerranigmaGermanyRev1 = {
	"Terranigma (Germany) (Rev 1)", NULL, NULL, "1986",
	"Terranigma (Germany) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terranigma (Germany) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerranigmaGermanyRev1RomInfo, rTerranigmaGermanyRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerranigmaGermanyRomDesc[] = {
	{ "Terranigma (Germany).sfc",          4194304, 0xffc21cb9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerranigmaGermany)
STD_ROM_FN(rTerranigmaGermany)

struct BurnDriver BurnDrvrTerranigmaGermany = {
	"Terranigma (Germany)", NULL, NULL, "1986",
	"Terranigma (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terranigma (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerranigmaGermanyRomInfo, rTerranigmaGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTerranigmaSpainRomDesc[] = {
	{ "Terranigma (Spain).sfc",          4194304, 0xe61534, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTerranigmaSpain)
STD_ROM_FN(rTerranigmaSpain)

struct BurnDriver BurnDrvrTerranigmaSpain = {
	"Terranigma (Spain)", NULL, NULL, "1986",
	"Terranigma (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Terranigma (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTerranigmaSpainRomInfo, rTerranigmaSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisDrMarioEuropeRomDesc[] = {
	{ "Tetris & Dr. Mario (Europe).sfc",          1048576, 0x523e4153, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisDrMarioEurope)
STD_ROM_FN(rTetrisDrMarioEurope)

struct BurnDriver BurnDrvrTetrisDrMarioEurope = {
	"Tetris & Dr. Mario (Europe)", NULL, NULL, "1986",
	"Tetris & Dr. Mario (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris & Dr. Mario (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisDrMarioEuropeRomInfo, rTetrisDrMarioEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisDrMarioUSARomDesc[] = {
	{ "Tetris & Dr. Mario (USA).sfc",          1048576, 0x6c852ef3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisDrMarioUSA)
STD_ROM_FN(rTetrisDrMarioUSA)

struct BurnDriver BurnDrvrTetrisDrMarioUSA = {
	"Tetris & Dr. Mario (USA)", NULL, NULL, "1986",
	"Tetris & Dr. Mario (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris & Dr. Mario (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisDrMarioUSARomInfo, rTetrisDrMarioUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetris2EuropeRomDesc[] = {
	{ "Tetris 2 (Europe).sfc",          1048576, 0x19b69a57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetris2Europe)
STD_ROM_FN(rTetris2Europe)

struct BurnDriver BurnDrvrTetris2Europe = {
	"Tetris 2 (Europe)", NULL, NULL, "1986",
	"Tetris 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetris2EuropeRomInfo, rTetris2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetris2USARev1RomDesc[] = {
	{ "Tetris 2 (USA) (Rev 1).sfc",          1048576, 0x3bc7054a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetris2USARev1)
STD_ROM_FN(rTetris2USARev1)

struct BurnDriver BurnDrvrTetris2USARev1 = {
	"Tetris 2 (USA) (Rev 1)", NULL, NULL, "1986",
	"Tetris 2 (USA) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris 2 (USA) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetris2USARev1RomInfo, rTetris2USARev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetris2USARomDesc[] = {
	{ "Tetris 2 (USA).sfc",          1048576, 0xce3392b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetris2USA)
STD_ROM_FN(rTetris2USA)

struct BurnDriver BurnDrvrTetris2USA = {
	"Tetris 2 (USA)", NULL, NULL, "1986",
	"Tetris 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetris2USARomInfo, rTetris2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisAttackEuropeEnJaRomDesc[] = {
	{ "Tetris Attack (Europe) (En,Ja).sfc",          1048576, 0x7417e83b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisAttackEuropeEnJa)
STD_ROM_FN(rTetrisAttackEuropeEnJa)

struct BurnDriver BurnDrvrTetrisAttackEuropeEnJa = {
	"Tetris Attack (Europe) (En,Ja)", NULL, NULL, "1986",
	"Tetris Attack (Europe) (En,Ja)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris Attack (Europe) (En,Ja)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisAttackEuropeEnJaRomInfo, rTetrisAttackEuropeEnJaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisAttackUSAEnJaRomDesc[] = {
	{ "Tetris Attack (USA) (En,Ja).sfc",          1048576, 0x6c128210, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisAttackUSAEnJa)
STD_ROM_FN(rTetrisAttackUSAEnJa)

struct BurnDriver BurnDrvrTetrisAttackUSAEnJa = {
	"Tetris Attack (USA) (En,Ja)", NULL, NULL, "1986",
	"Tetris Attack (USA) (En,Ja)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris Attack (USA) (En,Ja)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisAttackUSAEnJaRomInfo, rTetrisAttackUSAEnJaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisBattleGaidenJapanRomDesc[] = {
	{ "Tetris Battle Gaiden (Japan).sfc",          1048576, 0xb8f5f846, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisBattleGaidenJapan)
STD_ROM_FN(rTetrisBattleGaidenJapan)

struct BurnDriver BurnDrvrTetrisBattleGaidenJapan = {
	"Tetris Battle Gaiden (Japan)", NULL, NULL, "1986",
	"Tetris Battle Gaiden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris Battle Gaiden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisBattleGaidenJapanRomInfo, rTetrisBattleGaidenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetrisFlashJapanRomDesc[] = {
	{ "Tetris Flash (Japan).sfc",          1048576, 0x9e9e3bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetrisFlashJapan)
STD_ROM_FN(rTetrisFlashJapan)

struct BurnDriver BurnDrvrTetrisFlashJapan = {
	"Tetris Flash (Japan)", NULL, NULL, "1986",
	"Tetris Flash (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetris Flash (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetrisFlashJapanRomInfo, rTetrisFlashJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTetsuwanAtomJapanRomDesc[] = {
	{ "Tetsuwan Atom (Japan).sfc",          1310720, 0x2b79faf0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTetsuwanAtomJapan)
STD_ROM_FN(rTetsuwanAtomJapan)

struct BurnDriver BurnDrvrTetsuwanAtomJapan = {
	"Tetsuwan Atom (Japan)", NULL, NULL, "1986",
	"Tetsuwan Atom (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tetsuwan Atom (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTetsuwanAtomJapanRomInfo, rTetsuwanAtomJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThemeParkEuropeEnFrDeRomDesc[] = {
	{ "Theme Park (Europe) (En,Fr,De).sfc",          1048576, 0xca0e041c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThemeParkEuropeEnFrDe)
STD_ROM_FN(rThemeParkEuropeEnFrDe)

struct BurnDriver BurnDrvrThemeParkEuropeEnFrDe = {
	"Theme Park (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Theme Park (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Theme Park (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThemeParkEuropeEnFrDeRomInfo, rThemeParkEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThemeParkJapanRomDesc[] = {
	{ "Theme Park (Japan).sfc",          2097152, 0x6797884a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThemeParkJapan)
STD_ROM_FN(rThemeParkJapan)

struct BurnDriver BurnDrvrThemeParkJapan = {
	"Theme Park (Japan)", NULL, NULL, "1986",
	"Theme Park (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Theme Park (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThemeParkJapanRomInfo, rThemeParkJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThomastheTankEngineandFriendsEuropeRomDesc[] = {
	{ "Thomas the Tank Engine and Friends (Europe).sfc",          1048576, 0xf597a111, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThomastheTankEngineandFriendsEurope)
STD_ROM_FN(rThomastheTankEngineandFriendsEurope)

struct BurnDriver BurnDrvrThomastheTankEngineandFriendsEurope = {
	"Thomas the Tank Engine and Friends (Europe)", NULL, NULL, "1986",
	"Thomas the Tank Engine and Friends (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thomas the Tank Engine and Friends (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThomastheTankEngineandFriendsEuropeRomInfo, rThomastheTankEngineandFriendsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThomastheTankEngineandFriendsUSARomDesc[] = {
	{ "Thomas the Tank Engine and Friends (USA).sfc",          1048576, 0xbb4cd5a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThomastheTankEngineandFriendsUSA)
STD_ROM_FN(rThomastheTankEngineandFriendsUSA)

struct BurnDriver BurnDrvrThomastheTankEngineandFriendsUSA = {
	"Thomas the Tank Engine and Friends (USA)", NULL, NULL, "1986",
	"Thomas the Tank Engine and Friends (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thomas the Tank Engine and Friends (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThomastheTankEngineandFriendsUSARomInfo, rThomastheTankEngineandFriendsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThoroughbredBreederJapanRomDesc[] = {
	{ "Thoroughbred Breeder (Japan).sfc",          1048576, 0xfe0b27ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThoroughbredBreederJapan)
STD_ROM_FN(rThoroughbredBreederJapan)

struct BurnDriver BurnDrvrThoroughbredBreederJapan = {
	"Thoroughbred Breeder (Japan)", NULL, NULL, "1986",
	"Thoroughbred Breeder (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thoroughbred Breeder (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThoroughbredBreederJapanRomInfo, rThoroughbredBreederJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThoroughbredBreederIIJapanRomDesc[] = {
	{ "Thoroughbred Breeder II (Japan).sfc",          2097152, 0x9d89bd3a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThoroughbredBreederIIJapan)
STD_ROM_FN(rThoroughbredBreederIIJapan)

struct BurnDriver BurnDrvrThoroughbredBreederIIJapan = {
	"Thoroughbred Breeder II (Japan)", NULL, NULL, "1986",
	"Thoroughbred Breeder II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thoroughbred Breeder II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThoroughbredBreederIIJapanRomInfo, rThoroughbredBreederIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThoroughbredBreederIIIJapanRomDesc[] = {
	{ "Thoroughbred Breeder III (Japan).sfc",          2097152, 0x5c7fc277, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThoroughbredBreederIIIJapan)
STD_ROM_FN(rThoroughbredBreederIIIJapan)

struct BurnDriver BurnDrvrThoroughbredBreederIIIJapan = {
	"Thoroughbred Breeder III (Japan)", NULL, NULL, "1986",
	"Thoroughbred Breeder III (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thoroughbred Breeder III (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThoroughbredBreederIIIJapanRomInfo, rThoroughbredBreederIIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThunderSpiritsJapanRomDesc[] = {
	{ "Thunder Spirits (Japan).sfc",          1048576, 0x41a933a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThunderSpiritsJapan)
STD_ROM_FN(rThunderSpiritsJapan)

struct BurnDriver BurnDrvrThunderSpiritsJapan = {
	"Thunder Spirits (Japan)", NULL, NULL, "1986",
	"Thunder Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thunder Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThunderSpiritsJapanRomInfo, rThunderSpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThunderSpiritsUSARomDesc[] = {
	{ "Thunder Spirits (USA).sfc",          1048576, 0x522fe837, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThunderSpiritsUSA)
STD_ROM_FN(rThunderSpiritsUSA)

struct BurnDriver BurnDrvrThunderSpiritsUSA = {
	"Thunder Spirits (USA)", NULL, NULL, "1986",
	"Thunder Spirits (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thunder Spirits (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThunderSpiritsUSARomInfo, rThunderSpiritsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rThunderbirdsKokusaiKyuujotaiShutsudouseyoJapanRomDesc[] = {
	{ "Thunderbirds - Kokusai Kyuujotai Shutsudou seyo! (Japan).sfc",          1048576, 0x623f2197, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rThunderbirdsKokusaiKyuujotaiShutsudouseyoJapan)
STD_ROM_FN(rThunderbirdsKokusaiKyuujotaiShutsudouseyoJapan)

struct BurnDriver BurnDrvrThunderbirdsKokusaiKyuujotaiShutsudouseyoJapan = {
	"Thunderbirds - Kokusai Kyuujotai Shutsudou seyo! (Japan)", NULL, NULL, "1986",
	"Thunderbirds - Kokusai Kyuujotai Shutsudou seyo! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Thunderbirds - Kokusai Kyuujotai Shutsudou seyo! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rThunderbirdsKokusaiKyuujotaiShutsudouseyoJapanRomInfo, rThunderbirdsKokusaiKyuujotaiShutsudouseyoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTickTheUSARomDesc[] = {
	{ "Tick, The (USA).sfc",          2097152, 0x12ab22a7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTickTheUSA)
STD_ROM_FN(rTickTheUSA)

struct BurnDriver BurnDrvrTickTheUSA = {
	"Tick, The (USA)", NULL, NULL, "1986",
	"Tick, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tick, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTickTheUSARomInfo, rTickTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeSlipEuropeBetaRomDesc[] = {
	{ "Time Slip (Europe) (Beta).sfc",          1048576, 0xde12f893, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeSlipEuropeBeta)
STD_ROM_FN(rTimeSlipEuropeBeta)

struct BurnDriver BurnDrvrTimeSlipEuropeBeta = {
	"Time Slip (Europe) (Beta)", NULL, NULL, "1986",
	"Time Slip (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Slip (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeSlipEuropeBetaRomInfo, rTimeSlipEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeSlipEuropeRomDesc[] = {
	{ "Time Slip (Europe).sfc",          1048576, 0xadac8eff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeSlipEurope)
STD_ROM_FN(rTimeSlipEurope)

struct BurnDriver BurnDrvrTimeSlipEurope = {
	"Time Slip (Europe)", NULL, NULL, "1986",
	"Time Slip (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Slip (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeSlipEuropeRomInfo, rTimeSlipEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeSlipUSARomDesc[] = {
	{ "Time Slip (USA).sfc",          1048576, 0x838d0304, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeSlipUSA)
STD_ROM_FN(rTimeSlipUSA)

struct BurnDriver BurnDrvrTimeSlipUSA = {
	"Time Slip (USA)", NULL, NULL, "1986",
	"Time Slip (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Slip (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeSlipUSARomInfo, rTimeSlipUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeTraxEuropeRomDesc[] = {
	{ "Time Trax (Europe).sfc",          1048576, 0x4d7c512f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeTraxEurope)
STD_ROM_FN(rTimeTraxEurope)

struct BurnDriver BurnDrvrTimeTraxEurope = {
	"Time Trax (Europe)", NULL, NULL, "1986",
	"Time Trax (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Trax (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeTraxEuropeRomInfo, rTimeTraxEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeTraxUSABetaRomDesc[] = {
	{ "Time Trax (USA) (Beta).sfc",          1048576, 0xa7a54043, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeTraxUSABeta)
STD_ROM_FN(rTimeTraxUSABeta)

struct BurnDriver BurnDrvrTimeTraxUSABeta = {
	"Time Trax (USA) (Beta)", NULL, NULL, "1986",
	"Time Trax (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Trax (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeTraxUSABetaRomInfo, rTimeTraxUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimeTraxUSARomDesc[] = {
	{ "Time Trax (USA).sfc",          1048576, 0xf6628157, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimeTraxUSA)
STD_ROM_FN(rTimeTraxUSA)

struct BurnDriver BurnDrvrTimeTraxUSA = {
	"Time Trax (USA)", NULL, NULL, "1986",
	"Time Trax (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Time Trax (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimeTraxUSARomInfo, rTimeTraxUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimecopEuropeRomDesc[] = {
	{ "Timecop (Europe).sfc",          2097152, 0xbc0c9b71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimecopEurope)
STD_ROM_FN(rTimecopEurope)

struct BurnDriver BurnDrvrTimecopEurope = {
	"Timecop (Europe)", NULL, NULL, "1986",
	"Timecop (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Timecop (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimecopEuropeRomInfo, rTimecopEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimecopJapanRomDesc[] = {
	{ "Timecop (Japan).sfc",          2097152, 0x4d56b5c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimecopJapan)
STD_ROM_FN(rTimecopJapan)

struct BurnDriver BurnDrvrTimecopJapan = {
	"Timecop (Japan)", NULL, NULL, "1986",
	"Timecop (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Timecop (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimecopJapanRomInfo, rTimecopJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimecopUSARomDesc[] = {
	{ "Timecop (USA).sfc",          2097152, 0x130b0933, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimecopUSA)
STD_ROM_FN(rTimecopUSA)

struct BurnDriver BurnDrvrTimecopUSA = {
	"Timecop (USA)", NULL, NULL, "1986",
	"Timecop (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Timecop (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimecopUSARomInfo, rTimecopUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimonPumbaasJungleGamesEuropeRomDesc[] = {
	{ "Timon & Pumbaa's Jungle Games (Europe).sfc",          1572864, 0x5e91c599, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimonPumbaasJungleGamesEurope)
STD_ROM_FN(rTimonPumbaasJungleGamesEurope)

struct BurnDriver BurnDrvrTimonPumbaasJungleGamesEurope = {
	"Timon & Pumbaa's Jungle Games (Europe)", NULL, NULL, "1986",
	"Timon & Pumbaa's Jungle Games (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Timon & Pumbaa's Jungle Games (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimonPumbaasJungleGamesEuropeRomInfo, rTimonPumbaasJungleGamesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTimonPumbaasJungleGamesUSARomDesc[] = {
	{ "Timon & Pumbaa's Jungle Games (USA).sfc",          1572864, 0x341c6fb0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTimonPumbaasJungleGamesUSA)
STD_ROM_FN(rTimonPumbaasJungleGamesUSA)

struct BurnDriver BurnDrvrTimonPumbaasJungleGamesUSA = {
	"Timon & Pumbaa's Jungle Games (USA)", NULL, NULL, "1986",
	"Timon & Pumbaa's Jungle Games (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Timon & Pumbaa's Jungle Games (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTimonPumbaasJungleGamesUSARomInfo, rTimonPumbaasJungleGamesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinStarUSARomDesc[] = {
	{ "Tin Star (USA).sfc",          2097152, 0xec26f75b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinStarUSA)
STD_ROM_FN(rTinStarUSA)

struct BurnDriver BurnDrvrTinStarUSA = {
	"Tin Star (USA)", NULL, NULL, "1986",
	"Tin Star (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tin Star (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinStarUSARomInfo, rTinStarUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinheadEuropeProtoRomDesc[] = {
	{ "Tinhead (Europe) (Proto).sfc",          1048576, 0x1e079ac0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinheadEuropeProto)
STD_ROM_FN(rTinheadEuropeProto)

struct BurnDriver BurnDrvrTinheadEuropeProto = {
	"Tinhead (Europe) (Proto)", NULL, NULL, "1986",
	"Tinhead (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tinhead (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinheadEuropeProtoRomInfo, rTinheadEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTintinPrisonersoftheSunEuropeEnFrDeEsRomDesc[] = {
	{ "Tintin - Prisoners of the Sun (Europe) (En,Fr,De,Es).sfc",          2097152, 0xa94a47be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTintinPrisonersoftheSunEuropeEnFrDeEs)
STD_ROM_FN(rTintinPrisonersoftheSunEuropeEnFrDeEs)

struct BurnDriver BurnDrvrTintinPrisonersoftheSunEuropeEnFrDeEs = {
	"Tintin - Prisoners of the Sun (Europe) (En,Fr,De,Es)", NULL, NULL, "1986",
	"Tintin - Prisoners of the Sun (Europe) (En,Fr,De,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tintin - Prisoners of the Sun (Europe) (En,Fr,De,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTintinPrisonersoftheSunEuropeEnFrDeEsRomInfo, rTintinPrisonersoftheSunEuropeEnFrDeEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTintininTibetEuropeEnFrDeNlRomDesc[] = {
	{ "Tintin in Tibet (Europe) (En,Fr,De,Nl).sfc",          1572864, 0xf1dce2b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTintininTibetEuropeEnFrDeNl)
STD_ROM_FN(rTintininTibetEuropeEnFrDeNl)

struct BurnDriver BurnDrvrTintininTibetEuropeEnFrDeNl = {
	"Tintin in Tibet (Europe) (En,Fr,De,Nl)", NULL, NULL, "1986",
	"Tintin in Tibet (Europe) (En,Fr,De,Nl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tintin in Tibet (Europe) (En,Fr,De,Nl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTintininTibetEuropeEnFrDeNlRomInfo, rTintininTibetEuropeEnFrDeNlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresJapanRev1RomDesc[] = {
	{ "Tiny Toon Adventures (Japan) (Rev 1).sfc",          1048576, 0x8f0d2c90, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresJapanRev1)
STD_ROM_FN(rTinyToonAdventuresJapanRev1)

struct BurnDriver BurnDrvrTinyToonAdventuresJapanRev1 = {
	"Tiny Toon Adventures (Japan) (Rev 1)", NULL, NULL, "1986",
	"Tiny Toon Adventures (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresJapanRev1RomInfo, rTinyToonAdventuresJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresJapanRomDesc[] = {
	{ "Tiny Toon Adventures (Japan).sfc",          1048576, 0x854fac00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresJapan)
STD_ROM_FN(rTinyToonAdventuresJapan)

struct BurnDriver BurnDrvrTinyToonAdventuresJapan = {
	"Tiny Toon Adventures (Japan)", NULL, NULL, "1986",
	"Tiny Toon Adventures (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresJapanRomInfo, rTinyToonAdventuresJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresBusterBustsLooseEuropeRomDesc[] = {
	{ "Tiny Toon Adventures - Buster Busts Loose! (Europe).sfc",          1048576, 0x38cd6bb0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresBusterBustsLooseEurope)
STD_ROM_FN(rTinyToonAdventuresBusterBustsLooseEurope)

struct BurnDriver BurnDrvrTinyToonAdventuresBusterBustsLooseEurope = {
	"Tiny Toon Adventures - Buster Busts Loose! (Europe)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Buster Busts Loose! (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Buster Busts Loose! (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresBusterBustsLooseEuropeRomInfo, rTinyToonAdventuresBusterBustsLooseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresBusterBustsLooseSpainRomDesc[] = {
	{ "Tiny Toon Adventures - Buster Busts Loose! (Spain).sfc",          1048576, 0xeeb4180c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresBusterBustsLooseSpain)
STD_ROM_FN(rTinyToonAdventuresBusterBustsLooseSpain)

struct BurnDriver BurnDrvrTinyToonAdventuresBusterBustsLooseSpain = {
	"Tiny Toon Adventures - Buster Busts Loose! (Spain)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Buster Busts Loose! (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Buster Busts Loose! (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresBusterBustsLooseSpainRomInfo, rTinyToonAdventuresBusterBustsLooseSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresBusterBustsLooseUSABetaRomDesc[] = {
	{ "Tiny Toon Adventures - Buster Busts Loose! (USA) (Beta).sfc",          1048576, 0xf1f8f87a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresBusterBustsLooseUSABeta)
STD_ROM_FN(rTinyToonAdventuresBusterBustsLooseUSABeta)

struct BurnDriver BurnDrvrTinyToonAdventuresBusterBustsLooseUSABeta = {
	"Tiny Toon Adventures - Buster Busts Loose! (USA) (Beta)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Buster Busts Loose! (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Buster Busts Loose! (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresBusterBustsLooseUSABetaRomInfo, rTinyToonAdventuresBusterBustsLooseUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresBusterBustsLooseUSARomDesc[] = {
	{ "Tiny Toon Adventures - Buster Busts Loose! (USA).sfc",          1048576, 0xab48d27a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresBusterBustsLooseUSA)
STD_ROM_FN(rTinyToonAdventuresBusterBustsLooseUSA)

struct BurnDriver BurnDrvrTinyToonAdventuresBusterBustsLooseUSA = {
	"Tiny Toon Adventures - Buster Busts Loose! (USA)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Buster Busts Loose! (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Buster Busts Loose! (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresBusterBustsLooseUSARomInfo, rTinyToonAdventuresBusterBustsLooseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresDotabataDaiundoukaiJapanRomDesc[] = {
	{ "Tiny Toon Adventures - Dotabata Daiundoukai (Japan).sfc",          1048576, 0x1344c8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresDotabataDaiundoukaiJapan)
STD_ROM_FN(rTinyToonAdventuresDotabataDaiundoukaiJapan)

struct BurnDriver BurnDrvrTinyToonAdventuresDotabataDaiundoukaiJapan = {
	"Tiny Toon Adventures - Dotabata Daiundoukai (Japan)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Dotabata Daiundoukai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Dotabata Daiundoukai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresDotabataDaiundoukaiJapanRomInfo, rTinyToonAdventuresDotabataDaiundoukaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresWackySportsChallengeUSARomDesc[] = {
	{ "Tiny Toon Adventures - Wacky Sports Challenge (USA).sfc",          1048576, 0xafe72ff0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresWackySportsChallengeUSA)
STD_ROM_FN(rTinyToonAdventuresWackySportsChallengeUSA)

struct BurnDriver BurnDrvrTinyToonAdventuresWackySportsChallengeUSA = {
	"Tiny Toon Adventures - Wacky Sports Challenge (USA)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Wacky Sports Challenge (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Wacky Sports Challenge (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresWackySportsChallengeUSARomInfo, rTinyToonAdventuresWackySportsChallengeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresWildWackySportsEuropeBetaRomDesc[] = {
	{ "Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Beta).sfc",          1048576, 0xf13002c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresWildWackySportsEuropeBeta)
STD_ROM_FN(rTinyToonAdventuresWildWackySportsEuropeBeta)

struct BurnDriver BurnDrvrTinyToonAdventuresWildWackySportsEuropeBeta = {
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Beta)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresWildWackySportsEuropeBetaRomInfo, rTinyToonAdventuresWildWackySportsEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresWildWackySportsEuropeRev1RomDesc[] = {
	{ "Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Rev 1).sfc",          1048576, 0xf3b758d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresWildWackySportsEuropeRev1)
STD_ROM_FN(rTinyToonAdventuresWildWackySportsEuropeRev1)

struct BurnDriver BurnDrvrTinyToonAdventuresWildWackySportsEuropeRev1 = {
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Rev 1)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Wild & Wacky Sports (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresWildWackySportsEuropeRev1RomInfo, rTinyToonAdventuresWildWackySportsEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTinyToonAdventuresWildWackySportsEuropeRomDesc[] = {
	{ "Tiny Toon Adventures - Wild & Wacky Sports (Europe).sfc",          1048576, 0xae78b20e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTinyToonAdventuresWildWackySportsEurope)
STD_ROM_FN(rTinyToonAdventuresWildWackySportsEurope)

struct BurnDriver BurnDrvrTinyToonAdventuresWildWackySportsEurope = {
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe)", NULL, NULL, "1986",
	"Tiny Toon Adventures - Wild & Wacky Sports (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tiny Toon Adventures - Wild & Wacky Sports (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTinyToonAdventuresWildWackySportsEuropeRomInfo, rTinyToonAdventuresWildWackySportsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTKOSuperChampionshipBoxingEuropeRomDesc[] = {
	{ "TKO Super Championship Boxing (Europe).sfc",          524288, 0x8871e0ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTKOSuperChampionshipBoxingEurope)
STD_ROM_FN(rTKOSuperChampionshipBoxingEurope)

struct BurnDriver BurnDrvrTKOSuperChampionshipBoxingEurope = {
	"TKO Super Championship Boxing (Europe)", NULL, NULL, "1986",
	"TKO Super Championship Boxing (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"TKO Super Championship Boxing (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTKOSuperChampionshipBoxingEuropeRomInfo, rTKOSuperChampionshipBoxingEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTKOSuperChampionshipBoxingUSASampleRomDesc[] = {
	{ "TKO Super Championship Boxing (USA) (Sample).sfc",          524288, 0x5f2ab21d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTKOSuperChampionshipBoxingUSASample)
STD_ROM_FN(rTKOSuperChampionshipBoxingUSASample)

struct BurnDriver BurnDrvrTKOSuperChampionshipBoxingUSASample = {
	"TKO Super Championship Boxing (USA) (Sample)", NULL, NULL, "1986",
	"TKO Super Championship Boxing (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"TKO Super Championship Boxing (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTKOSuperChampionshipBoxingUSASampleRomInfo, rTKOSuperChampionshipBoxingUSASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTKOSuperChampionshipBoxingUSARomDesc[] = {
	{ "TKO Super Championship Boxing (USA).sfc",          524288, 0xfd4af462, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTKOSuperChampionshipBoxingUSA)
STD_ROM_FN(rTKOSuperChampionshipBoxingUSA)

struct BurnDriver BurnDrvrTKOSuperChampionshipBoxingUSA = {
	"TKO Super Championship Boxing (USA)", NULL, NULL, "1986",
	"TKO Super Championship Boxing (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"TKO Super Championship Boxing (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTKOSuperChampionshipBoxingUSARomInfo, rTKOSuperChampionshipBoxingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTNNBassTournamentofChampionsUSARomDesc[] = {
	{ "TNN Bass Tournament of Champions (USA).sfc",          1572864, 0xc367b683, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTNNBassTournamentofChampionsUSA)
STD_ROM_FN(rTNNBassTournamentofChampionsUSA)

struct BurnDriver BurnDrvrTNNBassTournamentofChampionsUSA = {
	"TNN Bass Tournament of Champions (USA)", NULL, NULL, "1986",
	"TNN Bass Tournament of Champions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"TNN Bass Tournament of Champions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTNNBassTournamentofChampionsUSARomInfo, rTNNBassTournamentofChampionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTokimekiMemorialDensetsunoKinoShitadeJapanRev1RomDesc[] = {
	{ "Tokimeki Memorial - Densetsu no Ki no Shita de (Japan) (Rev 1).sfc",          4194304, 0xae9f3602, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTokimekiMemorialDensetsunoKinoShitadeJapanRev1)
STD_ROM_FN(rTokimekiMemorialDensetsunoKinoShitadeJapanRev1)

struct BurnDriver BurnDrvrTokimekiMemorialDensetsunoKinoShitadeJapanRev1 = {
	"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan) (Rev 1)", NULL, NULL, "1986",
	"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTokimekiMemorialDensetsunoKinoShitadeJapanRev1RomInfo, rTokimekiMemorialDensetsunoKinoShitadeJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTokimekiMemorialDensetsunoKinoShitadeJapanRomDesc[] = {
	{ "Tokimeki Memorial - Densetsu no Ki no Shita de (Japan).sfc",          4194304, 0x6a3cceb1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTokimekiMemorialDensetsunoKinoShitadeJapan)
STD_ROM_FN(rTokimekiMemorialDensetsunoKinoShitadeJapan)

struct BurnDriver BurnDrvrTokimekiMemorialDensetsunoKinoShitadeJapan = {
	"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan)", NULL, NULL, "1986",
	"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tokimeki Memorial - Densetsu no Ki no Shita de (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTokimekiMemorialDensetsunoKinoShitadeJapanRomInfo, rTokimekiMemorialDensetsunoKinoShitadeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTokorosMahjongJapanRomDesc[] = {
	{ "Tokoro's Mahjong (Japan).sfc",          1048576, 0x49dbff84, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTokorosMahjongJapan)
STD_ROM_FN(rTokorosMahjongJapan)

struct BurnDriver BurnDrvrTokorosMahjongJapan = {
	"Tokoro's Mahjong (Japan)", NULL, NULL, "1986",
	"Tokoro's Mahjong (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tokoro's Mahjong (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTokorosMahjongJapanRomInfo, rTokorosMahjongJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTomJerryEuropeRomDesc[] = {
	{ "Tom & Jerry (Europe).sfc",          524288, 0x72b57042, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTomJerryEurope)
STD_ROM_FN(rTomJerryEurope)

struct BurnDriver BurnDrvrTomJerryEurope = {
	"Tom & Jerry (Europe)", NULL, NULL, "1986",
	"Tom & Jerry (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tom & Jerry (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTomJerryEuropeRomInfo, rTomJerryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTomJerryJapanRomDesc[] = {
	{ "Tom & Jerry (Japan).sfc",          524288, 0xba2de054, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTomJerryJapan)
STD_ROM_FN(rTomJerryJapan)

struct BurnDriver BurnDrvrTomJerryJapan = {
	"Tom & Jerry (Japan)", NULL, NULL, "1986",
	"Tom & Jerry (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tom & Jerry (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTomJerryJapanRomInfo, rTomJerryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTomJerryUSABetaRomDesc[] = {
	{ "Tom & Jerry (USA) (Beta).sfc",          524288, 0xcb6d3883, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTomJerryUSABeta)
STD_ROM_FN(rTomJerryUSABeta)

struct BurnDriver BurnDrvrTomJerryUSABeta = {
	"Tom & Jerry (USA) (Beta)", NULL, NULL, "1986",
	"Tom & Jerry (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tom & Jerry (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTomJerryUSABetaRomInfo, rTomJerryUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTomJerryUSARomDesc[] = {
	{ "Tom & Jerry (USA).sfc",          524288, 0x8b1dafbb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTomJerryUSA)
STD_ROM_FN(rTomJerryUSA)

struct BurnDriver BurnDrvrTomJerryUSA = {
	"Tom & Jerry (USA)", NULL, NULL, "1986",
	"Tom & Jerry (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tom & Jerry (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTomJerryUSARomInfo, rTomJerryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTommyMoesWinterExtremeSkiingandSnowboardingUSARomDesc[] = {
	{ "Tommy Moe's Winter Extreme - Skiing and Snowboarding (USA).sfc",          1048576, 0x3d005f22, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTommyMoesWinterExtremeSkiingandSnowboardingUSA)
STD_ROM_FN(rTommyMoesWinterExtremeSkiingandSnowboardingUSA)

struct BurnDriver BurnDrvrTommyMoesWinterExtremeSkiingandSnowboardingUSA = {
	"Tommy Moe's Winter Extreme - Skiing and Snowboarding (USA)", NULL, NULL, "1986",
	"Tommy Moe's Winter Extreme - Skiing and Snowboarding (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tommy Moe's Winter Extreme - Skiing and Snowboarding (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTommyMoesWinterExtremeSkiingandSnowboardingUSARomInfo, rTommyMoesWinterExtremeSkiingandSnowboardingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTonyMeolasSidekicksSoccerUSARomDesc[] = {
	{ "Tony Meola's Sidekicks Soccer (USA).sfc",          1048576, 0x32b658c1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTonyMeolasSidekicksSoccerUSA)
STD_ROM_FN(rTonyMeolasSidekicksSoccerUSA)

struct BurnDriver BurnDrvrTonyMeolasSidekicksSoccerUSA = {
	"Tony Meola's Sidekicks Soccer (USA)", NULL, NULL, "1986",
	"Tony Meola's Sidekicks Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tony Meola's Sidekicks Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTonyMeolasSidekicksSoccerUSARomInfo, rTonyMeolasSidekicksSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGearEuropeRomDesc[] = {
	{ "Top Gear (Europe).sfc",          524288, 0xb0150052, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGearEurope)
STD_ROM_FN(rTopGearEurope)

struct BurnDriver BurnDrvrTopGearEurope = {
	"Top Gear (Europe)", NULL, NULL, "1986",
	"Top Gear (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGearEuropeRomInfo, rTopGearEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGearUSARomDesc[] = {
	{ "Top Gear (USA).sfc",          524288, 0xd34c49b7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGearUSA)
STD_ROM_FN(rTopGearUSA)

struct BurnDriver BurnDrvrTopGearUSA = {
	"Top Gear (USA)", NULL, NULL, "1986",
	"Top Gear (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGearUSARomInfo, rTopGearUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGear2EuropeRomDesc[] = {
	{ "Top Gear 2 (Europe).sfc",          1048576, 0x531463e1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGear2Europe)
STD_ROM_FN(rTopGear2Europe)

struct BurnDriver BurnDrvrTopGear2Europe = {
	"Top Gear 2 (Europe)", NULL, NULL, "1986",
	"Top Gear 2 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear 2 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGear2EuropeRomInfo, rTopGear2EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGear2USARomDesc[] = {
	{ "Top Gear 2 (USA).sfc",          1048576, 0x2b88bee8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGear2USA)
STD_ROM_FN(rTopGear2USA)

struct BurnDriver BurnDrvrTopGear2USA = {
	"Top Gear 2 (USA)", NULL, NULL, "1986",
	"Top Gear 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGear2USARomInfo, rTopGear2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGear3000EuropeRomDesc[] = {
	{ "Top Gear 3000 (Europe).sfc",          1048576, 0x493fdb13, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGear3000Europe)
STD_ROM_FN(rTopGear3000Europe)

struct BurnDriver BurnDrvrTopGear3000Europe = {
	"Top Gear 3000 (Europe)", NULL, NULL, "1986",
	"Top Gear 3000 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear 3000 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGear3000EuropeRomInfo, rTopGear3000EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopGear3000USARomDesc[] = {
	{ "Top Gear 3000 (USA).sfc",          1048576, 0xa20be998, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopGear3000USA)
STD_ROM_FN(rTopGear3000USA)

struct BurnDriver BurnDrvrTopGear3000USA = {
	"Top Gear 3000 (USA)", NULL, NULL, "1986",
	"Top Gear 3000 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Gear 3000 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopGear3000USARomInfo, rTopGear3000USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopManagementIIJapanRomDesc[] = {
	{ "Top Management II (Japan).sfc",          1572864, 0xf1270406, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopManagementIIJapan)
STD_ROM_FN(rTopManagementIIJapan)

struct BurnDriver BurnDrvrTopManagementIIJapan = {
	"Top Management II (Japan)", NULL, NULL, "1986",
	"Top Management II (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Management II (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopManagementIIJapanRomInfo, rTopManagementIIJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopRacerJapanRomDesc[] = {
	{ "Top Racer (Japan).sfc",          524288, 0xe5a57b12, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopRacerJapan)
STD_ROM_FN(rTopRacerJapan)

struct BurnDriver BurnDrvrTopRacerJapan = {
	"Top Racer (Japan)", NULL, NULL, "1986",
	"Top Racer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Racer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopRacerJapanRomInfo, rTopRacerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTopRacer2JapanRomDesc[] = {
	{ "Top Racer 2 (Japan).sfc",          1048576, 0x31daebb2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTopRacer2Japan)
STD_ROM_FN(rTopRacer2Japan)

struct BurnDriver BurnDrvrTopRacer2Japan = {
	"Top Racer 2 (Japan)", NULL, NULL, "1986",
	"Top Racer 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Top Racer 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTopRacer2JapanRomInfo, rTopRacer2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTorideJapanRomDesc[] = {
	{ "Toride (Japan).sfc",          1048576, 0x4ce25297, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTorideJapan)
STD_ROM_FN(rTorideJapan)

struct BurnDriver BurnDrvrTorideJapan = {
	"Toride (Japan)", NULL, NULL, "1986",
	"Toride (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toride (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTorideJapanRomInfo, rTorideJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTorneconoDaiboukenFushiginoDungeonJapanRev1RomDesc[] = {
	{ "Torneco no Daibouken - Fushigi no Dungeon (Japan) (Rev 1).sfc",          1572864, 0x85a21253, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTorneconoDaiboukenFushiginoDungeonJapanRev1)
STD_ROM_FN(rTorneconoDaiboukenFushiginoDungeonJapanRev1)

struct BurnDriver BurnDrvrTorneconoDaiboukenFushiginoDungeonJapanRev1 = {
	"Torneco no Daibouken - Fushigi no Dungeon (Japan) (Rev 1)", NULL, NULL, "1986",
	"Torneco no Daibouken - Fushigi no Dungeon (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Torneco no Daibouken - Fushigi no Dungeon (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTorneconoDaiboukenFushiginoDungeonJapanRev1RomInfo, rTorneconoDaiboukenFushiginoDungeonJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTorneconoDaiboukenFushiginoDungeonJapanRomDesc[] = {
	{ "Torneco no Daibouken - Fushigi no Dungeon (Japan).sfc",          1572864, 0x654e1be4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTorneconoDaiboukenFushiginoDungeonJapan)
STD_ROM_FN(rTorneconoDaiboukenFushiginoDungeonJapan)

struct BurnDriver BurnDrvrTorneconoDaiboukenFushiginoDungeonJapan = {
	"Torneco no Daibouken - Fushigi no Dungeon (Japan)", NULL, NULL, "1986",
	"Torneco no Daibouken - Fushigi no Dungeon (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Torneco no Daibouken - Fushigi no Dungeon (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTorneconoDaiboukenFushiginoDungeonJapanRomInfo, rTorneconoDaiboukenFushiginoDungeonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTotalCarnageEuropeRomDesc[] = {
	{ "Total Carnage (Europe).sfc",          1048576, 0x596122c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTotalCarnageEurope)
STD_ROM_FN(rTotalCarnageEurope)

struct BurnDriver BurnDrvrTotalCarnageEurope = {
	"Total Carnage (Europe)", NULL, NULL, "1986",
	"Total Carnage (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Total Carnage (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTotalCarnageEuropeRomInfo, rTotalCarnageEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTotalCarnageUSABetaAlt1RomDesc[] = {
	{ "Total Carnage (USA) (Beta) (Alt 1).sfc",          1048576, 0x82b17b1b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTotalCarnageUSABetaAlt1)
STD_ROM_FN(rTotalCarnageUSABetaAlt1)

struct BurnDriver BurnDrvrTotalCarnageUSABetaAlt1 = {
	"Total Carnage (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Total Carnage (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Total Carnage (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTotalCarnageUSABetaAlt1RomInfo, rTotalCarnageUSABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTotalCarnageUSABetaRomDesc[] = {
	{ "Total Carnage (USA) (Beta).sfc",          1048576, 0x44a524de, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTotalCarnageUSABeta)
STD_ROM_FN(rTotalCarnageUSABeta)

struct BurnDriver BurnDrvrTotalCarnageUSABeta = {
	"Total Carnage (USA) (Beta)", NULL, NULL, "1986",
	"Total Carnage (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Total Carnage (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTotalCarnageUSABetaRomInfo, rTotalCarnageUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTotalCarnageUSARomDesc[] = {
	{ "Total Carnage (USA).sfc",          1048576, 0xe27ff2bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTotalCarnageUSA)
STD_ROM_FN(rTotalCarnageUSA)

struct BurnDriver BurnDrvrTotalCarnageUSA = {
	"Total Carnage (USA)", NULL, NULL, "1986",
	"Total Carnage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Total Carnage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTotalCarnageUSARomInfo, rTotalCarnageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapanRomDesc[] = {
	{ "Tottemo! Lucky Man - Lucky Cookie Roulette de Totsugeki!! (Japan).sfc",          1048576, 0x8488759e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapan)
STD_ROM_FN(rTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapan)

struct BurnDriver BurnDrvrTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapan = {
	"Tottemo! Lucky Man - Lucky Cookie Roulette de Totsugeki!! (Japan)", NULL, NULL, "1986",
	"Tottemo! Lucky Man - Lucky Cookie Roulette de Totsugeki!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tottemo! Lucky Man - Lucky Cookie Roulette de Totsugeki!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapanRomInfo, rTottemoLuckyManLuckyCookieRoulettedeTotsugekiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTougeDensetsuSaisokuBattleJapanRomDesc[] = {
	{ "Touge Densetsu - Saisoku Battle (Japan).sfc",          3145728, 0x3fd7ad4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTougeDensetsuSaisokuBattleJapan)
STD_ROM_FN(rTougeDensetsuSaisokuBattleJapan)

struct BurnDriver BurnDrvrTougeDensetsuSaisokuBattleJapan = {
	"Touge Densetsu - Saisoku Battle (Japan)", NULL, NULL, "1986",
	"Touge Densetsu - Saisoku Battle (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Touge Densetsu - Saisoku Battle (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTougeDensetsuSaisokuBattleJapanRomInfo, rTougeDensetsuSaisokuBattleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTowerDreamJapanRomDesc[] = {
	{ "Tower Dream (Japan).sfc",          2097152, 0xaa2d5c55, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTowerDreamJapan)
STD_ROM_FN(rTowerDreamJapan)

struct BurnDriver BurnDrvrTowerDreamJapan = {
	"Tower Dream (Japan)", NULL, NULL, "1986",
	"Tower Dream (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tower Dream (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTowerDreamJapanRomInfo, rTowerDreamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rToyStoryEuropeEnFrDeRomDesc[] = {
	{ "Toy Story (Europe) (En,Fr,De).sfc",          4194304, 0xb144d588, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rToyStoryEuropeEnFrDe)
STD_ROM_FN(rToyStoryEuropeEnFrDe)

struct BurnDriver BurnDrvrToyStoryEuropeEnFrDe = {
	"Toy Story (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"Toy Story (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toy Story (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rToyStoryEuropeEnFrDeRomInfo, rToyStoryEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rToyStoryJapanRomDesc[] = {
	{ "Toy Story (Japan).sfc",          4194304, 0xd4af7724, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rToyStoryJapan)
STD_ROM_FN(rToyStoryJapan)

struct BurnDriver BurnDrvrToyStoryJapan = {
	"Toy Story (Japan)", NULL, NULL, "1986",
	"Toy Story (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toy Story (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rToyStoryJapanRomInfo, rToyStoryJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rToyStoryUSARomDesc[] = {
	{ "Toy Story (USA).sfc",          4194304, 0x8328822b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rToyStoryUSA)
STD_ROM_FN(rToyStoryUSA)

struct BurnDriver BurnDrvrToyStoryUSA = {
	"Toy Story (USA)", NULL, NULL, "1986",
	"Toy Story (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toy Story (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rToyStoryUSARomInfo, rToyStoryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rToysEuropeRomDesc[] = {
	{ "Toys (Europe).sfc",          1048576, 0x2a8a0b71, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rToysEurope)
STD_ROM_FN(rToysEurope)

struct BurnDriver BurnDrvrToysEurope = {
	"Toys (Europe)", NULL, NULL, "1986",
	"Toys (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toys (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rToysEuropeRomInfo, rToysEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rToysUSARomDesc[] = {
	{ "Toys (USA).sfc",          1048576, 0xefebf501, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rToysUSA)
STD_ROM_FN(rToysUSA)

struct BurnDriver BurnDrvrToysUSA = {
	"Toys (USA)", NULL, NULL, "1986",
	"Toys (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Toys (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rToysUSARomInfo, rToysUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTraverseStarlightPrairieJapanRomDesc[] = {
	{ "Traverse - Starlight & Prairie (Japan).sfc",          4194304, 0xb5113ccb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTraverseStarlightPrairieJapan)
STD_ROM_FN(rTraverseStarlightPrairieJapan)

struct BurnDriver BurnDrvrTraverseStarlightPrairieJapan = {
	"Traverse - Starlight & Prairie (Japan)", NULL, NULL, "1986",
	"Traverse - Starlight & Prairie (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Traverse - Starlight & Prairie (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTraverseStarlightPrairieJapanRomInfo, rTraverseStarlightPrairieJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTreasureConflixJapanBSRomDesc[] = {
	{ "Treasure Conflix (Japan) (BS).sfc",          1048576, 0x57a070e2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTreasureConflixJapanBS)
STD_ROM_FN(rTreasureConflixJapanBS)

struct BurnDriver BurnDrvrTreasureConflixJapanBS = {
	"Treasure Conflix (Japan) (BS)", NULL, NULL, "1986",
	"Treasure Conflix (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Treasure Conflix (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTreasureConflixJapanBSRomInfo, rTreasureConflixJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTreasureHunterGJapanRomDesc[] = {
	{ "Treasure Hunter G (Japan).sfc",          3145728, 0x3cceed49, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTreasureHunterGJapan)
STD_ROM_FN(rTreasureHunterGJapan)

struct BurnDriver BurnDrvrTreasureHunterGJapan = {
	"Treasure Hunter G (Japan)", NULL, NULL, "1986",
	"Treasure Hunter G (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Treasure Hunter G (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTreasureHunterGJapanRomInfo, rTreasureHunterGJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTriStarUSAUnlRomDesc[] = {
	{ "Tri-Star (USA) (Unl).sfc",          8192, 0x8e647468, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTriStarUSAUnl)
STD_ROM_FN(rTriStarUSAUnl)

struct BurnDriver BurnDrvrTriStarUSAUnl = {
	"Tri-Star (USA) (Unl)", NULL, NULL, "1986",
	"Tri-Star (USA) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tri-Star (USA) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTriStarUSAUnlRomInfo, rTriStarUSAUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrineaJapanRomDesc[] = {
	{ "Trinea (Japan).sfc",          2097152, 0xc20419ec, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrineaJapan)
STD_ROM_FN(rTrineaJapan)

struct BurnDriver BurnDrvrTrineaJapan = {
	"Trinea (Japan)", NULL, NULL, "1986",
	"Trinea (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Trinea (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrineaJapanRomInfo, rTrineaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTroddlersEuropeBetaRomDesc[] = {
	{ "Troddlers (Europe) (Beta).sfc",          524288, 0x5a80c4cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTroddlersEuropeBeta)
STD_ROM_FN(rTroddlersEuropeBeta)

struct BurnDriver BurnDrvrTroddlersEuropeBeta = {
	"Troddlers (Europe) (Beta)", NULL, NULL, "1986",
	"Troddlers (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Troddlers (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTroddlersEuropeBetaRomInfo, rTroddlersEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTroddlersEuropeRomDesc[] = {
	{ "Troddlers (Europe).sfc",          524288, 0xdba677eb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTroddlersEurope)
STD_ROM_FN(rTroddlersEurope)

struct BurnDriver BurnDrvrTroddlersEurope = {
	"Troddlers (Europe)", NULL, NULL, "1986",
	"Troddlers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Troddlers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTroddlersEuropeRomInfo, rTroddlersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTroddlersUSARomDesc[] = {
	{ "Troddlers (USA).sfc",          524288, 0x6a7ff02d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTroddlersUSA)
STD_ROM_FN(rTroddlersUSA)

struct BurnDriver BurnDrvrTroddlersUSA = {
	"Troddlers (USA)", NULL, NULL, "1986",
	"Troddlers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Troddlers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTroddlersUSARomInfo, rTroddlersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTroyAikmanNFLFootballEuropeRomDesc[] = {
	{ "Troy Aikman NFL Football (Europe).sfc",          1572864, 0x5147b442, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTroyAikmanNFLFootballEurope)
STD_ROM_FN(rTroyAikmanNFLFootballEurope)

struct BurnDriver BurnDrvrTroyAikmanNFLFootballEurope = {
	"Troy Aikman NFL Football (Europe)", NULL, NULL, "1986",
	"Troy Aikman NFL Football (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Troy Aikman NFL Football (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTroyAikmanNFLFootballEuropeRomInfo, rTroyAikmanNFLFootballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTroyAikmanNFLFootballUSARomDesc[] = {
	{ "Troy Aikman NFL Football (USA).sfc",          1572864, 0xb26446b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTroyAikmanNFLFootballUSA)
STD_ROM_FN(rTroyAikmanNFLFootballUSA)

struct BurnDriver BurnDrvrTroyAikmanNFLFootballUSA = {
	"Troy Aikman NFL Football (USA)", NULL, NULL, "1986",
	"Troy Aikman NFL Football (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Troy Aikman NFL Football (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTroyAikmanNFLFootballUSARomInfo, rTroyAikmanNFLFootballUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueGolfClassicsPebbleBeachGolfLinksEuropeRomDesc[] = {
	{ "True Golf Classics - Pebble Beach Golf Links (Europe).sfc",          1048576, 0xeeede683, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueGolfClassicsPebbleBeachGolfLinksEurope)
STD_ROM_FN(rTrueGolfClassicsPebbleBeachGolfLinksEurope)

struct BurnDriver BurnDrvrTrueGolfClassicsPebbleBeachGolfLinksEurope = {
	"True Golf Classics - Pebble Beach Golf Links (Europe)", NULL, NULL, "1986",
	"True Golf Classics - Pebble Beach Golf Links (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Golf Classics - Pebble Beach Golf Links (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueGolfClassicsPebbleBeachGolfLinksEuropeRomInfo, rTrueGolfClassicsPebbleBeachGolfLinksEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueGolfClassicsPebbleBeachGolfLinksUSARomDesc[] = {
	{ "True Golf Classics - Pebble Beach Golf Links (USA).sfc",          1048576, 0x18c5ad58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueGolfClassicsPebbleBeachGolfLinksUSA)
STD_ROM_FN(rTrueGolfClassicsPebbleBeachGolfLinksUSA)

struct BurnDriver BurnDrvrTrueGolfClassicsPebbleBeachGolfLinksUSA = {
	"True Golf Classics - Pebble Beach Golf Links (USA)", NULL, NULL, "1986",
	"True Golf Classics - Pebble Beach Golf Links (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Golf Classics - Pebble Beach Golf Links (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueGolfClassicsPebbleBeachGolfLinksUSARomInfo, rTrueGolfClassicsPebbleBeachGolfLinksUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueGolfClassicsWaialaeCountryClubUSARomDesc[] = {
	{ "True Golf Classics - Waialae Country Club (USA).sfc",          1048576, 0xe9d6c61e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueGolfClassicsWaialaeCountryClubUSA)
STD_ROM_FN(rTrueGolfClassicsWaialaeCountryClubUSA)

struct BurnDriver BurnDrvrTrueGolfClassicsWaialaeCountryClubUSA = {
	"True Golf Classics - Waialae Country Club (USA)", NULL, NULL, "1986",
	"True Golf Classics - Waialae Country Club (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Golf Classics - Waialae Country Club (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueGolfClassicsWaialaeCountryClubUSARomInfo, rTrueGolfClassicsWaialaeCountryClubUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueGolfClassicsWicked18USARomDesc[] = {
	{ "True Golf Classics - Wicked 18 (USA).sfc",          1048576, 0x26177842, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueGolfClassicsWicked18USA)
STD_ROM_FN(rTrueGolfClassicsWicked18USA)

struct BurnDriver BurnDrvrTrueGolfClassicsWicked18USA = {
	"True Golf Classics - Wicked 18 (USA)", NULL, NULL, "1986",
	"True Golf Classics - Wicked 18 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Golf Classics - Wicked 18 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueGolfClassicsWicked18USARomInfo, rTrueGolfClassicsWicked18USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueLiesEuropeRomDesc[] = {
	{ "True Lies (Europe).sfc",          2097152, 0xd7099bc2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueLiesEurope)
STD_ROM_FN(rTrueLiesEurope)

struct BurnDriver BurnDrvrTrueLiesEurope = {
	"True Lies (Europe)", NULL, NULL, "1986",
	"True Lies (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Lies (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueLiesEuropeRomInfo, rTrueLiesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueLiesGermanyRomDesc[] = {
	{ "True Lies (Germany).sfc",          2097152, 0xca7342cd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueLiesGermany)
STD_ROM_FN(rTrueLiesGermany)

struct BurnDriver BurnDrvrTrueLiesGermany = {
	"True Lies (Germany)", NULL, NULL, "1986",
	"True Lies (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Lies (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueLiesGermanyRomInfo, rTrueLiesGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueLiesJapanRomDesc[] = {
	{ "True Lies (Japan).sfc",          2097152, 0x6150d3f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueLiesJapan)
STD_ROM_FN(rTrueLiesJapan)

struct BurnDriver BurnDrvrTrueLiesJapan = {
	"True Lies (Japan)", NULL, NULL, "1986",
	"True Lies (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Lies (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueLiesJapanRomInfo, rTrueLiesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueLiesUSABetaRomDesc[] = {
	{ "True Lies (USA) (Beta).sfc",          2097152, 0x6bb6a72f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueLiesUSABeta)
STD_ROM_FN(rTrueLiesUSABeta)

struct BurnDriver BurnDrvrTrueLiesUSABeta = {
	"True Lies (USA) (Beta)", NULL, NULL, "1986",
	"True Lies (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Lies (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueLiesUSABetaRomInfo, rTrueLiesUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrueLiesUSARomDesc[] = {
	{ "True Lies (USA).sfc",          2097152, 0x40ca49ae, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrueLiesUSA)
STD_ROM_FN(rTrueLiesUSA)

struct BurnDriver BurnDrvrTrueLiesUSA = {
	"True Lies (USA)", NULL, NULL, "1986",
	"True Lies (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"True Lies (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrueLiesUSARomInfo, rTrueLiesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTrumpIslandJapanRomDesc[] = {
	{ "Trump Island (Japan).sfc",          524288, 0x62830bef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTrumpIslandJapan)
STD_ROM_FN(rTrumpIslandJapan)

struct BurnDriver BurnDrvrTrumpIslandJapan = {
	"Trump Island (Japan)", NULL, NULL, "1986",
	"Trump Island (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Trump Island (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTrumpIslandJapanRomInfo, rTrumpIslandJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTsukikomoriJapanRomDesc[] = {
	{ "Tsukikomori (Japan).sfc",          4194304, 0x41adf18f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTsukikomoriJapan)
STD_ROM_FN(rTsukikomoriJapan)

struct BurnDriver BurnDrvrTsukikomoriJapan = {
	"Tsukikomori (Japan)", NULL, NULL, "1986",
	"Tsukikomori (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tsukikomori (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTsukikomoriJapanRomInfo, rTsukikomoriJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTsuppariOozumouRisshinshusseHenJapanRomDesc[] = {
	{ "Tsuppari Oozumou - Risshinshusse Hen (Japan).sfc",          1048576, 0xecda1f8b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTsuppariOozumouRisshinshusseHenJapan)
STD_ROM_FN(rTsuppariOozumouRisshinshusseHenJapan)

struct BurnDriver BurnDrvrTsuppariOozumouRisshinshusseHenJapan = {
	"Tsuppari Oozumou - Risshinshusse Hen (Japan)", NULL, NULL, "1986",
	"Tsuppari Oozumou - Risshinshusse Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tsuppari Oozumou - Risshinshusse Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTsuppariOozumouRisshinshusseHenJapanRomInfo, rTsuppariOozumouRisshinshusseHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTsuriTarouJapanRomDesc[] = {
	{ "Tsuri Tarou (Japan).sfc",          1048576, 0xbbbff8d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTsuriTarouJapan)
STD_ROM_FN(rTsuriTarouJapan)

struct BurnDriver BurnDrvrTsuriTarouJapan = {
	"Tsuri Tarou (Japan)", NULL, NULL, "1986",
	"Tsuri Tarou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tsuri Tarou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTsuriTarouJapanRomInfo, rTsuriTarouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapanRomDesc[] = {
	{ "Tsuyoshi Shikkari Shinasai - Taisen Puzzle Dama (Japan).sfc",          1048576, 0xef878419, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapan)
STD_ROM_FN(rTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapan)

struct BurnDriver BurnDrvrTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapan = {
	"Tsuyoshi Shikkari Shinasai - Taisen Puzzle Dama (Japan)", NULL, NULL, "1986",
	"Tsuyoshi Shikkari Shinasai - Taisen Puzzle Dama (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tsuyoshi Shikkari Shinasai - Taisen Puzzle Dama (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapanRomInfo, rTsuyoshiShikkariShinasaiTaisenPuzzleDamaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTuffENuffEuropeRomDesc[] = {
	{ "Tuff E Nuff (Europe).sfc",          2097152, 0xc2423607, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTuffENuffEurope)
STD_ROM_FN(rTuffENuffEurope)

struct BurnDriver BurnDrvrTuffENuffEurope = {
	"Tuff E Nuff (Europe)", NULL, NULL, "1986",
	"Tuff E Nuff (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tuff E Nuff (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTuffENuffEuropeRomInfo, rTuffENuffEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTuffENuffUSARomDesc[] = {
	{ "Tuff E Nuff (USA).sfc",          2097152, 0x865f37bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTuffENuffUSA)
STD_ROM_FN(rTuffENuffUSA)

struct BurnDriver BurnDrvrTuffENuffUSA = {
	"Tuff E Nuff (USA)", NULL, NULL, "1986",
	"Tuff E Nuff (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Tuff E Nuff (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTuffENuffUSARomInfo, rTuffENuffUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurboToonsEuropeRomDesc[] = {
	{ "Turbo Toons (Europe).sfc",          524288, 0x26a9c3f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurboToonsEurope)
STD_ROM_FN(rTurboToonsEurope)

struct BurnDriver BurnDrvrTurboToonsEurope = {
	"Turbo Toons (Europe)", NULL, NULL, "1986",
	"Turbo Toons (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turbo Toons (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurboToonsEuropeRomInfo, rTurboToonsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurfHeroJapanRomDesc[] = {
	{ "Turf Hero (Japan).sfc",          2097152, 0xa5370dd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurfHeroJapan)
STD_ROM_FN(rTurfHeroJapan)

struct BurnDriver BurnDrvrTurfHeroJapan = {
	"Turf Hero (Japan)", NULL, NULL, "1986",
	"Turf Hero (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turf Hero (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurfHeroJapanRomInfo, rTurfHeroJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurfMemoriesJapanRomDesc[] = {
	{ "Turf Memories (Japan).sfc",          2097152, 0x60beceed, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurfMemoriesJapan)
STD_ROM_FN(rTurfMemoriesJapan)

struct BurnDriver BurnDrvrTurfMemoriesJapan = {
	"Turf Memories (Japan)", NULL, NULL, "1986",
	"Turf Memories (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turf Memories (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurfMemoriesJapanRomInfo, rTurfMemoriesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurnandBurnNoFlyZoneEuropeRomDesc[] = {
	{ "Turn and Burn - No-Fly Zone (Europe).sfc",          2097152, 0xee92ceb5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurnandBurnNoFlyZoneEurope)
STD_ROM_FN(rTurnandBurnNoFlyZoneEurope)

struct BurnDriver BurnDrvrTurnandBurnNoFlyZoneEurope = {
	"Turn and Burn - No-Fly Zone (Europe)", NULL, NULL, "1986",
	"Turn and Burn - No-Fly Zone (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turn and Burn - No-Fly Zone (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurnandBurnNoFlyZoneEuropeRomInfo, rTurnandBurnNoFlyZoneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurnandBurnNoFlyZoneSpainRomDesc[] = {
	{ "Turn and Burn - No-Fly Zone (Spain).sfc",          2097152, 0xe9e676c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurnandBurnNoFlyZoneSpain)
STD_ROM_FN(rTurnandBurnNoFlyZoneSpain)

struct BurnDriver BurnDrvrTurnandBurnNoFlyZoneSpain = {
	"Turn and Burn - No-Fly Zone (Spain)", NULL, NULL, "1986",
	"Turn and Burn - No-Fly Zone (Spain)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turn and Burn - No-Fly Zone (Spain)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurnandBurnNoFlyZoneSpainRomInfo, rTurnandBurnNoFlyZoneSpainRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTurnandBurnNoFlyZoneUSARomDesc[] = {
	{ "Turn and Burn - No-Fly Zone (USA).sfc",          2097152, 0x87bfa0b8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTurnandBurnNoFlyZoneUSA)
STD_ROM_FN(rTurnandBurnNoFlyZoneUSA)

struct BurnDriver BurnDrvrTurnandBurnNoFlyZoneUSA = {
	"Turn and Burn - No-Fly Zone (USA)", NULL, NULL, "1986",
	"Turn and Burn - No-Fly Zone (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Turn and Burn - No-Fly Zone (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTurnandBurnNoFlyZoneUSARomInfo, rTurnandBurnNoFlyZoneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTwinBeeRainbowBellAdventureJapanRomDesc[] = {
	{ "TwinBee - Rainbow Bell Adventure (Japan).sfc",          1048576, 0x91867af4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTwinBeeRainbowBellAdventureJapan)
STD_ROM_FN(rTwinBeeRainbowBellAdventureJapan)

struct BurnDriver BurnDrvrTwinBeeRainbowBellAdventureJapan = {
	"TwinBee - Rainbow Bell Adventure (Japan)", NULL, NULL, "1986",
	"TwinBee - Rainbow Bell Adventure (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"TwinBee - Rainbow Bell Adventure (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTwinBeeRainbowBellAdventureJapanRomInfo, rTwinBeeRainbowBellAdventureJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rTwistedTalesofSpikeMcFangTheUSARomDesc[] = {
	{ "Twisted Tales of Spike McFang, The (USA).sfc",          1048576, 0x8c2068d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rTwistedTalesofSpikeMcFangTheUSA)
STD_ROM_FN(rTwistedTalesofSpikeMcFangTheUSA)

struct BurnDriver BurnDrvrTwistedTalesofSpikeMcFangTheUSA = {
	"Twisted Tales of Spike McFang, The (USA)", NULL, NULL, "1986",
	"Twisted Tales of Spike McFang, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Twisted Tales of Spike McFang, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rTwistedTalesofSpikeMcFangTheUSARomInfo, rTwistedTalesofSpikeMcFangTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBanRomDesc[] = {
	{ "U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan) (Keihin Ban).sfc",          1048576, 0xda73211f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBan)
STD_ROM_FN(rUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBan)

struct BurnDriver BurnDrvrUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBan = {
	"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan) (Keihin Ban)", NULL, NULL, "1986",
	"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan) (Keihin Ban)\0", NULL, "Nintendo", "Miscellaneous",
	L"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan) (Keihin Ban)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBanRomInfo, rUFOKamenYakisobanKettlernoKuroiInbouJapanKeihinBanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUFOKamenYakisobanKettlernoKuroiInbouJapanRomDesc[] = {
	{ "U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan).sfc",          1048576, 0x272dfc4b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUFOKamenYakisobanKettlernoKuroiInbouJapan)
STD_ROM_FN(rUFOKamenYakisobanKettlernoKuroiInbouJapan)

struct BurnDriver BurnDrvrUFOKamenYakisobanKettlernoKuroiInbouJapan = {
	"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan)", NULL, NULL, "1986",
	"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"U.F.O. Kamen Yakisoban - Kettler no Kuroi Inbou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUFOKamenYakisobanKettlernoKuroiInbouJapanRomInfo, rUFOKamenYakisobanKettlernoKuroiInbouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUNSquadronEuropeRomDesc[] = {
	{ "U.N. Squadron (Europe).sfc",          1048576, 0xc510285c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUNSquadronEurope)
STD_ROM_FN(rUNSquadronEurope)

struct BurnDriver BurnDrvrUNSquadronEurope = {
	"U.N. Squadron (Europe)", NULL, NULL, "1986",
	"U.N. Squadron (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"U.N. Squadron (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUNSquadronEuropeRomInfo, rUNSquadronEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUNSquadronUSARomDesc[] = {
	{ "U.N. Squadron (USA).sfc",          1048576, 0x231f0f67, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUNSquadronUSA)
STD_ROM_FN(rUNSquadronUSA)

struct BurnDriver BurnDrvrUNSquadronUSA = {
	"U.N. Squadron (USA)", NULL, NULL, "1986",
	"U.N. Squadron (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"U.N. Squadron (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUNSquadronUSARomInfo, rUNSquadronUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUchuunoKishiTekkamanBladeJapanBetaRomDesc[] = {
	{ "Uchuu no Kishi Tekkaman Blade (Japan) (Beta).sfc",          1048576, 0xb380bcd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUchuunoKishiTekkamanBladeJapanBeta)
STD_ROM_FN(rUchuunoKishiTekkamanBladeJapanBeta)

struct BurnDriver BurnDrvrUchuunoKishiTekkamanBladeJapanBeta = {
	"Uchuu no Kishi Tekkaman Blade (Japan) (Beta)", NULL, NULL, "1986",
	"Uchuu no Kishi Tekkaman Blade (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uchuu no Kishi Tekkaman Blade (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUchuunoKishiTekkamanBladeJapanBetaRomInfo, rUchuunoKishiTekkamanBladeJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUchuunoKishiTekkamanBladeJapanRomDesc[] = {
	{ "Uchuu no Kishi Tekkaman Blade (Japan).sfc",          1048576, 0x7e107c35, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUchuunoKishiTekkamanBladeJapan)
STD_ROM_FN(rUchuunoKishiTekkamanBladeJapan)

struct BurnDriver BurnDrvrUchuunoKishiTekkamanBladeJapan = {
	"Uchuu no Kishi Tekkaman Blade (Japan)", NULL, NULL, "1986",
	"Uchuu no Kishi Tekkaman Blade (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uchuu no Kishi Tekkaman Blade (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUchuunoKishiTekkamanBladeJapanRomInfo, rUchuunoKishiTekkamanBladeJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUchuuRaceAstroGoGoJapanRomDesc[] = {
	{ "Uchuu Race - Astro Go! Go! (Japan).sfc",          1048576, 0xe949d47f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUchuuRaceAstroGoGoJapan)
STD_ROM_FN(rUchuuRaceAstroGoGoJapan)

struct BurnDriver BurnDrvrUchuuRaceAstroGoGoJapan = {
	"Uchuu Race - Astro Go! Go! (Japan)", NULL, NULL, "1986",
	"Uchuu Race - Astro Go! Go! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uchuu Race - Astro Go! Go! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUchuuRaceAstroGoGoJapanRomInfo, rUchuuRaceAstroGoGoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaKyouryuuTeikokuJapanRomDesc[] = {
	{ "Ultima - Kyouryuu Teikoku (Japan).sfc",          1572864, 0xdddb20ad, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaKyouryuuTeikokuJapan)
STD_ROM_FN(rUltimaKyouryuuTeikokuJapan)

struct BurnDriver BurnDrvrUltimaKyouryuuTeikokuJapan = {
	"Ultima - Kyouryuu Teikoku (Japan)", NULL, NULL, "1986",
	"Ultima - Kyouryuu Teikoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima - Kyouryuu Teikoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaKyouryuuTeikokuJapanRomInfo, rUltimaKyouryuuTeikokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaRunesofVirtueIIUSABeta19930730RomDesc[] = {
	{ "Ultima - Runes of Virtue II (USA) (Beta) (1993-07-30).sfc",          1048576, 0xf6f5eee2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaRunesofVirtueIIUSABeta19930730)
STD_ROM_FN(rUltimaRunesofVirtueIIUSABeta19930730)

struct BurnDriver BurnDrvrUltimaRunesofVirtueIIUSABeta19930730 = {
	"Ultima - Runes of Virtue II (USA) (Beta) (1993-07-30)", NULL, NULL, "1986",
	"Ultima - Runes of Virtue II (USA) (Beta) (1993-07-30)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima - Runes of Virtue II (USA) (Beta) (1993-07-30)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaRunesofVirtueIIUSABeta19930730RomInfo, rUltimaRunesofVirtueIIUSABeta19930730RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaRunesofVirtueIIUSABeta1994xxxxRomDesc[] = {
	{ "Ultima - Runes of Virtue II (USA) (Beta) (1994-xx-xx).sfc",          1048576, 0xf9ffcc46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaRunesofVirtueIIUSABeta1994xxxx)
STD_ROM_FN(rUltimaRunesofVirtueIIUSABeta1994xxxx)

struct BurnDriver BurnDrvrUltimaRunesofVirtueIIUSABeta1994xxxx = {
	"Ultima - Runes of Virtue II (USA) (Beta) (1994-xx-xx)", NULL, NULL, "1986",
	"Ultima - Runes of Virtue II (USA) (Beta) (1994-xx-xx)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima - Runes of Virtue II (USA) (Beta) (1994-xx-xx)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaRunesofVirtueIIUSABeta1994xxxxRomInfo, rUltimaRunesofVirtueIIUSABeta1994xxxxRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaRunesofVirtueIIUSARomDesc[] = {
	{ "Ultima - Runes of Virtue II (USA).sfc",          1048576, 0xcc4eebf4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaRunesofVirtueIIUSA)
STD_ROM_FN(rUltimaRunesofVirtueIIUSA)

struct BurnDriver BurnDrvrUltimaRunesofVirtueIIUSA = {
	"Ultima - Runes of Virtue II (USA)", NULL, NULL, "1986",
	"Ultima - Runes of Virtue II (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima - Runes of Virtue II (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaRunesofVirtueIIUSARomInfo, rUltimaRunesofVirtueIIUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaGaidenKuroKishinoInbouJapanRomDesc[] = {
	{ "Ultima Gaiden - Kuro Kishi no Inbou (Japan).sfc",          1048576, 0x3a1091a2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaGaidenKuroKishinoInbouJapan)
STD_ROM_FN(rUltimaGaidenKuroKishinoInbouJapan)

struct BurnDriver BurnDrvrUltimaGaidenKuroKishinoInbouJapan = {
	"Ultima Gaiden - Kuro Kishi no Inbou (Japan)", NULL, NULL, "1986",
	"Ultima Gaiden - Kuro Kishi no Inbou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima Gaiden - Kuro Kishi no Inbou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaGaidenKuroKishinoInbouJapanRomInfo, rUltimaGaidenKuroKishinoInbouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVIItsuwarinoYogenshaJapanBetaRomDesc[] = {
	{ "Ultima VI - Itsuwari no Yogensha (Japan) (Beta).sfc",          1048576, 0x5693cdb4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVIItsuwarinoYogenshaJapanBeta)
STD_ROM_FN(rUltimaVIItsuwarinoYogenshaJapanBeta)

struct BurnDriver BurnDrvrUltimaVIItsuwarinoYogenshaJapanBeta = {
	"Ultima VI - Itsuwari no Yogensha (Japan) (Beta)", NULL, NULL, "1986",
	"Ultima VI - Itsuwari no Yogensha (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VI - Itsuwari no Yogensha (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVIItsuwarinoYogenshaJapanBetaRomInfo, rUltimaVIItsuwarinoYogenshaJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVIItsuwarinoYogenshaJapanRomDesc[] = {
	{ "Ultima VI - Itsuwari no Yogensha (Japan).sfc",          1048576, 0x7dd62a5e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVIItsuwarinoYogenshaJapan)
STD_ROM_FN(rUltimaVIItsuwarinoYogenshaJapan)

struct BurnDriver BurnDrvrUltimaVIItsuwarinoYogenshaJapan = {
	"Ultima VI - Itsuwari no Yogensha (Japan)", NULL, NULL, "1986",
	"Ultima VI - Itsuwari no Yogensha (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VI - Itsuwari no Yogensha (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVIItsuwarinoYogenshaJapanRomInfo, rUltimaVIItsuwarinoYogenshaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVITheFalseProphetUSARomDesc[] = {
	{ "Ultima VI - The False Prophet (USA).sfc",          1048576, 0x9277c9f7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVITheFalseProphetUSA)
STD_ROM_FN(rUltimaVITheFalseProphetUSA)

struct BurnDriver BurnDrvrUltimaVITheFalseProphetUSA = {
	"Ultima VI - The False Prophet (USA)", NULL, NULL, "1986",
	"Ultima VI - The False Prophet (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VI - The False Prophet (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVITheFalseProphetUSARomInfo, rUltimaVITheFalseProphetUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVIITheBlackGateJapanRomDesc[] = {
	{ "Ultima VII - The Black Gate (Japan).sfc",          1572864, 0xc862200d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVIITheBlackGateJapan)
STD_ROM_FN(rUltimaVIITheBlackGateJapan)

struct BurnDriver BurnDrvrUltimaVIITheBlackGateJapan = {
	"Ultima VII - The Black Gate (Japan)", NULL, NULL, "1986",
	"Ultima VII - The Black Gate (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VII - The Black Gate (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVIITheBlackGateJapanRomInfo, rUltimaVIITheBlackGateJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVIITheBlackGateUSABetaRomDesc[] = {
	{ "Ultima VII - The Black Gate (USA) (Beta).sfc",          1048576, 0xe2234efb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVIITheBlackGateUSABeta)
STD_ROM_FN(rUltimaVIITheBlackGateUSABeta)

struct BurnDriver BurnDrvrUltimaVIITheBlackGateUSABeta = {
	"Ultima VII - The Black Gate (USA) (Beta)", NULL, NULL, "1986",
	"Ultima VII - The Black Gate (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VII - The Black Gate (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVIITheBlackGateUSABetaRomInfo, rUltimaVIITheBlackGateUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimaVIITheBlackGateUSARomDesc[] = {
	{ "Ultima VII - The Black Gate (USA).sfc",          1048576, 0xe790f52f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimaVIITheBlackGateUSA)
STD_ROM_FN(rUltimaVIITheBlackGateUSA)

struct BurnDriver BurnDrvrUltimaVIITheBlackGateUSA = {
	"Ultima VII - The Black Gate (USA)", NULL, NULL, "1986",
	"Ultima VII - The Black Gate (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultima VII - The Black Gate (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimaVIITheBlackGateUSARomInfo, rUltimaVIITheBlackGateUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimateFighterUSARomDesc[] = {
	{ "Ultimate Fighter (USA).sfc",          1572864, 0x9dfc8897, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimateFighterUSA)
STD_ROM_FN(rUltimateFighterUSA)

struct BurnDriver BurnDrvrUltimateFighterUSA = {
	"Ultimate Fighter (USA)", NULL, NULL, "1986",
	"Ultimate Fighter (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultimate Fighter (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimateFighterUSARomInfo, rUltimateFighterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimateFootballJapanRomDesc[] = {
	{ "Ultimate Football (Japan).sfc",          1048576, 0x4c9a5e89, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimateFootballJapan)
STD_ROM_FN(rUltimateFootballJapan)

struct BurnDriver BurnDrvrUltimateFootballJapan = {
	"Ultimate Football (Japan)", NULL, NULL, "1986",
	"Ultimate Football (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultimate Football (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimateFootballJapanRomInfo, rUltimateFootballJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimateMortalKombat3EuropeRomDesc[] = {
	{ "Ultimate Mortal Kombat 3 (Europe).sfc",          4194304, 0x1c4c54d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimateMortalKombat3Europe)
STD_ROM_FN(rUltimateMortalKombat3Europe)

struct BurnDriver BurnDrvrUltimateMortalKombat3Europe = {
	"Ultimate Mortal Kombat 3 (Europe)", NULL, NULL, "1986",
	"Ultimate Mortal Kombat 3 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultimate Mortal Kombat 3 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimateMortalKombat3EuropeRomInfo, rUltimateMortalKombat3EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltimateMortalKombat3USARomDesc[] = {
	{ "Ultimate Mortal Kombat 3 (USA).sfc",          4194304, 0xf5bfe41e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltimateMortalKombat3USA)
STD_ROM_FN(rUltimateMortalKombat3USA)

struct BurnDriver BurnDrvrUltimateMortalKombat3USA = {
	"Ultimate Mortal Kombat 3 (USA)", NULL, NULL, "1986",
	"Ultimate Mortal Kombat 3 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultimate Mortal Kombat 3 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltimateMortalKombat3USARomInfo, rUltimateMortalKombat3USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltraBaseballJitsumeiBanJapanRomDesc[] = {
	{ "Ultra Baseball Jitsumei Ban (Japan).sfc",          524288, 0x69ab65c5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltraBaseballJitsumeiBanJapan)
STD_ROM_FN(rUltraBaseballJitsumeiBanJapan)

struct BurnDriver BurnDrvrUltraBaseballJitsumeiBanJapan = {
	"Ultra Baseball Jitsumei Ban (Japan)", NULL, NULL, "1986",
	"Ultra Baseball Jitsumei Ban (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultra Baseball Jitsumei Ban (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltraBaseballJitsumeiBanJapanRomInfo, rUltraBaseballJitsumeiBanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltraBaseballJitsumeiBan2JapanRomDesc[] = {
	{ "Ultra Baseball Jitsumei Ban 2 (Japan).sfc",          1048576, 0xb108549, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltraBaseballJitsumeiBan2Japan)
STD_ROM_FN(rUltraBaseballJitsumeiBan2Japan)

struct BurnDriver BurnDrvrUltraBaseballJitsumeiBan2Japan = {
	"Ultra Baseball Jitsumei Ban 2 (Japan)", NULL, NULL, "1986",
	"Ultra Baseball Jitsumei Ban 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultra Baseball Jitsumei Ban 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltraBaseballJitsumeiBan2JapanRomInfo, rUltraBaseballJitsumeiBan2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltraBaseballJitsumeiBan3JapanRomDesc[] = {
	{ "Ultra Baseball Jitsumei Ban 3 (Japan).sfc",          1572864, 0xf03c710b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltraBaseballJitsumeiBan3Japan)
STD_ROM_FN(rUltraBaseballJitsumeiBan3Japan)

struct BurnDriver BurnDrvrUltraBaseballJitsumeiBan3Japan = {
	"Ultra Baseball Jitsumei Ban 3 (Japan)", NULL, NULL, "1986",
	"Ultra Baseball Jitsumei Ban 3 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultra Baseball Jitsumei Ban 3 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltraBaseballJitsumeiBan3JapanRomInfo, rUltraBaseballJitsumeiBan3JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltraLeagueMoeroSoccerDaikessenJapanRomDesc[] = {
	{ "Ultra League - Moero! Soccer Daikessen!! (Japan).sfc",          1572864, 0x845790ef, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltraLeagueMoeroSoccerDaikessenJapan)
STD_ROM_FN(rUltraLeagueMoeroSoccerDaikessenJapan)

struct BurnDriver BurnDrvrUltraLeagueMoeroSoccerDaikessenJapan = {
	"Ultra League - Moero! Soccer Daikessen!! (Japan)", NULL, NULL, "1986",
	"Ultra League - Moero! Soccer Daikessen!! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultra League - Moero! Soccer Daikessen!! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltraLeagueMoeroSoccerDaikessenJapanRomInfo, rUltraLeagueMoeroSoccerDaikessenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltraSevenJapanRomDesc[] = {
	{ "Ultra Seven (Japan).sfc",          1048576, 0x71b24bee, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltraSevenJapan)
STD_ROM_FN(rUltraSevenJapan)

struct BurnDriver BurnDrvrUltraSevenJapan = {
	"Ultra Seven (Japan)", NULL, NULL, "1986",
	"Ultra Seven (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultra Seven (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltraSevenJapanRomInfo, rUltraSevenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltramanJapanRomDesc[] = {
	{ "Ultraman (Japan).sfc",          524288, 0x3495adf0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltramanJapan)
STD_ROM_FN(rUltramanJapan)

struct BurnDriver BurnDrvrUltramanJapan = {
	"Ultraman (Japan)", NULL, NULL, "1986",
	"Ultraman (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultraman (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltramanJapanRomInfo, rUltramanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltramanTowardstheFutureEuropeRomDesc[] = {
	{ "Ultraman - Towards the Future (Europe).sfc",          524288, 0x8b7cb277, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltramanTowardstheFutureEurope)
STD_ROM_FN(rUltramanTowardstheFutureEurope)

struct BurnDriver BurnDrvrUltramanTowardstheFutureEurope = {
	"Ultraman - Towards the Future (Europe)", NULL, NULL, "1986",
	"Ultraman - Towards the Future (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultraman - Towards the Future (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltramanTowardstheFutureEuropeRomInfo, rUltramanTowardstheFutureEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUltramanTowardstheFutureUSARomDesc[] = {
	{ "Ultraman - Towards the Future (USA).sfc",          524288, 0x1ded2814, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUltramanTowardstheFutureUSA)
STD_ROM_FN(rUltramanTowardstheFutureUSA)

struct BurnDriver BurnDrvrUltramanTowardstheFutureUSA = {
	"Ultraman - Towards the Future (USA)", NULL, NULL, "1986",
	"Ultraman - Towards the Future (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ultraman - Towards the Future (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUltramanTowardstheFutureUSARomInfo, rUltramanTowardstheFutureUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUminoNushiTsuriJapanRev1RomDesc[] = {
	{ "Umi no Nushi Tsuri (Japan) (Rev 1).sfc",          2097152, 0xc985f568, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUminoNushiTsuriJapanRev1)
STD_ROM_FN(rUminoNushiTsuriJapanRev1)

struct BurnDriver BurnDrvrUminoNushiTsuriJapanRev1 = {
	"Umi no Nushi Tsuri (Japan) (Rev 1)", NULL, NULL, "1986",
	"Umi no Nushi Tsuri (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Umi no Nushi Tsuri (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUminoNushiTsuriJapanRev1RomInfo, rUminoNushiTsuriJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUminoNushiTsuriJapanRomDesc[] = {
	{ "Umi no Nushi Tsuri (Japan).sfc",          2097152, 0x689ee4a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUminoNushiTsuriJapan)
STD_ROM_FN(rUminoNushiTsuriJapan)

struct BurnDriver BurnDrvrUminoNushiTsuriJapan = {
	"Umi no Nushi Tsuri (Japan)", NULL, NULL, "1986",
	"Umi no Nushi Tsuri (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Umi no Nushi Tsuri (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUminoNushiTsuriJapanRomInfo, rUminoNushiTsuriJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUmiharaKawaseJapanRomDesc[] = {
	{ "Umihara Kawase (Japan).sfc",          1048576, 0x393ccca2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUmiharaKawaseJapan)
STD_ROM_FN(rUmiharaKawaseJapan)

struct BurnDriver BurnDrvrUmiharaKawaseJapan = {
	"Umihara Kawase (Japan)", NULL, NULL, "1986",
	"Umihara Kawase (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Umihara Kawase (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUmiharaKawaseJapanRomInfo, rUmiharaKawaseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUmizuriMeijinSuzukiHenJapanRomDesc[] = {
	{ "Umizuri Meijin - Suzuki Hen (Japan).sfc",          1048576, 0xba2a817c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUmizuriMeijinSuzukiHenJapan)
STD_ROM_FN(rUmizuriMeijinSuzukiHenJapan)

struct BurnDriver BurnDrvrUmizuriMeijinSuzukiHenJapan = {
	"Umizuri Meijin - Suzuki Hen (Japan)", NULL, NULL, "1986",
	"Umizuri Meijin - Suzuki Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Umizuri Meijin - Suzuki Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUmizuriMeijinSuzukiHenJapanRomInfo, rUmizuriMeijinSuzukiHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUnchartedWatersUSARomDesc[] = {
	{ "Uncharted Waters (USA).sfc",          1048576, 0x95724a2f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUnchartedWatersUSA)
STD_ROM_FN(rUnchartedWatersUSA)

struct BurnDriver BurnDrvrUnchartedWatersUSA = {
	"Uncharted Waters (USA)", NULL, NULL, "1986",
	"Uncharted Waters (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uncharted Waters (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUnchartedWatersUSARomInfo, rUnchartedWatersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUnchartedWatersNewHorizonsUSARomDesc[] = {
	{ "Uncharted Waters - New Horizons (USA).sfc",          2097152, 0x3c3c63e6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUnchartedWatersNewHorizonsUSA)
STD_ROM_FN(rUnchartedWatersNewHorizonsUSA)

struct BurnDriver BurnDrvrUnchartedWatersNewHorizonsUSA = {
	"Uncharted Waters - New Horizons (USA)", NULL, NULL, "1986",
	"Uncharted Waters - New Horizons (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uncharted Waters - New Horizons (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUnchartedWatersNewHorizonsUSARomInfo, rUnchartedWatersNewHorizonsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUndake30SameGameDaisakusenMarioVersionJapanRomDesc[] = {
	{ "Undake 30 Same Game Daisakusen - Mario Version (Japan).sfc",          262144, 0x83bfe43d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUndake30SameGameDaisakusenMarioVersionJapan)
STD_ROM_FN(rUndake30SameGameDaisakusenMarioVersionJapan)

struct BurnDriver BurnDrvrUndake30SameGameDaisakusenMarioVersionJapan = {
	"Undake 30 Same Game Daisakusen - Mario Version (Japan)", NULL, NULL, "1986",
	"Undake 30 Same Game Daisakusen - Mario Version (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Undake 30 Same Game Daisakusen - Mario Version (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUndake30SameGameDaisakusenMarioVersionJapanRomInfo, rUndake30SameGameDaisakusenMarioVersionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUndercoverCopsJapanRomDesc[] = {
	{ "Undercover Cops (Japan).sfc",          2097152, 0xb574c939, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUndercoverCopsJapan)
STD_ROM_FN(rUndercoverCopsJapan)

struct BurnDriver BurnDrvrUndercoverCopsJapan = {
	"Undercover Cops (Japan)", NULL, NULL, "1986",
	"Undercover Cops (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Undercover Cops (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUndercoverCopsJapanRomInfo, rUndercoverCopsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUniracersUSARomDesc[] = {
	{ "Uniracers (USA).sfc",          2097152, 0x383858c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUniracersUSA)
STD_ROM_FN(rUniracersUSA)

struct BurnDriver BurnDrvrUniracersUSA = {
	"Uniracers (USA)", NULL, NULL, "1986",
	"Uniracers (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Uniracers (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUniracersUSARomInfo, rUniracersUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUnirallyEuropeRomDesc[] = {
	{ "Unirally (Europe).sfc",          2097152, 0xd8583ed7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUnirallyEurope)
STD_ROM_FN(rUnirallyEurope)

struct BurnDriver BurnDrvrUnirallyEurope = {
	"Unirally (Europe)", NULL, NULL, "1986",
	"Unirally (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Unirally (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUnirallyEuropeRomInfo, rUnirallyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUniversalSoldierUSAProtoRomDesc[] = {
	{ "Universal Soldier (USA) (Proto).sfc",          524288, 0x59180f1c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUniversalSoldierUSAProto)
STD_ROM_FN(rUniversalSoldierUSAProto)

struct BurnDriver BurnDrvrUniversalSoldierUSAProto = {
	"Universal Soldier (USA) (Proto)", NULL, NULL, "1986",
	"Universal Soldier (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Universal Soldier (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUniversalSoldierUSAProtoRomInfo, rUniversalSoldierUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUntouchablesTheUSARomDesc[] = {
	{ "Untouchables, The (USA).sfc",          1048576, 0xc70f2374, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUntouchablesTheUSA)
STD_ROM_FN(rUntouchablesTheUSA)

struct BurnDriver BurnDrvrUntouchablesTheUSA = {
	"Untouchables, The (USA)", NULL, NULL, "1986",
	"Untouchables, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Untouchables, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUntouchablesTheUSARomInfo, rUntouchablesTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUrbanStrikeEuropeRomDesc[] = {
	{ "Urban Strike (Europe).sfc",          2097152, 0xde6e4fa7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUrbanStrikeEurope)
STD_ROM_FN(rUrbanStrikeEurope)

struct BurnDriver BurnDrvrUrbanStrikeEurope = {
	"Urban Strike (Europe)", NULL, NULL, "1986",
	"Urban Strike (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Urban Strike (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUrbanStrikeEuropeRomInfo, rUrbanStrikeEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUrbanStrikeUSARomDesc[] = {
	{ "Urban Strike (USA).sfc",          2097152, 0xb9bf7990, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUrbanStrikeUSA)
STD_ROM_FN(rUrbanStrikeUSA)

struct BurnDriver BurnDrvrUrbanStrikeUSA = {
	"Urban Strike (USA)", NULL, NULL, "1986",
	"Urban Strike (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Urban Strike (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUrbanStrikeUSARomInfo, rUrbanStrikeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUSAIceHockeyJapanRev1RomDesc[] = {
	{ "USA Ice Hockey (Japan) (Rev 1).sfc",          1048576, 0xf0e155da, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUSAIceHockeyJapanRev1)
STD_ROM_FN(rUSAIceHockeyJapanRev1)

struct BurnDriver BurnDrvrUSAIceHockeyJapanRev1 = {
	"USA Ice Hockey (Japan) (Rev 1)", NULL, NULL, "1986",
	"USA Ice Hockey (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"USA Ice Hockey (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUSAIceHockeyJapanRev1RomInfo, rUSAIceHockeyJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUSAIceHockeyJapanRomDesc[] = {
	{ "USA Ice Hockey (Japan).sfc",          1048576, 0xe5a1adb8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUSAIceHockeyJapan)
STD_ROM_FN(rUSAIceHockeyJapan)

struct BurnDriver BurnDrvrUSAIceHockeyJapan = {
	"USA Ice Hockey (Japan)", NULL, NULL, "1986",
	"USA Ice Hockey (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"USA Ice Hockey (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUSAIceHockeyJapanRomInfo, rUSAIceHockeyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUshiotoToraJapanRomDesc[] = {
	{ "Ushio to Tora (Japan).sfc",          1048576, 0x6eb78ae8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUshiotoToraJapan)
STD_ROM_FN(rUshiotoToraJapan)

struct BurnDriver BurnDrvrUshiotoToraJapan = {
	"Ushio to Tora (Japan)", NULL, NULL, "1986",
	"Ushio to Tora (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ushio to Tora (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUshiotoToraJapanRomInfo, rUshiotoToraJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUtopiaGermanyRomDesc[] = {
	{ "Utopia (Germany).sfc",          524288, 0xc3a6ce79, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUtopiaGermany)
STD_ROM_FN(rUtopiaGermany)

struct BurnDriver BurnDrvrUtopiaGermany = {
	"Utopia (Germany)", NULL, NULL, "1986",
	"Utopia (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Utopia (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUtopiaGermanyRomInfo, rUtopiaGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUtopiaJapanRomDesc[] = {
	{ "Utopia (Japan).sfc",          524288, 0x268c1181, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUtopiaJapan)
STD_ROM_FN(rUtopiaJapan)

struct BurnDriver BurnDrvrUtopiaJapan = {
	"Utopia (Japan)", NULL, NULL, "1986",
	"Utopia (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Utopia (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUtopiaJapanRomInfo, rUtopiaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUtopiaTheCreationofaNationEuropeRomDesc[] = {
	{ "Utopia - The Creation of a Nation (Europe).sfc",          524288, 0x6f702486, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUtopiaTheCreationofaNationEurope)
STD_ROM_FN(rUtopiaTheCreationofaNationEurope)

struct BurnDriver BurnDrvrUtopiaTheCreationofaNationEurope = {
	"Utopia - The Creation of a Nation (Europe)", NULL, NULL, "1986",
	"Utopia - The Creation of a Nation (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Utopia - The Creation of a Nation (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUtopiaTheCreationofaNationEuropeRomInfo, rUtopiaTheCreationofaNationEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUtopiaTheCreationofaNationUSABetaRomDesc[] = {
	{ "Utopia - The Creation of a Nation (USA) (Beta).sfc",          524288, 0x403db46b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUtopiaTheCreationofaNationUSABeta)
STD_ROM_FN(rUtopiaTheCreationofaNationUSABeta)

struct BurnDriver BurnDrvrUtopiaTheCreationofaNationUSABeta = {
	"Utopia - The Creation of a Nation (USA) (Beta)", NULL, NULL, "1986",
	"Utopia - The Creation of a Nation (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Utopia - The Creation of a Nation (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUtopiaTheCreationofaNationUSABetaRomInfo, rUtopiaTheCreationofaNationUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rUtopiaTheCreationofaNationUSARomDesc[] = {
	{ "Utopia - The Creation of a Nation (USA).sfc",          524288, 0x252a96c7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rUtopiaTheCreationofaNationUSA)
STD_ROM_FN(rUtopiaTheCreationofaNationUSA)

struct BurnDriver BurnDrvrUtopiaTheCreationofaNationUSA = {
	"Utopia - The Creation of a Nation (USA)", NULL, NULL, "1986",
	"Utopia - The Creation of a Nation (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Utopia - The Creation of a Nation (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rUtopiaTheCreationofaNationUSARomInfo, rUtopiaTheCreationofaNationUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rValdIsereChampionshipEuropeRomDesc[] = {
	{ "Val d'Isere Championship (Europe).sfc",          1048576, 0xde31d87a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rValdIsereChampionshipEurope)
STD_ROM_FN(rValdIsereChampionshipEurope)

struct BurnDriver BurnDrvrValdIsereChampionshipEurope = {
	"Val d'Isere Championship (Europe)", NULL, NULL, "1986",
	"Val d'Isere Championship (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Val d'Isere Championship (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rValdIsereChampionshipEuropeRomInfo, rValdIsereChampionshipEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rValdIsereChampionshipFranceBeta19931027RomDesc[] = {
	{ "Val d'Isere Championship (France) (Beta) (1993-10-27).sfc",          1048576, 0x66623ee2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rValdIsereChampionshipFranceBeta19931027)
STD_ROM_FN(rValdIsereChampionshipFranceBeta19931027)

struct BurnDriver BurnDrvrValdIsereChampionshipFranceBeta19931027 = {
	"Val d'Isere Championship (France) (Beta) (1993-10-27)", NULL, NULL, "1986",
	"Val d'Isere Championship (France) (Beta) (1993-10-27)\0", NULL, "Nintendo", "Miscellaneous",
	L"Val d'Isere Championship (France) (Beta) (1993-10-27)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rValdIsereChampionshipFranceBeta19931027RomInfo, rValdIsereChampionshipFranceBeta19931027RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rValdIsereChampionshipFranceRomDesc[] = {
	{ "Val d'Isere Championship (France).sfc",          1048576, 0x1b3114a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rValdIsereChampionshipFrance)
STD_ROM_FN(rValdIsereChampionshipFrance)

struct BurnDriver BurnDrvrValdIsereChampionshipFrance = {
	"Val d'Isere Championship (France)", NULL, NULL, "1986",
	"Val d'Isere Championship (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"Val d'Isere Championship (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rValdIsereChampionshipFranceRomInfo, rValdIsereChampionshipFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVegasStakesEuropeRomDesc[] = {
	{ "Vegas Stakes (Europe).sfc",          1048576, 0xaccb5950, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVegasStakesEurope)
STD_ROM_FN(rVegasStakesEurope)

struct BurnDriver BurnDrvrVegasStakesEurope = {
	"Vegas Stakes (Europe)", NULL, NULL, "1986",
	"Vegas Stakes (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vegas Stakes (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVegasStakesEuropeRomInfo, rVegasStakesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVegasStakesUSARomDesc[] = {
	{ "Vegas Stakes (USA).sfc",          1048576, 0x3a0e935, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVegasStakesUSA)
STD_ROM_FN(rVegasStakesUSA)

struct BurnDriver BurnDrvrVegasStakesUSA = {
	"Vegas Stakes (USA)", NULL, NULL, "1986",
	"Vegas Stakes (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vegas Stakes (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVegasStakesUSARomInfo, rVegasStakesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVenomSpiderManSeparationAnxietyEuropeRomDesc[] = {
	{ "Venom-Spider-Man - Separation Anxiety (Europe).sfc",          3145728, 0xcd274974, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVenomSpiderManSeparationAnxietyEurope)
STD_ROM_FN(rVenomSpiderManSeparationAnxietyEurope)

struct BurnDriver BurnDrvrVenomSpiderManSeparationAnxietyEurope = {
	"Venom-Spider-Man - Separation Anxiety (Europe)", NULL, NULL, "1986",
	"Venom-Spider-Man - Separation Anxiety (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Venom-Spider-Man - Separation Anxiety (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVenomSpiderManSeparationAnxietyEuropeRomInfo, rVenomSpiderManSeparationAnxietyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVenomSpiderManSeparationAnxietyUSARomDesc[] = {
	{ "Venom-Spider-Man - Separation Anxiety (USA).sfc",          3145728, 0x919c509d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVenomSpiderManSeparationAnxietyUSA)
STD_ROM_FN(rVenomSpiderManSeparationAnxietyUSA)

struct BurnDriver BurnDrvrVenomSpiderManSeparationAnxietyUSA = {
	"Venom-Spider-Man - Separation Anxiety (USA)", NULL, NULL, "1986",
	"Venom-Spider-Man - Separation Anxiety (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Venom-Spider-Man - Separation Anxiety (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVenomSpiderManSeparationAnxietyUSARomInfo, rVenomSpiderManSeparationAnxietyUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVerneWorldJapanRomDesc[] = {
	{ "Verne World (Japan).sfc",          2621440, 0x832c8449, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVerneWorldJapan)
STD_ROM_FN(rVerneWorldJapan)

struct BurnDriver BurnDrvrVerneWorldJapan = {
	"Verne World (Japan)", NULL, NULL, "1986",
	"Verne World (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Verne World (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVerneWorldJapanRomInfo, rVerneWorldJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVikingnoDaimeiwakuJapanRomDesc[] = {
	{ "Viking no Daimeiwaku (Japan).sfc",          1048576, 0x50fef979, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVikingnoDaimeiwakuJapan)
STD_ROM_FN(rVikingnoDaimeiwakuJapan)

struct BurnDriver BurnDrvrVikingnoDaimeiwakuJapan = {
	"Viking no Daimeiwaku (Japan)", NULL, NULL, "1986",
	"Viking no Daimeiwaku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Viking no Daimeiwaku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVikingnoDaimeiwakuJapanRomInfo, rVikingnoDaimeiwakuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualBartEuropeRomDesc[] = {
	{ "Virtual Bart (Europe).sfc",          2097152, 0x7801ad97, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualBartEurope)
STD_ROM_FN(rVirtualBartEurope)

struct BurnDriver BurnDrvrVirtualBartEurope = {
	"Virtual Bart (Europe)", NULL, NULL, "1986",
	"Virtual Bart (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Bart (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualBartEuropeRomInfo, rVirtualBartEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualBartJapanRomDesc[] = {
	{ "Virtual Bart (Japan).sfc",          2097152, 0xb5a561bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualBartJapan)
STD_ROM_FN(rVirtualBartJapan)

struct BurnDriver BurnDrvrVirtualBartJapan = {
	"Virtual Bart (Japan)", NULL, NULL, "1986",
	"Virtual Bart (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Bart (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualBartJapanRomInfo, rVirtualBartJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualBartUSABetaRomDesc[] = {
	{ "Virtual Bart (USA) (Beta).sfc",          2097152, 0x14ecc04e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualBartUSABeta)
STD_ROM_FN(rVirtualBartUSABeta)

struct BurnDriver BurnDrvrVirtualBartUSABeta = {
	"Virtual Bart (USA) (Beta)", NULL, NULL, "1986",
	"Virtual Bart (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Bart (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualBartUSABetaRomInfo, rVirtualBartUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualBartUSARomDesc[] = {
	{ "Virtual Bart (USA).sfc",          2097152, 0x5d0addda, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualBartUSA)
STD_ROM_FN(rVirtualBartUSA)

struct BurnDriver BurnDrvrVirtualBartUSA = {
	"Virtual Bart (USA)", NULL, NULL, "1986",
	"Virtual Bart (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Bart (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualBartUSARomInfo, rVirtualBartUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualSoccerEuropeRomDesc[] = {
	{ "Virtual Soccer (Europe).sfc",          1048576, 0xecb8a53a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualSoccerEurope)
STD_ROM_FN(rVirtualSoccerEurope)

struct BurnDriver BurnDrvrVirtualSoccerEurope = {
	"Virtual Soccer (Europe)", NULL, NULL, "1986",
	"Virtual Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualSoccerEuropeRomInfo, rVirtualSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualSoccerUSAProtoRomDesc[] = {
	{ "Virtual Soccer (USA) (Proto).sfc",          1048576, 0x6383d9a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualSoccerUSAProto)
STD_ROM_FN(rVirtualSoccerUSAProto)

struct BurnDriver BurnDrvrVirtualSoccerUSAProto = {
	"Virtual Soccer (USA) (Proto)", NULL, NULL, "1986",
	"Virtual Soccer (USA) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Soccer (USA) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualSoccerUSAProtoRomInfo, rVirtualSoccerUSAProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVirtualWarsJapanRomDesc[] = {
	{ "Virtual Wars (Japan).sfc",          1048576, 0xff3a1dfe, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVirtualWarsJapan)
STD_ROM_FN(rVirtualWarsJapan)

struct BurnDriver BurnDrvrVirtualWarsJapan = {
	"Virtual Wars (Japan)", NULL, NULL, "1986",
	"Virtual Wars (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Virtual Wars (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVirtualWarsJapanRomInfo, rVirtualWarsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVolleyballTwinJapanRomDesc[] = {
	{ "Volleyball Twin (Japan).sfc",          1048576, 0xa3f4af43, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVolleyballTwinJapan)
STD_ROM_FN(rVolleyballTwinJapan)

struct BurnDriver BurnDrvrVolleyballTwinJapan = {
	"Volleyball Twin (Japan)", NULL, NULL, "1986",
	"Volleyball Twin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Volleyball Twin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVolleyballTwinJapanRomInfo, rVolleyballTwinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVortexEuropeEnEsRomDesc[] = {
	{ "Vortex (Europe) (En,Es).sfc",          524288, 0xc6867604, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVortexEuropeEnEs)
STD_ROM_FN(rVortexEuropeEnEs)

struct BurnDriver BurnDrvrVortexEuropeEnEs = {
	"Vortex (Europe) (En,Es)", NULL, NULL, "1986",
	"Vortex (Europe) (En,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vortex (Europe) (En,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVortexEuropeEnEsRomInfo, rVortexEuropeEnEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVortexJapanEnJaRomDesc[] = {
	{ "Vortex (Japan) (En,Ja).sfc",          524288, 0x51e8a19c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVortexJapanEnJa)
STD_ROM_FN(rVortexJapanEnJa)

struct BurnDriver BurnDrvrVortexJapanEnJa = {
	"Vortex (Japan) (En,Ja)", NULL, NULL, "1986",
	"Vortex (Japan) (En,Ja)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vortex (Japan) (En,Ja)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVortexJapanEnJaRomInfo, rVortexJapanEnJaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVortexUSAEnEsRomDesc[] = {
	{ "Vortex (USA) (En,Es).sfc",          524288, 0x31b1ad00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVortexUSAEnEs)
STD_ROM_FN(rVortexUSAEnEs)

struct BurnDriver BurnDrvrVortexUSAEnEs = {
	"Vortex (USA) (En,Es)", NULL, NULL, "1986",
	"Vortex (USA) (En,Es)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vortex (USA) (En,Es)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVortexUSAEnEsRomInfo, rVortexUSAEnEsRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rVsCollectionJapanRomDesc[] = {
	{ "Vs. Collection (Japan).sfc",          524288, 0xa9fcfd53, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rVsCollectionJapan)
STD_ROM_FN(rVsCollectionJapan)

struct BurnDriver BurnDrvrVsCollectionJapan = {
	"Vs. Collection (Japan)", NULL, NULL, "1986",
	"Vs. Collection (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Vs. Collection (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rVsCollectionJapanRomInfo, rVsCollectionJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWagyanParadiseJapanRomDesc[] = {
	{ "Wagyan Paradise (Japan).sfc",          1310720, 0xc06e6621, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWagyanParadiseJapan)
STD_ROM_FN(rWagyanParadiseJapan)

struct BurnDriver BurnDrvrWagyanParadiseJapan = {
	"Wagyan Paradise (Japan)", NULL, NULL, "1986",
	"Wagyan Paradise (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wagyan Paradise (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWagyanParadiseJapanRomInfo, rWagyanParadiseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWaiwaiCheck37GouJapanBSRomDesc[] = {
	{ "Waiwai Check - 3-7 Gou (Japan) (BS).sfc",          1048576, 0x34fb38cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWaiwaiCheck37GouJapanBS)
STD_ROM_FN(rWaiwaiCheck37GouJapanBS)

struct BurnDriver BurnDrvrWaiwaiCheck37GouJapanBS = {
	"Waiwai Check - 3-7 Gou (Japan) (BS)", NULL, NULL, "1986",
	"Waiwai Check - 3-7 Gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Waiwai Check - 3-7 Gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWaiwaiCheck37GouJapanBSRomInfo, rWaiwaiCheck37GouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWakatakaOozumouYumenoKyoudaiTaiketsuJapanRomDesc[] = {
	{ "Wakataka Oozumou - Yume no Kyoudai Taiketsu (Japan).sfc",          1048576, 0x5eafa58, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWakatakaOozumouYumenoKyoudaiTaiketsuJapan)
STD_ROM_FN(rWakatakaOozumouYumenoKyoudaiTaiketsuJapan)

struct BurnDriver BurnDrvrWakatakaOozumouYumenoKyoudaiTaiketsuJapan = {
	"Wakataka Oozumou - Yume no Kyoudai Taiketsu (Japan)", NULL, NULL, "1986",
	"Wakataka Oozumou - Yume no Kyoudai Taiketsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wakataka Oozumou - Yume no Kyoudai Taiketsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWakatakaOozumouYumenoKyoudaiTaiketsuJapanRomInfo, rWakatakaOozumouYumenoKyoudaiTaiketsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWakuwakuSkiWonderSpurJapanRomDesc[] = {
	{ "Wakuwaku Ski Wonder Spur (Japan).sfc",          1048576, 0xfcdab211, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWakuwakuSkiWonderSpurJapan)
STD_ROM_FN(rWakuwakuSkiWonderSpurJapan)

struct BurnDriver BurnDrvrWakuwakuSkiWonderSpurJapan = {
	"Wakuwaku Ski Wonder Spur (Japan)", NULL, NULL, "1986",
	"Wakuwaku Ski Wonder Spur (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wakuwaku Ski Wonder Spur (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWakuwakuSkiWonderSpurJapanRomInfo, rWakuwakuSkiWonderSpurJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWallyoSagaseEhonnoKuninoDaiboukenJapanRomDesc[] = {
	{ "Wally o Sagase! - Ehon no Kuni no Daibouken (Japan).sfc",          1048576, 0x6c864780, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWallyoSagaseEhonnoKuninoDaiboukenJapan)
STD_ROM_FN(rWallyoSagaseEhonnoKuninoDaiboukenJapan)

struct BurnDriver BurnDrvrWallyoSagaseEhonnoKuninoDaiboukenJapan = {
	"Wally o Sagase! - Ehon no Kuni no Daibouken (Japan)", NULL, NULL, "1986",
	"Wally o Sagase! - Ehon no Kuni no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wally o Sagase! - Ehon no Kuni no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWallyoSagaseEhonnoKuninoDaiboukenJapanRomInfo, rWallyoSagaseEhonnoKuninoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWar2410USARomDesc[] = {
	{ "War 2410 (USA).sfc",          2097152, 0xad2dc53a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWar2410USA)
STD_ROM_FN(rWar2410USA)

struct BurnDriver BurnDrvrWar2410USA = {
	"War 2410 (USA)", NULL, NULL, "1986",
	"War 2410 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"War 2410 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWar2410USARomInfo, rWar2410USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWar3010TheRevolutionUSARomDesc[] = {
	{ "War 3010 - The Revolution (USA).sfc",          1048576, 0x98c974be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWar3010TheRevolutionUSA)
STD_ROM_FN(rWar3010TheRevolutionUSA)

struct BurnDriver BurnDrvrWar3010TheRevolutionUSA = {
	"War 3010 - The Revolution (USA)", NULL, NULL, "1986",
	"War 3010 - The Revolution (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"War 3010 - The Revolution (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWar3010TheRevolutionUSARomInfo, rWar3010TheRevolutionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWaratteIitomoTamorinPickJapanRomDesc[] = {
	{ "Waratte Iitomo! Tamorin Pick (Japan).sfc",          1048576, 0x14cc9c86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWaratteIitomoTamorinPickJapan)
STD_ROM_FN(rWaratteIitomoTamorinPickJapan)

struct BurnDriver BurnDrvrWaratteIitomoTamorinPickJapan = {
	"Waratte Iitomo! Tamorin Pick (Japan)", NULL, NULL, "1986",
	"Waratte Iitomo! Tamorin Pick (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Waratte Iitomo! Tamorin Pick (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWaratteIitomoTamorinPickJapanRomInfo, rWaratteIitomoTamorinPickJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarionoMoriFutatabiJapanRomDesc[] = {
	{ "Wario no Mori - Futatabi (Japan).sfc",          1048576, 0xe80783e5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarionoMoriFutatabiJapan)
STD_ROM_FN(rWarionoMoriFutatabiJapan)

struct BurnDriver BurnDrvrWarionoMoriFutatabiJapan = {
	"Wario no Mori - Futatabi (Japan)", NULL, NULL, "1986",
	"Wario no Mori - Futatabi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wario no Mori - Futatabi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarionoMoriFutatabiJapanRomInfo, rWarionoMoriFutatabiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWariosWoodsEuropeRomDesc[] = {
	{ "Wario's Woods (Europe).sfc",          1048576, 0x80b112ca, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWariosWoodsEurope)
STD_ROM_FN(rWariosWoodsEurope)

struct BurnDriver BurnDrvrWariosWoodsEurope = {
	"Wario's Woods (Europe)", NULL, NULL, "1986",
	"Wario's Woods (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wario's Woods (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWariosWoodsEuropeRomInfo, rWariosWoodsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWariosWoodsUSARomDesc[] = {
	{ "Wario's Woods (USA).sfc",          1048576, 0x2d1004f1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWariosWoodsUSA)
STD_ROM_FN(rWariosWoodsUSA)

struct BurnDriver BurnDrvrWariosWoodsUSA = {
	"Wario's Woods (USA)", NULL, NULL, "1986",
	"Wario's Woods (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wario's Woods (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWariosWoodsUSARomInfo, rWariosWoodsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarlockEuropeRomDesc[] = {
	{ "Warlock (Europe).sfc",          2097152, 0xd90530ac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarlockEurope)
STD_ROM_FN(rWarlockEurope)

struct BurnDriver BurnDrvrWarlockEurope = {
	"Warlock (Europe)", NULL, NULL, "1986",
	"Warlock (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Warlock (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarlockEuropeRomInfo, rWarlockEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarlockJapanRomDesc[] = {
	{ "Warlock (Japan).sfc",          2097152, 0xdcadbd80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarlockJapan)
STD_ROM_FN(rWarlockJapan)

struct BurnDriver BurnDrvrWarlockJapan = {
	"Warlock (Japan)", NULL, NULL, "1986",
	"Warlock (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Warlock (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarlockJapanRomInfo, rWarlockJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarlockUSABetaAlt1RomDesc[] = {
	{ "Warlock (USA) (Beta) (Alt 1).sfc",          2097152, 0xaf7c1a95, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarlockUSABetaAlt1)
STD_ROM_FN(rWarlockUSABetaAlt1)

struct BurnDriver BurnDrvrWarlockUSABetaAlt1 = {
	"Warlock (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Warlock (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Warlock (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarlockUSABetaAlt1RomInfo, rWarlockUSABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarlockUSABetaRomDesc[] = {
	{ "Warlock (USA) (Beta).sfc",          2097152, 0xec9450d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarlockUSABeta)
STD_ROM_FN(rWarlockUSABeta)

struct BurnDriver BurnDrvrWarlockUSABeta = {
	"Warlock (USA) (Beta)", NULL, NULL, "1986",
	"Warlock (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Warlock (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarlockUSABetaRomInfo, rWarlockUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarlockUSARomDesc[] = {
	{ "Warlock (USA).sfc",          2097152, 0xa47884d0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarlockUSA)
STD_ROM_FN(rWarlockUSA)

struct BurnDriver BurnDrvrWarlockUSA = {
	"Warlock (USA)", NULL, NULL, "1986",
	"Warlock (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Warlock (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarlockUSARomInfo, rWarlockUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarpSpeedEuropeRomDesc[] = {
	{ "WarpSpeed (Europe).sfc",          1048576, 0x6e7f189f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarpSpeedEurope)
STD_ROM_FN(rWarpSpeedEurope)

struct BurnDriver BurnDrvrWarpSpeedEurope = {
	"WarpSpeed (Europe)", NULL, NULL, "1986",
	"WarpSpeed (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WarpSpeed (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarpSpeedEuropeRomInfo, rWarpSpeedEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWarpSpeedUSARomDesc[] = {
	{ "WarpSpeed (USA).sfc",          1048576, 0x1e10a1d1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWarpSpeedUSA)
STD_ROM_FN(rWarpSpeedUSA)

struct BurnDriver BurnDrvrWarpSpeedUSA = {
	"WarpSpeed (USA)", NULL, NULL, "1986",
	"WarpSpeed (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WarpSpeed (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWarpSpeedUSARomInfo, rWarpSpeedUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWaterworldEuropeRomDesc[] = {
	{ "Waterworld (Europe).sfc",          2097152, 0x7acf2ac6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWaterworldEurope)
STD_ROM_FN(rWaterworldEurope)

struct BurnDriver BurnDrvrWaterworldEurope = {
	"Waterworld (Europe)", NULL, NULL, "1986",
	"Waterworld (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Waterworld (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWaterworldEuropeRomInfo, rWaterworldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWayneGretzkyandtheNHLPAAllStarsUSABetaRomDesc[] = {
	{ "Wayne Gretzky and the NHLPA All-Stars (USA) (Beta).sfc",          1572864, 0x9c1e576a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWayneGretzkyandtheNHLPAAllStarsUSABeta)
STD_ROM_FN(rWayneGretzkyandtheNHLPAAllStarsUSABeta)

struct BurnDriver BurnDrvrWayneGretzkyandtheNHLPAAllStarsUSABeta = {
	"Wayne Gretzky and the NHLPA All-Stars (USA) (Beta)", NULL, NULL, "1986",
	"Wayne Gretzky and the NHLPA All-Stars (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wayne Gretzky and the NHLPA All-Stars (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWayneGretzkyandtheNHLPAAllStarsUSABetaRomInfo, rWayneGretzkyandtheNHLPAAllStarsUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWayneGretzkyandtheNHLPAAllStarsUSARomDesc[] = {
	{ "Wayne Gretzky and the NHLPA All-Stars (USA).sfc",          1572864, 0xb7d22b2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWayneGretzkyandtheNHLPAAllStarsUSA)
STD_ROM_FN(rWayneGretzkyandtheNHLPAAllStarsUSA)

struct BurnDriver BurnDrvrWayneGretzkyandtheNHLPAAllStarsUSA = {
	"Wayne Gretzky and the NHLPA All-Stars (USA)", NULL, NULL, "1986",
	"Wayne Gretzky and the NHLPA All-Stars (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wayne Gretzky and the NHLPA All-Stars (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWayneGretzkyandtheNHLPAAllStarsUSARomInfo, rWayneGretzkyandtheNHLPAAllStarsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWaynesWorldEuropeRomDesc[] = {
	{ "Wayne's World (Europe).sfc",          1048576, 0x94eae7e4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWaynesWorldEurope)
STD_ROM_FN(rWaynesWorldEurope)

struct BurnDriver BurnDrvrWaynesWorldEurope = {
	"Wayne's World (Europe)", NULL, NULL, "1986",
	"Wayne's World (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wayne's World (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWaynesWorldEuropeRomInfo, rWaynesWorldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWaynesWorldUSARomDesc[] = {
	{ "Wayne's World (USA).sfc",          1048576, 0xd426a15, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWaynesWorldUSA)
STD_ROM_FN(rWaynesWorldUSA)

struct BurnDriver BurnDrvrWaynesWorldUSA = {
	"Wayne's World (USA)", NULL, NULL, "1986",
	"Wayne's World (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wayne's World (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWaynesWorldUSARomInfo, rWaynesWorldUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWCWSuperBrawlWrestlingUSARomDesc[] = {
	{ "WCW Super Brawl Wrestling (USA).sfc",          1572864, 0x8b477300, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWCWSuperBrawlWrestlingUSA)
STD_ROM_FN(rWCWSuperBrawlWrestlingUSA)

struct BurnDriver BurnDrvrWCWSuperBrawlWrestlingUSA = {
	"WCW Super Brawl Wrestling (USA)", NULL, NULL, "1986",
	"WCW Super Brawl Wrestling (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WCW Super Brawl Wrestling (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWCWSuperBrawlWrestlingUSARomInfo, rWCWSuperBrawlWrestlingUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWereBackADinosaursStoryEuropeRomDesc[] = {
	{ "We're Back! - A Dinosaur's Story (Europe).sfc",          1048576, 0x33fbcd2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWereBackADinosaursStoryEurope)
STD_ROM_FN(rWereBackADinosaursStoryEurope)

struct BurnDriver BurnDrvrWereBackADinosaursStoryEurope = {
	"We're Back! - A Dinosaur's Story (Europe)", NULL, NULL, "1986",
	"We're Back! - A Dinosaur's Story (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"We're Back! - A Dinosaur's Story (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWereBackADinosaursStoryEuropeRomInfo, rWereBackADinosaursStoryEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWereBackADinosaursStoryUSARomDesc[] = {
	{ "We're Back! - A Dinosaur's Story (USA).sfc",          1048576, 0x3f654414, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWereBackADinosaursStoryUSA)
STD_ROM_FN(rWereBackADinosaursStoryUSA)

struct BurnDriver BurnDrvrWereBackADinosaursStoryUSA = {
	"We're Back! - A Dinosaur's Story (USA)", NULL, NULL, "1986",
	"We're Back! - A Dinosaur's Story (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"We're Back! - A Dinosaur's Story (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWereBackADinosaursStoryUSARomInfo, rWereBackADinosaursStoryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWeaponLordEuropeRomDesc[] = {
	{ "WeaponLord (Europe).sfc",          3145728, 0x19c4b02, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWeaponLordEurope)
STD_ROM_FN(rWeaponLordEurope)

struct BurnDriver BurnDrvrWeaponLordEurope = {
	"WeaponLord (Europe)", NULL, NULL, "1986",
	"WeaponLord (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WeaponLord (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWeaponLordEuropeRomInfo, rWeaponLordEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWeaponLordUSARomDesc[] = {
	{ "WeaponLord (USA).sfc",          3145728, 0xe7e7102, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWeaponLordUSA)
STD_ROM_FN(rWeaponLordUSA)

struct BurnDriver BurnDrvrWeaponLordUSA = {
	"WeaponLord (USA)", NULL, NULL, "1986",
	"WeaponLord (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WeaponLord (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWeaponLordUSARomInfo, rWeaponLordUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWeddingPeachJapanRomDesc[] = {
	{ "Wedding Peach (Japan).sfc",          1048576, 0x5fc89932, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWeddingPeachJapan)
STD_ROM_FN(rWeddingPeachJapan)

struct BurnDriver BurnDrvrWeddingPeachJapan = {
	"Wedding Peach (Japan)", NULL, NULL, "1986",
	"Wedding Peach (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wedding Peach (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWeddingPeachJapanRomInfo, rWeddingPeachJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWheelofFortuneUSARomDesc[] = {
	{ "Wheel of Fortune (USA).sfc",          524288, 0x1c384b11, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWheelofFortuneUSA)
STD_ROM_FN(rWheelofFortuneUSA)

struct BurnDriver BurnDrvrWheelofFortuneUSA = {
	"Wheel of Fortune (USA)", NULL, NULL, "1986",
	"Wheel of Fortune (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wheel of Fortune (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWheelofFortuneUSARomInfo, rWheelofFortuneUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWheelofFortuneDeluxeEditionUSARomDesc[] = {
	{ "Wheel of Fortune - Deluxe Edition (USA).sfc",          524288, 0xd6a5984c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWheelofFortuneDeluxeEditionUSA)
STD_ROM_FN(rWheelofFortuneDeluxeEditionUSA)

struct BurnDriver BurnDrvrWheelofFortuneDeluxeEditionUSA = {
	"Wheel of Fortune - Deluxe Edition (USA)", NULL, NULL, "1986",
	"Wheel of Fortune - Deluxe Edition (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wheel of Fortune - Deluxe Edition (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWheelofFortuneDeluxeEditionUSARomInfo, rWheelofFortuneDeluxeEditionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsItRomDesc[] = {
	{ "Where in the World Is Carmen Sandiego (Europe) (En,Fr,De,Es,It).sfc",          1048576, 0xb7a66353, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsIt)
STD_ROM_FN(rWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsIt)

struct BurnDriver BurnDrvrWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsIt = {
	"Where in the World Is Carmen Sandiego (Europe) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Where in the World Is Carmen Sandiego (Europe) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Where in the World Is Carmen Sandiego (Europe) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsItRomInfo, rWhereintheWorldIsCarmenSandiegoEuropeEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsItRomDesc[] = {
	{ "Where in the World Is Carmen Sandiego (USA) (En,Fr,De,Es,It).sfc",          1048576, 0x9ef83223, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsIt)
STD_ROM_FN(rWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsIt)

struct BurnDriver BurnDrvrWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsIt = {
	"Where in the World Is Carmen Sandiego (USA) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Where in the World Is Carmen Sandiego (USA) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Where in the World Is Carmen Sandiego (USA) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsItRomInfo, rWhereintheWorldIsCarmenSandiegoUSAEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhereinTimeIsCarmenSandiegoUSAEnFrDeEsItRomDesc[] = {
	{ "Where in Time Is Carmen Sandiego (USA) (En,Fr,De,Es,It).sfc",          1048576, 0x1712018b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhereinTimeIsCarmenSandiegoUSAEnFrDeEsIt)
STD_ROM_FN(rWhereinTimeIsCarmenSandiegoUSAEnFrDeEsIt)

struct BurnDriver BurnDrvrWhereinTimeIsCarmenSandiegoUSAEnFrDeEsIt = {
	"Where in Time Is Carmen Sandiego (USA) (En,Fr,De,Es,It)", NULL, NULL, "1986",
	"Where in Time Is Carmen Sandiego (USA) (En,Fr,De,Es,It)\0", NULL, "Nintendo", "Miscellaneous",
	L"Where in Time Is Carmen Sandiego (USA) (En,Fr,De,Es,It)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhereinTimeIsCarmenSandiegoUSAEnFrDeEsItRomInfo, rWhereinTimeIsCarmenSandiegoUSAEnFrDeEsItRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhirloEuropeRomDesc[] = {
	{ "Whirlo (Europe).sfc",          1048576, 0x7379e3b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhirloEurope)
STD_ROM_FN(rWhirloEurope)

struct BurnDriver BurnDrvrWhirloEurope = {
	"Whirlo (Europe)", NULL, NULL, "1986",
	"Whirlo (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Whirlo (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhirloEuropeRomInfo, rWhirloEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhizzEuropeRomDesc[] = {
	{ "Whizz (Europe).sfc",          1048576, 0x762d214f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhizzEurope)
STD_ROM_FN(rWhizzEurope)

struct BurnDriver BurnDrvrWhizzEurope = {
	"Whizz (Europe)", NULL, NULL, "1986",
	"Whizz (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Whizz (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhizzEuropeRomInfo, rWhizzEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWhizzUSARomDesc[] = {
	{ "Whizz (USA).sfc",          1048576, 0xea8df334, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWhizzUSA)
STD_ROM_FN(rWhizzUSA)

struct BurnDriver BurnDrvrWhizzUSA = {
	"Whizz (USA)", NULL, NULL, "1986",
	"Whizz (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Whizz (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWhizzUSARomInfo, rWhizzUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildGunsEuropeRomDesc[] = {
	{ "Wild Guns (Europe).sfc",          1048576, 0x6e939dd3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildGunsEurope)
STD_ROM_FN(rWildGunsEurope)

struct BurnDriver BurnDrvrWildGunsEurope = {
	"Wild Guns (Europe)", NULL, NULL, "1986",
	"Wild Guns (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Guns (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildGunsEuropeRomInfo, rWildGunsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildGunsJapanBetaRomDesc[] = {
	{ "Wild Guns (Japan) (Beta).sfc",          1048576, 0xceaac33d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildGunsJapanBeta)
STD_ROM_FN(rWildGunsJapanBeta)

struct BurnDriver BurnDrvrWildGunsJapanBeta = {
	"Wild Guns (Japan) (Beta)", NULL, NULL, "1986",
	"Wild Guns (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Guns (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildGunsJapanBetaRomInfo, rWildGunsJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildGunsJapanSampleRomDesc[] = {
	{ "Wild Guns (Japan) (Sample).sfc",          1048576, 0x3ca1ec46, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildGunsJapanSample)
STD_ROM_FN(rWildGunsJapanSample)

struct BurnDriver BurnDrvrWildGunsJapanSample = {
	"Wild Guns (Japan) (Sample)", NULL, NULL, "1986",
	"Wild Guns (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Guns (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildGunsJapanSampleRomInfo, rWildGunsJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildGunsJapanRomDesc[] = {
	{ "Wild Guns (Japan).sfc",          1048576, 0x96f948cb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildGunsJapan)
STD_ROM_FN(rWildGunsJapan)

struct BurnDriver BurnDrvrWildGunsJapan = {
	"Wild Guns (Japan)", NULL, NULL, "1986",
	"Wild Guns (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Guns (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildGunsJapanRomInfo, rWildGunsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildGunsUSARomDesc[] = {
	{ "Wild Guns (USA).sfc",          1048576, 0x85d8d14, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildGunsUSA)
STD_ROM_FN(rWildGunsUSA)

struct BurnDriver BurnDrvrWildGunsUSA = {
	"Wild Guns (USA)", NULL, NULL, "1986",
	"Wild Guns (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Guns (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildGunsUSARomInfo, rWildGunsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildTraxJapanRev1RomDesc[] = {
	{ "Wild Trax (Japan) (Rev 1).sfc",          1048576, 0x17c68c5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildTraxJapanRev1)
STD_ROM_FN(rWildTraxJapanRev1)

struct BurnDriver BurnDrvrWildTraxJapanRev1 = {
	"Wild Trax (Japan) (Rev 1)", NULL, NULL, "1986",
	"Wild Trax (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wild Trax (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildTraxJapanRev1RomInfo, rWildTraxJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWildSnakeUSARomDesc[] = {
	{ "WildSnake (USA).sfc",          524288, 0x25adbf9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWildSnakeUSA)
STD_ROM_FN(rWildSnakeUSA)

struct BurnDriver BurnDrvrWildSnakeUSA = {
	"WildSnake (USA)", NULL, NULL, "1986",
	"WildSnake (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WildSnake (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWildSnakeUSARomInfo, rWildSnakeUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWileECoyotesRevengeEuropeProtoRomDesc[] = {
	{ "Wile E Coyote's Revenge (Europe) (Proto).sfc",          2097152, 0xb0e684cc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWileECoyotesRevengeEuropeProto)
STD_ROM_FN(rWileECoyotesRevengeEuropeProto)

struct BurnDriver BurnDrvrWileECoyotesRevengeEuropeProto = {
	"Wile E Coyote's Revenge (Europe) (Proto)", NULL, NULL, "1986",
	"Wile E Coyote's Revenge (Europe) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wile E Coyote's Revenge (Europe) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWileECoyotesRevengeEuropeProtoRomInfo, rWileECoyotesRevengeEuropeProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderEuropeRomDesc[] = {
	{ "Wing Commander (Europe).sfc",          1048576, 0xa7a22a40, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderEurope)
STD_ROM_FN(rWingCommanderEurope)

struct BurnDriver BurnDrvrWingCommanderEurope = {
	"Wing Commander (Europe)", NULL, NULL, "1986",
	"Wing Commander (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderEuropeRomInfo, rWingCommanderEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderGermanyRomDesc[] = {
	{ "Wing Commander (Germany).sfc",          1048576, 0xc8a95814, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderGermany)
STD_ROM_FN(rWingCommanderGermany)

struct BurnDriver BurnDrvrWingCommanderGermany = {
	"Wing Commander (Germany)", NULL, NULL, "1986",
	"Wing Commander (Germany)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander (Germany)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderGermanyRomInfo, rWingCommanderGermanyRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderJapanRomDesc[] = {
	{ "Wing Commander (Japan).sfc",          1048576, 0x42299cea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderJapan)
STD_ROM_FN(rWingCommanderJapan)

struct BurnDriver BurnDrvrWingCommanderJapan = {
	"Wing Commander (Japan)", NULL, NULL, "1986",
	"Wing Commander (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderJapanRomInfo, rWingCommanderJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderUSARomDesc[] = {
	{ "Wing Commander (USA).sfc",          1048576, 0x65ad4f8d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderUSA)
STD_ROM_FN(rWingCommanderUSA)

struct BurnDriver BurnDrvrWingCommanderUSA = {
	"Wing Commander (USA)", NULL, NULL, "1986",
	"Wing Commander (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderUSARomInfo, rWingCommanderUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderTheSecretMissionsEuropeBetaRomDesc[] = {
	{ "Wing Commander - The Secret Missions (Europe) (Beta).sfc",          1048576, 0xeac3e786, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderTheSecretMissionsEuropeBeta)
STD_ROM_FN(rWingCommanderTheSecretMissionsEuropeBeta)

struct BurnDriver BurnDrvrWingCommanderTheSecretMissionsEuropeBeta = {
	"Wing Commander - The Secret Missions (Europe) (Beta)", NULL, NULL, "1986",
	"Wing Commander - The Secret Missions (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander - The Secret Missions (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderTheSecretMissionsEuropeBetaRomInfo, rWingCommanderTheSecretMissionsEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderTheSecretMissionsEuropeRomDesc[] = {
	{ "Wing Commander - The Secret Missions (Europe).sfc",          1048576, 0x6ef77f07, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderTheSecretMissionsEurope)
STD_ROM_FN(rWingCommanderTheSecretMissionsEurope)

struct BurnDriver BurnDrvrWingCommanderTheSecretMissionsEurope = {
	"Wing Commander - The Secret Missions (Europe)", NULL, NULL, "1986",
	"Wing Commander - The Secret Missions (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander - The Secret Missions (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderTheSecretMissionsEuropeRomInfo, rWingCommanderTheSecretMissionsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWingCommanderTheSecretMissionsUSARomDesc[] = {
	{ "Wing Commander - The Secret Missions (USA).sfc",          1048576, 0xd5e9af7f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWingCommanderTheSecretMissionsUSA)
STD_ROM_FN(rWingCommanderTheSecretMissionsUSA)

struct BurnDriver BurnDrvrWingCommanderTheSecretMissionsUSA = {
	"Wing Commander - The Secret Missions (USA)", NULL, NULL, "1986",
	"Wing Commander - The Secret Missions (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wing Commander - The Secret Missions (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWingCommanderTheSecretMissionsUSARomInfo, rWingCommanderTheSecretMissionsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWings2AcesHighUSABetaRomDesc[] = {
	{ "Wings 2 - Aces High (USA) (Beta).sfc",          524288, 0xcc2e31d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWings2AcesHighUSABeta)
STD_ROM_FN(rWings2AcesHighUSABeta)

struct BurnDriver BurnDrvrWings2AcesHighUSABeta = {
	"Wings 2 - Aces High (USA) (Beta)", NULL, NULL, "1986",
	"Wings 2 - Aces High (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wings 2 - Aces High (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWings2AcesHighUSABetaRomInfo, rWings2AcesHighUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWings2AcesHighUSARomDesc[] = {
	{ "Wings 2 - Aces High (USA).sfc",          524288, 0x1637d1a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWings2AcesHighUSA)
STD_ROM_FN(rWings2AcesHighUSA)

struct BurnDriver BurnDrvrWings2AcesHighUSA = {
	"Wings 2 - Aces High (USA)", NULL, NULL, "1986",
	"Wings 2 - Aces High (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wings 2 - Aces High (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWings2AcesHighUSARomInfo, rWings2AcesHighUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinningPostJapanRev1RomDesc[] = {
	{ "Winning Post (Japan) (Rev 1).sfc",          2097152, 0x5b30edd9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinningPostJapanRev1)
STD_ROM_FN(rWinningPostJapanRev1)

struct BurnDriver BurnDrvrWinningPostJapanRev1 = {
	"Winning Post (Japan) (Rev 1)", NULL, NULL, "1986",
	"Winning Post (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winning Post (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinningPostJapanRev1RomInfo, rWinningPostJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinningPostJapanRomDesc[] = {
	{ "Winning Post (Japan).sfc",          2097152, 0xe0af8150, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinningPostJapan)
STD_ROM_FN(rWinningPostJapan)

struct BurnDriver BurnDrvrWinningPostJapan = {
	"Winning Post (Japan)", NULL, NULL, "1986",
	"Winning Post (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winning Post (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinningPostJapanRomInfo, rWinningPostJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinningPost2JapanRomDesc[] = {
	{ "Winning Post 2 (Japan).sfc",          3145728, 0x20670c86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinningPost2Japan)
STD_ROM_FN(rWinningPost2Japan)

struct BurnDriver BurnDrvrWinningPost2Japan = {
	"Winning Post 2 (Japan)", NULL, NULL, "1986",
	"Winning Post 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winning Post 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinningPost2JapanRomInfo, rWinningPost2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinningPost2Program96JapanRev1RomDesc[] = {
	{ "Winning Post 2 - Program '96 (Japan) (Rev 1).sfc",          3145728, 0xf1f43896, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinningPost2Program96JapanRev1)
STD_ROM_FN(rWinningPost2Program96JapanRev1)

struct BurnDriver BurnDrvrWinningPost2Program96JapanRev1 = {
	"Winning Post 2 - Program '96 (Japan) (Rev 1)", NULL, NULL, "1986",
	"Winning Post 2 - Program '96 (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winning Post 2 - Program '96 (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinningPost2Program96JapanRev1RomInfo, rWinningPost2Program96JapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinningPost2Program96JapanRomDesc[] = {
	{ "Winning Post 2 - Program '96 (Japan).sfc",          3145728, 0x92954723, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinningPost2Program96Japan)
STD_ROM_FN(rWinningPost2Program96Japan)

struct BurnDriver BurnDrvrWinningPost2Program96Japan = {
	"Winning Post 2 - Program '96 (Japan)", NULL, NULL, "1986",
	"Winning Post 2 - Program '96 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winning Post 2 - Program '96 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinningPost2Program96JapanRomInfo, rWinningPost2Program96JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinterGoldEuropeRomDesc[] = {
	{ "Winter Gold (Europe).sfc",          2097152, 0xf8378a6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinterGoldEurope)
STD_ROM_FN(rWinterGoldEurope)

struct BurnDriver BurnDrvrWinterGoldEurope = {
	"Winter Gold (Europe)", NULL, NULL, "1986",
	"Winter Gold (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winter Gold (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinterGoldEuropeRomInfo, rWinterGoldEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNoRomDesc[] = {
	{ "Winter Olympic Games - Lillehammer '94 (Europe) (En,Fr,De,Es,It,Pt,Sv,No).sfc",          2097152, 0xfcb1c794, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNo)
STD_ROM_FN(rWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNo)

struct BurnDriver BurnDrvrWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNo = {
	"Winter Olympic Games - Lillehammer '94 (Europe) (En,Fr,De,Es,It,Pt,Sv,No)", NULL, NULL, "1986",
	"Winter Olympic Games - Lillehammer '94 (Europe) (En,Fr,De,Es,It,Pt,Sv,No)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winter Olympic Games - Lillehammer '94 (Europe) (En,Fr,De,Es,It,Pt,Sv,No)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNoRomInfo, rWinterOlympicGamesLillehammer94EuropeEnFrDeEsItPtSvNoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNoRomDesc[] = {
	{ "Winter Olympic Games - Lillehammer '94 (USA) (En,Fr,De,Es,It,Pt,Sv,No).sfc",          2097152, 0x704abe4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNo)
STD_ROM_FN(rWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNo)

struct BurnDriver BurnDrvrWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNo = {
	"Winter Olympic Games - Lillehammer '94 (USA) (En,Fr,De,Es,It,Pt,Sv,No)", NULL, NULL, "1986",
	"Winter Olympic Games - Lillehammer '94 (USA) (En,Fr,De,Es,It,Pt,Sv,No)\0", NULL, "Nintendo", "Miscellaneous",
	L"Winter Olympic Games - Lillehammer '94 (USA) (En,Fr,De,Es,It,Pt,Sv,No)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNoRomInfo, rWinterOlympicGamesLillehammer94USAEnFrDeEsItPtSvNoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizapAnkokunoOuJapanBetaRomDesc[] = {
	{ "Wizap! - Ankoku no Ou (Japan) (Beta).sfc",          2097152, 0xfd4da80c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizapAnkokunoOuJapanBeta)
STD_ROM_FN(rWizapAnkokunoOuJapanBeta)

struct BurnDriver BurnDrvrWizapAnkokunoOuJapanBeta = {
	"Wizap! - Ankoku no Ou (Japan) (Beta)", NULL, NULL, "1986",
	"Wizap! - Ankoku no Ou (Japan) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizap! - Ankoku no Ou (Japan) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizapAnkokunoOuJapanBetaRomInfo, rWizapAnkokunoOuJapanBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizapAnkokunoOuJapanRomDesc[] = {
	{ "Wizap! - Ankoku no Ou (Japan).sfc",          2097152, 0x630f8d0d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizapAnkokunoOuJapan)
STD_ROM_FN(rWizapAnkokunoOuJapan)

struct BurnDriver BurnDrvrWizapAnkokunoOuJapan = {
	"Wizap! - Ankoku no Ou (Japan)", NULL, NULL, "1986",
	"Wizap! - Ankoku no Ou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizap! - Ankoku no Ou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizapAnkokunoOuJapanRomInfo, rWizapAnkokunoOuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardofOzTheUSARomDesc[] = {
	{ "Wizard of Oz, The (USA).sfc",          1048576, 0xd5ce2db5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardofOzTheUSA)
STD_ROM_FN(rWizardofOzTheUSA)

struct BurnDriver BurnDrvrWizardofOzTheUSA = {
	"Wizard of Oz, The (USA)", NULL, NULL, "1986",
	"Wizard of Oz, The (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizard of Oz, The (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardofOzTheUSARomInfo, rWizardofOzTheUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryGaidenIVTaimanoKodouJapanRev1RomDesc[] = {
	{ "Wizardry Gaiden IV - Taima no Kodou (Japan) (Rev 1).sfc",          4194304, 0x1703d522, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryGaidenIVTaimanoKodouJapanRev1)
STD_ROM_FN(rWizardryGaidenIVTaimanoKodouJapanRev1)

struct BurnDriver BurnDrvrWizardryGaidenIVTaimanoKodouJapanRev1 = {
	"Wizardry Gaiden IV - Taima no Kodou (Japan) (Rev 1)", NULL, NULL, "1986",
	"Wizardry Gaiden IV - Taima no Kodou (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry Gaiden IV - Taima no Kodou (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryGaidenIVTaimanoKodouJapanRev1RomInfo, rWizardryGaidenIVTaimanoKodouJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryGaidenIVTaimanoKodouJapanRomDesc[] = {
	{ "Wizardry Gaiden IV - Taima no Kodou (Japan).sfc",          4194304, 0x85a217b5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryGaidenIVTaimanoKodouJapan)
STD_ROM_FN(rWizardryGaidenIVTaimanoKodouJapan)

struct BurnDriver BurnDrvrWizardryGaidenIVTaimanoKodouJapan = {
	"Wizardry Gaiden IV - Taima no Kodou (Japan)", NULL, NULL, "1986",
	"Wizardry Gaiden IV - Taima no Kodou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry Gaiden IV - Taima no Kodou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryGaidenIVTaimanoKodouJapanRomInfo, rWizardryGaidenIVTaimanoKodouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryIIIIIIStoryofLlylgamynJapanNPRomDesc[] = {
	{ "Wizardry I-II-III - Story of Llylgamyn (Japan) (NP).sfc",          4194304, 0xb8a72553, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryIIIIIIStoryofLlylgamynJapanNP)
STD_ROM_FN(rWizardryIIIIIIStoryofLlylgamynJapanNP)

struct BurnDriver BurnDrvrWizardryIIIIIIStoryofLlylgamynJapanNP = {
	"Wizardry I-II-III - Story of Llylgamyn (Japan) (NP)", NULL, NULL, "1986",
	"Wizardry I-II-III - Story of Llylgamyn (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry I-II-III - Story of Llylgamyn (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryIIIIIIStoryofLlylgamynJapanNPRomInfo, rWizardryIIIIIIStoryofLlylgamynJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryVHeartoftheMaelstromUSARomDesc[] = {
	{ "Wizardry V - Heart of the Maelstrom (USA).sfc",          1048576, 0xd8fddd76, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryVHeartoftheMaelstromUSA)
STD_ROM_FN(rWizardryVHeartoftheMaelstromUSA)

struct BurnDriver BurnDrvrWizardryVHeartoftheMaelstromUSA = {
	"Wizardry V - Heart of the Maelstrom (USA)", NULL, NULL, "1986",
	"Wizardry V - Heart of the Maelstrom (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry V - Heart of the Maelstrom (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryVHeartoftheMaelstromUSARomInfo, rWizardryVHeartoftheMaelstromUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryVSaikanoChuushinJapanBSRomDesc[] = {
	{ "Wizardry V - Saika no Chuushin (Japan) (BS).sfc",          1048576, 0x49ef7aa9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryVSaikanoChuushinJapanBS)
STD_ROM_FN(rWizardryVSaikanoChuushinJapanBS)

struct BurnDriver BurnDrvrWizardryVSaikanoChuushinJapanBS = {
	"Wizardry V - Saika no Chuushin (Japan) (BS)", NULL, NULL, "1986",
	"Wizardry V - Saika no Chuushin (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry V - Saika no Chuushin (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryVSaikanoChuushinJapanBSRomInfo, rWizardryVSaikanoChuushinJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryVSaikanoChuushinJapanRomDesc[] = {
	{ "Wizardry V - Saika no Chuushin (Japan).sfc",          1048576, 0x547cf7b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryVSaikanoChuushinJapan)
STD_ROM_FN(rWizardryVSaikanoChuushinJapan)

struct BurnDriver BurnDrvrWizardryVSaikanoChuushinJapan = {
	"Wizardry V - Saika no Chuushin (Japan)", NULL, NULL, "1986",
	"Wizardry V - Saika no Chuushin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry V - Saika no Chuushin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryVSaikanoChuushinJapanRomInfo, rWizardryVSaikanoChuushinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWizardryVIKindannoMahitsuJapanRomDesc[] = {
	{ "Wizardry VI - Kindan no Mahitsu (Japan).sfc",          3145728, 0xc17ecba5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWizardryVIKindannoMahitsuJapan)
STD_ROM_FN(rWizardryVIKindannoMahitsuJapan)

struct BurnDriver BurnDrvrWizardryVIKindannoMahitsuJapan = {
	"Wizardry VI - Kindan no Mahitsu (Japan)", NULL, NULL, "1986",
	"Wizardry VI - Kindan no Mahitsu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wizardry VI - Kindan no Mahitsu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWizardryVIKindannoMahitsuJapanRomInfo, rWizardryVIKindannoMahitsuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolfchildUSARomDesc[] = {
	{ "Wolfchild (USA).sfc",          1048576, 0x13bfb3a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolfchildUSA)
STD_ROM_FN(rWolfchildUSA)

struct BurnDriver BurnDrvrWolfchildUSA = {
	"Wolfchild (USA)", NULL, NULL, "1986",
	"Wolfchild (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolfchild (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolfchildUSARomInfo, rWolfchildUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolfenstein3DEuropeRomDesc[] = {
	{ "Wolfenstein 3D (Europe).sfc",          1048576, 0x6a455ee2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolfenstein3DEurope)
STD_ROM_FN(rWolfenstein3DEurope)

struct BurnDriver BurnDrvrWolfenstein3DEurope = {
	"Wolfenstein 3D (Europe)", NULL, NULL, "1986",
	"Wolfenstein 3D (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolfenstein 3D (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolfenstein3DEuropeRomInfo, rWolfenstein3DEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolfenstein3DUSABetaRomDesc[] = {
	{ "Wolfenstein 3D (USA) (Beta).sfc",          1048576, 0x63e442b4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolfenstein3DUSABeta)
STD_ROM_FN(rWolfenstein3DUSABeta)

struct BurnDriver BurnDrvrWolfenstein3DUSABeta = {
	"Wolfenstein 3D (USA) (Beta)", NULL, NULL, "1986",
	"Wolfenstein 3D (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolfenstein 3D (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolfenstein3DUSABetaRomInfo, rWolfenstein3DUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolfenstein3DUSARomDesc[] = {
	{ "Wolfenstein 3D (USA).sfc",          1048576, 0x6582a8f5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolfenstein3DUSA)
STD_ROM_FN(rWolfenstein3DUSA)

struct BurnDriver BurnDrvrWolfenstein3DUSA = {
	"Wolfenstein 3D (USA)", NULL, NULL, "1986",
	"Wolfenstein 3D (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolfenstein 3D (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolfenstein3DUSARomInfo, rWolfenstein3DUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolfenstein3DTheClawofEisenfaustJapanRomDesc[] = {
	{ "Wolfenstein 3D - The Claw of Eisenfaust (Japan).sfc",          1048576, 0xcc47b8f9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolfenstein3DTheClawofEisenfaustJapan)
STD_ROM_FN(rWolfenstein3DTheClawofEisenfaustJapan)

struct BurnDriver BurnDrvrWolfenstein3DTheClawofEisenfaustJapan = {
	"Wolfenstein 3D - The Claw of Eisenfaust (Japan)", NULL, NULL, "1986",
	"Wolfenstein 3D - The Claw of Eisenfaust (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolfenstein 3D - The Claw of Eisenfaust (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolfenstein3DTheClawofEisenfaustJapanRomInfo, rWolfenstein3DTheClawofEisenfaustJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolverineAdamantiumRageEuropeRomDesc[] = {
	{ "Wolverine - Adamantium Rage (Europe).sfc",          2097152, 0x78fc0d86, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolverineAdamantiumRageEurope)
STD_ROM_FN(rWolverineAdamantiumRageEurope)

struct BurnDriver BurnDrvrWolverineAdamantiumRageEurope = {
	"Wolverine - Adamantium Rage (Europe)", NULL, NULL, "1986",
	"Wolverine - Adamantium Rage (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolverine - Adamantium Rage (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolverineAdamantiumRageEuropeRomInfo, rWolverineAdamantiumRageEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolverineAdamantiumRageJapanRomDesc[] = {
	{ "Wolverine - Adamantium Rage (Japan).sfc",          2097152, 0xd9119d9b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolverineAdamantiumRageJapan)
STD_ROM_FN(rWolverineAdamantiumRageJapan)

struct BurnDriver BurnDrvrWolverineAdamantiumRageJapan = {
	"Wolverine - Adamantium Rage (Japan)", NULL, NULL, "1986",
	"Wolverine - Adamantium Rage (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolverine - Adamantium Rage (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolverineAdamantiumRageJapanRomInfo, rWolverineAdamantiumRageJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolverineAdamantiumRageUSABetaAlt1RomDesc[] = {
	{ "Wolverine - Adamantium Rage (USA) (Beta) (Alt 1).sfc",          2097152, 0x98455315, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolverineAdamantiumRageUSABetaAlt1)
STD_ROM_FN(rWolverineAdamantiumRageUSABetaAlt1)

struct BurnDriver BurnDrvrWolverineAdamantiumRageUSABetaAlt1 = {
	"Wolverine - Adamantium Rage (USA) (Beta) (Alt 1)", NULL, NULL, "1986",
	"Wolverine - Adamantium Rage (USA) (Beta) (Alt 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolverine - Adamantium Rage (USA) (Beta) (Alt 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolverineAdamantiumRageUSABetaAlt1RomInfo, rWolverineAdamantiumRageUSABetaAlt1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolverineAdamantiumRageUSABetaRomDesc[] = {
	{ "Wolverine - Adamantium Rage (USA) (Beta).sfc",          2097152, 0x7ac71f65, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolverineAdamantiumRageUSABeta)
STD_ROM_FN(rWolverineAdamantiumRageUSABeta)

struct BurnDriver BurnDrvrWolverineAdamantiumRageUSABeta = {
	"Wolverine - Adamantium Rage (USA) (Beta)", NULL, NULL, "1986",
	"Wolverine - Adamantium Rage (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolverine - Adamantium Rage (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolverineAdamantiumRageUSABetaRomInfo, rWolverineAdamantiumRageUSABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWolverineAdamantiumRageUSARomDesc[] = {
	{ "Wolverine - Adamantium Rage (USA).sfc",          2097152, 0x4e62d6bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWolverineAdamantiumRageUSA)
STD_ROM_FN(rWolverineAdamantiumRageUSA)

struct BurnDriver BurnDrvrWolverineAdamantiumRageUSA = {
	"Wolverine - Adamantium Rage (USA)", NULL, NULL, "1986",
	"Wolverine - Adamantium Rage (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wolverine - Adamantium Rage (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWolverineAdamantiumRageUSARomInfo, rWolverineAdamantiumRageUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWonderProjectJKikainoShounenPinoJapanRomDesc[] = {
	{ "Wonder Project J - Kikai no Shounen Pino (Japan).sfc",          3145728, 0xaf8f4db9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWonderProjectJKikainoShounenPinoJapan)
STD_ROM_FN(rWonderProjectJKikainoShounenPinoJapan)

struct BurnDriver BurnDrvrWonderProjectJKikainoShounenPinoJapan = {
	"Wonder Project J - Kikai no Shounen Pino (Japan)", NULL, NULL, "1986",
	"Wonder Project J - Kikai no Shounen Pino (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wonder Project J - Kikai no Shounen Pino (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWonderProjectJKikainoShounenPinoJapanRomInfo, rWonderProjectJKikainoShounenPinoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWondrousMagicJapanRomDesc[] = {
	{ "Wondrous Magic (Japan).sfc",          2097152, 0x4ffd52a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWondrousMagicJapan)
STD_ROM_FN(rWondrousMagicJapan)

struct BurnDriver BurnDrvrWondrousMagicJapan = {
	"Wondrous Magic (Japan)", NULL, NULL, "1986",
	"Wondrous Magic (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wondrous Magic (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWondrousMagicJapanRomInfo, rWondrousMagicJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWordtrisUSARomDesc[] = {
	{ "Wordtris (USA).sfc",          524288, 0x856ab0bb, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWordtrisUSA)
STD_ROM_FN(rWordtrisUSA)

struct BurnDriver BurnDrvrWordtrisUSA = {
	"Wordtris (USA)", NULL, NULL, "1986",
	"Wordtris (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wordtris (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWordtrisUSARomInfo, rWordtrisUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldClassRugbyEuropeRomDesc[] = {
	{ "World Class Rugby (Europe).sfc",          524288, 0xd73d6c80, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldClassRugbyEurope)
STD_ROM_FN(rWorldClassRugbyEurope)

struct BurnDriver BurnDrvrWorldClassRugbyEurope = {
	"World Class Rugby (Europe)", NULL, NULL, "1986",
	"World Class Rugby (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Class Rugby (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldClassRugbyEuropeRomInfo, rWorldClassRugbyEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldClassRugbyFranceRomDesc[] = {
	{ "World Class Rugby (France).sfc",          524288, 0x8effc2d4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldClassRugbyFrance)
STD_ROM_FN(rWorldClassRugbyFrance)

struct BurnDriver BurnDrvrWorldClassRugbyFrance = {
	"World Class Rugby (France)", NULL, NULL, "1986",
	"World Class Rugby (France)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Class Rugby (France)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldClassRugbyFranceRomInfo, rWorldClassRugbyFranceRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldClassRugbyJapanRomDesc[] = {
	{ "World Class Rugby (Japan).sfc",          524288, 0x3bb679d9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldClassRugbyJapan)
STD_ROM_FN(rWorldClassRugbyJapan)

struct BurnDriver BurnDrvrWorldClassRugbyJapan = {
	"World Class Rugby (Japan)", NULL, NULL, "1986",
	"World Class Rugby (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Class Rugby (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldClassRugbyJapanRomInfo, rWorldClassRugbyJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldClassRugby2KokunaiGekitouHen93JapanRomDesc[] = {
	{ "World Class Rugby 2 - Kokunai Gekitou Hen '93 (Japan).sfc",          1048576, 0x762ea6e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldClassRugby2KokunaiGekitouHen93Japan)
STD_ROM_FN(rWorldClassRugby2KokunaiGekitouHen93Japan)

struct BurnDriver BurnDrvrWorldClassRugby2KokunaiGekitouHen93Japan = {
	"World Class Rugby 2 - Kokunai Gekitou Hen '93 (Japan)", NULL, NULL, "1986",
	"World Class Rugby 2 - Kokunai Gekitou Hen '93 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Class Rugby 2 - Kokunai Gekitou Hen '93 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldClassRugby2KokunaiGekitouHen93JapanRomInfo, rWorldClassRugby2KokunaiGekitouHen93JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldClassServiceSuperNintendoTesterUSARomDesc[] = {
	{ "World Class Service Super Nintendo Tester (USA).sfc",          655360, 0x71db3bc5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldClassServiceSuperNintendoTesterUSA)
STD_ROM_FN(rWorldClassServiceSuperNintendoTesterUSA)

struct BurnDriver BurnDrvrWorldClassServiceSuperNintendoTesterUSA = {
	"World Class Service Super Nintendo Tester (USA)", NULL, NULL, "1986",
	"World Class Service Super Nintendo Tester (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Class Service Super Nintendo Tester (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldClassServiceSuperNintendoTesterUSARomInfo, rWorldClassServiceSuperNintendoTesterUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupStrikerEuropeEnFrDeBetaRomDesc[] = {
	{ "World Cup Striker (Europe) (En,Fr,De) (Beta).sfc",          1048576, 0x6928d52a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupStrikerEuropeEnFrDeBeta)
STD_ROM_FN(rWorldCupStrikerEuropeEnFrDeBeta)

struct BurnDriver BurnDrvrWorldCupStrikerEuropeEnFrDeBeta = {
	"World Cup Striker (Europe) (En,Fr,De) (Beta)", NULL, NULL, "1986",
	"World Cup Striker (Europe) (En,Fr,De) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup Striker (Europe) (En,Fr,De) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupStrikerEuropeEnFrDeBetaRomInfo, rWorldCupStrikerEuropeEnFrDeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupStrikerEuropeEnFrDeRomDesc[] = {
	{ "World Cup Striker (Europe) (En,Fr,De).sfc",          1048576, 0x6d16f5e7, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupStrikerEuropeEnFrDe)
STD_ROM_FN(rWorldCupStrikerEuropeEnFrDe)

struct BurnDriver BurnDrvrWorldCupStrikerEuropeEnFrDe = {
	"World Cup Striker (Europe) (En,Fr,De)", NULL, NULL, "1986",
	"World Cup Striker (Europe) (En,Fr,De)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup Striker (Europe) (En,Fr,De)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupStrikerEuropeEnFrDeRomInfo, rWorldCupStrikerEuropeEnFrDeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupStrikerJapanRomDesc[] = {
	{ "World Cup Striker (Japan).sfc",          1048576, 0xcab690a1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupStrikerJapan)
STD_ROM_FN(rWorldCupStrikerJapan)

struct BurnDriver BurnDrvrWorldCupStrikerJapan = {
	"World Cup Striker (Japan)", NULL, NULL, "1986",
	"World Cup Striker (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup Striker (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupStrikerJapanRomInfo, rWorldCupStrikerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupUSA94EuropeEnFrDeEsItNlPtSvRomDesc[] = {
	{ "World Cup USA 94 (Europe) (En,Fr,De,Es,It,Nl,Pt,Sv).sfc",          1572864, 0x5eb18063, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupUSA94EuropeEnFrDeEsItNlPtSv)
STD_ROM_FN(rWorldCupUSA94EuropeEnFrDeEsItNlPtSv)

struct BurnDriver BurnDrvrWorldCupUSA94EuropeEnFrDeEsItNlPtSv = {
	"World Cup USA 94 (Europe) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, "1986",
	"World Cup USA 94 (Europe) (En,Fr,De,Es,It,Nl,Pt,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup USA 94 (Europe) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupUSA94EuropeEnFrDeEsItNlPtSvRomInfo, rWorldCupUSA94EuropeEnFrDeEsItNlPtSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupUSA94JapanEnFrDeEsItNlPtSvRomDesc[] = {
	{ "World Cup USA 94 (Japan) (En,Fr,De,Es,It,Nl,Pt,Sv).sfc",          1572864, 0x24f92540, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupUSA94JapanEnFrDeEsItNlPtSv)
STD_ROM_FN(rWorldCupUSA94JapanEnFrDeEsItNlPtSv)

struct BurnDriver BurnDrvrWorldCupUSA94JapanEnFrDeEsItNlPtSv = {
	"World Cup USA 94 (Japan) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, "1986",
	"World Cup USA 94 (Japan) (En,Fr,De,Es,It,Nl,Pt,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup USA 94 (Japan) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupUSA94JapanEnFrDeEsItNlPtSvRomInfo, rWorldCupUSA94JapanEnFrDeEsItNlPtSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldCupUSA94USAEnFrDeEsItNlPtSvRomDesc[] = {
	{ "World Cup USA 94 (USA) (En,Fr,De,Es,It,Nl,Pt,Sv).sfc",          1572864, 0xfb1c9082, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldCupUSA94USAEnFrDeEsItNlPtSv)
STD_ROM_FN(rWorldCupUSA94USAEnFrDeEsItNlPtSv)

struct BurnDriver BurnDrvrWorldCupUSA94USAEnFrDeEsItNlPtSv = {
	"World Cup USA 94 (USA) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, "1986",
	"World Cup USA 94 (USA) (En,Fr,De,Es,It,Nl,Pt,Sv)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Cup USA 94 (USA) (En,Fr,De,Es,It,Nl,Pt,Sv)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldCupUSA94USAEnFrDeEsItNlPtSvRomInfo, rWorldCupUSA94USAEnFrDeEsItNlPtSvRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroesEuropeRomDesc[] = {
	{ "World Heroes (Europe).sfc",          2097152, 0xfbb6e0d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroesEurope)
STD_ROM_FN(rWorldHeroesEurope)

struct BurnDriver BurnDrvrWorldHeroesEurope = {
	"World Heroes (Europe)", NULL, NULL, "1986",
	"World Heroes (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroesEuropeRomInfo, rWorldHeroesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroesJapanRomDesc[] = {
	{ "World Heroes (Japan).sfc",          2097152, 0x1ff42561, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroesJapan)
STD_ROM_FN(rWorldHeroesJapan)

struct BurnDriver BurnDrvrWorldHeroesJapan = {
	"World Heroes (Japan)", NULL, NULL, "1986",
	"World Heroes (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroesJapanRomInfo, rWorldHeroesJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroesUSARomDesc[] = {
	{ "World Heroes (USA).sfc",          2097152, 0x1228ad30, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroesUSA)
STD_ROM_FN(rWorldHeroesUSA)

struct BurnDriver BurnDrvrWorldHeroesUSA = {
	"World Heroes (USA)", NULL, NULL, "1986",
	"World Heroes (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroesUSARomInfo, rWorldHeroesUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroes2JapanRomDesc[] = {
	{ "World Heroes 2 (Japan).sfc",          3145728, 0x25a55b3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroes2Japan)
STD_ROM_FN(rWorldHeroes2Japan)

struct BurnDriver BurnDrvrWorldHeroes2Japan = {
	"World Heroes 2 (Japan)", NULL, NULL, "1986",
	"World Heroes 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroes2JapanRomInfo, rWorldHeroes2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroes2USABetaRomDesc[] = {
	{ "World Heroes 2 (USA) (Beta).sfc",          3145728, 0xacd0e8e6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroes2USABeta)
STD_ROM_FN(rWorldHeroes2USABeta)

struct BurnDriver BurnDrvrWorldHeroes2USABeta = {
	"World Heroes 2 (USA) (Beta)", NULL, NULL, "1986",
	"World Heroes 2 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes 2 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroes2USABetaRomInfo, rWorldHeroes2USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldHeroes2USARomDesc[] = {
	{ "World Heroes 2 (USA).sfc",          3145728, 0x98d7eaa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldHeroes2USA)
STD_ROM_FN(rWorldHeroes2USA)

struct BurnDriver BurnDrvrWorldHeroes2USA = {
	"World Heroes 2 (USA)", NULL, NULL, "1986",
	"World Heroes 2 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Heroes 2 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldHeroes2USARomInfo, rWorldHeroes2USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldLeagueBasketballEuropeRomDesc[] = {
	{ "World League Basketball (Europe).sfc",          1048576, 0x2642234d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldLeagueBasketballEurope)
STD_ROM_FN(rWorldLeagueBasketballEurope)

struct BurnDriver BurnDrvrWorldLeagueBasketballEurope = {
	"World League Basketball (Europe)", NULL, NULL, "1986",
	"World League Basketball (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"World League Basketball (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldLeagueBasketballEuropeRomInfo, rWorldLeagueBasketballEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldLeagueSoccerUSARomDesc[] = {
	{ "World League Soccer (USA).sfc",          524288, 0x591cbb2d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldLeagueSoccerUSA)
STD_ROM_FN(rWorldLeagueSoccerUSA)

struct BurnDriver BurnDrvrWorldLeagueSoccerUSA = {
	"World League Soccer (USA)", NULL, NULL, "1986",
	"World League Soccer (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"World League Soccer (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldLeagueSoccerUSARomInfo, rWorldLeagueSoccerUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldMastersGolfEuropeRomDesc[] = {
	{ "World Masters Golf (Europe).sfc",          2097152, 0xe0ee681f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldMastersGolfEurope)
STD_ROM_FN(rWorldMastersGolfEurope)

struct BurnDriver BurnDrvrWorldMastersGolfEurope = {
	"World Masters Golf (Europe)", NULL, NULL, "1986",
	"World Masters Golf (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Masters Golf (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldMastersGolfEuropeRomInfo, rWorldMastersGolfEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldSoccerEuropeRomDesc[] = {
	{ "World Soccer (Europe).sfc",          1048576, 0xab7d2076, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldSoccerEurope)
STD_ROM_FN(rWorldSoccerEurope)

struct BurnDriver BurnDrvrWorldSoccerEurope = {
	"World Soccer (Europe)", NULL, NULL, "1986",
	"World Soccer (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Soccer (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldSoccerEuropeRomInfo, rWorldSoccerEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldSoccerJapanRomDesc[] = {
	{ "World Soccer (Japan).sfc",          524288, 0xa3096a8e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldSoccerJapan)
STD_ROM_FN(rWorldSoccerJapan)

struct BurnDriver BurnDrvrWorldSoccerJapan = {
	"World Soccer (Japan)", NULL, NULL, "1986",
	"World Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldSoccerJapanRomInfo, rWorldSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWorldSoccer94RoadtoGloryUSARomDesc[] = {
	{ "World Soccer 94 - Road to Glory (USA).sfc",          524288, 0xaae0a10, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWorldSoccer94RoadtoGloryUSA)
STD_ROM_FN(rWorldSoccer94RoadtoGloryUSA)

struct BurnDriver BurnDrvrWorldSoccer94RoadtoGloryUSA = {
	"World Soccer 94 - Road to Glory (USA)", NULL, NULL, "1986",
	"World Soccer 94 - Road to Glory (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"World Soccer 94 - Road to Glory (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWorldSoccer94RoadtoGloryUSARomInfo, rWorldSoccer94RoadtoGloryUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWormsEuropeRomDesc[] = {
	{ "Worms (Europe).sfc",          2097152, 0x90d0fac0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWormsEurope)
STD_ROM_FN(rWormsEurope)

struct BurnDriver BurnDrvrWormsEurope = {
	"Worms (Europe)", NULL, NULL, "1986",
	"Worms (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Worms (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWormsEuropeRomInfo, rWormsEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWreckingCrew98JapanRomDesc[] = {
	{ "Wrecking Crew '98 (Japan).sfc",          2097152, 0xa24f85ff, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWreckingCrew98Japan)
STD_ROM_FN(rWreckingCrew98Japan)

struct BurnDriver BurnDrvrWreckingCrew98Japan = {
	"Wrecking Crew '98 (Japan)", NULL, NULL, "1986",
	"Wrecking Crew '98 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Wrecking Crew '98 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWreckingCrew98JapanRomInfo, rWreckingCrew98JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFRawEuropeRomDesc[] = {
	{ "WWF Raw (Europe).sfc",          3145728, 0xa5a3bfbc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFRawEurope)
STD_ROM_FN(rWWFRawEurope)

struct BurnDriver BurnDrvrWWFRawEurope = {
	"WWF Raw (Europe)", NULL, NULL, "1986",
	"WWF Raw (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Raw (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFRawEuropeRomInfo, rWWFRawEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFRawUSARomDesc[] = {
	{ "WWF Raw (USA).sfc",          3145728, 0x3e0038bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFRawUSA)
STD_ROM_FN(rWWFRawUSA)

struct BurnDriver BurnDrvrWWFRawUSA = {
	"WWF Raw (USA)", NULL, NULL, "1986",
	"WWF Raw (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Raw (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFRawUSARomInfo, rWWFRawUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFRoyalRumbleEuropeRomDesc[] = {
	{ "WWF Royal Rumble (Europe).sfc",          2097152, 0x6c6407b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFRoyalRumbleEurope)
STD_ROM_FN(rWWFRoyalRumbleEurope)

struct BurnDriver BurnDrvrWWFRoyalRumbleEurope = {
	"WWF Royal Rumble (Europe)", NULL, NULL, "1986",
	"WWF Royal Rumble (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Royal Rumble (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFRoyalRumbleEuropeRomInfo, rWWFRoyalRumbleEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFRoyalRumbleJapanRomDesc[] = {
	{ "WWF Royal Rumble (Japan).sfc",          2097152, 0xe85352d2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFRoyalRumbleJapan)
STD_ROM_FN(rWWFRoyalRumbleJapan)

struct BurnDriver BurnDrvrWWFRoyalRumbleJapan = {
	"WWF Royal Rumble (Japan)", NULL, NULL, "1986",
	"WWF Royal Rumble (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Royal Rumble (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFRoyalRumbleJapanRomInfo, rWWFRoyalRumbleJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFRoyalRumbleUSARomDesc[] = {
	{ "WWF Royal Rumble (USA).sfc",          2097152, 0x2101d515, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFRoyalRumbleUSA)
STD_ROM_FN(rWWFRoyalRumbleUSA)

struct BurnDriver BurnDrvrWWFRoyalRumbleUSA = {
	"WWF Royal Rumble (USA)", NULL, NULL, "1986",
	"WWF Royal Rumble (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Royal Rumble (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFRoyalRumbleUSARomInfo, rWWFRoyalRumbleUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFSuperWrestleManiaEuropeRomDesc[] = {
	{ "WWF Super WrestleMania (Europe).sfc",          1048576, 0x17c027c4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFSuperWrestleManiaEurope)
STD_ROM_FN(rWWFSuperWrestleManiaEurope)

struct BurnDriver BurnDrvrWWFSuperWrestleManiaEurope = {
	"WWF Super WrestleMania (Europe)", NULL, NULL, "1986",
	"WWF Super WrestleMania (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Super WrestleMania (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFSuperWrestleManiaEuropeRomInfo, rWWFSuperWrestleManiaEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFSuperWrestleManiaJapanRomDesc[] = {
	{ "WWF Super WrestleMania (Japan).sfc",          1048576, 0xd35543c2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFSuperWrestleManiaJapan)
STD_ROM_FN(rWWFSuperWrestleManiaJapan)

struct BurnDriver BurnDrvrWWFSuperWrestleManiaJapan = {
	"WWF Super WrestleMania (Japan)", NULL, NULL, "1986",
	"WWF Super WrestleMania (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Super WrestleMania (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFSuperWrestleManiaJapanRomInfo, rWWFSuperWrestleManiaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFSuperWrestleManiaUSARomDesc[] = {
	{ "WWF Super WrestleMania (USA).sfc",          1048576, 0x676cb638, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFSuperWrestleManiaUSA)
STD_ROM_FN(rWWFSuperWrestleManiaUSA)

struct BurnDriver BurnDrvrWWFSuperWrestleManiaUSA = {
	"WWF Super WrestleMania (USA)", NULL, NULL, "1986",
	"WWF Super WrestleMania (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF Super WrestleMania (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFSuperWrestleManiaUSARomInfo, rWWFSuperWrestleManiaUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFWrestleManiaTheArcadeGameEuropeRomDesc[] = {
	{ "WWF WrestleMania - The Arcade Game (Europe).sfc",          3145728, 0x6b8c5603, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFWrestleManiaTheArcadeGameEurope)
STD_ROM_FN(rWWFWrestleManiaTheArcadeGameEurope)

struct BurnDriver BurnDrvrWWFWrestleManiaTheArcadeGameEurope = {
	"WWF WrestleMania - The Arcade Game (Europe)", NULL, NULL, "1986",
	"WWF WrestleMania - The Arcade Game (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF WrestleMania - The Arcade Game (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFWrestleManiaTheArcadeGameEuropeRomInfo, rWWFWrestleManiaTheArcadeGameEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFWrestleManiaTheArcadeGameJapanRomDesc[] = {
	{ "WWF WrestleMania - The Arcade Game (Japan).sfc",          3145728, 0xafbee7b1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFWrestleManiaTheArcadeGameJapan)
STD_ROM_FN(rWWFWrestleManiaTheArcadeGameJapan)

struct BurnDriver BurnDrvrWWFWrestleManiaTheArcadeGameJapan = {
	"WWF WrestleMania - The Arcade Game (Japan)", NULL, NULL, "1986",
	"WWF WrestleMania - The Arcade Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF WrestleMania - The Arcade Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFWrestleManiaTheArcadeGameJapanRomInfo, rWWFWrestleManiaTheArcadeGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rWWFWrestleManiaTheArcadeGameUSARomDesc[] = {
	{ "WWF WrestleMania - The Arcade Game (USA).sfc",          3145728, 0x1ba08495, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rWWFWrestleManiaTheArcadeGameUSA)
STD_ROM_FN(rWWFWrestleManiaTheArcadeGameUSA)

struct BurnDriver BurnDrvrWWFWrestleManiaTheArcadeGameUSA = {
	"WWF WrestleMania - The Arcade Game (USA)", NULL, NULL, "1986",
	"WWF WrestleMania - The Arcade Game (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"WWF WrestleMania - The Arcade Game (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rWWFWrestleManiaTheArcadeGameUSARomInfo, rWWFWrestleManiaTheArcadeGameUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXJapanProtoRomDesc[] = {
	{ "X (Japan) (Proto).sfc",          112722, 0xbc0d0201, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXJapanProto)
STD_ROM_FN(rXJapanProto)

struct BurnDriver BurnDrvrXJapanProto = {
	"X (Japan) (Proto)", NULL, NULL, "1986",
	"X (Japan) (Proto)\0", NULL, "Nintendo", "Miscellaneous",
	L"X (Japan) (Proto)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXJapanProtoRomInfo, rXJapanProtoRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXZoneEuropeRomDesc[] = {
	{ "X Zone (Europe).sfc",          524288, 0x1a24bc5c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXZoneEurope)
STD_ROM_FN(rXZoneEurope)

struct BurnDriver BurnDrvrXZoneEurope = {
	"X Zone (Europe)", NULL, NULL, "1986",
	"X Zone (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"X Zone (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXZoneEuropeRomInfo, rXZoneEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXZoneJapanUSARomDesc[] = {
	{ "X Zone (Japan, USA).sfc",          524288, 0x99627bb0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXZoneJapanUSA)
STD_ROM_FN(rXZoneJapanUSA)

struct BurnDriver BurnDrvrXZoneJapanUSA = {
	"X Zone (Japan, USA)", NULL, NULL, "1986",
	"X Zone (Japan, USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"X Zone (Japan, USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXZoneJapanUSARomInfo, rXZoneJapanUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXKaliber2097EuropeRomDesc[] = {
	{ "X-Kaliber 2097 (Europe).sfc",          1048576, 0xd7e4732f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXKaliber2097Europe)
STD_ROM_FN(rXKaliber2097Europe)

struct BurnDriver BurnDrvrXKaliber2097Europe = {
	"X-Kaliber 2097 (Europe)", NULL, NULL, "1986",
	"X-Kaliber 2097 (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Kaliber 2097 (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXKaliber2097EuropeRomInfo, rXKaliber2097EuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXKaliber2097USABetaRomDesc[] = {
	{ "X-Kaliber 2097 (USA) (Beta).sfc",          1048576, 0x64129f4c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXKaliber2097USABeta)
STD_ROM_FN(rXKaliber2097USABeta)

struct BurnDriver BurnDrvrXKaliber2097USABeta = {
	"X-Kaliber 2097 (USA) (Beta)", NULL, NULL, "1986",
	"X-Kaliber 2097 (USA) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Kaliber 2097 (USA) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXKaliber2097USABetaRomInfo, rXKaliber2097USABetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXKaliber2097USARomDesc[] = {
	{ "X-Kaliber 2097 (USA).sfc",          1048576, 0xe83eceea, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXKaliber2097USA)
STD_ROM_FN(rXKaliber2097USA)

struct BurnDriver BurnDrvrXKaliber2097USA = {
	"X-Kaliber 2097 (USA)", NULL, NULL, "1986",
	"X-Kaliber 2097 (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Kaliber 2097 (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXKaliber2097USARomInfo, rXKaliber2097USARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXMenMutantApocalypseEuropeRomDesc[] = {
	{ "X-Men - Mutant Apocalypse (Europe).sfc",          2097152, 0x8e4ab536, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXMenMutantApocalypseEurope)
STD_ROM_FN(rXMenMutantApocalypseEurope)

struct BurnDriver BurnDrvrXMenMutantApocalypseEurope = {
	"X-Men - Mutant Apocalypse (Europe)", NULL, NULL, "1986",
	"X-Men - Mutant Apocalypse (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Men - Mutant Apocalypse (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXMenMutantApocalypseEuropeRomInfo, rXMenMutantApocalypseEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXMenMutantApocalypseJapanRomDesc[] = {
	{ "X-Men - Mutant Apocalypse (Japan).sfc",          2097152, 0x4f02a304, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXMenMutantApocalypseJapan)
STD_ROM_FN(rXMenMutantApocalypseJapan)

struct BurnDriver BurnDrvrXMenMutantApocalypseJapan = {
	"X-Men - Mutant Apocalypse (Japan)", NULL, NULL, "1986",
	"X-Men - Mutant Apocalypse (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Men - Mutant Apocalypse (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXMenMutantApocalypseJapanRomInfo, rXMenMutantApocalypseJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXMenMutantApocalypseUSARomDesc[] = {
	{ "X-Men - Mutant Apocalypse (USA).sfc",          2097152, 0x5e34822a, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXMenMutantApocalypseUSA)
STD_ROM_FN(rXMenMutantApocalypseUSA)

struct BurnDriver BurnDrvrXMenMutantApocalypseUSA = {
	"X-Men - Mutant Apocalypse (USA)", NULL, NULL, "1986",
	"X-Men - Mutant Apocalypse (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Men - Mutant Apocalypse (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXMenMutantApocalypseUSARomInfo, rXMenMutantApocalypseUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXMenvsStreetFighterWorldUnlRomDesc[] = {
	{ "X-Men vs. Street Fighter (World) (Unl).sfc",          2097152, 0x40242231, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXMenvsStreetFighterWorldUnl)
STD_ROM_FN(rXMenvsStreetFighterWorldUnl)

struct BurnDriver BurnDrvrXMenvsStreetFighterWorldUnl = {
	"X-Men vs. Street Fighter (World) (Unl)", NULL, NULL, "1986",
	"X-Men vs. Street Fighter (World) (Unl)\0", NULL, "Nintendo", "Miscellaneous",
	L"X-Men vs. Street Fighter (World) (Unl)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXMenvsStreetFighterWorldUnlRomInfo, rXMenvsStreetFighterWorldUnlRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXakTheArtofVisualStageJapanRomDesc[] = {
	{ "Xak - The Art of Visual Stage (Japan).sfc",          1572864, 0x557b8db1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXakTheArtofVisualStageJapan)
STD_ROM_FN(rXakTheArtofVisualStageJapan)

struct BurnDriver BurnDrvrXakTheArtofVisualStageJapan = {
	"Xak - The Art of Visual Stage (Japan)", NULL, NULL, "1986",
	"Xak - The Art of Visual Stage (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Xak - The Art of Visual Stage (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXakTheArtofVisualStageJapanRomInfo, rXakTheArtofVisualStageJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXandranoDaiboukenValkyrietonoDeaiJapanRomDesc[] = {
	{ "Xandra no Daibouken - Valkyrie to no Deai (Japan).sfc",          1048576, 0x56ec4655, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXandranoDaiboukenValkyrietonoDeaiJapan)
STD_ROM_FN(rXandranoDaiboukenValkyrietonoDeaiJapan)

struct BurnDriver BurnDrvrXandranoDaiboukenValkyrietonoDeaiJapan = {
	"Xandra no Daibouken - Valkyrie to no Deai (Japan)", NULL, NULL, "1986",
	"Xandra no Daibouken - Valkyrie to no Deai (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Xandra no Daibouken - Valkyrie to no Deai (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXandranoDaiboukenValkyrietonoDeaiJapanRomInfo, rXandranoDaiboukenValkyrietonoDeaiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXardionUSARomDesc[] = {
	{ "Xardion (USA).sfc",          1048576, 0xc7c12a57, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXardionUSA)
STD_ROM_FN(rXardionUSA)

struct BurnDriver BurnDrvrXardionUSA = {
	"Xardion (USA)", NULL, NULL, "1986",
	"Xardion (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Xardion (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXardionUSARomInfo, rXardionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXBANDJapanRomDesc[] = {
	{ "XBAND (Japan).sfc",          2097152, 0x42d47034, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXBANDJapan)
STD_ROM_FN(rXBANDJapan)

struct BurnDriver BurnDrvrXBANDJapan = {
	"XBAND (Japan)", NULL, NULL, "1986",
	"XBAND (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"XBAND (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXBANDJapanRomInfo, rXBANDJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rXBANDUSARomDesc[] = {
	{ "XBAND (USA).sfc",          1048576, 0xa8b868a0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rXBANDUSA)
STD_ROM_FN(rXBANDUSA)

struct BurnDriver BurnDrvrXBANDUSA = {
	"XBAND (USA)", NULL, NULL, "1986",
	"XBAND (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"XBAND (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rXBANDUSARomInfo, rXBANDUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYadamonWonderlandDreamsJapanSampleRomDesc[] = {
	{ "Yadamon - Wonderland Dreams (Japan) (Sample).sfc",          1048576, 0x9424bbfa, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYadamonWonderlandDreamsJapanSample)
STD_ROM_FN(rYadamonWonderlandDreamsJapanSample)

struct BurnDriver BurnDrvrYadamonWonderlandDreamsJapanSample = {
	"Yadamon - Wonderland Dreams (Japan) (Sample)", NULL, NULL, "1986",
	"Yadamon - Wonderland Dreams (Japan) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yadamon - Wonderland Dreams (Japan) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYadamonWonderlandDreamsJapanSampleRomInfo, rYadamonWonderlandDreamsJapanSampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYadamonWonderlandDreamsJapanRomDesc[] = {
	{ "Yadamon - Wonderland Dreams (Japan).sfc",          1048576, 0xb5292147, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYadamonWonderlandDreamsJapan)
STD_ROM_FN(rYadamonWonderlandDreamsJapan)

struct BurnDriver BurnDrvrYadamonWonderlandDreamsJapan = {
	"Yadamon - Wonderland Dreams (Japan)", NULL, NULL, "1986",
	"Yadamon - Wonderland Dreams (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yadamon - Wonderland Dreams (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYadamonWonderlandDreamsJapanRomInfo, rYadamonWonderlandDreamsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYakouchuuJapanRomDesc[] = {
	{ "Yakouchuu (Japan).sfc",          2097152, 0xcd0e8d8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYakouchuuJapan)
STD_ROM_FN(rYakouchuuJapan)

struct BurnDriver BurnDrvrYakouchuuJapan = {
	"Yakouchuu (Japan)", NULL, NULL, "1986",
	"Yakouchuu (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yakouchuu (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYakouchuuJapanRomInfo, rYakouchuuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYamYamJapanRomDesc[] = {
	{ "Yam Yam (Japan).sfc",          1572864, 0x4620c386, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYamYamJapan)
STD_ROM_FN(rYamYamJapan)

struct BurnDriver BurnDrvrYamYamJapan = {
	"Yam Yam (Japan)", NULL, NULL, "1986",
	"Yam Yam (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yam Yam (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYamYamJapanRomInfo, rYamYamJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYamanekoBubsynoDaiboukenJapanRomDesc[] = {
	{ "Yamaneko Bubsy no Daibouken (Japan).sfc",          2097152, 0x90387380, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYamanekoBubsynoDaiboukenJapan)
STD_ROM_FN(rYamanekoBubsynoDaiboukenJapan)

struct BurnDriver BurnDrvrYamanekoBubsynoDaiboukenJapan = {
	"Yamaneko Bubsy no Daibouken (Japan)", NULL, NULL, "1986",
	"Yamaneko Bubsy no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yamaneko Bubsy no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYamanekoBubsynoDaiboukenJapanRomInfo, rYamanekoBubsynoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYogiBearJapanRomDesc[] = {
	{ "Yogi Bear (Japan).sfc",          1048576, 0x1a6f48a5, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYogiBearJapan)
STD_ROM_FN(rYogiBearJapan)

struct BurnDriver BurnDrvrYogiBearJapan = {
	"Yogi Bear (Japan)", NULL, NULL, "1986",
	"Yogi Bear (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yogi Bear (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYogiBearJapanRomInfo, rYogiBearJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYogiBearsCartoonCapersEuropeRomDesc[] = {
	{ "Yogi Bear's Cartoon Capers (Europe).sfc",          1048576, 0x31703471, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYogiBearsCartoonCapersEurope)
STD_ROM_FN(rYogiBearsCartoonCapersEurope)

struct BurnDriver BurnDrvrYogiBearsCartoonCapersEurope = {
	"Yogi Bear's Cartoon Capers (Europe)", NULL, NULL, "1986",
	"Yogi Bear's Cartoon Capers (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yogi Bear's Cartoon Capers (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYogiBearsCartoonCapersEuropeRomInfo, rYogiBearsCartoonCapersEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYokoyamaMitsuteruSangokushiJapanRev1RomDesc[] = {
	{ "Yokoyama Mitsuteru Sangokushi (Japan) (Rev 1).sfc",          1048576, 0xd7105424, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYokoyamaMitsuteruSangokushiJapanRev1)
STD_ROM_FN(rYokoyamaMitsuteruSangokushiJapanRev1)

struct BurnDriver BurnDrvrYokoyamaMitsuteruSangokushiJapanRev1 = {
	"Yokoyama Mitsuteru Sangokushi (Japan) (Rev 1)", NULL, NULL, "1986",
	"Yokoyama Mitsuteru Sangokushi (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yokoyama Mitsuteru Sangokushi (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYokoyamaMitsuteruSangokushiJapanRev1RomInfo, rYokoyamaMitsuteruSangokushiJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYokoyamaMitsuteruSangokushiJapanRomDesc[] = {
	{ "Yokoyama Mitsuteru Sangokushi (Japan).sfc",          1048576, 0xe386d2be, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYokoyamaMitsuteruSangokushiJapan)
STD_ROM_FN(rYokoyamaMitsuteruSangokushiJapan)

struct BurnDriver BurnDrvrYokoyamaMitsuteruSangokushiJapan = {
	"Yokoyama Mitsuteru Sangokushi (Japan)", NULL, NULL, "1986",
	"Yokoyama Mitsuteru Sangokushi (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yokoyama Mitsuteru Sangokushi (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYokoyamaMitsuteruSangokushiJapanRomInfo, rYokoyamaMitsuteruSangokushiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYokoyamaMitsuteruSangokushi2JapanRomDesc[] = {
	{ "Yokoyama Mitsuteru Sangokushi 2 (Japan).sfc",          1572864, 0x9932fa99, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYokoyamaMitsuteruSangokushi2Japan)
STD_ROM_FN(rYokoyamaMitsuteruSangokushi2Japan)

struct BurnDriver BurnDrvrYokoyamaMitsuteruSangokushi2Japan = {
	"Yokoyama Mitsuteru Sangokushi 2 (Japan)", NULL, NULL, "1986",
	"Yokoyama Mitsuteru Sangokushi 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yokoyama Mitsuteru Sangokushi 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYokoyamaMitsuteruSangokushi2JapanRomInfo, rYokoyamaMitsuteruSangokushi2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapanRomDesc[] = {
	{ "Yokoyama Mitsuteru Sangokushi Bangi - Sugoroku Eiyuuki (Japan).sfc",          1572864, 0x8f8cc16, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapan)
STD_ROM_FN(rYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapan)

struct BurnDriver BurnDrvrYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapan = {
	"Yokoyama Mitsuteru Sangokushi Bangi - Sugoroku Eiyuuki (Japan)", NULL, NULL, "1986",
	"Yokoyama Mitsuteru Sangokushi Bangi - Sugoroku Eiyuuki (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yokoyama Mitsuteru Sangokushi Bangi - Sugoroku Eiyuuki (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapanRomInfo, rYokoyamaMitsuteruSangokushiBangiSugorokuEiyuukiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYokozunaMonogatariJapanRomDesc[] = {
	{ "Yokozuna Monogatari (Japan).sfc",          1048576, 0xdda56921, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYokozunaMonogatariJapan)
STD_ROM_FN(rYokozunaMonogatariJapan)

struct BurnDriver BurnDrvrYokozunaMonogatariJapan = {
	"Yokozuna Monogatari (Japan)", NULL, NULL, "1986",
	"Yokozuna Monogatari (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yokozuna Monogatari (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYokozunaMonogatariJapanRomInfo, rYokozunaMonogatariJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshinoCookieJapanRomDesc[] = {
	{ "Yoshi no Cookie (Japan).sfc",          524288, 0x1e1aa75f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshinoCookieJapan)
STD_ROM_FN(rYoshinoCookieJapan)

struct BurnDriver BurnDrvrYoshinoCookieJapan = {
	"Yoshi no Cookie (Japan)", NULL, NULL, "1986",
	"Yoshi no Cookie (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi no Cookie (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshinoCookieJapanRomInfo, rYoshinoCookieJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshinoCookieKurupponOvendeCookieJapanRomDesc[] = {
	{ "Yoshi no Cookie - Kuruppon Oven de Cookie (Japan).sfc",          1048576, 0xc52e145, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshinoCookieKurupponOvendeCookieJapan)
STD_ROM_FN(rYoshinoCookieKurupponOvendeCookieJapan)

struct BurnDriver BurnDrvrYoshinoCookieKurupponOvendeCookieJapan = {
	"Yoshi no Cookie - Kuruppon Oven de Cookie (Japan)", NULL, NULL, "1986",
	"Yoshi no Cookie - Kuruppon Oven de Cookie (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi no Cookie - Kuruppon Oven de Cookie (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshinoCookieKurupponOvendeCookieJapanRomInfo, rYoshinoCookieKurupponOvendeCookieJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshinoPaneponBSBanJapanEnJaBSRomDesc[] = {
	{ "Yoshi no Panepon - BS Ban (Japan) (En,Ja) (BS).sfc",          1048576, 0x7a633bc6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshinoPaneponBSBanJapanEnJaBS)
STD_ROM_FN(rYoshinoPaneponBSBanJapanEnJaBS)

struct BurnDriver BurnDrvrYoshinoPaneponBSBanJapanEnJaBS = {
	"Yoshi no Panepon - BS Ban (Japan) (En,Ja) (BS)", NULL, NULL, "1986",
	"Yoshi no Panepon - BS Ban (Japan) (En,Ja) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi no Panepon - BS Ban (Japan) (En,Ja) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshinoPaneponBSBanJapanEnJaBSRomInfo, rYoshinoPaneponBSBanJapanEnJaBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshinoRoadHuntingJapanRomDesc[] = {
	{ "Yoshi no Road Hunting (Japan).sfc",          1048576, 0x52948f3c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshinoRoadHuntingJapan)
STD_ROM_FN(rYoshinoRoadHuntingJapan)

struct BurnDriver BurnDrvrYoshinoRoadHuntingJapan = {
	"Yoshi no Road Hunting (Japan)", NULL, NULL, "1986",
	"Yoshi no Road Hunting (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi no Road Hunting (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshinoRoadHuntingJapanRomInfo, rYoshinoRoadHuntingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshisCookieEuropeRomDesc[] = {
	{ "Yoshi's Cookie (Europe).sfc",          524288, 0x5fb6e4e9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshisCookieEurope)
STD_ROM_FN(rYoshisCookieEurope)

struct BurnDriver BurnDrvrYoshisCookieEurope = {
	"Yoshi's Cookie (Europe)", NULL, NULL, "1986",
	"Yoshi's Cookie (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi's Cookie (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshisCookieEuropeRomInfo, rYoshisCookieEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshisCookieUSARomDesc[] = {
	{ "Yoshi's Cookie (USA).sfc",          524288, 0xef15f4c3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshisCookieUSA)
STD_ROM_FN(rYoshisCookieUSA)

struct BurnDriver BurnDrvrYoshisCookieUSA = {
	"Yoshi's Cookie (USA)", NULL, NULL, "1986",
	"Yoshi's Cookie (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi's Cookie (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshisCookieUSARomInfo, rYoshisCookieUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshisSafariEuropeRomDesc[] = {
	{ "Yoshi's Safari (Europe).sfc",          1048576, 0x9a8178bf, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshisSafariEurope)
STD_ROM_FN(rYoshisSafariEurope)

struct BurnDriver BurnDrvrYoshisSafariEurope = {
	"Yoshi's Safari (Europe)", NULL, NULL, "1986",
	"Yoshi's Safari (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi's Safari (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshisSafariEuropeRomInfo, rYoshisSafariEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoshisSafariUSARomDesc[] = {
	{ "Yoshi's Safari (USA).sfc",          1048576, 0x59490ce8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoshisSafariUSA)
STD_ROM_FN(rYoshisSafariUSA)

struct BurnDriver BurnDrvrYoshisSafariUSA = {
	"Yoshi's Safari (USA)", NULL, NULL, "1986",
	"Yoshi's Safari (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yoshi's Safari (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoshisSafariUSARomInfo, rYoshisSafariUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYouchienSenkiMadaraJapanRomDesc[] = {
	{ "Youchien Senki Madara (Japan).sfc",          2097152, 0xc85236a4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYouchienSenkiMadaraJapan)
STD_ROM_FN(rYouchienSenkiMadaraJapan)

struct BurnDriver BurnDrvrYouchienSenkiMadaraJapan = {
	"Youchien Senki Madara (Japan)", NULL, NULL, "1986",
	"Youchien Senki Madara (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Youchien Senki Madara (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYouchienSenkiMadaraJapanRomInfo, rYouchienSenkiMadaraJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoukaiBusterRukanoDaiboukenJapanRomDesc[] = {
	{ "Youkai Buster - Ruka no Daibouken (Japan).sfc",          1048576, 0xe6d19429, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoukaiBusterRukanoDaiboukenJapan)
STD_ROM_FN(rYoukaiBusterRukanoDaiboukenJapan)

struct BurnDriver BurnDrvrYoukaiBusterRukanoDaiboukenJapan = {
	"Youkai Buster - Ruka no Daibouken (Japan)", NULL, NULL, "1986",
	"Youkai Buster - Ruka no Daibouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Youkai Buster - Ruka no Daibouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoukaiBusterRukanoDaiboukenJapanRomInfo, rYoukaiBusterRukanoDaiboukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoungMerlinEuropeRomDesc[] = {
	{ "Young Merlin (Europe).sfc",          2097152, 0xd5e69dc4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoungMerlinEurope)
STD_ROM_FN(rYoungMerlinEurope)

struct BurnDriver BurnDrvrYoungMerlinEurope = {
	"Young Merlin (Europe)", NULL, NULL, "1986",
	"Young Merlin (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Young Merlin (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoungMerlinEuropeRomInfo, rYoungMerlinEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYoungMerlinUSARomDesc[] = {
	{ "Young Merlin (USA).sfc",          2097152, 0x7ea1afe8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYoungMerlinUSA)
STD_ROM_FN(rYoungMerlinUSA)

struct BurnDriver BurnDrvrYoungMerlinUSA = {
	"Young Merlin (USA)", NULL, NULL, "1986",
	"Young Merlin (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Young Merlin (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYoungMerlinUSARomInfo, rYoungMerlinUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYsIIIWanderersfromYsJapanRomDesc[] = {
	{ "Ys III - Wanderers from Ys (Japan).sfc",          1048576, 0x8e39a006, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYsIIIWanderersfromYsJapan)
STD_ROM_FN(rYsIIIWanderersfromYsJapan)

struct BurnDriver BurnDrvrYsIIIWanderersfromYsJapan = {
	"Ys III - Wanderers from Ys (Japan)", NULL, NULL, "1986",
	"Ys III - Wanderers from Ys (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ys III - Wanderers from Ys (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYsIIIWanderersfromYsJapanRomInfo, rYsIIIWanderersfromYsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYsIIIWanderersfromYsUSARomDesc[] = {
	{ "Ys III - Wanderers from Ys (USA).sfc",          1048576, 0x64a91e64, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYsIIIWanderersfromYsUSA)
STD_ROM_FN(rYsIIIWanderersfromYsUSA)

struct BurnDriver BurnDrvrYsIIIWanderersfromYsUSA = {
	"Ys III - Wanderers from Ys (USA)", NULL, NULL, "1986",
	"Ys III - Wanderers from Ys (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ys III - Wanderers from Ys (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYsIIIWanderersfromYsUSARomInfo, rYsIIIWanderersfromYsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYsIVMaskoftheSunJapanRomDesc[] = {
	{ "Ys IV - Mask of the Sun (Japan).sfc",          1572864, 0xca7b4db9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYsIVMaskoftheSunJapan)
STD_ROM_FN(rYsIVMaskoftheSunJapan)

struct BurnDriver BurnDrvrYsIVMaskoftheSunJapan = {
	"Ys IV - Mask of the Sun (Japan)", NULL, NULL, "1986",
	"Ys IV - Mask of the Sun (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ys IV - Mask of the Sun (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYsIVMaskoftheSunJapanRomInfo, rYsIVMaskoftheSunJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYsVExpertJapanRomDesc[] = {
	{ "Ys V - Expert (Japan).sfc",          3145728, 0xcfe632b9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYsVExpertJapan)
STD_ROM_FN(rYsVExpertJapan)

struct BurnDriver BurnDrvrYsVExpertJapan = {
	"Ys V - Expert (Japan)", NULL, NULL, "1986",
	"Ys V - Expert (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ys V - Expert (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYsVExpertJapanRomInfo, rYsVExpertJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYsVUshinawaretaSunanoMiyakoKefinJapanRomDesc[] = {
	{ "Ys V - Ushinawareta Suna no Miyako Kefin (Japan).sfc",          3145728, 0x5e08c48c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYsVUshinawaretaSunanoMiyakoKefinJapan)
STD_ROM_FN(rYsVUshinawaretaSunanoMiyakoKefinJapan)

struct BurnDriver BurnDrvrYsVUshinawaretaSunanoMiyakoKefinJapan = {
	"Ys V - Ushinawareta Suna no Miyako Kefin (Japan)", NULL, NULL, "1986",
	"Ys V - Ushinawareta Suna no Miyako Kefin (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Ys V - Ushinawareta Suna no Miyako Kefin (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYsVUshinawaretaSunanoMiyakoKefinJapanRomInfo, rYsVUshinawaretaSunanoMiyakoKefinJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYumemaboroshinoGotokuJapanRomDesc[] = {
	{ "Yumemaboroshi no Gotoku (Japan).sfc",          1572864, 0x8f44fff9, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYumemaboroshinoGotokuJapan)
STD_ROM_FN(rYumemaboroshinoGotokuJapan)

struct BurnDriver BurnDrvrYumemaboroshinoGotokuJapan = {
	"Yumemaboroshi no Gotoku (Japan)", NULL, NULL, "1986",
	"Yumemaboroshi no Gotoku (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yumemaboroshi no Gotoku (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYumemaboroshinoGotokuJapanRomInfo, rYumemaboroshinoGotokuJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYungHakasenoShinsatsushitsuDai1gouJapanBSRomDesc[] = {
	{ "Yung Hakase no Shinsatsushitsu - Dai-1-gou (Japan) (BS).sfc",          1048576, 0x27326da6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYungHakasenoShinsatsushitsuDai1gouJapanBS)
STD_ROM_FN(rYungHakasenoShinsatsushitsuDai1gouJapanBS)

struct BurnDriver BurnDrvrYungHakasenoShinsatsushitsuDai1gouJapanBS = {
	"Yung Hakase no Shinsatsushitsu - Dai-1-gou (Japan) (BS)", NULL, NULL, "1986",
	"Yung Hakase no Shinsatsushitsu - Dai-1-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yung Hakase no Shinsatsushitsu - Dai-1-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYungHakasenoShinsatsushitsuDai1gouJapanBSRomInfo, rYungHakasenoShinsatsushitsuDai1gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYungHakasenoShinsatsushitsuDai2gouJapanBSRomDesc[] = {
	{ "Yung Hakase no Shinsatsushitsu - Dai-2-gou (Japan) (BS).sfc",          1048576, 0x66ea357f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYungHakasenoShinsatsushitsuDai2gouJapanBS)
STD_ROM_FN(rYungHakasenoShinsatsushitsuDai2gouJapanBS)

struct BurnDriver BurnDrvrYungHakasenoShinsatsushitsuDai2gouJapanBS = {
	"Yung Hakase no Shinsatsushitsu - Dai-2-gou (Japan) (BS)", NULL, NULL, "1986",
	"Yung Hakase no Shinsatsushitsu - Dai-2-gou (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yung Hakase no Shinsatsushitsu - Dai-2-gou (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYungHakasenoShinsatsushitsuDai2gouJapanBSRomInfo, rYungHakasenoShinsatsushitsuDai2gouJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuuYuuHakushoJapanRomDesc[] = {
	{ "Yuu Yuu Hakusho (Japan).sfc",          2097152, 0xec96d517, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuuYuuHakushoJapan)
STD_ROM_FN(rYuuYuuHakushoJapan)

struct BurnDriver BurnDrvrYuuYuuHakushoJapan = {
	"Yuu Yuu Hakusho (Japan)", NULL, NULL, "1986",
	"Yuu Yuu Hakusho (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuu Yuu Hakusho (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuuYuuHakushoJapanRomInfo, rYuuYuuHakushoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuuYuuHakushoTokubetsuHenJapanRomDesc[] = {
	{ "Yuu Yuu Hakusho - Tokubetsu Hen (Japan).sfc",          2097152, 0x535cccac, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuuYuuHakushoTokubetsuHenJapan)
STD_ROM_FN(rYuuYuuHakushoTokubetsuHenJapan)

struct BurnDriver BurnDrvrYuuYuuHakushoTokubetsuHenJapan = {
	"Yuu Yuu Hakusho - Tokubetsu Hen (Japan)", NULL, NULL, "1986",
	"Yuu Yuu Hakusho - Tokubetsu Hen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuu Yuu Hakusho - Tokubetsu Hen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuuYuuHakushoTokubetsuHenJapanRomInfo, rYuuYuuHakushoTokubetsuHenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuuYuuHakusho2KakutounoShouJapanRomDesc[] = {
	{ "Yuu Yuu Hakusho 2 - Kakutou no Shou (Japan).sfc",          2097152, 0xeef45a93, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuuYuuHakusho2KakutounoShouJapan)
STD_ROM_FN(rYuuYuuHakusho2KakutounoShouJapan)

struct BurnDriver BurnDrvrYuuYuuHakusho2KakutounoShouJapan = {
	"Yuu Yuu Hakusho 2 - Kakutou no Shou (Japan)", NULL, NULL, "1986",
	"Yuu Yuu Hakusho 2 - Kakutou no Shou (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuu Yuu Hakusho 2 - Kakutou no Shou (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuuYuuHakusho2KakutounoShouJapanRomInfo, rYuuYuuHakusho2KakutounoShouJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuuYuuHakushoFinalMakaiSaikyouRetsudenJapanRomDesc[] = {
	{ "Yuu Yuu Hakusho Final - Makai Saikyou Retsuden (Japan).sfc",          3145728, 0x5617a42e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuuYuuHakushoFinalMakaiSaikyouRetsudenJapan)
STD_ROM_FN(rYuuYuuHakushoFinalMakaiSaikyouRetsudenJapan)

struct BurnDriver BurnDrvrYuuYuuHakushoFinalMakaiSaikyouRetsudenJapan = {
	"Yuu Yuu Hakusho Final - Makai Saikyou Retsuden (Japan)", NULL, NULL, "1986",
	"Yuu Yuu Hakusho Final - Makai Saikyou Retsuden (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuu Yuu Hakusho Final - Makai Saikyou Retsuden (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuuYuuHakushoFinalMakaiSaikyouRetsudenJapanRomInfo, rYuuYuuHakushoFinalMakaiSaikyouRetsudenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuujinJanjuuGakuenJapanRomDesc[] = {
	{ "Yuujin Janjuu Gakuen (Japan).sfc",          1048576, 0xd6fece51, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuujinJanjuuGakuenJapan)
STD_ROM_FN(rYuujinJanjuuGakuenJapan)

struct BurnDriver BurnDrvrYuujinJanjuuGakuenJapan = {
	"Yuujin Janjuu Gakuen (Japan)", NULL, NULL, "1986",
	"Yuujin Janjuu Gakuen (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuujin Janjuu Gakuen (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuujinJanjuuGakuenJapanRomInfo, rYuujinJanjuuGakuenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuujinJanjuuGakuen2JapanRomDesc[] = {
	{ "Yuujin Janjuu Gakuen 2 (Japan).sfc",          2097152, 0x70fbff3b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuujinJanjuuGakuen2Japan)
STD_ROM_FN(rYuujinJanjuuGakuen2Japan)

struct BurnDriver BurnDrvrYuujinJanjuuGakuen2Japan = {
	"Yuujin Janjuu Gakuen 2 (Japan)", NULL, NULL, "1986",
	"Yuujin Janjuu Gakuen 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuujin Janjuu Gakuen 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuujinJanjuuGakuen2JapanRomInfo, rYuujinJanjuuGakuen2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuujinnoFuriFuriGirlsJapanRomDesc[] = {
	{ "Yuujin no Furi Furi Girls (Japan).sfc",          1048576, 0x2855382, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuujinnoFuriFuriGirlsJapan)
STD_ROM_FN(rYuujinnoFuriFuriGirlsJapan)

struct BurnDriver BurnDrvrYuujinnoFuriFuriGirlsJapan = {
	"Yuujin no Furi Furi Girls (Japan)", NULL, NULL, "1986",
	"Yuujin no Furi Furi Girls (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuujin no Furi Furi Girls (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuujinnoFuriFuriGirlsJapanRomInfo, rYuujinnoFuriFuriGirlsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rYuuyunoQuizdeGoGoJapanRomDesc[] = {
	{ "Yuuyu no Quiz de Go! Go! (Japan).sfc",          1048576, 0xd7e68d2e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rYuuyunoQuizdeGoGoJapan)
STD_ROM_FN(rYuuyunoQuizdeGoGoJapan)

struct BurnDriver BurnDrvrYuuyunoQuizdeGoGoJapan = {
	"Yuuyu no Quiz de Go! Go! (Japan)", NULL, NULL, "1986",
	"Yuuyu no Quiz de Go! Go! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Yuuyu no Quiz de Go! Go! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rYuuyunoQuizdeGoGoJapanRomInfo, rYuuyunoQuizdeGoGoJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZaitakuTouhyouSystemSPAT4WideJapanRomDesc[] = {
	{ "Zaitaku Touhyou System - SPAT4-Wide (Japan).sfc",          1048576, 0x798a252f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZaitakuTouhyouSystemSPAT4WideJapan)
STD_ROM_FN(rZaitakuTouhyouSystemSPAT4WideJapan)

struct BurnDriver BurnDrvrZaitakuTouhyouSystemSPAT4WideJapan = {
	"Zaitaku Touhyou System - SPAT4-Wide (Japan)", NULL, NULL, "1986",
	"Zaitaku Touhyou System - SPAT4-Wide (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zaitaku Touhyou System - SPAT4-Wide (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZaitakuTouhyouSystemSPAT4WideJapanRomInfo, rZaitakuTouhyouSystemSPAT4WideJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZakuronoAjiJapanRomDesc[] = {
	{ "Zakuro no Aji (Japan).sfc",          2097152, 0x6391f9b3, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZakuronoAjiJapan)
STD_ROM_FN(rZakuronoAjiJapan)

struct BurnDriver BurnDrvrZakuronoAjiJapan = {
	"Zakuro no Aji (Japan)", NULL, NULL, "1986",
	"Zakuro no Aji (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zakuro no Aji (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZakuronoAjiJapanRomInfo, rZakuronoAjiJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZanIISpiritsJapanRomDesc[] = {
	{ "Zan II Spirits (Japan).sfc",          1048576, 0x39942e05, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZanIISpiritsJapan)
STD_ROM_FN(rZanIISpiritsJapan)

struct BurnDriver BurnDrvrZanIISpiritsJapan = {
	"Zan II Spirits (Japan)", NULL, NULL, "1986",
	"Zan II Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zan II Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZanIISpiritsJapanRomInfo, rZanIISpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZanIIISpiritsJapanRomDesc[] = {
	{ "Zan III Spirits (Japan).sfc",          1572864, 0x9826771b, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZanIIISpiritsJapan)
STD_ROM_FN(rZanIIISpiritsJapan)

struct BurnDriver BurnDrvrZanIIISpiritsJapan = {
	"Zan III Spirits (Japan)", NULL, NULL, "1986",
	"Zan III Spirits (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zan III Spirits (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZanIIISpiritsJapanRomInfo, rZanIIISpiritsJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZeldanoDensetsuKamigaminoTriforceJapanBSRomDesc[] = {
	{ "Zelda no Densetsu - Kamigami no Triforce (Japan) (BS).sfc",          1048576, 0x1e1cc639, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZeldanoDensetsuKamigaminoTriforceJapanBS)
STD_ROM_FN(rZeldanoDensetsuKamigaminoTriforceJapanBS)

struct BurnDriver BurnDrvrZeldanoDensetsuKamigaminoTriforceJapanBS = {
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (BS)", NULL, NULL, "1986",
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zelda no Densetsu - Kamigami no Triforce (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZeldanoDensetsuKamigaminoTriforceJapanBSRomInfo, rZeldanoDensetsuKamigaminoTriforceJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZeldanoDensetsuKamigaminoTriforceJapanRev1RomDesc[] = {
	{ "Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 1).sfc",          1048576, 0x4400d798, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZeldanoDensetsuKamigaminoTriforceJapanRev1)
STD_ROM_FN(rZeldanoDensetsuKamigaminoTriforceJapanRev1)

struct BurnDriver BurnDrvrZeldanoDensetsuKamigaminoTriforceJapanRev1 = {
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 1)", NULL, NULL, "1986",
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZeldanoDensetsuKamigaminoTriforceJapanRev1RomInfo, rZeldanoDensetsuKamigaminoTriforceJapanRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZeldanoDensetsuKamigaminoTriforceJapanRev2RomDesc[] = {
	{ "Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 2).sfc",          1048576, 0xb28b2f77, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZeldanoDensetsuKamigaminoTriforceJapanRev2)
STD_ROM_FN(rZeldanoDensetsuKamigaminoTriforceJapanRev2)

struct BurnDriver BurnDrvrZeldanoDensetsuKamigaminoTriforceJapanRev2 = {
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 2)", NULL, NULL, "1986",
	"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 2)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zelda no Densetsu - Kamigami no Triforce (Japan) (Rev 2)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZeldanoDensetsuKamigaminoTriforceJapanRev2RomInfo, rZeldanoDensetsuKamigaminoTriforceJapanRev2RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZeldanoDensetsuKamigaminoTriforceJapanRomDesc[] = {
	{ "Zelda no Densetsu - Kamigami no Triforce (Japan).sfc",          1048576, 0x3322effc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZeldanoDensetsuKamigaminoTriforceJapan)
STD_ROM_FN(rZeldanoDensetsuKamigaminoTriforceJapan)

struct BurnDriver BurnDrvrZeldanoDensetsuKamigaminoTriforceJapan = {
	"Zelda no Densetsu - Kamigami no Triforce (Japan)", NULL, NULL, "1986",
	"Zelda no Densetsu - Kamigami no Triforce (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zelda no Densetsu - Kamigami no Triforce (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZeldanoDensetsuKamigaminoTriforceJapanRomInfo, rZeldanoDensetsuKamigaminoTriforceJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenNihonGTSenshukenJapanRomDesc[] = {
	{ "Zen-Nihon GT Senshuken (Japan).sfc",          2097152, 0x5409d4f4, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenNihonGTSenshukenJapan)
STD_ROM_FN(rZenNihonGTSenshukenJapan)

struct BurnDriver BurnDrvrZenNihonGTSenshukenJapan = {
	"Zen-Nihon GT Senshuken (Japan)", NULL, NULL, "1986",
	"Zen-Nihon GT Senshuken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zen-Nihon GT Senshuken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenNihonGTSenshukenJapanRomInfo, rZenNihonGTSenshukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenNihonProWrestlingJapanRomDesc[] = {
	{ "Zen-Nihon Pro Wrestling (Japan).sfc",          2097152, 0xe00fdc09, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenNihonProWrestlingJapan)
STD_ROM_FN(rZenNihonProWrestlingJapan)

struct BurnDriver BurnDrvrZenNihonProWrestlingJapan = {
	"Zen-Nihon Pro Wrestling (Japan)", NULL, NULL, "1986",
	"Zen-Nihon Pro Wrestling (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zen-Nihon Pro Wrestling (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenNihonProWrestlingJapanRomInfo, rZenNihonProWrestlingJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenNihonProWrestlingFightdaPonJapanRomDesc[] = {
	{ "Zen-Nihon Pro Wrestling - Fight da Pon! (Japan).sfc",          1048576, 0x379645bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenNihonProWrestlingFightdaPonJapan)
STD_ROM_FN(rZenNihonProWrestlingFightdaPonJapan)

struct BurnDriver BurnDrvrZenNihonProWrestlingFightdaPonJapan = {
	"Zen-Nihon Pro Wrestling - Fight da Pon! (Japan)", NULL, NULL, "1986",
	"Zen-Nihon Pro Wrestling - Fight da Pon! (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zen-Nihon Pro Wrestling - Fight da Pon! (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenNihonProWrestlingFightdaPonJapanRomInfo, rZenNihonProWrestlingFightdaPonJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenNihonProWrestling234BudoukanJapanRomDesc[] = {
	{ "Zen-Nihon Pro Wrestling 2 - 3-4 Budoukan (Japan).sfc",          3145728, 0x9b040c00, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenNihonProWrestling234BudoukanJapan)
STD_ROM_FN(rZenNihonProWrestling234BudoukanJapan)

struct BurnDriver BurnDrvrZenNihonProWrestling234BudoukanJapan = {
	"Zen-Nihon Pro Wrestling 2 - 3-4 Budoukan (Japan)", NULL, NULL, "1986",
	"Zen-Nihon Pro Wrestling 2 - 3-4 Budoukan (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zen-Nihon Pro Wrestling 2 - 3-4 Budoukan (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenNihonProWrestling234BudoukanJapanRomInfo, rZenNihonProWrestling234BudoukanJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenNihonProWrestlingSekaiSaikyouTagJapanRomDesc[] = {
	{ "Zen-Nihon Pro Wrestling' - Sekai Saikyou Tag (Japan).sfc",          2097152, 0xa5f59477, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenNihonProWrestlingSekaiSaikyouTagJapan)
STD_ROM_FN(rZenNihonProWrestlingSekaiSaikyouTagJapan)

struct BurnDriver BurnDrvrZenNihonProWrestlingSekaiSaikyouTagJapan = {
	"Zen-Nihon Pro Wrestling' - Sekai Saikyou Tag (Japan)", NULL, NULL, "1986",
	"Zen-Nihon Pro Wrestling' - Sekai Saikyou Tag (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zen-Nihon Pro Wrestling' - Sekai Saikyou Tag (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenNihonProWrestlingSekaiSaikyouTagJapanRomInfo, rZenNihonProWrestlingSekaiSaikyouTagJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenkokuJuudanUltraShinriGameJapanRomDesc[] = {
	{ "Zenkoku Juudan Ultra Shinri Game (Japan).sfc",          1048576, 0xb1a104e6, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenkokuJuudanUltraShinriGameJapan)
STD_ROM_FN(rZenkokuJuudanUltraShinriGameJapan)

struct BurnDriver BurnDrvrZenkokuJuudanUltraShinriGameJapan = {
	"Zenkoku Juudan Ultra Shinri Game (Japan)", NULL, NULL, "1986",
	"Zenkoku Juudan Ultra Shinri Game (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zenkoku Juudan Ultra Shinri Game (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenkokuJuudanUltraShinriGameJapanRomInfo, rZenkokuJuudanUltraShinriGameJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenkokuKoukouSoccerJapanRomDesc[] = {
	{ "Zenkoku Koukou Soccer (Japan).sfc",          1048576, 0xd575fdfc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenkokuKoukouSoccerJapan)
STD_ROM_FN(rZenkokuKoukouSoccerJapan)

struct BurnDriver BurnDrvrZenkokuKoukouSoccerJapan = {
	"Zenkoku Koukou Soccer (Japan)", NULL, NULL, "1986",
	"Zenkoku Koukou Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zenkoku Koukou Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenkokuKoukouSoccerJapanRomInfo, rZenkokuKoukouSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZenkokuKoukouSoccer2JapanRomDesc[] = {
	{ "Zenkoku Koukou Soccer 2 (Japan).sfc",          1048576, 0x6af63041, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZenkokuKoukouSoccer2Japan)
STD_ROM_FN(rZenkokuKoukouSoccer2Japan)

struct BurnDriver BurnDrvrZenkokuKoukouSoccer2Japan = {
	"Zenkoku Koukou Soccer 2 (Japan)", NULL, NULL, "1986",
	"Zenkoku Koukou Soccer 2 (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zenkoku Koukou Soccer 2 (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZenkokuKoukouSoccer2JapanRomInfo, rZenkokuKoukouSoccer2JapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZero4ChampRRJapanRomDesc[] = {
	{ "Zero 4 Champ RR (Japan).sfc",          2097152, 0x48e9887f, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZero4ChampRRJapan)
STD_ROM_FN(rZero4ChampRRJapan)

struct BurnDriver BurnDrvrZero4ChampRRJapan = {
	"Zero 4 Champ RR (Japan)", NULL, NULL, "1986",
	"Zero 4 Champ RR (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zero 4 Champ RR (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZero4ChampRRJapanRomInfo, rZero4ChampRRJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZero4ChampRRZJapanRomDesc[] = {
	{ "Zero 4 Champ RR-Z (Japan).sfc",          3145728, 0x3c6a8dc8, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZero4ChampRRZJapan)
STD_ROM_FN(rZero4ChampRRZJapan)

struct BurnDriver BurnDrvrZero4ChampRRZJapan = {
	"Zero 4 Champ RR-Z (Japan)", NULL, NULL, "1986",
	"Zero 4 Champ RR-Z (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zero 4 Champ RR-Z (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZero4ChampRRZJapanRomInfo, rZero4ChampRRZJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZerotheKamikazeSquirrelEuropeRev1RomDesc[] = {
	{ "Zero the Kamikaze Squirrel (Europe) (Rev 1).sfc",          2097152, 0xf4830329, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZerotheKamikazeSquirrelEuropeRev1)
STD_ROM_FN(rZerotheKamikazeSquirrelEuropeRev1)

struct BurnDriver BurnDrvrZerotheKamikazeSquirrelEuropeRev1 = {
	"Zero the Kamikaze Squirrel (Europe) (Rev 1)", NULL, NULL, "1986",
	"Zero the Kamikaze Squirrel (Europe) (Rev 1)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zero the Kamikaze Squirrel (Europe) (Rev 1)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZerotheKamikazeSquirrelEuropeRev1RomInfo, rZerotheKamikazeSquirrelEuropeRev1RomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZerotheKamikazeSquirrelEuropeRomDesc[] = {
	{ "Zero the Kamikaze Squirrel (Europe).sfc",          2097152, 0x64d7b231, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZerotheKamikazeSquirrelEurope)
STD_ROM_FN(rZerotheKamikazeSquirrelEurope)

struct BurnDriver BurnDrvrZerotheKamikazeSquirrelEurope = {
	"Zero the Kamikaze Squirrel (Europe)", NULL, NULL, "1986",
	"Zero the Kamikaze Squirrel (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zero the Kamikaze Squirrel (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZerotheKamikazeSquirrelEuropeRomInfo, rZerotheKamikazeSquirrelEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZerotheKamikazeSquirrelUSARomDesc[] = {
	{ "Zero the Kamikaze Squirrel (USA).sfc",          2097152, 0x5397d5bc, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZerotheKamikazeSquirrelUSA)
STD_ROM_FN(rZerotheKamikazeSquirrelUSA)

struct BurnDriver BurnDrvrZerotheKamikazeSquirrelUSA = {
	"Zero the Kamikaze Squirrel (USA)", NULL, NULL, "1986",
	"Zero the Kamikaze Squirrel (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zero the Kamikaze Squirrel (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZerotheKamikazeSquirrelUSARomInfo, rZerotheKamikazeSquirrelUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZicoSoccerJapanRomDesc[] = {
	{ "Zico Soccer (Japan).sfc",          1048576, 0xfe66fef2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZicoSoccerJapan)
STD_ROM_FN(rZicoSoccerJapan)

struct BurnDriver BurnDrvrZicoSoccerJapan = {
	"Zico Soccer (Japan)", NULL, NULL, "1986",
	"Zico Soccer (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zico Soccer (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZicoSoccerJapanRomInfo, rZicoSoccerJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZigZagCatDachouClubmoOosawagidaJapanRomDesc[] = {
	{ "Zig Zag Cat - Dachou Club mo Oosawagi da (Japan).sfc",          1572864, 0x53554d5e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZigZagCatDachouClubmoOosawagidaJapan)
STD_ROM_FN(rZigZagCatDachouClubmoOosawagidaJapan)

struct BurnDriver BurnDrvrZigZagCatDachouClubmoOosawagidaJapan = {
	"Zig Zag Cat - Dachou Club mo Oosawagi da (Japan)", NULL, NULL, "1986",
	"Zig Zag Cat - Dachou Club mo Oosawagi da (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zig Zag Cat - Dachou Club mo Oosawagi da (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZigZagCatDachouClubmoOosawagidaJapanRomInfo, rZigZagCatDachouClubmoOosawagidaJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZombiesEuropeBetaRomDesc[] = {
	{ "Zombies (Europe) (Beta).sfc",          1048576, 0x399669f2, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZombiesEuropeBeta)
STD_ROM_FN(rZombiesEuropeBeta)

struct BurnDriver BurnDrvrZombiesEuropeBeta = {
	"Zombies (Europe) (Beta)", NULL, NULL, "1986",
	"Zombies (Europe) (Beta)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zombies (Europe) (Beta)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZombiesEuropeBetaRomInfo, rZombiesEuropeBetaRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZombiesEuropeRomDesc[] = {
	{ "Zombies (Europe).sfc",          1048576, 0xfabff8bd, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZombiesEurope)
STD_ROM_FN(rZombiesEurope)

struct BurnDriver BurnDrvrZombiesEurope = {
	"Zombies (Europe)", NULL, NULL, "1986",
	"Zombies (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zombies (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZombiesEuropeRomInfo, rZombiesEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZombiesAteMyNeighborsUSARomDesc[] = {
	{ "Zombies Ate My Neighbors (USA).sfc",          1048576, 0x7cfc0c7c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZombiesAteMyNeighborsUSA)
STD_ROM_FN(rZombiesAteMyNeighborsUSA)

struct BurnDriver BurnDrvrZombiesAteMyNeighborsUSA = {
	"Zombies Ate My Neighbors (USA)", NULL, NULL, "1986",
	"Zombies Ate My Neighbors (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zombies Ate My Neighbors (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZombiesAteMyNeighborsUSARomInfo, rZombiesAteMyNeighborsUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoolNinjaoftheNthDimensionEuropeRomDesc[] = {
	{ "Zool - Ninja of the Nth Dimension (Europe).sfc",          1048576, 0x1188c64e, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoolNinjaoftheNthDimensionEurope)
STD_ROM_FN(rZoolNinjaoftheNthDimensionEurope)

struct BurnDriver BurnDrvrZoolNinjaoftheNthDimensionEurope = {
	"Zool - Ninja of the Nth Dimension (Europe)", NULL, NULL, "1986",
	"Zool - Ninja of the Nth Dimension (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zool - Ninja of the Nth Dimension (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoolNinjaoftheNthDimensionEuropeRomInfo, rZoolNinjaoftheNthDimensionEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoolNinjaoftheNthDimensionUSASampleRomDesc[] = {
	{ "Zool - Ninja of the Nth Dimension (USA) (Sample).sfc",          1048576, 0xb4fcb68c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoolNinjaoftheNthDimensionUSASample)
STD_ROM_FN(rZoolNinjaoftheNthDimensionUSASample)

struct BurnDriver BurnDrvrZoolNinjaoftheNthDimensionUSASample = {
	"Zool - Ninja of the Nth Dimension (USA) (Sample)", NULL, NULL, "1986",
	"Zool - Ninja of the Nth Dimension (USA) (Sample)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zool - Ninja of the Nth Dimension (USA) (Sample)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoolNinjaoftheNthDimensionUSASampleRomInfo, rZoolNinjaoftheNthDimensionUSASampleRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoolNinjaoftheNthDimensionUSARomDesc[] = {
	{ "Zool - Ninja of the Nth Dimension (USA).sfc",          1048576, 0x3c10daf1, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoolNinjaoftheNthDimensionUSA)
STD_ROM_FN(rZoolNinjaoftheNthDimensionUSA)

struct BurnDriver BurnDrvrZoolNinjaoftheNthDimensionUSA = {
	"Zool - Ninja of the Nth Dimension (USA)", NULL, NULL, "1986",
	"Zool - Ninja of the Nth Dimension (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zool - Ninja of the Nth Dimension (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoolNinjaoftheNthDimensionUSARomInfo, rZoolNinjaoftheNthDimensionUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoolnoYumeBoukenJapanRomDesc[] = {
	{ "Zool no Yume Bouken (Japan).sfc",          1048576, 0x5c2a701d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoolnoYumeBoukenJapan)
STD_ROM_FN(rZoolnoYumeBoukenJapan)

struct BurnDriver BurnDrvrZoolnoYumeBoukenJapan = {
	"Zool no Yume Bouken (Japan)", NULL, NULL, "1986",
	"Zool no Yume Bouken (Japan)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zool no Yume Bouken (Japan)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoolnoYumeBoukenJapanRomInfo, rZoolnoYumeBoukenJapanRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoopEuropeRomDesc[] = {
	{ "Zoop (Europe).sfc",          524288, 0xafd45d27, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoopEurope)
STD_ROM_FN(rZoopEurope)

struct BurnDriver BurnDrvrZoopEurope = {
	"Zoop (Europe)", NULL, NULL, "1986",
	"Zoop (Europe)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zoop (Europe)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoopEuropeRomInfo, rZoopEuropeRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoopUSARomDesc[] = {
	{ "Zoop (USA).sfc",          524288, 0x6f0e94c, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoopUSA)
STD_ROM_FN(rZoopUSA)

struct BurnDriver BurnDrvrZoopUSA = {
	"Zoop (USA)", NULL, NULL, "1986",
	"Zoop (USA)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zoop (USA)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoopUSARomInfo, rZoopUSARomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoottoMahjongJapanNPRomDesc[] = {
	{ "Zootto Mahjong! (Japan) (NP).sfc",          2621440, 0xc167987d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoottoMahjongJapanNP)
STD_ROM_FN(rZoottoMahjongJapanNP)

struct BurnDriver BurnDrvrZoottoMahjongJapanNP = {
	"Zootto Mahjong! (Japan) (NP)", NULL, NULL, "1986",
	"Zootto Mahjong! (Japan) (NP)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zootto Mahjong! (Japan) (NP)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoottoMahjongJapanNPRomInfo, rZoottoMahjongJapanNPRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoottoMahjongEventVersionJapanBSRomDesc[] = {
	{ "Zootto Mahjong! - Event Version (Japan) (BS).sfc",          1048576, 0x7aca6cf0, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoottoMahjongEventVersionJapanBS)
STD_ROM_FN(rZoottoMahjongEventVersionJapanBS)

struct BurnDriver BurnDrvrZoottoMahjongEventVersionJapanBS = {
	"Zootto Mahjong! - Event Version (Japan) (BS)", NULL, NULL, "1986",
	"Zootto Mahjong! - Event Version (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zootto Mahjong! - Event Version (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoottoMahjongEventVersionJapanBSRomInfo, rZoottoMahjongEventVersionJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};

static struct BurnRomInfo rZoottoMahjongPreviewBanJapanBSRomDesc[] = {
	{ "Zootto Mahjong! - Preview Ban (Japan) (BS).sfc",          1048576, 0xe8a0758d, BRF_ESS | BRF_PRG },
};


STD_ROM_PICK(rZoottoMahjongPreviewBanJapanBS)
STD_ROM_FN(rZoottoMahjongPreviewBanJapanBS)

struct BurnDriver BurnDrvrZoottoMahjongPreviewBanJapanBS = {
	"Zootto Mahjong! - Preview Ban (Japan) (BS)", NULL, NULL, "1986",
	"Zootto Mahjong! - Preview Ban (Japan) (BS)\0", NULL, "Nintendo", "Miscellaneous",
	L"Zootto Mahjong! - Preview Ban (Japan) (BS)", NULL, NULL, NULL,
	BDF_GAME_WORKING|BDF_16BIT_ONLY , 2, HARDWARE_SEGA_MEGADRIVE, GBF_MISC, 0, 
	NULL, rZoottoMahjongPreviewBanJapanBSRomInfo, rZoottoMahjongPreviewBanJapanBSRomName, SnesInputInfo, SnesDIPInfo,
	SnesInit, SnesExit, SnesFrame, NULL, SnesScan,
	0, NULL, NULL, NULL, NULL, 512 , 244, 4, 3
};